package androidx.webkit.internal;

import androidx.webkit.ProxyConfig;
import androidx.webkit.ProxyController;
import androidx.webkit.WebViewFeature;
import java.lang.reflect.Array;
import java.util.List;
import java.util.concurrent.Executor;
import org.chromium.support_lib_boundary.ProxyControllerBoundaryInterface;

public class ProxyControllerImpl extends ProxyController {
    private ProxyControllerBoundaryInterface mBoundaryInterface;

    @Override // androidx.webkit.ProxyController
    public void setProxyOverride(ProxyConfig proxyConfig, Executor executor, Runnable listener) {
        if (WebViewFeatureInternal.getFeature(WebViewFeature.PROXY_OVERRIDE).isSupportedByWebView()) {
            List<ProxyConfig.ProxyRule> proxyRulesList = proxyConfig.getProxyRules();
            int size = proxyRulesList.size();
            int[] iArr = new int[2];
            iArr[1] = 2;
            iArr[0] = size;
            String[][] proxyRulesArray = (String[][]) Array.newInstance(String.class, iArr);
            for (int i = 0; i < proxyRulesList.size(); i++) {
                proxyRulesArray[i][0] = proxyRulesList.get(0).getSchemeFilter();
                proxyRulesArray[i][1] = proxyRulesList.get(0).getUrl();
            }
            getBoundaryInterface().setProxyOverride(proxyRulesArray, (String[]) proxyConfig.getBypassRules().toArray(new String[0]), listener, executor);
            return;
        }
        throw WebViewFeatureInternal.getUnsupportedOperationException();
    }

    @Override // androidx.webkit.ProxyController
    public void clearProxyOverride(Executor executor, Runnable listener) {
        if (WebViewFeatureInternal.getFeature(WebViewFeature.PROXY_OVERRIDE).isSupportedByWebView()) {
            getBoundaryInterface().clearProxyOverride(listener, executor);
            return;
        }
        throw WebViewFeatureInternal.getUnsupportedOperationException();
    }

    private ProxyControllerBoundaryInterface getBoundaryInterface() {
        if (this.mBoundaryInterface == null) {
            this.mBoundaryInterface = WebViewGlueCommunicator.getFactory().getProxyController();
        }
        return this.mBoundaryInterface;
    }
}
