package androidx.webkit.internal;

import org.chromium.support_lib_boundary.WebSettingsBoundaryInterface;

public class WebSettingsAdapter {
    private WebSettingsBoundaryInterface mBoundaryInterface;

    public WebSettingsAdapter(WebSettingsBoundaryInterface boundaryInterface) {
        this.mBoundaryInterface = boundaryInterface;
    }

    public void setOffscreenPreRaster(boolean enabled) {
        this.mBoundaryInterface.setOffscreenPreRaster(enabled);
    }

    public boolean getOffscreenPreRaster() {
        return this.mBoundaryInterface.getOffscreenPreRaster();
    }

    public void setSafeBrowsingEnabled(boolean enabled) {
        this.mBoundaryInterface.setSafeBrowsingEnabled(enabled);
    }

    public boolean getSafeBrowsingEnabled() {
        return this.mBoundaryInterface.getSafeBrowsingEnabled();
    }

    public void setDisabledActionModeMenuItems(int menuItems) {
        this.mBoundaryInterface.setDisabledActionModeMenuItems(menuItems);
    }

    public int getDisabledActionModeMenuItems() {
        return this.mBoundaryInterface.getDisabledActionModeMenuItems();
    }

    public void setWillSuppressErrorPage(boolean suppressed) {
        this.mBoundaryInterface.setWillSuppressErrorPage(suppressed);
    }

    public boolean willSuppressErrorPage() {
        return this.mBoundaryInterface.getWillSuppressErrorPage();
    }

    public void setForceDark(int forceDarkMode) {
        this.mBoundaryInterface.setForceDark(forceDarkMode);
    }

    public int getForceDark() {
        return this.mBoundaryInterface.getForceDark();
    }

    public void setForceDarkStrategy(int forceDarkStrategy) {
        this.mBoundaryInterface.setForceDarkBehavior(forceDarkStrategy);
    }

    public int getForceDarkStrategy() {
        return this.mBoundaryInterface.getForceDarkBehavior();
    }
}
