package com.alibaba.android.bindingx.core;

import android.util.Log;
import com.alibaba.android.bindingx.core.internal.BindingXConstants;
import io.dcloud.common.constant.AbsoluteConst;
import java.util.Map;

public final class LogProxy {
    private static final String KEY_DEBUG = "debug";
    public static boolean sEnableLog = false;

    public static void enableLogIfNeeded(Map<String, Object> params) {
        Object obj;
        if (params != null && (obj = params.get("debug")) != null) {
            boolean result = false;
            if (obj instanceof Boolean) {
                result = ((Boolean) obj).booleanValue();
            } else if (obj instanceof String) {
                result = AbsoluteConst.TRUE.equals((String) obj);
            }
            sEnableLog = result;
        }
    }

    public static void i(String message) {
        if (sEnableLog) {
            Log.i(BindingXConstants.TAG, message);
        }
    }

    public static void i(String message, Throwable e) {
        if (sEnableLog) {
            Log.i(BindingXConstants.TAG, message, e);
        }
    }

    public static void v(String message) {
        if (sEnableLog) {
            Log.v(BindingXConstants.TAG, message);
        }
    }

    public static void v(String message, Throwable e) {
        if (sEnableLog) {
            Log.v(BindingXConstants.TAG, message, e);
        }
    }

    public static void d(String message) {
        if (sEnableLog) {
            Log.d(BindingXConstants.TAG, message);
        }
    }

    public static void d(String message, Throwable e) {
        if (sEnableLog) {
            Log.d(BindingXConstants.TAG, message, e);
        }
    }

    public static void w(String message) {
        if (sEnableLog) {
            Log.w(BindingXConstants.TAG, message);
        }
    }

    public static void w(String message, Throwable e) {
        if (sEnableLog) {
            Log.w(BindingXConstants.TAG, message, e);
        }
    }

    public static void e(String message) {
        if (sEnableLog) {
            Log.e(BindingXConstants.TAG, message);
        }
    }

    public static void e(String message, Throwable e) {
        if (sEnableLog) {
            Log.e(BindingXConstants.TAG, message, e);
        }
    }
}
