package com.alibaba.android.bindingx.core.internal;

import java.util.Collections;
import java.util.Map;

/* access modifiers changed from: package-private */
public final class ExpressionHolder {
    Map<String, Object> config;
    String eventType;
    ExpressionPair expressionPair;
    String prop;
    String targetInstanceId;
    String targetRef;

    ExpressionHolder(String target, String targetInstanceId2, ExpressionPair expressionPair2, String prop2, String eventType2, Map<String, Object> config2) {
        this.targetRef = target;
        this.targetInstanceId = targetInstanceId2;
        this.expressionPair = expressionPair2;
        this.prop = prop2;
        this.eventType = eventType2;
        if (config2 == null) {
            this.config = Collections.emptyMap();
        } else {
            this.config = Collections.unmodifiableMap(config2);
        }
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ExpressionHolder that = (ExpressionHolder) o;
        String str = this.targetRef;
        if (str == null ? that.targetRef != null : !str.equals(that.targetRef)) {
            return false;
        }
        ExpressionPair expressionPair2 = this.expressionPair;
        if (expressionPair2 == null ? that.expressionPair != null : !expressionPair2.equals(that.expressionPair)) {
            return false;
        }
        String str2 = this.prop;
        if (str2 == null ? that.prop != null : !str2.equals(that.prop)) {
            return false;
        }
        String str3 = this.eventType;
        if (str3 == null ? that.eventType != null : !str3.equals(that.eventType)) {
            return false;
        }
        Map<String, Object> map = this.config;
        if (map != null) {
            return map.equals(that.config);
        }
        if (that.config == null) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.targetRef;
        int i = 0;
        int hashCode = (str != null ? str.hashCode() : 0) * 31;
        ExpressionPair expressionPair2 = this.expressionPair;
        int result = (hashCode + (expressionPair2 != null ? expressionPair2.hashCode() : 0)) * 31;
        String str2 = this.prop;
        int result2 = (result + (str2 != null ? str2.hashCode() : 0)) * 31;
        String str3 = this.eventType;
        int result3 = (result2 + (str3 != null ? str3.hashCode() : 0)) * 31;
        Map<String, Object> map = this.config;
        if (map != null) {
            i = map.hashCode();
        }
        return result3 + i;
    }
}
