package com.alibaba.android.bindingx.core.internal;

import android.text.TextUtils;

public class ExpressionPair {
    public final String origin;
    public final String transformed;

    public ExpressionPair(String origin2, String transformed2) {
        this.origin = origin2;
        this.transformed = transformed2;
    }

    public static ExpressionPair create(String origin2, String transformed2) {
        return new ExpressionPair(origin2, transformed2);
    }

    public static boolean isValid(ExpressionPair pair) {
        return pair != null && !TextUtils.isEmpty(pair.transformed) && !"{}".equals(pair.transformed);
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ExpressionPair that = (ExpressionPair) o;
        String str = this.origin;
        if (str == null ? that.origin != null : !str.equals(that.origin)) {
            return false;
        }
        String str2 = this.transformed;
        if (str2 != null) {
            return str2.equals(that.transformed);
        }
        if (that.transformed == null) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.origin;
        int i = 0;
        int hashCode = (str != null ? str.hashCode() : 0) * 31;
        String str2 = this.transformed;
        if (str2 != null) {
            i = str2.hashCode();
        }
        return hashCode + i;
    }
}
