package com.alibaba.android.bindingx.core.internal;

import android.animation.ArgbEvaluator;
import android.graphics.Color;
import android.text.TextUtils;
import com.alibaba.android.bindingx.core.PlatformManager;
import com.taobao.weex.common.Constants;
import com.umeng.analytics.pro.as;
import com.umeng.analytics.pro.bg;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.ArrayList;
import java.util.Map;
import org.json.JSONException;

/* access modifiers changed from: package-private */
public class JSMath {
    public static Object E = Double.valueOf(2.718281828459045d);
    private static Object PI = Double.valueOf(3.141592653589793d);
    private static Object abs = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass13 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.abs(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object acos = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass5 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.acos(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object asArray = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass26 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            return arguments;
        }
    };
    private static Object asin = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass4 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.asin(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object atan = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass6 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.atan(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object atan2 = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass7 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.atan2(((Double) arguments.get(0)).doubleValue(), ((Double) arguments.get(1)).doubleValue()));
        }
    };
    private static Object cbrt = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass11 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.cbrt(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object ceil = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass15 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.ceil(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object cos = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass2 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.cos(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object evaluateColor = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass25 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            int fromColor = JSMath.parseColor((String) arguments.get(0));
            int toColor = JSMath.parseColor((String) arguments.get(1));
            return JSMath.sArgbEvaluator.evaluate((float) Math.min(1.0d, Math.max(0.0d, ((Double) arguments.get(2)).doubleValue())), Integer.valueOf(fromColor), Integer.valueOf(toColor));
        }
    };
    private static Object exp = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass9 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.exp(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object floor = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass16 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.floor(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object log = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass12 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.log(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object matrix = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass22 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            if (arguments == null || arguments.size() < 6) {
                return null;
            }
            return arguments;
        }
    };
    private static Object max = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass18 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            if (arguments == null || arguments.size() < 1) {
                return null;
            }
            double max = ((Double) arguments.get(0)).doubleValue();
            int len = arguments.size();
            for (int i = 1; i < len; i++) {
                double val = ((Double) arguments.get(i)).doubleValue();
                if (val > max) {
                    max = val;
                }
            }
            return Double.valueOf(max);
        }
    };
    private static Object min = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass19 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            if (arguments == null || arguments.size() < 1) {
                return null;
            }
            double min = ((Double) arguments.get(0)).doubleValue();
            int len = arguments.size();
            for (int i = 1; i < len; i++) {
                double val = ((Double) arguments.get(i)).doubleValue();
                if (val < min) {
                    min = val;
                }
            }
            return Double.valueOf(min);
        }
    };
    private static Object pow = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass8 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.pow(((Double) arguments.get(0)).doubleValue(), ((Double) arguments.get(1)).doubleValue()));
        }
    };
    private static Object rgb = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass23 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            if (arguments == null || arguments.size() < 3) {
                return null;
            }
            return Integer.valueOf(Color.rgb((int) ((Double) arguments.get(0)).doubleValue(), (int) ((Double) arguments.get(1)).doubleValue(), (int) ((Double) arguments.get(2)).doubleValue()));
        }
    };
    private static Object rgba = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass24 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            if (arguments == null || arguments.size() < 4) {
                return null;
            }
            return Integer.valueOf(Color.argb((int) (((Double) arguments.get(3)).doubleValue() * 255.0d), (int) ((Double) arguments.get(0)).doubleValue(), (int) ((Double) arguments.get(1)).doubleValue(), (int) ((Double) arguments.get(2)).doubleValue()));
        }
    };
    private static Object round = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass17 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Long.valueOf(Math.round(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static ArgbEvaluator sArgbEvaluator = new ArgbEvaluator();
    private static Object scale = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass21 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            if (arguments == null || arguments.size() < 2) {
                return null;
            }
            return arguments;
        }
    };
    private static Object sign = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass14 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            double v = ((Double) arguments.get(0)).doubleValue();
            if (v > 0.0d) {
                return 1;
            }
            if (v == 0.0d) {
                return 0;
            }
            if (v < 0.0d) {
                return -1;
            }
            return Double.valueOf(Double.NaN);
        }
    };
    private static Object sin = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass1 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.sin(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object sqrt = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass10 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.sqrt(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object tan = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass3 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) {
            return Double.valueOf(Math.tan(((Double) arguments.get(0)).doubleValue()));
        }
    };
    private static Object translate = new JSFunctionInterface() {
        /* class com.alibaba.android.bindingx.core.internal.JSMath.AnonymousClass20 */

        @Override // com.alibaba.android.bindingx.core.internal.JSFunctionInterface
        public Object execute(ArrayList<Object> arguments) throws NumberFormatException, JSONException {
            if (arguments == null || arguments.size() < 2) {
                return null;
            }
            return arguments;
        }
    };

    private JSMath() {
    }

    /* access modifiers changed from: private */
    public static int parseColor(String str) {
        if (!TextUtils.isEmpty(str)) {
            String colorStr = str;
            if (str.startsWith("'") || str.startsWith("\"")) {
                colorStr = colorStr.substring(1, colorStr.length() - 1);
            }
            int color = Color.parseColor(colorStr);
            return Color.argb(255, Color.red(color), Color.green(color), Color.blue(color));
        }
        throw new IllegalArgumentException("Unknown color");
    }

    static void applyXYToScope(Map<String, Object> scope, double x, double y, PlatformManager.IDeviceResolutionTranslator translator) {
        scope.put(Constants.Name.X, Double.valueOf(translator.nativeToWeb(x, new Object[0])));
        scope.put(Constants.Name.Y, Double.valueOf(translator.nativeToWeb(y, new Object[0])));
        scope.put("internal_x", Double.valueOf(x));
        scope.put("internal_y", Double.valueOf(y));
    }

    static void applyOrientationValuesToScope(Map<String, Object> scope, double alpha, double beta, double gamma, double startAlpha, double startBeta, double startGamma, double x, double y, double z) {
        scope.put(Constant.JSONKEY.ALPHE, Double.valueOf(alpha));
        scope.put("beta", Double.valueOf(beta));
        scope.put("gamma", Double.valueOf(gamma));
        scope.put("dalpha", Double.valueOf(alpha - startAlpha));
        scope.put("dbeta", Double.valueOf(beta - startBeta));
        scope.put("dgamma", Double.valueOf(gamma - startGamma));
        scope.put(Constants.Name.X, Double.valueOf(x));
        scope.put(Constants.Name.Y, Double.valueOf(y));
        scope.put(bg.aD, Double.valueOf(z));
    }

    static void applyTimingValuesToScope(Map<String, Object> scope, double t) {
        scope.put(bg.aI, Double.valueOf(t));
    }

    static void applyScrollValuesToScope(Map<String, Object> scope, double x, double y, double dx, double dy, double tdx, double tdy, PlatformManager.IDeviceResolutionTranslator translator) {
        scope.put(Constants.Name.X, Double.valueOf(translator.nativeToWeb(x, new Object[0])));
        scope.put(Constants.Name.Y, Double.valueOf(translator.nativeToWeb(y, new Object[0])));
        scope.put("dx", Double.valueOf(translator.nativeToWeb(dx, new Object[0])));
        scope.put(Constants.Name.DISTANCE_Y, Double.valueOf(translator.nativeToWeb(dy, new Object[0])));
        scope.put("tdx", Double.valueOf(translator.nativeToWeb(tdx, new Object[0])));
        scope.put("tdy", Double.valueOf(translator.nativeToWeb(tdy, new Object[0])));
        scope.put("internal_x", Double.valueOf(x));
        scope.put("internal_y", Double.valueOf(y));
    }

    static void applyToScope(Map<String, Object> scope) {
        scope.put("sin", sin);
        scope.put("cos", cos);
        scope.put("tan", tan);
        scope.put("asin", asin);
        scope.put("acos", acos);
        scope.put("atan", atan);
        scope.put("atan2", atan2);
        scope.put("pow", pow);
        scope.put(as.b, exp);
        scope.put("sqrt", sqrt);
        scope.put("cbrt", cbrt);
        scope.put("log", log);
        scope.put("abs", abs);
        scope.put("sign", sign);
        scope.put("ceil", ceil);
        scope.put("floor", floor);
        scope.put(AbsoluteConst.JSON_KEY_ROUND, round);
        scope.put("max", max);
        scope.put(Constants.Name.MIN, min);
        scope.put("PI", PI);
        scope.put("E", E);
        scope.put("translate", translate);
        scope.put("scale", scale);
        scope.put("matrix", matrix);
        scope.put("rgb", rgb);
        scope.put("rgba", rgba);
        scope.put("evaluateColor", evaluateColor);
        scope.put("asArray", asArray);
    }
}
