package com.alibaba.android.bindingx.core.internal;

import android.hardware.Sensor;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Handler;
import com.alibaba.android.bindingx.core.LogProxy;
import java.util.List;

class SensorManagerProxyImpl implements SensorManagerProxy {
    private final SensorManager mSensorManager;

    SensorManagerProxyImpl(SensorManager sensorManager) {
        this.mSensorManager = sensorManager;
    }

    @Override // com.alibaba.android.bindingx.core.internal.SensorManagerProxy
    public boolean registerListener(SensorEventListener listener, int sensorType, int rate, Handler handler) {
        List<Sensor> sensors = this.mSensorManager.getSensorList(sensorType);
        if (sensors.isEmpty()) {
            return false;
        }
        return this.mSensorManager.registerListener(listener, sensors.get(0), rate, handler);
    }

    @Override // com.alibaba.android.bindingx.core.internal.SensorManagerProxy
    public void unregisterListener(SensorEventListener listener, int sensorType) {
        List<Sensor> sensors = this.mSensorManager.getSensorList(sensorType);
        if (!sensors.isEmpty()) {
            try {
                this.mSensorManager.unregisterListener(listener, sensors.get(0));
            } catch (Throwable th) {
                LogProxy.w("Failed to unregister device sensor " + sensors.get(0).getName());
            }
        }
    }
}
