package com.alibaba.android.bindingx.core.internal;

/* access modifiers changed from: package-private */
public class Vector3 {
    double x;
    double y;
    double z;

    Vector3(double x2, double y2, double z2) {
        this.x = x2;
        this.y = y2;
        this.z = z2;
    }

    /* access modifiers changed from: package-private */
    public void set(double x2, double y2, double z2) {
        this.x = x2;
        this.y = y2;
        this.z = z2;
    }

    /* access modifiers changed from: package-private */
    public Vector3 applyQuaternion(Quaternion q) {
        double x2 = this.x;
        double y2 = this.y;
        double z2 = this.z;
        double qx = q.x;
        double qy = q.y;
        double qz = q.z;
        double qw = q.w;
        double ix = ((qw * x2) + (qy * z2)) - (qz * y2);
        double iy = ((qw * y2) + (qz * x2)) - (qx * z2);
        double iz = ((qw * z2) + (qx * y2)) - (qy * x2);
        double iw = (((-qx) * x2) - (qy * y2)) - (qz * z2);
        this.x = (((ix * qw) + ((-qx) * iw)) + ((-qz) * iy)) - ((-qy) * iz);
        this.y = (((iy * qw) + ((-qy) * iw)) + ((-qx) * iz)) - ((-qz) * ix);
        this.z = (((iz * qw) + ((-qz) * iw)) + ((-qy) * ix)) - ((-qx) * iy);
        return this;
    }
}
