package com.amap.api.col.s;

import android.content.Context;
import android.os.Message;
import android.text.TextUtils;
import com.amap.api.col.s.ca;
import com.amap.api.col.s.u;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.interfaces.INearbySearch;
import com.amap.api.services.nearby.NearbySearch;
import com.amap.api.services.nearby.NearbySearchResult;
import com.amap.api.services.nearby.UploadInfo;
import com.amap.api.services.nearby.UploadInfoCallback;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.regex.Pattern;

/* compiled from: NearbySearchCore */
public final class bi implements INearbySearch {
    private static long e = 0;
    private List<NearbySearch.NearbyListener> a = new ArrayList();
    private String b;
    private Context c;
    private u d;
    private ExecutorService f;
    private LatLonPoint g = null;
    private String h = null;
    private boolean i = false;
    private Timer j = new Timer();
    private UploadInfoCallback k;
    private TimerTask l;

    public bi(Context context) throws AMapException {
        cb a2 = ca.a(context, i.a(false));
        if (a2.a == ca.c.SuccessCode) {
            this.c = context.getApplicationContext();
            this.d = u.a();
            return;
        }
        throw new AMapException(a2.b, 1, a2.b, a2.a.a());
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void addNearbyListener(NearbySearch.NearbyListener nearbyListener) {
        try {
            this.a.add(nearbyListener);
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "addNearbyListener");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void removeNearbyListener(NearbySearch.NearbyListener nearbyListener) {
        if (nearbyListener != null) {
            try {
                this.a.remove(nearbyListener);
            } catch (Throwable th) {
                j.a(th, "NearbySearch", "removeNearbyListener");
            }
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void clearUserInfoAsyn() {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bi.AnonymousClass1 */

                public final void run() {
                    Message obtainMessage = bi.this.d.obtainMessage();
                    obtainMessage.arg1 = 8;
                    obtainMessage.obj = bi.this.a;
                    try {
                        bi.this.a();
                        obtainMessage.what = 1000;
                        if (bi.this.d == null) {
                            return;
                        }
                    } catch (AMapException e) {
                        obtainMessage.what = e.getErrorCode();
                        j.a(e, "NearbySearch", "clearUserInfoAsyn");
                        if (bi.this.d == null) {
                            return;
                        }
                    } catch (Throwable th) {
                        if (bi.this.d != null) {
                            bi.this.d.sendMessage(obtainMessage);
                        }
                        throw th;
                    }
                    bi.this.d.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "clearUserInfoAsynThrowable");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int a() throws AMapException {
        try {
            if (this.i) {
                throw new AMapException(AMapException.AMAP_CLIENT_UPLOADAUTO_STARTED_ERROR);
            } else if (a(this.b)) {
                s.a(this.c);
                return ((Integer) new v(this.c, this.b).b()).intValue();
            } else {
                throw new AMapException(AMapException.AMAP_CLIENT_USERID_ILLEGAL);
            }
        } catch (AMapException e2) {
            throw e2;
        } catch (Throwable th) {
            throw new AMapException(AMapException.AMAP_CLIENT_UNKNOWN_ERROR);
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void setUserID(String str) {
        this.b = str;
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void startUploadNearbyInfoAuto(UploadInfoCallback uploadInfoCallback, int i2) {
        if (i2 < 7000) {
            i2 = 7000;
        }
        try {
            this.k = uploadInfoCallback;
            if (this.i && this.l != null) {
                this.l.cancel();
            }
            this.i = true;
            a aVar = new a(this, (byte) 0);
            this.l = aVar;
            this.j.schedule(aVar, 0, (long) i2);
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "startUploadNearbyInfoAuto");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void stopUploadNearbyInfoAuto() {
        try {
            if (this.l != null) {
                this.l.cancel();
            }
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "stopUploadNearbyInfoAuto");
        }
        this.i = false;
        this.l = null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int a(UploadInfo uploadInfo) {
        if (this.i) {
            return 2200;
        }
        return b(uploadInfo);
    }

    private static boolean a(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        return Pattern.compile("^[a-z0-9A-Z_-]{1,32}$").matcher(str).find();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int b(UploadInfo uploadInfo) {
        try {
            s.a(this.c);
            if (uploadInfo == null) {
                return 2202;
            }
            long time = new Date().getTime();
            if (time - e < 6500) {
                return AMapException.CODE_AMAP_CLIENT_UPLOAD_TOO_FREQUENT;
            }
            e = time;
            String userID = uploadInfo.getUserID();
            if (!a(userID)) {
                return 2201;
            }
            if (TextUtils.isEmpty(this.h)) {
                this.h = userID;
            }
            if (!userID.equals(this.h)) {
                return 2201;
            }
            LatLonPoint point = uploadInfo.getPoint();
            if (point == null) {
                return AMapException.CODE_AMAP_CLIENT_UPLOAD_LOCATION_ERROR;
            }
            if (point.equals(this.g)) {
                return AMapException.CODE_AMAP_CLIENT_UPLOAD_LOCATION_ERROR;
            }
            new x(this.c, uploadInfo).b();
            this.g = point.copy();
            return 1000;
        } catch (AMapException e2) {
            return e2.getErrorCode();
        } catch (Throwable th) {
            return 1900;
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void uploadNearbyInfoAsyn(final UploadInfo uploadInfo) {
        if (this.f == null) {
            this.f = Executors.newSingleThreadExecutor();
        }
        this.f.submit(new Runnable() {
            /* class com.amap.api.col.s.bi.AnonymousClass2 */

            public final void run() {
                try {
                    Message obtainMessage = bi.this.d.obtainMessage();
                    obtainMessage.arg1 = 10;
                    obtainMessage.obj = bi.this.a;
                    obtainMessage.what = bi.this.a((bi) uploadInfo);
                    bi.this.d.sendMessage(obtainMessage);
                } catch (Throwable th) {
                    j.a(th, "NearbySearch", "uploadNearbyInfoAsyn");
                }
            }
        });
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void searchNearbyInfoAsyn(final NearbySearch.NearbyQuery nearbyQuery) {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bi.AnonymousClass3 */

                public final void run() {
                    Message obtainMessage = bi.this.d.obtainMessage();
                    obtainMessage.arg1 = 9;
                    u.f fVar = new u.f();
                    fVar.a = bi.this.a;
                    obtainMessage.obj = fVar;
                    try {
                        fVar.b = bi.this.searchNearbyInfo(nearbyQuery);
                        obtainMessage.what = 1000;
                        if (bi.this.d == null) {
                            return;
                        }
                    } catch (AMapException e) {
                        obtainMessage.what = e.getErrorCode();
                        j.a(e, "NearbySearch", "searchNearbyInfoAsyn");
                        if (bi.this.d == null) {
                            return;
                        }
                    } catch (Throwable th) {
                        if (bi.this.d != null) {
                            bi.this.d.sendMessage(obtainMessage);
                        }
                        throw th;
                    }
                    bi.this.d.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "searchNearbyInfoAsynThrowable");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final NearbySearchResult searchNearbyInfo(NearbySearch.NearbyQuery nearbyQuery) throws AMapException {
        try {
            s.a(this.c);
            if (a(nearbyQuery)) {
                return (NearbySearchResult) new w(this.c, nearbyQuery).b();
            }
            throw new AMapException("无效的参数 - IllegalArgumentException");
        } catch (AMapException e2) {
            throw e2;
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "searchNearbyInfo");
            throw new AMapException(AMapException.AMAP_CLIENT_UNKNOWN_ERROR);
        }
    }

    private static boolean a(NearbySearch.NearbyQuery nearbyQuery) {
        if (nearbyQuery == null || nearbyQuery.getCenterPoint() == null) {
            return false;
        }
        return true;
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void destroy() {
        try {
            this.j.cancel();
        } catch (Throwable th) {
            j.a(th, "NearbySearch", "destryoy");
        }
    }

    /* compiled from: NearbySearchCore */
    private class a extends TimerTask {
        private a() {
        }

        /* synthetic */ a(bi biVar, byte b) {
            this();
        }

        public final void run() {
            try {
                if (bi.this.k != null) {
                    int b = bi.this.b((bi) bi.this.k.OnUploadInfoCallback());
                    Message obtainMessage = bi.this.d.obtainMessage();
                    obtainMessage.arg1 = 10;
                    obtainMessage.obj = bi.this.a;
                    obtainMessage.what = b;
                    bi.this.d.sendMessage(obtainMessage);
                }
            } catch (Throwable th) {
                j.a(th, "NearbySearch", "UpdateDataTask");
            }
        }
    }
}
