package com.amap.api.col.s;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import com.amap.api.col.s.ca;
import com.amap.api.col.s.u;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.interfaces.IPoiSearch;
import com.amap.api.services.poisearch.PoiResult;
import com.amap.api.services.poisearch.PoiSearch;
import java.util.HashMap;
import java.util.List;

/* compiled from: PoiSearchCore */
public final class bj implements IPoiSearch {
    private static HashMap<Integer, PoiResult> i;
    private PoiSearch.SearchBound a;
    private PoiSearch.Query b;
    private Context c;
    private PoiSearch.OnPoiSearchListener d;
    private String e = "zh-CN";
    private PoiSearch.Query f;
    private PoiSearch.SearchBound g;
    private int h;
    private Handler j = null;

    public bj(Context context, PoiSearch.Query query) throws AMapException {
        cb a2 = ca.a(context, i.a(false));
        if (a2.a == ca.c.SuccessCode) {
            this.c = context.getApplicationContext();
            setQuery(query);
            this.j = u.a();
            return;
        }
        throw new AMapException(a2.b, 1, a2.b, a2.a.a());
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setOnPoiSearchListener(PoiSearch.OnPoiSearchListener onPoiSearchListener) {
        this.d = onPoiSearchListener;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setLanguage(String str) {
        if ("en".equals(str)) {
            this.e = "en";
        } else {
            this.e = "zh-CN";
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final String getLanguage() {
        return this.e;
    }

    private boolean a() {
        PoiSearch.Query query = this.b;
        if (query == null) {
            return false;
        }
        if (!j.a(query.getQueryString()) || !j.a(this.b.getCategory())) {
            return true;
        }
        return false;
    }

    private boolean b() {
        PoiSearch.SearchBound bound = getBound();
        if (bound != null && bound.getShape().equals("Bound")) {
            return true;
        }
        return false;
    }

    private boolean c() {
        PoiSearch.SearchBound bound = getBound();
        if (bound == null) {
            return true;
        }
        if (bound.getShape().equals("Bound")) {
            if (bound.getCenter() == null) {
                return false;
            }
            return true;
        } else if (bound.getShape().equals("Polygon")) {
            List<LatLonPoint> polyGonList = bound.getPolyGonList();
            if (polyGonList == null || polyGonList.size() == 0) {
                return false;
            }
            for (int i2 = 0; i2 < polyGonList.size(); i2++) {
                if (polyGonList.get(i2) == null) {
                    return false;
                }
            }
            return true;
        } else if (!bound.getShape().equals("Rectangle")) {
            return true;
        } else {
            LatLonPoint lowerLeft = bound.getLowerLeft();
            LatLonPoint upperRight = bound.getUpperRight();
            if (lowerLeft == null || upperRight == null || lowerLeft.getLatitude() >= upperRight.getLatitude() || lowerLeft.getLongitude() >= upperRight.getLongitude()) {
                return false;
            }
            return true;
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiResult searchPOI() throws AMapException {
        try {
            s.a(this.c);
            if (!b() && !a()) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (!c()) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (this.b != null) {
                if ((!this.b.queryEquals(this.f) && this.a == null) || (!this.b.queryEquals(this.f) && !this.a.equals(this.g))) {
                    this.h = 0;
                    this.f = this.b.clone();
                    if (this.a != null) {
                        this.g = this.a.clone();
                    }
                    if (i != null) {
                        i.clear();
                    }
                }
                PoiSearch.SearchBound searchBound = null;
                if (this.a != null) {
                    searchBound = this.a.clone();
                }
                al.a().a(this.b.getQueryString());
                this.b.setPageNum(al.a().k(this.b.getPageNum()));
                this.b.setPageSize(al.a().l(this.b.getPageSize()));
                if (this.h == 0) {
                    PoiResult poiResult = (PoiResult) new ab(this.c, new af(this.b.clone(), searchBound)).b();
                    a(poiResult);
                    return poiResult;
                }
                PoiResult a2 = a(this.b.getPageNum());
                if (a2 != null) {
                    return a2;
                }
                PoiResult poiResult2 = (PoiResult) new ab(this.c, new af(this.b.clone(), searchBound)).b();
                i.put(Integer.valueOf(this.b.getPageNum()), poiResult2);
                return poiResult2;
            } else {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
        } catch (AMapException e2) {
            j.a(e2, "PoiSearch", "searchPOI");
            throw new AMapException(e2.getErrorMessage());
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void searchPOIAsyn() {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bj.AnonymousClass1 */

                public final void run() {
                    u.i iVar;
                    Message obtainMessage = bj.this.j.obtainMessage();
                    obtainMessage.arg1 = 6;
                    obtainMessage.what = 600;
                    Bundle bundle = new Bundle();
                    PoiResult poiResult = null;
                    try {
                        poiResult = bj.this.searchPOI();
                        bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                        iVar = new u.i();
                    } catch (AMapException e) {
                        bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                        iVar = new u.i();
                    } catch (Throwable th) {
                        u.i iVar2 = new u.i();
                        iVar2.b = bj.this.d;
                        iVar2.a = poiResult;
                        obtainMessage.obj = iVar2;
                        obtainMessage.setData(bundle);
                        bj.this.j.sendMessage(obtainMessage);
                        throw th;
                    }
                    iVar.b = bj.this.d;
                    iVar.a = poiResult;
                    obtainMessage.obj = iVar;
                    obtainMessage.setData(bundle);
                    bj.this.j.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiItem searchPOIId(String str) throws AMapException {
        PoiSearch.Query query;
        s.a(this.c);
        PoiSearch.Query query2 = this.b;
        if (query2 != null) {
            query = query2.clone();
        } else {
            query = null;
        }
        return (PoiItem) new z(this.c, str, query).b();
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void searchPOIIdAsyn(final String str) {
        at.a().a(new Runnable() {
            /* class com.amap.api.col.s.bj.AnonymousClass2 */

            public final void run() {
                u.g gVar;
                Message obtainMessage = u.a().obtainMessage();
                obtainMessage.arg1 = 6;
                obtainMessage.what = 602;
                Bundle bundle = new Bundle();
                PoiItem poiItem = null;
                try {
                    poiItem = bj.this.searchPOIId(str);
                    bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    gVar = new u.g();
                } catch (AMapException e) {
                    j.a(e, "PoiSearch", "searchPOIIdAsyn");
                    bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    gVar = new u.g();
                } catch (Throwable th) {
                    u.g gVar2 = new u.g();
                    gVar2.b = bj.this.d;
                    gVar2.a = poiItem;
                    obtainMessage.obj = gVar2;
                    obtainMessage.setData(bundle);
                    bj.this.j.sendMessage(obtainMessage);
                    throw th;
                }
                gVar.b = bj.this.d;
                gVar.a = poiItem;
                obtainMessage.obj = gVar;
                obtainMessage.setData(bundle);
                bj.this.j.sendMessage(obtainMessage);
            }
        });
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setQuery(PoiSearch.Query query) {
        this.b = query;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setBound(PoiSearch.SearchBound searchBound) {
        this.a = searchBound;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiSearch.Query getQuery() {
        return this.b;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiSearch.SearchBound getBound() {
        return this.a;
    }

    private void a(PoiResult poiResult) {
        int i2;
        i = new HashMap<>();
        PoiSearch.Query query = this.b;
        if (query != null && poiResult != null && (i2 = this.h) > 0 && i2 > query.getPageNum()) {
            i.put(Integer.valueOf(this.b.getPageNum()), poiResult);
        }
    }

    private PoiResult a(int i2) {
        if (b(i2)) {
            return i.get(Integer.valueOf(i2));
        }
        throw new IllegalArgumentException("page out of range");
    }

    private boolean b(int i2) {
        return i2 <= this.h && i2 >= 0;
    }
}
