package com.amap.api.col.s;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import com.amap.api.col.s.ca;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.interfaces.IRouteSearchV2;
import com.amap.api.services.route.BusRouteResultV2;
import com.amap.api.services.route.DriveRouteResultV2;
import com.amap.api.services.route.RideRouteResultV2;
import com.amap.api.services.route.RouteSearchV2;
import com.amap.api.services.route.WalkRouteResultV2;

/* compiled from: RouteSearchCoreV2 */
public final class bn implements IRouteSearchV2 {
    private RouteSearchV2.OnRouteSearchListener a;
    private Context b;
    private Handler c;

    public bn(Context context) throws AMapException {
        cb a2 = ca.a(context, i.a(false));
        if (a2.a == ca.c.SuccessCode) {
            this.b = context.getApplicationContext();
            this.c = u.a();
            return;
        }
        throw new AMapException(a2.b, 1, a2.b, a2.a.a());
    }

    private static boolean a(RouteSearchV2.FromAndTo fromAndTo) {
        if (fromAndTo == null || fromAndTo.getFrom() == null || fromAndTo.getTo() == null) {
            return false;
        }
        return true;
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void setRouteSearchListener(RouteSearchV2.OnRouteSearchListener onRouteSearchListener) {
        this.a = onRouteSearchListener;
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final DriveRouteResultV2 calculateDriveRoute(RouteSearchV2.DriveRouteQuery driveRouteQuery) throws AMapException {
        try {
            s.a(this.b);
            if (driveRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (a(driveRouteQuery.getFromAndTo())) {
                al.a();
                al.b(driveRouteQuery.getPassedByPoints());
                al.a().c(driveRouteQuery.getAvoidpolygons());
                RouteSearchV2.DriveRouteQuery clone = driveRouteQuery.clone();
                DriveRouteResultV2 driveRouteResultV2 = (DriveRouteResultV2) new o(this.b, clone).b();
                if (driveRouteResultV2 != null) {
                    driveRouteResultV2.setDriveQuery(clone);
                }
                return driveRouteResultV2;
            } else {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
        } catch (AMapException e) {
            j.a(e, "RouteSearch", "calculateDriveRoute");
            throw e;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateDriveRouteAsyn(final RouteSearchV2.DriveRouteQuery driveRouteQuery) {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bn.AnonymousClass1 */

                public final void run() {
                    Message obtainMessage = u.a().obtainMessage();
                    obtainMessage.what = 101;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    DriveRouteResultV2 driveRouteResultV2 = null;
                    try {
                        driveRouteResultV2 = bn.this.calculateDriveRoute(driveRouteQuery);
                        bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    } catch (AMapException e) {
                        bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    } catch (Throwable th) {
                        obtainMessage.obj = bn.this.a;
                        bundle.putParcelable("result", driveRouteResultV2);
                        obtainMessage.setData(bundle);
                        bn.this.c.sendMessage(obtainMessage);
                        throw th;
                    }
                    obtainMessage.obj = bn.this.a;
                    bundle.putParcelable("result", driveRouteResultV2);
                    obtainMessage.setData(bundle);
                    bn.this.c.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            j.a(th, "RouteSearch", "calculateDriveRouteAsyn");
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final WalkRouteResultV2 calculateWalkRoute(RouteSearchV2.WalkRouteQuery walkRouteQuery) throws AMapException {
        try {
            s.a(this.b);
            if (walkRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (a(walkRouteQuery.getFromAndTo())) {
                al.a().b(walkRouteQuery.getFromAndTo());
                RouteSearchV2.WalkRouteQuery clone = walkRouteQuery.clone();
                WalkRouteResultV2 walkRouteResultV2 = (WalkRouteResultV2) new aw(this.b, clone).b();
                if (walkRouteResultV2 != null) {
                    walkRouteResultV2.setWalkQuery(clone);
                }
                return walkRouteResultV2;
            } else {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
        } catch (AMapException e) {
            j.a(e, "RouteSearch", "calculateWalkRoute");
            throw e;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateWalkRouteAsyn(final RouteSearchV2.WalkRouteQuery walkRouteQuery) {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bn.AnonymousClass2 */

                public final void run() {
                    Message obtainMessage = u.a().obtainMessage();
                    obtainMessage.what = 102;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    WalkRouteResultV2 walkRouteResultV2 = null;
                    try {
                        walkRouteResultV2 = bn.this.calculateWalkRoute(walkRouteQuery);
                        bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    } catch (AMapException e) {
                        bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    } catch (Throwable th) {
                        obtainMessage.obj = bn.this.a;
                        bundle.putParcelable("result", walkRouteResultV2);
                        obtainMessage.setData(bundle);
                        bn.this.c.sendMessage(obtainMessage);
                        throw th;
                    }
                    obtainMessage.obj = bn.this.a;
                    bundle.putParcelable("result", walkRouteResultV2);
                    obtainMessage.setData(bundle);
                    bn.this.c.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            j.a(th, "RouteSearch", "calculateWalkRouteAsyn");
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final RideRouteResultV2 calculateRideRoute(RouteSearchV2.RideRouteQuery rideRouteQuery) throws AMapException {
        try {
            s.a(this.b);
            if (rideRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (a(rideRouteQuery.getFromAndTo())) {
                al.a().a(rideRouteQuery.getFromAndTo());
                RouteSearchV2.RideRouteQuery clone = rideRouteQuery.clone();
                RideRouteResultV2 rideRouteResultV2 = (RideRouteResultV2) new ao(this.b, clone).b();
                if (rideRouteResultV2 != null) {
                    rideRouteResultV2.setRideQuery(clone);
                }
                return rideRouteResultV2;
            } else {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
        } catch (AMapException e) {
            j.a(e, "RouteSearch", "calculaterideRoute");
            throw e;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateRideRouteAsyn(final RouteSearchV2.RideRouteQuery rideRouteQuery) {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bn.AnonymousClass3 */

                public final void run() {
                    Message obtainMessage = u.a().obtainMessage();
                    obtainMessage.what = 103;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    RideRouteResultV2 rideRouteResultV2 = null;
                    try {
                        rideRouteResultV2 = bn.this.calculateRideRoute(rideRouteQuery);
                        bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    } catch (AMapException e) {
                        bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    } catch (Throwable th) {
                        obtainMessage.obj = bn.this.a;
                        bundle.putParcelable("result", rideRouteResultV2);
                        obtainMessage.setData(bundle);
                        bn.this.c.sendMessage(obtainMessage);
                        throw th;
                    }
                    obtainMessage.obj = bn.this.a;
                    bundle.putParcelable("result", rideRouteResultV2);
                    obtainMessage.setData(bundle);
                    bn.this.c.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            j.a(th, "RouteSearch", "calculateRideRouteAsyn");
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final BusRouteResultV2 calculateBusRoute(RouteSearchV2.BusRouteQuery busRouteQuery) throws AMapException {
        try {
            s.a(this.b);
            if (busRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (a(busRouteQuery.getFromAndTo())) {
                RouteSearchV2.BusRouteQuery clone = busRouteQuery.clone();
                BusRouteResultV2 busRouteResultV2 = (BusRouteResultV2) new d(this.b, clone).b();
                if (busRouteResultV2 != null) {
                    busRouteResultV2.setBusQuery(clone);
                }
                return busRouteResultV2;
            } else {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
        } catch (AMapException e) {
            j.a(e, "RouteSearch", "calculateBusRoute");
            throw e;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateBusRouteAsyn(final RouteSearchV2.BusRouteQuery busRouteQuery) {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bn.AnonymousClass4 */

                public final void run() {
                    Message obtainMessage = u.a().obtainMessage();
                    obtainMessage.what = 100;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    BusRouteResultV2 busRouteResultV2 = null;
                    try {
                        busRouteResultV2 = bn.this.calculateBusRoute(busRouteQuery);
                        bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    } catch (AMapException e) {
                        bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    } catch (Throwable th) {
                        obtainMessage.obj = bn.this.a;
                        bundle.putParcelable("result", busRouteResultV2);
                        obtainMessage.setData(bundle);
                        bn.this.c.sendMessage(obtainMessage);
                        throw th;
                    }
                    obtainMessage.obj = bn.this.a;
                    bundle.putParcelable("result", busRouteResultV2);
                    obtainMessage.setData(bundle);
                    bn.this.c.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            j.a(th, "RouteSearch", "calculateBusRouteAsyn");
        }
    }
}
