package com.amap.api.location;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.autonavi.aps.amapapi.utils.b;
import com.autonavi.aps.amapapi.utils.d;
import com.autonavi.aps.amapapi.utils.g;
import com.autonavi.aps.amapapi.utils.i;
import org.json.JSONObject;

public class CoordinateConverter {
    private static int b = 0;
    private static int c = 1;
    private static int d = 2;
    private static int e = 4;
    private static int f = 8;
    private static int g = 16;
    private static int h = 32;
    private static int i = 64;
    DPoint a = null;
    private Context j;
    private CoordType k = null;
    private DPoint l = null;

    public enum CoordType {
        BAIDU,
        MAPBAR,
        MAPABC,
        SOSOMAP,
        ALIYUN,
        GOOGLE,
        GPS
    }

    public CoordinateConverter(Context context) {
        this.j = context;
    }

    public synchronized CoordinateConverter from(CoordType coordType) {
        this.k = coordType;
        return this;
    }

    public synchronized CoordinateConverter coord(DPoint dPoint) throws Exception {
        if (dPoint == null) {
            throw new IllegalArgumentException("传入经纬度对象为空");
        } else if (dPoint.getLongitude() > 180.0d || dPoint.getLongitude() < -180.0d) {
            throw new IllegalArgumentException("请传入合理经度");
        } else if (dPoint.getLatitude() > 90.0d || dPoint.getLatitude() < -90.0d) {
            throw new IllegalArgumentException("请传入合理纬度");
        } else {
            this.l = dPoint;
        }
        return this;
    }

    public synchronized DPoint convert() throws Exception {
        if (this.k == null) {
            throw new IllegalArgumentException("转换坐标类型不能为空");
        } else if (this.l == null) {
            throw new IllegalArgumentException("转换坐标源不能为空");
        } else if (this.l.getLongitude() > 180.0d || this.l.getLongitude() < -180.0d) {
            throw new IllegalArgumentException("请传入合理经度");
        } else if (this.l.getLatitude() > 90.0d || this.l.getLatitude() < -90.0d) {
            throw new IllegalArgumentException("请传入合理纬度");
        } else {
            boolean z = false;
            String str = null;
            switch (AnonymousClass1.a[this.k.ordinal()]) {
                case 1:
                    this.a = d.a(this.l);
                    if ((b & c) == 0) {
                        str = "baidu";
                        b |= c;
                        z = true;
                        break;
                    }
                    break;
                case 2:
                    this.a = d.b(this.j, this.l);
                    if ((b & d) == 0) {
                        str = "mapbar";
                        b |= d;
                        z = true;
                        break;
                    }
                    break;
                case 3:
                    if ((b & e) == 0) {
                        str = "mapabc";
                        b |= e;
                        z = true;
                    }
                    this.a = this.l;
                    break;
                case 4:
                    if ((b & f) == 0) {
                        str = "sosomap";
                        b |= f;
                        z = true;
                    }
                    this.a = this.l;
                    break;
                case 5:
                    if ((b & g) == 0) {
                        str = "aliyun";
                        b |= g;
                        z = true;
                    }
                    this.a = this.l;
                    break;
                case 6:
                    if ((b & h) == 0) {
                        str = "google";
                        b |= h;
                        z = true;
                    }
                    this.a = this.l;
                    break;
                case 7:
                    if ((b & i) == 0) {
                        str = GeocodeSearch.GPS;
                        b |= i;
                        z = true;
                    }
                    this.a = d.a(this.j, this.l);
                    break;
            }
            if (z) {
                JSONObject jSONObject = new JSONObject();
                if (!TextUtils.isEmpty(str)) {
                    jSONObject.put("amap_loc_coordinate", str);
                }
                g.a(this.j, "O021", jSONObject);
            }
        }
        return this.a;
    }

    /* renamed from: com.amap.api.location.CoordinateConverter$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] a;

        static {
            int[] iArr = new int[CoordType.values().length];
            a = iArr;
            try {
                iArr[CoordType.BAIDU.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                a[CoordType.MAPBAR.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                a[CoordType.MAPABC.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                a[CoordType.SOSOMAP.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            try {
                a[CoordType.ALIYUN.ordinal()] = 5;
            } catch (NoSuchFieldError e5) {
            }
            try {
                a[CoordType.GOOGLE.ordinal()] = 6;
            } catch (NoSuchFieldError e6) {
            }
            try {
                a[CoordType.GPS.ordinal()] = 7;
            } catch (NoSuchFieldError e7) {
            }
        }
    }

    public static boolean isAMapDataAvailable(double d2, double d3) {
        return b.a(d2, d3);
    }

    public static float calculateLineDistance(DPoint dPoint, DPoint dPoint2) {
        try {
            return i.a(dPoint, dPoint2);
        } catch (Throwable th) {
            return 0.0f;
        }
    }
}
