package com.autonavi.base.amap.mapcore.maploader;

import android.content.Context;
import android.text.TextUtils;
import com.alipay.sdk.m.s.a;
import com.alipay.sdk.m.u.i;
import com.amap.api.col.p0003l.db;
import com.amap.api.col.p0003l.du;
import com.amap.api.col.p0003l.dx;
import com.amap.api.col.p0003l.dy;
import com.amap.api.col.p0003l.dz;
import com.amap.api.col.p0003l.fg;
import com.amap.api.col.p0003l.fi;
import com.amap.api.col.p0003l.fo;
import com.amap.api.col.p0003l.fr;
import com.amap.api.col.p0003l.gn;
import com.amap.api.col.p0003l.hn;
import com.amap.api.maps.MapsInitializer;
import com.autonavi.base.ae.gmap.GLMapEngine;
import com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher;
import com.igexin.push.f.r;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.DHInterface.IWebview;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.net.URLEncoder;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Map;
import java.util.UUID;

public class AMapLoader implements hn.a {
    private static final int GET_METHOD = 0;
    private static final String NETWORK_RESPONSE_CODE_STRING = "网络异常状态码：";
    private hn downloadManager;
    private volatile boolean isCanceled = false;
    ADataRequestParam mDataRequestParam;
    private int mEngineID = 0;
    GLMapEngine mGLMapEngine;
    private boolean mRequestCancel = false;
    private long requestMapDataPackageSize = 0;
    private long requestMapDataTimestamp = 0;

    public static class ADataRequestParam {
        public byte[] enCodeString;
        public long handler;
        public int nCompress;
        public int nRequestType;
        public String requestBaseUrl;
        public String requestUrl;
    }

    public static class AMapGridDownloadRequest extends db {
        private final Context mContext;
        private byte[] postEntityBytes;
        private String sUrl;
        private String userAgent;

        public AMapGridDownloadRequest(Context context, String str, String str2) {
            this.mContext = context;
            this.sUrl = str;
            this.userAgent = str2;
        }

        @Override // com.amap.api.col.p0003l.hs
        public Map<String, String> getRequestHead() {
            String str;
            fr a = dx.a();
            if (a != null) {
                str = a.b();
            } else {
                str = null;
            }
            String f = fg.f(this.mContext);
            try {
                f = URLEncoder.encode(f, "UTF-8");
            } catch (Throwable th) {
            }
            Hashtable hashtable = new Hashtable(16);
            hashtable.put(IWebview.USER_AGENT, this.userAgent);
            hashtable.put("platinfo", String.format(Locale.US, "platform=Android&sdkversion=%s&product=%s", str, "3dmap"));
            hashtable.put("x-INFO", fi.a(this.mContext));
            hashtable.put("key", f);
            hashtable.put("logversion", "2.1");
            return hashtable;
        }

        @Override // com.amap.api.col.p0003l.db, com.amap.api.col.p0003l.hs
        public Map<String, String> getParams() {
            return null;
        }

        @Override // com.amap.api.col.p0003l.hs
        public String getURL() {
            return this.sUrl;
        }

        @Override // com.amap.api.col.p0003l.hs
        public String getIPV6URL() {
            return dx.a(getURL());
        }

        @Override // com.amap.api.col.p0003l.hs
        public boolean isSupportIPV6() {
            return true;
        }

        public void setPostEntityBytes(byte[] bArr) {
            this.postEntityBytes = bArr;
        }

        @Override // com.amap.api.col.p0003l.hs
        public byte[] getEntityBytes() {
            return this.postEntityBytes;
        }
    }

    @Override // com.amap.api.col.p0003l.hn.a
    public void onDownload(byte[] bArr, long j) {
        GLMapEngine gLMapEngine;
        ADataRequestParam aDataRequestParam;
        if (bArr != null && (gLMapEngine = this.mGLMapEngine) != null && (aDataRequestParam = this.mDataRequestParam) != null) {
            gLMapEngine.receiveNetData(this.mEngineID, aDataRequestParam.handler, bArr, bArr.length);
        }
    }

    @Override // com.amap.api.col.p0003l.hn.a
    public void onStop() {
        ADataRequestParam aDataRequestParam;
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (!(gLMapEngine == null || (aDataRequestParam = this.mDataRequestParam) == null)) {
            gLMapEngine.netStop(this.mEngineID, aDataRequestParam.handler, -1);
        }
        staticNetworkPerformance();
    }

    @Override // com.amap.api.col.p0003l.hn.a
    public void onFinish() {
        ADataRequestParam aDataRequestParam;
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (!(gLMapEngine == null || (aDataRequestParam = this.mDataRequestParam) == null)) {
            gLMapEngine.finishDownLoad(this.mEngineID, aDataRequestParam.handler);
        }
        staticNetworkPerformance();
    }

    @Override // com.amap.api.col.p0003l.hn.a
    public void onException(Throwable th) {
        ADataRequestParam aDataRequestParam;
        int i;
        ADataRequestParam aDataRequestParam2;
        int indexOf;
        try {
            String str = new String(th.getMessage().getBytes("UTF-8"), "UTF-8");
            if (TextUtils.isEmpty(str) || (indexOf = str.indexOf(NETWORK_RESPONSE_CODE_STRING)) == -1) {
                i = -1;
            } else {
                i = Integer.parseInt(str.substring(indexOf + 8));
            }
            GLMapEngine gLMapEngine = this.mGLMapEngine;
            if (!(gLMapEngine == null || (aDataRequestParam2 = this.mDataRequestParam) == null)) {
                gLMapEngine.netError(this.mEngineID, aDataRequestParam2.handler, -1, i);
            }
            GLMapEngine gLMapEngine2 = this.mGLMapEngine;
            if (gLMapEngine2 != null) {
                du.a(gLMapEngine2.getContext(), this.mGLMapEngine.hashCode(), !this.mGLMapEngine.isNetworkConnected(), getNetworkFailedReason(th.getMessage()));
            }
        } catch (Throwable th2) {
            GLMapEngine gLMapEngine3 = this.mGLMapEngine;
            if (!(gLMapEngine3 == null || (aDataRequestParam = this.mDataRequestParam) == null)) {
                gLMapEngine3.netError(this.mEngineID, aDataRequestParam.handler, -1, -1);
            }
            GLMapEngine gLMapEngine4 = this.mGLMapEngine;
            if (gLMapEngine4 != null) {
                du.a(gLMapEngine4.getContext(), this.mGLMapEngine.hashCode(), !this.mGLMapEngine.isNetworkConnected(), getNetworkFailedReason(th.getMessage()));
            }
        }
        gn.b(th, "AMapLoader", "download onException");
        String str2 = dy.e;
        dz.b(str2, "map loader exception " + th.getMessage());
    }

    public AMapLoader(int i, GLMapEngine gLMapEngine, ADataRequestParam aDataRequestParam) {
        this.mDataRequestParam = aDataRequestParam;
        this.mEngineID = i;
        this.mGLMapEngine = gLMapEngine;
        this.mRequestCancel = false;
    }

    public void doRequest() {
        boolean z;
        if (fo.a(this.mGLMapEngine.getContext(), dx.a()).a == fo.c.SuccessCode && !this.mRequestCancel) {
            String str = this.mDataRequestParam.requestBaseUrl;
            String str2 = this.mDataRequestParam.requestUrl;
            if (!str.endsWith(Operators.CONDITION_IF_STRING)) {
                str = str + Operators.CONDITION_IF_STRING;
            }
            String replaceAll = str2.replaceAll(i.b, getEncodeRequestParams(i.b).toString());
            if (str == null || !str.contains("http://m5.amap.com/")) {
                z = false;
            } else {
                z = true;
            }
            String requestParams = getRequestParams(replaceAll, z, this.mDataRequestParam.nRequestType);
            StringBuffer stringBuffer = new StringBuffer();
            if (this.mDataRequestParam.nRequestType == 0) {
                stringBuffer.append(requestParams);
                stringBuffer.append("&csid=" + UUID.randomUUID().toString());
            } else {
                stringBuffer.append("csid=" + UUID.randomUUID().toString());
            }
            try {
                AMapGridDownloadRequest aMapGridDownloadRequest = new AMapGridDownloadRequest(this.mGLMapEngine.getContext(), str + generateQueryString(this.mGLMapEngine.getContext(), stringBuffer.toString()), this.mGLMapEngine.getUserAgent());
                aMapGridDownloadRequest.setConnectionTimeout(HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT);
                aMapGridDownloadRequest.setSoTimeout(HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT);
                if (this.mDataRequestParam.nRequestType != 0) {
                    aMapGridDownloadRequest.setPostEntityBytes(requestParams.getBytes("UTF-8"));
                }
                this.requestMapDataTimestamp = System.currentTimeMillis();
                this.requestMapDataPackageSize = aMapGridDownloadRequest.getEntityBytes() == null ? 0 : (long) aMapGridDownloadRequest.getEntityBytes().length;
                hn hnVar = new hn(aMapGridDownloadRequest, 0, -1, MapsInitializer.getProtocol() == 2);
                this.downloadManager = hnVar;
                hnVar.a(this);
            } catch (Throwable th) {
                onException(th);
            } finally {
                doCancel();
            }
        }
    }

    public void doCancel() {
        this.mRequestCancel = true;
        if (this.downloadManager != null && !this.isCanceled) {
            synchronized (this.downloadManager) {
                try {
                    this.isCanceled = true;
                    this.downloadManager.a();
                    this.mGLMapEngine.setMapLoaderToTask(this.mEngineID, this.mDataRequestParam.handler, null);
                } catch (Throwable th) {
                    gn.b(th, "AMapLoader", "doCancel");
                }
            }
        }
    }

    public void doCancelAndNotify() {
        doCancel();
        onCancel();
    }

    private void onCancel() {
        ADataRequestParam aDataRequestParam;
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (gLMapEngine != null && (aDataRequestParam = this.mDataRequestParam) != null) {
            gLMapEngine.netCancel(this.mEngineID, aDataRequestParam.handler, -1);
        }
    }

    private String getEncodeRequestParams(String str) {
        try {
            return URLEncoder.encode(str, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        }
    }

    /* access modifiers changed from: protected */
    public String getRequestParams(String str, boolean z, int i) {
        StringBuffer stringBuffer = new StringBuffer(str);
        if (z) {
            stringBuffer.append("&channel=amap7&div=GNaviMap");
        } else {
            stringBuffer.append("&channel=amapapi");
            stringBuffer.append("&div=GNaviMap");
        }
        return stringBuffer.toString();
    }

    private String generateQueryString(Context context, String str) {
        StringBuffer stringBuffer = new StringBuffer(str);
        String f = fg.f(this.mGLMapEngine.getContext());
        try {
            f = URLEncoder.encode(f, "UTF-8");
        } catch (Throwable th) {
        }
        stringBuffer.append("&key=");
        stringBuffer.append(f);
        String sortReEncoderParams = sortReEncoderParams(stringBuffer.toString());
        String a = fi.a();
        stringBuffer.append("&ts=".concat(String.valueOf(a)));
        stringBuffer.append("&scode=" + fi.a(context, a, sortReEncoderParams));
        stringBuffer.append("&dip=16300");
        return stringBuffer.toString();
    }

    private String sortReEncoderParams(String str) {
        String[] split = str.split(a.n);
        Arrays.sort(split);
        StringBuffer stringBuffer = new StringBuffer();
        for (String str2 : split) {
            stringBuffer.append(strReEncoder(str2));
            stringBuffer.append(a.n);
        }
        String stringBuffer2 = stringBuffer.toString();
        if (stringBuffer2.length() > 1) {
            return (String) stringBuffer2.subSequence(0, stringBuffer2.length() - 1);
        }
        return str;
    }

    private String strReEncoder(String str) {
        if (str == null) {
            return str;
        }
        try {
            return URLDecoder.decode(str, r.b);
        } catch (UnsupportedEncodingException e) {
            gn.b(e, "AbstractProtocalHandler", "strReEncoder");
            return "";
        } catch (Exception e2) {
            gn.b(e2, "AbstractProtocalHandler", "strReEncoderException");
            return "";
        }
    }

    private String getNetworkFailedReason(String str) {
        return !this.mGLMapEngine.isNetworkConnected() ? "无网络" : str;
    }

    private void staticNetworkPerformance() {
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (gLMapEngine != null) {
            du.a(gLMapEngine.getContext(), this.mGLMapEngine.hashCode(), System.currentTimeMillis() - this.requestMapDataTimestamp, this.requestMapDataPackageSize);
        }
    }
}
