package com.baidu.aip.core.recog.listener;

import com.baidu.aip.core.recog.IStatus;
import com.baidu.aip.core.recog.RecogResult;

public class StatusRecogListener implements IRecogListener, IStatus {
    private static final String TAG = "StatusRecogListener";
    protected int status = 2;

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrReady() {
        this.status = 3;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrBegin() {
        this.status = 4;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrEnd() {
        this.status = 5;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrPartialResult(String[] results, RecogResult recogResult) {
        this.status = 11;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrFinalResult(String[] results, RecogResult recogResult) {
        this.status = 13;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrFinish(RecogResult recogResult) {
        this.status = 13;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrFinishError(int errorCode, int subErrorCode, String descMessage, RecogResult recogResult) {
        this.status = 12;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrLongFinish() {
        this.status = 7;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrVolume(int volumePercent, int volume) {
        this.status = 100;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrAudio(byte[] data, int offset, int length) {
        if (offset != 0 || data.length != length) {
            System.arraycopy(data, 0, new byte[length], 0, length);
        }
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrExit() {
        this.status = 2;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onAsrOnlineNluResult(String nluResult) {
        this.status = 13;
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onOfflineLoaded() {
    }

    @Override // com.baidu.aip.core.recog.listener.IRecogListener
    public void onOfflineUnLoaded() {
    }
}
