package com.baidu.speech;

import android.media.AudioRecord;
import android.net.LocalSocket;
import android.net.LocalSocketAddress;
import com.baidu.speech.audio.MicrophoneServer;
import java.io.IOException;
import java.io.InputStream;
import java.util.concurrent.Callable;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;

public final class MicrophoneInputStream extends InputStream {
    private static final String TAG = "MicrophoneInputStream";
    private String SOCKET_ADDRESS;
    private final LocalSocket socket;
    private final InputStream source;

    public MicrophoneInputStream() throws IOException {
        this(1, 16000);
    }

    public MicrophoneInputStream(int i) throws IOException {
        this(1, i);
    }

    public MicrophoneInputStream(int i, int i2) throws IOException {
        this(i, i2, null);
    }

    public MicrophoneInputStream(int i, int i2, InputStream inputStream) throws IOException {
        this(i, i2, inputStream, null);
    }

    public MicrophoneInputStream(int i, int i2, InputStream inputStream, AudioRecord audioRecord) throws IOException {
        this.SOCKET_ADDRESS = "com.baidu.speech";
        final LocalSocket[] localSocketArr = new LocalSocket[1];
        MicrophoneServer.create("", i);
        try {
            this.socket = (LocalSocket) Executors.newSingleThreadExecutor().submit(new Callable<LocalSocket>() {
                /* class com.baidu.speech.MicrophoneInputStream.AnonymousClass1 */

                @Override // java.util.concurrent.Callable
                public LocalSocket call() throws Exception {
                    localSocketArr[0] = new LocalSocket();
                    localSocketArr[0].connect(new LocalSocketAddress(MicrophoneInputStream.this.SOCKET_ADDRESS));
                    localSocketArr[0].getOutputStream().write(0);
                    if (localSocketArr[0].getInputStream().read(new byte[640]) != 6) {
                        return localSocketArr[0];
                    }
                    localSocketArr[0].close();
                    throw new IOException("Recorder open failed");
                }
            }).get(23000, TimeUnit.MILLISECONDS);
            this.source = localSocketArr[0].getInputStream();
            new Thread() {
                /* class com.baidu.speech.MicrophoneInputStream.AnonymousClass2 */

                public void run() {
                    while (true) {
                        try {
                            MicrophoneInputStream.this.socket.getInputStream().read(new byte[640]);
                        } catch (Exception e) {
                            e.printStackTrace();
                            return;
                        }
                    }
                }
            }.start();
        } catch (Exception e) {
            if (localSocketArr[0] != null) {
                localSocketArr[0].close();
            }
            if (inputStream != null) {
                inputStream.close();
            }
            throw new IOException(e);
        }
    }

    public MicrophoneInputStream(int i, InputStream inputStream) throws IOException {
        this(1, i, inputStream);
    }

    public MicrophoneInputStream(AudioRecord audioRecord) throws IOException {
        this(1, 16000, null, audioRecord);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() throws IOException {
        super.close();
        InputStream inputStream = this.source;
        if (inputStream != null) {
            inputStream.close();
        }
        LocalSocket localSocket = this.socket;
        if (localSocket != null) {
            localSocket.close();
        }
    }

    public long mills() {
        return 0;
    }

    public void mills(long j) {
    }

    @Override // java.io.InputStream
    public int read() throws IOException {
        return 0;
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i, int i2) throws IOException {
        return this.source.read(bArr, i, i2);
    }
}
