package com.baidu.speech.asr;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import com.baidu.speech.EventListener;
import com.baidu.speech.EventManager;
import java.util.ArrayList;
import java.util.Iterator;

public class EventManagerSlot implements EventManager {
    private ArrayList<EventListener> listeners = new ArrayList<>();
    private Context mContext;
    private Handler mHandler = new Handler(Looper.getMainLooper());
    private SlotControl mSlotControl;

    public EventManagerSlot(Context context) {
        this.mContext = context;
        try {
            this.mSlotControl = new SlotControl(this.mContext);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.baidu.speech.EventManager
    public void registerListener(EventListener eventListener) {
        if (eventListener != null) {
            this.listeners.add(eventListener);
        }
    }

    @Override // com.baidu.speech.EventManager
    public void send(String str, String str2, byte[] bArr, int i, int i2) {
        SlotControl slotControl;
        if (!TextUtils.isEmpty(str) && (slotControl = this.mSlotControl) != null) {
            slotControl.setListener(new EventListener() {
                /* class com.baidu.speech.asr.EventManagerSlot.AnonymousClass1 */

                @Override // com.baidu.speech.EventListener
                public void onEvent(final String str, final String str2, final byte[] bArr, final int i, final int i2) {
                    synchronized (EventManagerSlot.this.listeners) {
                        Iterator it = EventManagerSlot.this.listeners.iterator();
                        while (it.hasNext()) {
                            final EventListener eventListener = (EventListener) it.next();
                            EventManagerSlot.this.mHandler.post(new Runnable() {
                                /* class com.baidu.speech.asr.EventManagerSlot.AnonymousClass1.AnonymousClass1 */

                                public void run() {
                                    EventListener eventListener = eventListener;
                                    if (eventListener != null) {
                                        eventListener.onEvent(str, str2, bArr, i, i2);
                                    }
                                }
                            });
                        }
                    }
                }
            });
            this.mSlotControl.postEvent(str, str2);
        }
    }

    @Override // com.baidu.speech.EventManager
    public void unregisterListener(EventListener eventListener) {
        this.listeners.remove(eventListener);
    }
}
