package com.baidu.speech.core;

import android.util.Log;
import com.baidu.speech.utils.CommonParam;
import com.baidu.speech.utils.LogUtil;
import com.taobao.weex.el.parse.Operators;
import com.tencent.connect.common.Constants;
import com.tencent.ugc.TXRecordCommon;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.constant.AbsoluteConst;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.IOException;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.SocketTimeoutException;
import java.net.URL;
import java.net.URLConnection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLException;
import javax.net.ssl.SSLSession;
import javax.net.ssl.SSLSocketFactory;
import org.json.JSONObject;

public class BDSHttpRequestMaker {
    private static final String BACKUP_URL_NORTH = "119.75.222.172";
    private static final String BACKUP_URL_SOUTH = "182.61.62.25";
    private static final int CONNECTION_TIMEOUT = 3;
    private static final Boolean DEBUG = true;
    private static final String TAG = "BDSHttpRequestMaker";
    private static final int TIMEOUT_DURATION = 10;
    private static final int TYPE_DOWNLOAD_FINAL = 241;
    private static final int TYPE_DOWNLOAD_FINISH = 243;
    private static final int TYPE_DOWNLOAD_PARTIAL = 240;
    private static final int TYPE_DOWNLOAD_THIRD_DATA = 242;
    private static final int TYPE_UPLOAD_AUDIO = 1;
    private static final int TYPE_UPLOAD_CANCEL = 4;
    private static final int TYPE_UPLOAD_FINISH = 3;
    private static final int TYPE_UPLOAD_PARAM = 0;
    private static final int TYPE_UPLOAD_THIRD_DATA = 2;
    private static SSLSocketFactory defaultSslFactory = HttpsURLConnection.getDefaultSSLSocketFactory();
    private static HostnameVerifier defaulthostVerifier = HttpsURLConnection.getDefaultHostnameVerifier();
    private static String mHostIp = "";
    private static SSLContext sSSLContext = null;
    private final int CONNECTION_STATUS_CLOSE = 2;
    private final int CONNECTION_STATUS_INIT = 0;
    private final int CONNECTION_STATUS_WORKING = 1;
    final HostnameVerifier DO_NOT_VERIFY = new HostnameVerifier() {
        /* class com.baidu.speech.core.BDSHttpRequestMaker.AnonymousClass1 */

        public boolean verify(String str, SSLSession sSLSession) {
            String convertHostname = BDSHttpRequestMaker.convertHostname(str);
            if (Log.isLoggable(BDSHttpRequestMaker.TAG, 3) || BDSHttpRequestMaker.DEBUG.booleanValue()) {
                BDSHttpRequestMaker bDSHttpRequestMaker = BDSHttpRequestMaker.this;
                bDSHttpRequestMaker.logD(BDSHttpRequestMaker.TAG, "hostname : " + str + " verifyUrl : " + convertHostname);
            }
            return convertHostname.equals("vse.baidu.com") || convertHostname.equals("vop.baidu.com") || convertHostname.equals("openapi.baidu.com") || convertHostname.equals("audiotest.baidu.com") || convertHostname.equals(BDSHttpRequestMaker.BACKUP_URL_NORTH) || convertHostname.equals(BDSHttpRequestMaker.BACKUP_URL_SOUTH) || convertHostname.equals("httpsdns.baidu.com") || convertHostname.equals("upl.baidu.com") || convertHostname.contains(".baidu.");
        }
    };
    private boolean mAgentDownload = false;
    private boolean mAgentUpload = false;
    private HttpURLConnection mDownloadConnection = null;
    private int mDownloadConnectionStatus = 0;
    private DataInputStream mDownloadInputStream = null;
    private ArrayList<BDSHTTPResponse> mErrorArray = new ArrayList<>();
    private String mNorthDownUrl;
    private String mNorthUpUrl;
    private boolean mRetriedNorth = false;
    private boolean mRetriedSouth = false;
    private String mSouthDownUrl;
    private String mSouthUpUrl;
    private int mUploadConnctionStatus = 0;
    private HttpURLConnection mUploadConnection = null;
    private OutputStream mUploadOutputStream = null;
    private MyUploadThread mUploadThread = new MyUploadThread();
    private boolean mUploadedData = false;

    /* access modifiers changed from: private */
    public class AudioData {
        public byte[] mData;
        public boolean mIsLast;
        public int mType;

        public AudioData(int i, byte[] bArr, boolean z) {
            this.mType = i;
            this.mIsLast = z;
            int length = bArr.length + 1;
            byte[] bArr2 = {(byte) i};
            byte[] bArr3 = new byte[(length + 4)];
            this.mData = bArr3;
            System.arraycopy(new byte[]{(byte) (length & 255), (byte) ((length >> 8) & 255), (byte) ((length >> 16) & 255), (byte) (length >> 24)}, 0, bArr3, 0, 4);
            System.arraycopy(bArr2, 0, this.mData, 4, 1);
            System.arraycopy(bArr, 0, this.mData, 5, bArr.length);
            if (Log.isLoggable(BDSHttpRequestMaker.TAG, 3) || BDSHttpRequestMaker.DEBUG.booleanValue()) {
                BDSHttpRequestMaker.this.logI(BDSHttpRequestMaker.TAG, "AudioData : mType = " + this.mType + " | mIsLast = " + this.mIsLast + " | mData = " + this.mData.length);
            }
        }
    }

    private class MyDownloadThread extends Thread {
        private MyDownloadThread() {
        }

        public void run() {
        }
    }

    private class MyUploadThread extends Thread {
        private MyUploadThread() {
        }

        public void run() {
        }
    }

    /* access modifiers changed from: private */
    public static String convertHostname(String str) {
        return (str.equals("vse.baidu.com") || str.equals("vop.baidu.com") || str.equals("openapi.baidu.com") || str.equals("upl.baidu.com") || !str.equals(mHostIp)) ? str : CommonParam.REQUEST_URL;
    }

    private void generateBackupUrls(String str, int i) {
        if (1 == i) {
            this.mNorthUpUrl = str.replace(mHostIp, BACKUP_URL_NORTH);
            this.mSouthUpUrl = str.replace(mHostIp, BACKUP_URL_SOUTH);
        } else if (2 == i) {
            this.mNorthDownUrl = str.replace(mHostIp, BACKUP_URL_NORTH);
            this.mSouthDownUrl = str.replace(mHostIp, BACKUP_URL_SOUTH);
        }
    }

    public static BDSHttpRequestMaker newRequestMaker() {
        if (sSSLContext == null) {
            try {
                SSLContext instance = SSLContext.getInstance("TLS");
                sSSLContext = instance;
                instance.init(null, null, null);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return new BDSHttpRequestMaker();
    }

    private Proxy setAgent() {
        String str = CommonParam.AGENT_URL;
        if (str == "") {
            return null;
        }
        try {
            URL url = new URL(str);
            String hostAddress = InetAddress.getByName(url.getHost()).getHostAddress();
            Log.e(TAG, "ip: " + hostAddress + " port: " + url.getPort());
            return new Proxy(Proxy.Type.HTTP, new InetSocketAddress(url.getHost(), url.getPort()));
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    public void cancelRequest() {
        try {
            this.mAgentDownload = false;
            this.mAgentUpload = false;
            if (this.mUploadConnection != null) {
                this.mUploadConnection.disconnect();
                this.mUploadConnection = null;
            }
            if (this.mDownloadConnection != null) {
                this.mDownloadConnection.disconnect();
                this.mDownloadConnection = null;
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log.e(TAG, "BDSHttpRequestMaker cancelRequest exception");
        }
    }

    /* access modifiers changed from: package-private */
    public void logD(String str, String str2) {
        Log.d(str, str2 + " &" + Integer.toHexString(hashCode()) + ", ");
    }

    /* access modifiers changed from: package-private */
    public void logI(String str, String str2) {
        Log.i(str, str2 + " &" + Integer.toHexString(hashCode()) + ", ");
    }

    /* access modifiers changed from: package-private */
    public void logW(String str, String str2) {
        Log.w(str, str2 + " &" + Integer.toHexString(hashCode()) + ", ");
    }

    /* JADX DEBUG: Multi-variable search result rejected for r9v3, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v5, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v8, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v23, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v24, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v25, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v35, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v37, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v39, resolved type: java.io.BufferedInputStream */
    /* JADX DEBUG: Multi-variable search result rejected for r9v42, resolved type: java.io.BufferedInputStream */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Code restructure failed: missing block: B:100:0x0274, code lost:
        r1 = r0;
        r9 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:109:0x028c, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:110:0x028e, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:111:0x028f, code lost:
        r1 = r0;
        r4 = null;
        r9 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:113:0x0296, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:114:0x0297, code lost:
        r1 = r0;
        r4 = null;
        r9 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:120:0x02a9, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:121:0x02aa, code lost:
        r1 = r0;
        r4 = null;
        r9 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:140:0x02f4, code lost:
        r15.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:143:?, code lost:
        r9.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:144:0x02fd, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:145:0x02fe, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:147:0x0304, code lost:
        r4.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:153:0x031a, code lost:
        com.baidu.speech.utils.LogUtil.d(com.baidu.speech.core.BDSHttpRequestMaker.TAG, "EOF Exception from http connection, trying again...");
        r10 = r10 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:154:0x0325, code lost:
        if (r15 != null) goto L_0x0327;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:155:0x0327, code lost:
        r15.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:156:0x032a, code lost:
        if (r15 != null) goto L_0x032c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:157:0x032c, code lost:
        r15.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:158:0x032f, code lost:
        if (r9 != 0) goto L_0x0331;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:160:?, code lost:
        r9.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:161:0x0335, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:162:0x0336, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:163:0x033a, code lost:
        if (r4 != null) goto L_0x033c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:165:?, code lost:
        r4.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:166:0x0340, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:167:0x0341, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:169:0x0352, code lost:
        com.baidu.speech.utils.LogUtil.d(com.baidu.speech.core.BDSHttpRequestMaker.TAG, "EOF Exception from http connection giving up...");
        r6.m_request_status = 2;
        r6.m_http_status = 2000;
        r6.m_log = "error_msg=" + r1.getMessage();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:170:0x0377, code lost:
        if (r15 != null) goto L_0x0379;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:171:0x0379, code lost:
        r15.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:172:0x037c, code lost:
        if (r9 != 0) goto L_0x037e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:174:?, code lost:
        r9.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:175:0x0382, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:176:0x0383, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:177:0x0387, code lost:
        if (r4 != null) goto L_0x0389;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:178:0x0389, code lost:
        r4.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:184:0x039f, code lost:
        r15.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:187:?, code lost:
        r9.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:188:0x03a8, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:189:0x03a9, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:191:0x03af, code lost:
        r4.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:196:0x03b7, code lost:
        r15.disconnect();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:199:?, code lost:
        r9.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:200:0x03c0, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:201:0x03c1, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:204:?, code lost:
        r4.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:205:0x03cb, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:206:0x03cc, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0077, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0078, code lost:
        r1 = r0;
        r15 = r13;
        r4 = null;
        r9 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x007e, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x007f, code lost:
        r1 = r0;
        r15 = r13;
        r4 = null;
        r9 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0090, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0091, code lost:
        r1 = r0;
        r15 = r13;
        r4 = null;
        r9 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00ee, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x01cb, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:67:0x01cc, code lost:
        r0.printStackTrace();
        r6.m_http_status = 2006;
        r6.m_response_data = null;
        r6.m_request_status = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x0266, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:92:0x0268, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:93:0x0269, code lost:
        r1 = r0;
        r9 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:94:0x026b, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:95:0x026c, code lost:
        r1 = r0;
        r9 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:96:0x026e, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:97:0x026f, code lost:
        r21 = r7;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:98:0x0271, code lost:
        r1 = r0;
        r9 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:99:0x0273, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x028e A[ExcHandler: all (r0v24 'th' java.lang.Throwable A[CUSTOM_DECLARE]), Splitter:B:15:0x0066] */
    /* JADX WARNING: Removed duplicated region for block: B:113:0x0296 A[ExcHandler: Exception (r0v23 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:15:0x0066] */
    /* JADX WARNING: Removed duplicated region for block: B:120:0x02a9 A[ExcHandler: SocketTimeoutException (r0v20 'e' java.net.SocketTimeoutException A[CUSTOM_DECLARE]), Splitter:B:15:0x0066] */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x02f4  */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x02f9 A[SYNTHETIC, Splitter:B:142:0x02f9] */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x0304  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x031a  */
    /* JADX WARNING: Removed duplicated region for block: B:184:0x039f  */
    /* JADX WARNING: Removed duplicated region for block: B:186:0x03a4 A[SYNTHETIC, Splitter:B:186:0x03a4] */
    /* JADX WARNING: Removed duplicated region for block: B:191:0x03af  */
    /* JADX WARNING: Removed duplicated region for block: B:196:0x03b7  */
    /* JADX WARNING: Removed duplicated region for block: B:198:0x03bc A[SYNTHETIC, Splitter:B:198:0x03bc] */
    /* JADX WARNING: Removed duplicated region for block: B:203:0x03c7 A[SYNTHETIC, Splitter:B:203:0x03c7] */
    /* JADX WARNING: Removed duplicated region for block: B:208:0x0352 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0077 A[Catch:{ SocketTimeoutException -> 0x0090, IOException -> 0x0085, Exception -> 0x007e, all -> 0x0077 }, ExcHandler: all (r0v43 'th' java.lang.Throwable A[CUSTOM_DECLARE, Catch:{ SocketTimeoutException -> 0x0090, IOException -> 0x0085, Exception -> 0x007e, all -> 0x0077 }]), Splitter:B:19:0x006f] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x007e A[Catch:{ SocketTimeoutException -> 0x0090, IOException -> 0x0085, Exception -> 0x007e, all -> 0x0077 }, ExcHandler: Exception (r0v42 'e' java.lang.Exception A[CUSTOM_DECLARE, Catch:{ SocketTimeoutException -> 0x0090, IOException -> 0x0085, Exception -> 0x007e, all -> 0x0077 }]), Splitter:B:19:0x006f] */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0090 A[Catch:{ SocketTimeoutException -> 0x0090, IOException -> 0x0085, Exception -> 0x007e, all -> 0x0077 }, ExcHandler: SocketTimeoutException (r0v40 'e' java.net.SocketTimeoutException A[CUSTOM_DECLARE, Catch:{ SocketTimeoutException -> 0x0090, IOException -> 0x0085, Exception -> 0x007e, all -> 0x0077 }]), Splitter:B:19:0x006f] */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x0266 A[ExcHandler: IOException (e java.io.IOException), Splitter:B:53:0x0110] */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x0268 A[ExcHandler: all (r0v33 'th' java.lang.Throwable A[CUSTOM_DECLARE]), Splitter:B:50:0x010b] */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x026b A[ExcHandler: Exception (r0v32 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:50:0x010b] */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0273 A[ExcHandler: SocketTimeoutException (r0v29 'e' java.net.SocketTimeoutException A[CUSTOM_DECLARE]), Splitter:B:50:0x010b] */
    public BDSHTTPResponse makeRequest(String str, byte[] bArr, String[] strArr, float f, int i) {
        HttpURLConnection httpURLConnection;
        BufferedInputStream bufferedInputStream;
        ByteArrayOutputStream byteArrayOutputStream;
        Throwable th;
        HttpURLConnection httpURLConnection2;
        BufferedInputStream bufferedInputStream2;
        SocketTimeoutException socketTimeoutException;
        ByteArrayOutputStream byteArrayOutputStream2;
        SocketTimeoutException e;
        long j;
        HttpURLConnection httpURLConnection3;
        BufferedInputStream bufferedInputStream3;
        IOException iOException;
        IOException e2;
        BufferedInputStream bufferedInputStream4;
        Exception exc;
        Exception e3;
        Throwable th2;
        HttpURLConnection httpURLConnection4;
        BufferedInputStream bufferedInputStream5;
        long currentTimeMillis;
        BufferedInputStream bufferedInputStream6;
        BDSHttpRequestMaker bDSHttpRequestMaker = this;
        String str2 = str;
        byte[] bArr2 = bArr;
        String[] strArr2 = strArr;
        try {
            mHostIp = new URL(str2).getHost();
        } catch (Exception e4) {
            e4.printStackTrace();
        }
        BDSHTTPResponse bDSHTTPResponse = new BDSHTTPResponse();
        long currentTimeMillis2 = System.currentTimeMillis();
        char c = 0;
        int i2 = 0;
        while (true) {
            if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
                bDSHttpRequestMaker.logD(TAG, "Begin request, url is " + str2);
            }
            try {
                if (System.currentTimeMillis() - currentTimeMillis2 <= 500) {
                    URL url = new URL(str2);
                    long currentTimeMillis3 = System.currentTimeMillis();
                    httpURLConnection4 = (HttpURLConnection) url.openConnection();
                    try {
                        currentTimeMillis = System.currentTimeMillis();
                        if (httpURLConnection4 instanceof HttpsURLConnection) {
                            try {
                                ((HttpsURLConnection) httpURLConnection4).setHostnameVerifier(bDSHttpRequestMaker.DO_NOT_VERIFY);
                            } catch (SocketTimeoutException e5) {
                            } catch (IOException e6) {
                                e = e6;
                                iOException = e;
                                j = currentTimeMillis2;
                                httpURLConnection3 = httpURLConnection4;
                                byteArrayOutputStream = null;
                                bufferedInputStream3 = 0;
                                iOException.printStackTrace();
                                if (i2 < 30) {
                                }
                            } catch (Exception e7) {
                            } catch (Throwable th3) {
                            }
                        }
                        int i3 = 0;
                        while (strArr2 != null && i3 < strArr2.length - 1) {
                            httpURLConnection4.setRequestProperty(strArr2[i3], strArr2[i3 + 1]);
                            i3 += 2;
                        }
                        httpURLConnection4.setDoInput(true);
                        if (i != 1 || bArr2 == null) {
                            int i4 = (int) (1000.0f * f);
                            httpURLConnection4.setConnectTimeout(i4);
                            httpURLConnection4.setReadTimeout(i4);
                        } else {
                            httpURLConnection4.setDoOutput(true);
                            httpURLConnection4.setFixedLengthStreamingMode(bArr2.length);
                            httpURLConnection4.setReadTimeout(10000);
                            httpURLConnection4.setConnectTimeout(TXRecordCommon.AUDIO_SAMPLERATE_8000);
                            final URLConnection[] uRLConnectionArr = new URLConnection[1];
                            uRLConnectionArr[c] = httpURLConnection4;
                            Executors.newSingleThreadExecutor().submit(new Callable<Void>() {
                                /* class com.baidu.speech.core.BDSHttpRequestMaker.AnonymousClass2 */

                                @Override // java.util.concurrent.Callable
                                public Void call() throws Exception {
                                    uRLConnectionArr[0].connect();
                                    return null;
                                }
                            }).get(10, TimeUnit.SECONDS);
                            BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(httpURLConnection4.getOutputStream());
                            bufferedOutputStream.write(bArr2);
                            bufferedOutputStream.close();
                        }
                        bufferedInputStream6 = new BufferedInputStream(httpURLConnection4.getInputStream());
                    } catch (SocketTimeoutException e8) {
                    } catch (IOException e9) {
                        IOException e10 = e9;
                        j = currentTimeMillis2;
                        iOException = e10;
                        byteArrayOutputStream = null;
                        bufferedInputStream5 = null;
                        httpURLConnection3 = httpURLConnection4;
                        bufferedInputStream3 = bufferedInputStream5;
                        iOException.printStackTrace();
                        if (i2 < 30) {
                        }
                    } catch (Exception e11) {
                    } catch (Throwable th4) {
                    }
                    try {
                        byteArrayOutputStream = new ByteArrayOutputStream();
                        try {
                            byte[] bArr3 = new byte[16384];
                            while (true) {
                                j = currentTimeMillis2;
                                int read = bufferedInputStream6.read(bArr3, 0, 16384);
                                if (read == -1) {
                                    break;
                                }
                                byteArrayOutputStream.write(bArr3, 0, read);
                                currentTimeMillis2 = j;
                            }
                            byteArrayOutputStream.flush();
                            long currentTimeMillis4 = System.currentTimeMillis();
                            LogUtil.d("End request from java: url: " + str2, new String[0]);
                            LogUtil.d("http url: " + str2, new String[0]);
                            bDSHTTPResponse.m_response_data = byteArrayOutputStream.toByteArray();
                            bDSHTTPResponse.m_http_status = httpURLConnection4.getResponseCode();
                            bDSHTTPResponse.m_request_status = 0;
                            bDSHTTPResponse.m_log = "connect_time=" + (currentTimeMillis - currentTimeMillis3) + "&request-response_time=" + (currentTimeMillis4 - currentTimeMillis);
                            if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
                                bDSHttpRequestMaker.logD(TAG, "Receive response, data: " + new String(bDSHTTPResponse.m_response_data) + " httpStatus: " + bDSHTTPResponse.m_http_status);
                            }
                            String str3 = new String(bDSHTTPResponse.m_response_data);
                            if (!str3.startsWith("license_begin")) {
                                new JSONObject(str3);
                            }
                        } catch (SocketTimeoutException e12) {
                        } catch (IOException e13) {
                        } catch (Exception e14) {
                        } catch (Throwable th5) {
                        }
                    } catch (SocketTimeoutException e15) {
                        socketTimeoutException = e15;
                        byteArrayOutputStream = null;
                        BufferedInputStream bufferedInputStream7 = bufferedInputStream6;
                        httpURLConnection2 = httpURLConnection4;
                        bufferedInputStream2 = bufferedInputStream7;
                        socketTimeoutException.printStackTrace();
                        bDSHTTPResponse.m_http_status = 2005;
                        bDSHTTPResponse.m_request_status = 0;
                        if (httpURLConnection2 != null) {
                        }
                        if (bufferedInputStream2 != 0) {
                        }
                        if (byteArrayOutputStream != null) {
                        }
                        return bDSHTTPResponse;
                    } catch (IOException e16) {
                        j = currentTimeMillis2;
                        iOException = e16;
                        byteArrayOutputStream = null;
                        bufferedInputStream5 = bufferedInputStream6;
                        httpURLConnection3 = httpURLConnection4;
                        bufferedInputStream3 = bufferedInputStream5;
                        iOException.printStackTrace();
                        if (i2 < 30) {
                        }
                    } catch (Exception e17) {
                        exc = e17;
                        byteArrayOutputStream = null;
                        BufferedInputStream bufferedInputStream8 = bufferedInputStream6;
                        httpURLConnection = httpURLConnection4;
                        bufferedInputStream4 = bufferedInputStream8;
                        try {
                            exc.printStackTrace();
                            bDSHTTPResponse.m_http_status = 2000;
                            bDSHTTPResponse.m_request_status = 2;
                            bDSHTTPResponse.m_log = "error_msg=" + exc.getMessage();
                            if (httpURLConnection != null) {
                            }
                            if (bufferedInputStream4 != 0) {
                            }
                            if (byteArrayOutputStream != null) {
                            }
                            return bDSHTTPResponse;
                        } catch (Throwable th6) {
                            th = th6;
                            bufferedInputStream = bufferedInputStream4;
                            if (httpURLConnection != null) {
                            }
                            if (bufferedInputStream != null) {
                            }
                            if (byteArrayOutputStream != null) {
                            }
                            throw th;
                        }
                    } catch (Throwable th7) {
                        th = th7;
                        byteArrayOutputStream = null;
                        BufferedInputStream bufferedInputStream9 = bufferedInputStream6;
                        httpURLConnection = httpURLConnection4;
                        bufferedInputStream = bufferedInputStream9;
                        if (httpURLConnection != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                        if (byteArrayOutputStream != null) {
                        }
                        throw th;
                    }
                } else {
                    j = currentTimeMillis2;
                    byteArrayOutputStream2 = null;
                    try {
                        throw new SocketTimeoutException();
                    } catch (SocketTimeoutException e18) {
                        e = e18;
                        socketTimeoutException = e;
                        byteArrayOutputStream = byteArrayOutputStream2;
                        ByteArrayOutputStream byteArrayOutputStream3 = byteArrayOutputStream;
                        httpURLConnection2 = byteArrayOutputStream3;
                        bufferedInputStream2 = byteArrayOutputStream3;
                        socketTimeoutException.printStackTrace();
                        bDSHTTPResponse.m_http_status = 2005;
                        bDSHTTPResponse.m_request_status = 0;
                        if (httpURLConnection2 != null) {
                        }
                        if (bufferedInputStream2 != 0) {
                        }
                        if (byteArrayOutputStream != null) {
                        }
                        return bDSHTTPResponse;
                    } catch (IOException e19) {
                        e2 = e19;
                        iOException = e2;
                        byteArrayOutputStream = byteArrayOutputStream2;
                        ByteArrayOutputStream byteArrayOutputStream4 = byteArrayOutputStream;
                        httpURLConnection3 = byteArrayOutputStream4;
                        bufferedInputStream3 = byteArrayOutputStream4;
                        iOException.printStackTrace();
                        if (i2 < 30) {
                        }
                    } catch (Exception e20) {
                        e3 = e20;
                        exc = e3;
                        byteArrayOutputStream = byteArrayOutputStream2;
                        ByteArrayOutputStream byteArrayOutputStream5 = byteArrayOutputStream;
                        httpURLConnection = byteArrayOutputStream5;
                        bufferedInputStream4 = byteArrayOutputStream5;
                        exc.printStackTrace();
                        bDSHTTPResponse.m_http_status = 2000;
                        bDSHTTPResponse.m_request_status = 2;
                        bDSHTTPResponse.m_log = "error_msg=" + exc.getMessage();
                        if (httpURLConnection != null) {
                        }
                        if (bufferedInputStream4 != 0) {
                        }
                        if (byteArrayOutputStream != null) {
                        }
                        return bDSHTTPResponse;
                    } catch (Throwable th8) {
                        th2 = th8;
                        th = th2;
                        byteArrayOutputStream = byteArrayOutputStream2;
                        ByteArrayOutputStream byteArrayOutputStream6 = byteArrayOutputStream;
                        httpURLConnection = byteArrayOutputStream6;
                        bufferedInputStream = byteArrayOutputStream6;
                        if (httpURLConnection != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                        if (byteArrayOutputStream != null) {
                        }
                        throw th;
                    }
                }
            } catch (SocketTimeoutException e21) {
                e = e21;
                byteArrayOutputStream2 = null;
                socketTimeoutException = e;
                byteArrayOutputStream = byteArrayOutputStream2;
                ByteArrayOutputStream byteArrayOutputStream32 = byteArrayOutputStream;
                httpURLConnection2 = byteArrayOutputStream32;
                bufferedInputStream2 = byteArrayOutputStream32;
                socketTimeoutException.printStackTrace();
                bDSHTTPResponse.m_http_status = 2005;
                bDSHTTPResponse.m_request_status = 0;
                if (httpURLConnection2 != null) {
                }
                if (bufferedInputStream2 != 0) {
                }
                if (byteArrayOutputStream != null) {
                }
                return bDSHTTPResponse;
            } catch (IOException e22) {
                e2 = e22;
                j = currentTimeMillis2;
                byteArrayOutputStream2 = null;
                iOException = e2;
                byteArrayOutputStream = byteArrayOutputStream2;
                ByteArrayOutputStream byteArrayOutputStream42 = byteArrayOutputStream;
                httpURLConnection3 = byteArrayOutputStream42;
                bufferedInputStream3 = byteArrayOutputStream42;
                iOException.printStackTrace();
                if (i2 < 30) {
                }
            } catch (Exception e23) {
                e3 = e23;
                byteArrayOutputStream2 = null;
                exc = e3;
                byteArrayOutputStream = byteArrayOutputStream2;
                ByteArrayOutputStream byteArrayOutputStream52 = byteArrayOutputStream;
                httpURLConnection = byteArrayOutputStream52;
                bufferedInputStream4 = byteArrayOutputStream52;
                exc.printStackTrace();
                bDSHTTPResponse.m_http_status = 2000;
                bDSHTTPResponse.m_request_status = 2;
                bDSHTTPResponse.m_log = "error_msg=" + exc.getMessage();
                if (httpURLConnection != null) {
                }
                if (bufferedInputStream4 != 0) {
                }
                if (byteArrayOutputStream != null) {
                }
                return bDSHTTPResponse;
            } catch (Throwable th9) {
                th2 = th9;
                byteArrayOutputStream2 = null;
                th = th2;
                byteArrayOutputStream = byteArrayOutputStream2;
                ByteArrayOutputStream byteArrayOutputStream62 = byteArrayOutputStream;
                httpURLConnection = byteArrayOutputStream62;
                bufferedInputStream = byteArrayOutputStream62;
                if (httpURLConnection != null) {
                }
                if (bufferedInputStream != null) {
                }
                if (byteArrayOutputStream != null) {
                }
                throw th;
            }
            bDSHttpRequestMaker = this;
            str2 = str;
            bArr2 = bArr;
            strArr2 = strArr;
            currentTimeMillis2 = j;
            c = 0;
        }
        Map<String, List<String>> headerFields = httpURLConnection4.getHeaderFields();
        if (headerFields.entrySet().size() > 0) {
            bDSHTTPResponse.m_response_headers = new String[(headerFields.entrySet().size() * 2)];
            int i5 = 0;
            for (Map.Entry<String, List<String>> entry : headerFields.entrySet()) {
                int i6 = i5 + 1;
                String str4 = "";
                bDSHTTPResponse.m_response_headers[i5] = entry.getKey() != null ? entry.getKey() : str4;
                String[] strArr3 = bDSHTTPResponse.m_response_headers;
                int i7 = i6 + 1;
                if (entry.getValue().get(0) != null) {
                    str4 = entry.getValue().get(0);
                }
                strArr3[i6] = str4;
                i5 = i7;
            }
        }
        if (httpURLConnection4 != null) {
            httpURLConnection4.disconnect();
        }
        try {
            bufferedInputStream6.close();
        } catch (IOException e24) {
            e24.printStackTrace();
        }
        try {
            byteArrayOutputStream.close();
        } catch (IOException e25) {
            e25.printStackTrace();
        }
        return bDSHTTPResponse;
    }

    /* JADX WARNING: Removed duplicated region for block: B:63:0x0171  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x0174  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x018e A[RETURN] */
    public BDSHTTPResponse readData() {
        BDSHTTPResponse bDSHTTPResponse;
        BDSHTTPResponse bDSHTTPResponse2;
        Exception e;
        BDSHTTPResponse bDSHTTPResponse3 = null;
        if (this.mDownloadConnectionStatus == 2) {
            logW(TAG, "Download connection stauts has already been closed.");
            return null;
        }
        if (this.mErrorArray.size() <= 0) {
            try {
                if (this.mDownloadInputStream == null) {
                    try {
                        this.mDownloadInputStream = new DataInputStream(this.mDownloadConnection.getInputStream());
                    } catch (SocketTimeoutException e2) {
                        bDSHTTPResponse = null;
                    } catch (SSLException e3) {
                        bDSHTTPResponse2 = new BDSHTTPResponse();
                        logI(TAG, "SSLException");
                        bDSHTTPResponse2.m_http_status = 2100;
                        bDSHTTPResponse2.m_response_data = null;
                        bDSHTTPResponse2.m_request_status = 0;
                        this.mErrorArray.add(bDSHTTPResponse2);
                        bDSHTTPResponse = bDSHTTPResponse3;
                        if (this.mErrorArray.size() <= 0) {
                        }
                        BDSHTTPResponse bDSHTTPResponse4 = this.mErrorArray.get(0);
                        this.mErrorArray.clear();
                        return bDSHTTPResponse4;
                    } catch (Exception e4) {
                        e = e4;
                        logI(TAG, "Exception");
                        e.printStackTrace();
                        bDSHTTPResponse2 = new BDSHTTPResponse();
                        bDSHTTPResponse2.m_http_status = 2100;
                        bDSHTTPResponse2.m_response_data = null;
                        bDSHTTPResponse2.m_request_status = 0;
                        this.mErrorArray.add(bDSHTTPResponse2);
                        bDSHTTPResponse = bDSHTTPResponse3;
                        if (this.mErrorArray.size() <= 0) {
                        }
                        BDSHTTPResponse bDSHTTPResponse42 = this.mErrorArray.get(0);
                        this.mErrorArray.clear();
                        return bDSHTTPResponse42;
                    }
                }
                byte[] bArr = new byte[4];
                this.mDownloadInputStream.readFully(bArr, 0, 4);
                int i = (bArr[0] & 255) | ((bArr[1] << 8) & 65280) | ((bArr[2] << 24) >>> 8) | (bArr[3] << 24);
                byte readByte = this.mDownloadInputStream.readByte();
                int i2 = readByte & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
                if (243 == i2) {
                    this.mUploadConnctionStatus = 2;
                    this.mDownloadConnectionStatus = 2;
                }
                if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
                    logI(TAG, "readData dataType : " + i2 + Operators.SPACE_STR + this.mDownloadConnection.getURL());
                }
                if (i <= 1) {
                    byte[] bArr2 = new byte[5];
                    System.arraycopy(bArr, 0, bArr2, 0, 4);
                    bArr2[4] = readByte;
                    bDSHTTPResponse = new BDSHTTPResponse();
                    bDSHTTPResponse.m_http_status = 200;
                    bDSHTTPResponse.m_response_data = bArr2;
                } else if (i > 67584) {
                    BDSHTTPResponse bDSHTTPResponse5 = new BDSHTTPResponse();
                    bDSHTTPResponse5.m_http_status = 2006;
                    bDSHTTPResponse5.m_response_data = null;
                    bDSHTTPResponse5.m_request_status = 0;
                    this.mErrorArray.add(bDSHTTPResponse5);
                    return bDSHTTPResponse5;
                } else {
                    int i3 = i - 1;
                    byte[] bArr3 = new byte[i3];
                    int i4 = 0;
                    while (i4 < i3) {
                        i4 += this.mDownloadInputStream.read(bArr3, i4, i3 - i4);
                    }
                    String str = new String(bArr3);
                    if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
                        logI(TAG, "response : " + str + Operators.SPACE_STR + this.mDownloadConnection.getURL());
                    }
                    byte[] bArr4 = new byte[(i + 4)];
                    System.arraycopy(bArr, 0, bArr4, 0, 4);
                    bArr4[4] = readByte;
                    if (i3 > 0) {
                        System.arraycopy(bArr3, 0, bArr4, 5, i3);
                    }
                    bDSHTTPResponse = new BDSHTTPResponse();
                    try {
                        bDSHTTPResponse.m_http_status = 200;
                        bDSHTTPResponse.m_response_data = bArr4;
                    } catch (SocketTimeoutException e5) {
                        BDSHTTPResponse bDSHTTPResponse6 = new BDSHTTPResponse();
                        bDSHTTPResponse6.m_http_status = !this.mAgentDownload ? 2104 : 2005;
                        bDSHTTPResponse6.m_response_data = null;
                        bDSHTTPResponse6.m_request_status = 0;
                        this.mAgentDownload = false;
                        this.mErrorArray.add(bDSHTTPResponse6);
                        if (this.mErrorArray.size() <= 0) {
                        }
                        BDSHTTPResponse bDSHTTPResponse422 = this.mErrorArray.get(0);
                        this.mErrorArray.clear();
                        return bDSHTTPResponse422;
                    } catch (SSLException e6) {
                        bDSHTTPResponse3 = bDSHTTPResponse;
                        bDSHTTPResponse2 = new BDSHTTPResponse();
                        logI(TAG, "SSLException");
                        bDSHTTPResponse2.m_http_status = 2100;
                        bDSHTTPResponse2.m_response_data = null;
                        bDSHTTPResponse2.m_request_status = 0;
                        this.mErrorArray.add(bDSHTTPResponse2);
                        bDSHTTPResponse = bDSHTTPResponse3;
                        if (this.mErrorArray.size() <= 0) {
                        }
                        BDSHTTPResponse bDSHTTPResponse4222 = this.mErrorArray.get(0);
                        this.mErrorArray.clear();
                        return bDSHTTPResponse4222;
                    } catch (Exception e7) {
                        e = e7;
                        bDSHTTPResponse3 = bDSHTTPResponse;
                        logI(TAG, "Exception");
                        e.printStackTrace();
                        bDSHTTPResponse2 = new BDSHTTPResponse();
                        bDSHTTPResponse2.m_http_status = 2100;
                        bDSHTTPResponse2.m_response_data = null;
                        bDSHTTPResponse2.m_request_status = 0;
                        this.mErrorArray.add(bDSHTTPResponse2);
                        bDSHTTPResponse = bDSHTTPResponse3;
                        if (this.mErrorArray.size() <= 0) {
                        }
                        BDSHTTPResponse bDSHTTPResponse42222 = this.mErrorArray.get(0);
                        this.mErrorArray.clear();
                        return bDSHTTPResponse42222;
                    }
                }
                bDSHTTPResponse.m_request_status = 0;
            } catch (SocketTimeoutException e8) {
                bDSHTTPResponse = null;
                BDSHTTPResponse bDSHTTPResponse62 = new BDSHTTPResponse();
                bDSHTTPResponse62.m_http_status = !this.mAgentDownload ? 2104 : 2005;
                bDSHTTPResponse62.m_response_data = null;
                bDSHTTPResponse62.m_request_status = 0;
                this.mAgentDownload = false;
                this.mErrorArray.add(bDSHTTPResponse62);
                if (this.mErrorArray.size() <= 0) {
                }
                BDSHTTPResponse bDSHTTPResponse422222 = this.mErrorArray.get(0);
                this.mErrorArray.clear();
                return bDSHTTPResponse422222;
            } catch (SSLException e9) {
                bDSHTTPResponse3 = null;
                bDSHTTPResponse2 = new BDSHTTPResponse();
                logI(TAG, "SSLException");
                bDSHTTPResponse2.m_http_status = 2100;
                bDSHTTPResponse2.m_response_data = null;
                bDSHTTPResponse2.m_request_status = 0;
                this.mErrorArray.add(bDSHTTPResponse2);
                bDSHTTPResponse = bDSHTTPResponse3;
                if (this.mErrorArray.size() <= 0) {
                }
                BDSHTTPResponse bDSHTTPResponse4222222 = this.mErrorArray.get(0);
                this.mErrorArray.clear();
                return bDSHTTPResponse4222222;
            } catch (Exception e10) {
                e = e10;
                bDSHTTPResponse3 = null;
                logI(TAG, "Exception");
                e.printStackTrace();
                bDSHTTPResponse2 = new BDSHTTPResponse();
                bDSHTTPResponse2.m_http_status = 2100;
                bDSHTTPResponse2.m_response_data = null;
                bDSHTTPResponse2.m_request_status = 0;
                this.mErrorArray.add(bDSHTTPResponse2);
                bDSHTTPResponse = bDSHTTPResponse3;
                if (this.mErrorArray.size() <= 0) {
                }
                BDSHTTPResponse bDSHTTPResponse42222222 = this.mErrorArray.get(0);
                this.mErrorArray.clear();
                return bDSHTTPResponse42222222;
            }
            if (this.mErrorArray.size() <= 0) {
                return bDSHTTPResponse;
            }
        }
        BDSHTTPResponse bDSHTTPResponse422222222 = this.mErrorArray.get(0);
        this.mErrorArray.clear();
        return bDSHTTPResponse422222222;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0081, code lost:
        r6 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x0082, code lost:
        r6.printStackTrace();
        r6 = new com.baidu.speech.core.BDSHTTPResponse();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x008c, code lost:
        if (r5.mAgentUpload != false) goto L_0x008e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x008e, code lost:
        r7 = 2102;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0091, code lost:
        r7 = 2003;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0093, code lost:
        r6.m_http_status = r7;
        r6.m_response_data = null;
        r6.m_request_status = 0;
        r5.mErrorArray.add(r6);
        r5.mAgentUpload = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x00a2, code lost:
        logW(com.baidu.speech.core.BDSHttpRequestMaker.TAG, "send data EOFException");
        r6 = new com.baidu.speech.core.BDSHTTPResponse();
        r6.m_http_status = 2100;
        r6.m_response_data = null;
        r6.m_request_status = 0;
        r5.mErrorArray.add(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x00b9, code lost:
        return -1;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0081 A[ExcHandler: Exception (r6v4 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:10:0x0046] */
    public int sendData(byte[] bArr, boolean z) {
        if (this.mUploadConnctionStatus == 2) {
            logW(TAG, "Upload connection stauts has already been closed.");
            return 0;
        }
        int i = bArr[4] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
        if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
            logI(TAG, "sendData  dataType : " + i + Operators.SPACE_STR + this.mUploadConnection.getURL());
        }
        try {
            if (this.mUploadConnection == null) {
                Log.e(TAG, "Upload conncetion not exist");
                return -1;
            }
            if (this.mUploadOutputStream == null) {
                this.mUploadOutputStream = this.mUploadConnection.getOutputStream();
            }
            this.mUploadOutputStream.write(bArr);
            this.mUploadOutputStream.flush();
            if (z) {
                this.mUploadOutputStream.close();
                this.mUploadConnection.getInputStream().close();
                this.mUploadConnection.disconnect();
            }
            return 0;
        } catch (EOFException e) {
            e.printStackTrace();
        } catch (Exception e2) {
        }
    }

    public int setupConnection(String str, String[] strArr, float f, int i) {
        if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
            logI(TAG, "url = " + str);
        }
        this.mErrorArray.clear();
        try {
            mHostIp = new URL(str).getHost();
            if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
                logD(TAG, "url: " + str + " mHostIp: " + mHostIp);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (str.contains("up")) {
            generateBackupUrls(str, 1);
            return setupUploadConnection(str, strArr, f, i);
        } else if (str.contains("down")) {
            generateBackupUrls(str, 2);
            return setupDownloadConnection(str, strArr, f, i);
        } else {
            Log.e(TAG, "Error url : " + str);
            return -1;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x00ed  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00f2  */
    public int setupDownloadConnection(String str, String[] strArr, float f, int i) {
        String str2;
        try {
            Proxy agent = setAgent();
            if (agent != null) {
                this.mDownloadConnection = (HttpURLConnection) new URL(str).openConnection(agent);
                this.mAgentDownload = true;
            } else {
                this.mDownloadConnection = (HttpURLConnection) new URL(str).openConnection();
            }
            if (this.mDownloadConnection instanceof HttpsURLConnection) {
                ((HttpsURLConnection) this.mDownloadConnection).setHostnameVerifier(this.DO_NOT_VERIFY);
            }
            this.mDownloadConnection.setConnectTimeout(3000);
            this.mDownloadConnection.setReadTimeout(10000);
            this.mDownloadConnection.setRequestMethod(Constants.HTTP_POST);
            int i2 = 0;
            while (strArr != null && i2 < strArr.length - 1) {
                this.mDownloadConnection.setRequestProperty(strArr[i2], strArr[i2 + 1]);
                i2 += 2;
            }
            this.mDownloadConnection.setRequestProperty("Connection", AbsoluteConst.EVENTS_CLOSE);
            this.mDownloadConnection.setChunkedStreamingMode(0);
            this.mDownloadConnection.connect();
            this.mDownloadConnectionStatus = 1;
            AudioData audioData = new AudioData(3, new byte[0], true);
            OutputStream outputStream = this.mDownloadConnection.getOutputStream();
            outputStream.write(audioData.mData);
            outputStream.flush();
            outputStream.close();
            if (Log.isLoggable(TAG, 3) || DEBUG.booleanValue()) {
                for (int i3 = 0; i3 < audioData.mData.length; i3++) {
                    logI(TAG, "DownloadThread mData[" + i3 + "] = " + Integer.toHexString(audioData.mData[i3] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE));
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            if (!this.mRetriedNorth) {
                this.mRetriedNorth = true;
                str2 = this.mNorthDownUrl;
            } else {
                if (!this.mRetriedSouth) {
                    this.mRetriedSouth = true;
                    str2 = this.mSouthDownUrl;
                }
                BDSHTTPResponse bDSHTTPResponse = new BDSHTTPResponse();
                bDSHTTPResponse.m_http_status = !(e instanceof SocketTimeoutException) ? 1005 : this.mAgentDownload ? 2103 : 2004;
                bDSHTTPResponse.m_response_data = null;
                bDSHTTPResponse.m_request_status = 0;
                this.mErrorArray.add(bDSHTTPResponse);
                this.mAgentDownload = false;
            }
            setupDownloadConnection(str2, strArr, f, i);
            BDSHTTPResponse bDSHTTPResponse2 = new BDSHTTPResponse();
            bDSHTTPResponse2.m_http_status = !(e instanceof SocketTimeoutException) ? 1005 : this.mAgentDownload ? 2103 : 2004;
            bDSHTTPResponse2.m_response_data = null;
            bDSHTTPResponse2.m_request_status = 0;
            this.mErrorArray.add(bDSHTTPResponse2);
            this.mAgentDownload = false;
        }
        return 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x009b  */
    public int setupUploadConnection(String str, String[] strArr, float f, int i) {
        int i2;
        String str2;
        try {
            Proxy agent = setAgent();
            if (agent != null) {
                this.mUploadConnection = (HttpURLConnection) new URL(str).openConnection(agent);
                this.mAgentUpload = true;
            } else {
                this.mUploadConnection = (HttpURLConnection) new URL(str).openConnection();
            }
            if (this.mUploadConnection instanceof HttpsURLConnection) {
                ((HttpsURLConnection) this.mUploadConnection).setHostnameVerifier(this.DO_NOT_VERIFY);
            }
            this.mUploadConnection.setConnectTimeout(3000);
            this.mUploadConnection.setReadTimeout(10000);
            this.mUploadConnection.setRequestMethod(Constants.HTTP_POST);
            int i3 = 0;
            while (strArr != null && i3 < strArr.length - 1) {
                this.mUploadConnection.setRequestProperty(strArr[i3], strArr[i3 + 1]);
                i3 += 2;
            }
            this.mUploadConnection.setRequestProperty("Connection", AbsoluteConst.EVENTS_CLOSE);
            this.mUploadConnection.setChunkedStreamingMode(0);
            this.mUploadConnection.connect();
            this.mUploadConnctionStatus = 1;
        } catch (Exception e) {
            e.printStackTrace();
            if (!this.mRetriedNorth) {
                this.mRetriedNorth = true;
                str2 = this.mNorthUpUrl;
            } else {
                if (!this.mRetriedSouth) {
                    this.mRetriedSouth = true;
                    str2 = this.mSouthUpUrl;
                }
                BDSHTTPResponse bDSHTTPResponse = new BDSHTTPResponse();
                if (!(e instanceof SocketTimeoutException)) {
                    i2 = 1003;
                } else if (this.mAgentUpload) {
                    i2 = 2002;
                } else {
                    bDSHTTPResponse.m_request_status = 2106;
                    this.mAgentUpload = false;
                    bDSHTTPResponse.m_response_data = null;
                    bDSHTTPResponse.m_request_status = 0;
                    this.mErrorArray.add(bDSHTTPResponse);
                }
                bDSHTTPResponse.m_http_status = i2;
                this.mAgentUpload = false;
                bDSHTTPResponse.m_response_data = null;
                bDSHTTPResponse.m_request_status = 0;
                this.mErrorArray.add(bDSHTTPResponse);
            }
            setupUploadConnection(str2, strArr, f, i);
            BDSHTTPResponse bDSHTTPResponse2 = new BDSHTTPResponse();
            if (!(e instanceof SocketTimeoutException)) {
            }
            bDSHTTPResponse2.m_http_status = i2;
            this.mAgentUpload = false;
            bDSHTTPResponse2.m_response_data = null;
            bDSHTTPResponse2.m_request_status = 0;
            this.mErrorArray.add(bDSHTTPResponse2);
        }
        return 0;
    }
}
