package com.coremedia.iso;

import com.googlecode.mp4parser.util.CastUtils;
import java.io.EOFException;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.SelectionKey;
import java.nio.channels.WritableByteChannel;

public class ChannelHelper {
    static final /* synthetic */ boolean $assertionsDisabled = false;

    public static ByteBuffer readFully(ReadableByteChannel channel, long size) throws IOException {
        if (!(channel instanceof FileChannel) || size <= 1048576) {
            ByteBuffer buf = ByteBuffer.allocate(CastUtils.l2i(size));
            readFully(channel, buf, buf.limit());
            buf.rewind();
            return buf;
        }
        ByteBuffer bb = ((FileChannel) channel).map(FileChannel.MapMode.READ_ONLY, ((FileChannel) channel).position(), size);
        ((FileChannel) channel).position(((FileChannel) channel).position() + size);
        return bb;
    }

    public static void readFully(ReadableByteChannel channel, ByteBuffer buf) throws IOException {
        readFully(channel, buf, buf.remaining());
    }

    public static int readFully(ReadableByteChannel channel, ByteBuffer buf, int length) throws IOException {
        int n;
        int count = 0;
        do {
            n = channel.read(buf);
            if (-1 == n) {
                break;
            }
            count += n;
        } while (count != length);
        if (n != -1) {
            return count;
        }
        throw new EOFException("End of file. No more boxes.");
    }

    public static void writeFully(WritableByteChannel channel, ByteBuffer buf) throws IOException {
        while (channel.write(buf) >= 0) {
            if (!buf.hasRemaining()) {
                return;
            }
        }
        throw new EOFException();
    }

    public static void close(SelectionKey key) {
        try {
            key.channel().close();
        } catch (IOException e) {
        }
    }
}
