package com.coremedia.iso.boxes;

import com.coremedia.iso.IsoTypeReader;
import com.coremedia.iso.IsoTypeWriter;
import com.googlecode.mp4parser.AbstractBox;
import java.nio.ByteBuffer;

public final class BitRateBox extends AbstractBox {
    public static final String TYPE = "btrt";
    private long avgBitrate;
    private long bufferSizeDb;
    private long maxBitrate;

    public BitRateBox() {
        super(TYPE);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 12;
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        this.bufferSizeDb = IsoTypeReader.readUInt32(content);
        this.maxBitrate = IsoTypeReader.readUInt32(content);
        this.avgBitrate = IsoTypeReader.readUInt32(content);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        IsoTypeWriter.writeUInt32(byteBuffer, this.bufferSizeDb);
        IsoTypeWriter.writeUInt32(byteBuffer, this.maxBitrate);
        IsoTypeWriter.writeUInt32(byteBuffer, this.avgBitrate);
    }

    public long getBufferSizeDb() {
        return this.bufferSizeDb;
    }

    public void setBufferSizeDb(long bufferSizeDb2) {
        this.bufferSizeDb = bufferSizeDb2;
    }

    public long getMaxBitrate() {
        return this.maxBitrate;
    }

    public void setMaxBitrate(long maxBitrate2) {
        this.maxBitrate = maxBitrate2;
    }

    public long getAvgBitrate() {
        return this.avgBitrate;
    }

    public void setAvgBitrate(long avgBitrate2) {
        this.avgBitrate = avgBitrate2;
    }
}
