package com.coremedia.iso.boxes;

import com.googlecode.mp4parser.AbstractFullBox;
import java.nio.ByteBuffer;

public class CompositionShiftLeastGreatestAtom extends AbstractFullBox {
    int compositionOffsetToDisplayOffsetShift;
    int displayEndTime;
    int displayStartTime;
    int greatestDisplayOffset;
    int leastDisplayOffset;

    public CompositionShiftLeastGreatestAtom() {
        super("cslg");
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 24;
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        parseVersionAndFlags(content);
        this.compositionOffsetToDisplayOffsetShift = content.getInt();
        this.leastDisplayOffset = content.getInt();
        this.greatestDisplayOffset = content.getInt();
        this.displayStartTime = content.getInt();
        this.displayEndTime = content.getInt();
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        writeVersionAndFlags(byteBuffer);
        byteBuffer.putInt(this.compositionOffsetToDisplayOffsetShift);
        byteBuffer.putInt(this.leastDisplayOffset);
        byteBuffer.putInt(this.greatestDisplayOffset);
        byteBuffer.putInt(this.displayStartTime);
        byteBuffer.putInt(this.displayEndTime);
    }

    public int getCompositionOffsetToDisplayOffsetShift() {
        return this.compositionOffsetToDisplayOffsetShift;
    }

    public void setCompositionOffsetToDisplayOffsetShift(int compositionOffsetToDisplayOffsetShift2) {
        this.compositionOffsetToDisplayOffsetShift = compositionOffsetToDisplayOffsetShift2;
    }

    public int getLeastDisplayOffset() {
        return this.leastDisplayOffset;
    }

    public void setLeastDisplayOffset(int leastDisplayOffset2) {
        this.leastDisplayOffset = leastDisplayOffset2;
    }

    public int getGreatestDisplayOffset() {
        return this.greatestDisplayOffset;
    }

    public void setGreatestDisplayOffset(int greatestDisplayOffset2) {
        this.greatestDisplayOffset = greatestDisplayOffset2;
    }

    public int getDisplayStartTime() {
        return this.displayStartTime;
    }

    public void setDisplayStartTime(int displayStartTime2) {
        this.displayStartTime = displayStartTime2;
    }

    public int getDisplayEndTime() {
        return this.displayEndTime;
    }

    public void setDisplayEndTime(int displayEndTime2) {
        this.displayEndTime = displayEndTime2;
    }
}
