package com.coremedia.iso.boxes;

import com.coremedia.iso.IsoTypeReader;
import com.coremedia.iso.IsoTypeWriter;
import com.googlecode.mp4parser.AbstractContainerBox;
import com.googlecode.mp4parser.util.ByteBufferByteChannel;
import java.io.IOException;
import java.nio.ByteBuffer;

public class MetaBox extends AbstractContainerBox {
    public static final String TYPE = "meta";
    private int flags = 0;
    private int version = 0;

    public MetaBox() {
        super(TYPE);
    }

    @Override // com.googlecode.mp4parser.AbstractContainerBox, com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        if (isMp4Box()) {
            return super.getContentSize() + 4;
        }
        return super.getContentSize();
    }

    @Override // com.googlecode.mp4parser.AbstractContainerBox, com.coremedia.iso.boxes.ContainerBox
    public long getNumOfBytesToFirstChild() {
        if (isMp4Box()) {
            return 12;
        }
        return 8;
    }

    @Override // com.googlecode.mp4parser.AbstractContainerBox, com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        int pos = content.position();
        content.get(new byte[4]);
        if (HandlerBox.TYPE.equals(IsoTypeReader.read4cc(content))) {
            content.position(pos);
            this.version = -1;
            this.flags = -1;
        } else {
            content.position(pos);
            this.version = IsoTypeReader.readUInt8(content);
            this.flags = IsoTypeReader.readUInt24(content);
        }
        while (content.remaining() >= 8) {
            try {
                this.boxes.add(this.boxParser.parseBox(new ByteBufferByteChannel(content), this));
            } catch (IOException e) {
                throw new RuntimeException("Sebastian needs to fix 7518765283");
            }
        }
        if (content.remaining() > 0) {
            throw new RuntimeException("Sebastian needs to fix it 90732r26537");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractContainerBox, com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        if (isMp4Box()) {
            IsoTypeWriter.writeUInt8(byteBuffer, this.version);
            IsoTypeWriter.writeUInt24(byteBuffer, this.flags);
        }
        writeChildBoxes(byteBuffer);
    }

    public boolean isMp4Box() {
        return (this.version == -1 || this.flags == -1) ? false : true;
    }

    public void setMp4Box(boolean mp4) {
        if (mp4) {
            this.version = 0;
            this.flags = 0;
            return;
        }
        this.version = -1;
        this.flags = -1;
    }
}
