package com.coremedia.iso.boxes.apple;

import com.coremedia.iso.IsoTypeReader;
import com.coremedia.iso.IsoTypeWriter;
import com.googlecode.mp4parser.AbstractFullBox;
import java.nio.ByteBuffer;

public final class AppleLosslessSpecificBox extends AbstractFullBox {
    public static final String TYPE = "alac";
    private long bitRate;
    private int channels;
    private int historyMult;
    private int initialHistory;
    private int kModifier;
    private long maxCodedFrameSize;
    private long maxSamplePerFrame;
    private long sampleRate;
    private int sampleSize;
    private int unknown1;
    private int unknown2;

    public long getMaxSamplePerFrame() {
        return this.maxSamplePerFrame;
    }

    public void setMaxSamplePerFrame(int maxSamplePerFrame2) {
        this.maxSamplePerFrame = (long) maxSamplePerFrame2;
    }

    public int getUnknown1() {
        return this.unknown1;
    }

    public void setUnknown1(int unknown12) {
        this.unknown1 = unknown12;
    }

    public int getSampleSize() {
        return this.sampleSize;
    }

    public void setSampleSize(int sampleSize2) {
        this.sampleSize = sampleSize2;
    }

    public int getHistoryMult() {
        return this.historyMult;
    }

    public void setHistoryMult(int historyMult2) {
        this.historyMult = historyMult2;
    }

    public int getInitialHistory() {
        return this.initialHistory;
    }

    public void setInitialHistory(int initialHistory2) {
        this.initialHistory = initialHistory2;
    }

    public int getKModifier() {
        return this.kModifier;
    }

    public void setKModifier(int kModifier2) {
        this.kModifier = kModifier2;
    }

    public int getChannels() {
        return this.channels;
    }

    public void setChannels(int channels2) {
        this.channels = channels2;
    }

    public int getUnknown2() {
        return this.unknown2;
    }

    public void setUnknown2(int unknown22) {
        this.unknown2 = unknown22;
    }

    public long getMaxCodedFrameSize() {
        return this.maxCodedFrameSize;
    }

    public void setMaxCodedFrameSize(int maxCodedFrameSize2) {
        this.maxCodedFrameSize = (long) maxCodedFrameSize2;
    }

    public long getBitRate() {
        return this.bitRate;
    }

    public void setBitRate(int bitRate2) {
        this.bitRate = (long) bitRate2;
    }

    public long getSampleRate() {
        return this.sampleRate;
    }

    public void setSampleRate(int sampleRate2) {
        this.sampleRate = (long) sampleRate2;
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        parseVersionAndFlags(content);
        this.maxSamplePerFrame = IsoTypeReader.readUInt32(content);
        this.unknown1 = IsoTypeReader.readUInt8(content);
        this.sampleSize = IsoTypeReader.readUInt8(content);
        this.historyMult = IsoTypeReader.readUInt8(content);
        this.initialHistory = IsoTypeReader.readUInt8(content);
        this.kModifier = IsoTypeReader.readUInt8(content);
        this.channels = IsoTypeReader.readUInt8(content);
        this.unknown2 = IsoTypeReader.readUInt16(content);
        this.maxCodedFrameSize = IsoTypeReader.readUInt32(content);
        this.bitRate = IsoTypeReader.readUInt32(content);
        this.sampleRate = IsoTypeReader.readUInt32(content);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        writeVersionAndFlags(byteBuffer);
        IsoTypeWriter.writeUInt32(byteBuffer, this.maxSamplePerFrame);
        IsoTypeWriter.writeUInt8(byteBuffer, this.unknown1);
        IsoTypeWriter.writeUInt8(byteBuffer, this.sampleSize);
        IsoTypeWriter.writeUInt8(byteBuffer, this.historyMult);
        IsoTypeWriter.writeUInt8(byteBuffer, this.initialHistory);
        IsoTypeWriter.writeUInt8(byteBuffer, this.kModifier);
        IsoTypeWriter.writeUInt8(byteBuffer, this.channels);
        IsoTypeWriter.writeUInt16(byteBuffer, this.unknown2);
        IsoTypeWriter.writeUInt32(byteBuffer, this.maxCodedFrameSize);
        IsoTypeWriter.writeUInt32(byteBuffer, this.bitRate);
        IsoTypeWriter.writeUInt32(byteBuffer, this.sampleRate);
    }

    public AppleLosslessSpecificBox() {
        super("alac");
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 28;
    }
}
