package com.coremedia.iso.boxes.apple;

import com.tencent.connect.common.Constants;
import java.util.HashMap;
import java.util.Map;

public class AppleMediaTypeBox extends AbstractAppleMetaDataBox {
    public static final String TYPE = "stik";
    private static Map<String, String> mediaTypes;

    static {
        HashMap hashMap = new HashMap();
        mediaTypes = hashMap;
        hashMap.put("0", "Movie (is now 9)");
        mediaTypes.put("1", "Normal (Music)");
        mediaTypes.put("2", "Audiobook");
        mediaTypes.put(Constants.VIA_SHARE_TYPE_INFO, "Music Video");
        mediaTypes.put(Constants.VIA_SHARE_TYPE_MINI_PROGRAM, "Movie");
        mediaTypes.put(Constants.VIA_REPORT_TYPE_SHARE_TO_QQ, "TV Show");
        mediaTypes.put(Constants.VIA_REPORT_TYPE_SHARE_TO_QZONE, "Booklet");
        mediaTypes.put(Constants.VIA_REPORT_TYPE_MAKE_FRIEND, "Ringtone");
    }

    public AppleMediaTypeBox() {
        super(TYPE);
        this.appleDataBox = AppleDataBox.getUint8AppleDataBox();
    }

    public String getReadableValue() {
        if (mediaTypes.containsKey(getValue())) {
            return mediaTypes.get(getValue());
        }
        return "unknown media type " + getValue();
    }
}
