package com.coremedia.iso.boxes.fragment;

import com.coremedia.iso.boxes.Box;
import com.coremedia.iso.boxes.SampleDependencyTypeBox;
import com.googlecode.mp4parser.AbstractContainerBox;
import com.googlecode.mp4parser.annotations.DoNotParseDetail;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class MovieFragmentBox extends AbstractContainerBox {
    public static final String TYPE = "moof";

    public MovieFragmentBox() {
        super(TYPE);
    }

    public List<Long> getSyncSamples(SampleDependencyTypeBox sdtp) {
        List<Long> result = new ArrayList<>();
        long i = 1;
        for (SampleDependencyTypeBox.Entry sampleEntry : sdtp.getEntries()) {
            if (sampleEntry.getSampleDependsOn() == 2) {
                result.add(Long.valueOf(i));
            }
            i++;
        }
        return result;
    }

    @DoNotParseDetail
    public long getOffset() {
        Box box;
        Box b = this;
        long offset = 0;
        while (b.getParent() != null) {
            Iterator<Box> it = b.getParent().getBoxes().iterator();
            while (it.hasNext() && b != (box = it.next())) {
                offset += box.getSize();
            }
            b = b.getParent();
        }
        return offset;
    }

    public int getTrackCount() {
        return getBoxes(TrackFragmentBox.class, false).size();
    }

    public long[] getTrackNumbers() {
        List<TrackFragmentBox> trackBoxes = getBoxes(TrackFragmentBox.class, false);
        long[] trackNumbers = new long[trackBoxes.size()];
        for (int trackCounter = 0; trackCounter < trackBoxes.size(); trackCounter++) {
            trackNumbers[trackCounter] = trackBoxes.get(trackCounter).getTrackFragmentHeaderBox().getTrackId();
        }
        return trackNumbers;
    }

    public List<TrackFragmentHeaderBox> getTrackFragmentHeaderBoxes() {
        return getBoxes(TrackFragmentHeaderBox.class, true);
    }

    public List<TrackRunBox> getTrackRunBoxes() {
        return getBoxes(TrackRunBox.class, true);
    }
}
