package com.coremedia.iso.boxes.sampleentry;

import com.coremedia.iso.IsoTypeWriter;
import com.coremedia.iso.boxes.Box;
import java.nio.ByteBuffer;

public class Ovc1VisualSampleEntryImpl extends SampleEntry {
    public static final String TYPE = "ovc1";
    private byte[] vc1Content;

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        long size = 8;
        for (Box box : this.boxes) {
            size += box.getSize();
        }
        return size + ((long) this.vc1Content.length);
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        _parseReservedAndDataReferenceIndex(content);
        byte[] bArr = new byte[content.remaining()];
        this.vc1Content = bArr;
        content.get(bArr);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        byteBuffer.put(new byte[6]);
        IsoTypeWriter.writeUInt16(byteBuffer, getDataReferenceIndex());
        byteBuffer.put(this.vc1Content);
    }

    protected Ovc1VisualSampleEntryImpl() {
        super(TYPE);
    }
}
