package com.efs.sdk.base.core.config.a;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.util.Pair;
import android.webkit.ValueCallback;
import com.alipay.sdk.m.u.b;
import com.efs.sdk.base.IConfigRefreshAction;
import com.efs.sdk.base.core.c.f;
import com.efs.sdk.base.core.controller.ControllerCenter;
import com.efs.sdk.base.core.util.Log;
import com.efs.sdk.base.observer.IConfigCallback;
import com.efs.sdk.base.observer.IEfsReporterObserver;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.adapter.util.DeviceInfo;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;
import java.util.Set;
import org.json.JSONObject;

public final class c implements Handler.Callback {
    public static final Random a = new Random();
    public IConfigRefreshAction b;
    public boolean c;
    public b d;
    public Map<IConfigCallback, String[]> e;
    private Handler f;
    private e g;
    private long h;

    /* access modifiers changed from: package-private */
    public static class a {
        private static final c a = new c((byte) 0);
    }

    /* synthetic */ c(byte b2) {
        this();
    }

    private c() {
        this.c = true;
        this.e = new HashMap();
        this.f = new Handler(com.efs.sdk.base.core.util.concurrent.a.a.getLooper(), this);
        this.g = new e();
        this.d = b.a();
        this.h = ControllerCenter.getGlobalEnvStruct().configRefreshDelayMills;
    }

    public static c a() {
        return a.a;
    }

    public final void b() {
        this.f.sendEmptyMessage(0);
        this.f.sendEmptyMessageDelayed(2, this.h);
    }

    public final void a(int i) {
        if (i <= this.d.a) {
            Log.i("efs.config", "current config version is " + i + ", no need to refresh");
            return;
        }
        Message obtain = Message.obtain();
        obtain.arg1 = i;
        obtain.what = 1;
        this.f.sendMessage(obtain);
    }

    public final Map<String, String> c() {
        return new HashMap(this.d.f);
    }

    public final String a(boolean z) {
        if (z) {
            return DeviceInfo.HTTPS_PROTOCOL + this.d.c;
        }
        return this.d.b + this.d.c;
    }

    public final boolean handleMessage(Message message) {
        b bVar;
        int i = message.what;
        if (i == 0) {
            boolean a2 = e.a();
            Log.i("efs.config", "delete old config is ".concat(String.valueOf(a2)));
            if (a2) {
                this.f.sendEmptyMessage(1);
            } else {
                e eVar = this.g;
                eVar.c();
                if (eVar.a == null) {
                    bVar = null;
                } else {
                    b a3 = b.a();
                    a3.a = eVar.a.getInt("cver", -1);
                    Set<String> keySet = eVar.a.getAll().keySet();
                    HashMap hashMap = new HashMap();
                    for (String str : keySet) {
                        String string = eVar.a.getString(str, "");
                        if (!TextUtils.isEmpty(string)) {
                            hashMap.put(str, string);
                        }
                    }
                    a3.a(hashMap);
                    bVar = a3;
                }
                if (bVar == null) {
                    Log.i("efs.config", "first load local config false.");
                } else if (a(bVar)) {
                    Log.i("efs.config", "current config to same.");
                } else {
                    this.d = bVar;
                    String str2 = "load config from storage";
                    if (-1 != bVar.a) {
                        i();
                        d();
                        str2 = str2 + " and notify observer";
                    }
                    Log.i("efs.config", str2);
                }
            }
        } else if (i == 1) {
            int i2 = message.arg1;
            if (i2 <= this.d.a) {
                Log.i("efs.config", "current config version is " + i2 + ", no need to refresh");
                Log.i("efs.config", "current config version(" + this.d.a + ") is " + i2 + ", no need to refresh");
            } else {
                e();
            }
        } else if (i == 2) {
            try {
                if (f.a.a().a()) {
                    if (!h()) {
                        Log.i("efs.config", "No update is required, less than 8h since the last update");
                    } else {
                        e();
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else if (i == 3) {
            f();
        }
        return true;
    }

    public final void a(String str) {
        b a2 = b.a();
        if (!d.a(str, a2)) {
            this.f.sendEmptyMessageDelayed(1, b.a);
        } else if (!a(a2)) {
            this.d = a2;
            f();
            i();
            d();
        }
    }

    private void f() {
        boolean z;
        try {
            z = this.g.a(this.d);
        } catch (Throwable th) {
            z = false;
        }
        if (!z) {
            this.f.sendEmptyMessageDelayed(3, b.a);
        }
    }

    private IConfigRefreshAction g() {
        IConfigRefreshAction iConfigRefreshAction = this.b;
        return iConfigRefreshAction == null ? a.a() : iConfigRefreshAction;
    }

    private boolean h() {
        e.b();
        long j = 0;
        try {
            e eVar = this.g;
            eVar.c();
            if (eVar.a != null) {
                j = eVar.a.getLong("last_refresh_time", 0);
            }
        } catch (Throwable th) {
        }
        return System.currentTimeMillis() - j >= (this.d.d * 60) * 1000;
    }

    private boolean a(b bVar) {
        if (this.d.a >= bVar.a) {
            return true;
        }
        Log.i("efs.config", "current config version (" + this.d.a + ") is older than another (" + bVar.a + Operators.BRACKET_END_STR);
        return false;
    }

    private void i() {
        try {
            for (ValueCallback<Pair<Message, Message>> valueCallback : ControllerCenter.getGlobalEnvStruct().getCallback(1)) {
                Message obtain = Message.obtain(null, 1, new JSONObject(this.d.f).toString());
                Message obtain2 = Message.obtain();
                valueCallback.onReceiveValue(new Pair<>(obtain, obtain2));
                obtain.recycle();
                obtain2.recycle();
            }
            for (IEfsReporterObserver iEfsReporterObserver : ControllerCenter.getGlobalEnvStruct().getEfsReporterObservers()) {
                iEfsReporterObserver.onConfigChange();
            }
        } catch (Throwable th) {
            Log.e("efs.config", th);
        }
    }

    public final void d() {
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class com.efs.sdk.base.core.config.a.c.AnonymousClass1 */

            public final void run() {
                try {
                    for (IConfigCallback iConfigCallback : c.this.e.keySet()) {
                        String[] strArr = (String[]) c.this.e.get(iConfigCallback);
                        HashMap hashMap = new HashMap();
                        if (!(strArr == null || strArr.length == 0)) {
                            for (String str : strArr) {
                                if (c.this.d.f.containsKey(str)) {
                                    hashMap.put(str, c.this.c().get(str));
                                    Log.i("efs.config", "--->>> configCallback key is " + str + " ## value is " + c.this.c().get(str));
                                }
                            }
                        }
                        iConfigCallback.onChange(hashMap);
                    }
                    c.this.e.clear();
                } catch (Throwable th) {
                }
            }
        });
    }

    private void e() {
        if (!f.a.a().a()) {
            Log.i("efs.config", "has no permission to refresh config from remote");
        } else if (!this.c) {
            Log.i("efs.config", "disable refresh config from remote");
        } else {
            String refresh = g().refresh();
            Log.i("efs.config", "from server. efs config is ".concat(String.valueOf(refresh)));
            if (!TextUtils.isEmpty(refresh)) {
                a(refresh);
            }
        }
    }
}
