package com.efs.sdk.h5pagesdk;

import android.content.Context;
import com.baidu.speech.asr.SpeechConstant;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.core.util.Log;
import com.efs.sdk.base.integrationtesting.IntegrationTestingUtil;
import com.efs.sdk.base.observer.IConfigCallback;
import com.efs.sdk.base.protocol.record.EfsJSONLog;
import java.util.Map;
import java.util.Random;
import org.json.JSONException;
import org.json.JSONObject;

public class H5ConfigMananger {
    private final String TAG = "H5ConfigMananger";
    private final int a = 0;
    private EfsReporter b;
    private int c = 0;
    private boolean d = false;
    private Context mContext;

    static /* synthetic */ boolean a(int i) {
        if (i == 0) {
            return false;
        }
        if (i != 100 && new Random().nextInt(100) > i) {
            return false;
        }
        return true;
    }

    public H5ConfigMananger(Context context, EfsReporter efsReporter) {
        this.mContext = context;
        this.b = efsReporter;
        efsReporter.getAllSdkConfig(new String[]{"apm_native_h5perf_sampling_rate"}, new IConfigCallback() {
            /* class com.efs.sdk.h5pagesdk.H5ConfigMananger.AnonymousClass1 */

            @Override // com.efs.sdk.base.observer.IConfigCallback
            public final void onChange(Map<String, Object> map) {
                try {
                    Object obj = map.get("apm_native_h5perf_sampling_rate");
                    if (obj != null) {
                        H5ConfigMananger.this.c = Integer.parseInt(obj.toString());
                        H5ConfigMananger.this.d = H5ConfigMananger.a(H5ConfigMananger.this.c);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    public boolean isH5TracerEnable() {
        return this.d;
    }

    public String generateLaunchOptions() {
        if (this.d || IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put(SpeechConstant.SAMPLE_RATE, this.c);
                if (this.d) {
                    jSONObject.put("sampleResult", "Y");
                } else {
                    jSONObject.put("sampleResult", "N");
                }
                if (this.mContext != null) {
                    jSONObject.put("appName", this.mContext.getApplicationInfo().packageName);
                }
                jSONObject.put("bridgeVersion", 1);
            } catch (JSONException e) {
                e.printStackTrace();
            }
            return jSONObject.toString();
        } else if (!H5Manager.isDebug) {
            return "";
        } else {
            Log.e("H5ConfigMananger", "采样未命中，并且不处于集成测试模式");
            return "";
        }
    }

    public void sendData(final String str) {
        if (this.d || IntegrationTestingUtil.isIntegrationTestingInPeriod()) {
            a.execute(new Runnable() {
                /* class com.efs.sdk.h5pagesdk.H5ConfigMananger.AnonymousClass2 */

                public final void run() {
                    if (H5ConfigMananger.this.b != null) {
                        EfsJSONLog efsJSONLog = new EfsJSONLog("nativeh5perf");
                        efsJSONLog.put("wk_native_h5log", str);
                        H5ConfigMananger.this.b.send(efsJSONLog);
                    }
                }
            });
        }
    }
}
