package com.facebook.fresco.animation.drawable.animator;

import android.animation.ValueAnimator;
import com.facebook.fresco.animation.drawable.AnimatedDrawable2;
import javax.annotation.Nullable;

public class AnimatedDrawable2ValueAnimatorHelper {
    @Nullable
    public static ValueAnimator createValueAnimator(AnimatedDrawable2 animatedDrawable, int maxDurationMs) {
        ValueAnimator animator = createValueAnimator(animatedDrawable);
        if (animator == null) {
            return null;
        }
        animator.setRepeatCount((int) Math.max(((long) maxDurationMs) / animatedDrawable.getLoopDurationMs(), 1L));
        return animator;
    }

    public static ValueAnimator createValueAnimator(AnimatedDrawable2 animatedDrawable) {
        int loopCount = animatedDrawable.getLoopCount();
        ValueAnimator animator = new ValueAnimator();
        animator.setIntValues(0, (int) animatedDrawable.getLoopDurationMs());
        animator.setDuration(animatedDrawable.getLoopDurationMs());
        animator.setRepeatCount(loopCount != 0 ? loopCount : -1);
        animator.setRepeatMode(1);
        animator.setInterpolator(null);
        animator.addUpdateListener(createAnimatorUpdateListener(animatedDrawable));
        return animator;
    }

    public static ValueAnimator.AnimatorUpdateListener createAnimatorUpdateListener(final AnimatedDrawable2 drawable) {
        return new ValueAnimator.AnimatorUpdateListener() {
            /* class com.facebook.fresco.animation.drawable.animator.AnimatedDrawable2ValueAnimatorHelper.AnonymousClass1 */

            public void onAnimationUpdate(ValueAnimator animation) {
                drawable.setLevel(((Integer) animation.getAnimatedValue()).intValue());
            }
        };
    }

    private AnimatedDrawable2ValueAnimatorHelper() {
    }
}
