package com.facebook.imagepipeline.animated.base;

public class AnimatedDrawableFrameInfo {
    public final BlendOperation blendOperation;
    public final DisposalMethod disposalMethod;
    public final int frameNumber;
    public final int height;
    public final int width;
    public final int xOffset;
    public final int yOffset;

    public enum BlendOperation {
        BLEND_WITH_PREVIOUS,
        NO_BLEND
    }

    public enum DisposalMethod {
        DISPOSE_DO_NOT,
        DISPOSE_TO_BACKGROUND,
        DISPOSE_TO_PREVIOUS
    }

    public AnimatedDrawableFrameInfo(int frameNumber2, int xOffset2, int yOffset2, int width2, int height2, BlendOperation blendOperation2, DisposalMethod disposalMethod2) {
        this.frameNumber = frameNumber2;
        this.xOffset = xOffset2;
        this.yOffset = yOffset2;
        this.width = width2;
        this.height = height2;
        this.blendOperation = blendOperation2;
        this.disposalMethod = disposalMethod2;
    }
}
