package com.facebook.imagepipeline.cache;

import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.Supplier;
import com.facebook.common.memory.MemoryTrimmableRegistry;
import com.facebook.imagepipeline.cache.CountingMemoryCache;
import com.facebook.imagepipeline.cache.MemoryCache;
import com.facebook.imagepipeline.image.CloseableImage;
import javax.annotation.Nullable;

public class CountingLruBitmapMemoryCacheFactory implements BitmapMemoryCacheFactory {
    @Override // com.facebook.imagepipeline.cache.BitmapMemoryCacheFactory
    public CountingMemoryCache<CacheKey, CloseableImage> create(Supplier<MemoryCacheParams> bitmapMemoryCacheParamsSupplier, MemoryTrimmableRegistry memoryTrimmableRegistry, MemoryCache.CacheTrimStrategy trimStrategy, @Nullable CountingMemoryCache.EntryStateObserver<CacheKey> observer) {
        CountingMemoryCache<CacheKey, CloseableImage> countingCache = new LruCountingMemoryCache<>(new ValueDescriptor<CloseableImage>() {
            /* class com.facebook.imagepipeline.cache.CountingLruBitmapMemoryCacheFactory.AnonymousClass1 */

            public int getSizeInBytes(CloseableImage value) {
                return value.getSizeInBytes();
            }
        }, trimStrategy, bitmapMemoryCacheParamsSupplier, observer);
        memoryTrimmableRegistry.registerMemoryTrimmable(countingCache);
        return countingCache;
    }
}
