package com.facebook.imagepipeline.systrace;

import android.os.Build;
import android.os.Trace;
import com.alipay.sdk.m.n.a;
import com.facebook.imagepipeline.systrace.FrescoSystrace;
import com.igexin.push.core.b;

public class DefaultFrescoSystrace implements FrescoSystrace.Systrace {
    @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.Systrace
    public void beginSection(String name) {
    }

    @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.Systrace
    public FrescoSystrace.ArgsBuilder beginSectionWithArgs(String name) {
        return FrescoSystrace.NO_OP_ARGS_BUILDER;
    }

    @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.Systrace
    public void endSection() {
    }

    @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.Systrace
    public boolean isTracing() {
        return false;
    }

    private static final class DefaultArgsBuilder implements FrescoSystrace.ArgsBuilder {
        private final StringBuilder mStringBuilder;

        public DefaultArgsBuilder(String name) {
            this.mStringBuilder = new StringBuilder(name);
        }

        @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.ArgsBuilder
        public void flush() {
            if (this.mStringBuilder.length() > 127) {
                this.mStringBuilder.setLength(127);
            }
            if (Build.VERSION.SDK_INT >= 18) {
                Trace.beginSection(this.mStringBuilder.toString());
            }
        }

        @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.ArgsBuilder
        public FrescoSystrace.ArgsBuilder arg(String key, Object value) {
            String str;
            StringBuilder sb = this.mStringBuilder;
            sb.append(';');
            sb.append(key);
            sb.append(a.h);
            if (value == null) {
                str = b.m;
            } else {
                str = value.toString();
            }
            sb.append(str);
            return this;
        }

        @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.ArgsBuilder
        public FrescoSystrace.ArgsBuilder arg(String key, int value) {
            StringBuilder sb = this.mStringBuilder;
            sb.append(';');
            sb.append(key);
            sb.append(a.h);
            sb.append(Integer.toString(value));
            return this;
        }

        @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.ArgsBuilder
        public FrescoSystrace.ArgsBuilder arg(String key, long value) {
            StringBuilder sb = this.mStringBuilder;
            sb.append(';');
            sb.append(key);
            sb.append(a.h);
            sb.append(Long.toString(value));
            return this;
        }

        @Override // com.facebook.imagepipeline.systrace.FrescoSystrace.ArgsBuilder
        public FrescoSystrace.ArgsBuilder arg(String key, double value) {
            StringBuilder sb = this.mStringBuilder;
            sb.append(';');
            sb.append(key);
            sb.append(a.h);
            sb.append(Double.toString(value));
            return this;
        }
    }
}
