package com.getui.gtc.base.crypt;

import android.content.Context;
import com.alipay.sdk.m.u.b;
import com.getui.gtc.base.GtcProvider;
import com.getui.gtc.base.util.io.IOUtils;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.InputStream;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.ReentrantLock;

public class SecureCryptTools {
    private static final String CIPHER_FLAG_FIRST = "First";
    private static final String CIPHER_FLAG_SECOND = "Second";
    private static final String CIPHER_FLAG_SEPARATOR = "-";
    private static final String CIPHER_FLAG_STARTER = ":::";
    private volatile boolean initInvoked;
    private ReentrantLock lock;
    private d secureKeyStore;

    /* access modifiers changed from: package-private */
    public static class a {
        private static SecureCryptTools a = new SecureCryptTools();
    }

    private SecureCryptTools() {
        this.lock = new ReentrantLock();
        try {
            init(GtcProvider.context());
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private synchronized byte[] doDecrypt(byte[] bArr) throws CryptException {
        ByteArrayOutputStream byteArrayOutputStream;
        Throwable th;
        ByteArrayOutputStream byteArrayOutputStream2;
        ByteArrayOutputStream byteArrayOutputStream3;
        Throwable th2;
        ByteArrayOutputStream byteArrayOutputStream4;
        String cipherFlag = getCipherFlag(bArr);
        if (cipherFlag != null) {
            String[] split = cipherFlag.split("-");
            if (split.length >= 2) {
                String str = split[0];
                byte[] copyOfRange = Arrays.copyOfRange(bArr, 0, (bArr.length - cipherFlag.length()) - 3);
                ByteArrayInputStream byteArrayInputStream = null;
                if (cipherFlag.endsWith(CIPHER_FLAG_FIRST)) {
                    try {
                        ByteArrayInputStream byteArrayInputStream2 = new ByteArrayInputStream(copyOfRange);
                        try {
                            ByteArrayOutputStream byteArrayOutputStream5 = new ByteArrayOutputStream();
                            try {
                                InputStream decrypt = CryptTools.decrypt("AES/CBC/PKCS7Padding", this.secureKeyStore.a(str), this.secureKeyStore.c(str), byteArrayInputStream2);
                                byte[] bArr2 = new byte[256];
                                while (true) {
                                    int read = decrypt.read(bArr2);
                                    if (read != -1) {
                                        byteArrayOutputStream5.write(bArr2, 0, read);
                                    } else {
                                        byteArrayOutputStream5.flush();
                                        byte[] byteArray = byteArrayOutputStream5.toByteArray();
                                        IOUtils.safeClose(decrypt);
                                        IOUtils.safeClose(byteArrayInputStream2);
                                        IOUtils.safeClose(byteArrayOutputStream5);
                                        return byteArray;
                                    }
                                }
                            } catch (Throwable th3) {
                                th2 = th3;
                                byteArrayOutputStream4 = byteArrayOutputStream5;
                                byteArrayOutputStream3 = null;
                                byteArrayInputStream = byteArrayInputStream2;
                                try {
                                    throw new CryptException("decrypt failed!", th2);
                                } catch (Throwable th4) {
                                    IOUtils.safeClose(byteArrayOutputStream3);
                                    IOUtils.safeClose(byteArrayInputStream);
                                    IOUtils.safeClose(byteArrayOutputStream4);
                                    throw th4;
                                }
                            }
                        } catch (Throwable th5) {
                            th2 = th5;
                            byteArrayOutputStream3 = null;
                            byteArrayInputStream = byteArrayInputStream2;
                            byteArrayOutputStream4 = byteArrayOutputStream3;
                            throw new CryptException("decrypt failed!", th2);
                        }
                    } catch (Throwable th6) {
                        th2 = th6;
                        byteArrayOutputStream3 = null;
                        byteArrayOutputStream4 = byteArrayOutputStream3;
                        throw new CryptException("decrypt failed!", th2);
                    }
                } else if (cipherFlag.endsWith(CIPHER_FLAG_SECOND)) {
                    try {
                        ByteArrayInputStream byteArrayInputStream3 = new ByteArrayInputStream(copyOfRange);
                        try {
                            ByteArrayOutputStream byteArrayOutputStream6 = new ByteArrayOutputStream();
                            try {
                                InputStream decrypt2 = CryptTools.decrypt("AES/CBC/PKCS7Padding", this.secureKeyStore.b(str), this.secureKeyStore.c(str), byteArrayInputStream3);
                                byte[] bArr3 = new byte[256];
                                while (true) {
                                    int read2 = decrypt2.read(bArr3);
                                    if (read2 != -1) {
                                        byteArrayOutputStream6.write(bArr3, 0, read2);
                                    } else {
                                        byteArrayOutputStream6.flush();
                                        byte[] byteArray2 = byteArrayOutputStream6.toByteArray();
                                        IOUtils.safeClose(decrypt2);
                                        IOUtils.safeClose(byteArrayInputStream3);
                                        IOUtils.safeClose(byteArrayOutputStream6);
                                        return byteArray2;
                                    }
                                }
                            } catch (Throwable th7) {
                                th = th7;
                                byteArrayOutputStream2 = byteArrayOutputStream6;
                                byteArrayOutputStream = null;
                                byteArrayInputStream = byteArrayInputStream3;
                                try {
                                    throw new CryptException("decrypt failed!", th);
                                } catch (Throwable th8) {
                                    IOUtils.safeClose(byteArrayOutputStream);
                                    IOUtils.safeClose(byteArrayInputStream);
                                    IOUtils.safeClose(byteArrayOutputStream2);
                                    throw th8;
                                }
                            }
                        } catch (Throwable th9) {
                            th = th9;
                            byteArrayOutputStream = null;
                            byteArrayInputStream = byteArrayInputStream3;
                            byteArrayOutputStream2 = byteArrayOutputStream;
                            throw new CryptException("decrypt failed!", th);
                        }
                    } catch (Throwable th10) {
                        th = th10;
                        byteArrayOutputStream = null;
                        byteArrayOutputStream2 = byteArrayOutputStream;
                        throw new CryptException("decrypt failed!", th);
                    }
                } else {
                    throw new CryptException("Cipher flag not found in cipher text!");
                }
            } else {
                throw new CryptException("Cipher flag is wrong in cipher text!");
            }
        } else {
            throw new CryptException("Cipher flag not found in cipher text!");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x00a4 A[Catch:{ all -> 0x00dd }, LOOP:1: B:27:0x009d->B:29:0x00a4, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00a8 A[SYNTHETIC] */
    private byte[] doEncrypt(byte[] bArr) throws CryptException {
        Closeable closeable;
        Throwable th;
        ByteArrayOutputStream byteArrayOutputStream;
        Closeable closeable2;
        Throwable th2;
        ByteArrayInputStream byteArrayInputStream;
        ByteArrayOutputStream byteArrayOutputStream2;
        InputStream encrypt;
        byte[] bArr2;
        int read;
        ByteArrayInputStream byteArrayInputStream2 = null;
        if (this.secureKeyStore.c != null) {
            try {
                ByteArrayInputStream byteArrayInputStream3 = new ByteArrayInputStream(bArr);
                try {
                    byteArrayOutputStream = new ByteArrayOutputStream();
                } catch (Throwable th3) {
                    closeable2 = null;
                    byteArrayOutputStream = null;
                    byteArrayInputStream2 = byteArrayInputStream3;
                    try {
                        byteArrayInputStream = new ByteArrayInputStream(bArr);
                        try {
                            byteArrayOutputStream2 = new ByteArrayOutputStream();
                            try {
                                encrypt = CryptTools.encrypt("AES/CBC/PKCS7Padding", this.secureKeyStore.a(), this.secureKeyStore.b(), byteArrayInputStream);
                                bArr2 = new byte[256];
                                while (true) {
                                    read = encrypt.read(bArr2);
                                    if (read != -1) {
                                    }
                                    byteArrayOutputStream2.write(bArr2, 0, read);
                                }
                            } catch (Throwable th4) {
                                th2 = th4;
                                byteArrayOutputStream = byteArrayOutputStream2;
                                byteArrayInputStream2 = byteArrayInputStream;
                                try {
                                    throw new CryptException("encrypt failed", th2);
                                } catch (Throwable th5) {
                                    IOUtils.safeClose(closeable2);
                                    IOUtils.safeClose(byteArrayInputStream2);
                                    IOUtils.safeClose(byteArrayOutputStream);
                                    throw th5;
                                }
                            }
                        } catch (Throwable th6) {
                            th2 = th6;
                            byteArrayInputStream2 = byteArrayInputStream;
                            throw new CryptException("encrypt failed", th2);
                        }
                    } catch (Throwable th7) {
                        th2 = th7;
                        throw new CryptException("encrypt failed", th2);
                    }
                }
                try {
                    d dVar = this.secureKeyStore;
                    InputStream encrypt2 = CryptTools.encrypt("AES/CBC/PKCS7Padding", dVar.a(dVar.g), this.secureKeyStore.b(), byteArrayInputStream3);
                    byte[] bArr3 = new byte[256];
                    while (true) {
                        int read2 = encrypt2.read(bArr3);
                        if (read2 != -1) {
                            byteArrayOutputStream.write(bArr3, 0, read2);
                        } else {
                            byteArrayOutputStream.flush();
                            byte[] byteArray = byteArrayOutputStream.toByteArray();
                            byte[] bytes = (CIPHER_FLAG_STARTER + this.secureKeyStore.g + "-First").getBytes();
                            int length = bytes.length;
                            byte[] bArr4 = new byte[(byteArray.length + length)];
                            System.arraycopy(byteArray, 0, bArr4, 0, byteArray.length);
                            System.arraycopy(bytes, 0, bArr4, byteArray.length, length);
                            IOUtils.safeClose(encrypt2);
                            IOUtils.safeClose(byteArrayInputStream3);
                            IOUtils.safeClose(byteArrayOutputStream);
                            return bArr4;
                        }
                    }
                } catch (Throwable th8) {
                    closeable2 = null;
                    byteArrayInputStream2 = byteArrayInputStream3;
                    byteArrayInputStream = new ByteArrayInputStream(bArr);
                    byteArrayOutputStream2 = new ByteArrayOutputStream();
                    encrypt = CryptTools.encrypt("AES/CBC/PKCS7Padding", this.secureKeyStore.a(), this.secureKeyStore.b(), byteArrayInputStream);
                    bArr2 = new byte[256];
                    while (true) {
                        read = encrypt.read(bArr2);
                        if (read != -1) {
                            byteArrayOutputStream2.write(bArr2, 0, read);
                        } else {
                            byteArrayOutputStream2.flush();
                            byte[] byteArray2 = byteArrayOutputStream2.toByteArray();
                            byte[] bytes2 = (CIPHER_FLAG_STARTER + this.secureKeyStore.g + "-Second").getBytes();
                            int length2 = bytes2.length;
                            byte[] bArr5 = new byte[(byteArray2.length + length2)];
                            System.arraycopy(byteArray2, 0, bArr5, 0, byteArray2.length);
                            System.arraycopy(bytes2, 0, bArr5, byteArray2.length, length2);
                            IOUtils.safeClose(encrypt);
                            IOUtils.safeClose(byteArrayInputStream);
                            IOUtils.safeClose(byteArrayOutputStream2);
                            return bArr5;
                        }
                    }
                }
            } catch (Throwable th9) {
                closeable2 = null;
                byteArrayOutputStream = null;
                byteArrayInputStream = new ByteArrayInputStream(bArr);
                byteArrayOutputStream2 = new ByteArrayOutputStream();
                encrypt = CryptTools.encrypt("AES/CBC/PKCS7Padding", this.secureKeyStore.a(), this.secureKeyStore.b(), byteArrayInputStream);
                bArr2 = new byte[256];
                while (true) {
                    read = encrypt.read(bArr2);
                    if (read != -1) {
                    }
                    byteArrayOutputStream2.write(bArr2, 0, read);
                }
            }
        } else {
            try {
                ByteArrayInputStream byteArrayInputStream4 = new ByteArrayInputStream(bArr);
                try {
                    ByteArrayOutputStream byteArrayOutputStream3 = new ByteArrayOutputStream();
                    InputStream encrypt3 = CryptTools.encrypt("AES/CBC/PKCS7Padding", this.secureKeyStore.a(), this.secureKeyStore.b(), byteArrayInputStream4);
                    byte[] bArr6 = new byte[256];
                    while (true) {
                        int read3 = encrypt3.read(bArr6);
                        if (read3 != -1) {
                            byteArrayOutputStream3.write(bArr6, 0, read3);
                        } else {
                            byteArrayOutputStream3.flush();
                            byte[] byteArray3 = byteArrayOutputStream3.toByteArray();
                            byte[] bytes3 = (CIPHER_FLAG_STARTER + this.secureKeyStore.g + "-Second").getBytes();
                            int length3 = bytes3.length;
                            byte[] bArr7 = new byte[(byteArray3.length + length3)];
                            System.arraycopy(byteArray3, 0, bArr7, 0, byteArray3.length);
                            System.arraycopy(bytes3, 0, bArr7, byteArray3.length, length3);
                            IOUtils.safeClose(encrypt3);
                            IOUtils.safeClose(byteArrayInputStream4);
                            return bArr7;
                        }
                    }
                } catch (Throwable th10) {
                    th = th10;
                    closeable = null;
                    byteArrayInputStream2 = byteArrayInputStream4;
                    try {
                        throw new CryptException("encrypt failed", th);
                    } catch (Throwable th11) {
                        IOUtils.safeClose(closeable);
                        IOUtils.safeClose(byteArrayInputStream2);
                        throw th11;
                    }
                }
            } catch (Throwable th12) {
                th = th12;
                closeable = null;
                throw new CryptException("encrypt failed", th);
            }
        }
    }

    private String getCipherFlag(byte[] bArr) {
        String str = new String(bArr);
        int lastIndexOf = str.lastIndexOf(CIPHER_FLAG_STARTER);
        if (lastIndexOf < 0) {
            return null;
        }
        return str.substring(lastIndexOf + 3);
    }

    public static SecureCryptTools getInstance() {
        return a.a;
    }

    private List<CryptException> init(Context context) throws CryptException {
        List<CryptException> a2;
        try {
            this.lock.lock();
            if (this.initInvoked) {
                a2 = Collections.emptyList();
            } else {
                this.initInvoked = true;
                d dVar = new d();
                this.secureKeyStore = dVar;
                a2 = dVar.a(context);
            }
            return a2;
        } finally {
            this.lock.unlock();
        }
    }

    public byte[] decrypt(byte[] bArr) throws CryptException {
        if (this.initInvoked) {
            try {
                this.lock.tryLock(b.a, TimeUnit.MILLISECONDS);
                if (this.lock.isLocked()) {
                    this.lock.unlock();
                }
                return doDecrypt(bArr);
            } catch (InterruptedException e) {
                throw new CryptException("SecureCryptTools: wait init time out!");
            } catch (Throwable th) {
                if (this.lock.isLocked()) {
                    this.lock.unlock();
                }
                throw th;
            }
        } else {
            throw new CryptException("SecureCryptTools: please init firstly!");
        }
    }

    public byte[] encrypt(byte[] bArr) throws CryptException {
        if (this.initInvoked) {
            try {
                this.lock.tryLock(b.a, TimeUnit.MILLISECONDS);
                if (this.lock.isLocked()) {
                    this.lock.unlock();
                }
                return doEncrypt(bArr);
            } catch (InterruptedException e) {
                throw new CryptException("SecureCryptTools: wait init time out!");
            } catch (Throwable th) {
                if (this.lock.isLocked()) {
                    this.lock.unlock();
                }
                throw th;
            }
        } else {
            throw new CryptException("SecureCryptTools: please init firstly!");
        }
    }
}
