package com.getui.gtc.base.crypt;

import android.content.Context;
import android.os.Build;
import android.security.KeyPairGeneratorSpec;
import android.security.keystore.KeyGenParameterSpec;
import com.alipay.sdk.m.n.d;
import java.io.IOException;
import java.math.BigInteger;
import java.security.InvalidAlgorithmParameterException;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivateKey;
import java.security.UnrecoverableKeyException;
import java.security.cert.CertificateException;
import java.security.spec.AlgorithmParameterSpec;
import java.util.Calendar;
import javax.crypto.SecretKey;
import javax.security.auth.x500.X500Principal;

public final class a {
    private final Object a = new Object();
    private final Object b = new Object();

    private KeyPair a(Context context, String str) throws NoSuchProviderException, NoSuchAlgorithmException, InvalidAlgorithmParameterException {
        AlgorithmParameterSpec build;
        KeyPair generateKeyPair;
        synchronized (this.b) {
            KeyPairGenerator instance = KeyPairGenerator.getInstance(d.a, "AndroidKeyStore");
            if (Build.VERSION.SDK_INT >= 23) {
                build = new KeyGenParameterSpec.Builder(str, 3).setBlockModes("ECB").setEncryptionPaddings("PKCS1Padding").setKeySize(1024).build();
            } else {
                Calendar instance2 = Calendar.getInstance();
                Calendar instance3 = Calendar.getInstance();
                instance3.add(1, 30);
                build = new KeyPairGeneratorSpec.Builder(context).setAlias(str).setSubject(new X500Principal("CN=".concat(String.valueOf(str)))).setSerialNumber(BigInteger.TEN).setStartDate(instance2.getTime()).setEndDate(instance3.getTime()).build();
            }
            instance.initialize(build);
            generateKeyPair = instance.generateKeyPair();
        }
        return generateKeyPair;
    }

    public final KeyPair a(Context context, String str, boolean z) throws KeyStoreException, CertificateException, NoSuchAlgorithmException, IOException, UnrecoverableKeyException, NoSuchProviderException, InvalidAlgorithmParameterException {
        synchronized (this.b) {
            KeyStore instance = KeyStore.getInstance("AndroidKeyStore");
            instance.load(null);
            if (instance.containsAlias(str) || !z) {
                return new KeyPair(instance.getCertificate(str).getPublicKey(), (PrivateKey) instance.getKey(str, null));
            }
            return a(context, str);
        }
    }

    public final SecretKey a(String str) throws KeyStoreException, CertificateException, NoSuchAlgorithmException, IOException, UnrecoverableKeyException, NoSuchProviderException, InvalidAlgorithmParameterException {
        SecretKey secretKey;
        synchronized (this.a) {
            KeyStore instance = KeyStore.getInstance("AndroidKeyStore");
            instance.load(null);
            instance.containsAlias(str);
            secretKey = (SecretKey) instance.getKey(str, null);
        }
        return secretKey;
    }
}
