package com.getui.gtc.base.crypt;

import android.content.Context;
import com.getui.gtc.base.util.io.IOUtils;
import java.io.File;
import java.io.IOException;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.KeyPair;
import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.SecureRandom;
import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.spec.IvParameterSpec;

public final class c {
    KeyPair a;
    private b b;
    private File c;

    c(Context context, KeyPair keyPair) throws NoSuchAlgorithmException {
        this.c = context.getFilesDir();
        this.a = keyPair;
        if (keyPair == null) {
            this.b = new b(context.getPackageName());
        }
    }

    public final SecretKey a(String str) throws InvalidKeyException, BadPaddingException, NoSuchAlgorithmException, IllegalBlockSizeException, NoSuchPaddingException, IOException, InvalidAlgorithmParameterException {
        return a(str, true, this.a);
    }

    public final SecretKey a(String str, boolean z, KeyPair keyPair) throws InvalidKeyException, BadPaddingException, NoSuchAlgorithmException, IllegalBlockSizeException, NoSuchPaddingException, IOException, InvalidAlgorithmParameterException {
        byte[] bArr;
        PrivateKey privateKey;
        File file = new File(this.c, str);
        if (file.exists() || !z) {
            try {
                byte[] readFile = IOUtils.readFile(file);
                if (keyPair != null) {
                    privateKey = keyPair.getPrivate();
                } else if (this.a != null) {
                    privateKey = this.a.getPrivate();
                } else {
                    bArr = this.b.b(readFile);
                    return CryptTools.wrapperKey("AES", bArr);
                }
                bArr = CryptTools.decrypt("RSA/ECB/PKCS1Padding", privateKey, readFile);
                return CryptTools.wrapperKey("AES", bArr);
            } catch (IOException e) {
                return null;
            } catch (InvalidAlgorithmParameterException e2) {
                return null;
            }
        } else {
            SecretKey generateKey = CryptTools.generateKey("AES", 128);
            byte[] encoded = generateKey.getEncoded();
            KeyPair keyPair2 = this.a;
            IOUtils.saveToFile(keyPair2 != null ? CryptTools.encrypt("RSA/ECB/PKCS1Padding", keyPair2.getPublic(), encoded) : this.b.a(encoded), new File(this.c, str));
            return generateKey;
        }
    }

    public final IvParameterSpec b(String str, boolean z, KeyPair keyPair) throws IllegalBlockSizeException, InvalidKeyException, BadPaddingException, NoSuchAlgorithmException, NoSuchPaddingException, IOException, InvalidAlgorithmParameterException {
        byte[] bArr;
        PrivateKey privateKey;
        File file = new File(this.c, str);
        if (file.exists() || !z) {
            try {
                byte[] readFile = IOUtils.readFile(file);
                if (keyPair != null) {
                    privateKey = keyPair.getPrivate();
                } else if (this.a != null) {
                    privateKey = this.a.getPrivate();
                } else {
                    bArr = this.b.b(readFile);
                    return new IvParameterSpec(bArr);
                }
                bArr = CryptTools.decrypt("RSA/ECB/PKCS1Padding", privateKey, readFile);
                return new IvParameterSpec(bArr);
            } catch (IOException e) {
                return null;
            } catch (InvalidAlgorithmParameterException e2) {
                return null;
            }
        } else {
            byte[] bArr2 = new byte[16];
            new SecureRandom().nextBytes(bArr2);
            KeyPair keyPair2 = this.a;
            IOUtils.saveToFile(keyPair2 != null ? CryptTools.encrypt("RSA/ECB/PKCS1Padding", keyPair2.getPublic(), bArr2) : this.b.a(bArr2), new File(this.c, str));
            return new IvParameterSpec(bArr2);
        }
    }
}
