package com.getui.gtc.dim.bean;

import android.location.Location;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import com.getui.gtc.dim.e.b;
import com.taobao.weex.common.Constants;
import com.umeng.analytics.pro.d;
import io.dcloud.feature.weex_amap.adapter.Constant;
import org.json.JSONException;
import org.json.JSONObject;

public class GtLocation implements Parcelable {
    public static final Parcelable.Creator<GtLocation> CREATOR = new Parcelable.Creator<GtLocation>() {
        /* class com.getui.gtc.dim.bean.GtLocation.AnonymousClass1 */

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ GtLocation createFromParcel(Parcel parcel) {
            return new GtLocation(parcel);
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public final /* bridge */ /* synthetic */ GtLocation[] newArray(int i) {
            return new GtLocation[i];
        }
    };
    private float accuracy;
    private double altitude;
    private long elapsedRealtimeNanos;
    private boolean hasAccuracy;
    private double latitude;
    private double longitude;
    private String provider;
    private long time;

    private GtLocation() {
    }

    public GtLocation(Location location) {
        this.hasAccuracy = location.hasAccuracy();
        this.accuracy = location.getAccuracy();
        this.time = location.getTime();
        this.provider = location.getProvider();
        this.longitude = location.getLongitude();
        this.latitude = location.getLatitude();
        if (Build.VERSION.SDK_INT >= 17) {
            this.elapsedRealtimeNanos = location.getElapsedRealtimeNanos();
        }
        this.altitude = location.getAltitude();
    }

    protected GtLocation(Parcel parcel) {
        this.hasAccuracy = parcel.readByte() != 0;
        this.time = parcel.readLong();
        this.provider = parcel.readString();
        this.longitude = parcel.readDouble();
        this.latitude = parcel.readDouble();
        this.elapsedRealtimeNanos = parcel.readLong();
        this.altitude = parcel.readDouble();
        this.accuracy = parcel.readFloat();
    }

    public static GtLocation parseJson(String str) {
        if (str == null) {
            return null;
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            GtLocation gtLocation = new GtLocation();
            gtLocation.hasAccuracy = jSONObject.optBoolean("hasAccuracy", false);
            gtLocation.time = jSONObject.optLong(Constants.Value.TIME, 0);
            gtLocation.provider = jSONObject.optString(d.M, "");
            gtLocation.longitude = jSONObject.optDouble(Constant.JSONKEY.LONGITUDE, 0.0d);
            gtLocation.latitude = jSONObject.optDouble(Constant.JSONKEY.LATITUDE, 0.0d);
            gtLocation.elapsedRealtimeNanos = jSONObject.optLong("elapsedRealtimeNanos", 0);
            gtLocation.altitude = jSONObject.optDouble("altitude", 0.0d);
            try {
                gtLocation.accuracy = Float.parseFloat(jSONObject.optString("accuracy", "0"));
            } catch (Throwable th) {
            }
            return gtLocation;
        } catch (JSONException e) {
            b.b(e);
            return null;
        }
    }

    public int describeContents() {
        return 0;
    }

    public float distanceTo(double d, double d2) {
        double d3 = this.latitude;
        double d4 = (0.017453292519943295d * d2) - (this.longitude * 0.017453292519943295d);
        double atan = Math.atan(Math.tan(d3 * 0.017453292519943295d) * 0.996647189328169d);
        double atan2 = Math.atan(Math.tan(d * 0.017453292519943295d) * 0.996647189328169d);
        double cos = Math.cos(atan);
        double cos2 = Math.cos(atan2);
        double sin = Math.sin(atan);
        double sin2 = Math.sin(atan2);
        double d5 = cos * cos2;
        double d6 = sin * sin2;
        double d7 = d4;
        int i = 0;
        double d8 = 0.0d;
        double d9 = 0.0d;
        double d10 = 0.0d;
        while (true) {
            if (i >= 20) {
                break;
            }
            double cos3 = Math.cos(d7);
            double sin3 = Math.sin(d7);
            double d11 = cos2 * sin3;
            double d12 = (cos * sin2) - ((sin * cos2) * cos3);
            double sqrt = Math.sqrt((d11 * d11) + (d12 * d12));
            double d13 = d6 + (cos3 * d5);
            d10 = Math.atan2(sqrt, d13);
            double d14 = sqrt == 0.0d ? 0.0d : (sin3 * d5) / sqrt;
            double d15 = 1.0d - (d14 * d14);
            double d16 = d15 == 0.0d ? 0.0d : d13 - ((d6 * 2.0d) / d15);
            double d17 = 0.006739496756586903d * d15;
            double d18 = ((d17 / 16384.0d) * (((((320.0d - (175.0d * d17)) * d17) - 0.005859375d) * d17) + 4096.0d)) + 1.0d;
            double d19 = (d17 / 1024.0d) * ((d17 * (((74.0d - (47.0d * d17)) * d17) - 0.03125d)) + 256.0d);
            double d20 = 2.0955066698943685E-4d * d15 * (((4.0d - (d15 * 3.0d)) * 0.0033528106718309896d) + 4.0d);
            double d21 = d16 * d16;
            double d22 = d19 * sqrt * (d16 + ((d19 / 4.0d) * ((((d21 * 2.0d) - 4.0d) * d13) - ((((d19 / 6.0d) * d16) * (((sqrt * 4.0d) * sqrt) - 1.5d)) * ((d21 * 4.0d) - 1.5d)))));
            double d23 = d4 + ((1.0d - d20) * 0.0033528106718309896d * d14 * (d10 + (sqrt * d20 * (d16 + (d20 * d13 * (((2.0d * d16) * d16) - 4.0d))))));
            if (Math.abs((d23 - d7) / d23) < 1.0E-12d) {
                d8 = d22;
                d9 = d18;
                break;
            }
            i++;
            sin = sin;
            sin2 = sin2;
            d8 = d22;
            d7 = d23;
            d9 = d18;
        }
        return (float) (d9 * 6356752.3142d * (d10 - d8));
    }

    public float getAccuracy() {
        return this.accuracy;
    }

    public double getAltitude() {
        return this.altitude;
    }

    public long getElapsedRealtimeNanos() {
        return this.elapsedRealtimeNanos;
    }

    public double getLatitude() {
        return this.latitude;
    }

    public double getLongitude() {
        return this.longitude;
    }

    public String getProvider() {
        return this.provider;
    }

    public long getTime() {
        return this.time;
    }

    public boolean hasAccuracy() {
        return this.hasAccuracy;
    }

    public String toJsonString() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("hasAccuracy", this.hasAccuracy);
            jSONObject.put(Constants.Value.TIME, this.time);
            jSONObject.put(d.M, this.provider);
            jSONObject.put(Constant.JSONKEY.LONGITUDE, this.longitude);
            jSONObject.put(Constant.JSONKEY.LATITUDE, this.latitude);
            jSONObject.put("elapsedRealtimeNanos", this.elapsedRealtimeNanos);
            jSONObject.put("altitude", this.altitude);
            jSONObject.put("accuracy", String.valueOf(this.accuracy));
            return jSONObject.toString();
        } catch (Throwable th) {
            b.b(th);
            return null;
        }
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeByte(this.hasAccuracy ? (byte) 1 : 0);
        parcel.writeLong(this.time);
        parcel.writeString(this.provider);
        parcel.writeDouble(this.longitude);
        parcel.writeDouble(this.latitude);
        parcel.writeLong(this.elapsedRealtimeNanos);
        parcel.writeDouble(this.altitude);
        parcel.writeFloat(this.accuracy);
    }
}
