package com.github.faucamp.simplertmp;

import com.github.faucamp.simplertmp.io.RtmpConnection;
import java.util.concurrent.atomic.AtomicInteger;

public class DefaultRtmpPublisher implements RtmpPublisher {
    private RtmpConnection rtmpConnection;

    public DefaultRtmpPublisher(RtmpHandler handler) {
        this.rtmpConnection = new RtmpConnection(handler);
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public boolean connect(String url) {
        return this.rtmpConnection.connect(url);
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public boolean publish(String publishType) {
        return this.rtmpConnection.publish(publishType);
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public void close() {
        this.rtmpConnection.close();
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public void publishVideoData(byte[] data, int size, int dts) {
        this.rtmpConnection.publishVideoData(data, size, dts);
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public void publishAudioData(byte[] data, int size, int dts) {
        this.rtmpConnection.publishAudioData(data, size, dts);
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public AtomicInteger getVideoFrameCacheNumber() {
        return this.rtmpConnection.getVideoFrameCacheNumber();
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public final String getServerIpAddr() {
        return this.rtmpConnection.getServerIpAddr();
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public final int getServerPid() {
        return this.rtmpConnection.getServerPid();
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public final int getServerId() {
        return this.rtmpConnection.getServerId();
    }

    @Override // com.github.faucamp.simplertmp.RtmpPublisher
    public void setVideoResolution(int width, int height) {
        this.rtmpConnection.setVideoResolution(width, height);
    }
}
