package com.github.faucamp.simplertmp.amf;

import com.github.faucamp.simplertmp.Util;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;

public class AmfArray implements AmfData {
    private List<AmfData> items;
    private int size = -1;

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void writeTo(OutputStream out) throws IOException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void readFrom(InputStream in) throws IOException {
        int length = Util.readUnsignedInt32(in);
        this.size = 5;
        this.items = new ArrayList(length);
        for (int i = 0; i < length; i++) {
            AmfData dataItem = AmfDecoder.readFrom(in);
            this.size += dataItem.getSize();
            this.items.add(dataItem);
        }
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public int getSize() {
        if (this.size == -1) {
            this.size = 5;
            List<AmfData> list = this.items;
            if (list != null) {
                for (AmfData dataItem : list) {
                    this.size += dataItem.getSize();
                }
            }
        }
        return this.size;
    }

    public int getLength() {
        List<AmfData> list = this.items;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    public List<AmfData> getItems() {
        if (this.items == null) {
            this.items = new ArrayList();
        }
        return this.items;
    }

    public void addItem(AmfData dataItem) {
        getItems().add(this);
    }
}
