package com.github.faucamp.simplertmp.amf;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class AmfBoolean implements AmfData {
    private boolean value;

    public boolean isValue() {
        return this.value;
    }

    public void setValue(boolean value2) {
        this.value = value2;
    }

    public AmfBoolean(boolean value2) {
        this.value = value2;
    }

    public AmfBoolean() {
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void writeTo(OutputStream out) throws IOException {
        out.write(AmfType.BOOLEAN.getValue());
        out.write(this.value ? 1 : 0);
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void readFrom(InputStream in) throws IOException {
        boolean z = true;
        if (in.read() != 1) {
            z = false;
        }
        this.value = z;
    }

    public static boolean readBooleanFrom(InputStream in) throws IOException {
        return in.read() == 1;
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public int getSize() {
        return 2;
    }
}
