package com.github.faucamp.simplertmp.amf;

import com.github.faucamp.simplertmp.Util;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Map;

public class AmfMap extends AmfObject {
    @Override // com.github.faucamp.simplertmp.amf.AmfObject, com.github.faucamp.simplertmp.amf.AmfData
    public void writeTo(OutputStream out) throws IOException {
        out.write(AmfType.MAP.getValue());
        Util.writeUnsignedInt32(out, this.properties.size());
        for (Map.Entry<String, AmfData> entry : this.properties.entrySet()) {
            AmfString.writeStringTo(out, entry.getKey(), true);
            entry.getValue().writeTo(out);
        }
        out.write(OBJECT_END_MARKER);
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfObject, com.github.faucamp.simplertmp.amf.AmfData
    public void readFrom(InputStream in) throws IOException {
        Util.readUnsignedInt32(in);
        super.readFrom(in);
        this.size += 4;
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfObject, com.github.faucamp.simplertmp.amf.AmfData
    public int getSize() {
        if (this.size == -1) {
            this.size = super.getSize();
            this.size += 4;
        }
        return this.size;
    }
}
