package com.github.faucamp.simplertmp.amf;

import com.github.faucamp.simplertmp.Util;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class AmfNumber implements AmfData {
    public static final int SIZE = 9;
    double value;

    public AmfNumber(double value2) {
        this.value = value2;
    }

    public AmfNumber() {
    }

    public double getValue() {
        return this.value;
    }

    public void setValue(double value2) {
        this.value = value2;
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void writeTo(OutputStream out) throws IOException {
        out.write(AmfType.NUMBER.getValue());
        Util.writeDouble(out, this.value);
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void readFrom(InputStream in) throws IOException {
        this.value = Util.readDouble(in);
    }

    public static double readNumberFrom(InputStream in) throws IOException {
        in.read();
        return Util.readDouble(in);
    }

    public static void writeNumberTo(OutputStream out, double number) throws IOException {
        out.write(AmfType.NUMBER.getValue());
        Util.writeDouble(out, number);
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public int getSize() {
        return 9;
    }
}
