package com.github.faucamp.simplertmp.amf;

import java.util.HashMap;
import java.util.Map;

public enum AmfType {
    NUMBER(0),
    BOOLEAN(1),
    STRING(2),
    OBJECT(3),
    NULL(5),
    UNDEFINED(6),
    MAP(8),
    ARRAY(10);
    
    private static final Map<Byte, AmfType> quickLookupMap = new HashMap();
    private byte value;

    static {
        AmfType[] values = values();
        for (AmfType amfType : values) {
            quickLookupMap.put(Byte.valueOf(amfType.getValue()), amfType);
        }
    }

    private AmfType(int intValue) {
        this.value = (byte) intValue;
    }

    public byte getValue() {
        return this.value;
    }

    public static AmfType valueOf(byte amfTypeByte) {
        return quickLookupMap.get(Byte.valueOf(amfTypeByte));
    }
}
