package com.github.faucamp.simplertmp.packets;

import com.github.faucamp.simplertmp.Util;
import com.github.faucamp.simplertmp.packets.RtmpHeader;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class Abort extends RtmpPacket {
    private int chunkStreamId;

    public Abort(RtmpHeader header) {
        super(header);
    }

    public Abort(int chunkStreamId2) {
        super(new RtmpHeader(RtmpHeader.ChunkType.TYPE_1_RELATIVE_LARGE, 2, RtmpHeader.MessageType.SET_CHUNK_SIZE));
        this.chunkStreamId = chunkStreamId2;
    }

    public int getChunkStreamId() {
        return this.chunkStreamId;
    }

    public void setChunkStreamId(int chunkStreamId2) {
        this.chunkStreamId = chunkStreamId2;
    }

    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public void readBody(InputStream in) throws IOException {
        this.chunkStreamId = Util.readUnsignedInt32(in);
    }

    /* access modifiers changed from: protected */
    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public byte[] array() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public int size() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public void writeBody(OutputStream out) throws IOException {
        Util.writeUnsignedInt32(out, this.chunkStreamId);
    }
}
