package com.github.faucamp.simplertmp.packets;

import com.github.faucamp.simplertmp.Util;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public abstract class ContentData extends RtmpPacket {
    protected byte[] data;
    protected int size;

    public ContentData(RtmpHeader header) {
        super(header);
    }

    public byte[] getData() {
        return this.data;
    }

    public void setData(byte[] data2, int size2) {
        this.data = data2;
        this.size = size2;
    }

    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public void readBody(InputStream in) throws IOException {
        byte[] bArr = new byte[this.header.getPacketLength()];
        this.data = bArr;
        Util.readBytesUntilFull(in, bArr);
    }

    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public void writeBody(OutputStream out) throws IOException {
    }

    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public byte[] array() {
        return this.data;
    }

    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public int size() {
        return this.size;
    }
}
