package com.github.faucamp.simplertmp.packets;

import com.github.faucamp.simplertmp.amf.AmfString;
import com.github.faucamp.simplertmp.packets.RtmpHeader;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class Data extends VariableBodyRtmpPacket {
    private String type;

    public Data(RtmpHeader header) {
        super(header);
    }

    public Data(String type2) {
        super(new RtmpHeader(RtmpHeader.ChunkType.TYPE_0_FULL, 3, RtmpHeader.MessageType.DATA_AMF0));
        this.type = type2;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type2) {
        this.type = type2;
    }

    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public void readBody(InputStream in) throws IOException {
        String readStringFrom = AmfString.readStringFrom(in, false);
        this.type = readStringFrom;
        readVariableData(in, AmfString.sizeOf(readStringFrom, false));
    }

    /* access modifiers changed from: protected */
    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public void writeBody(OutputStream out) throws IOException {
        AmfString.writeStringTo(out, this.type, false);
        writeVariableData(out);
    }

    /* access modifiers changed from: protected */
    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public byte[] array() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // com.github.faucamp.simplertmp.packets.RtmpPacket
    public int size() {
        return 0;
    }
}
