package com.google.android.exoplayer2.g.f;

import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.AlignmentSpan;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.RelativeSizeSpan;
import android.text.style.StrikethroughSpan;
import android.text.style.StyleSpan;
import android.text.style.TypefaceSpan;
import android.text.style.UnderlineSpan;
import android.util.Log;
import com.google.android.exoplayer2.g.f.e;
import com.google.android.exoplayer2.j.k;
import com.taobao.weex.el.parse.Operators;
import com.umeng.analytics.pro.bg;
import com.xiaomi.mipush.sdk.Constants;
import io.dcloud.common.constant.AbsoluteConst;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Stack;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* access modifiers changed from: package-private */
/* compiled from: WebvttCueParser */
public final class f {
    public static final Pattern a = Pattern.compile("^(\\S+)\\s+-->\\s+(\\S+)(.*)?$");
    private static final Pattern b = Pattern.compile("(\\S+?):(\\S+)");
    private final StringBuilder c = new StringBuilder();

    /* access modifiers changed from: package-private */
    public boolean a(k kVar, e.a aVar, List<d> list) {
        String y = kVar.y();
        Matcher matcher = a.matcher(y);
        if (matcher.matches()) {
            return a(null, matcher, kVar, aVar, this.c, list);
        }
        Matcher matcher2 = a.matcher(kVar.y());
        if (matcher2.matches()) {
            return a(y.trim(), matcher2, kVar, aVar, this.c, list);
        }
        return false;
    }

    static void a(String str, e.a aVar) {
        Matcher matcher = b.matcher(str);
        while (matcher.find()) {
            String group = matcher.group(1);
            String group2 = matcher.group(2);
            try {
                if ("line".equals(group)) {
                    b(group2, aVar);
                } else if (AbsoluteConst.JSON_KEY_ALIGN.equals(group)) {
                    aVar.a(b(group2));
                } else if ("position".equals(group)) {
                    c(group2, aVar);
                } else if (AbsoluteConst.JSON_KEY_SIZE.equals(group)) {
                    aVar.c(h.b(group2));
                } else {
                    Log.w("WebvttCueParser", "Unknown cue setting " + group + Constants.COLON_SEPARATOR + group2);
                }
            } catch (NumberFormatException e) {
                Log.w("WebvttCueParser", "Skipping bad cue setting: " + matcher.group());
            }
        }
    }

    static void a(String str, String str2, e.a aVar, List<d> list) {
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
        Stack stack = new Stack();
        ArrayList arrayList = new ArrayList();
        int i = 0;
        while (i < str2.length()) {
            char charAt = str2.charAt(i);
            if (charAt == '&') {
                i++;
                int indexOf = str2.indexOf(59, i);
                int indexOf2 = str2.indexOf(32, i);
                if (indexOf == -1) {
                    indexOf = indexOf2;
                } else if (indexOf2 != -1) {
                    indexOf = Math.min(indexOf, indexOf2);
                }
                if (indexOf != -1) {
                    a(str2.substring(i, indexOf), spannableStringBuilder);
                    if (indexOf == indexOf2) {
                        spannableStringBuilder.append(Operators.SPACE_STR);
                    }
                    i = indexOf + 1;
                } else {
                    spannableStringBuilder.append(charAt);
                }
            } else if (charAt != '<') {
                spannableStringBuilder.append(charAt);
                i++;
            } else {
                int i2 = i + 1;
                if (i2 >= str2.length()) {
                    i = i2;
                } else {
                    int i3 = 1;
                    boolean z = str2.charAt(i2) == '/';
                    int a2 = a(str2, i2);
                    int i4 = a2 - 2;
                    boolean z2 = str2.charAt(i4) == '/';
                    if (z) {
                        i3 = 2;
                    }
                    int i5 = i + i3;
                    if (!z2) {
                        i4 = a2 - 1;
                    }
                    String substring = str2.substring(i5, i4);
                    String d = d(substring);
                    if (d == null || !c(d)) {
                        i = a2;
                    } else {
                        if (z) {
                            while (!stack.isEmpty()) {
                                a aVar2 = (a) stack.pop();
                                a(str, aVar2, spannableStringBuilder, list, arrayList);
                                if (aVar2.a.equals(d)) {
                                    break;
                                }
                            }
                        } else if (!z2) {
                            stack.push(a.a(substring, spannableStringBuilder.length()));
                        }
                        i = a2;
                    }
                }
            }
        }
        while (!stack.isEmpty()) {
            a(str, (a) stack.pop(), spannableStringBuilder, list, arrayList);
        }
        a(str, a.a(), spannableStringBuilder, list, arrayList);
        aVar.a(spannableStringBuilder);
    }

    private static boolean a(String str, Matcher matcher, k kVar, e.a aVar, StringBuilder sb, List<d> list) {
        try {
            aVar.a(h.a(matcher.group(1))).b(h.a(matcher.group(2)));
            a(matcher.group(3), aVar);
            sb.setLength(0);
            while (true) {
                String y = kVar.y();
                if (y == null || y.isEmpty()) {
                    a(str, sb.toString(), aVar, list);
                } else {
                    if (sb.length() > 0) {
                        sb.append("\n");
                    }
                    sb.append(y.trim());
                }
            }
            a(str, sb.toString(), aVar, list);
            return true;
        } catch (NumberFormatException e) {
            Log.w("WebvttCueParser", "Skipping cue with bad header: " + matcher.group());
            return false;
        }
    }

    private static void b(String str, e.a aVar) throws NumberFormatException {
        int indexOf = str.indexOf(44);
        if (indexOf != -1) {
            aVar.b(a(str.substring(indexOf + 1)));
            str = str.substring(0, indexOf);
        } else {
            aVar.b(Integer.MIN_VALUE);
        }
        if (str.endsWith("%")) {
            aVar.a(h.b(str)).a(0);
            return;
        }
        int parseInt = Integer.parseInt(str);
        if (parseInt < 0) {
            parseInt--;
        }
        aVar.a((float) parseInt).a(1);
    }

    private static void c(String str, e.a aVar) throws NumberFormatException {
        int indexOf = str.indexOf(44);
        if (indexOf != -1) {
            aVar.c(a(str.substring(indexOf + 1)));
            str = str.substring(0, indexOf);
        } else {
            aVar.c(Integer.MIN_VALUE);
        }
        aVar.b(h.b(str));
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private static int a(String str) {
        char c2;
        switch (str.hashCode()) {
            case -1364013995:
                if (str.equals("center")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -1074341483:
                if (str.equals("middle")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case 100571:
                if (str.equals("end")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case 109757538:
                if (str.equals("start")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        if (c2 == 0) {
            return 0;
        }
        if (c2 == 1 || c2 == 2) {
            return 1;
        }
        if (c2 == 3) {
            return 2;
        }
        Log.w("WebvttCueParser", "Invalid anchor value: " + str);
        return Integer.MIN_VALUE;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private static Layout.Alignment b(String str) {
        char c2;
        switch (str.hashCode()) {
            case -1364013995:
                if (str.equals("center")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case -1074341483:
                if (str.equals("middle")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case 100571:
                if (str.equals("end")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case 3317767:
                if (str.equals("left")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case 108511772:
                if (str.equals("right")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case 109757538:
                if (str.equals("start")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        if (c2 == 0 || c2 == 1) {
            return Layout.Alignment.ALIGN_NORMAL;
        }
        if (c2 == 2 || c2 == 3) {
            return Layout.Alignment.ALIGN_CENTER;
        }
        if (c2 == 4 || c2 == 5) {
            return Layout.Alignment.ALIGN_OPPOSITE;
        }
        Log.w("WebvttCueParser", "Invalid alignment value: " + str);
        return null;
    }

    private static int a(String str, int i) {
        int indexOf = str.indexOf(62, i);
        return indexOf == -1 ? str.length() : indexOf + 1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0045  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0079  */
    private static void a(String str, SpannableStringBuilder spannableStringBuilder) {
        char c2;
        int hashCode = str.hashCode();
        if (hashCode != 3309) {
            if (hashCode != 3464) {
                if (hashCode != 96708) {
                    if (hashCode == 3374865 && str.equals("nbsp")) {
                        c2 = 2;
                        if (c2 == 0) {
                            spannableStringBuilder.append('<');
                            return;
                        } else if (c2 == 1) {
                            spannableStringBuilder.append('>');
                            return;
                        } else if (c2 == 2) {
                            spannableStringBuilder.append(' ');
                            return;
                        } else if (c2 != 3) {
                            Log.w("WebvttCueParser", "ignoring unsupported entity: '&" + str + ";'");
                            return;
                        } else {
                            spannableStringBuilder.append('&');
                            return;
                        }
                    }
                } else if (str.equals("amp")) {
                    c2 = 3;
                    if (c2 == 0) {
                    }
                }
            } else if (str.equals("lt")) {
                c2 = 0;
                if (c2 == 0) {
                }
            }
        } else if (str.equals("gt")) {
            c2 = 1;
            if (c2 == 0) {
            }
        }
        c2 = 65535;
        if (c2 == 0) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x0064 A[ADDED_TO_REGION] */
    private static boolean c(String str) {
        char c2;
        int hashCode = str.hashCode();
        if (hashCode != 98) {
            if (hashCode != 99) {
                if (hashCode != 105) {
                    if (hashCode != 3314158) {
                        if (hashCode != 117) {
                            if (hashCode == 118 && str.equals("v")) {
                                c2 = 5;
                                return c2 != 0 || c2 == 1 || c2 == 2 || c2 == 3 || c2 == 4 || c2 == 5;
                            }
                        } else if (str.equals(bg.aH)) {
                            c2 = 4;
                            if (c2 != 0) {
                            }
                        }
                    } else if (str.equals(AbsoluteConst.JSON_KEY_LANG)) {
                        c2 = 3;
                        if (c2 != 0) {
                        }
                    }
                } else if (str.equals("i")) {
                    c2 = 2;
                    if (c2 != 0) {
                    }
                }
            } else if (str.equals("c")) {
                c2 = 1;
                if (c2 != 0) {
                }
            }
        } else if (str.equals("b")) {
            c2 = 0;
            if (c2 != 0) {
            }
        }
        c2 = 65535;
        if (c2 != 0) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x0078 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0083  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x008c  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00a2 A[LOOP:0: B:43:0x00a0->B:44:0x00a2, LOOP_END] */
    private static void a(String str, a aVar, SpannableStringBuilder spannableStringBuilder, List<d> list, List<b> list2) {
        char c2;
        int size;
        int i = aVar.b;
        int length = spannableStringBuilder.length();
        String str2 = aVar.a;
        int hashCode = str2.hashCode();
        if (hashCode != 0) {
            if (hashCode != 105) {
                if (hashCode != 3314158) {
                    if (hashCode != 98) {
                        if (hashCode != 99) {
                            if (hashCode != 117) {
                                if (hashCode == 118 && str2.equals("v")) {
                                    c2 = 5;
                                    switch (c2) {
                                        case 0:
                                            spannableStringBuilder.setSpan(new StyleSpan(1), i, length, 33);
                                            break;
                                        case 1:
                                            spannableStringBuilder.setSpan(new StyleSpan(2), i, length, 33);
                                            break;
                                        case 2:
                                            spannableStringBuilder.setSpan(new UnderlineSpan(), i, length, 33);
                                            break;
                                        case 3:
                                        case 4:
                                        case 5:
                                        case 6:
                                            break;
                                        default:
                                            return;
                                    }
                                    list2.clear();
                                    a(list, str, aVar, list2);
                                    size = list2.size();
                                    for (int i2 = 0; i2 < size; i2++) {
                                        a(spannableStringBuilder, list2.get(i2).b, i, length);
                                    }
                                }
                            } else if (str2.equals(bg.aH)) {
                                c2 = 2;
                                switch (c2) {
                                }
                                list2.clear();
                                a(list, str, aVar, list2);
                                size = list2.size();
                                while (i2 < size) {
                                }
                            }
                        } else if (str2.equals("c")) {
                            c2 = 3;
                            switch (c2) {
                            }
                            list2.clear();
                            a(list, str, aVar, list2);
                            size = list2.size();
                            while (i2 < size) {
                            }
                        }
                    } else if (str2.equals("b")) {
                        c2 = 0;
                        switch (c2) {
                        }
                        list2.clear();
                        a(list, str, aVar, list2);
                        size = list2.size();
                        while (i2 < size) {
                        }
                    }
                } else if (str2.equals(AbsoluteConst.JSON_KEY_LANG)) {
                    c2 = 4;
                    switch (c2) {
                    }
                    list2.clear();
                    a(list, str, aVar, list2);
                    size = list2.size();
                    while (i2 < size) {
                    }
                }
            } else if (str2.equals("i")) {
                c2 = 1;
                switch (c2) {
                }
                list2.clear();
                a(list, str, aVar, list2);
                size = list2.size();
                while (i2 < size) {
                }
            }
        } else if (str2.equals("")) {
            c2 = 6;
            switch (c2) {
            }
            list2.clear();
            a(list, str, aVar, list2);
            size = list2.size();
            while (i2 < size) {
            }
        }
        c2 = 65535;
        switch (c2) {
        }
        list2.clear();
        a(list, str, aVar, list2);
        size = list2.size();
        while (i2 < size) {
        }
    }

    private static void a(SpannableStringBuilder spannableStringBuilder, d dVar, int i, int i2) {
        if (dVar != null) {
            if (dVar.b() != -1) {
                spannableStringBuilder.setSpan(new StyleSpan(dVar.b()), i, i2, 33);
            }
            if (dVar.c()) {
                spannableStringBuilder.setSpan(new StrikethroughSpan(), i, i2, 33);
            }
            if (dVar.d()) {
                spannableStringBuilder.setSpan(new UnderlineSpan(), i, i2, 33);
            }
            if (dVar.g()) {
                spannableStringBuilder.setSpan(new ForegroundColorSpan(dVar.f()), i, i2, 33);
            }
            if (dVar.i()) {
                spannableStringBuilder.setSpan(new BackgroundColorSpan(dVar.h()), i, i2, 33);
            }
            if (dVar.e() != null) {
                spannableStringBuilder.setSpan(new TypefaceSpan(dVar.e()), i, i2, 33);
            }
            if (dVar.j() != null) {
                spannableStringBuilder.setSpan(new AlignmentSpan.Standard(dVar.j()), i, i2, 33);
            }
            int k = dVar.k();
            if (k == 1) {
                spannableStringBuilder.setSpan(new AbsoluteSizeSpan((int) dVar.l(), true), i, i2, 33);
            } else if (k == 2) {
                spannableStringBuilder.setSpan(new RelativeSizeSpan(dVar.l()), i, i2, 33);
            } else if (k == 3) {
                spannableStringBuilder.setSpan(new RelativeSizeSpan(dVar.l() / 100.0f), i, i2, 33);
            }
        }
    }

    private static String d(String str) {
        String trim = str.trim();
        if (trim.isEmpty()) {
            return null;
        }
        return trim.split("[ \\.]")[0];
    }

    private static void a(List<d> list, String str, a aVar, List<b> list2) {
        int size = list.size();
        for (int i = 0; i < size; i++) {
            d dVar = list.get(i);
            int a2 = dVar.a(str, aVar.a, aVar.d, aVar.c);
            if (a2 > 0) {
                list2.add(new b(a2, dVar));
            }
        }
        Collections.sort(list2);
    }

    /* access modifiers changed from: private */
    /* compiled from: WebvttCueParser */
    public static final class b implements Comparable<b> {
        public final int a;
        public final d b;

        public b(int i, d dVar) {
            this.a = i;
            this.b = dVar;
        }

        /* renamed from: a */
        public int compareTo(b bVar) {
            return this.a - bVar.a;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: WebvttCueParser */
    public static final class a {
        private static final String[] e = new String[0];
        public final String a;
        public final int b;
        public final String c;
        public final String[] d;

        private a(String str, int i, String str2, String[] strArr) {
            this.b = i;
            this.a = str;
            this.c = str2;
            this.d = strArr;
        }

        public static a a(String str, int i) {
            String str2;
            String[] strArr;
            String trim = str.trim();
            if (trim.isEmpty()) {
                return null;
            }
            int indexOf = trim.indexOf(Operators.SPACE_STR);
            if (indexOf == -1) {
                str2 = "";
            } else {
                String trim2 = trim.substring(indexOf).trim();
                trim = trim.substring(0, indexOf);
                str2 = trim2;
            }
            String[] split = trim.split("\\.");
            String str3 = split[0];
            if (split.length > 1) {
                strArr = (String[]) Arrays.copyOfRange(split, 1, split.length);
            } else {
                strArr = e;
            }
            return new a(str3, i, str2, strArr);
        }

        public static a a() {
            return new a("", 0, "", new String[0]);
        }
    }
}
