package com.google.android.exoplayer2;

import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.os.SystemClock;
import android.util.Log;
import android.util.Pair;
import com.google.android.exoplayer2.f;
import com.google.android.exoplayer2.h.h;
import com.google.android.exoplayer2.j.p;
import com.google.android.exoplayer2.j.r;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.h;
import com.google.android.exoplayer2.v;
import java.io.IOException;

/* compiled from: ExoPlayerImplInternal */
final class i implements Handler.Callback, h.a, g.a, h.a {
    private c A;
    private long B;
    private a C;
    private a D;
    private a E;
    private v F;
    private final p[] a;
    private final q[] b;
    private final com.google.android.exoplayer2.h.h c;
    private final m d;
    private final p e;
    private final Handler f;
    private final HandlerThread g;
    private final Handler h;
    private final f i;
    private final v.b j;
    private final v.a k;
    private b l;
    private o m;
    private p n;
    private com.google.android.exoplayer2.j.g o;
    private com.google.android.exoplayer2.source.h p;
    private p[] q;
    private boolean r;
    private boolean s;
    private boolean t;
    private boolean u;
    private int v = 1;
    private int w;
    private int x;
    private long y;
    private int z;

    /* compiled from: ExoPlayerImplInternal */
    public static final class b {
        public final int a;
        public final long b;
        public volatile long c;
        public volatile long d;

        public b(int i, long j) {
            this.a = i;
            this.b = j;
            this.c = j;
            this.d = j;
        }

        public b a(int i) {
            b bVar = new b(i, this.b);
            bVar.c = this.c;
            bVar.d = this.d;
            return bVar;
        }
    }

    /* compiled from: ExoPlayerImplInternal */
    public static final class d {
        public final v a;
        public final Object b;
        public final b c;
        public final int d;

        public d(v vVar, Object obj, b bVar, int i) {
            this.a = vVar;
            this.b = obj;
            this.c = bVar;
            this.d = i;
        }
    }

    public i(p[] pVarArr, com.google.android.exoplayer2.h.h hVar, m mVar, boolean z2, Handler handler, b bVar, f fVar) {
        this.a = pVarArr;
        this.c = hVar;
        this.d = mVar;
        this.s = z2;
        this.h = handler;
        this.l = bVar;
        this.i = fVar;
        this.b = new q[pVarArr.length];
        for (int i2 = 0; i2 < pVarArr.length; i2++) {
            pVarArr[i2].a(i2);
            this.b[i2] = pVarArr[i2].b();
        }
        this.e = new p();
        this.q = new p[0];
        this.j = new v.b();
        this.k = new v.a();
        hVar.a((h.a) this);
        this.m = o.a;
        HandlerThread handlerThread = new HandlerThread("ExoPlayerImplInternal:Handler", -16);
        this.g = handlerThread;
        handlerThread.start();
        this.f = new Handler(this.g.getLooper(), this);
    }

    public void a(com.google.android.exoplayer2.source.h hVar, boolean z2) {
        this.f.obtainMessage(0, z2 ? 1 : 0, 0, hVar).sendToTarget();
    }

    public void a(boolean z2) {
        this.f.obtainMessage(1, z2 ? 1 : 0, 0).sendToTarget();
    }

    public void a(v vVar, int i2, long j2) {
        this.f.obtainMessage(3, new c(vVar, i2, j2)).sendToTarget();
    }

    public void a(o oVar) {
        this.f.obtainMessage(4, oVar).sendToTarget();
    }

    public void a(f.c... cVarArr) {
        if (this.r) {
            Log.w("ExoPlayerImplInternal", "Ignoring messages sent after release.");
            return;
        }
        this.w++;
        this.f.obtainMessage(11, cVarArr).sendToTarget();
    }

    public synchronized void b(f.c... cVarArr) {
        if (this.r) {
            Log.w("ExoPlayerImplInternal", "Ignoring messages sent after release.");
            return;
        }
        int i2 = this.w;
        this.w = i2 + 1;
        this.f.obtainMessage(11, cVarArr).sendToTarget();
        while (this.x <= i2) {
            try {
                wait();
            } catch (InterruptedException e2) {
                Thread.currentThread().interrupt();
            }
        }
    }

    public synchronized void a() {
        if (!this.r) {
            this.f.sendEmptyMessage(6);
            while (!this.r) {
                try {
                    wait();
                } catch (InterruptedException e2) {
                    Thread.currentThread().interrupt();
                }
            }
            this.g.quit();
        }
    }

    @Override // com.google.android.exoplayer2.source.h.a
    public void a(v vVar, Object obj) {
        this.f.obtainMessage(7, Pair.create(vVar, obj)).sendToTarget();
    }

    @Override // com.google.android.exoplayer2.source.g.a
    public void a(g gVar) {
        this.f.obtainMessage(8, gVar).sendToTarget();
    }

    /* renamed from: b */
    public void a(g gVar) {
        this.f.obtainMessage(9, gVar).sendToTarget();
    }

    public boolean handleMessage(Message message) {
        try {
            boolean z2 = false;
            switch (message.what) {
                case 0:
                    com.google.android.exoplayer2.source.h hVar = (com.google.android.exoplayer2.source.h) message.obj;
                    if (message.arg1 != 0) {
                        z2 = true;
                    }
                    b(hVar, z2);
                    return true;
                case 1:
                    if (message.arg1 != 0) {
                        z2 = true;
                    }
                    c(z2);
                    return true;
                case 2:
                    e();
                    return true;
                case 3:
                    a((c) message.obj);
                    return true;
                case 4:
                    b((o) message.obj);
                    return true;
                case 5:
                    f();
                    return true;
                case 6:
                    g();
                    return true;
                case 7:
                    a((Pair) message.obj);
                    return true;
                case 8:
                    c((g) message.obj);
                    return true;
                case 9:
                    d((g) message.obj);
                    return true;
                case 10:
                    h();
                    return true;
                case 11:
                    c((f.c[]) message.obj);
                    return true;
                default:
                    return false;
            }
        } catch (e e2) {
            Log.e("ExoPlayerImplInternal", "Renderer error.", e2);
            this.h.obtainMessage(8, e2).sendToTarget();
            f();
            return true;
        } catch (IOException e3) {
            Log.e("ExoPlayerImplInternal", "Source error.", e3);
            this.h.obtainMessage(8, e.a(e3)).sendToTarget();
            f();
            return true;
        } catch (RuntimeException e4) {
            Log.e("ExoPlayerImplInternal", "Internal runtime error.", e4);
            this.h.obtainMessage(8, e.a(e4)).sendToTarget();
            f();
            return true;
        }
    }

    private void a(int i2) {
        if (this.v != i2) {
            this.v = i2;
            this.h.obtainMessage(1, i2, 0).sendToTarget();
        }
    }

    private void b(boolean z2) {
        if (this.u != z2) {
            this.u = z2;
            this.h.obtainMessage(2, z2 ? 1 : 0, 0).sendToTarget();
        }
    }

    private void b(com.google.android.exoplayer2.source.h hVar, boolean z2) {
        this.h.sendEmptyMessage(0);
        d(true);
        this.d.a();
        if (z2) {
            this.l = new b(0, -9223372036854775807L);
        }
        this.p = hVar;
        hVar.a(this.i, true, (h.a) this);
        a(2);
        this.f.sendEmptyMessage(2);
    }

    private void c(boolean z2) throws e {
        this.t = false;
        this.s = z2;
        if (!z2) {
            c();
            d();
            return;
        }
        int i2 = this.v;
        if (i2 == 3) {
            b();
            this.f.sendEmptyMessage(2);
        } else if (i2 == 2) {
            this.f.sendEmptyMessage(2);
        }
    }

    private void b() throws e {
        this.t = false;
        this.e.a();
        for (p pVar : this.q) {
            pVar.e();
        }
    }

    private void c() throws e {
        this.e.b();
        for (p pVar : this.q) {
            a(pVar);
        }
    }

    private void d() throws e {
        long j2;
        a aVar = this.E;
        if (aVar != null) {
            long e2 = aVar.a.e();
            if (e2 != -9223372036854775807L) {
                a(e2);
            } else {
                p pVar = this.n;
                if (pVar == null || pVar.u()) {
                    this.B = this.e.w();
                } else {
                    long w2 = this.o.w();
                    this.B = w2;
                    this.e.a(w2);
                }
                e2 = this.E.b(this.B);
            }
            this.l.c = e2;
            this.y = SystemClock.elapsedRealtime() * 1000;
            if (this.q.length == 0) {
                j2 = Long.MIN_VALUE;
            } else {
                j2 = this.E.a.f();
            }
            b bVar = this.l;
            if (j2 == Long.MIN_VALUE) {
                j2 = this.F.a(this.E.f, this.k).b();
            }
            bVar.d = j2;
        }
    }

    private void e() throws e, IOException {
        boolean z2;
        long elapsedRealtime = SystemClock.elapsedRealtime();
        j();
        if (this.E == null) {
            i();
            a(elapsedRealtime, 10);
            return;
        }
        r.a("doSomeWork");
        d();
        this.E.a.b(this.l.c);
        p[] pVarArr = this.q;
        boolean z3 = true;
        boolean z4 = true;
        for (p pVar : pVarArr) {
            pVar.a(this.B, this.y);
            z4 = z4 && pVar.u();
            boolean z5 = pVar.t() || pVar.u();
            if (!z5) {
                pVar.j();
            }
            z3 = z3 && z5;
        }
        if (!z3) {
            i();
        }
        com.google.android.exoplayer2.j.g gVar = this.o;
        if (gVar != null) {
            o x2 = gVar.x();
            if (!x2.equals(this.m)) {
                this.m = x2;
                this.e.a(this.o);
                this.h.obtainMessage(7, x2).sendToTarget();
            }
        }
        long b2 = this.F.a(this.E.f, this.k).b();
        if (!z4 || ((b2 != -9223372036854775807L && b2 > this.l.c) || !this.E.h)) {
            int i2 = this.v;
            if (i2 == 2) {
                if (this.q.length > 0) {
                    z2 = z3 && e(this.t);
                } else {
                    z2 = b(b2);
                }
                if (z2) {
                    a(3);
                    if (this.s) {
                        b();
                    }
                }
            } else if (i2 == 3) {
                if (this.q.length <= 0) {
                    z3 = b(b2);
                }
                if (!z3) {
                    this.t = this.s;
                    a(2);
                    c();
                }
            }
        } else {
            a(4);
            c();
        }
        if (this.v == 2) {
            for (p pVar2 : this.q) {
                pVar2.j();
            }
        }
        if ((this.s && this.v == 3) || this.v == 2) {
            a(elapsedRealtime, 10);
        } else if (this.q.length != 0) {
            a(elapsedRealtime, 1000);
        } else {
            this.f.removeMessages(2);
        }
        r.a();
    }

    private void a(long j2, long j3) {
        this.f.removeMessages(2);
        long elapsedRealtime = (j2 + j3) - SystemClock.elapsedRealtime();
        if (elapsedRealtime <= 0) {
            this.f.sendEmptyMessage(2);
        } else {
            this.f.sendEmptyMessageDelayed(2, elapsedRealtime);
        }
    }

    private void a(c cVar) throws e {
        int i2 = 1;
        if (this.F == null) {
            this.z++;
            this.A = cVar;
            return;
        }
        Pair<Integer, Long> b2 = b(cVar);
        if (b2 == null) {
            b bVar = new b(0, 0);
            this.l = bVar;
            this.h.obtainMessage(4, 1, 0, bVar).sendToTarget();
            this.l = new b(0, -9223372036854775807L);
            a(4);
            d(false);
            return;
        }
        int i3 = cVar.c == -9223372036854775807L ? 1 : 0;
        int intValue = ((Integer) b2.first).intValue();
        long longValue = ((Long) b2.second).longValue();
        try {
            if (intValue != this.l.a || longValue / 1000 != this.l.c / 1000) {
                long a2 = a(intValue, longValue);
                if (longValue == a2) {
                    i2 = 0;
                }
                b bVar2 = new b(intValue, a2);
                this.l = bVar2;
                this.h.obtainMessage(4, i3 | i2, 0, bVar2).sendToTarget();
            }
        } finally {
            b bVar3 = new b(intValue, longValue);
            this.l = bVar3;
            this.h.obtainMessage(4, i3, 0, bVar3).sendToTarget();
        }
    }

    private long a(int i2, long j2) throws e {
        a aVar;
        c();
        this.t = false;
        a(2);
        a aVar2 = this.E;
        if (aVar2 == null) {
            a aVar3 = this.C;
            if (aVar3 != null) {
                aVar3.e();
            }
            aVar = null;
        } else {
            aVar = null;
            while (aVar2 != null) {
                if (aVar2.f != i2 || !aVar2.i) {
                    aVar2.e();
                } else {
                    aVar = aVar2;
                }
                aVar2 = aVar2.k;
            }
        }
        a aVar4 = this.E;
        if (!(aVar4 == aVar && aVar4 == this.D)) {
            for (p pVar : this.q) {
                pVar.l();
            }
            this.q = new p[0];
            this.o = null;
            this.n = null;
            this.E = null;
        }
        if (aVar != null) {
            aVar.k = null;
            this.C = aVar;
            this.D = aVar;
            b(aVar);
            if (this.E.j) {
                j2 = this.E.a.c(j2);
            }
            a(j2);
            l();
        } else {
            this.C = null;
            this.D = null;
            this.E = null;
            a(j2);
        }
        this.f.sendEmptyMessage(2);
        return j2;
    }

    private void a(long j2) throws e {
        long j3;
        a aVar = this.E;
        if (aVar == null) {
            j3 = j2 + 60000000;
        } else {
            j3 = aVar.a(j2);
        }
        this.B = j3;
        this.e.a(j3);
        for (p pVar : this.q) {
            pVar.a(this.B);
        }
    }

    private void b(o oVar) {
        o oVar2;
        com.google.android.exoplayer2.j.g gVar = this.o;
        if (gVar != null) {
            oVar2 = gVar.a(oVar);
        } else {
            oVar2 = this.e.a(oVar);
        }
        this.m = oVar2;
        this.h.obtainMessage(7, oVar2).sendToTarget();
    }

    private void f() {
        d(true);
        this.d.b();
        a(1);
    }

    private void g() {
        d(true);
        this.d.c();
        a(1);
        synchronized (this) {
            this.r = true;
            notifyAll();
        }
    }

    private void d(boolean z2) {
        this.f.removeMessages(2);
        this.t = false;
        this.e.b();
        this.o = null;
        this.n = null;
        this.B = 60000000;
        p[] pVarArr = this.q;
        for (p pVar : pVarArr) {
            try {
                a(pVar);
                pVar.l();
            } catch (e | RuntimeException e2) {
                Log.e("ExoPlayerImplInternal", "Stop failed.", e2);
            }
        }
        this.q = new p[0];
        a aVar = this.E;
        if (aVar == null) {
            aVar = this.C;
        }
        a(aVar);
        this.C = null;
        this.D = null;
        this.E = null;
        b(false);
        if (z2) {
            com.google.android.exoplayer2.source.h hVar = this.p;
            if (hVar != null) {
                hVar.b();
                this.p = null;
            }
            this.F = null;
        }
    }

    private void c(f.c[] cVarArr) throws e {
        try {
            for (f.c cVar : cVarArr) {
                cVar.a.a(cVar.b, cVar.c);
            }
            if (this.p != null) {
                this.f.sendEmptyMessage(2);
            }
            synchronized (this) {
                this.x++;
                notifyAll();
            }
        } catch (Throwable th) {
            synchronized (this) {
                this.x++;
                notifyAll();
                throw th;
            }
        }
    }

    private void a(p pVar) throws e {
        if (pVar.d() == 2) {
            pVar.k();
        }
    }

    private void h() throws e {
        a aVar = this.E;
        if (aVar != null) {
            boolean z2 = true;
            while (aVar != null && aVar.i) {
                if (aVar.d()) {
                    if (z2) {
                        boolean z3 = this.D != this.E;
                        a(this.E.k);
                        this.E.k = null;
                        a aVar2 = this.E;
                        this.C = aVar2;
                        this.D = aVar2;
                        boolean[] zArr = new boolean[this.a.length];
                        long a2 = aVar2.a(this.l.c, z3, zArr);
                        if (a2 != this.l.c) {
                            this.l.c = a2;
                            a(a2);
                        }
                        boolean[] zArr2 = new boolean[this.a.length];
                        int i2 = 0;
                        int i3 = 0;
                        while (true) {
                            p[] pVarArr = this.a;
                            if (i2 >= pVarArr.length) {
                                break;
                            }
                            p pVar = pVarArr[i2];
                            zArr2[i2] = pVar.d() != 0;
                            com.google.android.exoplayer2.source.i iVar = this.E.c[i2];
                            if (iVar != null) {
                                i3++;
                            }
                            if (zArr2[i2]) {
                                if (iVar != pVar.f()) {
                                    if (pVar == this.n) {
                                        if (iVar == null) {
                                            this.e.a(this.o);
                                        }
                                        this.o = null;
                                        this.n = null;
                                    }
                                    a(pVar);
                                    pVar.l();
                                } else if (zArr[i2]) {
                                    pVar.a(this.B);
                                }
                            }
                            i2++;
                        }
                        this.h.obtainMessage(3, aVar.m).sendToTarget();
                        a(zArr2, i3);
                    } else {
                        this.C = aVar;
                        for (a aVar3 = aVar.k; aVar3 != null; aVar3 = aVar3.k) {
                            aVar3.e();
                        }
                        this.C.k = null;
                        if (this.C.i) {
                            this.C.a(Math.max(this.C.g, this.C.b(this.B)), false);
                        }
                    }
                    l();
                    d();
                    this.f.sendEmptyMessage(2);
                    return;
                }
                if (aVar == this.D) {
                    z2 = false;
                }
                aVar = aVar.k;
            }
        }
    }

    private boolean b(long j2) {
        return j2 == -9223372036854775807L || this.l.c < j2 || (this.E.k != null && this.E.k.i);
    }

    private boolean e(boolean z2) {
        long j2;
        if (!this.C.i) {
            j2 = this.C.g;
        } else {
            j2 = this.C.a.f();
        }
        if (j2 == Long.MIN_VALUE) {
            if (this.C.h) {
                return true;
            }
            j2 = this.F.a(this.C.f, this.k).b();
        }
        return this.d.a(j2 - this.C.b(this.B), z2);
    }

    private void i() throws IOException {
        a aVar = this.C;
        if (!(aVar == null || aVar.i)) {
            a aVar2 = this.D;
            if (aVar2 == null || aVar2.k == this.C) {
                for (p pVar : this.q) {
                    if (!pVar.g()) {
                        return;
                    }
                }
                this.C.a.c();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x007b  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x007f  */
    private void a(Pair<v, Object> pair) throws e {
        int i2;
        a aVar;
        v vVar = this.F;
        this.F = (v) pair.first;
        Object obj = pair.second;
        if (vVar == null) {
            if (this.z > 0) {
                Pair<Integer, Long> b2 = b(this.A);
                i2 = this.z;
                this.z = 0;
                this.A = null;
                if (b2 == null) {
                    a(obj, i2);
                    return;
                }
                this.l = new b(((Integer) b2.first).intValue(), ((Long) b2.second).longValue());
                aVar = this.E;
                if (aVar == null) {
                    aVar = this.C;
                }
                if (aVar != null) {
                    b(obj, i2);
                    return;
                }
                int a2 = this.F.a(aVar.b);
                if (a2 == -1) {
                    int a3 = a(aVar.f, vVar, this.F);
                    if (a3 == -1) {
                        a(obj, i2);
                        return;
                    }
                    Pair<Integer, Long> b3 = b(this.F.a(a3, this.k).c, -9223372036854775807L);
                    int intValue = ((Integer) b3.first).intValue();
                    long longValue = ((Long) b3.second).longValue();
                    this.F.a(intValue, this.k, true);
                    Object obj2 = this.k.b;
                    aVar.f = -1;
                    while (aVar.k != null) {
                        aVar = aVar.k;
                        aVar.f = aVar.b.equals(obj2) ? intValue : -1;
                    }
                    this.l = new b(intValue, a(intValue, longValue));
                    b(obj, i2);
                    return;
                }
                this.F.a(a2, this.k);
                aVar.a(a2, a2 == this.F.c() - 1 && !this.F.a(this.k.c, this.j).e);
                boolean z2 = aVar == this.D;
                if (a2 != this.l.a) {
                    this.l = this.l.a(a2);
                }
                while (true) {
                    if (aVar.k == null) {
                        break;
                    }
                    a aVar2 = aVar.k;
                    a2++;
                    this.F.a(a2, this.k, true);
                    boolean z3 = a2 == this.F.c() - 1 && !this.F.a(this.k.c, this.j).e;
                    if (aVar2.b.equals(this.k.b)) {
                        aVar2.a(a2, z3);
                        z2 |= aVar2 == this.D;
                        aVar = aVar2;
                    } else if (!z2) {
                        int i3 = this.E.f;
                        this.l = new b(i3, a(i3, this.l.c));
                    } else {
                        this.C = aVar;
                        aVar.k = null;
                        a(aVar2);
                    }
                }
                b(obj, i2);
                return;
            } else if (this.l.b == -9223372036854775807L) {
                if (this.F.a()) {
                    a(obj, 0);
                    return;
                } else {
                    Pair<Integer, Long> b4 = b(0, -9223372036854775807L);
                    this.l = new b(((Integer) b4.first).intValue(), ((Long) b4.second).longValue());
                }
            }
        }
        i2 = 0;
        aVar = this.E;
        if (aVar == null) {
        }
        if (aVar != null) {
        }
    }

    private void a(Object obj, int i2) {
        this.l = new b(0, 0);
        b(obj, i2);
        this.l = new b(0, -9223372036854775807L);
        a(4);
        d(false);
    }

    private void b(Object obj, int i2) {
        this.h.obtainMessage(6, new d(this.F, obj, this.l, i2)).sendToTarget();
    }

    private int a(int i2, v vVar, v vVar2) {
        int i3 = -1;
        while (i3 == -1 && i2 < vVar.c() - 1) {
            i2++;
            i3 = vVar2.a(vVar.a(i2, this.k, true).b);
        }
        return i3;
    }

    private Pair<Integer, Long> b(c cVar) {
        v vVar = cVar.a;
        if (vVar.a()) {
            vVar = this.F;
        }
        try {
            Pair<Integer, Long> b2 = b(vVar, cVar.b, cVar.c);
            v vVar2 = this.F;
            if (vVar2 == vVar) {
                return b2;
            }
            int a2 = vVar2.a(vVar.a(((Integer) b2.first).intValue(), this.k, true).b);
            if (a2 != -1) {
                return Pair.create(Integer.valueOf(a2), b2.second);
            }
            int a3 = a(((Integer) b2.first).intValue(), vVar, this.F);
            if (a3 != -1) {
                return b(this.F.a(a3, this.k).c, -9223372036854775807L);
            }
            return null;
        } catch (IndexOutOfBoundsException e2) {
            throw new l(this.F, cVar.b, cVar.c);
        }
    }

    private Pair<Integer, Long> b(int i2, long j2) {
        return b(this.F, i2, j2);
    }

    private Pair<Integer, Long> b(v vVar, int i2, long j2) {
        return a(vVar, i2, j2, 0);
    }

    private Pair<Integer, Long> a(v vVar, int i2, long j2, long j3) {
        com.google.android.exoplayer2.j.a.a(i2, 0, vVar.b());
        vVar.a(i2, this.j, false, j3);
        if (j2 == -9223372036854775807L) {
            j2 = this.j.a();
            if (j2 == -9223372036854775807L) {
                return null;
            }
        }
        int i3 = this.j.f;
        long c2 = this.j.c() + j2;
        long b2 = vVar.a(i3, this.k).b();
        while (b2 != -9223372036854775807L && c2 >= b2 && i3 < this.j.g) {
            c2 -= b2;
            i3++;
            b2 = vVar.a(i3, this.k).b();
        }
        return Pair.create(Integer.valueOf(i3), Long.valueOf(c2));
    }

    private void j() throws e, IOException {
        if (this.F == null) {
            this.p.a();
            return;
        }
        k();
        a aVar = this.C;
        int i2 = 0;
        if (aVar == null || aVar.b()) {
            b(false);
        } else {
            a aVar2 = this.C;
            if (aVar2 != null && aVar2.l) {
                l();
            }
        }
        if (this.E != null) {
            while (true) {
                a aVar3 = this.E;
                if (aVar3 != this.D && this.B >= aVar3.k.e) {
                    this.E.e();
                    b(this.E.k);
                    this.l = new b(this.E.f, this.E.g);
                    d();
                    this.h.obtainMessage(5, this.l).sendToTarget();
                }
            }
            if (this.D.h) {
                while (true) {
                    p[] pVarArr = this.a;
                    if (i2 < pVarArr.length) {
                        p pVar = pVarArr[i2];
                        com.google.android.exoplayer2.source.i iVar = this.D.c[i2];
                        if (iVar != null && pVar.f() == iVar && pVar.g()) {
                            pVar.h();
                        }
                        i2++;
                    } else {
                        return;
                    }
                }
            } else {
                int i3 = 0;
                while (true) {
                    p[] pVarArr2 = this.a;
                    if (i3 < pVarArr2.length) {
                        p pVar2 = pVarArr2[i3];
                        com.google.android.exoplayer2.source.i iVar2 = this.D.c[i3];
                        if (pVar2.f() != iVar2) {
                            return;
                        }
                        if (iVar2 == null || pVar2.g()) {
                            i3++;
                        } else {
                            return;
                        }
                    } else if (this.D.k != null && this.D.k.i) {
                        com.google.android.exoplayer2.h.i iVar3 = this.D.m;
                        a aVar4 = this.D.k;
                        this.D = aVar4;
                        com.google.android.exoplayer2.h.i iVar4 = aVar4.m;
                        boolean z2 = this.D.a.e() != -9223372036854775807L;
                        int i4 = 0;
                        while (true) {
                            p[] pVarArr3 = this.a;
                            if (i4 < pVarArr3.length) {
                                p pVar3 = pVarArr3[i4];
                                if (iVar3.b.a(i4) != null) {
                                    if (z2) {
                                        pVar3.h();
                                    } else if (!pVar3.i()) {
                                        com.google.android.exoplayer2.h.f a2 = iVar4.b.a(i4);
                                        s sVar = iVar3.d[i4];
                                        s sVar2 = iVar4.d[i4];
                                        if (a2 == null || !sVar2.equals(sVar)) {
                                            pVar3.h();
                                        } else {
                                            int e2 = a2.e();
                                            j[] jVarArr = new j[e2];
                                            for (int i5 = 0; i5 < e2; i5++) {
                                                jVarArr[i5] = a2.a(i5);
                                            }
                                            pVar3.a(jVarArr, this.D.c[i4], this.D.a());
                                        }
                                    }
                                }
                                i4++;
                            } else {
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
            }
        }
    }

    private void k() throws IOException {
        int i2;
        long j2;
        long j3;
        a aVar = this.C;
        if (aVar == null) {
            i2 = this.l.a;
        } else {
            int i3 = aVar.f;
            if (!this.C.h && this.C.b() && this.F.a(i3, this.k).b() != -9223372036854775807L) {
                a aVar2 = this.E;
                if (aVar2 == null || i3 - aVar2.f != 100) {
                    i2 = this.C.f + 1;
                } else {
                    return;
                }
            } else {
                return;
            }
        }
        if (i2 >= this.F.c()) {
            this.p.a();
            return;
        }
        if (this.C == null) {
            j2 = this.l.c;
        } else {
            int i4 = this.F.a(i2, this.k).c;
            if (i2 != this.F.a(i4, this.j).f) {
                j2 = 0;
            } else {
                Pair<Integer, Long> a2 = a(this.F, i4, -9223372036854775807L, Math.max(0L, (this.C.a() + this.F.a(this.C.f, this.k).b()) - this.B));
                if (a2 != null) {
                    int intValue = ((Integer) a2.first).intValue();
                    long longValue = ((Long) a2.second).longValue();
                    i2 = intValue;
                    j2 = longValue;
                } else {
                    return;
                }
            }
        }
        a aVar3 = this.C;
        if (aVar3 == null) {
            j3 = j2 + 60000000;
        } else {
            j3 = aVar3.a() + this.F.a(this.C.f, this.k).b();
        }
        this.F.a(i2, this.k, true);
        a aVar4 = new a(this.a, this.b, j3, this.c, this.d, this.p, this.k.b, i2, i2 == this.F.c() - 1 && !this.F.a(this.k.c, this.j).e, j2);
        a aVar5 = this.C;
        if (aVar5 != null) {
            aVar5.k = aVar4;
        }
        this.C = aVar4;
        aVar4.a.a(this);
        b(true);
    }

    private void c(g gVar) throws e {
        a aVar = this.C;
        if (aVar != null && aVar.a == gVar) {
            this.C.c();
            if (this.E == null) {
                a aVar2 = this.C;
                this.D = aVar2;
                a(aVar2.g);
                b(this.D);
            }
            l();
        }
    }

    private void d(g gVar) {
        a aVar = this.C;
        if (aVar != null && aVar.a == gVar) {
            l();
        }
    }

    private void l() {
        long j2;
        if (!this.C.i) {
            j2 = 0;
        } else {
            j2 = this.C.a.a_();
        }
        if (j2 == Long.MIN_VALUE) {
            b(false);
            return;
        }
        long b2 = this.C.b(this.B);
        boolean a2 = this.d.a(j2 - b2);
        b(a2);
        if (a2) {
            this.C.l = false;
            this.C.a.a(b2);
            return;
        }
        this.C.l = true;
    }

    private void a(a aVar) {
        while (aVar != null) {
            aVar.e();
            aVar = aVar.k;
        }
    }

    private void b(a aVar) throws e {
        if (this.E != aVar) {
            boolean[] zArr = new boolean[this.a.length];
            int i2 = 0;
            int i3 = 0;
            while (true) {
                p[] pVarArr = this.a;
                if (i2 < pVarArr.length) {
                    p pVar = pVarArr[i2];
                    zArr[i2] = pVar.d() != 0;
                    com.google.android.exoplayer2.h.f a2 = aVar.m.b.a(i2);
                    if (a2 != null) {
                        i3++;
                    }
                    if (zArr[i2] && (a2 == null || (pVar.i() && pVar.f() == this.E.c[i2]))) {
                        if (pVar == this.n) {
                            this.e.a(this.o);
                            this.o = null;
                            this.n = null;
                        }
                        a(pVar);
                        pVar.l();
                    }
                    i2++;
                } else {
                    this.E = aVar;
                    this.h.obtainMessage(3, aVar.m).sendToTarget();
                    a(zArr, i3);
                    return;
                }
            }
        }
    }

    private void a(boolean[] zArr, int i2) throws e {
        this.q = new p[i2];
        int i3 = 0;
        int i4 = 0;
        while (true) {
            p[] pVarArr = this.a;
            if (i3 < pVarArr.length) {
                p pVar = pVarArr[i3];
                com.google.android.exoplayer2.h.f a2 = this.E.m.b.a(i3);
                if (a2 != null) {
                    int i5 = i4 + 1;
                    this.q[i4] = pVar;
                    if (pVar.d() == 0) {
                        s sVar = this.E.m.d[i3];
                        boolean z2 = this.s && this.v == 3;
                        boolean z3 = !zArr[i3] && z2;
                        int e2 = a2.e();
                        j[] jVarArr = new j[e2];
                        for (int i6 = 0; i6 < e2; i6++) {
                            jVarArr[i6] = a2.a(i6);
                        }
                        pVar.a(sVar, jVarArr, this.E.c[i3], this.B, z3, this.E.a());
                        com.google.android.exoplayer2.j.g c2 = pVar.c();
                        if (c2 != null) {
                            if (this.o == null) {
                                this.o = c2;
                                this.n = pVar;
                                c2.a(this.m);
                            } else {
                                throw e.a(new IllegalStateException("Multiple renderer media clocks enabled."));
                            }
                        }
                        if (z2) {
                            pVar.e();
                        }
                    }
                    i4 = i5;
                }
                i3++;
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ExoPlayerImplInternal */
    public static final class a {
        public final g a;
        public final Object b;
        public final com.google.android.exoplayer2.source.i[] c;
        public final boolean[] d;
        public final long e;
        public int f;
        public long g;
        public boolean h;
        public boolean i;
        public boolean j;
        public a k;
        public boolean l;
        public com.google.android.exoplayer2.h.i m;
        private final p[] n;
        private final q[] o;
        private final com.google.android.exoplayer2.h.h p;
        private final m q;
        private final com.google.android.exoplayer2.source.h r;
        private com.google.android.exoplayer2.h.i s;

        public a(p[] pVarArr, q[] qVarArr, long j2, com.google.android.exoplayer2.h.h hVar, m mVar, com.google.android.exoplayer2.source.h hVar2, Object obj, int i2, boolean z, long j3) {
            this.n = pVarArr;
            this.o = qVarArr;
            this.e = j2;
            this.p = hVar;
            this.q = mVar;
            this.r = hVar2;
            this.b = com.google.android.exoplayer2.j.a.a(obj);
            this.f = i2;
            this.h = z;
            this.g = j3;
            this.c = new com.google.android.exoplayer2.source.i[pVarArr.length];
            this.d = new boolean[pVarArr.length];
            this.a = hVar2.a(i2, mVar.d(), j3);
        }

        public long a(long j2) {
            return j2 + a();
        }

        public long b(long j2) {
            return j2 - a();
        }

        public long a() {
            return this.e - this.g;
        }

        public void a(int i2, boolean z) {
            this.f = i2;
            this.h = z;
        }

        public boolean b() {
            return this.i && (!this.j || this.a.f() == Long.MIN_VALUE);
        }

        public void c() throws e {
            this.i = true;
            d();
            this.g = a(this.g, false);
        }

        public boolean d() throws e {
            com.google.android.exoplayer2.h.i a2 = this.p.a(this.o, this.a.d());
            if (a2.a(this.s)) {
                return false;
            }
            this.m = a2;
            return true;
        }

        public long a(long j2, boolean z) {
            return a(j2, z, new boolean[this.n.length]);
        }

        public long a(long j2, boolean z, boolean[] zArr) {
            com.google.android.exoplayer2.h.g gVar = this.m.b;
            int i2 = 0;
            while (true) {
                boolean z2 = true;
                if (i2 >= gVar.a) {
                    break;
                }
                boolean[] zArr2 = this.d;
                if (z || !this.m.a(this.s, i2)) {
                    z2 = false;
                }
                zArr2[i2] = z2;
                i2++;
            }
            long a2 = this.a.a(gVar.a(), this.d, this.c, zArr, j2);
            this.s = this.m;
            this.j = false;
            int i3 = 0;
            while (true) {
                com.google.android.exoplayer2.source.i[] iVarArr = this.c;
                if (i3 < iVarArr.length) {
                    if (iVarArr[i3] != null) {
                        com.google.android.exoplayer2.j.a.b(gVar.a(i3) != null);
                        this.j = true;
                    } else {
                        com.google.android.exoplayer2.j.a.b(gVar.a(i3) == null);
                    }
                    i3++;
                } else {
                    this.q.a(this.n, this.m.a, gVar);
                    return a2;
                }
            }
        }

        public void e() {
            try {
                this.r.a(this.a);
            } catch (RuntimeException e2) {
                Log.e("ExoPlayerImplInternal", "Period release failed.", e2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ExoPlayerImplInternal */
    public static final class c {
        public final v a;
        public final int b;
        public final long c;

        public c(v vVar, int i, long j) {
            this.a = vVar;
            this.b = i;
            this.c = j;
        }
    }
}
