package com.google.android.exoplayer2.i;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.SystemClock;
import android.util.Log;
import com.google.android.exoplayer2.j.t;
import java.io.IOException;
import java.util.concurrent.ExecutorService;

/* compiled from: Loader */
public final class r implements s {
    private final ExecutorService a;
    private b<? extends c> b;
    private IOException c;

    /* compiled from: Loader */
    public interface a<T extends c> {
        int a(T t, long j, long j2, IOException iOException);

        void a(T t, long j, long j2);

        void a(T t, long j, long j2, boolean z);
    }

    /* compiled from: Loader */
    public interface c {
        void a();

        boolean b();

        void c() throws IOException, InterruptedException;
    }

    /* compiled from: Loader */
    public static final class d extends IOException {
        public d(Throwable th) {
            super("Unexpected " + th.getClass().getSimpleName() + ": " + th.getMessage(), th);
        }
    }

    public r(String str) {
        this.a = t.a(str);
    }

    public <T extends c> long a(T t, a<T> aVar, int i) {
        Looper myLooper = Looper.myLooper();
        com.google.android.exoplayer2.j.a.b(myLooper != null);
        long elapsedRealtime = SystemClock.elapsedRealtime();
        new b(myLooper, t, aVar, i, elapsedRealtime).a(0L);
        return elapsedRealtime;
    }

    public boolean a() {
        return this.b != null;
    }

    public void b() {
        this.b.a(false);
    }

    public void c() {
        a((Runnable) null);
    }

    public void a(Runnable runnable) {
        b<? extends c> bVar = this.b;
        if (bVar != null) {
            bVar.a(true);
        }
        if (runnable != null) {
            this.a.execute(runnable);
        }
        this.a.shutdown();
    }

    @Override // com.google.android.exoplayer2.i.s
    public void d() throws IOException {
        a(Integer.MIN_VALUE);
    }

    public void a(int i) throws IOException {
        IOException iOException = this.c;
        if (iOException == null) {
            b<? extends c> bVar = this.b;
            if (bVar != null) {
                if (i == Integer.MIN_VALUE) {
                    i = bVar.a;
                }
                bVar.a(i);
                return;
            }
            return;
        }
        throw iOException;
    }

    /* access modifiers changed from: private */
    /* compiled from: Loader */
    public final class b<T extends c> extends Handler implements Runnable {
        public final int a;
        private final T c;
        private final a<T> d;
        private final long e;
        private IOException f;
        private int g;
        private volatile Thread h;
        private volatile boolean i;

        public b(Looper looper, T t, a<T> aVar, int i2, long j) {
            super(looper);
            this.c = t;
            this.d = aVar;
            this.a = i2;
            this.e = j;
        }

        public void a(int i2) throws IOException {
            IOException iOException = this.f;
            if (iOException != null && this.g > i2) {
                throw iOException;
            }
        }

        public void a(long j) {
            com.google.android.exoplayer2.j.a.b(r.this.b == null);
            r.this.b = this;
            if (j > 0) {
                sendEmptyMessageDelayed(0, j);
            } else {
                a();
            }
        }

        public void a(boolean z) {
            this.i = z;
            this.f = null;
            if (hasMessages(0)) {
                removeMessages(0);
                if (!z) {
                    sendEmptyMessage(1);
                }
            } else {
                this.c.a();
                if (this.h != null) {
                    this.h.interrupt();
                }
            }
            if (z) {
                b();
                long elapsedRealtime = SystemClock.elapsedRealtime();
                this.d.a((c) this.c, elapsedRealtime, elapsedRealtime - this.e, true);
            }
        }

        public void run() {
            try {
                this.h = Thread.currentThread();
                if (!this.c.b()) {
                    com.google.android.exoplayer2.j.r.a("load:" + this.c.getClass().getSimpleName());
                    try {
                        this.c.c();
                    } finally {
                        com.google.android.exoplayer2.j.r.a();
                    }
                }
                if (!this.i) {
                    sendEmptyMessage(2);
                }
            } catch (IOException e2) {
                if (!this.i) {
                    obtainMessage(3, e2).sendToTarget();
                }
            } catch (InterruptedException e3) {
                com.google.android.exoplayer2.j.a.b(this.c.b());
                if (!this.i) {
                    sendEmptyMessage(2);
                }
            } catch (Exception e4) {
                Log.e("LoadTask", "Unexpected exception loading stream", e4);
                if (!this.i) {
                    obtainMessage(3, new d(e4)).sendToTarget();
                }
            } catch (OutOfMemoryError e5) {
                Log.e("LoadTask", "OutOfMemory error loading stream", e5);
                if (!this.i) {
                    obtainMessage(3, new d(e5)).sendToTarget();
                }
            } catch (Error e6) {
                Log.e("LoadTask", "Unexpected error loading stream", e6);
                if (!this.i) {
                    obtainMessage(4, e6).sendToTarget();
                }
                throw e6;
            }
        }

        public void handleMessage(Message message) {
            if (!this.i) {
                if (message.what == 0) {
                    a();
                } else if (message.what != 4) {
                    b();
                    long elapsedRealtime = SystemClock.elapsedRealtime();
                    long j = elapsedRealtime - this.e;
                    if (this.c.b()) {
                        this.d.a((c) this.c, elapsedRealtime, j, false);
                        return;
                    }
                    int i2 = message.what;
                    int i3 = 1;
                    if (i2 == 1) {
                        this.d.a((c) this.c, elapsedRealtime, j, false);
                    } else if (i2 == 2) {
                        this.d.a(this.c, elapsedRealtime, j);
                    } else if (i2 == 3) {
                        IOException iOException = (IOException) message.obj;
                        this.f = iOException;
                        int a2 = this.d.a(this.c, elapsedRealtime, j, iOException);
                        if (a2 == 3) {
                            r.this.c = this.f;
                        } else if (a2 != 2) {
                            if (a2 != 1) {
                                i3 = 1 + this.g;
                            }
                            this.g = i3;
                            a(c());
                        }
                    }
                } else {
                    throw ((Error) message.obj);
                }
            }
        }

        private void a() {
            this.f = null;
            r.this.a.execute(r.this.b);
        }

        private void b() {
            r.this.b = null;
        }

        private long c() {
            return (long) Math.min((this.g - 1) * 1000, 5000);
        }
    }
}
