package com.googlecode.mp4parser.authoring;

import com.coremedia.iso.boxes.AbstractMediaHeaderBox;
import com.coremedia.iso.boxes.CompositionTimeToSample;
import com.coremedia.iso.boxes.MediaHeaderBox;
import com.coremedia.iso.boxes.SampleDependencyTypeBox;
import com.coremedia.iso.boxes.SampleDescriptionBox;
import com.coremedia.iso.boxes.SampleTableBox;
import com.coremedia.iso.boxes.SubSampleInformationBox;
import com.coremedia.iso.boxes.TimeToSampleBox;
import com.coremedia.iso.boxes.TrackBox;
import com.coremedia.iso.boxes.TrackHeaderBox;
import com.coremedia.iso.boxes.fragment.MovieExtendsBox;
import com.coremedia.iso.boxes.fragment.MovieFragmentBox;
import com.coremedia.iso.boxes.fragment.SampleFlags;
import com.coremedia.iso.boxes.fragment.TrackExtendsBox;
import com.coremedia.iso.boxes.fragment.TrackFragmentBox;
import com.coremedia.iso.boxes.fragment.TrackFragmentHeaderBox;
import com.coremedia.iso.boxes.fragment.TrackRunBox;
import com.coremedia.iso.boxes.mdat.SampleList;
import com.googlecode.mp4parser.util.CastUtils;
import com.taobao.weex.el.parse.Operators;
import java.nio.ByteBuffer;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class Mp4TrackImpl extends AbstractTrack {
    private List<CompositionTimeToSample.Entry> compositionTimeEntries;
    private List<TimeToSampleBox.Entry> decodingTimeEntries;
    private String handler;
    private AbstractMediaHeaderBox mihd;
    private List<SampleDependencyTypeBox.Entry> sampleDependencies;
    private SampleDescriptionBox sampleDescriptionBox;
    private List<ByteBuffer> samples;
    private long[] syncSamples = new long[0];
    private TrackMetaData trackMetaData = new TrackMetaData();

    public Mp4TrackImpl(TrackBox trackBox) {
        List<MovieExtendsBox> movieExtendsBoxes;
        Iterator<MovieExtendsBox> it;
        SampleTableBox stbl;
        long trackId;
        long trackId2;
        List<MovieExtendsBox> movieExtendsBoxes2;
        Iterator<MovieExtendsBox> it2;
        Iterator<TrackRunBox> it3;
        SampleTableBox stbl2;
        SampleFlags sampleFlags;
        long j;
        long trackId3 = trackBox.getTrackHeaderBox().getTrackId();
        this.samples = new SampleList(trackBox);
        SampleTableBox stbl3 = trackBox.getMediaBox().getMediaInformationBox().getSampleTableBox();
        this.handler = trackBox.getMediaBox().getHandlerBox().getHandlerType();
        this.mihd = trackBox.getMediaBox().getMediaInformationBox().getMediaHeaderBox();
        this.decodingTimeEntries = new LinkedList();
        this.compositionTimeEntries = new LinkedList();
        this.sampleDependencies = new LinkedList();
        this.decodingTimeEntries.addAll(stbl3.getTimeToSampleBox().getEntries());
        if (stbl3.getCompositionTimeToSample() != null) {
            this.compositionTimeEntries.addAll(stbl3.getCompositionTimeToSample().getEntries());
        }
        if (stbl3.getSampleDependencyTypeBox() != null) {
            this.sampleDependencies.addAll(stbl3.getSampleDependencyTypeBox().getEntries());
        }
        if (stbl3.getSyncSampleBox() != null) {
            this.syncSamples = stbl3.getSyncSampleBox().getSampleNumber();
        }
        this.sampleDescriptionBox = stbl3.getSampleDescriptionBox();
        List<MovieExtendsBox> movieExtendsBoxes3 = trackBox.getParent().getBoxes(MovieExtendsBox.class);
        if (movieExtendsBoxes3.size() > 0) {
            Iterator<MovieExtendsBox> it4 = movieExtendsBoxes3.iterator();
            while (it4.hasNext()) {
                for (TrackExtendsBox trex : it4.next().getBoxes(TrackExtendsBox.class)) {
                    if (trex.getTrackId() == trackId3) {
                        List<Long> syncSampleList = new LinkedList<>();
                        long sampleNumber = 1;
                        for (Iterator it5 = trackBox.getIsoFile().getBoxes(MovieFragmentBox.class).iterator(); it5.hasNext(); it5 = it5) {
                            List<TrackFragmentBox> trafs = ((MovieFragmentBox) it5.next()).getBoxes(TrackFragmentBox.class);
                            Iterator<TrackFragmentBox> it6 = trafs.iterator();
                            while (it6.hasNext()) {
                                TrackFragmentBox traf = it6.next();
                                if (traf.getTrackFragmentHeaderBox().getTrackId() == trackId3) {
                                    trackId2 = trackId3;
                                    List<TrackRunBox> truns = traf.getBoxes(TrackRunBox.class);
                                    Iterator<TrackRunBox> it7 = truns.iterator();
                                    while (it7.hasNext()) {
                                        TrackRunBox trun = it7.next();
                                        TrackFragmentHeaderBox tfhd = ((TrackFragmentBox) trun.getParent()).getTrackFragmentHeaderBox();
                                        boolean first = true;
                                        for (TrackRunBox.Entry entry : trun.getEntries()) {
                                            if (trun.isSampleDurationPresent()) {
                                                if (this.decodingTimeEntries.size() != 0) {
                                                    List<TimeToSampleBox.Entry> list = this.decodingTimeEntries;
                                                    it3 = it7;
                                                    if (list.get(list.size() - 1).getDelta() != entry.getSampleDuration()) {
                                                        stbl2 = stbl3;
                                                        movieExtendsBoxes2 = movieExtendsBoxes3;
                                                        j = 1;
                                                    } else {
                                                        List<TimeToSampleBox.Entry> list2 = this.decodingTimeEntries;
                                                        TimeToSampleBox.Entry e = list2.get(list2.size() - 1);
                                                        stbl2 = stbl3;
                                                        movieExtendsBoxes2 = movieExtendsBoxes3;
                                                        e.setCount(e.getCount() + 1);
                                                        it2 = it4;
                                                    }
                                                } else {
                                                    it3 = it7;
                                                    stbl2 = stbl3;
                                                    movieExtendsBoxes2 = movieExtendsBoxes3;
                                                    j = 1;
                                                }
                                                it2 = it4;
                                                this.decodingTimeEntries.add(new TimeToSampleBox.Entry(j, entry.getSampleDuration()));
                                            } else {
                                                it3 = it7;
                                                stbl2 = stbl3;
                                                movieExtendsBoxes2 = movieExtendsBoxes3;
                                                it2 = it4;
                                                if (tfhd.hasDefaultSampleDuration()) {
                                                    this.decodingTimeEntries.add(new TimeToSampleBox.Entry(1, tfhd.getDefaultSampleDuration()));
                                                } else {
                                                    this.decodingTimeEntries.add(new TimeToSampleBox.Entry(1, trex.getDefaultSampleDuration()));
                                                }
                                            }
                                            if (trun.isSampleCompositionTimeOffsetPresent()) {
                                                if (this.compositionTimeEntries.size() != 0) {
                                                    List<CompositionTimeToSample.Entry> list3 = this.compositionTimeEntries;
                                                    if (list3.get(list3.size() - 1).getOffset() == entry.getSampleCompositionTimeOffset()) {
                                                        List<CompositionTimeToSample.Entry> list4 = this.compositionTimeEntries;
                                                        CompositionTimeToSample.Entry e2 = list4.get(list4.size() - 1);
                                                        e2.setCount(e2.getCount() + 1);
                                                    }
                                                }
                                                this.compositionTimeEntries.add(new CompositionTimeToSample.Entry(1, CastUtils.l2i((long) entry.getSampleCompositionTimeOffset())));
                                            }
                                            if (trun.isSampleFlagsPresent()) {
                                                sampleFlags = entry.getSampleFlags();
                                            } else if (first && trun.isFirstSampleFlagsPresent()) {
                                                sampleFlags = trun.getFirstSampleFlags();
                                            } else if (tfhd.hasDefaultSampleFlags()) {
                                                sampleFlags = tfhd.getDefaultSampleFlags();
                                            } else {
                                                sampleFlags = trex.getDefaultSampleFlags();
                                            }
                                            if (sampleFlags != null && !sampleFlags.isSampleIsDifferenceSample()) {
                                                syncSampleList.add(Long.valueOf(sampleNumber));
                                            }
                                            sampleNumber++;
                                            first = false;
                                            stbl3 = stbl2;
                                            traf = traf;
                                            truns = truns;
                                            it7 = it3;
                                            it4 = it2;
                                            movieExtendsBoxes3 = movieExtendsBoxes2;
                                        }
                                    }
                                } else {
                                    trackId2 = trackId3;
                                }
                                trafs = trafs;
                                trackId3 = trackId2;
                                stbl3 = stbl3;
                                it4 = it4;
                                movieExtendsBoxes3 = movieExtendsBoxes3;
                            }
                        }
                        trackId = trackId3;
                        stbl = stbl3;
                        movieExtendsBoxes = movieExtendsBoxes3;
                        it = it4;
                        long[] oldSS = this.syncSamples;
                        long[] jArr = new long[(this.syncSamples.length + syncSampleList.size())];
                        this.syncSamples = jArr;
                        System.arraycopy(oldSS, 0, jArr, 0, oldSS.length);
                        int i = oldSS.length;
                        for (Long syncSampleNumber : syncSampleList) {
                            this.syncSamples[i] = syncSampleNumber.longValue();
                            i++;
                        }
                    } else {
                        trackId = trackId3;
                        stbl = stbl3;
                        movieExtendsBoxes = movieExtendsBoxes3;
                        it = it4;
                    }
                    trackId3 = trackId;
                    stbl3 = stbl;
                    it4 = it;
                    movieExtendsBoxes3 = movieExtendsBoxes;
                }
                stbl3 = stbl3;
            }
        }
        MediaHeaderBox mdhd = trackBox.getMediaBox().getMediaHeaderBox();
        TrackHeaderBox tkhd = trackBox.getTrackHeaderBox();
        setEnabled(tkhd.isEnabled());
        setInMovie(tkhd.isInMovie());
        setInPoster(tkhd.isInPoster());
        setInPreview(tkhd.isInPreview());
        this.trackMetaData.setTrackId(tkhd.getTrackId());
        this.trackMetaData.setCreationTime(mdhd.getCreationTime());
        this.trackMetaData.setLanguage(mdhd.getLanguage());
        this.trackMetaData.setModificationTime(mdhd.getModificationTime());
        this.trackMetaData.setTimescale(mdhd.getTimescale());
        this.trackMetaData.setHeight(tkhd.getHeight());
        this.trackMetaData.setWidth(tkhd.getWidth());
        this.trackMetaData.setLayer(tkhd.getLayer());
        this.trackMetaData.setMatrix(tkhd.getMatrix());
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public List<ByteBuffer> getSamples() {
        return this.samples;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public SampleDescriptionBox getSampleDescriptionBox() {
        return this.sampleDescriptionBox;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public List<TimeToSampleBox.Entry> getDecodingTimeEntries() {
        return this.decodingTimeEntries;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public List<CompositionTimeToSample.Entry> getCompositionTimeEntries() {
        return this.compositionTimeEntries;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public long[] getSyncSamples() {
        return this.syncSamples;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public List<SampleDependencyTypeBox.Entry> getSampleDependencies() {
        return this.sampleDependencies;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public TrackMetaData getTrackMetaData() {
        return this.trackMetaData;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public String getHandler() {
        return this.handler;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public AbstractMediaHeaderBox getMediaHeaderBox() {
        return this.mihd;
    }

    @Override // com.googlecode.mp4parser.authoring.Track
    public SubSampleInformationBox getSubsampleInformationBox() {
        return null;
    }

    public String toString() {
        return "Mp4TrackImpl{handler='" + this.handler + Operators.SINGLE_QUOTE + Operators.BLOCK_END;
    }
}
