package com.googlecode.mp4parser.boxes;

import com.googlecode.mp4parser.AbstractBox;
import com.googlecode.mp4parser.boxes.mp4.objectdescriptors.BitReaderBuffer;
import com.googlecode.mp4parser.boxes.mp4.objectdescriptors.BitWriterBuffer;
import com.taobao.weex.el.parse.Operators;
import java.nio.ByteBuffer;

public class AC3SpecificBox extends AbstractBox {
    int acmod;
    int bitRateCode;
    int bsid;
    int bsmod;
    int fscod;
    int lfeon;
    int reserved;

    public AC3SpecificBox() {
        super("dac3");
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 3;
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        BitReaderBuffer brb = new BitReaderBuffer(content);
        this.fscod = brb.readBits(2);
        this.bsid = brb.readBits(5);
        this.bsmod = brb.readBits(3);
        this.acmod = brb.readBits(3);
        this.lfeon = brb.readBits(1);
        this.bitRateCode = brb.readBits(5);
        this.reserved = brb.readBits(5);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        BitWriterBuffer bwb = new BitWriterBuffer(byteBuffer);
        bwb.writeBits(this.fscod, 2);
        bwb.writeBits(this.bsid, 5);
        bwb.writeBits(this.bsmod, 3);
        bwb.writeBits(this.acmod, 3);
        bwb.writeBits(this.lfeon, 1);
        bwb.writeBits(this.bitRateCode, 5);
        bwb.writeBits(this.reserved, 5);
    }

    public int getFscod() {
        return this.fscod;
    }

    public void setFscod(int fscod2) {
        this.fscod = fscod2;
    }

    public int getBsid() {
        return this.bsid;
    }

    public void setBsid(int bsid2) {
        this.bsid = bsid2;
    }

    public int getBsmod() {
        return this.bsmod;
    }

    public void setBsmod(int bsmod2) {
        this.bsmod = bsmod2;
    }

    public int getAcmod() {
        return this.acmod;
    }

    public void setAcmod(int acmod2) {
        this.acmod = acmod2;
    }

    public int getLfeon() {
        return this.lfeon;
    }

    public void setLfeon(int lfeon2) {
        this.lfeon = lfeon2;
    }

    public int getBitRateCode() {
        return this.bitRateCode;
    }

    public void setBitRateCode(int bitRateCode2) {
        this.bitRateCode = bitRateCode2;
    }

    public int getReserved() {
        return this.reserved;
    }

    public void setReserved(int reserved2) {
        this.reserved = reserved2;
    }

    public String toString() {
        return "AC3SpecificBox{fscod=" + this.fscod + ", bsid=" + this.bsid + ", bsmod=" + this.bsmod + ", acmod=" + this.acmod + ", lfeon=" + this.lfeon + ", bitRateCode=" + this.bitRateCode + ", reserved=" + this.reserved + Operators.BLOCK_END;
    }
}
