package com.googlecode.mp4parser.boxes;

import com.googlecode.mp4parser.AbstractBox;
import com.googlecode.mp4parser.boxes.mp4.objectdescriptors.BitReaderBuffer;
import com.googlecode.mp4parser.boxes.mp4.objectdescriptors.BitWriterBuffer;
import java.nio.ByteBuffer;

public class MLPSpecificBox extends AbstractBox {
    int format_info;
    int peak_data_rate;
    int reserved;
    int reserved2;

    public MLPSpecificBox() {
        super("dmlp");
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 10;
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        BitReaderBuffer brb = new BitReaderBuffer(content);
        this.format_info = brb.readBits(32);
        this.peak_data_rate = brb.readBits(15);
        this.reserved = brb.readBits(1);
        this.reserved2 = brb.readBits(32);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        BitWriterBuffer bwb = new BitWriterBuffer(byteBuffer);
        bwb.writeBits(this.format_info, 32);
        bwb.writeBits(this.peak_data_rate, 15);
        bwb.writeBits(this.reserved, 1);
        bwb.writeBits(this.reserved2, 32);
    }

    public int getFormat_info() {
        return this.format_info;
    }

    public void setFormat_info(int format_info2) {
        this.format_info = format_info2;
    }

    public int getPeak_data_rate() {
        return this.peak_data_rate;
    }

    public void setPeak_data_rate(int peak_data_rate2) {
        this.peak_data_rate = peak_data_rate2;
    }

    public int getReserved() {
        return this.reserved;
    }

    public void setReserved(int reserved3) {
        this.reserved = reserved3;
    }

    public int getReserved2() {
        return this.reserved2;
    }

    public void setReserved2(int reserved22) {
        this.reserved2 = reserved22;
    }
}
