package com.googlecode.mp4parser.boxes.apple;

import com.coremedia.iso.IsoTypeReader;
import com.coremedia.iso.IsoTypeWriter;
import com.googlecode.mp4parser.AbstractFullBox;
import com.taobao.weex.el.parse.Operators;
import java.nio.ByteBuffer;

public class BaseMediaInfoAtom extends AbstractFullBox {
    public static final String TYPE = "gmin";
    short balance;
    short graphicsMode = 64;
    int opColorB = 32768;
    int opColorG = 32768;
    int opColorR = 32768;
    short reserved;

    public BaseMediaInfoAtom() {
        super(TYPE);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 16;
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        writeVersionAndFlags(byteBuffer);
        byteBuffer.putShort(this.graphicsMode);
        IsoTypeWriter.writeUInt16(byteBuffer, this.opColorR);
        IsoTypeWriter.writeUInt16(byteBuffer, this.opColorG);
        IsoTypeWriter.writeUInt16(byteBuffer, this.opColorB);
        byteBuffer.putShort(this.balance);
        byteBuffer.putShort(this.reserved);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        parseVersionAndFlags(content);
        this.graphicsMode = content.getShort();
        this.opColorR = IsoTypeReader.readUInt16(content);
        this.opColorG = IsoTypeReader.readUInt16(content);
        this.opColorB = IsoTypeReader.readUInt16(content);
        this.balance = content.getShort();
        this.reserved = content.getShort();
    }

    public short getGraphicsMode() {
        return this.graphicsMode;
    }

    public void setGraphicsMode(short graphicsMode2) {
        this.graphicsMode = graphicsMode2;
    }

    public int getOpColorR() {
        return this.opColorR;
    }

    public void setOpColorR(int opColorR2) {
        this.opColorR = opColorR2;
    }

    public int getOpColorG() {
        return this.opColorG;
    }

    public void setOpColorG(int opColorG2) {
        this.opColorG = opColorG2;
    }

    public int getOpColorB() {
        return this.opColorB;
    }

    public void setOpColorB(int opColorB2) {
        this.opColorB = opColorB2;
    }

    public short getBalance() {
        return this.balance;
    }

    public void setBalance(short balance2) {
        this.balance = balance2;
    }

    public short getReserved() {
        return this.reserved;
    }

    public void setReserved(short reserved2) {
        this.reserved = reserved2;
    }

    public String toString() {
        return "BaseMediaInfoAtom{graphicsMode=" + ((int) this.graphicsMode) + ", opColorR=" + this.opColorR + ", opColorG=" + this.opColorG + ", opColorB=" + this.opColorB + ", balance=" + ((int) this.balance) + ", reserved=" + ((int) this.reserved) + Operators.BLOCK_END;
    }
}
