package com.googlecode.mp4parser.boxes.ultraviolet;

import com.coremedia.iso.IsoTypeReader;
import com.coremedia.iso.Utf8;
import com.googlecode.mp4parser.AbstractFullBox;
import java.nio.ByteBuffer;

public class BaseLocationBox extends AbstractFullBox {
    String baseLocation = "";
    String purchaseLocation = "";

    public BaseLocationBox() {
        super("bloc");
    }

    public BaseLocationBox(String baseLocation2, String purchaseLocation2) {
        super("bloc");
        this.baseLocation = baseLocation2;
        this.purchaseLocation = purchaseLocation2;
    }

    public String getBaseLocation() {
        return this.baseLocation;
    }

    public void setBaseLocation(String baseLocation2) {
        this.baseLocation = baseLocation2;
    }

    public String getPurchaseLocation() {
        return this.purchaseLocation;
    }

    public void setPurchaseLocation(String purchaseLocation2) {
        this.purchaseLocation = purchaseLocation2;
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 1028;
    }

    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        parseVersionAndFlags(content);
        String readString = IsoTypeReader.readString(content);
        this.baseLocation = readString;
        content.get(new byte[((256 - Utf8.utf8StringLengthInBytes(readString)) - 1)]);
        String readString2 = IsoTypeReader.readString(content);
        this.purchaseLocation = readString2;
        content.get(new byte[((256 - Utf8.utf8StringLengthInBytes(readString2)) - 1)]);
        content.get(new byte[512]);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        writeVersionAndFlags(byteBuffer);
        byteBuffer.put(Utf8.convert(this.baseLocation));
        byteBuffer.put(new byte[(256 - Utf8.utf8StringLengthInBytes(this.baseLocation))]);
        byteBuffer.put(Utf8.convert(this.purchaseLocation));
        byteBuffer.put(new byte[(256 - Utf8.utf8StringLengthInBytes(this.purchaseLocation))]);
        byteBuffer.put(new byte[512]);
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        BaseLocationBox that = (BaseLocationBox) o;
        String str = this.baseLocation;
        if (str == null ? that.baseLocation != null : !str.equals(that.baseLocation)) {
            return false;
        }
        String str2 = this.purchaseLocation;
        if (str2 == null ? that.purchaseLocation == null : str2.equals(that.purchaseLocation)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.baseLocation;
        int i = 0;
        int hashCode = (str != null ? str.hashCode() : 0) * 31;
        String str2 = this.purchaseLocation;
        if (str2 != null) {
            i = str2.hashCode();
        }
        return hashCode + i;
    }
}
