package com.googlecode.mp4parser.srt;

import com.googlecode.mp4parser.authoring.tracks.TextTrackImpl;
import com.xiaomi.mipush.sdk.Constants;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.LineNumberReader;

public class SrtParser {
    public static TextTrackImpl parse(InputStream is) throws IOException {
        TextTrackImpl track = new TextTrackImpl();
        for (LineNumberReader r = new LineNumberReader(new InputStreamReader(is, "UTF-8")); r.readLine() != null; r = r) {
            String timeString = r.readLine();
            String lineString = "";
            while (true) {
                String s = r.readLine();
                if (s == null || s.trim().equals("")) {
                    track.getSubs().add(new TextTrackImpl.Line(parse(timeString.split("-->")[0]), parse(timeString.split("-->")[1]), lineString));
                } else {
                    lineString = lineString + s + "\n";
                }
            }
            track.getSubs().add(new TextTrackImpl.Line(parse(timeString.split("-->")[0]), parse(timeString.split("-->")[1]), lineString));
        }
        return track;
    }

    private static long parse(String in) {
        return (Long.parseLong(in.split(Constants.COLON_SEPARATOR)[0].trim()) * 60 * 60 * 1000) + (60 * Long.parseLong(in.split(Constants.COLON_SEPARATOR)[1].trim()) * 1000) + (1000 * Long.parseLong(in.split(Constants.COLON_SEPARATOR)[2].split(",")[0].trim())) + Long.parseLong(in.split(Constants.COLON_SEPARATOR)[2].split(",")[1].trim());
    }
}
