package com.heytap.mcssdk;

import android.content.Context;
import android.content.Intent;
import com.heytap.mcssdk.parser.MessageParser;
import com.heytap.mcssdk.processor.Processor;
import com.heytap.mcssdk.utils.LogUtil;
import com.heytap.mcssdk.utils.ThreadUtil;
import com.heytap.mcssdk.utils.Utils;
import com.heytap.msp.push.callback.IDataMessageCallBackService;
import com.heytap.msp.push.mode.BaseMode;
import java.util.List;

public class PushParseHelper {
    public static void parseIntent(final Context context, final Intent intent, final IDataMessageCallBackService callback) {
        if (context == null) {
            LogUtil.e("context is null , please check param of parseIntent()");
        } else if (intent == null) {
            LogUtil.e("intent is null , please check param of parseIntent()");
        } else if (callback == null) {
            LogUtil.e("callback is null , please check param of parseIntent()");
        } else if (!Utils.isSupportPushByClient(context)) {
            LogUtil.e("push is null ,please check system has push");
        } else {
            ThreadUtil.executeOnBackground(new Runnable() {
                /* class com.heytap.mcssdk.PushParseHelper.AnonymousClass1 */

                public void run() {
                    List<BaseMode> list = MessageParser.getMessageList(context, intent);
                    if (list != null) {
                        for (BaseMode baseMode : list) {
                            if (baseMode != null) {
                                for (Processor processor : PushService.getInstance().getProcessors()) {
                                    if (processor != null) {
                                        processor.process(context, baseMode, callback);
                                    }
                                }
                            }
                        }
                    }
                }
            });
        }
    }
}
