package com.heytap.mcssdk.manage;

import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.Context;
import android.os.Build;
import android.text.TextUtils;
import com.heytap.mcssdk.utils.SharedPreferenceManager;
import com.heytap.mcssdk.utils.ThreadUtil;
import com.igexin.push.core.b;
import com.pushsdk.R;

public class NotificatonChannelManager {
    private static final int DEFAULT_CHANNEL_IMPORTANCE = 3;
    public static final String DEFAULT_NOTIFICATION_CHANNEL_ID = "Heytap PUSH";
    private static final String DEFAULT_NOTIFICATION_CHANNEL_NAME = "System Default Channel";

    public void createDefaultChannel(final Context context) {
        if (Build.VERSION.SDK_INT >= 26) {
            ThreadUtil.executeOnBackground(new Runnable() {
                /* class com.heytap.mcssdk.manage.NotificatonChannelManager.AnonymousClass1 */

                public void run() {
                    if (!SharedPreferenceManager.getInstance().hasDefaultChannelCreated()) {
                        String channelName = context.getString(R.string.system_default_channel);
                        if (TextUtils.isEmpty(channelName)) {
                            channelName = NotificatonChannelManager.DEFAULT_NOTIFICATION_CHANNEL_NAME;
                        }
                        SharedPreferenceManager.getInstance().setHasDefaultChannelCreated(NotificatonChannelManager.this.createChannel(context, NotificatonChannelManager.DEFAULT_NOTIFICATION_CHANNEL_ID, channelName, 3));
                    }
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean createChannel(Context context, String channelID, String channelName, int importance) {
        NotificationManager notificationManager;
        if (context == null || (notificationManager = (NotificationManager) context.getSystemService(b.n)) == null) {
            return false;
        }
        notificationManager.createNotificationChannel(new NotificationChannel(channelID, channelName, importance));
        return true;
    }
}
