package com.heytap.mcssdk.parser;

import android.content.Context;
import android.content.Intent;
import com.heytap.mcssdk.constant.IntentConstant;
import com.heytap.mcssdk.mode.CallBackResult;
import com.heytap.mcssdk.utils.CryptoUtil;
import com.heytap.mcssdk.utils.LogUtil;
import com.heytap.msp.push.mode.BaseMode;

public class CallBackResultParser extends MessageParser {
    @Override // com.heytap.mcssdk.parser.Parser
    public BaseMode parse(Context context, int type, Intent intent) {
        if (4105 == type) {
            return parseMessageByIntent(intent, type);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // com.heytap.mcssdk.parser.MessageParser
    public BaseMode parseMessageByIntent(Intent intent, int type) {
        try {
            CallBackResult message = new CallBackResult();
            message.setCommand(Integer.parseInt(CryptoUtil.sdkDecrypt(intent.getStringExtra(IntentConstant.COMMAND))));
            message.setResponseCode(Integer.parseInt(CryptoUtil.sdkDecrypt(intent.getStringExtra("code"))));
            message.setContent(CryptoUtil.sdkDecrypt(intent.getStringExtra("content")));
            message.setAppKey(CryptoUtil.sdkDecrypt(intent.getStringExtra(IntentConstant.APP_KEY)));
            message.setAppSecret(CryptoUtil.sdkDecrypt(intent.getStringExtra(IntentConstant.APP_SECRET)));
            message.setAppPackage(CryptoUtil.sdkDecrypt(intent.getStringExtra(IntentConstant.APP_PACKAGE)));
            LogUtil.d("OnHandleIntent-message:" + message.toString());
            return message;
        } catch (Exception e) {
            LogUtil.d("OnHandleIntent--" + e.getMessage());
            return null;
        }
    }
}
