package com.heytap.mcssdk.parser;

import android.content.Context;
import android.content.Intent;
import com.heytap.mcssdk.PushService;
import com.heytap.mcssdk.utils.CryptoUtil;
import com.heytap.mcssdk.utils.LogUtil;
import com.heytap.msp.push.mode.BaseMode;
import java.util.ArrayList;
import java.util.List;

public abstract class MessageParser implements Parser {
    /* access modifiers changed from: protected */
    public abstract BaseMode parseMessageByIntent(Intent intent, int i);

    public static List<BaseMode> getMessageList(Context context, Intent intent) {
        BaseMode baseMode;
        if (intent == null) {
            return null;
        }
        int type = 4096;
        try {
            type = Integer.parseInt(CryptoUtil.sdkDecrypt(intent.getStringExtra("type")));
        } catch (Exception e) {
            LogUtil.e("MessageParser--getMessageByIntent--Exception:" + e.getMessage());
        }
        LogUtil.d("MessageParser--getMessageByIntent--type:" + type);
        List<BaseMode> mBaseModes = new ArrayList<>();
        for (Parser parser : PushService.getInstance().getParsers()) {
            if (!(parser == null || (baseMode = parser.parse(context, type, intent)) == null)) {
                mBaseModes.add(baseMode);
            }
        }
        return mBaseModes;
    }
}
