package com.heytap.mcssdk.processor;

import android.content.Context;
import com.heytap.mcssdk.PushService;
import com.heytap.mcssdk.constant.MessageConstant;
import com.heytap.mcssdk.mode.CallBackResult;
import com.heytap.mcssdk.utils.LogUtil;
import com.heytap.mcssdk.utils.ThreadUtil;
import com.heytap.mcssdk.utils.Utils;
import com.heytap.msp.push.callback.ICallBackResultService;
import com.heytap.msp.push.callback.IDataMessageCallBackService;
import com.heytap.msp.push.callback.IGetAppNotificationCallBackService;
import com.heytap.msp.push.callback.ISetAppNotificationCallBackService;
import com.heytap.msp.push.mode.BaseMode;

public class CallBackResultProcessor implements Processor {
    @Override // com.heytap.mcssdk.processor.Processor
    public void process(Context context, BaseMode baseMode, IDataMessageCallBackService IDataMessageCallBackService) {
        if (baseMode != null && baseMode.getType() == 4105) {
            final CallBackResult callBackResult = (CallBackResult) baseMode;
            LogUtil.d("mcssdk-CallBackResultProcessor:" + callBackResult.toString());
            ThreadUtil.executeOnUiThread(new Runnable() {
                /* class com.heytap.mcssdk.processor.CallBackResultProcessor.AnonymousClass1 */

                public void run() {
                    CallBackResultProcessor.this.processCallBackResult(callBackResult, PushService.getInstance());
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void processCallBackResult(CallBackResult message, PushService pushService) {
        if (message == null) {
            LogUtil.e("message is null , please check param of parseCommandMessage(2)");
        } else if (pushService == null) {
            LogUtil.e("pushService is null , please check param of parseCommandMessage(2)");
        } else if (pushService.getPushCallback() == null) {
            LogUtil.e("pushService.getPushCallback() is null , please check param of parseCommandMessage(2)");
        } else {
            int command = message.getCommand();
            if (command == 12287) {
                ICallBackResultService errorCallBack = pushService.getPushCallback();
                if (errorCallBack != null) {
                    errorCallBack.onError(message.getResponseCode(), message.getContent());
                }
            } else if (command == 12298) {
                pushService.getPushCallback().onSetPushTime(message.getResponseCode(), message.getContent());
            } else if (command == 12306) {
                pushService.getPushCallback().onGetPushStatus(message.getResponseCode(), Utils.parseInt(message.getContent()));
            } else if (command == 12309) {
                pushService.getPushCallback().onGetNotificationStatus(message.getResponseCode(), Utils.parseInt(message.getContent()));
            } else if (command == 12289) {
                if (message.getResponseCode() == 0) {
                    pushService.setRegisterID(message.getContent());
                }
                pushService.getPushCallback().onRegister(message.getResponseCode(), message.getContent());
            } else if (command != 12290) {
                switch (command) {
                    case MessageConstant.CommandId.COMMAND_APP_NOTIFICATION_OPEN:
                    case MessageConstant.CommandId.COMMAND_APP_NOTIFICATION_CLOSE:
                        ISetAppNotificationCallBackService setCallBackService = pushService.getPushSetAppNotificationCallBack();
                        if (setCallBackService != null) {
                            setCallBackService.onSetAppNotificationSwitch(message.getResponseCode());
                            return;
                        }
                        return;
                    case MessageConstant.CommandId.COMMAND_APP_NOTIFICATION_GET:
                        int appConfigNotificationSwitch = 0;
                        try {
                            appConfigNotificationSwitch = Integer.parseInt(message.getContent());
                        } catch (Exception e) {
                        }
                        IGetAppNotificationCallBackService getCallBackService = pushService.getPushGetAppNotificationCallBack();
                        if (getCallBackService != null) {
                            getCallBackService.onGetAppNotificationSwitch(message.getResponseCode(), appConfigNotificationSwitch);
                            return;
                        }
                        return;
                    default:
                        return;
                }
            } else {
                pushService.getPushCallback().onUnRegister(message.getResponseCode());
            }
        }
    }
}
