package com.heytap.mcssdk.processor;

import android.app.NotificationManager;
import android.content.Context;
import com.heytap.mcssdk.utils.LogUtil;
import com.heytap.mcssdk.utils.ThreadUtil;
import com.heytap.msp.push.callback.IDataMessageCallBackService;
import com.heytap.msp.push.mode.BaseMode;
import com.heytap.msp.push.mode.DataMessage;
import com.heytap.msp.push.statis.StatisticUtils;
import com.igexin.push.core.b;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DataMessageProcessor implements Processor {
    private static final int IS_REVOKE_COMMAND = 1;

    @Override // com.heytap.mcssdk.processor.Processor
    public void process(final Context context, BaseMode baseMode, final IDataMessageCallBackService IDataMessageCallBackService) {
        if (baseMode != null && baseMode.getType() == 4103) {
            final DataMessage sptMessage = (DataMessage) baseMode;
            if (IDataMessageCallBackService != null) {
                ThreadUtil.executeOnUiThread(new Runnable() {
                    /* class com.heytap.mcssdk.processor.DataMessageProcessor.AnonymousClass1 */

                    public void run() {
                        if (sptMessage.getMsgCommand() == 1) {
                            DataMessageProcessor.this.revokeMessage(context, sptMessage);
                        } else {
                            IDataMessageCallBackService.processMessage(context, sptMessage);
                        }
                    }
                });
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void revokeMessage(Context context, DataMessage message) {
        if (context == null) {
            LogUtil.d("context is null");
            return;
        }
        LogUtil.d("Receive revokeMessage  extra : " + message.getStatisticsExtra() + "notifyId :" + message.getNotifyID() + "messageId : " + message.getTaskID());
        ((NotificationManager) context.getSystemService(b.n)).cancel(message.getNotifyID());
        staticRevokeMessage(context, message);
    }

    private void staticRevokeMessage(Context context, DataMessage message) {
        Map<String, List<DataMessage>> map = new HashMap<>();
        List<DataMessage> list = new ArrayList<>();
        list.add(message);
        map.put(message.getEventId(), list);
        StatisticUtils.statisticEvent(context, map);
    }
}
