package com.heytap.mcssdk.utils;

import android.text.TextUtils;
import com.heytap.mcssdk.base.Base64;
import com.heytap.msp.push.encrypt.AESEncrypt;
import java.io.UnsupportedEncodingException;
import java.nio.charset.Charset;

public class CryptoUtil {
    public static String DES_KEY = "";
    public static final String DES_KEY_BASE64 = "Y29tLm5lYXJtZS5tY3M=";
    public static String mDecryptTag;

    public static byte[] getUTF8Bytes(String string) {
        if (string == null) {
            return new byte[0];
        }
        try {
            return string.getBytes("UTF-8");
        } catch (UnsupportedEncodingException e) {
            return new byte[0];
        }
    }

    public static byte[] swapBytes(byte[] b) {
        int length = b.length % 2 == 0 ? b.length : b.length - 1;
        for (int i = 0; i < length; i += 2) {
            byte tmp = b[i];
            b[i] = b[i + 1];
            b[i + 1] = tmp;
        }
        return b;
    }

    private static String getDesKey() {
        if (TextUtils.isEmpty(DES_KEY)) {
            DES_KEY = new String(Base64.decodeBase64(DES_KEY_BASE64));
        }
        byte[] keyByte = swapBytes(getUTF8Bytes(DES_KEY));
        if (keyByte != null) {
            return new String(keyByte, Charset.forName("UTF-8"));
        }
        return "";
    }

    public static String desDecrypt(String data) {
        String decryptData = "";
        boolean isSuccess = true;
        if (TextUtils.isEmpty(data)) {
            return decryptData;
        }
        try {
            decryptData = DESUtil.decrypt(data, getDesKey());
            LogUtil.d("sdkDecrypt desDecrypt des data " + decryptData);
        } catch (Exception e) {
            LogUtil.d("sdkDecrypt DES excepiton " + e.toString());
            isSuccess = false;
        }
        if (TextUtils.isEmpty(decryptData)) {
            isSuccess = false;
        }
        if (isSuccess) {
            return decryptData;
        }
        try {
            decryptData = AESEncrypt.decrypt(AESEncrypt.SDK_APP_SECRET, data);
            mDecryptTag = "AES";
            SharedPreferenceManager.getInstance().saveDecryptTag(mDecryptTag);
            LogUtil.d("sdkDecrypt desDecrypt aes data " + decryptData);
            return decryptData;
        } catch (Exception e2) {
            LogUtil.d("sdkDecrypt AES excepiton " + e2.toString());
            return decryptData;
        }
    }

    public static String aesDecrypt(String data) {
        String decryptData = "";
        boolean isSuccess = true;
        if (TextUtils.isEmpty(data)) {
            return decryptData;
        }
        try {
            decryptData = AESEncrypt.decrypt(AESEncrypt.SDK_APP_SECRET, data);
            LogUtil.d("sdkDecrypt aesDecrypt aes data " + decryptData);
        } catch (Exception e) {
            LogUtil.d("sdkDecrypt AES excepiton " + e.toString());
            isSuccess = false;
        }
        if (TextUtils.isEmpty(decryptData)) {
            isSuccess = false;
        }
        if (isSuccess) {
            return decryptData;
        }
        try {
            decryptData = DESUtil.decrypt(data, getDesKey());
            mDecryptTag = "DES";
            SharedPreferenceManager.getInstance().saveDecryptTag(mDecryptTag);
            LogUtil.d("sdkDecrypt aesDecrypt des data " + decryptData);
            return decryptData;
        } catch (Exception e2) {
            LogUtil.d("sdkDecrypt DES excepiton " + e2.toString());
            return decryptData;
        }
    }

    public static String sdkDecrypt(String data) {
        LogUtil.d("sdkDecrypt start data " + data);
        if (TextUtils.isEmpty(mDecryptTag)) {
            mDecryptTag = SharedPreferenceManager.getInstance().getDecryptTag();
        }
        if ("DES".equals(mDecryptTag)) {
            LogUtil.d("sdkDecrypt start DES");
            return desDecrypt(data);
        }
        LogUtil.d("sdkDecrypt start AES");
        return aesDecrypt(data);
    }
}
