package com.heytap.mcssdk.utils;

import android.util.Log;

public class LogUtil {
    public static final String TAG = "mcssdk---";
    private static boolean sD = true;
    private static boolean sE = true;
    private static boolean sI = false;
    private static boolean sIsDebug = true;
    private static String sSeparator = "-->";
    private static boolean sV = false;
    private static boolean sW = true;
    private static String special = "MCS";

    public static void e(String tag, Throwable e) {
        if (sE) {
            Log.e(tag, e.toString());
        }
    }

    public static void e(Exception e) {
        if (sE && e != null) {
            Log.e(TAG, e.getMessage());
        }
    }

    public static void v(String tag, String debugInfo) {
        if (sV && sIsDebug) {
            Log.v(tag, special + sSeparator + debugInfo);
        }
    }

    public static void d(String tag, String debugInfo) {
        if (sD && sIsDebug) {
            Log.d(tag, special + sSeparator + debugInfo);
        }
    }

    public static void i(String tag, String debugInfo) {
        if (sI && sIsDebug) {
            Log.i(tag, special + sSeparator + debugInfo);
        }
    }

    public static void w(String tag, String debugInfo) {
        if (sW && sIsDebug) {
            Log.w(tag, special + sSeparator + debugInfo);
        }
    }

    public static void e(String tag, String debugInfo) {
        if (sE && sIsDebug) {
            Log.e(tag, special + sSeparator + debugInfo);
        }
    }

    public static void v(String debugInfo) {
        if (sV && sIsDebug) {
            Log.v(TAG, special + sSeparator + debugInfo);
        }
    }

    public static void d(String debugInfo) {
        if (sD && sIsDebug) {
            Log.d(TAG, special + sSeparator + debugInfo);
        }
    }

    public static void i(String debugInfo) {
        if (sI && sIsDebug) {
            Log.i(TAG, special + sSeparator + debugInfo);
        }
    }

    public static void w(String debugInfo) {
        if (sW && sIsDebug) {
            Log.w(TAG, special + sSeparator + debugInfo);
        }
    }

    public static void e(String debugInfo) {
        if (sE && sIsDebug) {
            Log.e(TAG, special + sSeparator + debugInfo);
        }
    }

    public static String getSpecial() {
        return special;
    }

    public static void setSpecial(String special2) {
        special = special2;
    }

    public static boolean isV() {
        return sV;
    }

    public static void setV(boolean v) {
        sV = v;
    }

    public static boolean isD() {
        return sD;
    }

    public static void setD(boolean d) {
        sD = d;
    }

    public static boolean isI() {
        return sI;
    }

    public static void setI(boolean i) {
        sI = i;
    }

    public static boolean isW() {
        return sW;
    }

    public static void setW(boolean w) {
        sW = w;
    }

    public static boolean isE() {
        return sE;
    }

    public static void setE(boolean e) {
        sE = e;
    }

    public static void setDebugs(boolean b) {
        sIsDebug = b;
        if (b) {
            sV = true;
            sD = true;
            sI = true;
            sW = true;
            sE = true;
            return;
        }
        sV = false;
        sD = false;
        sI = false;
        sW = false;
        sE = false;
    }

    public static boolean isDebugs() {
        return sIsDebug;
    }

    public static String getSeprateor() {
        return sSeparator;
    }

    public static void setSeprateor(String seprateor) {
        sSeparator = seprateor;
    }
}
