package com.heytap.mcssdk.utils;

import android.os.Handler;
import android.os.Looper;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class ThreadUtil {
    private static Handler mainHandler = new Handler(Looper.getMainLooper());
    private static final ExecutorService sFixedThreadExecutor = Executors.newSingleThreadExecutor();

    public static void executeOnBackground(Runnable runnable) {
        sFixedThreadExecutor.execute(runnable);
    }

    public static void executeOnUiThread(Runnable runnable) {
        mainHandler.post(runnable);
    }
}
