package com.heytap.msp.push;

import android.content.Context;
import com.heytap.mcssdk.PushService;
import com.heytap.mcssdk.utils.StatUtil;
import com.heytap.msp.push.callback.ICallBackResultService;
import com.heytap.msp.push.callback.IGetAppNotificationCallBackService;
import com.heytap.msp.push.callback.ISetAppNotificationCallBackService;
import com.heytap.msp.push.mode.DataMessage;
import com.heytap.msp.push.mode.MessageStat;
import com.heytap.msp.push.notification.PushNotificationManager;
import com.heytap.msp.push.statis.StatisticUtils;
import java.util.List;
import org.json.JSONObject;

public class HeytapPushManager {
    public static void init(Context context, boolean needLog) {
        PushService.getInstance().init(context, needLog);
    }

    public static String getMcsPackageName(Context context) {
        return PushService.getInstance().getMcsPackageName(context);
    }

    public static String getReceiveSdkAction(Context context) {
        return PushService.getInstance().getReceiveSdkAction(context);
    }

    public static boolean isSupportPush(Context context) {
        return PushService.getInstance().isSupportPushByClient(context);
    }

    public static void statisticEvent(Context context, String eventId, DataMessage message) {
        StatisticUtils.statisticEvent(context, eventId, message);
    }

    @Deprecated
    public static void statisticMessage(Context context, MessageStat message) {
        StatUtil.statisticMessage(context, message);
    }

    @Deprecated
    public static void statisticMessage(Context context, List<MessageStat> messages) {
        StatUtil.statisticMessage(context, messages);
    }

    public static void setAppKeySecret(String appKey, String appSecret) {
        PushService.getInstance().setAppKeySecret(appKey, appSecret);
    }

    public static String getRegisterID() {
        return PushService.getInstance().getRegisterID();
    }

    public static void setRegisterID(String mRegisterID) {
        PushService.getInstance().setRegisterID(mRegisterID);
    }

    public static ICallBackResultService getPushCallback() {
        return PushService.getInstance().getPushCallback();
    }

    public static void setPushCallback(ICallBackResultService ICallBackResultService) {
        PushService.getInstance().setPushCallback(ICallBackResultService);
    }

    public static void register(Context applicationContext, String appKey, String appSecret, JSONObject extra, ICallBackResultService ICallBackResultService) {
        PushService.getInstance().register(applicationContext, appKey, appSecret, extra, ICallBackResultService);
    }

    public static void register(Context applicationContext, String appKey, String appSecret, ICallBackResultService ICallBackResultService) {
        register(applicationContext, appKey, appSecret, null, ICallBackResultService);
    }

    public static void unRegister(Context applicationContext, String appKey, String appSecret, JSONObject extra, ICallBackResultService ICallBackResultService) {
        PushService.getInstance().unRegister(applicationContext, appKey, appSecret, extra, ICallBackResultService);
    }

    public static void unRegister(JSONObject extra) {
        PushService.getInstance().unRegister(extra);
    }

    public static void unRegister() {
        unRegister(null);
    }

    public static void getRegister(JSONObject extra) {
        PushService.getInstance().getRegister(extra);
    }

    public static void getRegister() {
        getRegister(null);
    }

    public static void pausePush(JSONObject extra) {
        PushService.getInstance().pausePush(extra);
    }

    public static void pausePush() {
        pausePush(null);
    }

    public static void resumePush(JSONObject extra) {
        PushService.getInstance().resumePush(extra);
    }

    public static void resumePush() {
        resumePush(null);
    }

    public static void getNotificationStatus(JSONObject extra) {
        PushService.getInstance().getNotificationStatus(extra);
    }

    public static void getNotificationStatus() {
        getNotificationStatus(null);
    }

    public static void setNotificationType(int notificationType, JSONObject extra) {
        PushService.getInstance().setNotificationType(notificationType, extra);
    }

    public static void setNotificationType(int notificationType) {
        setNotificationType(notificationType, null);
    }

    public static void clearNotificationType(JSONObject extra) {
        PushService.getInstance().clearNotificationType(extra);
    }

    public static void clearNotificationType() {
        clearNotificationType(null);
    }

    public static void openNotificationSettings(JSONObject extra) {
        PushService.getInstance().openNotificationSettings(extra);
    }

    public static void openNotificationSettings() {
        openNotificationSettings(null);
    }

    public static void clearNotifications() {
        clearNotifications(null);
    }

    public static void clearNotifications(JSONObject extra) {
        PushService.getInstance().clearNotifications(extra);
    }

    public static void getPushStatus() {
        PushService.getInstance().getPushStatus();
    }

    public static int getSDKVersionCode() {
        return PushService.getSDKVersionCode();
    }

    public static String getSDKVersionName() {
        return PushService.getSDKVersionName();
    }

    public static String getPushVersionName() {
        return PushService.getInstance().getPushVersionName();
    }

    public static int getPushVersionCode() {
        return PushService.getInstance().getPushVersionCode();
    }

    public static void setPushTime(List<Integer> weekDays, int startHour, int startMin, int endHour, int endMin, JSONObject extra) throws IllegalArgumentException {
        PushService.getInstance().setPushTime(weekDays, startHour, startMin, endHour, endMin, extra);
    }

    public static void setPushTime(List<Integer> weekDays, int startHour, int startMin, int endHour, int endMin) {
        setPushTime(weekDays, startHour, startMin, endHour, endMin, null);
    }

    public static void requestNotificationPermission() {
        PushService.getInstance().requestNotificationPermission();
    }

    public static void enableAppNotificationSwitch(ISetAppNotificationCallBackService callBackService) {
        PushService.getInstance().enableAppNotificationSwitch(callBackService);
    }

    public static void disableAppNotificationSwitch(ISetAppNotificationCallBackService callBackService) {
        PushService.getInstance().disableAppNotificationSwitch(callBackService);
    }

    public static void getAppNotificationSwitch(IGetAppNotificationCallBackService callBackService) {
        PushService.getInstance().getAppNotificationSwitch(callBackService);
    }

    public static PushNotificationManager getPushNotificationManager() {
        return PushNotificationManager.getInstance();
    }

    public static void cancelNotification(JSONObject jsonObject) {
        PushService.getInstance().cancelNotification(jsonObject);
    }
}
