package com.heytap.msp.push.encrypt;

import com.heytap.mcssdk.utils.LogUtil;
import java.security.NoSuchAlgorithmException;
import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

public class AESEncrypt {
    private static final String ALGORITHM = "AES";
    private static final String IV_CONNECT = "%IV1%";
    private static final int KEY_BYTE_SIZE = 256;
    public static final String SDK_APP_SECRET = "isvrbeT7qUywVEZ1Ia0/aUVA/TcFaeV0wC8qFLc8rg4=";
    private static final String TRANSFORMATION = "AES/CTR/NoPadding";

    public static String genKey() throws NoSuchAlgorithmException {
        KeyGenerator kgen = KeyGenerator.getInstance(ALGORITHM);
        kgen.init(256);
        return Base64.encodeBase64String(kgen.generateKey().getEncoded());
    }

    public static String encrypt(String content) {
        try {
            return encrypt(SDK_APP_SECRET, content);
        } catch (Exception e) {
            LogUtil.d(e.getLocalizedMessage());
            return "";
        }
    }

    public static String encrypt(String secretKey, String content) throws Exception {
        SecretKeySpec secretKeySpec = new SecretKeySpec(Base64.decodeBase64(secretKey), ALGORITHM);
        Cipher cipher = Cipher.getInstance(TRANSFORMATION);
        cipher.init(1, secretKeySpec);
        String ivStr = Base64.encodeBase64String(cipher.getIV());
        String enDataStr = Base64.encodeBase64String(cipher.doFinal(content.getBytes()));
        return enDataStr + IV_CONNECT + ivStr;
    }

    public static String decrypt(String secretKey, String content) throws Exception {
        String[] dataIvs = content.split(IV_CONNECT);
        byte[] enData = Base64.decodeBase64(dataIvs[0]);
        byte[] iv = Base64.decodeBase64(dataIvs[1]);
        SecretKeySpec secretKeySpec = new SecretKeySpec(Base64.decodeBase64(secretKey), ALGORITHM);
        Cipher cipher = Cipher.getInstance(TRANSFORMATION);
        cipher.init(2, secretKeySpec, new IvParameterSpec(iv));
        return new String(cipher.doFinal(enData));
    }
}
