package com.heytap.msp.push.notification;

import com.heytap.mcssdk.notification.PushNotificationSortManager;
import com.heytap.msp.push.notification.PushNotification;
import java.util.concurrent.Executor;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class PushNotificationManager {
    private PushNotification.Builder builder;
    private Executor executor;

    public PushNotificationManager with(PushNotification.Builder builder2) {
        this.builder = builder2;
        return this;
    }

    public void execute(ISortListener listener) {
        PushNotificationSortManager.getInstance().startBuild(this.builder, listener);
    }

    public void enqueue(final ISortListener listener) {
        if (this.executor == null) {
            this.executor = new ThreadPoolExecutor(1, 0, 0, TimeUnit.MILLISECONDS, new LinkedBlockingQueue(16), new ThreadPoolExecutor.DiscardPolicy());
        }
        this.executor.execute(new Runnable() {
            /* class com.heytap.msp.push.notification.PushNotificationManager.AnonymousClass1 */

            public void run() {
                PushNotificationSortManager.getInstance().startBuild(PushNotificationManager.this.builder, listener);
            }
        });
    }

    public static PushNotificationManager getInstance() {
        return SingletonHolder.INSTANCE;
    }

    /* access modifiers changed from: private */
    public static class SingletonHolder {
        private static final PushNotificationManager INSTANCE = new PushNotificationManager();

        private SingletonHolder() {
        }
    }
}
