package com.seu.magicfilter.advanced;

import android.opengl.GLES20;
import com.seu.magicfilter.base.gpuimage.GPUImageFilter;
import com.seu.magicfilter.utils.MagicFilterType;
import io.dcloud.feature.livepusher.R;

public class MagicCrayonFilter extends GPUImageFilter {
    private int mSingleStepOffsetLocation;
    private int mStrengthLocation;

    public MagicCrayonFilter() {
        super(MagicFilterType.CRAYON, R.raw.crayon);
    }

    /* access modifiers changed from: protected */
    @Override // com.seu.magicfilter.base.gpuimage.GPUImageFilter
    public void onInit() {
        super.onInit();
        this.mSingleStepOffsetLocation = GLES20.glGetUniformLocation(getProgram(), "singleStepOffset");
        int glGetUniformLocation = GLES20.glGetUniformLocation(getProgram(), "strength");
        this.mStrengthLocation = glGetUniformLocation;
        setFloat(glGetUniformLocation, 2.0f);
    }

    /* access modifiers changed from: protected */
    @Override // com.seu.magicfilter.base.gpuimage.GPUImageFilter
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    @Override // com.seu.magicfilter.base.gpuimage.GPUImageFilter
    public void onInitialized() {
        super.onInitialized();
        setFloat(this.mStrengthLocation, 0.5f);
    }

    @Override // com.seu.magicfilter.base.gpuimage.GPUImageFilter
    public void onInputSizeChanged(int width, int height) {
        setFloatVec2(this.mSingleStepOffsetLocation, new float[]{1.0f / ((float) width), 1.0f / ((float) height)});
    }
}
