package com.seu.magicfilter.advanced;

import com.seu.magicfilter.base.MagicBaseGroupFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageBrightnessFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageContrastFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageExposureFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageHueFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageSaturationFilter;
import com.seu.magicfilter.base.gpuimage.GPUImageSharpenFilter;
import java.util.ArrayList;
import java.util.List;

public class MagicImageAdjustFilter extends MagicBaseGroupFilter {
    public MagicImageAdjustFilter() {
        super(initFilters());
    }

    private static List<GPUImageFilter> initFilters() {
        List<GPUImageFilter> filters = new ArrayList<>();
        filters.add(new GPUImageContrastFilter());
        filters.add(new GPUImageBrightnessFilter());
        filters.add(new GPUImageExposureFilter());
        filters.add(new GPUImageHueFilter());
        filters.add(new GPUImageSaturationFilter());
        filters.add(new GPUImageSharpenFilter());
        return filters;
    }

    public void setSharpness(float range) {
        ((GPUImageSharpenFilter) this.filters.get(5)).setSharpness(range);
    }

    public void setHue(float range) {
        ((GPUImageHueFilter) this.filters.get(3)).setHue(range);
    }

    public void setBrightness(float range) {
        ((GPUImageBrightnessFilter) this.filters.get(1)).setBrightness(range);
    }

    public void setContrast(float range) {
        ((GPUImageContrastFilter) this.filters.get(0)).setContrast(range);
    }

    public void setSaturation(float range) {
        ((GPUImageSaturationFilter) this.filters.get(4)).setSaturation(range);
    }

    public void setExposure(float range) {
        ((GPUImageExposureFilter) this.filters.get(2)).setExposure(range);
    }
}
