package com.taobao.gcanvas.bridges.weex;

import android.content.Context;
import android.view.MotionEvent;
import com.taobao.gcanvas.surface.GTextureView;
import com.taobao.weex.ui.view.gesture.WXGesture;
import com.taobao.weex.ui.view.gesture.WXGestureObservable;

public class GWXTextureView extends GTextureView implements WXGestureObservable {
    private WXGCanvasWeexComponent wxComponent;
    private WXGesture wxGesture;

    public GWXTextureView(Context context, WXGCanvasWeexComponent component) {
        super(context, component.getRef());
        this.wxComponent = component;
    }

    @Override // com.taobao.weex.ui.view.gesture.WXGestureObservable
    public void registerGestureListener(WXGesture wxGesture2) {
        this.wxGesture = wxGesture2;
    }

    @Override // com.taobao.weex.ui.view.gesture.WXGestureObservable
    public WXGesture getGestureListener() {
        return null;
    }

    public boolean onTouchEvent(MotionEvent event) {
        boolean result = super.onTouchEvent(event);
        WXGesture wXGesture = this.wxGesture;
        if (wXGesture != null) {
            return result | wXGesture.onTouch(this, event);
        }
        return result;
    }

    @Override // com.taobao.gcanvas.surface.GTextureView
    public void sendEvent() {
        WXGCanvasWeexComponent wXGCanvasWeexComponent = this.wxComponent;
        if (wXGCanvasWeexComponent != null) {
            wXGCanvasWeexComponent.sendEvent();
        }
    }
}
