package com.taobao.gcanvas.bridges.weex.bridge;

import com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray;
import com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap;
import com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackType;
import org.json.JSONArray;
import org.json.JSONException;

public class WeexJSCallbackArray extends JSONArray implements IJSCallbackArray {
    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public int size() {
        return length();
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public boolean isNull(int index) {
        return opt(index) == null;
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray, org.json.JSONArray
    public boolean getBoolean(int index) {
        return optBoolean(index, false);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray, org.json.JSONArray
    public double getDouble(int index) {
        return optDouble(index);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray, org.json.JSONArray
    public int getInt(int index) {
        return optInt(index);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray, org.json.JSONArray
    public String getString(int index) {
        return optString(index);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public IJSCallbackArray getArray(int index) {
        return (IJSCallbackArray) opt(index);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public IJSCallbackMap getMap(int index) {
        return (IJSCallbackMap) opt(index);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public IJSCallbackType getType(int index) {
        Object object = opt(index);
        if (object == null) {
            return IJSCallbackType.Null;
        }
        if (object instanceof Boolean) {
            return IJSCallbackType.Boolean;
        }
        if ((object instanceof Double) || (object instanceof Float) || (object instanceof Integer)) {
            return IJSCallbackType.Number;
        }
        if (object instanceof String) {
            return IJSCallbackType.String;
        }
        if (object instanceof IJSCallbackArray) {
            return IJSCallbackType.Array;
        }
        if (object instanceof IJSCallbackMap) {
            return IJSCallbackType.Map;
        }
        return null;
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushNull() {
        put((Object) null);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushBoolean(boolean value) {
        put(value);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushDouble(double value) {
        try {
            put(value);
        } catch (JSONException e) {
        }
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushInt(int value) {
        put(value);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushString(String value) {
        put(value);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushArray(IJSCallbackArray array) {
        put(array);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray
    public void pushMap(IJSCallbackMap map) {
        put(map);
    }
}
