package com.taobao.gcanvas.bridges.weex.bridge;

import com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackArray;
import com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap;
import com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackType;
import java.util.HashMap;
import java.util.Iterator;

public class WeexJSCallbackMap extends HashMap implements IJSCallbackMap {
    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public boolean hasKey(String name) {
        return containsKey(name);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public boolean isNull(String name) {
        return get(name) == null;
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public boolean getBoolean(String name) {
        return ((Boolean) get(name)).booleanValue();
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public double getDouble(String name) {
        return ((Double) get(name)).doubleValue();
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public int getInt(String name) {
        return ((Integer) get(name)).intValue();
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public String getString(String name) {
        return String.valueOf(get(name));
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public IJSCallbackArray getArray(String name) {
        return (IJSCallbackArray) get(name);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public IJSCallbackMap getMap(String name) {
        return (IJSCallbackMap) get(name);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public IJSCallbackType getType(String name) {
        Object value = get(name);
        if (value == null) {
            return IJSCallbackType.Null;
        }
        if (value instanceof Number) {
            return IJSCallbackType.Number;
        }
        if (value instanceof String) {
            return IJSCallbackType.String;
        }
        if (value instanceof Boolean) {
            return IJSCallbackType.Boolean;
        }
        if (value instanceof IJSCallbackMap) {
            return IJSCallbackType.Map;
        }
        if (value instanceof IJSCallbackArray) {
            return IJSCallbackType.Array;
        }
        throw new IllegalArgumentException("Invalid value " + value.toString() + " for key " + name + "contained in JavaOnlyMap");
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public IJSCallbackMap.IJSCallbackMapKeySetIterator keySetIterator() {
        return new IJSCallbackMap.IJSCallbackMapKeySetIterator() {
            /* class com.taobao.gcanvas.bridges.weex.bridge.WeexJSCallbackMap.AnonymousClass1 */
            Iterator<String> mIterator = WeexJSCallbackMap.this.keySet().iterator();

            @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap.IJSCallbackMapKeySetIterator
            public boolean hasNextKey() {
                return this.mIterator.hasNext();
            }

            @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap.IJSCallbackMapKeySetIterator
            public String nextKey() {
                return this.mIterator.next();
            }
        };
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putNull(String key) {
        put(key, null);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putBoolean(String key, boolean value) {
        put(key, Boolean.valueOf(value));
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putDouble(String key, double value) {
        put(key, Double.valueOf(value));
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putInt(String key, int value) {
        put(key, Integer.valueOf(value));
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putString(String key, String value) {
        put(key, value);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putArray(String key, IJSCallbackArray value) {
        put(key, value);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void putMap(String key, IJSCallbackMap value) {
        put(key, value);
    }

    @Override // com.taobao.gcanvas.bridges.spec.bridge.IJSCallbackMap
    public void merge(IJSCallbackMap source) {
        if (source instanceof WeexJSCallbackMap) {
            putAll((WeexJSCallbackMap) source);
        }
    }
}
