package com.taobao.gcanvas.util;

import android.util.Log;
import com.taobao.gcanvas.GCanvas;
import com.taobao.weex.common.Constants;
import io.dcloud.common.constant.AbsoluteConst;
import org.json.JSONArray;
import org.json.JSONException;

public class GCanvasHelper {
    public static JSONArray argsToJsonArray(String command, String params) {
        try {
            if (params.equals("{}")) {
                return new JSONArray();
            }
            if (params.startsWith("\"") && params.endsWith("\"")) {
                JSONArray args = new JSONArray();
                args.put(params.substring(1, params.length() - 1));
                return args;
            } else if (!command.equals(AbsoluteConst.JSON_KEY_RENDER) || !params.startsWith("[\"")) {
                return new JSONArray(params);
            } else {
                JSONArray args2 = new JSONArray();
                args2.put(params.substring(2, params.length() - 2));
                return args2;
            }
        } catch (JSONException e) {
            Log.w("GCANVAS", "fail to parse params:" + params);
            return new JSONArray();
        }
    }

    public static GCanvas.ViewMode parseViewModeString(String mode) {
        if (mode == null) {
            return GCanvas.DEFAULT_VIEW_MODE;
        }
        if (mode.equals("hybrid")) {
            return GCanvas.ViewMode.HYBRID_MODE;
        }
        if (mode.equals("default")) {
            return GCanvas.DEFAULT_VIEW_MODE;
        }
        if (mode.equals("canvas")) {
            return GCanvas.ViewMode.SINGLE_CANVAS_MODE;
        }
        if (mode.equals(Constants.Name.Recycler.LIST_DATA_TEMPLATE_SWITCH_KEY)) {
            return GCanvas.ViewMode.SWITCH_MODE;
        }
        if (mode.equals("float")) {
            return GCanvas.ViewMode.FLOAT_HYBRID_MODE;
        }
        GLog.w(GLog.TAG, "cannot parse the view mode, mode:" + mode);
        return GCanvas.DEFAULT_VIEW_MODE;
    }
}
