package com.taobao.gcanvas.util;

import android.util.Log;
import com.taobao.gcanvas.GCanvasJNI;
import io.dcloud.common.constant.AbsoluteConst;

public class GLog {
    public static final int LEVEL_ASSERT = 7;
    public static final int LEVEL_DEBUG = 3;
    public static final int LEVEL_ERROR = 6;
    public static final int LEVEL_FORCE = 0;
    public static final int LEVEL_INFO = 4;
    public static final int LEVEL_NULL = 9;
    public static final int LEVEL_VERBOSE = 2;
    public static final int LEVEL_WARN = 5;
    public static final String TAG = "CANVAS";
    public static int logLevel = 4;

    public static void setLevel(String level) {
        if (level != null) {
            if (level.equals(AbsoluteConst.INSTALL_OPTIONS_FORCE)) {
                logLevel = 0;
            } else if (level.equals("debug")) {
                logLevel = 3;
            } else if (level.equals("info")) {
                logLevel = 4;
            } else if (level.equals("warn")) {
                logLevel = 5;
            } else if (level.equals("error")) {
                logLevel = 6;
            } else if (level.equals("fatal")) {
                logLevel = 7;
            }
            GCanvasJNI.setLogLevel(level);
        }
    }

    public static int getLevel() {
        return logLevel;
    }

    public static void force(String Tag, String message) {
        Log.e(Tag, message);
    }

    public static void i(String message) {
        i(TAG, message);
    }

    public static void i(String Tag, String message) {
        int i = logLevel;
        if (i == 0) {
            force(Tag, message);
        } else if (i <= 4) {
            Log.i(Tag, message);
        }
    }

    public static void i(String Tag, String message, Throwable e) {
        if (logLevel <= 4) {
            Log.i(Tag, message, e);
        }
    }

    public static void d(String message) {
        d(TAG, message);
    }

    public static void d(String Tag, String message) {
        int i = logLevel;
        if (i == 0) {
            force(Tag, message);
        } else if (i <= 3) {
            Log.i(Tag, message);
        }
    }

    public static void d(String Tag, String message, Throwable e) {
        if (logLevel <= 3) {
            Log.i(Tag, message, e);
        }
    }

    public static void e(String message) {
        e(TAG, message);
    }

    public static void e(String Tag, String message) {
        if (logLevel <= 6) {
            Log.e(Tag, message);
        }
    }

    public static void e(String Tag, String message, Throwable e) {
        if (logLevel <= 6) {
            Log.e(Tag, message, e);
        }
    }

    public static void w(String message) {
        w(TAG, message);
    }

    public static void w(String Tag, String message) {
        int i = logLevel;
        if (i == 0) {
            force(Tag, message);
        } else if (i <= 5) {
            Log.w(Tag, message);
        }
    }

    public static void w(String Tag, String message, Throwable e) {
        if (logLevel <= 5) {
            Log.w(Tag, message, e);
        }
    }

    public static void v(String message) {
        v(TAG, message);
    }

    public static void v(String Tag, String message) {
        int i = logLevel;
        if (i == 0) {
            force(Tag, message);
        } else if (i <= 2) {
            Log.v(Tag, message);
        }
    }

    public static void v(String Tag, String message, Throwable e) {
        if (logLevel <= 2) {
            Log.v(Tag, message, e);
        }
    }
}
