package com.taobao.weex;

import com.taobao.weex.adapter.ClassLoaderAdapter;
import com.taobao.weex.adapter.IDrawableLoader;
import com.taobao.weex.adapter.IWXHttpAdapter;
import com.taobao.weex.adapter.IWXImgLoaderAdapter;
import com.taobao.weex.adapter.IWXJSExceptionAdapter;
import com.taobao.weex.adapter.IWXJsFileLoaderAdapter;
import com.taobao.weex.adapter.IWXJscProcessManager;
import com.taobao.weex.adapter.IWXSoLoaderAdapter;
import com.taobao.weex.adapter.IWXUserTrackAdapter;
import com.taobao.weex.adapter.URIAdapter;
import com.taobao.weex.appfram.storage.IWXStorageAdapter;
import com.taobao.weex.appfram.websocket.IWebSocketAdapterFactory;
import com.taobao.weex.bridge.IDCVueBridgeAdapter;
import com.taobao.weex.performance.IApmGenerator;
import java.util.LinkedList;
import java.util.List;

public class InitConfig {
    private IApmGenerator apmGenerater;
    private ClassLoaderAdapter classLoaderAdapter;
    private IDrawableLoader drawableLoader;
    private String framework;
    private IWXHttpAdapter httpAdapter;
    private IWXImgLoaderAdapter imgAdapter;
    private IWXJsFileLoaderAdapter jsFileLoaderAdapter;
    private IWXJscProcessManager jscProcessManager;
    private IWXJSExceptionAdapter mJSExceptionAdapter;
    private URIAdapter mURIAdapter;
    private IDCVueBridgeAdapter mVueBridgeAdaper;
    private List<String> nativeLibraryList;
    private IWXSoLoaderAdapter soLoader;
    private IWXStorageAdapter storageAdapter;
    private IWXUserTrackAdapter utAdapter;
    private IWebSocketAdapterFactory webSocketAdapterFactory;

    public IWXHttpAdapter getHttpAdapter() {
        return this.httpAdapter;
    }

    public IWXImgLoaderAdapter getImgAdapter() {
        return this.imgAdapter;
    }

    public IDrawableLoader getDrawableLoader() {
        return this.drawableLoader;
    }

    public IWXUserTrackAdapter getUtAdapter() {
        return this.utAdapter;
    }

    public IWXSoLoaderAdapter getIWXSoLoaderAdapter() {
        return this.soLoader;
    }

    public String getFramework() {
        return this.framework;
    }

    public IWXStorageAdapter getStorageAdapter() {
        return this.storageAdapter;
    }

    public URIAdapter getURIAdapter() {
        return this.mURIAdapter;
    }

    public IDCVueBridgeAdapter getVueBridgeAdaper() {
        return this.mVueBridgeAdaper;
    }

    public IWebSocketAdapterFactory getWebSocketAdapterFactory() {
        return this.webSocketAdapterFactory;
    }

    public ClassLoaderAdapter getClassLoaderAdapter() {
        return this.classLoaderAdapter;
    }

    public IApmGenerator getApmGenerater() {
        return this.apmGenerater;
    }

    public IWXJsFileLoaderAdapter getJsFileLoaderAdapter() {
        return this.jsFileLoaderAdapter;
    }

    public InitConfig setClassLoaderAdapter(ClassLoaderAdapter classLoaderAdapter2) {
        this.classLoaderAdapter = classLoaderAdapter2;
        return this;
    }

    public IWXJSExceptionAdapter getJSExceptionAdapter() {
        return this.mJSExceptionAdapter;
    }

    public IWXJscProcessManager getJscProcessManager() {
        return this.jscProcessManager;
    }

    /* access modifiers changed from: package-private */
    public Iterable<String> getNativeLibraryList() {
        if (this.nativeLibraryList == null) {
            this.nativeLibraryList = new LinkedList();
        }
        return this.nativeLibraryList;
    }

    private InitConfig() {
    }

    public static class Builder {
        IApmGenerator apmGenerater;
        ClassLoaderAdapter classLoaderAdapter;
        IDrawableLoader drawableLoader;
        String framework;
        IWXHttpAdapter httpAdapter;
        IWXImgLoaderAdapter imgAdapter;
        private IWXJsFileLoaderAdapter jsFileLoaderAdapter;
        IWXJscProcessManager jscProcessManager;
        IWXJSExceptionAdapter mJSExceptionAdapter;
        URIAdapter mURIAdapter;
        IDCVueBridgeAdapter mVueBridgeAdapter;
        private List<String> nativeLibraryList = new LinkedList();
        IWXSoLoaderAdapter soLoader;
        IWXStorageAdapter storageAdapter;
        IWXUserTrackAdapter utAdapter;
        IWebSocketAdapterFactory webSocketAdapterFactory;

        public IWXJscProcessManager getJscProcessManager() {
            return this.jscProcessManager;
        }

        public Builder setJscProcessManager(IWXJscProcessManager jscProcessManager2) {
            this.jscProcessManager = jscProcessManager2;
            return this;
        }

        public Builder setHttpAdapter(IWXHttpAdapter httpAdapter2) {
            this.httpAdapter = httpAdapter2;
            return this;
        }

        public Builder setImgAdapter(IWXImgLoaderAdapter imgAdapter2) {
            this.imgAdapter = imgAdapter2;
            return this;
        }

        public Builder setDrawableLoader(IDrawableLoader drawableLoader2) {
            this.drawableLoader = drawableLoader2;
            return this;
        }

        public Builder setUtAdapter(IWXUserTrackAdapter utAdapter2) {
            this.utAdapter = utAdapter2;
            return this;
        }

        public Builder setStorageAdapter(IWXStorageAdapter storageAdapter2) {
            this.storageAdapter = storageAdapter2;
            return this;
        }

        public Builder setURIAdapter(URIAdapter URIAdapter) {
            this.mURIAdapter = URIAdapter;
            return this;
        }

        public Builder setDCVueBridgeAdapter(IDCVueBridgeAdapter vueBridgeAdapter) {
            this.mVueBridgeAdapter = vueBridgeAdapter;
            return this;
        }

        public Builder setJSExceptionAdapter(IWXJSExceptionAdapter JSExceptionAdapter) {
            this.mJSExceptionAdapter = JSExceptionAdapter;
            return this;
        }

        public Builder setSoLoader(IWXSoLoaderAdapter loader) {
            this.soLoader = loader;
            return this;
        }

        public Builder setFramework(String framework2) {
            this.framework = framework2;
            return this;
        }

        public Builder setWebSocketAdapterFactory(IWebSocketAdapterFactory factory) {
            this.webSocketAdapterFactory = factory;
            return this;
        }

        public Builder setClassLoaderAdapter(ClassLoaderAdapter classLoaderAdapter2) {
            this.classLoaderAdapter = classLoaderAdapter2;
            return this;
        }

        public Builder setApmGenerater(IApmGenerator apmGenerater2) {
            this.apmGenerater = apmGenerater2;
            return this;
        }

        public Builder setJsFileLoaderAdapter(IWXJsFileLoaderAdapter jsFileLoaderAdapter2) {
            this.jsFileLoaderAdapter = jsFileLoaderAdapter2;
            return this;
        }

        public Builder addNativeLibrary(String name) {
            this.nativeLibraryList.add(name);
            return this;
        }

        public InitConfig build() {
            InitConfig config = new InitConfig();
            config.httpAdapter = this.httpAdapter;
            config.imgAdapter = this.imgAdapter;
            config.drawableLoader = this.drawableLoader;
            config.utAdapter = this.utAdapter;
            config.storageAdapter = this.storageAdapter;
            config.soLoader = this.soLoader;
            config.framework = this.framework;
            config.mURIAdapter = this.mURIAdapter;
            config.mVueBridgeAdaper = this.mVueBridgeAdapter;
            config.webSocketAdapterFactory = this.webSocketAdapterFactory;
            config.mJSExceptionAdapter = this.mJSExceptionAdapter;
            config.classLoaderAdapter = this.classLoaderAdapter;
            config.apmGenerater = this.apmGenerater;
            config.jsFileLoaderAdapter = this.jsFileLoaderAdapter;
            config.jscProcessManager = this.jscProcessManager;
            config.nativeLibraryList = this.nativeLibraryList;
            return config;
        }
    }
}
