package com.taobao.weex;

import android.app.Application;
import android.content.Context;
import android.content.SharedPreferences;
import android.graphics.Typeface;
import android.os.Build;
import android.os.Environment;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import com.taobao.weex.common.Constants;
import com.taobao.weex.common.WXConfig;
import com.taobao.weex.utils.FontDO;
import com.taobao.weex.utils.LogLevel;
import com.taobao.weex.utils.TypefaceUtil;
import com.taobao.weex.utils.WXFileUtils;
import com.taobao.weex.utils.WXLogUtils;
import com.taobao.weex.utils.WXSoInstallMgrSdk;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import dalvik.system.PathClassLoader;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.feature.uniapp.utils.AbsLogLevel;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class WXEnvironment {
    public static boolean AUTO_ADJUST_ENV_DEVICE_WIDTH = true;
    public static boolean AUTO_UPDATE_APPLICATION_SCREEN_SIZE = true;
    private static String COPY_SO_DES_DIR = null;
    public static final String CORE_JSB_SO_NAME = "weexjsb";
    public static String CORE_JSB_SO_PATH = null;
    public static final String CORE_JSC_SO_NAME = "jsc";
    private static String CORE_JSC_SO_PATH = null;
    private static String CORE_JSS_ICU_PATH = null;
    public static String CORE_JSS_RUNTIME_SO_PATH = null;
    public static final String CORE_JSS_SO_NAME = "weexjss";
    private static String CORE_JSS_SO_PATH = null;
    public static final String CORE_JST_SO_NAME = "weexjst";
    public static final String CORE_SO_NAME = "weexcore";
    public static final String DEV_Id = getDevId();
    public static final String EAGLE = "eagle";
    public static final String ENVIRONMENT = "environment";
    public static String JS_LIB_SDK_VERSION = BuildConfig.buildJavascriptFrameworkVersion;
    public static volatile boolean JsFrameworkInit = false;
    private static String LIB_LD_PATH = null;
    public static final String OS = "android";
    public static final String SETTING_EXCLUDE_X86SUPPORT = "env_exclude_x86";
    public static boolean SETTING_FORCE_VERTICAL_SCREEN = false;
    public static final String SYS_MODEL = Build.MODEL;
    public static String SYS_VERSION = null;
    public static final String WEEX_CURRENT_KEY = "wx_current_url";
    public static String WXSDK_VERSION = BuildConfig.buildVersion;
    private static boolean isApkDebug = true;
    public static boolean isPerf = false;
    public static volatile boolean isWsFixMode = true;
    private static float mViewProt = 750.0f;
    private static WXDefaultSettings mWXDefaultSettings = null;
    private static boolean openDebugLog = true;
    private static Map<String, String> options = null;
    public static Application sApplication = null;
    public static long sComponentsAndModulesReadyTime = 0;
    private static boolean sDebugFlagInit = false;
    public static boolean sDebugMode = false;
    public static boolean sDebugNetworkEventReporterEnable = false;
    public static boolean sDebugServerConnectable = false;
    public static String sDebugWsUrl = "";
    @Deprecated
    public static int sDefaultWidth = 750;
    public static boolean sDynamicMode = false;
    public static String sDynamicUrl = "";
    public static final boolean sForceEnableDevTool = true;
    private static String sGlobalFontFamily;
    public static boolean sInAliWeex = false;
    public static long sJSFMStartListenerTime = 0;
    public static long sJSLibInitTime = 0;
    public static AbsLogLevel sLogLevel = LogLevel.DEBUG;
    public static boolean sRemoteDebugMode = false;
    public static String sRemoteDebugProxyUrl = "";
    public static long sSDKInitExecuteTime = 0;
    public static long sSDKInitInvokeTime = 0;
    public static long sSDKInitStart = 0;
    public static long sSDKInitTime = 0;
    public static volatile boolean sUseRunTimeApi = false;

    static {
        String str = Build.VERSION.RELEASE;
        SYS_VERSION = str;
        if (str != null && str.toUpperCase(Locale.ROOT).equals("P")) {
            SYS_VERSION = "9.0.0";
        }
        String str2 = SYS_VERSION;
        if (str2 != null && str2.toUpperCase(Locale.ROOT).equals("Q")) {
            SYS_VERSION = "10.0.0";
        }
        ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap();
        options = concurrentHashMap;
        concurrentHashMap.put("os", OS);
        options.put(WXConfig.osName, OS);
    }

    public static float getViewProt() {
        return mViewProt;
    }

    public static void setViewProt(float mViewProt2) {
        mViewProt = mViewProt2;
    }

    public static synchronized WXDefaultSettings getWXDefaultSettings() {
        WXDefaultSettings wXDefaultSettings;
        synchronized (WXEnvironment.class) {
            if (mWXDefaultSettings == null && getApplication() != null) {
                mWXDefaultSettings = new WXDefaultSettings(getApplication());
            }
            wXDefaultSettings = mWXDefaultSettings;
        }
        return wXDefaultSettings;
    }

    public static synchronized String getDefaultSettingValue(String key, String defaultValue) {
        synchronized (WXEnvironment.class) {
            WXDefaultSettings wxDefaultSettings = getWXDefaultSettings();
            if (wxDefaultSettings != null) {
                if (!TextUtils.isEmpty(key)) {
                    return wxDefaultSettings.getValue(key, defaultValue);
                }
            }
            return defaultValue;
        }
    }

    public static synchronized void writeDefaultSettingsValue(String key, String value) {
        synchronized (WXEnvironment.class) {
            WXDefaultSettings wxDefaultSettings = getWXDefaultSettings();
            if (wxDefaultSettings != null && !TextUtils.isEmpty(key)) {
                if (!TextUtils.isEmpty(value)) {
                    wxDefaultSettings.saveValue(key, value);
                }
            }
        }
    }

    public static Map<String, String> getConfig() {
        Application application;
        String str;
        Map<String, String> configs = new HashMap<>();
        configs.put("os", OS);
        configs.put(WXConfig.appVersion, getAppVersionName());
        configs.put(WXConfig.cacheDir, getAppCacheFile());
        configs.put(WXConfig.devId, DEV_Id);
        configs.put(WXConfig.sysVersion, SYS_VERSION);
        configs.put(WXConfig.sysModel, SYS_MODEL);
        configs.put(WXConfig.weexVersion, String.valueOf(WXSDK_VERSION));
        if (sRemoteDebugMode) {
            configs.put(WXConfig.logLevel, "log");
        } else {
            configs.put(WXConfig.logLevel, sLogLevel.getName());
        }
        try {
            if (isLayoutDirectionRTL()) {
                str = Constants.Name.RTL;
            } else {
                str = "ltr";
            }
            configs.put(WXConfig.layoutDirection, str);
        } catch (Exception e) {
            configs.put(WXConfig.layoutDirection, "ltr");
        }
        try {
            if (isApkDebugable()) {
                addCustomOptions(WXConfig.debugMode, AbsoluteConst.TRUE);
            }
            addCustomOptions("scale", Float.toString(sApplication.getResources().getDisplayMetrics().density));
            addCustomOptions(WXConfig.androidStatusBarHeight, Float.toString((float) WXViewUtils.getStatusBarHeight(sApplication)));
        } catch (NullPointerException e2) {
            WXLogUtils.e("WXEnvironment scale Exception: ", e2);
        }
        configs.putAll(getCustomOptions());
        if (configs.get("appName") == null && (application = sApplication) != null) {
            configs.put("appName", application.getPackageName());
        }
        return configs;
    }

    public static String getAppVersionName() {
        try {
            return sApplication.getPackageManager().getPackageInfo(sApplication.getPackageName(), 0).versionName;
        } catch (Exception e) {
            WXLogUtils.e("WXEnvironment getAppVersionName Exception: ", e);
            return "";
        }
    }

    private static String getAppCacheFile() {
        try {
            return sApplication.getApplicationContext().getCacheDir().getPath();
        } catch (Exception e) {
            WXLogUtils.e("WXEnvironment getAppCacheFile Exception: ", e);
            return "";
        }
    }

    @Deprecated
    public static Map<String, String> getCustomOptions() {
        return options;
    }

    public static void addCustomOptions(String key, String value) {
        options.put(key, value);
    }

    public static String getCustomOptions(String key) {
        return options.get(key);
    }

    public static String copySoDesDir() {
        File desDir;
        try {
            if (TextUtils.isEmpty(COPY_SO_DES_DIR)) {
                if (sApplication == null) {
                    WXLogUtils.e("sApplication is null, so copy path will be null");
                    return null;
                }
                String cachePath = getApplication().getApplicationContext().getCacheDir().getPath();
                if (!TextUtils.isEmpty(cachePath)) {
                    desDir = new File(cachePath, "/cache/weex/libs");
                } else {
                    String pkgName = sApplication.getPackageName();
                    desDir = new File("/data/data/" + pkgName + "/cache/weex/libs");
                }
                if (!desDir.exists()) {
                    desDir.mkdirs();
                }
                COPY_SO_DES_DIR = desDir.getAbsolutePath();
            }
        } catch (Throwable e) {
            WXLogUtils.e(WXLogUtils.getStackTrace(e));
        }
        return COPY_SO_DES_DIR;
    }

    @Deprecated
    public static boolean isSupport() {
        boolean isInitialized = WXSDKEngine.isInitialized();
        if (!isInitialized) {
            WXLogUtils.e("WXSDKEngine.isInitialized():" + isInitialized);
        }
        return isHardwareSupport() && isInitialized;
    }

    public static boolean isLayoutDirectionRTL() {
        if (Build.VERSION.SDK_INT >= 17) {
            return sApplication.getApplicationContext().getResources().getBoolean(R.bool.weex_is_right_to_left);
        }
        return false;
    }

    @Deprecated
    public static boolean isHardwareSupport() {
        if (isApkDebugable()) {
            WXLogUtils.d("isTableDevice:" + WXUtils.isTabletDevice());
        }
        return isCPUSupport();
    }

    public static boolean isCPUSupport() {
        boolean isCPUSupport = true;
        boolean isX86AndExcluded = WXSoInstallMgrSdk.isX86() && AbsoluteConst.TRUE.equals(getCustomOptions().get(SETTING_EXCLUDE_X86SUPPORT));
        if (!WXSoInstallMgrSdk.isCPUSupport() || isX86AndExcluded) {
            isCPUSupport = false;
        }
        if (isApkDebugable()) {
            WXLogUtils.d("WXEnvironment.sSupport:" + isCPUSupport + "isX86AndExclueded: " + isX86AndExcluded);
        }
        return isCPUSupport;
    }

    public static boolean isApkDebugable() {
        return isApkDebugable(sApplication);
    }

    public static boolean isApkDebugable(Application application) {
        if (application == null || isPerf) {
            return false;
        }
        if (sDebugFlagInit) {
            return isApkDebug;
        }
        if (!isApkDebug && BaseInfo.SyncDebug) {
            isApkDebug = true;
        } else if (isApkDebug && !BaseInfo.SyncDebug) {
            isApkDebug = false;
        }
        sDebugFlagInit = true;
        return isApkDebug;
    }

    public static boolean isPerf() {
        return isPerf;
    }

    private static String getDevId() {
        Application application = sApplication;
        if (application == null) {
            return "";
        }
        try {
            return ((TelephonyManager) application.getSystemService("phone")).getDeviceId();
        } catch (NullPointerException | SecurityException e) {
            WXLogUtils.e(WXLogUtils.getStackTrace(e));
            return "";
        }
    }

    public static Application getApplication() {
        return sApplication;
    }

    public void initMetrics() {
        if (sApplication != null) {
        }
    }

    public static String getDiskCacheDir(Context context) {
        if (context == null) {
            return null;
        }
        try {
            if (!"mounted".equals(Environment.getExternalStorageState())) {
                if (Environment.isExternalStorageRemovable()) {
                    return context.getCacheDir().getPath();
                }
            }
            return context.getExternalCacheDir().getPath();
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String getFilesDir(Context context) {
        if (context == null) {
            return "";
        }
        File filesDir = context.getFilesDir();
        if (filesDir != null) {
            return filesDir.getPath();
        }
        return (getApplication().getApplicationInfo().dataDir + File.separator) + "files";
    }

    public static String getCrashFilePath(Context context) {
        File dir;
        if (context == null || (dir = context.getDir(IApp.ConfigProperty.CONFIG_CRASH, 0)) == null) {
            return "";
        }
        return dir.getAbsolutePath();
    }

    public static String getGlobalFontFamilyName() {
        return sGlobalFontFamily;
    }

    public static void setGlobalFontFamily(String fontFamilyName, Typeface typeface) {
        WXLogUtils.d("GlobalFontFamily", "Set global font family: " + fontFamilyName);
        sGlobalFontFamily = fontFamilyName;
        if (TextUtils.isEmpty(fontFamilyName)) {
            return;
        }
        if (typeface == null) {
            TypefaceUtil.removeFontDO(fontFamilyName);
            return;
        }
        TypefaceUtil.putFontDO(new FontDO(fontFamilyName, typeface));
        WXLogUtils.d("TypefaceUtil", "Add new font: " + fontFamilyName);
    }

    public static boolean isOpenDebugLog() {
        return openDebugLog;
    }

    public static void setOpenDebugLog(boolean openDebugLog2) {
        openDebugLog = openDebugLog2;
    }

    public static void setApkDebugable(boolean debugable) {
        isApkDebug = debugable;
        if (!debugable) {
            openDebugLog = false;
        }
    }

    public static String getCacheDir() {
        Application application = getApplication();
        if (application == null || application.getApplicationContext() == null) {
            return null;
        }
        return application.getApplicationContext().getCacheDir().getPath();
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x006e A[Catch:{ IOException -> 0x007f }] */
    public static boolean extractSo() {
        String[] splitSourceDirs;
        ArrayList<String> queryDirs = new ArrayList<>();
        if (Build.VERSION.SDK_INT >= 21 && (splitSourceDirs = getApplication().getApplicationContext().getApplicationInfo().splitSourceDirs) != null) {
            for (String item : splitSourceDirs) {
                if (item.contains(Build.CPU_ABI)) {
                    queryDirs.add(0, item);
                } else {
                    queryDirs.add(item);
                }
            }
        }
        File sourceFile = new File(getApplication().getApplicationContext().getApplicationInfo().sourceDir);
        if (sourceFile.exists()) {
            queryDirs.add(sourceFile.getAbsolutePath());
        }
        String soDesPath = copySoDesDir();
        if (queryDirs.size() <= 0 || TextUtils.isEmpty(soDesPath)) {
            return false;
        }
        try {
            Iterator<String> it = queryDirs.iterator();
            while (it.hasNext() && !WXFileUtils.extractSo(it.next(), soDesPath)) {
                while (it.hasNext()) {
                    while (it.hasNext()) {
                    }
                }
                return true;
            }
            return true;
        } catch (IOException e) {
            WXLogUtils.e("extractSo error " + e.getMessage());
            return false;
        }
    }

    private static String findIcuPath() {
        String tempString;
        BufferedReader reader = null;
        try {
            BufferedReader reader2 = new BufferedReader(new FileReader(new File("/proc/self/maps")));
            do {
                tempString = reader2.readLine();
                if (tempString == null) {
                    reader2.close();
                    try {
                        reader2.close();
                        return null;
                    } catch (IOException e) {
                        return null;
                    }
                }
            } while (!tempString.contains("icudt"));
            String trim = tempString.substring(tempString.indexOf(47)).trim();
            try {
                reader2.close();
            } catch (IOException e2) {
            }
            return trim;
        } catch (IOException e3) {
            e3.printStackTrace();
            if (0 == 0) {
                return null;
            }
            reader.close();
            return null;
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    reader.close();
                } catch (IOException e4) {
                }
            }
            throw th;
        }
    }

    public static String findSoPath(String libName) {
        String soPath = ((PathClassLoader) WXEnvironment.class.getClassLoader()).findLibrary(libName);
        if (!TextUtils.isEmpty(soPath)) {
            File soFile = new File(soPath);
            if (soFile.exists()) {
                WXLogUtils.e(libName + "'s Path is" + soPath);
                return soFile.getAbsolutePath();
            }
            WXLogUtils.e(libName + "'s Path is " + soPath + " but file does not exist");
        }
        String realName = "lib" + libName + ".so";
        String cacheDir = getCacheDir();
        if (TextUtils.isEmpty(cacheDir)) {
            WXLogUtils.e("cache dir is null");
            return "";
        }
        if (cacheDir.indexOf("/cache") > 0) {
            soPath = new File(cacheDir.replace("/cache", "/lib"), realName).getAbsolutePath();
        }
        if (new File(soPath).exists()) {
            WXLogUtils.e(libName + "use lib so");
            return soPath;
        }
        File soCopyFile = new File(copySoDesDir(), realName);
        if (soCopyFile.exists()) {
            return soCopyFile.getAbsolutePath();
        }
        if (extractSo()) {
            return new File(getCacheDir(), realName).getAbsolutePath();
        }
        return soPath;
    }

    public static String getLibJScRealPath() {
        return "";
    }

    public static String getLibJssRealPath() {
        if (!sUseRunTimeApi || TextUtils.isEmpty(CORE_JSS_RUNTIME_SO_PATH)) {
            if (TextUtils.isEmpty(CORE_JSS_SO_PATH)) {
                CORE_JSS_SO_PATH = findSoPath(CORE_JSS_SO_NAME);
                WXLogUtils.d("test-> findLibJssRealPath " + CORE_JSS_SO_PATH);
            }
            return CORE_JSS_SO_PATH;
        }
        WXLogUtils.d("test-> findLibJssRuntimeRealPath " + CORE_JSS_RUNTIME_SO_PATH);
        return CORE_JSS_RUNTIME_SO_PATH;
    }

    public static String getLibJssIcuPath() {
        if (TextUtils.isEmpty(CORE_JSS_ICU_PATH)) {
            CORE_JSS_ICU_PATH = findIcuPath();
        }
        return CORE_JSS_ICU_PATH;
    }

    public static String getLibLdPath() {
        if (TextUtils.isEmpty(LIB_LD_PATH)) {
            ClassLoader classLoader = WXEnvironment.class.getClassLoader();
            try {
                LIB_LD_PATH = (String) classLoader.getClass().getMethod("getLdLibraryPath", new Class[0]).invoke(classLoader, new Object[0]);
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            } catch (InvocationTargetException e2) {
                e2.printStackTrace();
            } catch (NoSuchMethodException e3) {
                e3.printStackTrace();
            }
        }
        if (TextUtils.isEmpty(LIB_LD_PATH)) {
            try {
                String property = System.getProperty("java.library.path");
                String libJScRealPath = getLibJScRealPath();
                if (!TextUtils.isEmpty(libJScRealPath)) {
                    LIB_LD_PATH = new File(libJScRealPath).getParent() + com.xiaomi.mipush.sdk.Constants.COLON_SEPARATOR + property;
                }
            } catch (Exception e4) {
                e4.printStackTrace();
            }
        }
        WXLogUtils.d("getLibLdPath is " + LIB_LD_PATH);
        return LIB_LD_PATH;
    }

    public static class WXDefaultSettings {
        private String configName = "weex_default_settings";
        private SharedPreferences sharedPreferences = null;

        public WXDefaultSettings(Application application) {
            if (application != null) {
                this.sharedPreferences = application.getSharedPreferences("weex_default_settings", 0);
            }
        }

        public synchronized String getValue(String key, String defaultValue) {
            if (this.sharedPreferences != null) {
                if (!TextUtils.isEmpty(key)) {
                    String result = this.sharedPreferences.getString(key, defaultValue);
                    WXLogUtils.i("get default settings " + key + " : " + result);
                    return result;
                }
            }
            WXLogUtils.i("get default settings " + key + " return default value :" + defaultValue);
            return defaultValue;
        }

        public synchronized void saveValue(String key, String value) {
            if (this.sharedPreferences != null && !TextUtils.isEmpty(key)) {
                if (!TextUtils.isEmpty(value)) {
                    WXLogUtils.i("save default settings " + key + com.xiaomi.mipush.sdk.Constants.COLON_SEPARATOR + value);
                    SharedPreferences.Editor editor = this.sharedPreferences.edit();
                    editor.putString(key, value);
                    editor.apply();
                }
            }
        }
    }
}
