package com.taobao.weex.bridge;

import android.util.SparseArray;

class ResultCallbackManager {
    private static SparseArray<ResultCallback> mResultCallbacks = new SparseArray<>();
    private static long sCallbackId = 0;

    ResultCallbackManager() {
    }

    static long generateCallbackId(ResultCallback callback) {
        if (sCallbackId >= 2147483647L) {
            sCallbackId = 0;
        }
        long j = sCallbackId;
        sCallbackId = 1 + j;
        int id = (int) j;
        mResultCallbacks.put(id, callback);
        return (long) id;
    }

    static ResultCallback removeCallbackById(long id) {
        ResultCallback callback = mResultCallbacks.get((int) id);
        mResultCallbacks.remove((int) id);
        return callback;
    }
}
