package com.taobao.weex.bridge;

import android.content.Context;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.util.Log;
import android.util.Pair;
import androidx.collection.ArrayMap;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.igexin.push.core.b;
import com.taobao.weex.Script;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKEngine;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.adapter.IWXConfigAdapter;
import com.taobao.weex.adapter.IWXJSExceptionAdapter;
import com.taobao.weex.adapter.IWXJsFileLoaderAdapter;
import com.taobao.weex.adapter.IWXJscProcessManager;
import com.taobao.weex.adapter.IWXUserTrackAdapter;
import com.taobao.weex.bridge.WXValidateProcessor;
import com.taobao.weex.common.Constants;
import com.taobao.weex.common.IWXBridge;
import com.taobao.weex.common.IWXDebugConfig;
import com.taobao.weex.common.WXConfig;
import com.taobao.weex.common.WXErrorCode;
import com.taobao.weex.common.WXException;
import com.taobao.weex.common.WXJSExceptionInfo;
import com.taobao.weex.common.WXRefreshData;
import com.taobao.weex.common.WXRenderStrategy;
import com.taobao.weex.common.WXRuntimeException;
import com.taobao.weex.common.WXThread;
import com.taobao.weex.dom.CSSShorthand;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.performance.WXInstanceApm;
import com.taobao.weex.performance.WXStateRecord;
import com.taobao.weex.ui.WXComponentRegistry;
import com.taobao.weex.ui.WXRenderManager;
import com.taobao.weex.ui.action.ActionReloadPage;
import com.taobao.weex.ui.action.BasicGraphicAction;
import com.taobao.weex.ui.action.GraphicActionAddChildToRichtext;
import com.taobao.weex.ui.action.GraphicActionAddElement;
import com.taobao.weex.ui.action.GraphicActionAddEvent;
import com.taobao.weex.ui.action.GraphicActionAppendTreeCreateFinish;
import com.taobao.weex.ui.action.GraphicActionBatchBegin;
import com.taobao.weex.ui.action.GraphicActionBatchEnd;
import com.taobao.weex.ui.action.GraphicActionCreateBody;
import com.taobao.weex.ui.action.GraphicActionCreateFinish;
import com.taobao.weex.ui.action.GraphicActionLayout;
import com.taobao.weex.ui.action.GraphicActionMoveElement;
import com.taobao.weex.ui.action.GraphicActionRefreshFinish;
import com.taobao.weex.ui.action.GraphicActionRemoveChildFromRichtext;
import com.taobao.weex.ui.action.GraphicActionRemoveElement;
import com.taobao.weex.ui.action.GraphicActionRemoveEvent;
import com.taobao.weex.ui.action.GraphicActionRenderSuccess;
import com.taobao.weex.ui.action.GraphicActionUpdateAttr;
import com.taobao.weex.ui.action.GraphicActionUpdateRichtextAttr;
import com.taobao.weex.ui.action.GraphicActionUpdateRichtextStyle;
import com.taobao.weex.ui.action.GraphicActionUpdateStyle;
import com.taobao.weex.ui.action.GraphicPosition;
import com.taobao.weex.ui.action.GraphicSize;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.module.WXDomModule;
import com.taobao.weex.utils.WXExceptionUtils;
import com.taobao.weex.utils.WXFileUtils;
import com.taobao.weex.utils.WXJsonUtils;
import com.taobao.weex.utils.WXLogUtils;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import com.taobao.weex.utils.WXWsonJSONSwitch;
import com.taobao.weex.utils.batch.BactchExecutor;
import com.taobao.weex.utils.batch.Interceptor;
import com.taobao.weex.utils.tools.LogDetail;
import com.umeng.analytics.pro.as;
import io.dcloud.common.adapter.util.UEH;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.RuningAcitvityUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.weex.WXDotDataUtil;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.InputStreamReader;
import java.io.Serializable;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Stack;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.TimeUnit;

public class WXBridgeManager implements Handler.Callback, BactchExecutor {
    public static final String ARGS = "args";
    private static final boolean BRIDGE_LOG_SWITCH = false;
    private static final String BUNDLE_TYPE = "bundleType";
    public static final String COMPONENT = "component";
    private static final int CRASHREINIT = 50;
    private static String GLOBAL_CONFIG_KEY = "global_switch_config";
    public static final String INITLOGFILE = "/jsserver_start.log";
    private static final int INIT_FRAMEWORK_OK = 1;
    public static final String KEY_ARGS = "args";
    public static final String KEY_METHOD = "method";
    public static final String KEY_PARAMS = "params";
    private static long LOW_MEM_VALUE = 120;
    public static final String METHD_COMPONENT_HOOK_SYNC = "componentHook";
    public static final String METHD_FIRE_EVENT_SYNC = "fireEventSync";
    public static final String METHOD = "method";
    public static final String METHOD_CALLBACK = "callback";
    public static final String METHOD_CALL_JS = "callJS";
    public static final String METHOD_CHECK_APPKEY = "dc_checkappkey";
    public static final String METHOD_CREATE_INSTANCE = "createInstance";
    public static final String METHOD_CREATE_INSTANCE_CONTEXT = "createInstanceContext";
    public static final String METHOD_CREATE_PAGE_WITH_CONTENT = "CreatePageWithContent";
    public static final String METHOD_DESTROY_INSTANCE = "destroyInstance";
    public static final String METHOD_FIRE_EVENT = "fireEvent";
    public static final String METHOD_FIRE_EVENT_ON_DATA_RENDER_NODE = "fireEventOnDataRenderNode";
    private static final String METHOD_JSFM_NOT_INIT_IN_EAGLE_MODE = "JsfmNotInitInEagleMode";
    public static final String METHOD_NOTIFY_SERIALIZE_CODE_CACHE = "notifySerializeCodeCache";
    public static final String METHOD_NOTIFY_TRIM_MEMORY = "notifyTrimMemory";
    private static final String METHOD_POST_TASK_TO_MSG_LOOP = "PostTaskToMsgLoop";
    public static final String METHOD_REFRESH_INSTANCE = "refreshInstance";
    public static final String METHOD_REGISTER_COMPONENTS = "registerComponents";
    public static final String METHOD_REGISTER_MODULES = "registerModules";
    public static final String METHOD_SET_TIMEOUT = "setTimeoutCallback";
    public static final String METHOD_UPDATE_COMPONENT_WITH_DATA = "UpdateComponentData";
    public static final String MODULE = "module";
    private static final String NON_CALLBACK = "-1";
    public static final String OPTIONS = "options";
    public static final String REF = "ref";
    private static final String RENDER_STRATEGY = "renderStrategy";
    private static final String UNDEFINED = "undefined";
    private static Class clazz_debugProxy = null;
    private static String crashUrl = null;
    private static String globalConfig = "none";
    private static volatile boolean isJsEngineMultiThreadEnable = false;
    private static volatile boolean isSandBoxContext = true;
    private static boolean isUseSingleProcess = false;
    private static long lastCrashTime = 0;
    static volatile WXBridgeManager mBridgeManager;
    private static volatile boolean mInit = false;
    private static String mRaxApi = null;
    private static Map<String, String> mWeexCoreEnvOptions = new HashMap();
    public static volatile int reInitCount = 1;
    public static StringBuilder sInitFrameWorkMsg = new StringBuilder();
    public static long sInitFrameWorkTimeOrigin;
    private HashSet<String> mDestroyedInstanceId = new HashSet<>();
    private WXParams mInitParams;
    private Interceptor mInterceptor;
    Handler mJSHandler;
    private WXThread mJSThread;
    private StringBuilder mLodBuilder = new StringBuilder(50);
    private boolean mMock = false;
    private WXHashMap<String, ArrayList<WXHashMap<String, Object>>> mNextTickTasks = new WXHashMap<>();
    private List<Map<String, Object>> mRegisterComponentFailList = new ArrayList(8);
    private List<Map<String, Object>> mRegisterModuleFailList = new ArrayList(8);
    private List<String> mRegisterServiceFailList = new ArrayList(8);
    private IWXBridge mWXBridge;
    private Object mWxDebugProxy;

    public enum BundType {
        Vue,
        Rax,
        Others
    }

    public static class TimerInfo {
        public String callbackId;
        public String instanceId;
        public long time;
    }

    private WXBridgeManager() {
        initWXBridge(WXEnvironment.sRemoteDebugMode);
        WXThread wXThread = new WXThread("WeexJSBridgeThread", this);
        this.mJSThread = wXThread;
        this.mJSHandler = wXThread.getHandler();
    }

    public static WXBridgeManager getInstance() {
        if (mBridgeManager == null) {
            synchronized (WXBridgeManager.class) {
                if (mBridgeManager == null) {
                    mBridgeManager = new WXBridgeManager();
                }
            }
        }
        return mBridgeManager;
    }

    public void setUseSingleProcess(boolean flag) {
        if (flag != isUseSingleProcess) {
            isUseSingleProcess = flag;
        }
    }

    public void onInteractionTimeUpdate(final String instanceId) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass1 */

            public void run() {
                if (WXBridgeManager.this.mWXBridge instanceof WXBridge) {
                    ((WXBridge) WXBridgeManager.this.mWXBridge).nativeOnInteractionTimeUpdate(instanceId);
                }
            }
        });
    }

    public boolean jsEngineMultiThreadEnable() {
        return isJsEngineMultiThreadEnable;
    }

    public void checkJsEngineMultiThread() {
        boolean flag = false;
        IWXJscProcessManager wxJscProcessManager = WXSDKManager.getInstance().getWXJscProcessManager();
        if (wxJscProcessManager != null) {
            flag = wxJscProcessManager.enableBackupThread();
        }
        if (flag != isJsEngineMultiThreadEnable) {
            isJsEngineMultiThreadEnable = flag;
            if (!isJSFrameworkInit()) {
                return;
            }
            if (isJSThread()) {
                WXSDKEngine.reload();
            } else {
                post(new Runnable() {
                    /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass2 */

                    public void run() {
                        WXSDKEngine.reload();
                    }
                });
            }
        }
    }

    public void setSandBoxContext(boolean flag) {
        String jsf;
        if (flag != isSandBoxContext) {
            isSandBoxContext = flag;
            if (isJSThread()) {
                setJSFrameworkInit(false);
                WXModuleManager.resetAllModuleState();
                if (!isSandBoxContext) {
                    jsf = WXFileUtils.loadAsset("main.js", WXEnvironment.getApplication());
                } else {
                    jsf = WXFileUtils.loadAsset("weex-main-jsfm.js", WXEnvironment.getApplication());
                }
                initFramework(jsf);
                WXServiceManager.reload();
                WXModuleManager.reload();
                WXComponentRegistry.reload();
                return;
            }
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass3 */

                public void run() {
                    String jsf;
                    WXBridgeManager.this.setJSFrameworkInit(false);
                    WXModuleManager.resetAllModuleState();
                    if (!WXBridgeManager.isSandBoxContext) {
                        jsf = WXFileUtils.loadAsset("main.js", WXEnvironment.getApplication());
                    } else {
                        jsf = WXFileUtils.loadAsset("weex-main-jsfm.js", WXEnvironment.getApplication());
                    }
                    WXBridgeManager.this.initFramework(jsf);
                    WXServiceManager.reload();
                    WXModuleManager.reload();
                    WXComponentRegistry.reload();
                }
            });
        }
    }

    public boolean isJSFrameworkInit() {
        return mInit;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setJSFrameworkInit(boolean init) {
        mInit = init;
        if (init) {
            onJsFrameWorkInitSuccees();
        }
    }

    private void initWXBridge(boolean remoteDebug) {
        Method method_getWXBridge;
        Constructor constructor;
        Method method_start;
        if (remoteDebug && WXEnvironment.isApkDebugable()) {
            WXEnvironment.sDebugServerConnectable = true;
        }
        if (WXEnvironment.sDebugServerConnectable) {
            WXEnvironment.isApkDebugable();
            if (WXEnvironment.getApplication() != null) {
                try {
                    if (clazz_debugProxy == null) {
                        clazz_debugProxy = Class.forName("com.taobao.weex.devtools.debug.DebugServerProxy");
                    }
                    if (clazz_debugProxy != null) {
                        boolean isNew = true;
                        if (this.mWxDebugProxy != null) {
                            boolean isActive = false;
                            Method method_start2 = clazz_debugProxy.getMethod("isActive", new Class[0]);
                            if (method_start2 != null) {
                                isActive = ((Boolean) method_start2.invoke(this.mWxDebugProxy, new Object[0])).booleanValue();
                            }
                            if (isActive) {
                                isNew = false;
                            }
                        }
                        if (isNew && (constructor = clazz_debugProxy.getConstructor(Context.class, IWXDebugConfig.class)) != null) {
                            Object newInstance = constructor.newInstance(WXEnvironment.getApplication(), new IWXDebugConfig() {
                                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass4 */

                                @Override // com.taobao.weex.common.IWXDebugConfig
                                public WXBridgeManager getWXJSManager() {
                                    return WXBridgeManager.this;
                                }

                                @Override // com.taobao.weex.common.IWXDebugConfig
                                public WXDebugJsBridge getWXDebugJsBridge() {
                                    return new WXDebugJsBridge();
                                }
                            });
                            this.mWxDebugProxy = newInstance;
                            if (!(newInstance == null || (method_start = clazz_debugProxy.getMethod("start", new Class[0])) == null)) {
                                method_start.invoke(this.mWxDebugProxy, new Object[0]);
                            }
                        }
                    }
                } catch (Throwable th) {
                }
                WXServiceManager.execAllCacheJsService();
            } else {
                WXLogUtils.e("WXBridgeManager", "WXEnvironment.sApplication is null, skip init Inspector");
            }
        }
        if (!remoteDebug || this.mWxDebugProxy == null) {
            this.mWXBridge = new WXBridge();
            return;
        }
        try {
            if (clazz_debugProxy == null) {
                clazz_debugProxy = Class.forName("com.taobao.weex.devtools.debug.DebugServerProxy");
            }
            if (clazz_debugProxy != null && (method_getWXBridge = clazz_debugProxy.getMethod("getWXBridge", new Class[0])) != null) {
                this.mWXBridge = (IWXBridge) method_getWXBridge.invoke(this.mWxDebugProxy, new Object[0]);
            }
        } catch (Throwable th2) {
        }
    }

    public String dumpIpcPageInfo() {
        IWXBridge iWXBridge = this.mWXBridge;
        if (iWXBridge instanceof WXBridge) {
            return ((WXBridge) iWXBridge).nativeDumpIpcPageQueueInfo();
        }
        return "";
    }

    public void stopRemoteDebug() {
        Method method_stop;
        if (this.mWxDebugProxy != null) {
            try {
                if (clazz_debugProxy == null) {
                    clazz_debugProxy = Class.forName("com.taobao.weex.devtools.debug.DebugServerProxy");
                }
                if (clazz_debugProxy != null && (method_stop = clazz_debugProxy.getMethod(Constants.Value.STOP, Boolean.TYPE)) != null) {
                    method_stop.invoke(this.mWxDebugProxy, false);
                    this.mWxDebugProxy = null;
                }
            } catch (Throwable th) {
            }
        }
    }

    public Object callModuleMethod(String instanceId, String moduleStr, String methodStr, JSONArray args) {
        return callModuleMethod(instanceId, moduleStr, methodStr, args, null);
    }

    public Object callModuleMethod(String instanceId, String moduleStr, String methodStr, JSONArray args, JSONObject options) {
        WXSDKInstance wxsdkInstance = WXSDKManager.getInstance().getSDKInstance(instanceId);
        if (wxsdkInstance == null) {
            return null;
        }
        if (!wxsdkInstance.isNeedValidate() || WXSDKManager.getInstance().getValidateProcessor() == null) {
            try {
                return WXModuleManager.callModuleMethod(instanceId, moduleStr, methodStr, args);
            } catch (NumberFormatException e) {
                ArrayMap<String, String> ext = new ArrayMap<>();
                ext.put("moduleName", moduleStr);
                ext.put("methodName", methodStr);
                ext.put("args", args.toJSONString());
                WXLogUtils.e("[WXBridgeManager] callNative : numberFormatException when parsing string to numbers in args", ext.toString());
                return null;
            }
        } else {
            WXValidateProcessor.WXModuleValidateResult validateResult = WXSDKManager.getInstance().getValidateProcessor().onModuleValidate(wxsdkInstance, moduleStr, methodStr, args, options);
            if (validateResult == null) {
                return null;
            }
            if (validateResult.isSuccess) {
                return WXModuleManager.callModuleMethod(instanceId, moduleStr, methodStr, args);
            }
            JSONObject validateInfo = validateResult.validateInfo;
            if (validateInfo != null) {
                WXLogUtils.e("[WXBridgeManager] module validate fail. >>> " + validateInfo.toJSONString());
            }
            return validateInfo;
        }
    }

    public void restart() {
        setJSFrameworkInit(false);
        WXModuleManager.resetAllModuleState();
        initWXBridge(WXEnvironment.sRemoteDebugMode);
        this.mWXBridge.resetWXBridge(WXEnvironment.sRemoteDebugMode);
    }

    public synchronized void setStackTopInstance(final String instanceId) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass5 */

            public void run() {
                WXBridgeManager.this.mNextTickTasks.setStackTopInstance(instanceId);
            }
        }, instanceId, null, null);
    }

    @Override // com.taobao.weex.utils.batch.BactchExecutor
    public void post(Runnable r) {
        postWithName(r, null, null);
    }

    public void postWithName(Runnable r, WXSDKInstance instance, String runnableName) {
        Handler handler;
        Runnable secure = WXThread.secure(r, instance, runnableName);
        Interceptor interceptor = this.mInterceptor;
        if ((interceptor == null || !interceptor.take(secure)) && (handler = this.mJSHandler) != null) {
            handler.post(secure);
        }
    }

    @Override // com.taobao.weex.utils.batch.BactchExecutor
    public void setInterceptor(Interceptor interceptor) {
        this.mInterceptor = interceptor;
    }

    public void post(Runnable r, Object token, WXSDKInstance instance, String runnableName) {
        Handler handler = this.mJSHandler;
        if (handler != null) {
            Message m = Message.obtain(handler, WXThread.secure(r, instance, runnableName));
            m.obj = token;
            m.sendToTarget();
        }
    }

    public void post(Runnable r, Object token) {
        post(r, token, null, null);
    }

    public void postDelay(Runnable r, long delayMillis) {
        Handler handler = this.mJSHandler;
        if (handler != null) {
            handler.postDelayed(WXThread.secure(r), delayMillis);
        }
    }

    public void setLogLevel(final int level, final boolean isPerf) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass6 */

            public void run() {
                if (WXBridgeManager.this.mWXBridge != null) {
                    WXBridgeManager.this.mWXBridge.setLogType((float) level, isPerf);
                }
            }
        });
    }

    /* access modifiers changed from: package-private */
    public void setTimeout(String callbackId, String time) {
        Message message = Message.obtain();
        message.what = 1;
        TimerInfo timerInfo = new TimerInfo();
        timerInfo.callbackId = callbackId;
        timerInfo.time = (long) Float.parseFloat(time);
        message.obj = timerInfo;
        this.mJSHandler.sendMessageDelayed(message, timerInfo.time);
    }

    public void sendMessageDelayed(Message message, long delayMillis) {
        WXThread wXThread;
        if (message != null && this.mJSHandler != null && (wXThread = this.mJSThread) != null && wXThread.isWXThreadAlive() && this.mJSThread.getLooper() != null) {
            this.mJSHandler.sendMessageDelayed(message, delayMillis);
        }
    }

    public void removeMessage(int what, Object obj) {
        WXThread wXThread;
        if (this.mJSHandler != null && (wXThread = this.mJSThread) != null && wXThread.isWXThreadAlive() && this.mJSThread.getLooper() != null) {
            this.mJSHandler.removeMessages(what, obj);
        }
    }

    public Object callNativeModule(String instanceId, String module, String method, JSONArray arguments, Object options) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(module) || TextUtils.isEmpty(method)) {
            WXLogUtils.d("[WXBridgeManager] call callNativeModule arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callNativeModule", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        try {
            if (WXDomModule.WXDOM.equals(module)) {
                return WXModuleManager.getDomModule(instanceId).callDomMethod(method, arguments, new long[0]);
            }
            return callModuleMethod(instanceId, module, method, arguments);
        } catch (Exception e) {
            String err = "[WXBridgeManager] callNative exception: " + WXLogUtils.getStackTrace(e);
            WXLogUtils.e(err);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callNativeModule", err, null);
            return null;
        }
    }

    public Object callNativeModule(String instanceId, String module, String method, JSONArray arguments, JSONObject options) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(module) || TextUtils.isEmpty(method)) {
            WXLogUtils.d("[WXBridgeManager] call callNativeModule arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callNativeModule", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXStateRecord instance = WXStateRecord.getInstance();
        instance.recordAction(instanceId, "callNativeModule:" + module + Operators.DOT_STR + method);
        WXEnvironment.isApkDebugable();
        try {
            if (!WXDomModule.WXDOM.equals(module)) {
                return callModuleMethod(instanceId, module, method, arguments, options);
            }
            WXDomModule dom = WXModuleManager.getDomModule(instanceId);
            if (dom != null) {
                return dom.callDomMethod(method, arguments, new long[0]);
            }
            WXModuleManager.createDomModule(WXSDKManager.getInstance().getSDKInstance(instanceId));
            return null;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callNativeModule exception: " + WXLogUtils.getStackTrace(e));
        }
    }

    public Object callNativeComponent(String instanceId, String componentRef, String method, JSONArray arguments, Object options) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(componentRef) || TextUtils.isEmpty(method)) {
            WXLogUtils.d("[WXBridgeManager] call callNativeComponent arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callNativeComponent", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        try {
            WXDomModule dom = WXModuleManager.getDomModule(instanceId);
            if (dom != null) {
                dom.invokeMethod(componentRef, method, arguments);
            } else {
                WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
                if (instance == null || !instance.isDestroy()) {
                    WXLogUtils.e("WXBridgeManager", "callNativeComponent exception :null == dom ,method:" + method);
                }
            }
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callNativeComponent exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callNativeComponent", WXLogUtils.getStackTrace(e), null);
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:48:0x010e  */
    /* JADX WARNING: Removed duplicated region for block: B:61:? A[ADDED_TO_REGION, ORIG_RETURN, RETURN, SYNTHETIC] */
    public int callNative(String instanceId, JSONArray tasks, String callback) {
        int i;
        int i2;
        Exception e;
        int size;
        char c = 0;
        if (TextUtils.isEmpty(instanceId)) {
            i = 0;
        } else if (tasks == null) {
            i = 0;
        } else {
            WXEnvironment.isApkDebugable();
            HashSet<String> hashSet = this.mDestroyedInstanceId;
            if (hashSet != null && hashSet.contains(instanceId)) {
                return -1;
            }
            long parseNanos = System.nanoTime() - System.nanoTime();
            int i3 = 1;
            if (tasks == null || tasks.size() <= 0) {
                i2 = 1;
            } else {
                int size2 = tasks.size();
                int i4 = 0;
                while (i4 < size2) {
                    try {
                        JSONObject task = (JSONObject) tasks.get(i4);
                        if (task == null || WXSDKManager.getInstance().getSDKInstance(instanceId) == null) {
                            size = size2;
                        } else {
                            Object module = task.get("module");
                            if (module == null) {
                                size = size2;
                                if (task.get(COMPONENT) != null) {
                                    WXModuleManager.getDomModule(instanceId).invokeMethod((String) task.get("ref"), (String) task.get("method"), (JSONArray) task.get("args"));
                                } else {
                                    throw new IllegalArgumentException("unknown callNative");
                                }
                            } else if (WXDomModule.WXDOM.equals(module)) {
                                try {
                                    WXDomModule dom = WXModuleManager.getDomModule(instanceId);
                                    long[] jArr = new long[i3];
                                    jArr[c] = parseNanos;
                                    dom.callDomMethod(task, jArr);
                                    size = size2;
                                } catch (Exception e2) {
                                    e = e2;
                                    i2 = 1;
                                    WXLogUtils.e("[WXBridgeManager] callNative exception: ", e);
                                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callNative", WXLogUtils.getStackTrace(e), null);
                                    if ("undefined".equals(callback)) {
                                    }
                                }
                            } else {
                                size = size2;
                                i2 = 1;
                                try {
                                    callModuleMethod(instanceId, (String) module, (String) task.get("method"), (JSONArray) task.get("args"), task.getJSONObject("options"));
                                } catch (Exception e3) {
                                    e = e3;
                                    WXLogUtils.e("[WXBridgeManager] callNative exception: ", e);
                                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callNative", WXLogUtils.getStackTrace(e), null);
                                    return "undefined".equals(callback) ? 0 : 0;
                                }
                            }
                        }
                        i4++;
                        size2 = size;
                        i3 = 1;
                        c = 0;
                    } catch (Exception e4) {
                        e = e4;
                        i2 = 1;
                        WXLogUtils.e("[WXBridgeManager] callNative exception: ", e);
                        WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callNative", WXLogUtils.getStackTrace(e), null);
                        if ("undefined".equals(callback)) {
                        }
                    }
                }
                i2 = 1;
            }
            if ("undefined".equals(callback) && !NON_CALLBACK.equals(callback)) {
                getNextTick(instanceId, callback);
                return i2;
            }
        }
        WXLogUtils.d("[WXBridgeManager] call callNative arguments is null");
        WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callNative", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
        return i;
    }

    public int callUpdateFinish(String instanceId, String callback) {
        if (TextUtils.isEmpty(instanceId)) {
            WXLogUtils.d("[WXBridgeManager] call callUpdateFinish arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callUpdateFinish", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKManager.getInstance().getSDKInstance(instanceId);
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callUpdateFinish exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callUpdateFinish", WXLogUtils.getStackTrace(e), null);
        }
        if (callback == null || callback.isEmpty() || "undefined".equals(callback) || NON_CALLBACK.equals(callback)) {
            return 0;
        }
        getNextTick(instanceId, callback);
        return 1;
    }

    public int callRefreshFinish(String instanceId, String callback) {
        if (TextUtils.isEmpty(instanceId)) {
            WXLogUtils.d("[WXBridgeManager] call callRefreshFinish arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRefreshFinish", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance != null) {
                WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(instanceId, new GraphicActionRefreshFinish(instance));
            }
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRefreshFinish exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRefreshFinish", WXLogUtils.getStackTrace(e), null);
        }
        if ("undefined".equals(callback) || NON_CALLBACK.equals(callback)) {
            return 0;
        }
        getNextTick(instanceId, callback);
        return 1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x00a0 A[Catch:{ Exception -> 0x00ab }] */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00a1 A[Catch:{ Exception -> 0x00ab }] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00d7  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00f4  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0128 A[Catch:{ Exception -> 0x0141 }] */
    public int callReportCrashReloadPage(String instanceId, String crashFile) {
        Exception e;
        String url;
        Map<String, String> extInfo;
        String crashFile2;
        Throwable e2;
        String str;
        boolean isCrashFileEmpty = TextUtils.isEmpty(crashFile);
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance != null) {
                String url2 = instance.getBundleUrl();
                instance.setHasException(true);
                url = url2;
            } else {
                url = null;
            }
            Map<String, String> extInfo2 = new HashMap<>(2);
            extInfo2.put("weexCoreThreadStackTrace:", getInstance().getWeexCoreThreadStackTrace());
            extInfo2.put("wxStateInfo", WXStateRecord.getInstance().getStateInfo().toString());
            String str2 = b.m;
            if (!isCrashFileEmpty) {
                try {
                    if (WXEnvironment.getApplication() != null) {
                        StringBuilder sb = new StringBuilder();
                        sb.append(this.mInitParams.getCrashFilePath());
                        str = crashFile;
                        try {
                            sb.append(str);
                            crashFile2 = sb.toString();
                            try {
                                Log.d("jsengine", "callReportCrashReloadPage crashFile:" + crashFile2);
                            } catch (Throwable th) {
                                e2 = th;
                            }
                        } catch (Throwable th2) {
                            e2 = th2;
                            crashFile2 = str;
                            try {
                                WXLogUtils.e(WXLogUtils.getStackTrace(e2));
                                WXStateRecord instance2 = WXStateRecord.getInstance();
                                if (!TextUtils.isEmpty(instanceId)) {
                                }
                                instance2.onJSCCrash(str2);
                                callReportCrash(crashFile2, instanceId, url, extInfo2);
                                extInfo = extInfo2;
                                if (reInitCount > 50) {
                                }
                            } catch (Exception e3) {
                                e = e3;
                                WXLogUtils.e("[WXBridgeManager] callReportCrashReloadPage exception: ", e);
                                try {
                                    if (WXSDKManager.getInstance().getSDKInstance(instanceId) != null) {
                                    }
                                } catch (Exception e4) {
                                    WXLogUtils.e("[WXBridgeManager] callReloadPage exception: ", e4);
                                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callReportCrashReloadPage", WXLogUtils.getStackTrace(e4), null);
                                }
                                return 0;
                            }
                        }
                    } else {
                        crashFile2 = crashFile;
                    }
                } catch (Throwable th3) {
                    e2 = th3;
                    str = crashFile;
                    crashFile2 = str;
                    WXLogUtils.e(WXLogUtils.getStackTrace(e2));
                    WXStateRecord instance22 = WXStateRecord.getInstance();
                    if (!TextUtils.isEmpty(instanceId)) {
                    }
                    instance22.onJSCCrash(str2);
                    callReportCrash(crashFile2, instanceId, url, extInfo2);
                    extInfo = extInfo2;
                    if (reInitCount > 50) {
                    }
                }
                WXStateRecord instance222 = WXStateRecord.getInstance();
                if (!TextUtils.isEmpty(instanceId)) {
                    str2 = instanceId;
                }
                instance222.onJSCCrash(str2);
                callReportCrash(crashFile2, instanceId, url, extInfo2);
                extInfo = extInfo2;
            } else {
                WXStateRecord instance3 = WXStateRecord.getInstance();
                if (!TextUtils.isEmpty(instanceId)) {
                    str2 = instanceId;
                }
                instance3.onJSEngineReload(str2);
                extInfo = extInfo2;
                commitJscCrashAlarmMonitor(IWXUserTrackAdapter.JS_BRIDGE, WXErrorCode.WX_ERR_RELOAD_PAGE, "reboot jsc Engine", instanceId, url, extInfo2);
            }
            if (reInitCount > 50) {
                WXExceptionUtils.commitCriticalExceptionRT("jsEngine", WXErrorCode.WX_ERR_RELOAD_PAGE_EXCEED_LIMIT, "callReportCrashReloadPage", "reInitCount:" + reInitCount, extInfo);
                return 0;
            }
            reInitCount++;
            setJSFrameworkInit(false);
            WXModuleManager.resetAllModuleState();
            initScriptsFramework("");
            if (this.mDestroyedInstanceId != null && this.mDestroyedInstanceId.contains(instanceId)) {
                return -1;
            }
            if (WXSDKManager.getInstance().getSDKInstance(instanceId) != null) {
                new ActionReloadPage(instanceId, shouldReloadCurrentInstance(WXSDKManager.getInstance().getSDKInstance(instanceId).getBundleUrl())).executeAction();
            }
            return 0;
        } catch (Exception e5) {
            e = e5;
            WXLogUtils.e("[WXBridgeManager] callReportCrashReloadPage exception: ", e);
            if (WXSDKManager.getInstance().getSDKInstance(instanceId) != null) {
            }
            return 0;
        }
    }

    public boolean shouldReloadCurrentInstance(String aUrl) {
        Uri uri;
        long time = System.currentTimeMillis();
        String bizUrl = aUrl;
        IWXConfigAdapter adapter = WXSDKManager.getInstance().getWxConfigAdapter();
        if (adapter != null) {
            boolean check_biz_url = Boolean.parseBoolean(adapter.getConfig("android_weex_ext_config", "check_biz_url", AbsoluteConst.TRUE));
            WXLogUtils.e("check_biz_url : " + check_biz_url);
            if (check_biz_url && !TextUtils.isEmpty(aUrl) && (uri = Uri.parse(aUrl)) != null) {
                bizUrl = uri.buildUpon().clearQuery().build().toString();
            }
        }
        String str = crashUrl;
        if (str == null || ((str != null && !str.equals(bizUrl)) || time - lastCrashTime > 15000)) {
            crashUrl = bizUrl;
            lastCrashTime = time;
            return true;
        }
        lastCrashTime = time;
        return false;
    }

    public void callReportCrash(String crashFile, final String instanceId, final String url, final Map<String, String> extInfo) {
        final String origin_filename = crashFile + Operators.DOT_STR + new SimpleDateFormat("yyyyMMddHHmmss", Locale.US).format(new Date());
        File oldfile = new File(crashFile);
        File newfile = new File(origin_filename);
        if (oldfile.exists()) {
            oldfile.renameTo(newfile);
        }
        new Thread(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass7 */

            public void run() {
                try {
                    File file = new File(origin_filename);
                    if (file.exists()) {
                        if (file.length() > 0) {
                            StringBuilder result = new StringBuilder();
                            try {
                                BufferedReader br = new BufferedReader(new FileReader(origin_filename));
                                while (true) {
                                    String s = br.readLine();
                                    if (s == null) {
                                        break;
                                    } else if (!"".equals(s)) {
                                        result.append(s + "\n");
                                    }
                                }
                                WXBridgeManager.this.commitJscCrashAlarmMonitor(IWXUserTrackAdapter.JS_BRIDGE, WXErrorCode.WX_ERR_JSC_CRASH, result.toString(), instanceId, url, extInfo);
                                br.close();
                            } catch (Exception e) {
                                WXLogUtils.e(WXLogUtils.getStackTrace(e));
                            }
                        } else {
                            WXLogUtils.e("[WXBridgeManager] callReportCrash crash file is empty");
                        }
                        if (!WXEnvironment.isApkDebugable()) {
                            file.delete();
                        }
                    }
                } catch (Throwable throwable) {
                    WXLogUtils.e("[WXBridgeManager] callReportCrash exception: ", throwable);
                }
            }
        }).start();
    }

    private void getNextTick(String instanceId, String callback) {
        addJSTask(METHOD_CALLBACK, instanceId, callback, "{}");
        sendMessage(instanceId, 6);
    }

    private void getNextTick(String instanceId) {
        addJSTask(METHOD_CALLBACK, instanceId, "", "{}");
        sendMessage(instanceId, 6);
    }

    public String syncExecJsOnInstanceWithResult(String instanceId, String js, int type) {
        final CountDownLatch waitLatch = new CountDownLatch(1);
        EventResult callback = new EventResult() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass8 */

            @Override // com.taobao.weex.bridge.EventResult
            public void onCallback(Object result) {
                super.onCallback(result);
                waitLatch.countDown();
            }
        };
        try {
            execJSOnInstance(callback, instanceId, js, type);
            waitLatch.await(100, TimeUnit.MILLISECONDS);
            if (callback.getResult() != null) {
                return callback.getResult().toString();
            }
            return "";
        } catch (Throwable e) {
            WXLogUtils.e("syncCallExecJsOnInstance", e);
            return "";
        }
    }

    public void loadJsBundleInPreInitMode(final String instanceId, final String js) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass9 */

            public void run() {
                WXBridgeManager.this.invokeExecJSOnInstance(instanceId, js, -1);
                WXSDKInstance instance = WXSDKManager.getInstance().getAllInstanceMap().get(instanceId);
                if (instance != null && instance.isPreInitMode()) {
                    instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_END);
                    instance.getApmForInstance().onStageWithTime(WXInstanceApm.KEY_PAGE_STAGES_END_EXCUTE_BUNDLE, WXUtils.getFixUnixTime() + 600);
                }
            }
        });
    }

    public EventResult syncCallJSEventWithResult(String method, String instanceId, List<Object> params, Object... args) {
        final CountDownLatch waitLatch = new CountDownLatch(1);
        EventResult callback = new EventResult() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass10 */

            @Override // com.taobao.weex.bridge.EventResult
            public void onCallback(Object result) {
                super.onCallback(result);
                waitLatch.countDown();
            }
        };
        try {
            asyncCallJSEventWithResult(callback, method, instanceId, params, args);
            waitLatch.await(100, TimeUnit.MILLISECONDS);
            return callback;
        } catch (Exception e) {
            WXLogUtils.e("syncCallJSEventWithResult", e);
            return callback;
        }
    }

    public void asyncCallJSEventVoidResult(final String method, final String instanceId, final List<Object> params, final Object... args) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass11 */

            public void run() {
                try {
                    if (args == null) {
                        return;
                    }
                    if (args.length != 0) {
                        ArrayList<Object> argsList = new ArrayList<>();
                        for (Object arg : args) {
                            argsList.add(arg);
                        }
                        if (params != null) {
                            ArrayMap map = new ArrayMap(4);
                            map.put("params", params);
                            argsList.add(map);
                        }
                        WXHashMap<String, Object> task = new WXHashMap<>();
                        task.put("method", method);
                        task.put("args", argsList);
                        WXJSObject[] jsArgs = {new WXJSObject(2, instanceId), WXWsonJSONSwitch.toWsonOrJsonWXJSObject(new Object[]{task})};
                        WXBridgeManager.this.invokeExecJS(String.valueOf(instanceId), null, WXBridgeManager.METHOD_CALL_JS, jsArgs, true);
                        jsArgs[0] = null;
                    }
                } catch (Exception e) {
                    WXLogUtils.e("asyncCallJSEventVoidResult", e);
                }
            }
        });
    }

    private void asyncCallJSEventWithResult(final EventResult eventCallback, final String method, final String instanceId, final List<Object> params, final Object... args) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass12 */

            public void run() {
                try {
                    if (args == null) {
                        return;
                    }
                    if (args.length != 0) {
                        ArrayList<Object> argsList = new ArrayList<>();
                        for (Object arg : args) {
                            argsList.add(arg);
                        }
                        if (params != null) {
                            ArrayMap map = new ArrayMap(4);
                            map.put("params", params);
                            argsList.add(map);
                        }
                        WXHashMap<String, Object> task = new WXHashMap<>();
                        task.put("method", method);
                        task.put("args", argsList);
                        WXJSObject[] jsArgs = {new WXJSObject(2, instanceId), WXWsonJSONSwitch.toWsonOrJsonWXJSObject(new Object[]{task})};
                        ResultCallback<byte[]> resultCallback = null;
                        if (eventCallback != null) {
                            resultCallback = new ResultCallback<byte[]>() {
                                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass12.AnonymousClass1 */

                                public void onReceiveResult(byte[] result) {
                                    JSONArray arrayResult = (JSONArray) WXWsonJSONSwitch.parseWsonOrJSON(result);
                                    if (arrayResult != null && arrayResult.size() > 0) {
                                        eventCallback.onCallback(arrayResult.get(0));
                                    }
                                }
                            };
                        }
                        WXBridgeManager.this.invokeExecJSWithCallback(String.valueOf(instanceId), null, WXBridgeManager.METHOD_CALL_JS, jsArgs, resultCallback, true);
                        jsArgs[0] = null;
                    }
                } catch (Exception e) {
                    WXLogUtils.e("asyncCallJSEventWithResult", e);
                }
            }
        });
    }

    private void addJSEventTask(final String method, final String instanceId, final List<Object> params, final Object... args) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass13 */

            public void run() {
                Object[] objArr = args;
                if (!(objArr == null || objArr.length == 0)) {
                    ArrayList<Object> argsList = new ArrayList<>();
                    for (Object arg : args) {
                        argsList.add(arg);
                    }
                    if (params != null) {
                        ArrayMap map = new ArrayMap(4);
                        map.put("params", params);
                        argsList.add(map);
                    }
                    WXHashMap<String, Object> task = new WXHashMap<>();
                    task.put("method", method);
                    task.put("args", argsList);
                    if (WXBridgeManager.this.mNextTickTasks.get(instanceId) == null) {
                        ArrayList<WXHashMap<String, Object>> list = new ArrayList<>();
                        list.add(task);
                        WXBridgeManager.this.mNextTickTasks.put(instanceId, list);
                        return;
                    }
                    ((ArrayList) WXBridgeManager.this.mNextTickTasks.get(instanceId)).add(task);
                }
            }
        });
    }

    private void addJSTask(String method, String instanceId, Object... args) {
        addJSEventTask(method, instanceId, null, args);
    }

    private void sendMessage(String instanceId, int what) {
        Message msg = Message.obtain(this.mJSHandler);
        msg.obj = instanceId;
        msg.what = what;
        msg.sendToTarget();
    }

    public synchronized void initScriptsFramework(String framework) {
        Message msg = this.mJSHandler.obtainMessage();
        msg.obj = framework;
        msg.what = 7;
        msg.setTarget(this.mJSHandler);
        msg.sendToTarget();
    }

    @Deprecated
    public void fireEvent(String instanceId, String ref, String type, Map<String, Object> data) {
        fireEvent(instanceId, ref, type, data, null);
    }

    @Deprecated
    public void fireEvent(String instanceId, String ref, String type, Map<String, Object> data, Map<String, Object> domChanges) {
        fireEventOnNode(instanceId, ref, type, data, domChanges);
    }

    public void fireEventOnNode(String instanceId, String ref, String type, Map<String, Object> data, Map<String, Object> domChanges) {
        fireEventOnNode(instanceId, ref, type, data, domChanges, null, null);
    }

    public void fireEventOnNode(String instanceId, String ref, String type, Map<String, Object> data, Map<String, Object> domChanges, List<Object> params) {
        fireEventOnNode(instanceId, ref, type, data, domChanges, params, null);
    }

    public void fireEventOnNode(String instanceId, String ref, String type, Map<String, Object> data, Map<String, Object> domChanges, List<Object> params, EventResult callback) {
        if (!TextUtils.isEmpty(instanceId) && !TextUtils.isEmpty(ref) && !TextUtils.isEmpty(type) && this.mJSHandler != null) {
            if (checkMainThread()) {
                WXSDKInstance instance = WXSDKManager.getInstance().getAllInstanceMap().get(instanceId);
                if (instance != null && (instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER || instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER_BINARY)) {
                    fireEventOnDataRenderNode(instanceId, ref, type, data, domChanges);
                } else if (callback == null) {
                    addJSEventTask(METHOD_FIRE_EVENT, instanceId, params, ref, type, data, domChanges);
                    sendMessage(instanceId, 6);
                } else {
                    asyncCallJSEventWithResult(callback, METHD_FIRE_EVENT_SYNC, instanceId, params, ref, type, data, domChanges);
                }
            } else {
                throw new WXRuntimeException("fireEvent must be called by main thread");
            }
        }
    }

    private void fireEventOnDataRenderNode(final String instanceId, final String ref, final String type, final Map<String, Object> data, final Map<String, Object> domChanges) {
        this.mJSHandler.postDelayed(WXThread.secure(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass14 */

            public void run() {
                try {
                    WXSDKManager.getInstance().getSDKInstance(instanceId);
                    long start = System.currentTimeMillis();
                    if (WXEnvironment.isApkDebugable()) {
                        WXLogUtils.d("fireEventOnDataRenderNode >>>> instanceId:" + instanceId + ", data:" + data);
                    }
                    if (WXBridgeManager.this.mWXBridge instanceof WXBridge) {
                        WXBridge wXBridge = (WXBridge) WXBridgeManager.this.mWXBridge;
                        String str = instanceId;
                        String str2 = ref;
                        String str3 = type;
                        String str4 = "{}";
                        String jSONString = (data == null || data.isEmpty()) ? str4 : JSON.toJSONString(data);
                        if (domChanges != null && !domChanges.isEmpty()) {
                            str4 = JSON.toJSONString(domChanges);
                        }
                        wXBridge.fireEventOnDataRenderNode(str, str2, str3, jSONString, str4);
                    }
                    WXLogUtils.renderPerformanceLog(WXBridgeManager.METHOD_FIRE_EVENT_ON_DATA_RENDER_NODE, System.currentTimeMillis() - start);
                } catch (Throwable e) {
                    String err = "[WXBridgeManager] fireEventOnDataRenderNode " + WXLogUtils.getStackTrace(e);
                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, WXBridgeManager.METHOD_FIRE_EVENT_ON_DATA_RENDER_NODE, err, null);
                    WXLogUtils.e(err);
                }
            }
        }), 0);
    }

    private boolean checkMainThread() {
        return Looper.myLooper() == Looper.getMainLooper();
    }

    @Deprecated
    public void callback(String instanceId, String callback, String data) {
        callback(instanceId, callback, data, false);
    }

    @Deprecated
    public void callback(String instanceId, String callback, Map<String, Object> data) {
        callback(instanceId, callback, data, false);
    }

    @Deprecated
    public void callback(String instanceId, String callback, Object data, boolean keepAlive) {
        callbackJavascript(instanceId, callback, data, keepAlive);
    }

    /* access modifiers changed from: package-private */
    public void callbackJavascript(String instanceId, String callback, Object data, boolean keepAlive) {
        if (!TextUtils.isEmpty(instanceId) && !TextUtils.isEmpty(callback) && this.mJSHandler != null && RuningAcitvityUtil.isRuningActivity) {
            WXSDKInstance instance = WXSDKManager.getInstance().getAllInstanceMap().get(instanceId);
            if (instance == null || instance.getRenderStrategy() != WXRenderStrategy.DATA_RENDER_BINARY) {
                addJSTask(METHOD_CALLBACK, instanceId, callback, data, Boolean.valueOf(keepAlive));
                sendMessage(instanceId, 6);
                return;
            }
            callbackJavascriptOnDataRender(instanceId, callback, data, keepAlive);
        }
    }

    /* access modifiers changed from: package-private */
    public void callbackJavascriptOnDataRender(final String instanceId, final String callback, final Object data, final boolean keepAlive) {
        this.mJSHandler.postDelayed(WXThread.secure(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass15 */

            public void run() {
                try {
                    long start = System.currentTimeMillis();
                    String data_str = JSON.toJSONString(data);
                    if (WXEnvironment.isApkDebugable()) {
                        WXLogUtils.d("callbackJavascriptOnDataRender >>>> instanceId:" + instanceId + ", data:" + data_str);
                    }
                    if (WXBridgeManager.this.mWXBridge instanceof WXBridge) {
                        ((WXBridge) WXBridgeManager.this.mWXBridge).invokeCallbackOnDataRender(instanceId, callback, data_str, keepAlive);
                    }
                    WXLogUtils.renderPerformanceLog("callbackJavascriptOnDataRender", System.currentTimeMillis() - start);
                } catch (Throwable e) {
                    String err = "[WXBridgeManager] callbackJavascriptOnDataRender " + WXLogUtils.getStackTrace(e);
                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callbackJavascriptOnDataRender", err, null);
                    WXLogUtils.e(err);
                }
            }
        }), 0);
    }

    public void refreshInstance(final String instanceId, final WXRefreshData jsonData) {
        if (!TextUtils.isEmpty(instanceId) && jsonData != null) {
            this.mJSHandler.postDelayed(WXThread.secure(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass16 */

                public void run() {
                    WXBridgeManager.this.invokeRefreshInstance(instanceId, jsonData);
                }
            }), 0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeRefreshInstance(String instanceId, WXRefreshData refreshData) {
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
                System.currentTimeMillis();
                if (WXEnvironment.isApkDebugable()) {
                    WXLogUtils.d("refreshInstance >>>> instanceId:" + instanceId + ", data:" + refreshData.data + ", isDirty:" + refreshData.isDirty);
                }
                if (!refreshData.isDirty) {
                    this.mWXBridge.refreshInstance(instanceId, null, METHOD_REFRESH_INSTANCE, new WXJSObject[]{new WXJSObject(2, instanceId), new WXJSObject(3, refreshData.data == null ? "{}" : refreshData.data)});
                    return;
                }
                return;
            }
            if (instance != null) {
                instance.onRenderError(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode(), WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + "invokeRefreshInstance FAILED for JSFrameworkInit FAILED, intance will invoke instance.onRenderError");
            }
            WXLogUtils.e("[WXBridgeManager] invokeRefreshInstance: framework.js uninitialized.");
        } catch (Throwable e) {
            String err = "[WXBridgeManager] invokeRefreshInstance " + WXLogUtils.getStackTrace(e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "invokeRefreshInstance", err, null);
            WXLogUtils.e(err);
        }
    }

    public void commitJscCrashAlarmMonitor(String type, WXErrorCode errorCode, String errMsg, String instanceId, String url, Map<String, String> extInfo) {
        if (!TextUtils.isEmpty(type) && errorCode != null) {
            Log.d("ReportCrash", " commitJscCrashAlarmMonitor errMsg " + errMsg);
            Map<String, String> extParams = new HashMap<>();
            extParams.put("jscCrashStack", errMsg);
            if (extInfo != null) {
                extParams.putAll(extInfo);
            }
            IWXJSExceptionAdapter adapter = WXSDKManager.getInstance().getIWXJSExceptionAdapter();
            if (adapter != null) {
                WXJSExceptionInfo jsException = new WXJSExceptionInfo(instanceId, url, errorCode, "callReportCrash", "weex core process crash and restart exception", extParams);
                adapter.onJSException(jsException);
                WXLogUtils.e(jsException.toString());
            }
        }
    }

    private boolean isSkipFrameworkInit(String instanceId) {
        return isSkipFrameworkInit(WXSDKManager.getInstance().getSDKInstance(instanceId));
    }

    private boolean isSkipFrameworkInit(WXSDKInstance instance) {
        if (instance == null) {
            return false;
        }
        return instance.skipFrameworkInit();
    }

    public void createInstance(String instanceId, String template, Map<String, Object> options, String data) {
        createInstance(instanceId, new Script(template), options, data);
    }

    public void createInstance(final String instanceId, final Script template, final Map<String, Object> options, final String data) {
        final WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
        if (instance == null) {
            WXLogUtils.e("WXBridgeManager", "createInstance failed, SDKInstance does not exist");
        } else if (TextUtils.isEmpty(instanceId) || template == null || template.isEmpty() || this.mJSHandler == null) {
            String errorCode = WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode();
            instance.onRenderError(errorCode, WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + " instanceId==" + instanceId + " template ==" + template + " mJSHandler== " + this.mJSHandler.toString());
        } else if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit() || reInitCount != 1 || WXEnvironment.sDebugServerConnectable) {
            WXModuleManager.createDomModule(instance);
            instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_START);
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass18 */

                public void run() {
                    long start = System.currentTimeMillis();
                    WXBridgeManager.this.mWXBridge.setPageArgument(instanceId, "renderTimeOrigin", String.valueOf(instance.getWXPerformance().renderTimeOrigin));
                    WXBridgeManager.this.mWXBridge.setInstanceRenderType(instance.getInstanceId(), instance.getRenderType());
                    WXBridgeManager.this.invokeCreateInstance(instance, template, options, data);
                    instance.getWXPerformance().callCreateInstanceTime = System.currentTimeMillis() - start;
                    instance.getWXPerformance().communicateTime = instance.getWXPerformance().callCreateInstanceTime;
                }
            }, instanceId, instance, METHOD_CREATE_INSTANCE);
        } else {
            String errorCode2 = WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode();
            instance.onRenderError(errorCode2, WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + " isJSFrameworkInit==" + isJSFrameworkInit() + " reInitCount == 1");
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass17 */

                public void run() {
                    WXBridgeManager.this.initFramework("");
                }
            }, instanceId, instance, "initFrameworkInCreateInstance");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x021c  */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x024e  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x011a A[Catch:{ all -> 0x02fa }] */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0134  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x0136  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0144  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x0146  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x015a  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0165  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x017a  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x01ad  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x01bc  */
    private void invokeCreateInstance(WXSDKInstance instance, Script template, Map<String, Object> options, String data) {
        Throwable e;
        BundType type;
        Map<String, Object> options2;
        Object extraOption;
        String str;
        String str2;
        WXJSObject apiObj;
        WXJSObject renderStrategy;
        Map<String, Object> options3;
        Throwable e2;
        if (!isSkipFrameworkInit(instance)) {
            initFramework("");
        }
        if (this.mMock) {
            mock(instance.getInstanceId());
        } else if (isSkipFrameworkInit(instance) || isJSFrameworkInit()) {
            WXModuleManager.registerWhenCreateInstance();
            try {
                BundType type2 = BundType.Others;
                try {
                    long start = System.currentTimeMillis();
                    BundType type3 = getBundleType(instance.getBundleUrl(), template.getContent());
                    if (WXEnvironment.isOpenDebugLog()) {
                        long end = System.currentTimeMillis();
                        WXLogUtils.e("end getBundleType type:" + type3.toString() + " time:" + (end - start));
                    }
                    type = type3;
                } catch (Throwable e3) {
                    WXLogUtils.e(WXLogUtils.getStackTrace(e3));
                    type = type2;
                }
                if (options == null) {
                    try {
                        options3 = new HashMap<>();
                    } catch (Throwable th) {
                        e2 = th;
                        options3 = options;
                        try {
                            WXLogUtils.e(WXLogUtils.getStackTrace(e2));
                            options2 = options3;
                            instance.bundleType = type;
                            WXEnvironment.isApkDebugable();
                            WXJSObject instanceIdObj = new WXJSObject(2, instance.getInstanceId());
                            WXJSObject instanceObj = new WXJSObject(2, template.getContent());
                            if (options2 != null) {
                            }
                            extraOption = null;
                            String str3 = "{}";
                            if (extraOption == null) {
                            }
                            WXJSObject extraOptionObj = new WXJSObject(3, str);
                            if (options2 == null) {
                            }
                            WXJSObject optionsObj = optionObjConvert(isSandBoxContext, type, new WXJSObject(3, str2));
                            if (data != null) {
                            }
                            WXJSObject dataObj = new WXJSObject(3, str3);
                            if (type != BundType.Rax) {
                            }
                            if (mRaxApi == null) {
                            }
                            apiObj = new WXJSObject(2, mRaxApi);
                            if (instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER) {
                            }
                            WXJSObject[] args = {instanceIdObj, instanceObj, optionsObj, dataObj, apiObj, renderStrategy, extraOptionObj};
                            instance.setTemplate(template.getContent());
                            instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_END);
                            if (!isSandBoxContext) {
                            }
                        } catch (Throwable th2) {
                            e = th2;
                            String err = "[WXBridgeManager] invokeCreateInstance " + e.getCause() + instance.getTemplateInfo();
                            instance.onRenderError(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode(), WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + err);
                            WXLogUtils.e(err);
                        }
                    }
                } else {
                    options3 = options;
                }
                try {
                    if (options3.get(BUNDLE_TYPE) == null) {
                        if (type == BundType.Vue) {
                            options3.put(BUNDLE_TYPE, "Vue");
                        } else if (type == BundType.Rax) {
                            options3.put(BUNDLE_TYPE, "Rax");
                        } else {
                            options3.put(BUNDLE_TYPE, "Others");
                        }
                        Object recordBundleType = options3.get(BUNDLE_TYPE);
                        if ((recordBundleType instanceof String) && "Others".equalsIgnoreCase((String) recordBundleType)) {
                            recordBundleType = "other";
                        }
                        if (recordBundleType != null) {
                            instance.getApmForInstance().addProperty(WXInstanceApm.KEY_PAGE_PROPERTIES_BUNDLE_TYPE, recordBundleType);
                        }
                    }
                    if (options3.get(as.a) == null) {
                        options3.put(as.a, this.mInitParams.toMap());
                    }
                    options2 = options3;
                } catch (Throwable th3) {
                    e2 = th3;
                    WXLogUtils.e(WXLogUtils.getStackTrace(e2));
                    options2 = options3;
                    instance.bundleType = type;
                    WXEnvironment.isApkDebugable();
                    WXJSObject instanceIdObj2 = new WXJSObject(2, instance.getInstanceId());
                    WXJSObject instanceObj2 = new WXJSObject(2, template.getContent());
                    if (options2 != null) {
                    }
                    extraOption = null;
                    String str32 = "{}";
                    if (extraOption == null) {
                    }
                    WXJSObject extraOptionObj2 = new WXJSObject(3, str);
                    if (options2 == null) {
                    }
                    WXJSObject optionsObj2 = optionObjConvert(isSandBoxContext, type, new WXJSObject(3, str2));
                    if (data != null) {
                    }
                    WXJSObject dataObj2 = new WXJSObject(3, str32);
                    if (type != BundType.Rax) {
                    }
                    if (mRaxApi == null) {
                    }
                    apiObj = new WXJSObject(2, mRaxApi);
                    if (instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER) {
                    }
                    WXJSObject[] args2 = {instanceIdObj2, instanceObj2, optionsObj2, dataObj2, apiObj, renderStrategy, extraOptionObj2};
                    instance.setTemplate(template.getContent());
                    instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_END);
                    if (!isSandBoxContext) {
                    }
                }
                try {
                    instance.bundleType = type;
                    WXEnvironment.isApkDebugable();
                    WXJSObject instanceIdObj22 = new WXJSObject(2, instance.getInstanceId());
                    WXJSObject instanceObj22 = new WXJSObject(2, template.getContent());
                    if (options2 != null || !options2.containsKey("extraOption")) {
                        extraOption = null;
                    } else {
                        Object extraOption2 = options2.get("extraOption");
                        options2.remove("extraOption");
                        extraOption = extraOption2;
                    }
                    String str322 = "{}";
                    if (extraOption == null) {
                        str = str322;
                    } else {
                        str = WXJsonUtils.fromObjectToJSONString(extraOption);
                    }
                    WXJSObject extraOptionObj22 = new WXJSObject(3, str);
                    if (options2 == null) {
                        str2 = str322;
                    } else {
                        str2 = WXJsonUtils.fromObjectToJSONString(options2);
                    }
                    WXJSObject optionsObj22 = optionObjConvert(isSandBoxContext, type, new WXJSObject(3, str2));
                    if (data != null) {
                        str322 = data;
                    }
                    WXJSObject dataObj22 = new WXJSObject(3, str322);
                    if (type != BundType.Rax || instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER) {
                        if (mRaxApi == null) {
                            IWXJsFileLoaderAdapter iwxJsFileLoaderAdapter = WXSDKEngine.getIWXJsFileLoaderAdapter();
                            if (iwxJsFileLoaderAdapter != null) {
                                mRaxApi = iwxJsFileLoaderAdapter.loadRaxApi();
                            }
                            if (TextUtils.isEmpty(mRaxApi)) {
                                mRaxApi = WXFileUtils.loadAsset("weex-rax-api.js", WXEnvironment.getApplication());
                            }
                        }
                        apiObj = new WXJSObject(2, mRaxApi);
                    } else {
                        apiObj = new WXJSObject(2, "");
                    }
                    if (instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER) {
                        renderStrategy = new WXJSObject(2, WXRenderStrategy.DATA_RENDER.getFlag());
                    } else if (instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER_BINARY) {
                        WXJSObject renderStrategy2 = new WXJSObject(2, WXRenderStrategy.DATA_RENDER_BINARY.getFlag());
                        instanceObj22.data = template.getBinary();
                        renderStrategy = renderStrategy2;
                    } else if (instance.getRenderStrategy() == WXRenderStrategy.JSON_RENDER) {
                        renderStrategy = new WXJSObject(2, WXRenderStrategy.JSON_RENDER.getFlag());
                    } else {
                        renderStrategy = null;
                    }
                    WXJSObject[] args22 = {instanceIdObj22, instanceObj22, optionsObj22, dataObj22, apiObj, renderStrategy, extraOptionObj22};
                    instance.setTemplate(template.getContent());
                    instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_END);
                    if (!isSandBoxContext) {
                        instance.getApmForInstance().onStage("!isSandBoxContext,and excute");
                        WXLogUtils.e("Instance " + instance.getInstanceId() + " Did Not Render in SandBox Mode");
                        invokeExecJS(instance.getInstanceId(), null, METHOD_CREATE_INSTANCE, args22, false);
                        return;
                    }
                    if (type != BundType.Vue && type != BundType.Rax) {
                        if (instance.getRenderStrategy() != WXRenderStrategy.DATA_RENDER) {
                            if (instance.getRenderStrategy() != WXRenderStrategy.DATA_RENDER_BINARY) {
                                if (instance.getRenderStrategy() != WXRenderStrategy.JSON_RENDER) {
                                    invokeExecJS(instance.getInstanceId(), null, METHOD_CREATE_INSTANCE, args22, false);
                                    instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_END);
                                    return;
                                }
                            }
                        }
                    }
                    int ret = invokeCreateInstanceContext(instance.getInstanceId(), instance.getUniPagePath(), METHOD_CREATE_INSTANCE_CONTEXT, args22, false);
                    instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_LOAD_BUNDLE_END);
                    if (ret == 0) {
                        String err2 = "[WXBridgeManager] invokeCreateInstance : " + instance.getTemplateInfo();
                        WXLogUtils.e("Instance " + instance.getInstanceId() + "Render error : " + err2);
                        String errorCode = WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode();
                        StringBuilder sb = new StringBuilder();
                        sb.append(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg());
                        sb.append(err2);
                        instance.onRenderError(errorCode, sb.toString());
                    }
                } catch (Throwable th4) {
                    e = th4;
                    String err3 = "[WXBridgeManager] invokeCreateInstance " + e.getCause() + instance.getTemplateInfo();
                    instance.onRenderError(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode(), WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + err3);
                    WXLogUtils.e(err3);
                }
            } catch (Throwable th5) {
                e = th5;
                String err32 = "[WXBridgeManager] invokeCreateInstance " + e.getCause() + instance.getTemplateInfo();
                instance.onRenderError(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode(), WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + err32);
                WXLogUtils.e(err32);
            }
        } else {
            instance.onRenderError(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode(), WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg());
            WXLogUtils.e("[WXBridgeManager] invokeCreateInstance: framework.js uninitialized.");
        }
    }

    public WXJSObject optionObjConvert(boolean useSandBox, BundType type, WXJSObject opt) {
        JSONObject opts;
        if (!useSandBox) {
            return opt;
        }
        try {
            JSONObject obj = JSON.parseObject(opt.data.toString());
            JSONObject optEnv = obj.getJSONObject(as.a);
            if (!(optEnv == null || (opts = optEnv.getJSONObject("options")) == null)) {
                for (String s : opts.keySet()) {
                    optEnv.put(s, (Object) opts.getString(s));
                }
            }
            return new WXJSObject(3, obj.toString());
        } catch (Throwable e) {
            WXLogUtils.e(WXLogUtils.getStackTrace(e));
            return opt;
        }
    }

    public BundType getBundleType(String url, String temp) {
        if (url != null) {
            try {
                String type = Uri.parse(url).getQueryParameter(BUNDLE_TYPE);
                if (!"Vue".equals(type)) {
                    if (!"vue".equals(type)) {
                        if ("Rax".equals(type) || "rax".equals(type)) {
                            return BundType.Rax;
                        }
                    }
                }
                return BundType.Vue;
            } catch (Throwable e) {
                WXLogUtils.e(WXLogUtils.getStackTrace(e));
                return BundType.Others;
            }
        }
        if (temp != null) {
            return BundType.Vue;
        }
        return BundType.Others;
    }

    private void mock(String instanceId) {
    }

    public void destroyInstance(final String instanceId) {
        if (this.mJSHandler != null && !TextUtils.isEmpty(instanceId)) {
            HashSet<String> hashSet = this.mDestroyedInstanceId;
            if (hashSet != null) {
                hashSet.add(instanceId);
            }
            this.mJSHandler.removeCallbacksAndMessages(instanceId);
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass19 */

                public void run() {
                    WXBridgeManager.this.removeTaskByInstance(instanceId);
                    WXBridgeManager.this.invokeDestroyInstance(instanceId);
                }
            }, instanceId, null, METHOD_DESTROY_INSTANCE);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void removeTaskByInstance(String instanceId) {
        this.mNextTickTasks.removeFromMapAndStack(instanceId);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeDestroyInstance(String instanceId) {
        try {
            WXEnvironment.isApkDebugable();
            WXJSObject[] args = {new WXJSObject(2, instanceId)};
            if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
                invokeDestoryInstance(instanceId, null, METHOD_DESTROY_INSTANCE, args, true);
            }
        } catch (Throwable e) {
            String err = "[WXBridgeManager] invokeDestroyInstance " + e.getCause();
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "invokeDestroyInstance", err, null);
            WXLogUtils.e(err);
        }
    }

    public boolean handleMessage(Message msg) {
        if (msg == null) {
            return false;
        }
        int what = msg.what;
        if (what == 1) {
            TimerInfo timerInfo = (TimerInfo) msg.obj;
            if (timerInfo != null) {
                invokeExecJS("", null, METHOD_SET_TIMEOUT, new WXJSObject[]{new WXJSObject(2, timerInfo.callbackId)});
            }
        } else if (what != 13) {
            if (what == 6) {
                invokeCallJSBatch(msg);
            } else if (what == 7) {
                invokeInitFramework(msg);
            }
        } else if (msg.obj != null) {
            this.mWXBridge.takeHeapSnapshot((String) msg.obj);
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeExecJS(String instanceId, String namespace, String function, WXJSObject[] args) {
        invokeExecJS(instanceId, namespace, function, args, true);
    }

    public void invokeExecJS(final String instanceId, final String namespace, final String function, final WXJSObject[] args, boolean logTaskDetail) {
        Pair<Pair<String, Object>, Boolean> data;
        WXEnvironment.isOpenDebugLog();
        if (RuningAcitvityUtil.isRuningActivity) {
            long start = System.currentTimeMillis();
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null || instance.getRenderStrategy() != WXRenderStrategy.DATA_RENDER_BINARY) {
                WXThread.secure(new Runnable() {
                    /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass20 */

                    public void run() {
                        WXBridgeManager.this.mWXBridge.execJS(instanceId, namespace, function, args);
                    }
                }, instance, "ExecJs").run();
            } else if (args.length != 2 || !(args[0].data instanceof String) || !(args[1].data instanceof String) || (data = extractCallbackArgs((String) args[1].data)) == null) {
                WXLogUtils.w("invokeExecJS on data render that is not a callback call");
                return;
            } else {
                callbackJavascriptOnDataRender(instanceId, (String) ((Pair) data.first).first, ((Pair) data.first).second, ((Boolean) data.second).booleanValue());
            }
            if (instance != null) {
                long diff = System.currentTimeMillis() - start;
                instance.getApmForInstance().updateFSDiffStats(WXInstanceApm.KEY_PAGE_STATS_FS_CALL_JS_NUM, 1.0d);
                instance.getApmForInstance().updateFSDiffStats(WXInstanceApm.KEY_PAGE_STATS_FS_CALL_JS_TIME, (double) diff);
                instance.callJsTime(diff);
            }
        }
    }

    private Pair<Pair<String, Object>, Boolean> extractCallbackArgs(String data) {
        try {
            JSONObject arg_obj = JSON.parseArray(data).getJSONObject(0);
            JSONArray args = arg_obj.getJSONArray("args");
            if (args.size() == 3 && METHOD_CALLBACK.equals(arg_obj.getString("method"))) {
                return new Pair<>(new Pair(args.getString(0), args.getJSONObject(1)), Boolean.valueOf(args.getBooleanValue(2)));
            }
            return null;
        } catch (Exception e) {
            return null;
        }
    }

    public int invokeCreateInstanceContext(String instanceId, String namespace, String function, WXJSObject[] args, boolean logTaskDetail) {
        WXLogUtils.d("invokeCreateInstanceContext instanceId:" + instanceId + " function:" + function + StringUtil.format(" isJSFrameworkInit：%b", Boolean.valueOf(isJSFrameworkInit())));
        StringBuilder sb = this.mLodBuilder;
        sb.append("createInstanceContext >>>> instanceId:");
        sb.append(instanceId);
        sb.append("function:");
        sb.append(function);
        if (logTaskDetail) {
            StringBuilder sb2 = this.mLodBuilder;
            sb2.append(" tasks:");
            sb2.append(WXJsonUtils.fromObjectToJSONString(args));
        }
        WXLogUtils.d(this.mLodBuilder.substring(0));
        this.mLodBuilder.setLength(0);
        return this.mWXBridge.createInstanceContext(instanceId, namespace, function, args);
    }

    public void invokeDestoryInstance(String instanceId, String namespace, String function, WXJSObject[] args, boolean logTaskDetail) {
        StringBuilder sb = this.mLodBuilder;
        sb.append("callJS >>>> instanceId:");
        sb.append(instanceId);
        sb.append("function:");
        sb.append(function);
        if (logTaskDetail) {
            StringBuilder sb2 = this.mLodBuilder;
            sb2.append(" tasks:");
            sb2.append(WXJsonUtils.fromObjectToJSONString(args));
        }
        WXLogUtils.d(this.mLodBuilder.substring(0));
        this.mLodBuilder.setLength(0);
        this.mWXBridge.removeInstanceRenderType(instanceId);
        this.mWXBridge.destoryInstance(instanceId, namespace, function, args);
    }

    private void execJSOnInstance(final EventResult eventCallback, final String instanceId, final String js, final int type) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass21 */

            public void run() {
                eventCallback.onCallback(WXBridgeManager.this.invokeExecJSOnInstance(instanceId, js, type));
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String invokeExecJSOnInstance(String instanceId, String js, int type) {
        StringBuilder sb = this.mLodBuilder;
        sb.append("execJSOnInstance >>>> instanceId:");
        sb.append(instanceId);
        WXLogUtils.d(this.mLodBuilder.substring(0));
        this.mLodBuilder.setLength(0);
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            return this.mWXBridge.execJSOnInstance(instanceId, js, type);
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeExecJSWithCallback(String instanceId, String namespace, String function, WXJSObject[] args, ResultCallback callback, boolean logTaskDetail) {
        WXEnvironment.isOpenDebugLog();
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.execJSWithCallback(instanceId, namespace, function, args, callback);
        }
    }

    public static String argsToJSON(WXJSObject[] args) {
        StringBuilder builder = new StringBuilder();
        builder.append(Operators.ARRAY_START_STR);
        for (WXJSObject object : args) {
            builder.append(WXWsonJSONSwitch.fromObjectToJSONString(object));
            builder.append(",");
        }
        builder.append(Operators.ARRAY_END_STR);
        return builder.toString();
    }

    private void invokeInitFramework(Message msg) {
        String framework = "";
        if (msg.obj != null) {
            framework = (String) msg.obj;
        }
        if (WXUtils.getAvailMemory(WXEnvironment.getApplication()) > LOW_MEM_VALUE) {
            initFramework(framework);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initFramework(String framework) {
        LogDetail logDetail = new LogDetail();
        logDetail.name(IWXUserTrackAdapter.INIT_FRAMEWORK);
        logDetail.taskStart();
        if (WXSDKEngine.isSoInitialized() && !isJSFrameworkInit()) {
            sInitFrameWorkTimeOrigin = System.currentTimeMillis();
            if (TextUtils.isEmpty(framework)) {
                WXLogUtils.d("weex JS framework from assets");
                LogDetail logDetail2 = new LogDetail();
                logDetail2.name("loadJSFramework");
                logDetail2.taskStart();
                IWXJsFileLoaderAdapter wxJsFileLoaderAdapter = WXSDKEngine.getIWXJsFileLoaderAdapter();
                if (!isSandBoxContext) {
                    if (wxJsFileLoaderAdapter != null) {
                        framework = wxJsFileLoaderAdapter.loadJsFramework();
                    }
                    if (TextUtils.isEmpty(framework)) {
                        framework = WXFileUtils.loadAsset("main.js", WXEnvironment.getApplication());
                    }
                } else {
                    if (wxJsFileLoaderAdapter != null) {
                        framework = wxJsFileLoaderAdapter.loadJsFrameworkForSandBox();
                    }
                    if (TextUtils.isEmpty(framework)) {
                        framework = WXFileUtils.loadAsset("weex-main-jsfm.js", WXEnvironment.getApplication());
                    }
                }
                StringBuilder sb = sInitFrameWorkMsg;
                sb.append("| weex JS framework from assets, isSandBoxContext: ");
                sb.append(isSandBoxContext);
                logDetail2.taskEnd();
                WXDotDataUtil.setValue(logDetail2.info.taskName, Long.valueOf(logDetail2.time.execTime));
            }
            WXDotDataUtil.setValue("jsEngine", Constants.CodeCache.SAVE_PATH);
            if (TextUtils.isEmpty(framework)) {
                setJSFrameworkInit(false);
                sInitFrameWorkMsg.append("| framework isEmpty ");
                WXExceptionUtils.commitCriticalExceptionRT(null, WXErrorCode.WX_ERR_JS_FRAMEWORK, IWXUserTrackAdapter.INIT_FRAMEWORK, "framework is empty!! ", null);
                return;
            }
            try {
                if (WXSDKManager.getInstance().getWXStatisticsListener() != null) {
                    long start = System.currentTimeMillis();
                    WXSDKManager.getInstance().getWXStatisticsListener().onJsFrameworkStart();
                    WXEnvironment.sJSFMStartListenerTime = System.currentTimeMillis() - start;
                    try {
                        IWXUserTrackAdapter adapter = WXSDKManager.getInstance().getIWXUserTrackAdapter();
                        if (adapter != null) {
                            Map<String, Serializable> params = new HashMap<>(1);
                            params.put(Constants.Value.TIME, String.valueOf(WXEnvironment.sJSFMStartListenerTime));
                            adapter.commit(WXEnvironment.getApplication(), "sJSFMStartListener", IWXUserTrackAdapter.COUNTER, null, params);
                        }
                    } catch (Exception e) {
                        WXLogUtils.e(WXLogUtils.getStackTrace(e));
                    }
                }
                long start2 = System.currentTimeMillis();
                String crashFile = "";
                try {
                    crashFile = WXEnvironment.getApplication().getApplicationContext().getCacheDir().getPath();
                } catch (Exception e2) {
                    WXLogUtils.e(WXLogUtils.getStackTrace(e2));
                }
                boolean pieSupport = true;
                try {
                    if (Build.VERSION.SDK_INT < 16) {
                        pieSupport = false;
                    }
                } catch (Exception e3) {
                    WXLogUtils.e(WXLogUtils.getStackTrace(e3));
                }
                StringBuilder sb2 = sInitFrameWorkMsg;
                sb2.append(" | pieSupport:");
                sb2.append(pieSupport);
                WXLogUtils.d("[WXBridgeManager] initFrameworkEnv crashFile:" + crashFile + " pieSupport:" + pieSupport);
                LogDetail logDetail3 = new LogDetail();
                logDetail3.name("native initFrameworkEnv");
                logDetail3.taskStart();
                if (this.mWXBridge.initFrameworkEnv(framework, assembleDefaultOptions(), crashFile, pieSupport) == 1) {
                    logDetail3.taskEnd();
                    WXDotDataUtil.setValue(logDetail3.info.taskName, Long.valueOf(logDetail3.time.execTime));
                    WXEnvironment.sJSLibInitTime = System.currentTimeMillis() - start2;
                    WXEnvironment.sSDKInitTime = System.currentTimeMillis() - WXEnvironment.sSDKInitStart;
                    setJSFrameworkInit(true);
                    logDetail.taskEnd();
                    WXDotDataUtil.setValue(logDetail.info.taskName, Long.valueOf(logDetail.time.execTime));
                    if (WXSDKManager.getInstance().getWXStatisticsListener() != null) {
                        WXSDKManager.getInstance().getWXStatisticsListener().onJsFrameworkReady();
                    }
                    execRegisterFailTask();
                    WXEnvironment.JsFrameworkInit = true;
                    registerDomModule();
                    trackComponentAndModulesTime();
                    return;
                }
                StringBuilder sb3 = sInitFrameWorkMsg;
                sb3.append(" | ExecuteJavaScript fail, reInitCount");
                sb3.append(reInitCount);
                if (reInitCount > 1) {
                    WXLogUtils.e("[WXBridgeManager] invokeReInitFramework  ExecuteJavaScript fail");
                } else {
                    WXLogUtils.e("[WXBridgeManager] invokeInitFramework  ExecuteJavaScript fail");
                }
            } catch (Throwable e4) {
                StringBuilder sb4 = sInitFrameWorkMsg;
                sb4.append(" | invokeInitFramework exception ");
                sb4.append(e4.toString());
                if (reInitCount > 1) {
                    WXLogUtils.e("[WXBridgeManager] invokeInitFramework ", e4);
                } else {
                    WXLogUtils.e("[WXBridgeManager] invokeInitFramework ", e4);
                }
            }
        }
    }

    private void trackComponentAndModulesTime() {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass22 */

            public void run() {
                WXEnvironment.sComponentsAndModulesReadyTime = System.currentTimeMillis() - WXEnvironment.sSDKInitStart;
            }
        });
    }

    private void invokeCallJSBatch(Message message) {
        if (!this.mNextTickTasks.isEmpty() && isJSFrameworkInit()) {
            try {
                Object instanceId = message.obj;
                Object task = null;
                Stack<String> instanceStack = this.mNextTickTasks.getInstanceStack();
                int i = instanceStack.size() - 1;
                while (true) {
                    if (i >= 0) {
                        instanceId = instanceStack.get(i);
                        task = this.mNextTickTasks.remove(instanceId);
                        if (task != null && !((ArrayList) task).isEmpty()) {
                            break;
                        }
                        i--;
                    } else {
                        break;
                    }
                }
                if (task != null) {
                    invokeExecJS(String.valueOf(instanceId), null, METHOD_CALL_JS, new WXJSObject[]{new WXJSObject(2, instanceId), WXWsonJSONSwitch.toWsonOrJsonWXJSObject(((ArrayList) task).toArray())});
                }
            } catch (Throwable e) {
                WXLogUtils.e("WXBridgeManager", e);
                WXExceptionUtils.commitCriticalExceptionRT(null, WXErrorCode.WX_ERR_JS_FRAMEWORK, "invokeCallJSBatch", "invokeCallJSBatch#" + WXLogUtils.getStackTrace(e), null);
            }
            if (!this.mNextTickTasks.isEmpty()) {
                this.mJSHandler.sendEmptyMessage(6);
            }
        } else if (!isJSFrameworkInit()) {
            WXLogUtils.e("[WXBridgeManager] invokeCallJSBatch: framework.js uninitialized!!  message:" + message.toString());
        }
    }

    private WXParams assembleDefaultOptions() {
        checkJsEngineMultiThread();
        Map<String, String> config = WXEnvironment.getConfig();
        WXParams wxParams = new WXParams();
        wxParams.setPlatform(config.get("os"));
        wxParams.setCacheDir(config.get(WXConfig.cacheDir));
        wxParams.setOsVersion(config.get(WXConfig.sysVersion));
        wxParams.setAppVersion(config.get(WXConfig.appVersion));
        wxParams.setWeexVersion(config.get(WXConfig.weexVersion));
        wxParams.setDeviceModel(config.get(WXConfig.sysModel));
        wxParams.setShouldInfoCollect(config.get("infoCollect"));
        wxParams.setLogLevel(config.get(WXConfig.logLevel));
        wxParams.setLayoutDirection(config.get(WXConfig.layoutDirection));
        wxParams.setUseSingleProcess(isUseSingleProcess ? AbsoluteConst.TRUE : AbsoluteConst.FALSE);
        wxParams.setCrashFilePath(WXEnvironment.getCrashFilePath(WXEnvironment.getApplication().getApplicationContext()));
        wxParams.setLibJsbPath(WXEnvironment.CORE_JSB_SO_PATH);
        wxParams.setLibJssPath(WXEnvironment.getLibJssRealPath());
        wxParams.setLibIcuPath(WXEnvironment.getLibJssIcuPath());
        wxParams.setLibLdPath(WXEnvironment.getLibLdPath());
        String libJScRealPath = WXEnvironment.getLibJScRealPath();
        wxParams.setLibJscPath(TextUtils.isEmpty(libJScRealPath) ? "" : new File(libJScRealPath).getParent());
        String appName = config.get("appName");
        if (!TextUtils.isEmpty(appName)) {
            wxParams.setAppName(appName);
        }
        wxParams.setDeviceWidth(TextUtils.isEmpty(config.get(WXConfig.deviceWidth)) ? String.valueOf(WXViewUtils.getScreenWidth(WXEnvironment.sApplication)) : config.get(WXConfig.deviceWidth));
        wxParams.setDeviceHeight(TextUtils.isEmpty(config.get(WXConfig.deviceHeight)) ? String.valueOf(WXViewUtils.getScreenHeight(WXEnvironment.sApplication)) : config.get(WXConfig.deviceHeight));
        Map<String, String> customOptions = WXEnvironment.getCustomOptions();
        customOptions.put("enableBackupThread", String.valueOf(jsEngineMultiThreadEnable()));
        IWXJscProcessManager wxJscProcessManager = WXSDKManager.getInstance().getWXJscProcessManager();
        if (wxJscProcessManager != null) {
            customOptions.put("enableBackupThreadCache", String.valueOf(wxJscProcessManager.enableBackUpThreadCache()));
        }
        if (!WXEnvironment.sUseRunTimeApi) {
            customOptions.put("__enable_native_promise__", AbsoluteConst.TRUE);
        }
        wxParams.setOptions(customOptions);
        wxParams.setNeedInitV8(WXSDKManager.getInstance().needInitV8());
        this.mInitParams = wxParams;
        return wxParams;
    }

    public WXParams getInitParams() {
        return this.mInitParams;
    }

    private void execRegisterFailTask() {
        if (this.mRegisterModuleFailList.size() > 0) {
            List<Map<String, Object>> moduleReceiver = new ArrayList<>();
            int moduleCount = this.mRegisterModuleFailList.size();
            for (int i = 0; i < moduleCount; i++) {
                invokeRegisterModules(this.mRegisterModuleFailList.get(i), moduleReceiver);
            }
            this.mRegisterModuleFailList.clear();
            if (moduleReceiver.size() > 0) {
                this.mRegisterModuleFailList.addAll(moduleReceiver);
            }
        }
        if (this.mRegisterComponentFailList.size() > 0) {
            List<Map<String, Object>> receiver = new ArrayList<>();
            invokeRegisterComponents(this.mRegisterComponentFailList, receiver);
            this.mRegisterComponentFailList.clear();
            if (receiver.size() > 0) {
                this.mRegisterComponentFailList.addAll(receiver);
            }
        }
        if (this.mRegisterServiceFailList.size() > 0) {
            List<String> receiver2 = new ArrayList<>();
            for (String service : this.mRegisterServiceFailList) {
                invokeExecJSService(service, receiver2);
            }
            this.mRegisterServiceFailList.clear();
            if (receiver2.size() > 0) {
                this.mRegisterServiceFailList.addAll(receiver2);
            }
        }
    }

    public void registerModules(final Map<String, Object> modules) {
        if (modules != null && modules.size() != 0) {
            if (isJSThread()) {
                invokeRegisterModules(modules, this.mRegisterModuleFailList);
            } else {
                post(new Runnable() {
                    /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass23 */

                    public void run() {
                        WXBridgeManager wXBridgeManager = WXBridgeManager.this;
                        wXBridgeManager.invokeRegisterModules(modules, wXBridgeManager.mRegisterModuleFailList);
                    }
                }, null);
            }
        }
    }

    public void registerComponents(final List<Map<String, Object>> components) {
        if (this.mJSHandler != null && components != null && components.size() != 0) {
            Runnable runnable = new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass24 */

                public void run() {
                    WXBridgeManager wXBridgeManager = WXBridgeManager.this;
                    wXBridgeManager.invokeRegisterComponents(components, wXBridgeManager.mRegisterComponentFailList);
                }
            };
            if (!isJSThread() || !isJSFrameworkInit()) {
                post(runnable);
            } else {
                runnable.run();
            }
        }
    }

    public void execJSService(final String service) {
        postWithName(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass25 */

            public void run() {
                WXBridgeManager wXBridgeManager = WXBridgeManager.this;
                wXBridgeManager.invokeExecJSService(service, wXBridgeManager.mRegisterServiceFailList);
            }
        }, null, "execJSService");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeExecJSService(String service, List<String> receiver) {
        try {
            if (!isJSFrameworkInit()) {
                WXLogUtils.e("[WXBridgeManager] invoke execJSService: framework.js uninitialized.");
                receiver.add(service);
                return;
            }
            this.mWXBridge.execJSService(service);
        } catch (Throwable e) {
            WXLogUtils.e("[WXBridgeManager] invokeRegisterService:", e);
            Map<String, String> data = new HashMap<>();
            data.put("inputParams", service + Operators.OR + receiver.toString());
            WXErrorCode wXErrorCode = WXErrorCode.WX_KEY_EXCEPTION_INVOKE_JSSERVICE_EXECUTE;
            WXExceptionUtils.commitCriticalExceptionRT("invokeExecJSService", wXErrorCode, "invokeExecJSService", WXErrorCode.WX_KEY_EXCEPTION_INVOKE_JSSERVICE_EXECUTE.getErrorMsg() + "[WXBridgeManager] invokeRegisterService:" + WXLogUtils.getStackTrace(e), data);
        }
    }

    public boolean isJSThread() {
        WXThread wXThread = this.mJSThread;
        return wXThread != null && wXThread.getId() == Thread.currentThread().getId();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeRegisterModules(Map<String, Object> modules, List<Map<String, Object>> failReceiver) {
        if (modules == null || !isJSFrameworkInit()) {
            if (!isJSFrameworkInit()) {
                WXLogUtils.d("[WXinvokeRegisterModulesBridgeManager] invokeRegisterModules: framework.js uninitialized.");
            }
            failReceiver.add(modules);
            return;
        }
        WXJSObject[] args = {WXWsonJSONSwitch.toWsonOrJsonWXJSObject(modules)};
        String errorMsg = null;
        try {
            if (this.mWXBridge instanceof WXBridge) {
                ((WXBridge) this.mWXBridge).registerModuleOnDataRenderNode(WXJsonUtils.fromObjectToJSONString(modules));
            }
        } catch (Throwable e) {
            WXLogUtils.e("Weex [data_render register err]", e);
        }
        try {
            if (this.mWXBridge.execJS("", null, METHOD_REGISTER_MODULES, args) == 0) {
                errorMsg = "execJS error";
            }
            try {
                for (String module : modules.keySet()) {
                    if (module != null) {
                        WXModuleManager.resetModuleState(module, true);
                    }
                }
            } catch (Throwable e2) {
                WXLogUtils.e("Weex [invokeRegisterModules]", e2);
            }
        } catch (Throwable e3) {
            errorMsg = WXErrorCode.WX_KEY_EXCEPTION_INVOKE_REGISTER_MODULES.getErrorMsg() + " \n " + e3.getMessage() + modules.entrySet().toString();
        }
        if (!TextUtils.isEmpty(errorMsg)) {
            WXLogUtils.e("[WXBridgeManager] invokeRegisterModules:", errorMsg);
            WXExceptionUtils.commitCriticalExceptionRT(null, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_REGISTER_MODULES, "invokeRegisterModules", errorMsg, null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeRegisterComponents(List<Map<String, Object>> components, List<Map<String, Object>> failReceiver) {
        if (components == failReceiver) {
            throw new RuntimeException("Fail receiver should not use source.");
        } else if (!isJSFrameworkInit()) {
            for (Map<String, Object> comp : components) {
                failReceiver.add(comp);
            }
        } else if (components != null) {
            try {
                if (this.mWXBridge instanceof WXBridge) {
                    ((WXBridge) this.mWXBridge).registerComponentOnDataRenderNode(WXJsonUtils.fromObjectToJSONString(components));
                }
            } catch (Throwable e) {
                WXLogUtils.e("Weex [data_render register err]", e);
            }
            WXJSObject[] args = {WXWsonJSONSwitch.toWsonOrJsonWXJSObject(components)};
            String errorMsg = null;
            try {
                if (this.mWXBridge.execJS("", null, METHOD_REGISTER_COMPONENTS, args) == 0) {
                    errorMsg = "execJS error";
                }
            } catch (Throwable e2) {
                errorMsg = WXErrorCode.WX_KEY_EXCEPTION_INVOKE_REGISTER_COMPONENT + args.toString() + WXLogUtils.getStackTrace(e2);
            }
            if (!TextUtils.isEmpty(errorMsg)) {
                WXLogUtils.e("[WXBridgeManager] invokeRegisterComponents ", errorMsg);
                WXExceptionUtils.commitCriticalExceptionRT(null, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_REGISTER_COMPONENT, METHOD_REGISTER_COMPONENTS, errorMsg, null);
            }
        }
    }

    public void destroy() {
        WXThread wXThread = this.mJSThread;
        if (wXThread != null) {
            wXThread.quit();
        }
        mBridgeManager = null;
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null) {
            hashSet.clear();
        }
    }

    public void reportJSException(String instanceId, String function, String exception) {
        WXSDKInstance instance;
        int etype;
        if (function.startsWith("jsscope::")) {
            Context context = WXEnvironment.getApplication().getApplicationContext();
            if (context != null && !BaseInfo.isBase(context)) {
                String eurl = instanceId;
                char c = 65535;
                boolean z = false;
                switch (instanceId.hashCode()) {
                    case -2076326187:
                        if (instanceId.equals("jsframework")) {
                            c = 2;
                            break;
                        }
                        break;
                    case -518688385:
                        if (instanceId.equals("uni-jsframework.js")) {
                            c = 3;
                            break;
                        }
                        break;
                    case 3271632:
                        if (instanceId.equals("jsfm")) {
                            c = 1;
                            break;
                        }
                        break;
                    case 293174862:
                        if (instanceId.equals("app-service.js")) {
                            c = 4;
                            break;
                        }
                        break;
                    case 1984153269:
                        if (instanceId.equals("service")) {
                            c = 0;
                            break;
                        }
                        break;
                }
                if (c == 0 || c == 1 || c == 2 || c == 3) {
                    etype = 4;
                    eurl = "uni-jsframework.js";
                } else if (c != 4) {
                    etype = 6;
                    WXSDKInstance instance2 = WXSDKManager.getInstance().getSDKInstance(instanceId);
                    if (instance2 != null && (eurl = instance2.getUniPagePath()) == "app-service.js") {
                        etype = 5;
                    }
                } else {
                    etype = 5;
                }
                boolean needReport = false;
                org.json.JSONObject uniStatistics = JSONUtil.createJSONObject(AppRuntime.getUniStatistics());
                if (uniStatistics != null) {
                    String version = JSONUtil.getString(uniStatistics, "version");
                    boolean enable = JSONUtil.getBoolean(uniStatistics, "enable");
                    if (PdrUtil.isEquals("2", version) && enable) {
                        z = true;
                    }
                    needReport = z;
                }
                if (needReport) {
                    UEH.commitUncatchException(context, eurl, exception, etype);
                }
            }
            function = function.substring(9);
        }
        WXLogUtils.e("reportJSException >>>> instanceId:" + instanceId + ", exception function:" + function + ", exception:" + exception);
        WXErrorCode reportErrorCode = WXErrorCode.WX_ERR_JS_EXECUTE;
        if (!(instanceId == null || (instance = WXSDKManager.getInstance().getSDKInstance(instanceId)) == null)) {
            instance.setHasException(true);
            if (METHOD_CREATE_INSTANCE.equals(function) || !instance.isContentMd5Match()) {
                try {
                    if (isSkipFrameworkInit(instanceId) || !isJSFrameworkInit() || reInitCount <= 1 || reInitCount >= 10 || instance.isNeedReLoad()) {
                        instance.onRenderError(WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorCode(), WXErrorCode.WX_DEGRAD_ERR_INSTANCE_CREATE_FAILED.getErrorMsg() + ", reportJSException >>>> instanceId:" + instanceId + ", exception function:" + function + ", exception:" + exception + ", extInitTime:" + (System.currentTimeMillis() - sInitFrameWorkTimeOrigin) + "ms" + ", extInitErrorMsg:" + sInitFrameWorkMsg.toString());
                        if (!WXEnvironment.sInAliWeex) {
                            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_JS_CREATE_INSTANCE, function, exception, null);
                            return;
                        }
                        return;
                    }
                    new ActionReloadPage(instanceId, true).executeAction();
                    instance.setNeedLoad(true);
                    return;
                } catch (Exception e) {
                    WXLogUtils.e(WXLogUtils.getStackTrace(e));
                }
            }
            if (METHOD_CREATE_INSTANCE.equals(function) && !instance.getApmForInstance().hasAddView) {
                reportErrorCode = WXErrorCode.WX_RENDER_ERR_JS_CREATE_INSTANCE;
            } else if (METHOD_CREATE_INSTANCE_CONTEXT.equals(function) && !instance.getApmForInstance().hasAddView) {
                reportErrorCode = WXErrorCode.WX_RENDER_ERR_JS_CREATE_INSTANCE_CONTEXT;
            } else if ((METHOD_UPDATE_COMPONENT_WITH_DATA.equals(function) || METHOD_CREATE_PAGE_WITH_CONTENT.equals(function) || METHOD_POST_TASK_TO_MSG_LOOP.equals(function) || METHOD_JSFM_NOT_INIT_IN_EAGLE_MODE.equals(function)) && !instance.getApmForInstance().hasAddView) {
                reportErrorCode = WXErrorCode.WX_DEGRAD_EAGLE_RENDER_ERROR;
            } else if (METHOD_CHECK_APPKEY.equals(function)) {
                reportErrorCode = WXErrorCode.WX_KEY_EXCEPTION_VALIDAPPKEY;
            }
            instance.onJSException(reportErrorCode.getErrorCode(), function, exception);
        }
        doReportJSException(instanceId, function, reportErrorCode, exception);
    }

    private void doReportJSException(String instanceId, String function, WXErrorCode reportCode, String exception) {
        String exceptionId;
        String exception2;
        String str;
        WXSDKInstance instance = WXSDKManager.getInstance().getAllInstanceMap().get(instanceId);
        if (WXSDKManager.getInstance().getIWXJSExceptionAdapter() != null) {
            if (TextUtils.isEmpty(instanceId)) {
                exceptionId = "instanceIdisNull";
            } else {
                exceptionId = instanceId;
            }
            if (instance != null) {
                str = exception;
            } else if (IWXUserTrackAdapter.INIT_FRAMEWORK.equals(function)) {
                String exceptionExt = null;
                try {
                    if (WXEnvironment.getApplication() != null) {
                        try {
                            File file = new File(WXEnvironment.getApplication().getApplicationContext().getCacheDir().getPath() + INITLOGFILE);
                            if (file.exists()) {
                                if (file.length() > 0) {
                                    StringBuilder result = new StringBuilder();
                                    try {
                                        BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(file), "UTF-8"));
                                        while (true) {
                                            String s = br.readLine();
                                            if (s == null) {
                                                break;
                                            }
                                            result.append(s + "\n");
                                        }
                                        exceptionExt = result.toString();
                                        br.close();
                                    } catch (Exception e) {
                                        WXLogUtils.e(WXLogUtils.getStackTrace(e));
                                    }
                                }
                                file.delete();
                            }
                        } catch (Throwable throwable) {
                            WXLogUtils.e(WXLogUtils.getStackTrace(throwable));
                        }
                    }
                } catch (Throwable e2) {
                    WXLogUtils.e(WXLogUtils.getStackTrace(e2));
                }
                exception2 = exception + "\n" + exceptionExt;
                WXLogUtils.e("reportJSException:" + exception2);
                WXExceptionUtils.commitCriticalExceptionRT(exceptionId, reportCode, function, reportCode.getErrorMsg() + exception2, null);
            } else {
                str = exception;
            }
            exception2 = str;
            WXExceptionUtils.commitCriticalExceptionRT(exceptionId, reportCode, function, reportCode.getErrorMsg() + exception2, null);
        }
    }

    private void registerDomModule() throws WXException {
        Map<String, Object> domMap = new HashMap<>();
        domMap.put(WXDomModule.WXDOM, WXDomModule.METHODS);
        registerModules(domMap);
    }

    @Deprecated
    public void notifyTrimMemory() {
    }

    public static void updateGlobalConfig(String config) {
        if (TextUtils.isEmpty(config)) {
            config = "none";
        }
        if (!TextUtils.equals(config, globalConfig)) {
            globalConfig = config;
            WXEnvironment.addCustomOptions(GLOBAL_CONFIG_KEY, config);
            Runnable runnable = new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass26 */

                public void run() {
                    if (WXBridgeManager.mBridgeManager != null && WXBridgeManager.mBridgeManager.isJSFrameworkInit() && (WXBridgeManager.mBridgeManager.mWXBridge instanceof WXBridge)) {
                        ((WXBridge) WXBridgeManager.mBridgeManager.mWXBridge).nativeUpdateGlobalConfig(WXBridgeManager.globalConfig);
                    }
                    if (WXBridgeManager.globalConfig.contains(WXWsonJSONSwitch.WSON_OFF)) {
                        WXWsonJSONSwitch.USE_WSON = false;
                    } else {
                        WXWsonJSONSwitch.USE_WSON = true;
                    }
                }
            };
            if (mBridgeManager == null || !mBridgeManager.isJSFrameworkInit()) {
                runnable.run();
            } else {
                mBridgeManager.post(runnable);
            }
        }
    }

    public Looper getJSLooper() {
        WXThread wXThread = this.mJSThread;
        if (wXThread != null) {
            return wXThread.getLooper();
        }
        return null;
    }

    public void notifySerializeCodeCache() {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass27 */

            public void run() {
                if (WXBridgeManager.this.isJSFrameworkInit()) {
                    WXBridgeManager.this.invokeExecJS("", null, WXBridgeManager.METHOD_NOTIFY_SERIALIZE_CODE_CACHE, new WXJSObject[0]);
                }
            }
        });
    }

    public void takeJSHeapSnapshot(String filename) {
        Message msg = this.mJSHandler.obtainMessage();
        msg.obj = filename;
        msg.what = 13;
        msg.setTarget(this.mJSHandler);
        msg.sendToTarget();
    }

    public int callCreateBody(String pageId, String componentType, String ref, HashMap<String, String> styles, HashMap<String, String> attributes, HashSet<String> events, float[] margins, float[] paddings, float[] borders) {
        if (!TextUtils.isEmpty(pageId) && !TextUtils.isEmpty(componentType)) {
            if (!TextUtils.isEmpty(ref)) {
                WXEnvironment.isApkDebugable();
                HashSet<String> hashSet = this.mDestroyedInstanceId;
                if (hashSet != null && hashSet.contains(pageId)) {
                    return -1;
                }
                try {
                    WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(pageId);
                    if (instance == null) {
                        return 1;
                    }
                    BasicGraphicAction action = new GraphicActionCreateBody(instance, ref, componentType, styles, attributes, events, margins, paddings, borders);
                    WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
                    return 1;
                } catch (Exception e) {
                    WXLogUtils.e("[WXBridgeManager] callCreateBody exception: ", e);
                    WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callCreateBody", WXLogUtils.getStackTrace(e), null);
                    return 1;
                }
            }
        }
        WXLogUtils.d("[WXBridgeManager] call callCreateBody arguments is null");
        WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callCreateBody", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
        return 0;
    }

    public int callAddElement(String pageId, String componentType, String ref, int index, String parentRef, HashMap<String, String> styles, HashMap<String, String> attributes, HashSet<String> events, float[] margins, float[] paddings, float[] borders, boolean willLayout) {
        Exception e;
        if (!TextUtils.isEmpty(pageId) && !TextUtils.isEmpty(componentType)) {
            if (!TextUtils.isEmpty(ref)) {
                WXEnvironment.isApkDebugable();
                HashSet<String> hashSet = this.mDestroyedInstanceId;
                if (hashSet != null && hashSet.contains(pageId)) {
                    return -1;
                }
                try {
                    WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(pageId);
                    if (instance == null) {
                        return 1;
                    }
                    GraphicActionAddElement action = new GraphicActionAddElement(instance, ref, componentType, parentRef, index, styles, attributes, events, margins, paddings, borders);
                    if (willLayout) {
                        try {
                            instance.addInActiveAddElementAction(ref, action);
                            return 1;
                        } catch (Exception e2) {
                            e = e2;
                            WXLogUtils.e("[WXBridgeManager] callAddElement exception: ", e);
                            WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callAddElement", WXLogUtils.getStackTrace(e), null);
                            return 1;
                        }
                    } else {
                        WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(pageId, action);
                        return 1;
                    }
                } catch (Exception e3) {
                    e = e3;
                    WXLogUtils.e("[WXBridgeManager] callAddElement exception: ", e);
                    WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callAddElement", WXLogUtils.getStackTrace(e), null);
                    return 1;
                }
            }
        }
        if (WXEnvironment.isApkDebugable()) {
            WXLogUtils.d("[WXBridgeManager] call callAddElement arguments is null");
        }
        WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callAddElement", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
        return 0;
    }

    public int callRemoveElement(String instanceId, String ref) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callRemoveElement arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRemoveElement", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            BasicGraphicAction action = new GraphicActionRemoveElement(instance, ref);
            if (instance.getInActiveAddElementAction(ref) != null) {
                instance.removeInActiveAddElmentAction(ref);
                return 1;
            }
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRemoveElement exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRemoveElement", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public int callMoveElement(String instanceId, String ref, String parentref, int index) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref) || TextUtils.isEmpty(parentref)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callMoveElement arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callMoveElement", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            BasicGraphicAction action = new GraphicActionMoveElement(instance, ref, parentref, index);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callMoveElement exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callMoveElement", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public int callAddEvent(String instanceId, String ref, String event) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref) || TextUtils.isEmpty(event)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callAddEvent arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callAddEvent", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance != null) {
                new GraphicActionAddEvent(instance, ref, event).executeActionOnRender();
            }
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callAddEvent exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callAddEvent", WXLogUtils.getStackTrace(e), null);
        }
        getNextTick(instanceId);
        return 1;
    }

    public int callRemoveEvent(String instanceId, String ref, String event) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref) || TextUtils.isEmpty(event)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callRemoveEvent arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRemoveEvent", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance != null) {
                new GraphicActionRemoveEvent(instance, ref, event).executeActionOnRender();
            }
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRemoveEvent exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRemoveEvent", WXLogUtils.getStackTrace(e), null);
        }
        getNextTick(instanceId);
        return 1;
    }

    public int callUpdateStyle(String instanceId, String ref, HashMap<String, Object> styles, HashMap<String, String> paddings, HashMap<String, String> margins, HashMap<String, String> borders) {
        if (!TextUtils.isEmpty(instanceId)) {
            if (!TextUtils.isEmpty(ref)) {
                WXEnvironment.isApkDebugable();
                HashSet<String> hashSet = this.mDestroyedInstanceId;
                if (hashSet != null && hashSet.contains(instanceId)) {
                    return -1;
                }
                try {
                    WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
                    if (instance == null) {
                        return 1;
                    }
                    BasicGraphicAction action = new GraphicActionUpdateStyle(instance, ref, styles, paddings, margins, borders);
                    WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
                    return 1;
                } catch (Exception e) {
                    WXLogUtils.e("[WXBridgeManager] callUpdateStyle exception: ", e);
                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callUpdateStyle", WXLogUtils.getStackTrace(e), null);
                    return 1;
                }
            }
        }
        if (WXEnvironment.isApkDebugable()) {
            WXLogUtils.d("[WXBridgeManager] call callUpdateStyle arguments is null");
        }
        WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callUpdateStyle", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
        return 0;
    }

    public int callUpdateAttrs(String instanceId, String ref, HashMap<String, String> attrs) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callUpdateAttrs arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callUpdateAttrs", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            BasicGraphicAction action = new GraphicActionUpdateAttr(instance, ref, attrs);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callUpdateAttrs exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callUpdateAttrs", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    private void setExceedGPULimitComponentsInfo(String instanceId, String ref, GraphicSize layoutSize) {
        float limit = (float) WXRenderManager.getOpenGLRenderLimitValue();
        if (limit <= 0.0f) {
            return;
        }
        if (layoutSize.getHeight() > limit || layoutSize.getWidth() > limit) {
            JSONObject ext = new JSONObject();
            WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(instanceId, ref);
            ext.put("GPU limit", (Object) String.valueOf(limit));
            ext.put("component.width", (Object) String.valueOf(layoutSize.getWidth()));
            ext.put("component.height", (Object) String.valueOf(layoutSize.getHeight()));
            if (component.getComponentType() != null && !component.getComponentType().isEmpty()) {
                ext.put("component.type", (Object) component.getComponentType());
            }
            if (component.getStyles() != null && !component.getStyles().isEmpty()) {
                ext.put("component.style", (Object) component.getStyles().toString());
            }
            if (component.getAttrs() != null && !component.getAttrs().isEmpty()) {
                ext.put("component.attr", (Object) component.getAttrs().toString());
            }
            if (component.getEvents() != null && !component.getEvents().isEmpty()) {
                ext.put("component.event", (Object) component.getEvents().toString());
            }
            if (component.getMargin() != null) {
                ext.put("component.margin", (Object) component.getMargin().toString());
            }
            if (component.getPadding() != null) {
                ext.put("component.padding", (Object) component.getPadding().toString());
            }
            if (component.getBorder() != null) {
                ext.put("component.border", (Object) component.getBorder().toString());
            }
            WXSDKManager.getInstance().getSDKInstance(instanceId).setComponentsInfoExceedGPULimit(ext);
        }
    }

    public int callAddChildToRichtext(String instanceId, String nodeType, String ref, String parentRef, String richTextRef, HashMap<String, String> styles, HashMap<String, String> attrs) {
        if (!TextUtils.isEmpty(instanceId)) {
            if (!TextUtils.isEmpty(ref)) {
                WXEnvironment.isApkDebugable();
                HashSet<String> hashSet = this.mDestroyedInstanceId;
                if (hashSet != null && hashSet.contains(instanceId)) {
                    return -1;
                }
                try {
                    WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
                    if (instance == null) {
                        return 1;
                    }
                    BasicGraphicAction action = new GraphicActionAddChildToRichtext(instance, nodeType, ref, parentRef, richTextRef, styles, attrs);
                    WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
                    return 1;
                } catch (Exception e) {
                    WXLogUtils.e("[WXBridgeManager] callAddChildToRichtext exception: ", WXLogUtils.getStackTrace(e));
                    WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callAddChildToRichtext", WXLogUtils.getStackTrace(e), null);
                    return 1;
                }
            }
        }
        if (WXEnvironment.isApkDebugable()) {
            WXLogUtils.d("[WXBridgeManager] call callAddChildToRichtext arguments is null");
        }
        WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callAddChildToRichtext", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
        return 0;
    }

    public int callRemoveChildFromRichtext(String instanceId, String ref, String parentRef, String richTextRef) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callRemoveChildFromRichtext arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRemoveChildFromRichtext", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            BasicGraphicAction action = new GraphicActionRemoveChildFromRichtext(instance, ref, parentRef, richTextRef);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRemoveChildFromRichtext exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRemoveChildFromRichtext", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public void callBacthStart(String instanceId) {
        if (TextUtils.isEmpty(instanceId)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callRemoveChildFromRichtext arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRemoveChildFromRichtext", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance != null) {
                GraphicActionBatchBegin action = new GraphicActionBatchBegin(instance, "");
                WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            }
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRemoveChildFromRichtext exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRemoveChildFromRichtext", WXLogUtils.getStackTrace(e), null);
        }
    }

    public void callBacthEnd(String instanceId) {
        if (TextUtils.isEmpty(instanceId)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callRemoveChildFromRichtext arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRemoveChildFromRichtext", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance != null) {
                GraphicActionBatchEnd action = new GraphicActionBatchEnd(instance, "");
                WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            }
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRemoveChildFromRichtext exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRemoveChildFromRichtext", WXLogUtils.getStackTrace(e), null);
        }
    }

    public int callUpdateRichtextStyle(String instanceId, String ref, HashMap<String, String> styles, String parentRef, String richTextRef) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callUpdateRichtextStyle arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callUpdateRichtextStyle", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            BasicGraphicAction action = new GraphicActionUpdateRichtextStyle(instance, ref, styles, parentRef, richTextRef);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callUpdateRichtextStyle exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callUpdateRichtextStyle", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public int callUpdateRichtextChildAttr(String instanceId, String ref, HashMap<String, String> attrs, String parentRef, String richTextRef) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.d("[WXBridgeManager] call callUpdateRichtextChildAttr arguments is null");
            }
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callUpdateRichtextChildAttr", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            BasicGraphicAction action = new GraphicActionUpdateRichtextAttr(instance, ref, attrs, parentRef, richTextRef);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callUpdateRichtextChildAttr exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callUpdateRichtextChildAttr", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public int callLayout(String pageId, String ref, int top, int bottom, int left, int right, int height, int width, boolean isRTL, int index) {
        Exception e;
        GraphicSize size;
        if (!TextUtils.isEmpty(pageId)) {
            if (!TextUtils.isEmpty(ref)) {
                WXEnvironment.isApkDebugable();
                HashSet<String> hashSet = this.mDestroyedInstanceId;
                if (hashSet != null && hashSet.contains(pageId)) {
                    return -1;
                }
                try {
                    WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(pageId);
                    if (instance == null) {
                        return 1;
                    }
                    try {
                        size = new GraphicSize((float) width, (float) height);
                    } catch (Exception e2) {
                        e = e2;
                        WXLogUtils.e("[WXBridgeManager] callLayout exception: ", e);
                        WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callLayout", WXLogUtils.getStackTrace(e), null);
                        return 1;
                    }
                    try {
                        GraphicPosition position = new GraphicPosition((float) left, (float) top, (float) right, (float) bottom);
                        setExceedGPULimitComponentsInfo(pageId, ref, size);
                        GraphicActionAddElement addAction = instance.getInActiveAddElementAction(ref);
                        if (addAction != null) {
                            try {
                                addAction.setRTL(isRTL);
                                addAction.setSize(size);
                                addAction.setPosition(position);
                                if (!TextUtils.equals(ref, WXComponent.ROOT)) {
                                    addAction.setIndex(index);
                                }
                                WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(pageId, addAction);
                                instance.removeInActiveAddElmentAction(ref);
                                return 1;
                            } catch (Exception e3) {
                                e = e3;
                                WXLogUtils.e("[WXBridgeManager] callLayout exception: ", e);
                                WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callLayout", WXLogUtils.getStackTrace(e), null);
                                return 1;
                            }
                        } else {
                            BasicGraphicAction action = new GraphicActionLayout(instance, ref, position, size, isRTL);
                            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
                            return 1;
                        }
                    } catch (Exception e4) {
                        e = e4;
                        WXLogUtils.e("[WXBridgeManager] callLayout exception: ", e);
                        WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callLayout", WXLogUtils.getStackTrace(e), null);
                        return 1;
                    }
                } catch (Exception e5) {
                    e = e5;
                    WXLogUtils.e("[WXBridgeManager] callLayout exception: ", e);
                    WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callLayout", WXLogUtils.getStackTrace(e), null);
                    return 1;
                }
            }
        }
        if (WXEnvironment.isApkDebugable()) {
            WXLogUtils.d("[WXBridgeManager] call callLayout arguments is null");
        }
        WXExceptionUtils.commitCriticalExceptionRT(pageId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callLayout", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
        return 0;
    }

    public int callAppendTreeCreateFinish(String instanceId, String ref) {
        if (TextUtils.isEmpty(instanceId) || TextUtils.isEmpty(ref)) {
            WXLogUtils.d("[WXBridgeManager] call callAppendTreeCreateFinish arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callAppendTreeCreateFinish", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(instanceId, new GraphicActionAppendTreeCreateFinish(WXSDKManager.getInstance().getSDKInstance(instanceId), ref));
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callAppendTreeCreateFinish exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callAppendTreeCreateFinish", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public int callCreateFinish(String instanceId) {
        if (TextUtils.isEmpty(instanceId)) {
            WXLogUtils.d("[WXBridgeManager] call callCreateFinish arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callCreateFinish", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            long start = System.currentTimeMillis();
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            instance.firstScreenCreateInstanceTime(start);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(instanceId, new GraphicActionCreateFinish(instance));
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callCreateFinish exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callCreateFinish", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public int callRenderSuccess(String instanceId) {
        if (TextUtils.isEmpty(instanceId)) {
            WXLogUtils.d("[WXBridgeManager] call callRenderSuccess arguments is null");
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_RENDER_ERR_BRIDGE_ARG_NULL, "callRenderSuccess", "arguments is empty, INSTANCE_RENDERING_ERROR will be set", null);
            return 0;
        }
        WXEnvironment.isApkDebugable();
        HashSet<String> hashSet = this.mDestroyedInstanceId;
        if (hashSet != null && hashSet.contains(instanceId)) {
            return -1;
        }
        try {
            WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
            if (instance == null) {
                return 1;
            }
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(instanceId, new GraphicActionRenderSuccess(instance));
            return 1;
        } catch (Exception e) {
            WXLogUtils.e("[WXBridgeManager] callRenderSuccess exception: ", e);
            WXExceptionUtils.commitCriticalExceptionRT(instanceId, WXErrorCode.WX_KEY_EXCEPTION_INVOKE_BRIDGE, "callRenderSuccess", WXLogUtils.getStackTrace(e), null);
            return 1;
        }
    }

    public ContentBoxMeasurement getMeasurementFunc(String instanceId, long renderObjectPtr) {
        WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
        if (instance != null) {
            return instance.getContentBoxMeasurement(renderObjectPtr);
        }
        return null;
    }

    public void bindMeasurementToRenderObject(long ptr) {
        if (isJSFrameworkInit()) {
            this.mWXBridge.bindMeasurementToRenderObject(ptr);
        }
    }

    public boolean notifyLayout(String instanceId) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            return this.mWXBridge.notifyLayout(instanceId);
        }
        return false;
    }

    public void forceLayout(String instanceId) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.forceLayout(instanceId);
        }
    }

    public void onInstanceClose(String instanceId) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.onInstanceClose(instanceId);
        }
    }

    public void setDefaultRootSize(String instanceId, float defaultWidth, float defaultHeight, boolean isWidthWrapContent, boolean isHeightWrapContent) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setDefaultHeightAndWidthIntoRootDom(instanceId, defaultWidth, defaultHeight, isWidthWrapContent, isHeightWrapContent);
        }
    }

    public void setRenderContentWrapContentToCore(boolean wrap, String instanceId) {
        if (isJSFrameworkInit()) {
            this.mWXBridge.setRenderContainerWrapContent(wrap, instanceId);
        }
    }

    public void setStyleWidth(String instanceId, String ref, float value) {
        setStyleWidth(instanceId, ref, value, false);
    }

    public void setStyleWidth(String instanceId, String ref, float value, boolean update) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setStyleWidth(instanceId, ref, value, update);
        }
    }

    public void setStyleHeight(String instanceId, String ref, float value) {
        setStyleHeight(instanceId, ref, value, false);
    }

    public void setStyleHeight(String instanceId, String ref, float value, boolean update) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setStyleHeight(instanceId, ref, value, update);
        }
    }

    public long[] getFirstScreenRenderTime(String instanceId) {
        if (isJSFrameworkInit()) {
            return this.mWXBridge.getFirstScreenRenderTime(instanceId);
        }
        return new long[]{0, 0, 0};
    }

    public long[] getRenderFinishTime(String instanceId) {
        if (isJSFrameworkInit()) {
            return this.mWXBridge.getRenderFinishTime(instanceId);
        }
        return new long[]{0, 0, 0};
    }

    public void setDeviceDisplay(final String instanceId, final float deviceWidth, final float deviceHeight, final float scale) {
        post(new Runnable() {
            /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass28 */

            public void run() {
                WXBridgeManager.this.mWXBridge.setDeviceDisplay(instanceId, deviceWidth, deviceHeight, scale);
            }
        });
    }

    public void updateInitDeviceParams(final String width, final String height, final String density, final String statusHeight) {
        if (isJSFrameworkInit()) {
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass29 */

                public void run() {
                    WXBridgeManager.this.mWXBridge.updateInitFrameworkParams(WXConfig.deviceWidth, width, WXConfig.deviceWidth);
                }
            });
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass30 */

                public void run() {
                    WXBridgeManager.this.mWXBridge.updateInitFrameworkParams(WXConfig.deviceHeight, height, WXConfig.deviceHeight);
                }
            });
            post(new Runnable() {
                /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass31 */

                public void run() {
                    WXBridgeManager.this.mWXBridge.updateInitFrameworkParams("scale", density, "scale");
                }
            });
            if (statusHeight != null) {
                post(new Runnable() {
                    /* class com.taobao.weex.bridge.WXBridgeManager.AnonymousClass32 */

                    public void run() {
                        WXBridgeManager.this.mWXBridge.updateInitFrameworkParams(WXConfig.androidStatusBarHeight, statusHeight, WXConfig.androidStatusBarHeight);
                    }
                });
            }
        }
    }

    public void setMargin(String instanceId, String ref, CSSShorthand.EDGE edge, float value) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setMargin(instanceId, ref, edge, value);
        }
    }

    public void setPadding(String instanceId, String ref, CSSShorthand.EDGE edge, float value) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setPadding(instanceId, ref, edge, value);
        }
    }

    public void setPosition(String instanceId, String ref, CSSShorthand.EDGE edge, float value) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setPosition(instanceId, ref, edge, value);
        }
    }

    public void markDirty(String instanceId, String ref, boolean dirty) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.markDirty(instanceId, ref, dirty);
        }
    }

    public void setPageArgument(String instanceId, String key, String value) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setPageArgument(instanceId, key, value);
        }
    }

    public void reloadPageLayout(String instanceId) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.reloadPageLayout(instanceId);
        }
    }

    public void setDeviceDisplayOfPage(String instanceId, float width, float height) {
        if (isSkipFrameworkInit(instanceId) || isJSFrameworkInit()) {
            this.mWXBridge.setDeviceDisplayOfPage(instanceId, width, height);
        }
    }

    public int callHasTransitionPros(String instanceId, String ref, HashMap<String, String> styles) {
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(instanceId, ref);
        if (component == null || component.getTransition() == null || component.getTransition().getProperties() == null) {
            return -1;
        }
        for (String property : component.getTransition().getProperties()) {
            if (styles.containsKey(property)) {
                return 1;
            }
        }
        return 0;
    }

    public void registerCoreEnv(String key, String value) {
        if (isJSFrameworkInit()) {
            this.mWXBridge.registerCoreEnv(key, value);
        } else {
            mWeexCoreEnvOptions.put(key, value);
        }
    }

    private void onJsFrameWorkInitSuccees() {
        for (Map.Entry<String, String> entry : mWeexCoreEnvOptions.entrySet()) {
            this.mWXBridge.registerCoreEnv(entry.getKey(), entry.getValue());
        }
        mWeexCoreEnvOptions.clear();
    }

    public void setViewPortWidth(String instanceId, float value) {
        if (isJSFrameworkInit()) {
            this.mWXBridge.setViewPortWidth(instanceId, value);
        }
    }

    public void setFlexDirectionDef(String def) {
        if (isJSFrameworkInit()) {
            this.mWXBridge.setFlexDirectionDef(def);
        }
    }

    public String getWeexCoreThreadStackTrace() {
        if (this.mJSThread == null) {
            return "null == mJSThread";
        }
        StringBuilder stringBuilder = new StringBuilder();
        try {
            stringBuilder.append(StringUtil.format("Thread Name: '%s'\n", this.mJSThread.getName()));
            stringBuilder.append(String.format(Locale.ENGLISH, "\"%s\" prio=%d tid=%d %s\n", this.mJSThread.getName(), Integer.valueOf(this.mJSThread.getPriority()), Long.valueOf(this.mJSThread.getId()), this.mJSThread.getState()));
            StackTraceElement[] stackTrace = this.mJSThread.getStackTrace();
            int length = stackTrace.length;
            for (int i = 0; i < length; i++) {
                stringBuilder.append(StringUtil.format("\tat %s\n", stackTrace[i].toString()));
            }
        } catch (Exception var8) {
            Log.e("weex", "getJSThreadStackTrace error:", var8);
        }
        return stringBuilder.toString();
    }

    public String encryptGetClientKeyPayload(String appId, String data, String appKey) {
        IWXBridge iWXBridge = this.mWXBridge;
        if (iWXBridge instanceof WXBridge) {
            return ((WXBridge) iWXBridge).encryptGetClientKeyPayload(appId, data, appKey);
        }
        return "";
    }

    public String encrypt(String appId, String data, String appKey, String clientKeyData) {
        IWXBridge iWXBridge = this.mWXBridge;
        if (iWXBridge instanceof WXBridge) {
            return ((WXBridge) iWXBridge).encrypt(appId, data, appKey, clientKeyData);
        }
        return "";
    }

    public String decrypt(String appId, String data, String appKey, String clientKeyData) {
        IWXBridge iWXBridge = this.mWXBridge;
        if (iWXBridge instanceof WXBridge) {
            return ((WXBridge) iWXBridge).decrypt(appId, data, appKey, clientKeyData);
        }
        return "";
    }

    public boolean verifyClientKeyPayload(String appId, String appKey, String clientKeyData) {
        IWXBridge iWXBridge = this.mWXBridge;
        if (iWXBridge instanceof WXBridge) {
            return ((WXBridge) iWXBridge).verifyClientKeyPayload(appId, appKey, clientKeyData);
        }
        return false;
    }
}
