package com.taobao.weex.bridge;

import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.adapter.IWXConfigAdapter;
import com.taobao.weex.common.WXConfig;
import com.taobao.weex.utils.WXLogUtils;
import io.dcloud.common.constant.AbsoluteConst;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class WXParams implements Serializable {
    private String appName;
    private String appVersion;
    private String cacheDir;
    private String crashFilePath;
    private String deviceHeight;
    private String deviceModel;
    private String deviceWidth;
    private String layoutDirection;
    private String libIcuPath;
    private String libJsbPath;
    private String libJscPath;
    private String libJssPath;
    private String libLdPath;
    private String logLevel;
    private String needInitV8;
    private Map<String, String> options;
    private String osVersion;
    private String platform;
    private String shouldInfoCollect;
    private String useSingleProcess;
    private String weexVersion;

    public Object getOptions() {
        return this.options;
    }

    public String getLibJsbPath() {
        WXLogUtils.e("getLibJsbPath is running " + this.libJsbPath);
        return this.libJsbPath;
    }

    public void setLibJsbPath(String libJsbPath2) {
        this.libJsbPath = libJsbPath2;
    }

    public void setOptions(Map<String, String> options2) {
        this.options = options2;
    }

    public String getShouldInfoCollect() {
        return this.shouldInfoCollect;
    }

    public void setShouldInfoCollect(String shouldInfoCollect2) {
        this.shouldInfoCollect = shouldInfoCollect2;
    }

    public String getPlatform() {
        return this.platform;
    }

    public void setPlatform(String platform2) {
        this.platform = platform2;
    }

    public void setCacheDir(String cache) {
        this.cacheDir = cache;
    }

    public String getCacheDir() {
        return this.cacheDir;
    }

    public String getOsVersion() {
        return this.osVersion;
    }

    public void setOsVersion(String osVersion2) {
        this.osVersion = osVersion2;
    }

    public String getAppVersion() {
        return this.appVersion;
    }

    public void setAppVersion(String appVersion2) {
        this.appVersion = appVersion2;
    }

    public String getWeexVersion() {
        return this.weexVersion;
    }

    public void setWeexVersion(String weexVersion2) {
        this.weexVersion = weexVersion2;
    }

    public String getDeviceModel() {
        return this.deviceModel;
    }

    public void setDeviceModel(String deviceModel2) {
        this.deviceModel = deviceModel2;
    }

    public String getLayoutDirection() {
        return this.layoutDirection;
    }

    public void setLayoutDirection(String direction) {
        this.layoutDirection = direction;
    }

    public String getAppName() {
        return this.appName;
    }

    public void setAppName(String appName2) {
        this.appName = appName2;
    }

    public String getDeviceWidth() {
        return this.deviceWidth;
    }

    public boolean getReleaseMap() {
        IWXConfigAdapter adapter = WXSDKManager.getInstance().getWxConfigAdapter();
        if (adapter == null) {
            return false;
        }
        String doRelease = adapter.getConfigWhenInit("wxapm", "release_map", AbsoluteConst.TRUE);
        WXLogUtils.e("getReleaseMap:" + doRelease);
        return AbsoluteConst.TRUE.equalsIgnoreCase(doRelease);
    }

    @Deprecated
    public void setDeviceWidth(String deviceWidth2) {
        this.deviceWidth = deviceWidth2;
    }

    public String getDeviceHeight() {
        return this.deviceHeight;
    }

    public void setDeviceHeight(String deviceHeight2) {
        this.deviceHeight = deviceHeight2;
    }

    public String getLogLevel() {
        String str = this.logLevel;
        if (str == null) {
            return "";
        }
        return str;
    }

    public String getUseSingleProcess() {
        WXLogUtils.e("getUseSingleProcess is running " + this.useSingleProcess);
        return this.useSingleProcess;
    }

    public void setUseSingleProcess(String useSingleProcess2) {
        this.useSingleProcess = useSingleProcess2;
    }

    public void setLogLevel(String logLevel2) {
        this.logLevel = logLevel2;
    }

    public String getNeedInitV8() {
        String str = this.needInitV8;
        if (str == null) {
            return "";
        }
        return str;
    }

    public void setNeedInitV8(boolean need) {
        if (need) {
            this.needInitV8 = "1";
        } else {
            this.needInitV8 = "0";
        }
    }

    public void setCrashFilePath(String crashFilePath2) {
        WXLogUtils.e("WXParams", "setCrashFilePath: " + crashFilePath2);
        this.crashFilePath = crashFilePath2;
    }

    public String getCrashFilePath() {
        WXLogUtils.d("WXParams", "getCrashFilePath:" + this.crashFilePath);
        return this.crashFilePath;
    }

    public String getLibJssPath() {
        WXLogUtils.d("getLibJssPath is running " + this.libJssPath);
        return this.libJssPath;
    }

    public String getLibJscPath() {
        WXLogUtils.d("getLibJscPath is running " + this.libJscPath);
        return this.libJscPath;
    }

    public void setLibJscPath(String libJscPath2) {
        this.libJscPath = libJscPath2;
    }

    public void setLibJssPath(String libJssPath2) {
        this.libJssPath = libJssPath2;
    }

    public String getLibIcuPath() {
        WXLogUtils.d("getLibIcuPath is running " + this.libIcuPath);
        return this.libIcuPath;
    }

    public void setLibIcuPath(String libIcuPath2) {
        this.libIcuPath = libIcuPath2;
    }

    public String getLibLdPath() {
        WXLogUtils.e("getLibLdPath is running " + this.libLdPath);
        return this.libLdPath;
    }

    public void setLibLdPath(String libLdPath2) {
        this.libLdPath = libLdPath2;
    }

    public String getUseRunTimeApi() {
        return String.valueOf(WXEnvironment.sUseRunTimeApi);
    }

    public Map<String, Object> toMap() {
        HashMap<String, Object> map = new HashMap<>();
        map.put("appName", this.appName);
        map.put(WXConfig.appVersion, this.appVersion);
        map.put(WXConfig.cacheDir, this.cacheDir);
        map.put(WXConfig.deviceHeight, this.deviceHeight);
        map.put("deviceModel", this.deviceModel);
        map.put(WXConfig.deviceWidth, this.deviceWidth);
        map.put(WXConfig.layoutDirection, this.layoutDirection);
        map.put("libJssPath", this.libJssPath);
        map.put(WXConfig.logLevel, this.logLevel);
        map.put("needInitV8", this.needInitV8);
        map.put("osVersion", this.osVersion);
        map.put("platform", this.platform);
        map.put("useSingleProcess", this.useSingleProcess);
        map.put("shouldInfoCollect", this.shouldInfoCollect);
        map.put(WXConfig.weexVersion, this.weexVersion);
        map.put("crashFilePath", this.crashFilePath);
        map.put("libJscPath", this.libJscPath);
        map.put("libIcuPath", this.libIcuPath);
        map.put("libLdPath", this.libLdPath);
        map.put("options", this.options);
        map.put("useRunTimeApi", Boolean.valueOf(WXEnvironment.sUseRunTimeApi));
        map.put("__enable_native_promise__", Boolean.valueOf(!WXEnvironment.sUseRunTimeApi));
        return map;
    }
}
