package com.taobao.weex.el.parse;

import com.alibaba.fastjson.JSONArray;
import java.util.List;

/* access modifiers changed from: package-private */
public class Block extends Token {
    private List<Token> tokens;

    public Block(List<Token> tokens2, int type) {
        super("", type);
        this.tokens = tokens2;
    }

    @Override // com.taobao.weex.el.parse.Token
    public Object execute(Object context) {
        if (getType() == 7) {
            List<Token> list = this.tokens;
            if (list == null || list.size() == 0) {
                return new JSONArray(4);
            }
            JSONArray arrayList = new JSONArray(this.tokens.size());
            for (int i = 0; i < this.tokens.size(); i++) {
                Token token = this.tokens.get(i);
                if (token == null) {
                    arrayList.add(null);
                } else {
                    arrayList.add(token.execute(context));
                }
            }
            return arrayList;
        }
        List<Token> list2 = this.tokens;
        if (list2 == null || list2.size() == 0) {
            return null;
        }
        return this.tokens.get(0).execute(context);
    }

    @Override // com.taobao.weex.el.parse.Token
    public String toString() {
        if (getType() == 7) {
            return "" + this.tokens + "";
        }
        List<Token> list = this.tokens;
        if (list == null || list.size() != 1) {
            return Operators.BLOCK_START_STR + this.tokens + Operators.BLOCK_END;
        }
        return Operators.BLOCK_START_STR + this.tokens.get(0) + Operators.BLOCK_END;
    }
}
