package com.taobao.weex.performance;

import android.graphics.Rect;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.WXErrorCode;
import com.taobao.weex.common.WXPerformance;
import com.taobao.weex.common.WXRenderStrategy;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.utils.WXExceptionUtils;
import com.taobao.weex.utils.WXLogUtils;
import com.taobao.weex.utils.WXUtils;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArraySet;

public class WXInstanceApm {
    public static final String KEY_PAGE_ANIM_BACK_NUM = "wxAnimationInBackCount";
    public static final String KEY_PAGE_PROPERTIES_BIZ_ID = "wxBizID";
    public static final String KEY_PAGE_PROPERTIES_BUBDLE_URL = "wxBundleUrl";
    public static final String KEY_PAGE_PROPERTIES_BUNDLE_TYPE = "wxBundleType";
    public static final String KEY_PAGE_PROPERTIES_CACHE_INFO = "wxZCacheInfo";
    public static final String KEY_PAGE_PROPERTIES_CACHE_TYPE = "wxCacheType";
    public static final String KEY_PAGE_PROPERTIES_CONTAINER_NAME = "wxContainerName";
    public static final String KEY_PAGE_PROPERTIES_INSTANCE_TYPE = "wxInstanceType";
    public static final String KEY_PAGE_PROPERTIES_JSLIB_VERSION = "wxJSLibVersion";
    public static final String KEY_PAGE_PROPERTIES_JS_FM_INI = "wxJsFrameworkInit";
    public static final String KEY_PAGE_PROPERTIES_PARENT_PAGE = "wxParentPage";
    public static final String KEY_PAGE_PROPERTIES_RENDER_TYPE = "wxRenderType";
    public static final String KEY_PAGE_PROPERTIES_REQUEST_TYPE = "wxRequestType";
    public static final String KEY_PAGE_PROPERTIES_UIKIT_TYPE = "wxUIKitType";
    public static final String KEY_PAGE_PROPERTIES_WEEX_VERSION = "wxSDKVersion";
    public static final String KEY_PAGE_STAGES_CONTAINER_READY = "wxContainerReady";
    public static final String KEY_PAGE_STAGES_CREATE_FINISH = "wxJSBundleCreateFinish";
    public static final String KEY_PAGE_STAGES_CUSTOM_PREPROCESS_END = "wxCustomPreprocessEnd";
    public static final String KEY_PAGE_STAGES_CUSTOM_PREPROCESS_START = "wxCustomPreprocessStart";
    public static final String KEY_PAGE_STAGES_DESTROY = "wxDestroy";
    public static final String KEY_PAGE_STAGES_DOWN_BUNDLE_END = "wxEndDownLoadBundle";
    public static final String KEY_PAGE_STAGES_DOWN_BUNDLE_START = "wxStartDownLoadBundle";
    public static final String KEY_PAGE_STAGES_END_EXCUTE_BUNDLE = "wxEndExecuteBundle";
    public static final String KEY_PAGE_STAGES_FIRST_INTERACTION_VIEW = "wxFirstInteractionView";
    public static final String KEY_PAGE_STAGES_FSRENDER = "wxFsRender";
    public static final String KEY_PAGE_STAGES_INTERACTION = "wxInteraction";
    public static final String KEY_PAGE_STAGES_LOAD_BUNDLE_END = "wxEndLoadBundle";
    public static final String KEY_PAGE_STAGES_LOAD_BUNDLE_START = "wxStartLoadBundle";
    public static final String KEY_PAGE_STAGES_NEW_FSRENDER = "wxNewFsRender";
    public static final String KEY_PAGE_STAGES_RENDER_ORGIGIN = "wxRenderTimeOrigin";
    public static final String KEY_PAGE_STATS_ACTUAL_DOWNLOAD_TIME = "wxActualNetworkTime";
    public static final String KEY_PAGE_STATS_BODY_RATIO = "wxBodyRatio";
    public static final String KEY_PAGE_STATS_BUNDLE_SIZE = "wxBundleSize";
    public static final String KEY_PAGE_STATS_CELL_DATA_UN_RECYCLE_NUM = "wxCellDataUnRecycleCount";
    public static final String KEY_PAGE_STATS_CELL_EXCEED_NUM = "wxCellExceedNum";
    public static final String KEY_PAGE_STATS_CELL_UN_RE_USE_NUM = "wxCellUnReUseCount";
    public static final String KEY_PAGE_STATS_COMPONENT_CREATE_COST = "wxComponentCost";
    public static final String KEY_PAGE_STATS_EMBED_COUNT = "wxEmbedCount";
    public static final String KEY_PAGE_STATS_EXECUTE_JS_CALLBACK_COST = "wxExecJsCallBack";
    public static final String KEY_PAGE_STATS_FS_CALL_EVENT_NUM = "wxFSCallEventTotalNum";
    public static final String KEY_PAGE_STATS_FS_CALL_JS_NUM = "wxFSCallJsTotalNum";
    public static final String KEY_PAGE_STATS_FS_CALL_JS_TIME = "wxFSCallJsTotalTime";
    public static final String KEY_PAGE_STATS_FS_CALL_NATIVE_NUM = "wxFSCallNativeTotalNum";
    public static final String KEY_PAGE_STATS_FS_CALL_NATIVE_TIME = "wxFSCallNativeTotalTime";
    public static final String KEY_PAGE_STATS_FS_REQUEST_NUM = "wxFSRequestNum";
    public static final String KEY_PAGE_STATS_FS_TIMER_NUM = "wxFSTimerCount";
    public static final String KEY_PAGE_STATS_IMG_LOAD_FAIL_NUM = "wxImgLoadFailCount";
    public static final String KEY_PAGE_STATS_IMG_LOAD_NUM = "wxImgLoadCount";
    public static final String KEY_PAGE_STATS_IMG_LOAD_SUCCESS_NUM = "wxImgLoadSuccessCount";
    public static final String KEY_PAGE_STATS_IMG_UN_RECYCLE_NUM = "wxImgUnRecycleCount";
    public static final String KEY_PAGE_STATS_I_ALL_VIEW_COUNT = "wxInteractionAllViewCount";
    public static final String KEY_PAGE_STATS_I_COMPONENT_CREATE_COUNT = "wxInteractionComponentCreateCount";
    public static final String KEY_PAGE_STATS_I_SCREEN_VIEW_COUNT = "wxInteractionScreenViewCount";
    public static final String KEY_PAGE_STATS_JSLIB_INIT_TIME = "wxJSLibInitTime";
    public static final String KEY_PAGE_STATS_LARGE_IMG_COUNT = "wxLargeImgMaxCount";
    public static final String KEY_PAGE_STATS_LAYOUT_TIME = "wxLayoutTime";
    public static final String KEY_PAGE_STATS_MAX_COMPONENT_NUM = "wxMaxComponentCount";
    public static final String KEY_PAGE_STATS_MAX_DEEP_DOM = "wxMaxDeepVDomLayer";
    public static final String KEY_PAGE_STATS_MAX_DEEP_VIEW = "wxMaxDeepViewLayer";
    public static final String KEY_PAGE_STATS_NET_FAIL_NUM = "wxNetworkRequestFailCount";
    public static final String KEY_PAGE_STATS_NET_NUM = "wxNetworkRequestCount";
    public static final String KEY_PAGE_STATS_NET_SUCCESS_NUM = "wxNetworkRequestSuccessCount";
    public static final String KEY_PAGE_STATS_SCROLLER_NUM = "wxScrollerCount";
    public static final String KEY_PAGE_STATS_VIEW_CREATE_COST = "wxViewCost";
    public static final String KEY_PAGE_STATS_WRONG_IMG_SIZE_COUNT = "wxWrongImgSizeCount";
    public static final String KEY_PAGE_TIMER_BACK_NUM = "wxTimerInBackCount";
    public static final String KEY_PROPERTIES_ERROR_CODE = "wxErrorCode";
    public static final String VALUE_BUNDLE_LOAD_LENGTH = "wxLoadedLength";
    public static final String VALUE_ERROR_CODE_DEFAULT = "0";
    public static final String WEEX_PAGE_TOPIC = "weex_page";
    private IWXApmMonitorAdapter apmInstance;
    public long componentCreateTime;
    private Runnable delayCollectDataTask = new Runnable() {
        /* class com.taobao.weex.performance.WXInstanceApm.AnonymousClass2 */

        public void run() {
            WXInstanceApm.this.recordPerformanceDetailData();
        }
    };
    public Set<String> exceptionRecord = new CopyOnWriteArraySet();
    public final Map<String, Object> extInfo;
    public boolean forceStopRecordInteraction = false;
    public boolean hasAddView;
    private boolean hasRecordFistInteractionView = false;
    public boolean hasReportLayerOverDraw = false;
    private boolean hasSendInteractionToJS = false;
    public Rect instanceRect;
    private long interactionComponentCreateTime;
    private long interactionJsCallBackTime;
    private double interactionLayoutTime;
    private long interactionViewCreateTime;
    private boolean isFSEnd;
    public volatile boolean isReady = true;
    private Runnable jsPerformanceCallBack = new Runnable() {
        /* class com.taobao.weex.performance.WXInstanceApm.AnonymousClass1 */

        public void run() {
            WXInstanceApm.this.sendPerformanceToJS();
        }
    };
    private boolean mEnd = false;
    private boolean mHasInit = false;
    private boolean mHasRecordDetailData = false;
    private String mInstanceId;
    private Map<String, Object> mPropertiesMap;
    private Handler mUIHandler;
    private long preUpdateTime = 0;
    private Map<String, Double> recordStatsMap;
    public String reportPageName;
    public final Map<String, Long> stageMap;
    public long viewCreateTime;
    private long wxExecJsCallBackTime;

    public WXInstanceApm(String instanceId) {
        this.mInstanceId = instanceId;
        this.extInfo = new ConcurrentHashMap();
        this.stageMap = new ConcurrentHashMap();
        this.mUIHandler = new Handler(Looper.getMainLooper());
        this.recordStatsMap = new ConcurrentHashMap();
        this.mPropertiesMap = new ConcurrentHashMap();
        IApmGenerator generator = WXSDKManager.getInstance().getApmGenerater();
        if (generator != null) {
            this.apmInstance = generator.generateApmInstance(WEEX_PAGE_TOPIC);
        }
    }

    public void onInstanceReady(boolean isPreDownLoad) {
        this.isReady = true;
        if (isPreDownLoad) {
            onStage(KEY_PAGE_STAGES_DOWN_BUNDLE_START);
        }
        doInit();
        for (Map.Entry<String, Long> stage : this.stageMap.entrySet()) {
            sendStageInfo(stage.getKey(), stage.getValue().longValue());
        }
        for (Map.Entry<String, Double> stats : this.recordStatsMap.entrySet()) {
            sendStats(stats.getKey(), stats.getValue().doubleValue());
        }
        for (Map.Entry<String, Object> p : this.mPropertiesMap.entrySet()) {
            sendProperty(p.getKey(), p.getValue());
        }
    }

    public void onEvent(String name, Object value) {
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        if (iWXApmMonitorAdapter != null) {
            iWXApmMonitorAdapter.onEvent(name, value);
        }
    }

    public void onStage(String name) {
        onStageWithTime(name, WXUtils.getFixUnixTime());
    }

    public void onStageWithTime(String name, long time) {
        if (!this.mEnd && name != null) {
            this.stageMap.put(name, Long.valueOf(time));
            if (this.isReady) {
                sendStageInfo(name, time);
            }
        }
    }

    private void sendStageInfo(String name, long time) {
        if (WXAnalyzerDataTransfer.isOpenPerformance) {
            WXAnalyzerDataTransfer.transferPerformance(this.mInstanceId, "stage", name, Long.valueOf(time));
        }
        if (KEY_PAGE_STAGES_RENDER_ORGIGIN.equalsIgnoreCase(name)) {
            this.mUIHandler.postDelayed(this.jsPerformanceCallBack, 8000);
        }
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        if (iWXApmMonitorAdapter != null) {
            iWXApmMonitorAdapter.onStage(name, time);
        }
    }

    public void addProperty(String key, Object value) {
        if (!this.mEnd && key != null && value != null) {
            this.mPropertiesMap.put(key, value);
            if (this.isReady) {
                sendProperty(key, value);
            }
        }
    }

    private void sendProperty(String key, Object value) {
        if (WXAnalyzerDataTransfer.isOpenPerformance) {
            WXAnalyzerDataTransfer.transferPerformance(this.mInstanceId, "properties", key, value);
        }
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        if (iWXApmMonitorAdapter != null) {
            iWXApmMonitorAdapter.addProperty(key, value);
        }
    }

    public void addStats(String key, double value) {
        if (!this.mEnd && key != null) {
            this.recordStatsMap.put(key, Double.valueOf(value));
            if (this.isReady) {
                sendStats(key, value);
            }
        }
    }

    private void sendStats(String key, double value) {
        if (WXAnalyzerDataTransfer.isOpenPerformance) {
            WXAnalyzerDataTransfer.transferPerformance(this.mInstanceId, "stats", key, Double.valueOf(value));
        }
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        if (iWXApmMonitorAdapter != null) {
            iWXApmMonitorAdapter.addStats(key, value);
        }
    }

    public boolean hasInit() {
        return this.mHasInit;
    }

    public void doInit() {
        if (this.isReady && !this.mHasInit) {
            this.mHasInit = true;
            IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
            if (iWXApmMonitorAdapter != null) {
                iWXApmMonitorAdapter.onStart(this.mInstanceId);
                WXSDKInstance instance = WXSDKManager.getInstance().getAllInstanceMap().get(this.mInstanceId);
                addProperty(KEY_PAGE_PROPERTIES_BUBDLE_URL, instance == null ? "unKnowUrl" : instance.getBundleUrl());
                addProperty(KEY_PROPERTIES_ERROR_CODE, "0");
                addProperty(KEY_PAGE_PROPERTIES_JSLIB_VERSION, WXEnvironment.JS_LIB_SDK_VERSION);
                addProperty(KEY_PAGE_PROPERTIES_WEEX_VERSION, WXEnvironment.WXSDK_VERSION);
                addProperty(KEY_PAGE_PROPERTIES_WEEX_VERSION, WXEnvironment.WXSDK_VERSION);
                addStats("wxReInitCount", (double) WXBridgeManager.reInitCount);
                if (instance != null) {
                    addProperty(KEY_PAGE_PROPERTIES_UIKIT_TYPE, instance.getRenderType());
                }
                addProperty("wxUseRuntimeApi", Boolean.valueOf(WXEnvironment.sUseRunTimeApi));
                if (instance != null && (instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER || instance.getRenderStrategy() == WXRenderStrategy.DATA_RENDER_BINARY)) {
                    addProperty(KEY_PAGE_PROPERTIES_RENDER_TYPE, WXEnvironment.EAGLE);
                }
                if (instance != null) {
                    for (Map.Entry<String, String> entry : instance.getContainerInfo().entrySet()) {
                        addProperty(entry.getKey(), entry.getValue());
                    }
                }
            }
        }
    }

    public void setPageName(String pageName) {
        WXSDKInstance instance;
        if (TextUtils.isEmpty(pageName) && (instance = WXSDKManager.getInstance().getAllInstanceMap().get(this.mInstanceId)) != null) {
            pageName = instance.getContainerInfo().get(KEY_PAGE_PROPERTIES_CONTAINER_NAME);
        }
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        String parseReportUrl = iWXApmMonitorAdapter == null ? pageName : iWXApmMonitorAdapter.parseReportUrl(pageName);
        this.reportPageName = parseReportUrl;
        String str = TextUtils.isEmpty(parseReportUrl) ? "emptyPageName" : this.reportPageName;
        this.reportPageName = str;
        addProperty(KEY_PAGE_PROPERTIES_BIZ_ID, str);
    }

    public void onAppear() {
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        if (iWXApmMonitorAdapter != null) {
            iWXApmMonitorAdapter.onAppear();
        }
    }

    public void onDisAppear() {
        IWXApmMonitorAdapter iWXApmMonitorAdapter = this.apmInstance;
        if (iWXApmMonitorAdapter != null) {
            iWXApmMonitorAdapter.onDisappear();
        }
    }

    public void onEnd() {
        if (this.apmInstance != null && !this.mEnd) {
            new Handler(Looper.getMainLooper()).removeCallbacks(this.delayCollectDataTask);
            recordPerformanceDetailData();
            this.exceptionRecord.clear();
            this.mUIHandler.removeCallbacks(this.jsPerformanceCallBack);
            onStage(KEY_PAGE_STAGES_DESTROY);
            if (!this.mHasInit) {
                this.apmInstance.onEnd();
            }
            this.mEnd = true;
            if (WXEnvironment.isApkDebugable()) {
                printLog();
            }
        }
    }

    public void doDelayCollectData() {
        new Handler(Looper.getMainLooper()).postDelayed(this.delayCollectDataTask, 8000);
    }

    private void printLog() {
        Long startDownLoad = this.stageMap.get(KEY_PAGE_STAGES_DOWN_BUNDLE_START);
        Long endDownLoad = this.stageMap.get(KEY_PAGE_STAGES_DOWN_BUNDLE_END);
        Long interaction = this.stageMap.get(KEY_PAGE_STAGES_INTERACTION);
        Long containerReady = this.stageMap.get(KEY_PAGE_STAGES_CONTAINER_READY);
        if (!(endDownLoad == null || startDownLoad == null)) {
            WXLogUtils.d("test->", "downLoadTime: " + (endDownLoad.longValue() - startDownLoad.longValue()));
        }
        if (!(endDownLoad == null || interaction == null)) {
            WXLogUtils.d("test->", "renderTime: " + (interaction.longValue() - endDownLoad.longValue()));
        }
        if (containerReady != null && interaction != null) {
            WXLogUtils.d("test->", "showTime: " + (interaction.longValue() - containerReady.longValue()));
        }
    }

    public void arriveNewFsRenderTime() {
        if (this.apmInstance != null) {
            onStage(KEY_PAGE_STAGES_NEW_FSRENDER);
        }
    }

    public void arriveFSRenderTime() {
        if (this.apmInstance != null) {
            this.isFSEnd = true;
            onStage(KEY_PAGE_STAGES_FSRENDER);
        }
    }

    public void arriveInteraction(WXComponent targetComponent) {
        WXPerformance performanceRecord;
        if (this.apmInstance != null && targetComponent != null && targetComponent.getInstance() != null) {
            if (WXAnalyzerDataTransfer.isOpenPerformance) {
                WXAnalyzerDataTransfer.transferInteractionInfo(targetComponent);
            }
            if (this.apmInstance != null && (performanceRecord = targetComponent.getInstance().getWXPerformance()) != null) {
                long curTime = WXUtils.getFixUnixTime();
                if (WXAnalyzerDataTransfer.isInteractionLogOpen()) {
                    Log.d(WXAnalyzerDataTransfer.INTERACTION_TAG, "[client][wxinteraction]" + targetComponent.getInstance().getInstanceId() + "," + targetComponent.getComponentType() + "," + targetComponent.getRef() + "," + targetComponent.getStyles() + "," + targetComponent.getAttrs());
                }
                if (!this.hasRecordFistInteractionView) {
                    onStage(KEY_PAGE_STAGES_FIRST_INTERACTION_VIEW);
                    this.hasRecordFistInteractionView = true;
                }
                if (!this.forceStopRecordInteraction) {
                    long now = WXUtils.getFixUnixTime();
                    if (now - this.preUpdateTime > 50) {
                        WXBridgeManager.getInstance().onInteractionTimeUpdate(this.mInstanceId);
                        this.preUpdateTime = now;
                    }
                    this.interactionComponentCreateTime = this.componentCreateTime;
                    this.interactionViewCreateTime = this.viewCreateTime;
                    Double layoutTime = this.recordStatsMap.get(KEY_PAGE_STATS_LAYOUT_TIME);
                    this.interactionLayoutTime = layoutTime == null ? 0.0d : layoutTime.doubleValue();
                    performanceRecord.interactionTime = curTime - performanceRecord.renderUnixTimeOrigin;
                    performanceRecord.interactionRealUnixTime = System.currentTimeMillis();
                    onStageWithTime(KEY_PAGE_STAGES_INTERACTION, curTime);
                    updateDiffStats(KEY_PAGE_STATS_I_SCREEN_VIEW_COUNT, 1.0d);
                    updateMaxStats(KEY_PAGE_STATS_I_ALL_VIEW_COUNT, (double) performanceRecord.localInteractionViewAddCount);
                    WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(this.mInstanceId);
                    if (instance != null) {
                        updateMaxStats(KEY_PAGE_STATS_I_COMPONENT_CREATE_COUNT, (double) instance.getWXPerformance().componentCount);
                    }
                }
            }
        }
    }

    public void updateFSDiffStats(String name, double diffValue) {
        if (this.apmInstance != null && !this.isFSEnd) {
            updateDiffStats(name, diffValue);
        }
    }

    public void recordPerformanceDetailData() {
        if (!this.mHasRecordDetailData) {
            this.mHasRecordDetailData = true;
            addStats(KEY_PAGE_STATS_VIEW_CREATE_COST, (double) this.interactionViewCreateTime);
            addStats(KEY_PAGE_STATS_COMPONENT_CREATE_COST, (double) this.interactionComponentCreateTime);
            addStats(KEY_PAGE_STATS_EXECUTE_JS_CALLBACK_COST, (double) this.interactionJsCallBackTime);
            addStats(KEY_PAGE_STATS_LAYOUT_TIME, this.interactionLayoutTime);
        }
    }

    public void updateDiffStats(String name, double diffValue) {
        if (this.apmInstance != null) {
            Double preVal = Double.valueOf(this.recordStatsMap.containsKey(name) ? this.recordStatsMap.get(name).doubleValue() : 0.0d);
            if (preVal == null) {
                WXErrorCode wXErrorCode = WXErrorCode.WX_ERR_HASH_MAP_TMP;
                WXExceptionUtils.commitCriticalExceptionRT("", wXErrorCode, "updateDiffStats", "key : " + name, null);
                return;
            }
            addStats(name, preVal.doubleValue() + diffValue);
        }
    }

    public void updateMaxStats(String name, double currentVal) {
        if (this.apmInstance != null) {
            Double maxValue = Double.valueOf(this.recordStatsMap.containsKey(name) ? this.recordStatsMap.get(name).doubleValue() : 0.0d);
            if (maxValue == null) {
                WXErrorCode wXErrorCode = WXErrorCode.WX_ERR_HASH_MAP_TMP;
                WXExceptionUtils.commitCriticalExceptionRT("", wXErrorCode, "updateMaxStats", "key : " + name, null);
            } else if (maxValue.doubleValue() < currentVal) {
                addStats(name, Double.valueOf(currentVal).doubleValue());
            }
        }
    }

    public void updateRecordInfo(Map<String, Object> extParams) {
        if (this.apmInstance != null && extParams != null) {
            addPropeyFromExtParms(KEY_PAGE_PROPERTIES_REQUEST_TYPE, KEY_PAGE_PROPERTIES_REQUEST_TYPE, extParams);
            addPropeyFromExtParms(WXPerformance.CACHE_TYPE, KEY_PAGE_PROPERTIES_CACHE_TYPE, extParams);
            addPropeyFromExtParms("zCacheInfo", KEY_PAGE_PROPERTIES_CACHE_INFO, extParams);
            addStats(KEY_PAGE_STATS_JSLIB_INIT_TIME, (double) WXEnvironment.sJSLibInitTime);
            addProperty(KEY_PAGE_PROPERTIES_JS_FM_INI, Boolean.valueOf(WXEnvironment.JsFrameworkInit));
            Object wxNetLibDownBundleTime = extParams.get("actualNetworkTime");
            if (wxNetLibDownBundleTime instanceof Long) {
                updateDiffStats(KEY_PAGE_STATS_ACTUAL_DOWNLOAD_TIME, ((Long) wxNetLibDownBundleTime).doubleValue());
            }
        }
    }

    private void addPropeyFromExtParms(String fromKey, String toKey, Map<String, Object> extParams) {
        Object value = extParams.get(fromKey);
        if (value instanceof String) {
            addProperty(toKey, value);
        }
    }

    public void actionNetRequest() {
        if (!this.isFSEnd) {
            updateFSDiffStats(KEY_PAGE_STATS_FS_REQUEST_NUM, 1.0d);
        }
        updateDiffStats(KEY_PAGE_STATS_NET_NUM, 1.0d);
    }

    public void actionNetResult(boolean succeed, String errorCode) {
        if (succeed) {
            updateDiffStats(KEY_PAGE_STATS_NET_SUCCESS_NUM, 1.0d);
        } else {
            updateDiffStats(KEY_PAGE_STATS_NET_FAIL_NUM, 1.0d);
        }
    }

    public void actionLoadImg() {
        updateDiffStats(KEY_PAGE_STATS_IMG_LOAD_NUM, 1.0d);
    }

    public void actionLoadImgResult(boolean succeed, String errorCode) {
        if (succeed) {
            updateDiffStats(KEY_PAGE_STATS_IMG_LOAD_SUCCESS_NUM, 1.0d);
        } else {
            updateDiffStats(KEY_PAGE_STATS_IMG_LOAD_FAIL_NUM, 1.0d);
        }
    }

    public void sendPerformanceToJS() {
        if (!this.hasSendInteractionToJS) {
            this.hasSendInteractionToJS = true;
            WXSDKInstance instance = WXSDKManager.getInstance().getAllInstanceMap().get(this.mInstanceId);
            if (instance != null) {
                HashMap hashMap = new HashMap(2);
                hashMap.put(KEY_PAGE_PROPERTIES_BIZ_ID, this.reportPageName);
                hashMap.put(KEY_PAGE_PROPERTIES_BUBDLE_URL, instance.getBundleUrl());
                HashMap hashMap2 = new HashMap(1);
                hashMap2.put(KEY_PAGE_STAGES_INTERACTION, Long.valueOf(instance.getWXPerformance().interactionRealUnixTime));
                Map<String, Object> data = new HashMap<>(2);
                data.put("stage", hashMap2);
                data.put("properties", hashMap);
                instance.fireGlobalEventCallback("wx_apm", data);
            }
        }
    }

    public String toPerfString() {
        Long start = this.stageMap.get(KEY_PAGE_STAGES_RENDER_ORGIGIN);
        Long end = this.stageMap.get(KEY_PAGE_STAGES_INTERACTION);
        Long wxNewFsRender = this.stageMap.get(KEY_PAGE_STAGES_NEW_FSRENDER);
        StringBuilder builder = new StringBuilder();
        if (!(start == null || end == null)) {
            builder.append("interactiveTime " + (end.longValue() - start.longValue()) + "ms");
        }
        if (wxNewFsRender != null) {
            builder.append(" wxNewFsRender " + wxNewFsRender + "ms");
        }
        return builder.toString();
    }

    public void updateNativePerformanceData(Map<String, String> nativePerformanceData) {
        if (nativePerformanceData != null) {
            for (Map.Entry<String, String> entry : nativePerformanceData.entrySet()) {
                double value = -1.0d;
                try {
                    value = Double.valueOf(entry.getValue()).doubleValue();
                } catch (Exception e) {
                    e.printStackTrace();
                }
                if (value != -1.0d) {
                    this.recordStatsMap.put(entry.getKey(), Double.valueOf(value));
                }
            }
        }
    }
}
