package com.taobao.weex.render;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.widget.FrameLayout;
import com.taobao.weex.WXSDKInstance;
import java.lang.ref.WeakReference;

public class WXAbstractRenderContainer extends FrameLayout {
    protected boolean mHasConsumeEvent = false;
    protected WeakReference<WXSDKInstance> mSDKInstance;

    public WXAbstractRenderContainer(Context context) {
        super(context);
    }

    public WXAbstractRenderContainer(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public WXAbstractRenderContainer(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    public WXAbstractRenderContainer(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
    }

    public void setSDKInstance(WXSDKInstance instance) {
        this.mSDKInstance = new WeakReference<>(instance);
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int w, int h, int oldw, int oldh) {
        WXSDKInstance instance;
        super.onSizeChanged(w, h, oldw, oldh);
        WeakReference<WXSDKInstance> weakReference = this.mSDKInstance;
        if (weakReference != null && (instance = weakReference.get()) != null) {
            instance.setSize(w, h);
        }
    }

    public boolean dispatchTouchEvent(MotionEvent ev) {
        this.mHasConsumeEvent = true;
        return super.dispatchTouchEvent(ev);
    }

    public boolean hasConsumeEvent() {
        return this.mHasConsumeEvent;
    }

    public void createInstanceRenderView(String instanceId) {
    }
}
