package com.taobao.weex.ui.action;

import android.text.TextUtils;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.adapter.IWXUserTrackAdapter;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.bridge.SimpleJSCallback;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.list.template.jni.NativeRenderObjectUtils;
import com.taobao.weex.utils.WXViewUtils;
import java.util.HashMap;
import java.util.Map;

public class ActionGetLayoutDirection extends BasicGraphicAction {
    private final String mCallback;

    public ActionGetLayoutDirection(WXSDKInstance instance, String ref, String callback) {
        super(instance, ref);
        this.mCallback = callback;
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXSDKInstance instance = getWXSDKIntance();
        if (instance != null && !instance.isDestroy()) {
            JSCallback jsCallback = new SimpleJSCallback(instance.getInstanceId(), this.mCallback);
            if (TextUtils.isEmpty(getRef())) {
                Map<String, Object> options = new HashMap<>();
                options.put("result", false);
                options.put(IWXUserTrackAdapter.MONITOR_ERROR_MSG, "Illegal parameter");
                jsCallback.invoke(options);
            } else if ("viewport".equalsIgnoreCase(getRef())) {
                callbackViewport(instance, jsCallback);
            } else {
                WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), getRef());
                if (component != null) {
                    String directionRet = "ltr";
                    if (component != null) {
                        int direction = NativeRenderObjectUtils.nativeRenderObjectGetLayoutDirectionFromPathNode(component.getRenderObjectPtr());
                        if (direction == 0) {
                            directionRet = "inherit";
                        } else if (direction == 1) {
                            directionRet = "ltr";
                        } else if (direction != 2) {
                            directionRet = "ltr";
                        } else {
                            directionRet = Constants.Name.RTL;
                        }
                    }
                    jsCallback.invoke(directionRet);
                }
            }
        }
    }

    private void callbackViewport(WXSDKInstance instance, JSCallback jsCallback) {
        if (instance.getContainerView() != null) {
            Map<String, Object> options = new HashMap<>();
            options.put("direction", "ltr");
            options.put("result", true);
            jsCallback.invoke(options);
            return;
        }
        Map<String, Object> options2 = new HashMap<>();
        options2.put("result", false);
        options2.put(IWXUserTrackAdapter.MONITOR_ERROR_MSG, "Component does not exist");
        jsCallback.invoke(options2);
    }

    private float getWebPxValue(int value, int viewport) {
        return WXViewUtils.getWebPxByWidth((float) value, viewport);
    }
}
