package com.taobao.weex.ui.action;

import com.alibaba.fastjson.JSONArray;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.utils.WXLogUtils;

public class ActionInvokeMethod implements IExecutable {
    private static final String TAG = "ActionInvokeMethod";
    private final JSONArray mArgs;
    private final String mMethod;
    private String mPageId;
    private String mRef;

    public ActionInvokeMethod(String pageId, String ref, String method, JSONArray args) {
        this.mPageId = pageId;
        this.mRef = ref;
        this.mMethod = method;
        this.mArgs = args;
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(this.mPageId, this.mRef);
        if (component == null) {
            WXLogUtils.e(TAG, "target component not found.");
        } else {
            component.invoke(this.mMethod, this.mArgs);
        }
    }
}
