package com.taobao.weex.ui.action;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.dom.WXEvent;
import com.taobao.weex.tracing.Stopwatch;
import com.taobao.weex.ui.component.WXComponent;

public class GraphicActionAddEvent extends BasicGraphicAction {
    private final String mEvent;

    public GraphicActionAddEvent(WXSDKInstance instance, String ref, Object event) {
        super(instance, ref);
        this.mEvent = WXEvent.getEventName(event);
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), getRef());
        if (component != null) {
            Stopwatch.tick();
            if (!component.getEvents().contains(this.mEvent)) {
                component.getEvents().addEvent(this.mEvent);
            }
            component.addEvent(this.mEvent);
            Stopwatch.split("addEventToComponent");
        }
    }
}
