package com.taobao.weex.ui.action;

import android.widget.ScrollView;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.WXRenderStrategy;
import com.taobao.weex.dom.transition.WXTransition;
import com.taobao.weex.ui.component.WXBaseScroller;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.utils.WXLogUtils;
import java.util.Map;
import java.util.Set;

public class GraphicActionCreateBody extends GraphicActionAbstractAddElement {
    private WXComponent component;

    public GraphicActionCreateBody(WXSDKInstance instance, String ref, String componentType, Map<String, String> style, Map<String, String> attributes, Set<String> events, float[] margins, float[] paddings, float[] borders) {
        super(instance, ref);
        this.mComponentType = componentType;
        this.mStyle = style;
        this.mAttributes = attributes;
        this.mEvents = events;
        this.mMargins = margins;
        this.mPaddings = paddings;
        this.mBorders = borders;
        if (instance.getContext() != null) {
            WXComponent createComponent = createComponent(instance, null, new BasicComponentData(getRef(), this.mComponentType, null));
            this.component = createComponent;
            if (createComponent != null) {
                createComponent.setTransition(WXTransition.fromMap(createComponent.getStyles(), this.component));
            }
        }
    }

    @Override // com.taobao.weex.ui.action.IExecutable, com.taobao.weex.ui.action.GraphicActionAbstractAddElement
    public void executeAction() {
        super.executeAction();
        try {
            this.component.createView();
            this.component.applyLayoutAndEvent(this.component);
            this.component.bindData(this.component);
            WXSDKInstance instance = getWXSDKIntance();
            if (this.component instanceof WXBaseScroller) {
                WXBaseScroller scroller = (WXBaseScroller) this.component;
                if (scroller.getInnerView() instanceof ScrollView) {
                    instance.setRootScrollView((ScrollView) scroller.getInnerView());
                }
            }
            instance.onRootCreated(this.component);
            if (instance.getRenderStrategy() != WXRenderStrategy.APPEND_ONCE) {
                instance.onCreateFinish();
            }
        } catch (Exception e) {
            WXLogUtils.e("create body failed.", e);
        }
    }
}
