package com.taobao.weex.ui.action;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.WXRenderStrategy;
import com.taobao.weex.performance.WXInstanceApm;
import com.taobao.weex.ui.component.WXComponent;

public class GraphicActionCreateFinish extends BasicGraphicAction {
    private int mLayoutHeight;
    private int mLayoutWidth;

    public GraphicActionCreateFinish(WXSDKInstance instance) {
        super(instance, "");
        WXComponent component = instance.getRootComponent();
        if (component != null) {
            this.mLayoutWidth = (int) component.getLayoutWidth();
            this.mLayoutHeight = (int) component.getLayoutHeight();
        }
        instance.getApmForInstance().onStage(WXInstanceApm.KEY_PAGE_STAGES_CREATE_FINISH);
        instance.getApmForInstance().extInfo.put(WXInstanceApm.KEY_PAGE_STAGES_CREATE_FINISH, true);
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXSDKInstance instance = getWXSDKIntance();
        if (instance != null && instance.getContext() != null && !instance.mHasCreateFinish) {
            instance.mHasCreateFinish = true;
            if (instance.getRenderStrategy() == WXRenderStrategy.APPEND_ONCE) {
                instance.onCreateFinish();
            } else if (!"platform".equals(instance.getRenderType())) {
                instance.onCreateFinish();
            }
            if (instance.getWXPerformance() != null) {
                instance.getWXPerformance().callCreateFinishTime = System.currentTimeMillis() - instance.getWXPerformance().renderTimeOrigin;
            }
            instance.onOldFsRenderTimeLogic();
        }
    }
}
