package com.taobao.weex.ui.action;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.WXComponent;

public class GraphicActionLayout extends BasicGraphicAction {
    private final boolean mIsLayoutRTL;
    private final GraphicPosition mLayoutPosition;
    private final GraphicSize mLayoutSize;

    public GraphicActionLayout(WXSDKInstance instance, String ref, GraphicPosition layoutPosition, GraphicSize layoutSize, boolean isRTL) {
        super(instance, ref);
        this.mLayoutPosition = layoutPosition;
        this.mLayoutSize = layoutSize;
        this.mIsLayoutRTL = isRTL;
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), getRef());
        if (component != null) {
            component.setIsLayoutRTL(this.mIsLayoutRTL);
            component.setDemission(this.mLayoutSize, this.mLayoutPosition);
            component.setSafeLayout(component);
            component.setPadding(component.getPadding(), component.getBorder());
        }
    }
}
