package com.taobao.weex.ui.action;

import android.text.TextUtils;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;

public class GraphicActionMoveElement extends BasicGraphicAction {
    private int mIndex;
    private String mParentref;

    public GraphicActionMoveElement(WXSDKInstance instance, String ref, String parentRef, int index) {
        super(instance, ref);
        this.mParentref = parentRef;
        this.mIndex = index;
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), getRef());
        if (component != null) {
            WXVContainer oldParent = component.getParent();
            WXComponent newParent = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), this.mParentref);
            if (oldParent != null && newParent != null && (newParent instanceof WXVContainer)) {
                if (component.getHostView() != null && !TextUtils.equals(component.getComponentType(), "video") && !TextUtils.equals(component.getComponentType(), "videoplus")) {
                    component.getHostView().getLocationInWindow(new int[2]);
                }
                oldParent.remove(component, false);
                ((WXVContainer) newParent).addChild(component, this.mIndex);
                if (component.getHostView() != null && !TextUtils.equals(component.getComponentType(), "video") && !TextUtils.equals(component.getComponentType(), "videoplus")) {
                    component.getHostView().getLocationInWindow(new int[2]);
                }
                if (!component.isVirtualComponent()) {
                    ((WXVContainer) newParent).addSubView(component.getHostView(), this.mIndex);
                }
            }
        }
    }
}
