package com.taobao.weex.ui.action;

import android.text.TextUtils;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;

public class GraphicActionRemoveElement extends BasicGraphicAction {
    public GraphicActionRemoveElement(WXSDKInstance instance, String ref) {
        super(instance, ref);
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), getRef());
        if (component != null && component.getParent() != null && component.getInstance() != null) {
            clearRegistryForComponent(component);
            WXVContainer parent = component.getParent();
            if (component.getHostView() != null && !TextUtils.equals(component.getComponentType(), "video") && !TextUtils.equals(component.getComponentType(), "videoplus")) {
                component.getHostView().getLocationInWindow(new int[2]);
            }
            parent.remove(component, true);
        }
    }

    private void clearRegistryForComponent(WXComponent component) {
        WXComponent removedComponent = WXSDKManager.getInstance().getWXRenderManager().unregisterComponent(getPageId(), getRef());
        if (removedComponent != null) {
            removedComponent.removeAllEvent();
            removedComponent.removeStickyStyle();
        }
        if (component instanceof WXVContainer) {
            WXVContainer container = (WXVContainer) component;
            for (int i = container.childCount() - 1; i >= 0; i--) {
                clearRegistryForComponent(container.getChild(i));
            }
        }
    }
}
