package com.taobao.weex.ui.action;

import android.text.TextUtils;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.bridge.SimpleJSCallback;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.list.template.CellDataManager;
import com.taobao.weex.ui.component.list.template.WXRecyclerTemplateList;
import com.taobao.weex.utils.WXLogUtils;

public class UpdateComponentDataAction extends BasicGraphicAction {
    private String callback;
    private JSONObject data;
    private String virtualComponentId;

    public UpdateComponentDataAction(WXSDKInstance instance, String virtualComponentId2, JSONObject data2, String callback2) {
        super(instance, CellDataManager.getListRef(virtualComponentId2));
        this.virtualComponentId = virtualComponentId2;
        this.data = data2;
        this.callback = callback2;
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        if (TextUtils.isEmpty(getRef())) {
            WXLogUtils.e("wrong virtualComponentId split error " + this.virtualComponentId);
            return;
        }
        WXComponent component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), getRef());
        if (component instanceof WXRecyclerTemplateList) {
            WXRecyclerTemplateList templateList = (WXRecyclerTemplateList) component;
            templateList.getCellDataManager().updateVirtualComponentData(this.virtualComponentId, this.data);
            templateList.notifyUpdateList();
            new SimpleJSCallback(component.getInstanceId(), this.callback).invoke(true);
            return;
        }
        WXLogUtils.e("recycler-list wrong virtualComponentId " + this.virtualComponentId);
    }
}
