package com.taobao.weex.ui.animation;

import android.graphics.drawable.ColorDrawable;
import android.util.Property;
import android.view.View;
import com.taobao.weex.ui.view.border.BorderDrawable;
import com.taobao.weex.utils.WXLogUtils;
import com.taobao.weex.utils.WXViewUtils;

public class BackgroundColorProperty extends Property<View, Integer> {
    private static final String TAG = "BackgroundColorAnimation";

    public BackgroundColorProperty() {
        super(Integer.class, "backgroundColor");
    }

    public Integer get(View object) {
        int color;
        BorderDrawable borderDrawable = WXViewUtils.getBorderDrawable(object);
        if (borderDrawable != null) {
            color = borderDrawable.getColor();
        } else if (object.getBackground() instanceof ColorDrawable) {
            color = ((ColorDrawable) object.getBackground()).getColor();
        } else {
            color = 0;
            WXLogUtils.e(TAG, "Unsupported background type");
        }
        return Integer.valueOf(color);
    }

    public void set(View object, Integer value) {
        BorderDrawable borderDrawable = WXViewUtils.getBorderDrawable(object);
        if (borderDrawable != null) {
            borderDrawable.setColor(value.intValue());
        } else if (object.getBackground() instanceof ColorDrawable) {
            ((ColorDrawable) object.getBackground()).setColor(value.intValue());
        } else {
            WXLogUtils.e(TAG, "Unsupported background type");
        }
    }
}
