package com.taobao.weex.ui.component;

import android.content.Context;
import android.graphics.Color;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import com.taobao.weex.ui.view.WXEditText;
import com.tencent.smtt.sdk.TbsListener;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ISysEventListener;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

public class ConfirmBar {
    private static ConfirmBar instance;
    private List<WXComponent> editText = new ArrayList();
    private int height;
    private AtomicReference<ISysEventListener> listener = null;
    private ViewGroup rootView;
    private RelativeLayout rtl;

    static ConfirmBar getInstance() {
        if (instance == null) {
            synchronized (ConfirmBar.class) {
                if (instance == null) {
                    instance = new ConfirmBar();
                }
            }
        }
        return instance;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showConfirm(boolean isShow, int margin) {
        try {
            if (this.rtl != null) {
                View appView = null;
                if (this.rootView != null) {
                    appView = this.rootView.findViewWithTag("AppRootView");
                }
                if (isShow) {
                    if (this.rootView != null) {
                        FrameLayout.LayoutParams appParams = (FrameLayout.LayoutParams) appView.getLayoutParams();
                        appParams.bottomMargin = this.height;
                        appView.setLayoutParams(appParams);
                    }
                    FrameLayout.LayoutParams params = (FrameLayout.LayoutParams) this.rtl.getLayoutParams();
                    params.topMargin = margin;
                    this.rtl.setLayoutParams(params);
                    this.rtl.setVisibility(0);
                    this.rtl.bringToFront();
                    return;
                }
                this.rtl.setVisibility(4);
                if (appView != null) {
                    FrameLayout.LayoutParams appParams2 = (FrameLayout.LayoutParams) appView.getLayoutParams();
                    appParams2.bottomMargin = 0;
                    appView.setLayoutParams(appParams2);
                }
            }
        } catch (Exception e) {
        }
    }

    /* access modifiers changed from: package-private */
    public void addComponent(WXComponent component) {
        try {
            this.editText.add(component);
        } catch (Exception e) {
        }
    }

    /* access modifiers changed from: package-private */
    public void removeComponent(WXComponent component) {
        try {
            this.editText.remove(component);
        } catch (Exception e) {
        }
    }

    /* access modifiers changed from: package-private */
    public void createConfirmBar(final Context context, IApp mApp) {
        try {
            if (this.listener == null) {
                AtomicReference<ISysEventListener> atomicReference = new AtomicReference<>(new ISysEventListener() {
                    /* class com.taobao.weex.ui.component.ConfirmBar.AnonymousClass1 */

                    @Override // io.dcloud.common.DHInterface.ISysEventListener
                    public boolean onExecute(ISysEventListener.SysEventType pEventType, Object pArgs) {
                        if (pEventType == ISysEventListener.SysEventType.onSizeChanged) {
                            int[] values = (int[]) pArgs;
                            int sh = context.getResources().getDisplayMetrics().heightPixels;
                            int imeh = context.getResources().getDisplayMetrics().heightPixels / 4;
                            if (Math.abs(values[1] - sh) > imeh || Math.abs(values[1] - values[3]) > imeh) {
                                if (values[1] <= values[3] || Math.abs(values[1] - values[3]) <= imeh) {
                                    Iterator it = ConfirmBar.this.editText.iterator();
                                    while (true) {
                                        if (!it.hasNext()) {
                                            break;
                                        }
                                        WXComponent component = (WXComponent) it.next();
                                        if (component.getHostView().hasFocus() && (component instanceof DCTextArea) && ((DCTextArea) component).isShowConfirm) {
                                            ConfirmBar.getInstance().showConfirm(true, values[1]);
                                            break;
                                        }
                                        ConfirmBar.getInstance().showConfirm(false, values[1]);
                                    }
                                } else {
                                    ConfirmBar.getInstance().showConfirm(false, values[1]);
                                }
                            }
                        } else if (pEventType == ISysEventListener.SysEventType.onWebAppStop) {
                            ConfirmBar.this.listener = null;
                            ConfirmBar.this.rtl = null;
                            ConfirmBar.this.rootView = null;
                        }
                        return false;
                    }
                });
                this.listener = atomicReference;
                mApp.registerSysEventListener(atomicReference.get(), ISysEventListener.SysEventType.onSizeChanged);
                mApp.registerSysEventListener(this.listener.get(), ISysEventListener.SysEventType.onWebAppStop);
            }
            this.height = (int) TypedValue.applyDimension(1, 44.0f, context.getResources().getDisplayMetrics());
            if (this.rtl == null) {
                this.rtl = new RelativeLayout(context);
                ViewGroup viewGroup = (ViewGroup) mApp.obtainWebAppRootView().obtainMainView().getParent();
                this.rootView = viewGroup;
                if (viewGroup != null) {
                    this.rootView.addView(this.rtl, new FrameLayout.LayoutParams(-1, this.height));
                }
                Button btn = new Button(context);
                btn.setText(17039370);
                btn.setGravity(17);
                btn.setTextColor(Color.argb(255, 50, (int) TbsListener.ErrorCode.UNZIP_DIR_ERROR, 50));
                btn.setTextSize(TypedValue.applyDimension(2, 6.0f, context.getResources().getDisplayMetrics()));
                btn.setBackground(null);
                btn.setOnClickListener(new View.OnClickListener() {
                    /* class com.taobao.weex.ui.component.ConfirmBar.AnonymousClass2 */

                    public void onClick(View v) {
                        if (ConfirmBar.this.editText.size() > 0) {
                            WXComponent focusComponent = null;
                            Iterator it = ConfirmBar.this.editText.iterator();
                            while (true) {
                                if (!it.hasNext()) {
                                    break;
                                }
                                WXComponent component = (WXComponent) it.next();
                                if ((component.getHostView() instanceof WXEditText) && component.getHostView().hasFocus()) {
                                    focusComponent = component;
                                    break;
                                }
                            }
                            if (focusComponent != null) {
                                Map<String, Object> detail = new HashMap<>(1);
                                Map<String, Object> par = new HashMap<>(1);
                                par.put("value", ((WXEditText) focusComponent.getHostView()).getText().toString());
                                detail.put("detail", par);
                                focusComponent.fireEvent("confirm", detail);
                                if (focusComponent.getParent() != null) {
                                    focusComponent.getParent().interceptFocus();
                                }
                                focusComponent.getHostView().clearFocus();
                                ((DCTextArea) focusComponent).hideSoftKeyboard();
                            }
                        }
                    }
                });
                this.rtl.addView(btn, new RelativeLayout.LayoutParams(-2, -1));
                this.rtl.setBackgroundColor(Color.argb(255, (int) TbsListener.ErrorCode.COPY_INSTALL_SUCCESS, (int) TbsListener.ErrorCode.COPY_INSTALL_SUCCESS, (int) TbsListener.ErrorCode.COPY_INSTALL_SUCCESS));
                this.rtl.setTag("ConfirmBar");
                this.rtl.setVisibility(4);
            }
        } catch (Exception e) {
        }
    }
}
