package com.taobao.weex.ui.component;

import android.text.Editable;
import android.text.TextWatcher;
import android.widget.TextView;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.Constants;
import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.view.WXEditText;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.util.HashMap;
import java.util.Map;

public class DCTextArea extends DCWXInput {
    private WXAttr attr;
    private boolean isAutoHeight = false;
    private boolean isLineChange = false;
    boolean isShowConfirm = true;
    private WXComponent.OnFocusChangeListener mOnFocusChangeListener = new WXComponent.OnFocusChangeListener() {
        /* class com.taobao.weex.ui.component.DCTextArea.AnonymousClass2 */
        int count = 0;

        @Override // com.taobao.weex.ui.component.WXComponent.OnFocusChangeListener
        public void onFocusChange(boolean hasFocus) {
            TextView text = (TextView) DCTextArea.this.getHostView();
            if (text != null) {
                Map<String, Object> ret = new HashMap<>(1);
                Map<String, Object> sub = new HashMap<>(1);
                sub.put("value", text.getText().toString());
                if (!hasFocus) {
                    sub.put("cursor", Integer.valueOf(text.getSelectionStart()));
                    ret.put("detail", sub);
                    DCTextArea.this.fireEvent(Constants.Event.BLUR, ret);
                } else if (DCTextArea.this.keyboardHeight == 0.0f) {
                    fireEventForFocus(text);
                } else {
                    sub.put("height", Float.valueOf(DCTextArea.this.keyboardHeight));
                    sub.put("value", text.getText().toString());
                    ret.put("detail", sub);
                    DCTextArea.this.fireEvent(Constants.Event.FOCUS, ret);
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void fireEventForFocus(final TextView text) {
            ((WXEditText) DCTextArea.this.getHostView()).postDelayed(new Runnable() {
                /* class com.taobao.weex.ui.component.DCTextArea.AnonymousClass2.AnonymousClass1 */

                public void run() {
                    if (DCTextArea.this.keyboardHeight == 0.0f) {
                        AnonymousClass2.this.count++;
                        if (AnonymousClass2.this.count > 3) {
                            Map<String, Object> ret = new HashMap<>(1);
                            Map<String, Object> sub = new HashMap<>(1);
                            sub.put("value", text.getText().toString());
                            sub.put("height", Float.valueOf(DCTextArea.this.keyboardHeight));
                            ret.put("detail", sub);
                            DCTextArea.this.fireEvent(Constants.Event.FOCUS, ret);
                            return;
                        }
                        AnonymousClass2.this.fireEventForFocus(text);
                        return;
                    }
                    AnonymousClass2.this.count = 0;
                    Map<String, Object> ret2 = new HashMap<>(1);
                    Map<String, Object> sub2 = new HashMap<>(1);
                    sub2.put("value", text.getText().toString());
                    sub2.put("height", Float.valueOf(DCTextArea.this.keyboardHeight));
                    ret2.put("detail", sub2);
                    DCTextArea.this.fireEvent(Constants.Event.FOCUS, ret2);
                }
            }, 200);
        }
    };

    public DCTextArea(WXSDKInstance instance, WXVContainer parent, boolean isLazy, BasicComponentData basicComponentData) {
        super(instance, parent, isLazy, basicComponentData);
        this.attr = basicComponentData.getAttrs();
        setContentBoxMeasurement(new ContentBoxMeasurement() {
            /* class com.taobao.weex.ui.component.DCTextArea.AnonymousClass1 */

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                if (CSSConstants.isUndefined(width)) {
                    this.mMeasureWidth = WXViewUtils.getRealPxByWidth(300.0f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                }
                if (!CSSConstants.isUndefined(height)) {
                    return;
                }
                if (!DCTextArea.this.attr.containsKey("autoHeight") || !WXUtils.getBoolean(DCTextArea.this.attr.get("autoHeight"), false).booleanValue()) {
                    this.mMeasureHeight = WXViewUtils.getRealPxByWidth(150.0f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                } else {
                    this.mMeasureHeight = WXViewUtils.getRealPxByWidth(((float) DCTextArea.this.getInstance().getDefaultFontSize()) * 1.4f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                }
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }
        });
    }

    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public void addEvent(String type) {
        super.addEvent(type);
        if (type.equals("linechange")) {
            this.isLineChange = true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public void setFocusAndBlur() {
        if (!ismHasFocusChangeListener(this.mOnFocusChangeListener)) {
            addFocusChangeListener(this.mOnFocusChangeListener);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public void onHostViewInitialized(WXEditText host) {
        this.isNeedConfirm = false;
        host.setAllowDisableMovement(false);
        super.onHostViewInitialized(host);
        try {
            ConfirmBar.getInstance().createConfirmBar(getContext(), WeexInstanceMgr.self().findWebview(getInstance()).obtainApp());
            ConfirmBar.getInstance().addComponent(this);
        } catch (Exception e) {
        }
        if (this.attr.containsKey("autoHeight") && WXUtils.getBoolean(this.attr.get("autoHeight"), false).booleanValue()) {
            WXBridgeManager.getInstance().setStyleHeight(getInstanceId(), getRef(), WXViewUtils.getRealPxByWidth(((float) getInstance().getDefaultFontSize()) * 1.4f, getInstance().getInstanceViewPortWidthWithFloat()));
        }
        watchLine();
    }

    private void watchLine() {
        addTextChangedListener(new TextWatcher() {
            /* class com.taobao.weex.ui.component.DCTextArea.AnonymousClass3 */
            int line = 0;

            public void beforeTextChanged(CharSequence s, int start, int count1, int after) {
            }

            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (((WXEditText) DCTextArea.this.getHostView()).getLineCount() != this.line) {
                    this.line = ((WXEditText) DCTextArea.this.getHostView()).getLineCount();
                    int padding = ((WXEditText) DCTextArea.this.getHostView()).getExtendedPaddingTop() + ((WXEditText) DCTextArea.this.getHostView()).getExtendedPaddingBottom();
                    float height = (float) (((WXEditText) DCTextArea.this.getHostView()).getLayout().getLineTop(((WXEditText) DCTextArea.this.getHostView()).getLineCount()) + padding);
                    if (padding == 0 && DCTextArea.this.isAutoHeight) {
                        height = ((float) ((WXEditText) DCTextArea.this.getHostView()).getLayout().getLineTop(((WXEditText) DCTextArea.this.getHostView()).getLineCount() - 1)) + WXViewUtils.getRealPxByWidth(((float) DCTextArea.this.getInstance().getDefaultFontSize()) * 1.4f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                    }
                    if (DCTextArea.this.isAutoHeight && height > 0.0f) {
                        WXBridgeManager.getInstance().setStyleHeight(DCTextArea.this.getInstanceId(), DCTextArea.this.getRef(), height);
                        WXBridgeManager.getInstance().notifyLayout(DCTextArea.this.getInstanceId());
                        WXBridgeManager.getInstance().forceLayout(DCTextArea.this.getInstanceId());
                    }
                    if (DCTextArea.this.isLineChange) {
                        HashMap hashMap = new HashMap(3);
                        hashMap.put("lineCount", Integer.valueOf(this.line));
                        hashMap.put("height", Float.valueOf(WXViewUtils.getWebPxByWidth(height, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat())));
                        hashMap.put("heightRpx", Float.valueOf(height));
                        Map<String, Object> detail = new HashMap<>(1);
                        detail.put("detail", hashMap);
                        DCTextArea.this.fireEvent("linechange", detail);
                    }
                }
            }

            public void afterTextChanged(Editable s) {
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public void appleStyleAfterCreated(WXEditText editText) {
        super.appleStyleAfterCreated(editText);
        editText.setSingleLine(false);
        editText.setMinLines(1);
        editText.setMaxLines(100);
        editText.setInputType(131073);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public void setHostLayoutParams(WXEditText host, int width, int height, int left, int right, int top, int bottom) {
        super.setHostLayoutParams(host, width, height, left, right, top, bottom);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public int getVerticalGravity() {
        return 48;
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        this.isConfirmHold = WXUtils.getBoolean(param, true).booleanValue();
        return super.setProperty(key, param);
    }

    @Override // com.taobao.weex.ui.component.DCWXInput
    public void setType(String type) {
        if (getHostView() != null && type != null && getHostView() != null && !this.mType.equals(type)) {
            ((WXEditText) getHostView()).setInputType(131073);
        }
    }

    @WXComponentProp(name = "autoHeight")
    public void setAutoHeight(boolean isAuto) {
        this.isAutoHeight = isAuto;
    }

    @Override // com.taobao.weex.ui.component.DCWXInput
    public void setSingleLine(boolean singleLine) {
        ((WXEditText) getHostView()).setSingleLine(false);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public float getMeasureHeight() {
        if (this.isAutoHeight) {
            return getMeasuredLineHeight();
        }
        return super.getMeasureHeight();
    }

    @WXComponentProp(name = "showConfirmBar")
    public void setShowConfirmBar(boolean isShowC) {
        this.isShowConfirm = isShowC;
    }

    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        ConfirmBar.getInstance().removeComponent(this);
    }
}
