package com.taobao.weex.ui.component;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.text.Editable;
import android.text.InputFilter;
import android.text.SpannableString;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.method.PasswordTransformationMethod;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewTreeObserver;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.TextView;
import androidx.core.view.GravityCompat;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.Constants;
import com.taobao.weex.common.WXThread;
import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.dom.WXStyle;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.action.GraphicSize;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.view.WXEditText;
import com.taobao.weex.utils.FontDO;
import com.taobao.weex.utils.TypefaceUtil;
import com.taobao.weex.utils.WXLogUtils;
import com.taobao.weex.utils.WXResourceUtils;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.common.core.ui.DCKeyboardManager;
import io.dcloud.common.core.ui.keyboard.DCEditText;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.feature.uniapp.annotation.UniJSMethod;
import io.dcloud.feature.uniapp.common.UniConstants;
import io.dcloud.feature.uniapp.utils.UniUtils;
import io.dcloud.feature.uniapp.utils.UniViewUtils;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

public class DCWXInput extends WXComponent<WXEditText> {
    private static final int MAX_TEXT_FORMAT_REPEAT = 3;
    final String ADJUST_POSITION = "adjustPosition";
    final String PASSWORD = Constants.Value.PASSWORD;
    private int cursor = -1;
    boolean isConfirmHold = false;
    private AtomicBoolean isLayoutFinished = new AtomicBoolean(false);
    public boolean isNeedConfirm = true;
    private boolean isPassword = false;
    float keyboardHeight = 0.0f;
    private String mBeforeText = "";
    private int mEditorAction = 6;
    private List<TextView.OnEditorActionListener> mEditorActionListeners;
    private String mFontFamily;
    private int mFormatRepeatCount = 0;
    private TextFormatter mFormatter = null;
    private WXSDKInstance.FrameViewEventListener mFrameViewEventListener;
    private boolean mIgnoreNextOnInputEvent = false;
    private final InputMethodManager mInputMethodManager;
    private int mLineHeight = -1;
    private boolean mListeningConfirm = false;
    private WXComponent.OnFocusChangeListener mOnFocusChangeListener = new WXComponent.OnFocusChangeListener() {
        /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass6 */
        int count = 0;

        @Override // com.taobao.weex.ui.component.WXComponent.OnFocusChangeListener
        public void onFocusChange(boolean hasFocus) {
            TextView text = (TextView) DCWXInput.this.getHostView();
            if (text != null) {
                Map<String, Object> ret = new HashMap<>(1);
                Map<String, Object> sub = new HashMap<>(1);
                sub.put("value", text.getText().toString());
                if (!hasFocus) {
                    ret.put("detail", sub);
                    DCWXInput.this.fireEvent(Constants.Event.BLUR, ret);
                } else if (DCWXInput.this.keyboardHeight == 0.0f) {
                    fireEventForFocus(text);
                } else {
                    sub.put("height", Float.valueOf(DCWXInput.this.keyboardHeight));
                    sub.put("value", text.getText().toString());
                    ret.put("detail", sub);
                    DCWXInput.this.fireEvent(Constants.Event.FOCUS, ret);
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void fireEventForFocus(final TextView text) {
            ((WXEditText) DCWXInput.this.getHostView()).postDelayed(new Runnable() {
                /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass6.AnonymousClass1 */

                public void run() {
                    if (DCWXInput.this.keyboardHeight == 0.0f) {
                        AnonymousClass6.this.count++;
                        if (AnonymousClass6.this.count > 3) {
                            Map<String, Object> ret = new HashMap<>(1);
                            Map<String, Object> sub = new HashMap<>(1);
                            sub.put("value", text.getText().toString());
                            sub.put("height", Float.valueOf(DCWXInput.this.keyboardHeight));
                            ret.put("detail", sub);
                            DCWXInput.this.fireEvent(Constants.Event.FOCUS, ret);
                            return;
                        }
                        AnonymousClass6.this.fireEventForFocus(text);
                        return;
                    }
                    AnonymousClass6.this.count = 0;
                    Map<String, Object> ret2 = new HashMap<>(1);
                    Map<String, Object> sub2 = new HashMap<>(1);
                    sub2.put("value", text.getText().toString());
                    sub2.put("height", Float.valueOf(DCWXInput.this.keyboardHeight));
                    ret2.put("detail", sub2);
                    DCWXInput.this.fireEvent(Constants.Event.FOCUS, ret2);
                }
            }, 200);
        }
    };
    private TextPaint mPaint = new TextPaint();
    private String mReturnKeyType = null;
    private TextWatcher mTextChangedEventDispatcher;
    private List<TextWatcher> mTextChangedListeners;
    protected String mType = "text";
    private BroadcastReceiver mTypefaceObserver;
    private float measureHeight = -1.0f;
    private float measureWidht = -1.0f;
    private JSONObject placeholderStyle = new JSONObject();
    private String placeholderTextAlign;
    private int selectionEnd = Integer.MAX_VALUE;
    private int selectionStart = Integer.MAX_VALUE;
    private String textAlign = "left";

    private interface ReturnTypes {
        public static final String DEFAULT = "default";
        public static final String DONE = "done";
        public static final String GO = "go";
        public static final String NEXT = "next";
        public static final String SEARCH = "search";
        public static final String SEND = "send";
    }

    public DCWXInput(WXSDKInstance instance, WXVContainer parent, boolean isLazy, BasicComponentData basicComponentData) {
        super(instance, parent, isLazy, basicComponentData);
        interceptFocusAndBlurEvent();
        this.mInputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
        setContentBoxMeasurement(new ContentBoxMeasurement() {
            /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass1 */

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                if (DCWXInput.this.getBasicComponentData().getStyles() == null || DCWXInput.this.getBasicComponentData().getStyles().size() == 0) {
                    DCWXInput.this.measureWidht = width;
                }
                if (CSSConstants.isUndefined(height)) {
                    this.mMeasureHeight = WXViewUtils.getRealPxByWidth(((float) DCWXInput.this.getInstance().getDefaultFontSize()) * 1.4f, DCWXInput.this.getInstance().getInstanceViewPortWidthWithFloat());
                    DCWXInput.this.measureHeight = this.mMeasureHeight;
                }
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
                DCWXInput.this.updateStyleAndAttrs();
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }
        });
    }

    /* access modifiers changed from: protected */
    public void setHostLayoutParams(WXEditText host, int width, int height, int left, int right, int top, int bottom) {
        super.setHostLayoutParams((View) host, width, height, left, right, top, bottom);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.feature.uniapp.ui.component.AbsBasicComponent
    public void setLayoutSize(GraphicSize mLayoutSize) {
        super.setLayoutSize(mLayoutSize);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public void layoutDirectionDidChanged(boolean isRTL) {
        int textAlign2 = getTextAlign((String) getStyles().get(Constants.Name.TEXT_ALIGN));
        if (textAlign2 <= 0) {
            textAlign2 = GravityCompat.START;
        }
        if (getHostView() != null) {
            ((WXEditText) getHostView()).setGravity(getVerticalGravity() | textAlign2);
        }
    }

    /* access modifiers changed from: package-private */
    public final float getMeasuredLineHeight() {
        int i = this.mLineHeight;
        return (i == -1 || i <= 0) ? this.mPaint.getFontMetrics(null) : (float) i;
    }

    /* access modifiers changed from: protected */
    public float getMeasureHeight() {
        float f = 50.0f;
        if (getMeasuredLineHeight() >= 50.0f) {
            f = getMeasureHeight();
        }
        return WXViewUtils.getRealPxByWidth(f, getInstance().getInstanceViewPortWidthWithFloat());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateStyleAndAttrs() {
        if (getStyles().size() > 0) {
            int fontSize = -1;
            int fontStyle = -1;
            int fontWeight = -1;
            String fontFamily = null;
            if (getStyles().containsKey(Constants.Name.FONT_SIZE)) {
                fontSize = WXStyle.getFontSize(getStyles(), getInstance().getDefaultFontSize(), (float) getViewPortWidth());
            }
            if (getStyles().containsKey(Constants.Name.FONT_FAMILY)) {
                fontFamily = WXStyle.getFontFamily(getStyles());
            }
            if (getStyles().containsKey(Constants.Name.FONT_STYLE)) {
                fontStyle = WXStyle.getFontStyle(getStyles());
            }
            if (getStyles().containsKey(Constants.Name.FONT_WEIGHT)) {
                fontWeight = WXStyle.getFontWeight(getStyles());
            }
            int lineHeight = WXStyle.getLineHeight(getStyles(), (float) getViewPortWidth());
            if (lineHeight != -1) {
                this.mLineHeight = lineHeight;
            }
            if (fontSize != -1) {
                this.mPaint.setTextSize((float) fontSize);
            }
            if (fontFamily != null) {
                TypefaceUtil.applyFontStyle(this.mPaint, fontStyle, fontWeight, fontFamily);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public WXEditText initComponentHostView(Context context) {
        WXEditText inputView = new WXEditText(context, getInstanceId());
        appleStyleAfterCreated(inputView);
        inputView.setImeOptions(6);
        return inputView;
    }

    /* access modifiers changed from: protected */
    public void onHostViewInitialized(WXEditText host) {
        super.onHostViewInitialized((View) host);
        if (this.measureWidht > 0.0f) {
            WXBridgeManager.getInstance().setStyleWidth(getInstanceId(), getRef(), this.measureWidht);
        }
        if (this.measureHeight > 0.0f) {
            WXBridgeManager.getInstance().setStyleHeight(getInstanceId(), getRef(), this.measureHeight);
        }
        addFocusChangeListener(new WXComponent.OnFocusChangeListener() {
            /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass2 */

            @Override // com.taobao.weex.ui.component.WXComponent.OnFocusChangeListener
            public void onFocusChange(boolean hasFocus) {
                if (!hasFocus) {
                    DCWXInput.this.decideSoftKeyboard();
                }
                DCWXInput.this.setPseudoClassStatus(Constants.PSEUDO.FOCUS, hasFocus);
                if (hasFocus) {
                    DCWXInput dCWXInput = DCWXInput.this;
                    dCWXInput.setTextAlign(dCWXInput.textAlign);
                } else if (DCWXInput.this.getHostView() != null && PdrUtil.isEmpty(((WXEditText) DCWXInput.this.getHostView()).getText().toString())) {
                    DCWXInput dCWXInput2 = DCWXInput.this;
                    int align = dCWXInput2.getTextAlign(dCWXInput2.placeholderTextAlign == null ? DCWXInput.this.textAlign : DCWXInput.this.placeholderTextAlign);
                    if (align > 0) {
                        ((WXEditText) DCWXInput.this.getHostView()).setGravity(DCWXInput.this.getVerticalGravity() | align);
                    }
                }
            }
        });
        addKeyboardListener(host);
        if (this.isNeedConfirm) {
            addEditorChangeListener();
        }
    }

    private void addEditorChangeListener() {
        addEditorActionListener(new TextView.OnEditorActionListener() {
            /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass3 */

            public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                if (!DCWXInput.this.mListeningConfirm || actionId != DCWXInput.this.mEditorAction) {
                    return DCWXInput.this.isConfirmHold;
                }
                Map<String, Object> ret = new HashMap<>(1);
                Map<String, Object> sub = new HashMap<>(1);
                sub.put("value", v.getText().toString());
                ret.put("detail", sub);
                DCWXInput.this.fireEvent("confirm", ret);
                if (!DCWXInput.this.isConfirmHold) {
                    DCWXInput.this.blur();
                }
                return true;
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean isConsumeTouch() {
        return !isDisabled();
    }

    /* access modifiers changed from: protected */
    public int getVerticalGravity() {
        return 16;
    }

    /* access modifiers changed from: protected */
    public void appleStyleAfterCreated(final WXEditText editText) {
        int textAlign2 = getTextAlign((String) getStyles().get(Constants.Name.TEXT_ALIGN));
        if (textAlign2 <= 0) {
            textAlign2 = GravityCompat.START;
        }
        editText.setGravity(getVerticalGravity() | textAlign2);
        int colorInt = WXResourceUtils.getColor("#999999");
        if (colorInt != Integer.MIN_VALUE) {
            editText.setHintTextColor(colorInt);
        }
        AnonymousClass4 r3 = new TextWatcher() {
            /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass4 */

            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                if (DCWXInput.this.mTextChangedListeners != null) {
                    for (TextWatcher watcher : DCWXInput.this.mTextChangedListeners) {
                        watcher.beforeTextChanged(s, start, count, after);
                    }
                }
            }

            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (DCWXInput.this.mFormatter != null) {
                    String result = DCWXInput.this.mFormatter.format(DCWXInput.this.mFormatter.recover(s.toString()));
                    if (result.equals(s.toString()) || DCWXInput.this.mFormatRepeatCount >= 3) {
                        DCWXInput.this.mFormatRepeatCount = 0;
                    } else {
                        DCWXInput.this.mFormatRepeatCount++;
                        int cursorIndex = DCWXInput.this.mFormatter.format(DCWXInput.this.mFormatter.recover(s.subSequence(0, editText.getSelectionStart()).toString())).length();
                        editText.setText(result);
                        editText.setSelection(cursorIndex);
                        return;
                    }
                }
                if (DCWXInput.this.mTextChangedListeners != null) {
                    for (TextWatcher watcher : DCWXInput.this.mTextChangedListeners) {
                        watcher.onTextChanged(s, start, before, count);
                    }
                }
            }

            public void afterTextChanged(Editable s) {
                if (DCWXInput.this.mTextChangedListeners != null) {
                    for (TextWatcher watcher : DCWXInput.this.mTextChangedListeners) {
                        watcher.afterTextChanged(s);
                    }
                }
            }
        };
        this.mTextChangedEventDispatcher = r3;
        editText.addTextChangedListener(r3);
        editText.setTextSize(0, (float) WXStyle.getFontSize(getStyles(), getInstance().getDefaultFontSize(), getInstance().getInstanceViewPortWidthWithFloat()));
        editText.setSingleLine(true);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void addEvent(String type) {
        if (getHostView() != null && !TextUtils.isEmpty(type)) {
            if (type.equals("input")) {
                addTextChangedListener(new TextWatcher() {
                    /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass5 */

                    public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                    }

                    public void onTextChanged(CharSequence s, int start, int before, int count) {
                        if (DCWXInput.this.mIgnoreNextOnInputEvent) {
                            DCWXInput.this.mIgnoreNextOnInputEvent = false;
                            DCWXInput.this.mBeforeText = s.toString();
                            return;
                        }
                        Map<String, Object> ret = new HashMap<>(1);
                        Map<String, Object> sub = new HashMap<>(3);
                        sub.put("value", s.toString());
                        sub.put("cursor", Integer.valueOf(((WXEditText) DCWXInput.this.getHostView()).getSelectionEnd()));
                        if (before == 0 && count != 0) {
                            try {
                                String charCode = s.subSequence(start, start + count).toString();
                                sub.put("keyCode", Integer.valueOf(Character.codePointAt(charCode, charCode.length() - 1)));
                            } catch (Exception e) {
                                sub.put("keyCode", "0");
                            }
                        } else if (before != 0 && count == 0) {
                            String charCode2 = DCWXInput.this.mBeforeText.subSequence(start, start + before).toString();
                            sub.put("keyCode", Integer.valueOf(Character.codePointAt(charCode2, charCode2.length() - 1)));
                        }
                        DCWXInput.this.mBeforeText = s.toString();
                        ret.put("detail", sub);
                        DCWXInput.this.fireEvent("input", ret);
                    }

                    public void afterTextChanged(Editable s) {
                    }
                });
            }
            if ("confirm".equals(type)) {
                this.mListeningConfirm = true;
            }
            if (Constants.Event.FOCUS.equals(type) || Constants.Event.BLUR.equals(type)) {
                setFocusAndBlur();
            }
            super.addEvent(type);
        }
    }

    /* access modifiers changed from: protected */
    public void setFocusAndBlur() {
        if (!ismHasFocusChangeListener(this.mOnFocusChangeListener)) {
            addFocusChangeListener(this.mOnFocusChangeListener);
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0067, code lost:
        if (r6.equals(com.taobao.weex.common.Constants.Name.DISABLED) != false) goto L_0x0108;
     */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        char c = 0;
        switch (key.hashCode()) {
            case -2137753034:
                if (key.equals(Constants.Name.SELECTION_START)) {
                    c = 19;
                    break;
                }
                c = 65535;
                break;
            case -1898657397:
                if (key.equals(Constants.Name.KEEP_SELECTION_INDEX)) {
                    c = 15;
                    break;
                }
                c = 65535;
                break;
            case -1629051985:
                if (key.equals(Constants.Name.SELECTION_END)) {
                    c = 20;
                    break;
                }
                c = 65535;
                break;
            case -1576785488:
                if (key.equals(Constants.Name.PLACEHOLDER_COLOR)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case -1349119146:
                if (key.equals("cursor")) {
                    c = 17;
                    break;
                }
                c = 65535;
                break;
            case -1224696685:
                if (key.equals(Constants.Name.FONT_FAMILY)) {
                    c = 21;
                    break;
                }
                c = 65535;
                break;
            case -1065511464:
                if (key.equals(Constants.Name.TEXT_ALIGN)) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case -791400086:
                if (key.equals(Constants.Name.MAX_LENGTH)) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case 107876:
                if (key.equals("max")) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 108114:
                if (key.equals(Constants.Name.MIN)) {
                    c = '\r';
                    break;
                }
                c = 65535;
                break;
            case 94842723:
                if (key.equals("color")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 97604824:
                if (key.equals(Constants.Event.FOCUS)) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 102977279:
                if (key.equals(Constants.Name.LINES)) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case 124732746:
                if (key.equals(Constants.Name.MAXLENGTH)) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case 270940796:
                break;
            case 344059807:
                if (key.equals("confirmHold")) {
                    c = 18;
                    break;
                }
                c = 65535;
                break;
            case 365601008:
                if (key.equals(Constants.Name.FONT_SIZE)) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 598246771:
                if (key.equals(Constants.Name.PLACEHOLDER)) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 914346044:
                if (key.equals(Constants.Name.SINGLELINE)) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case 947486441:
                if (key.equals(Constants.Name.RETURN_KEY_TYPE)) {
                    c = 14;
                    break;
                }
                c = 65535;
                break;
            case 1625554645:
                if (key.equals(Constants.Name.ALLOW_COPY_PASTE)) {
                    c = 16;
                    break;
                }
                c = 65535;
                break;
            case 1638055017:
                if (key.equals("autoFocus")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                Boolean disabled = WXUtils.getBoolean(param, false);
                ((WXEditText) getHostView()).setFocusable(!disabled.booleanValue());
                ((WXEditText) getHostView()).setFocusableInTouchMode(!disabled.booleanValue());
                ((WXEditText) getHostView()).setCursorVisible(!disabled.booleanValue());
                return true;
            case 1:
                return true;
            case 2:
                String placeholder_color = WXUtils.getString(param, null);
                if (placeholder_color != null) {
                    setPlaceholderColor(placeholder_color);
                }
                return true;
            case 3:
            case 4:
                setAutofocus(WXUtils.getBoolean(param, false).booleanValue());
                return true;
            case 5:
                String color = WXUtils.getString(param, null);
                if (color != null) {
                    setColor(color);
                }
                return true;
            case 6:
                String fontsize = WXUtils.getString(param, null);
                if (fontsize != null) {
                    setFontSize(fontsize);
                }
                return true;
            case 7:
                String text_align = WXUtils.getString(param, null);
                if (text_align != null) {
                    setTextAlign(text_align);
                }
                return true;
            case '\b':
                Boolean singLineResult = WXUtils.getBoolean(param, null);
                if (singLineResult != null) {
                    setSingleLine(singLineResult.booleanValue());
                }
                return true;
            case '\t':
                Integer lines = WXUtils.getInteger(param, null);
                if (lines != null) {
                    setLines(lines.intValue());
                }
                return true;
            case '\n':
                Integer maxlength = WXUtils.getInteger(param, null);
                if (maxlength != null) {
                    setMaxLength(maxlength.intValue());
                }
                return true;
            case 11:
                Integer maxLength = WXUtils.getInteger(param, null);
                if (maxLength != null) {
                    setMaxLength(maxLength.intValue());
                }
                return true;
            case '\f':
                return true;
            case '\r':
                return true;
            case 14:
                setReturnKeyType(String.valueOf(param));
                return true;
            case 15:
                return true;
            case 16:
                boolean allowCopyPaste = WXUtils.getBoolean(param, true).booleanValue();
                if (getHostView() != null) {
                    ((WXEditText) getHostView()).setAllowCopyPaste(allowCopyPaste);
                }
                return true;
            case 17:
                int cursor2 = WXUtils.getInt(param);
                if (cursor2 > 0 && cursor2 <= ((WXEditText) getHostView()).getText().length()) {
                    ((WXEditText) getHostView()).setSelection(cursor2);
                } else if (cursor2 > ((WXEditText) getHostView()).getText().length()) {
                    ((WXEditText) getHostView()).setSelection(((WXEditText) getHostView()).getText().length());
                }
                return true;
            case 18:
                this.isConfirmHold = WXUtils.getBoolean(param, false).booleanValue();
                break;
            case 19:
                int intValue = WXUtils.getInteger(param, Integer.MAX_VALUE).intValue();
                this.selectionStart = intValue;
                setSelectionRange(intValue, this.selectionEnd);
                break;
            case 20:
                int intValue2 = WXUtils.getInteger(param, Integer.MAX_VALUE).intValue();
                this.selectionEnd = intValue2;
                setSelectionRange(this.selectionStart, intValue2);
                break;
            case 21:
                if (param != null) {
                    try {
                        FontDO fontDO = TypefaceUtil.getFontDO(param.toString());
                        if (fontDO == null || fontDO.getTypeface() == null || getHostView() == null) {
                            registerTypefaceObserver(param.toString());
                        } else {
                            ((WXEditText) getHostView()).setTypeface(fontDO.getTypeface());
                        }
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                return true;
        }
        return super.setProperty(key, param);
    }

    private void registerTypefaceObserver(String desiredFontFamily) {
        if (WXEnvironment.getApplication() == null) {
            WXLogUtils.w("WXText", "ApplicationContent is null on register typeface observer");
            return;
        }
        this.mFontFamily = desiredFontFamily;
        if (this.mTypefaceObserver == null) {
            this.mTypefaceObserver = new BroadcastReceiver() {
                /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass7 */

                public void onReceive(Context context, Intent intent) {
                    FontDO fontDO;
                    String fontFamily = intent.getStringExtra(Constants.Name.FONT_FAMILY);
                    if (DCWXInput.this.mFontFamily.equals(fontFamily) && (fontDO = TypefaceUtil.getFontDO(fontFamily)) != null && fontDO.getTypeface() != null && DCWXInput.this.getHostView() != null) {
                        ((WXEditText) DCWXInput.this.getHostView()).setTypeface(fontDO.getTypeface());
                    }
                }
            };
            LocalBroadcastManager.getInstance(WXEnvironment.getApplication()).registerReceiver(this.mTypefaceObserver, new IntentFilter(TypefaceUtil.ACTION_TYPE_FACE_AVAILABLE));
        }
    }

    @WXComponentProp(name = Constants.Name.RETURN_KEY_TYPE)
    public void setReturnKeyType(String type) {
        if (getHostView() != null && !type.equals(this.mReturnKeyType)) {
            this.mReturnKeyType = type;
            char c = 65535;
            switch (type.hashCode()) {
                case -906336856:
                    if (type.equals("search")) {
                        c = 3;
                        break;
                    }
                    break;
                case 3304:
                    if (type.equals("go")) {
                        c = 1;
                        break;
                    }
                    break;
                case 3089282:
                    if (type.equals("done")) {
                        c = 5;
                        break;
                    }
                    break;
                case 3377907:
                    if (type.equals("next")) {
                        c = 2;
                        break;
                    }
                    break;
                case 3526536:
                    if (type.equals("send")) {
                        c = 4;
                        break;
                    }
                    break;
                case 1544803905:
                    if (type.equals("default")) {
                        c = 0;
                        break;
                    }
                    break;
            }
            if (c == 0) {
                this.mEditorAction = 0;
            } else if (c == 1) {
                this.mEditorAction = 2;
            } else if (c == 2) {
                this.mEditorAction = 5;
            } else if (c == 3) {
                this.mEditorAction = 3;
            } else if (c == 4) {
                this.mEditorAction = 4;
            } else if (c == 5) {
                this.mEditorAction = 6;
            }
            blur();
            ((WXEditText) getHostView()).setImeOptions(this.mEditorAction);
        }
    }

    public void setPlaceholder(String placeholder) {
        if (placeholder != null && getHostView() != null) {
            ((WXEditText) getHostView()).setHint(placeholder);
            setPlaceholderStyle(this.placeholderStyle);
        }
    }

    @WXComponentProp(name = Constants.Name.PLACEHOLDER_COLOR)
    public void setPlaceholderColor(String color) {
        int colorInt;
        if (getHostView() != null && !TextUtils.isEmpty(color) && (colorInt = WXResourceUtils.getColor(color)) != Integer.MIN_VALUE) {
            ((WXEditText) getHostView()).setHintTextColor(colorInt);
        }
    }

    public void setType(String type) {
        Log.e("weex", "setType=" + type);
        if (type != null && getHostView() != null && !this.mType.equals(type)) {
            this.mType = type;
            ((EditText) getHostView()).setInputType(getInputType(this.mType));
        }
    }

    @WXComponentProp(name = Constants.Name.AUTOFOCUS)
    public void setAutofocus(final boolean autofocus) {
        if (getHostView() != null) {
            final EditText inputView = (EditText) getHostView();
            if (this.isLayoutFinished.get()) {
                if (autofocus) {
                    hostViewFocus(inputView);
                } else {
                    hideSoftKeyboard();
                }
                inputView.clearFocus();
            } else if (getInstance().isFrameViewShow()) {
                ((WXEditText) getHostView()).getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() {
                    /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass8 */

                    public void onGlobalLayout() {
                        if (DCWXInput.this.getInstance() != null) {
                            if (autofocus) {
                                DCWXInput.this.isLayoutFinished.set(true);
                                DCWXInput.this.hostViewFocus(inputView);
                                DCWXInput dCWXInput = DCWXInput.this;
                                dCWXInput.setSelectionRange(dCWXInput.selectionStart, DCWXInput.this.selectionEnd);
                            } else {
                                inputView.clearFocus();
                            }
                            ((WXEditText) DCWXInput.this.getHostView()).getViewTreeObserver().removeOnGlobalLayoutListener(this);
                        }
                    }
                });
            } else {
                if (this.mFrameViewEventListener != null) {
                    getInstance().removeFrameViewEventListener(this.mFrameViewEventListener);
                }
                this.mFrameViewEventListener = new WXSDKInstance.FrameViewEventListener() {
                    /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass9 */

                    @Override // com.taobao.weex.WXSDKInstance.FrameViewEventListener
                    public void onShowAnimationEnd() {
                        if (DCWXInput.this.getInstance() != null) {
                            if (autofocus) {
                                DCWXInput.this.isLayoutFinished.set(true);
                                DCWXInput.this.hostViewFocus(inputView);
                                DCWXInput dCWXInput = DCWXInput.this;
                                dCWXInput.setSelectionRange(dCWXInput.selectionStart, DCWXInput.this.selectionEnd);
                            } else {
                                inputView.clearFocus();
                            }
                            DCWXInput.this.getInstance().removeFrameViewEventListener(this);
                            DCWXInput.this.mFrameViewEventListener = null;
                        }
                    }
                };
                getInstance().addFrameViewEventListener(this.mFrameViewEventListener);
            }
        }
    }

    @WXComponentProp(name = "adjustPosition")
    public void setAdjustPosition(Object value) {
        if (getHostView() != null) {
            ((WXEditText) getHostView()).setInputSoftMode(WXUtils.getBoolean(value, true).booleanValue() ? DCKeyboardManager.SOFT_INPUT_MODE_ADJUST_PAN : DCKeyboardManager.SOFT_INPUT_MODE_ADJUST_NOTHING);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void hostViewFocus(EditText inputView) {
        inputView.setFocusable(true);
        inputView.setFocusableInTouchMode(true);
        inputView.setCursorVisible(true);
        inputView.requestFocus();
        showSoftKeyboard();
    }

    @WXComponentProp(name = "value")
    public void setText(String value) {
        WXEditText view = (WXEditText) getHostView();
        if (view != null && !TextUtils.equals(view.getText(), value)) {
            this.mIgnoreNextOnInputEvent = true;
            view.setText(value);
            int index = this.cursor;
            if (index <= 0) {
                index = value.length();
            }
            view.setSelection(value == null ? 0 : index);
        }
    }

    @WXComponentProp(name = "color")
    public void setColor(String color) {
        int colorInt;
        if (getHostView() != null && !TextUtils.isEmpty(color) && (colorInt = WXResourceUtils.getColor(color)) != Integer.MIN_VALUE) {
            ((WXEditText) getHostView()).setTextColor(colorInt);
        }
    }

    @WXComponentProp(name = Constants.Name.FONT_SIZE)
    public void setFontSize(String fontSize) {
        if (getHostView() != null && fontSize != null) {
            Map<String, Object> map = new HashMap<>(1);
            map.put(Constants.Name.FONT_SIZE, fontSize);
            ((WXEditText) getHostView()).setTextSize(0, (float) WXStyle.getFontSize(map, getInstance().getDefaultFontSize(), getInstance().getInstanceViewPortWidthWithFloat()));
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @WXComponentProp(name = "placeholderStyle")
    public void setPlaceholderStyle(JSONObject styleStr1) {
        char c;
        char c2;
        JSONObject jSONObject = this.placeholderStyle;
        if (!(jSONObject == null || jSONObject.isEmpty())) {
            CharSequence hint = ((WXEditText) getHostView()).getHint();
            if (hint == null && getAttrs().containsKey(Constants.Name.PLACEHOLDER)) {
                hint = WXUtils.getString(getAttrs().get(Constants.Name.PLACEHOLDER), "");
            }
            SpannableString ss = new SpannableString(hint);
            AbsoluteSizeSpan sizeSpan = new AbsoluteSizeSpan((int) ((WXEditText) getHostView()).getTextSize());
            ForegroundColorSpan foreSpan = new ForegroundColorSpan(((WXEditText) getHostView()).getCurrentHintTextColor());
            BackgroundColorSpan backSpan = null;
            StyleSpan styleSpan = null;
            for (Map.Entry<String, Object> set : this.placeholderStyle.entrySet()) {
                String key = set.getKey();
                switch (key.hashCode()) {
                    case -1586082113:
                        if (key.equals("font-size")) {
                            c = '\b';
                            break;
                        }
                        c = 65535;
                        break;
                    case -1267206133:
                        if (key.equals("opacity")) {
                            c = 0;
                            break;
                        }
                        c = 65535;
                        break;
                    case -1065511464:
                        if (key.equals(Constants.Name.TEXT_ALIGN)) {
                            c = 5;
                            break;
                        }
                        c = 65535;
                        break;
                    case -734428249:
                        if (key.equals(Constants.Name.FONT_WEIGHT)) {
                            c = 7;
                            break;
                        }
                        c = 65535;
                        break;
                    case 94842723:
                        if (key.equals("color")) {
                            c = 3;
                            break;
                        }
                        c = 65535;
                        break;
                    case 365601008:
                        if (key.equals(Constants.Name.FONT_SIZE)) {
                            c = '\t';
                            break;
                        }
                        c = 65535;
                        break;
                    case 598800822:
                        if (key.equals("font-weight")) {
                            c = 6;
                            break;
                        }
                        c = 65535;
                        break;
                    case 605322756:
                        if (key.equals("background-color")) {
                            c = 1;
                            break;
                        }
                        c = 65535;
                        break;
                    case 746232421:
                        if (key.equals("text-align")) {
                            c = 4;
                            break;
                        }
                        c = 65535;
                        break;
                    case 1287124693:
                        if (key.equals("backgroundColor")) {
                            c = 2;
                            break;
                        }
                        c = 65535;
                        break;
                    default:
                        c = 65535;
                        break;
                }
                switch (c) {
                    case 1:
                    case 2:
                        int colorInt1 = WXResourceUtils.getColor(String.valueOf(set.getValue()));
                        if (colorInt1 != Integer.MIN_VALUE) {
                            backSpan = new BackgroundColorSpan(colorInt1);
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        int colorInt = WXResourceUtils.getColor(String.valueOf(set.getValue()));
                        if (colorInt != Integer.MIN_VALUE) {
                            foreSpan = new ForegroundColorSpan(colorInt);
                            break;
                        } else {
                            break;
                        }
                    case 4:
                    case 5:
                        this.placeholderTextAlign = String.valueOf(set.getValue());
                        int align = getTextAlign(String.valueOf(set.getValue()));
                        if (align > 0) {
                            ((WXEditText) getHostView()).setGravity(getVerticalGravity() | align);
                            break;
                        } else {
                            break;
                        }
                    case 6:
                    case 7:
                        String valueOf = String.valueOf(set.getValue());
                        switch (valueOf.hashCode()) {
                            case 53430:
                                if (valueOf.equals("600")) {
                                    c2 = 0;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 54391:
                                if (valueOf.equals("700")) {
                                    c2 = 1;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 55352:
                                if (valueOf.equals("800")) {
                                    c2 = 2;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 56313:
                                if (valueOf.equals("900")) {
                                    c2 = 3;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 3029637:
                                if (valueOf.equals(Constants.Value.BOLD)) {
                                    c2 = 4;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            default:
                                c2 = 65535;
                                break;
                        }
                        if (c2 != 0 && c2 != 1 && c2 != 2 && c2 != 3 && c2 != 4) {
                            styleSpan = new StyleSpan(0);
                            break;
                        } else {
                            styleSpan = new StyleSpan(1);
                            break;
                        }
                    case '\b':
                    case '\t':
                        String size = String.valueOf(set.getValue());
                        if (size.endsWith("px")) {
                            size = size.replaceAll("px", "");
                        } else if (size.endsWith("wx")) {
                            size = size.replaceAll("wx", "");
                        }
                        Map<String, Object> map = new HashMap<>(1);
                        map.put(Constants.Name.FONT_SIZE, size);
                        sizeSpan = new AbsoluteSizeSpan(WXUtils.getInteger(Integer.valueOf(WXStyle.getFontSize(map, getInstance().getDefaultFontSize(), getInstance().getInstanceViewPortWidthWithFloat())), Integer.valueOf(getInstance().getDefaultFontSize())).intValue());
                        break;
                }
            }
            ss.setSpan(sizeSpan, 0, ss.length(), 33);
            if (backSpan != null) {
                ss.setSpan(backSpan, 0, ss.length(), 33);
            }
            if (styleSpan != null) {
                ss.setSpan(styleSpan, 0, ss.length(), 33);
            }
            ss.setSpan(foreSpan, 0, ss.length(), 33);
            ((WXEditText) getHostView()).setHint(ss);
        }
    }

    @WXComponentProp(name = "placeholderClass")
    public void setPlaceholderClass(JSONObject styles) {
        setPlaceholderStyle(styles);
    }

    @WXComponentProp(name = Constants.Name.TEXT_ALIGN)
    public void setTextAlign(String textAlign2) {
        this.textAlign = textAlign2;
        int align = getTextAlign(textAlign2);
        if (align > 0) {
            ((WXEditText) getHostView()).setGravity(getVerticalGravity() | align);
        }
    }

    @WXComponentProp(name = Constants.Name.SINGLELINE)
    public void setSingleLine(boolean singleLine) {
        if (getHostView() != null) {
            ((WXEditText) getHostView()).setSingleLine(singleLine);
        }
    }

    @WXComponentProp(name = Constants.Name.LINES)
    public void setLines(int lines) {
        if (getHostView() != null) {
            ((WXEditText) getHostView()).setLines(lines);
        }
    }

    @WXComponentProp(name = Constants.Name.MAX_LENGTH)
    public void setMaxLength(int maxLength) {
        if (getHostView() != null) {
            if (maxLength == -1) {
                maxLength = Integer.MAX_VALUE;
            }
            ((WXEditText) getHostView()).setFilters(new InputFilter[]{new InputFilter.LengthFilter(maxLength)});
        }
    }

    @WXComponentProp(name = Constants.Name.MAXLENGTH)
    @Deprecated
    public void setMaxlength(int maxLength) {
        setMaxLength(maxLength);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private int getInputType(String type) {
        char c;
        switch (type.hashCode()) {
            case -1034364087:
                if (type.equals("number")) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case 114715:
                if (type.equals(Constants.Value.TEL)) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 116079:
                if (type.equals("url")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 3076014:
                if (type.equals("date")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 3556653:
                if (type.equals("text")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 3560141:
                if (type.equals(Constants.Value.TIME)) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 95582509:
                if (type.equals("digit")) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case 96619420:
                if (type.equals("email")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 1216985755:
                if (type.equals(Constants.Value.PASSWORD)) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 1793702779:
                if (type.equals(Constants.Value.DATETIME)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                return 1;
            case 1:
                ((WXEditText) getHostView()).setFocusable(false);
                return 0;
            case 2:
                return 4;
            case 3:
                return 33;
            case 4:
                if (getHostView() == null) {
                    return 129;
                }
                ((WXEditText) getHostView()).setTransformationMethod(PasswordTransformationMethod.getInstance());
                return 129;
            case 5:
                return 3;
            case 6:
                if (getHostView() == null) {
                    return 0;
                }
                ((WXEditText) getHostView()).setFocusable(false);
                return 0;
            case 7:
                return 17;
            case '\b':
                return 8194;
            case '\t':
                return 2;
            default:
                return 1;
        }
    }

    @WXComponentProp(name = UniConstants.Name.CURSOR_SPACING)
    public void setCursorSpacing(String v) {
        if (getHostView() != null) {
            ((WXEditText) getHostView()).setCursorSpacing(UniViewUtils.getRealPxByWidth(UniUtils.getFloat(v), getInstance().getInstanceViewPortWidthWithFloat()));
        }
    }

    private void showSoftKeyboard() {
        if (getHostView() != null) {
            ((WXEditText) getHostView()).postDelayed(WXThread.secure(new Runnable() {
                /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass10 */

                public void run() {
                    DCWXInput.this.mInputMethodManager.showSoftInput(DCWXInput.this.getHostView(), 1);
                }
            }), 100);
        }
    }

    /* access modifiers changed from: package-private */
    public void hideSoftKeyboard() {
        if (getHostView() != null) {
            ((WXEditText) getHostView()).postDelayed(WXThread.secure(new Runnable() {
                /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass11 */

                public void run() {
                    DCWXInput.this.mInputMethodManager.hideSoftInputFromWindow(((WXEditText) DCWXInput.this.getHostView()).getWindowToken(), 0);
                }
            }), 16);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getTextAlign(String textAlign2) {
        int align = isLayoutRTL() ? GravityCompat.END : GravityCompat.START;
        if (TextUtils.isEmpty(textAlign2)) {
            return align;
        }
        char c = 65535;
        int hashCode = textAlign2.hashCode();
        if (hashCode != -1364013995) {
            if (hashCode != 3317767) {
                if (hashCode == 108511772 && textAlign2.equals("right")) {
                    c = 2;
                }
            } else if (textAlign2.equals("left")) {
                c = 0;
            }
        } else if (textAlign2.equals("center")) {
            c = 1;
        }
        if (c == 0) {
            return GravityCompat.START;
        }
        if (c == 1) {
            return 17;
        }
        if (c != 2) {
            return align;
        }
        return GravityCompat.END;
    }

    @JSMethod
    public void blur() {
        WXEditText host = (WXEditText) getHostView();
        if (host != null && host.hasFocus()) {
            if (getParent() != null) {
                getParent().interceptFocus();
            }
            host.clearFocus();
            hideSoftKeyboard();
        }
    }

    public String getValue() {
        return ((WXEditText) getHostView()).getText().toString();
    }

    @JSMethod
    public void setValue(String text) {
        ((WXEditText) getHostView()).setText(text);
    }

    @JSMethod
    public void focus() {
        WXEditText host = (WXEditText) getHostView();
        if (host != null && !host.hasFocus()) {
            if (getParent() != null) {
                getParent().ignoreFocus();
            }
            host.requestFocus();
            host.setFocusable(true);
            host.setFocusableInTouchMode(true);
            showSoftKeyboard();
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0027  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0031  */
    @Override // com.taobao.weex.ui.component.WXComponent
    public Object convertEmptyProperty(String propName, Object originalValue) {
        char c;
        int hashCode = propName.hashCode();
        if (hashCode != 94842723) {
            if (hashCode == 365601008 && propName.equals(Constants.Name.FONT_SIZE)) {
                c = 0;
                if (c == 0) {
                    return Integer.valueOf(getInstance().getDefaultFontSize());
                }
                if (c != 1) {
                    return super.convertEmptyProperty(propName, originalValue);
                }
                return "black";
            }
        } else if (propName.equals("color")) {
            c = 1;
            if (c == 0) {
            }
        }
        c = 65535;
        if (c == 0) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void decideSoftKeyboard() {
        View hostView = getHostView();
        if (hostView != null) {
            final Context context = getContext();
            if (context instanceof Activity) {
                hostView.postDelayed(WXThread.secure(new Runnable() {
                    /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass12 */

                    public void run() {
                        View currentFocus = ((Activity) context).getCurrentFocus();
                        if (currentFocus != null && !(currentFocus instanceof EditText) && !currentFocus.isFocused()) {
                            DCWXInput.this.mInputMethodManager.hideSoftInputFromWindow(((WXEditText) DCWXInput.this.getHostView()).getWindowToken(), 0);
                        }
                    }
                }), 16);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setSelectionRange(int selectionStart2, int selectionEnd2) {
        EditText hostView;
        if (selectionEnd2 != Integer.MAX_VALUE && selectionStart2 != Integer.MAX_VALUE && (hostView = (EditText) getHostView()) != null) {
            int length = ((WXEditText) getHostView()).length();
            if (selectionStart2 <= selectionEnd2) {
                if (selectionStart2 < 0) {
                    selectionStart2 = 0;
                }
                if (selectionEnd2 > length) {
                    selectionEnd2 = length;
                }
                if (selectionEnd2 < 0) {
                    selectionEnd2 = 0;
                }
                hostView.setSelection(selectionStart2, selectionEnd2);
            }
        }
    }

    @UniJSMethod
    public void getSelectionRange(String callbackId) {
        Map<String, Object> result = new HashMap<>(2);
        EditText hostView = (EditText) getHostView();
        if (hostView != null) {
            int start = hostView.getSelectionStart();
            int end = hostView.getSelectionEnd();
            if (!hostView.hasFocus()) {
                start = 0;
                end = 0;
            }
            result.put(Constants.Name.SELECTION_START, Integer.valueOf(start));
            result.put(Constants.Name.SELECTION_END, Integer.valueOf(end));
        }
        WXBridgeManager.getInstance().callback(getInstanceId(), callbackId, result, false);
    }

    @UniJSMethod
    public void getCursor(JSCallback callback) {
        Map<String, Object> map = new HashMap<>(1);
        if (getHostView() == null || !((WXEditText) getHostView()).isFocused()) {
            map.put("cursor", 0);
        } else {
            map.put("cursor", Integer.valueOf(((WXEditText) getHostView()).getSelectionEnd()));
        }
        callback.invoke(map);
    }

    @JSMethod
    public void setTextFormatter(JSONObject params) {
        try {
            String formatRule = params.getString("formatRule");
            String formatReplace = params.getString("formatReplace");
            String recoverRule = params.getString("recoverRule");
            String recoverReplace = params.getString("recoverReplace");
            PatternWrapper format = parseToPattern(formatRule, formatReplace);
            PatternWrapper recover = parseToPattern(recoverRule, recoverReplace);
            if (format != null && recover != null) {
                this.mFormatter = new TextFormatter(format, recover);
            }
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }

    private final void addEditorActionListener(TextView.OnEditorActionListener listener) {
        TextView view;
        if (listener != null && (view = (TextView) getHostView()) != null) {
            if (this.mEditorActionListeners == null) {
                this.mEditorActionListeners = new ArrayList();
                view.setOnEditorActionListener(new TextView.OnEditorActionListener() {
                    /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass13 */
                    private boolean handled = true;

                    public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
                        for (TextView.OnEditorActionListener l : DCWXInput.this.mEditorActionListeners) {
                            if (l != null) {
                                this.handled &= l.onEditorAction(v, actionId, event);
                            }
                        }
                        return this.handled;
                    }
                });
            }
            this.mEditorActionListeners.add(listener);
        }
    }

    /* access modifiers changed from: package-private */
    public void addTextChangedListener(TextWatcher watcher) {
        if (this.mTextChangedListeners == null) {
            this.mTextChangedListeners = new ArrayList();
        }
        this.mTextChangedListeners.add(watcher);
    }

    private void addKeyboardListener(final WXEditText host) {
        if (host != null && (host.getContext() instanceof Activity)) {
            ((WXEditText) getHostView()).setkeyBoardHeightChangeListener(new DCEditText.OnKeyboardHeightChangeListener() {
                /* class com.taobao.weex.ui.component.DCWXInput.AnonymousClass14 */

                @Override // io.dcloud.common.core.ui.keyboard.DCEditText.OnKeyboardHeightChangeListener
                public void onChange(boolean isShown, int keyBoardHeight) {
                    if (DCWXInput.this.getInstance() != null && !DCWXInput.this.getInstance().isDestroy() && host != null) {
                        DCWXInput dCWXInput = DCWXInput.this;
                        dCWXInput.keyboardHeight = (float) ((int) WXViewUtils.getWebPxByWidth((float) keyBoardHeight, dCWXInput.getInstance().getInstanceViewPortWidthWithFloat()));
                        HashMap hashMap = new HashMap(2);
                        hashMap.put("height", Float.valueOf(DCWXInput.this.keyboardHeight));
                        hashMap.put("duration", 0);
                        Map<String, Object> ret = new HashMap<>(1);
                        ret.put("detail", hashMap);
                        DCWXInput.this.fireEvent("keyboardheightchange", ret);
                        if (host.isFocused()) {
                            String inputType = DCWXInput.this.isPassword ? Constants.Value.PASSWORD : DCWXInput.this.mType;
                            if (!isShown && !DCWXInput.this.isConfirmHold && !inputType.equalsIgnoreCase(Constants.Value.PASSWORD) && !DCKeyboardManager.getInstance().getFrontInputType().equals(Constants.Value.PASSWORD)) {
                                DCWXInput.this.blur();
                            }
                            if (isShown) {
                                DCKeyboardManager.getInstance().setFrontInputType(inputType);
                            }
                        }
                        if (isShown) {
                            DCWXInput dCWXInput2 = DCWXInput.this;
                            dCWXInput2.keyboardHeight = dCWXInput2.keyboardHeight;
                        }
                    }
                }
            });
        }
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void updateProperties(Map<String, Object> props) {
        String str;
        if (props != null && props.size() > 0) {
            setType(props.containsKey("type") ? String.valueOf(props.get("type")) : this.mType);
            String str2 = this.mType;
            if (str2 != null && str2.equals("text") && props.containsKey("confirmType")) {
                if (props.containsKey("confirmType")) {
                    str = String.valueOf(props.get("confirmType"));
                } else {
                    str = this.mReturnKeyType;
                    if (str == null) {
                        str = "done";
                    }
                }
                setReturnKeyType(str);
            }
            WXAttr attrs = getAttrs();
            String type = Constants.Value.PASSWORD;
            if (attrs.containsKey(type)) {
                boolean booleanValue = WXUtils.getBoolean(getAttrs().get(type), false).booleanValue();
                this.isPassword = booleanValue;
                if (!booleanValue) {
                    type = this.mType;
                }
                if (type != null && getHostView() != null) {
                    ((EditText) getHostView()).setInputType(getInputType(type));
                } else {
                    return;
                }
            }
            if (props.containsKey("cursor")) {
                this.cursor = WXUtils.getInteger(props.get("cursor"), 0).intValue();
            }
            if (props.containsKey(Constants.Name.SELECTION_START)) {
                this.selectionStart = WXUtils.getInteger(props.get(Constants.Name.SELECTION_START), Integer.MAX_VALUE).intValue();
            }
            if (props.containsKey(Constants.Name.SELECTION_END)) {
                this.selectionEnd = WXUtils.getInteger(props.get(Constants.Name.SELECTION_END), Integer.MAX_VALUE).intValue();
            }
            if (props.containsKey(Constants.Name.PLACEHOLDER)) {
                setPlaceholder(WXUtils.getString(props.get(Constants.Name.PLACEHOLDER), ""));
            }
            if (props.containsKey("placeholderClass")) {
                this.placeholderStyle.putAll((JSONObject) JSONObject.parse(WXUtils.getString(props.get("placeholderClass"), "{}")));
            }
            if (props.containsKey("placeholderStyle")) {
                this.placeholderStyle.putAll((JSONObject) JSONObject.parse(WXUtils.getString(props.get("placeholderStyle"), "{}")));
            }
            if (props.containsKey("adjustPosition")) {
                setAdjustPosition(props.get("adjustPosition"));
            }
        }
        super.updateProperties(props);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        List<TextView.OnEditorActionListener> list = this.mEditorActionListeners;
        if (list != null) {
            list.clear();
        }
        List<TextWatcher> list2 = this.mTextChangedListeners;
        if (list2 != null) {
            list2.clear();
        }
        if (this.mTextChangedEventDispatcher != null) {
            this.mTextChangedEventDispatcher = null;
        }
        if (getHostView() != null) {
            ((WXEditText) getHostView()).destroy();
        }
    }

    private PatternWrapper parseToPattern(String jsPattern, String replace) {
        if (jsPattern == null || replace == null) {
            return null;
        }
        if (!Pattern.compile("/[\\S]+/[i]?[m]?[g]?").matcher(jsPattern).matches()) {
            WXLogUtils.w("WXInput", "Illegal js pattern syntax: " + jsPattern);
            return null;
        }
        int flags = 0;
        boolean global = false;
        String flagsStr = jsPattern.substring(jsPattern.lastIndexOf("/") + 1);
        String regExp = jsPattern.substring(jsPattern.indexOf("/") + 1, jsPattern.lastIndexOf("/"));
        if (flagsStr.contains("i")) {
            flags = 0 | 2;
        }
        if (flagsStr.contains(WXComponent.PROP_FS_MATCH_PARENT)) {
            flags |= 32;
        }
        if (flagsStr.contains("g")) {
            global = true;
        }
        Pattern pattern = null;
        try {
            pattern = Pattern.compile(regExp, flags);
        } catch (PatternSyntaxException e) {
            WXLogUtils.w("WXInput", "Pattern syntax error: " + regExp);
        }
        if (pattern == null) {
            return null;
        }
        PatternWrapper wrapper = new PatternWrapper();
        wrapper.global = global;
        wrapper.matcher = pattern;
        wrapper.replace = replace;
        return wrapper;
    }

    /* access modifiers changed from: private */
    public static class PatternWrapper {
        private boolean global;
        private Pattern matcher;
        private String replace;

        private PatternWrapper() {
            this.global = false;
        }
    }

    public static class TextFormatter {
        private PatternWrapper format;
        private PatternWrapper recover;

        private TextFormatter(PatternWrapper format2, PatternWrapper recover2) {
            this.format = format2;
            this.recover = recover2;
        }

        /* access modifiers changed from: package-private */
        public String format(String src) {
            try {
                if (this.format != null) {
                    if (this.format.global) {
                        return this.format.matcher.matcher(src).replaceAll(this.format.replace);
                    }
                    return this.format.matcher.matcher(src).replaceFirst(this.format.replace);
                }
            } catch (Throwable t) {
                WXLogUtils.w("WXInput", "[format] " + t.getMessage());
            }
            return src;
        }

        /* access modifiers changed from: package-private */
        public String recover(String formatted) {
            try {
                if (this.recover != null) {
                    if (this.recover.global) {
                        return this.recover.matcher.matcher(formatted).replaceAll(this.recover.replace);
                    }
                    return this.recover.matcher.matcher(formatted).replaceFirst(this.recover.replace);
                }
            } catch (Throwable t) {
                WXLogUtils.w("WXInput", "[formatted] " + t.getMessage());
            }
            return formatted;
        }
    }
}
