package com.taobao.weex.ui.component.list;

import android.graphics.Rect;
import android.view.View;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.taobao.weex.common.IWXObject;
import com.taobao.weex.utils.WXViewUtils;

public class GapItemDecoration extends RecyclerView.ItemDecoration {
    private WXListComponent listComponent;

    public GapItemDecoration(WXListComponent listComponent2) {
        this.listComponent = listComponent2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.ItemDecoration
    public void getItemOffsets(Rect outRect, View view, RecyclerView parent, RecyclerView.State state) {
        int position;
        Float[] spanOffsets = this.listComponent.getSpanOffsets();
        if (spanOffsets != null && (position = parent.getChildAdapterPosition(view)) >= 0 && (view.getLayoutParams() instanceof StaggeredGridLayoutManager.LayoutParams)) {
            StaggeredGridLayoutManager.LayoutParams params = (StaggeredGridLayoutManager.LayoutParams) view.getLayoutParams();
            if (!params.isFullSpan()) {
                IWXObject component = this.listComponent.getListChild(position);
                if (component instanceof WXCell) {
                    WXCell cell = (WXCell) component;
                    if (!cell.isFixed() && !cell.isSticky() && params.getSpanIndex() < spanOffsets.length) {
                        int spanOffsetPx = Math.round(WXViewUtils.getRealPxByWidth(this.listComponent.getSpanOffsets()[this.listComponent.isLayoutRTL() ? (spanOffsets.length - params.getSpanIndex()) - 1 : params.getSpanIndex()].floatValue(), this.listComponent.getViewPortWidthForFloat()));
                        if (this.listComponent.isLayoutRTL()) {
                            outRect.left = -spanOffsetPx;
                            outRect.right = spanOffsetPx;
                            return;
                        }
                        outRect.left = spanOffsetPx;
                        outRect.right = -spanOffsetPx;
                    }
                }
            }
        }
    }
}
