package com.taobao.weex.ui.component.list.template;

import android.text.TextUtils;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.ui.component.list.WXCell;
import java.util.List;

public class Selector {
    public static void queryElementAll(WXComponent component, String selector, List<WXComponent> componentList) {
        if (!TextUtils.isEmpty(selector)) {
            String[] args = selector.replaceAll("\\[|]", "").split("=");
            if (args.length > 0) {
                String key = args[0];
                String value = null;
                if (args.length > 1) {
                    value = args[1].trim();
                }
                if (component instanceof WXVContainer) {
                    WXVContainer container = (WXVContainer) component;
                    for (int i = 0; i < container.getChildCount(); i++) {
                        queryElementAllByAttrs(container.getChild(i), key, value, componentList);
                    }
                }
            }
        }
    }

    public static void closest(WXComponent component, String selector, List<WXComponent> componentList) {
        if (!TextUtils.isEmpty(selector)) {
            String[] args = selector.replaceAll("\\[|]", "").split("=");
            if (args.length > 0) {
                String key = args[0];
                String value = null;
                if (args.length > 1) {
                    value = args[1].trim();
                }
                closestByAttrs(component, key, value, componentList);
            }
        }
    }

    private static void closestByAttrs(WXComponent component, String key, String value, List<WXComponent> componentList) {
        if (matchAttrs(component, key, value)) {
            componentList.add(component);
        }
        if (!(component instanceof WXCell) && !(component instanceof WXRecyclerTemplateList)) {
            queryElementAllByAttrs(component.getParent(), key, value, componentList);
        }
    }

    private static void queryElementAllByAttrs(WXComponent component, String key, String value, List<WXComponent> componentList) {
        if (matchAttrs(component, key, value)) {
            componentList.add(component);
        }
        if (component instanceof WXVContainer) {
            WXVContainer container = (WXVContainer) component;
            for (int i = 0; i < container.getChildCount(); i++) {
                queryElementAllByAttrs(container.getChild(i), key, value, componentList);
            }
        }
    }

    private static boolean matchAttrs(WXComponent component, String key, String value) {
        if (component.isWaste() || !component.getAttrs().containsKey(key)) {
            return false;
        }
        if (TextUtils.isEmpty(value)) {
            return true;
        }
        Object attrValue = component.getAttrs().get(key);
        if (attrValue == null) {
            return false;
        }
        return value.equals(attrValue.toString());
    }
}
