package com.taobao.weex.ui.component.richtext.node;

import android.content.Context;
import android.text.SpannableStringBuilder;
import com.taobao.weex.dom.TextDecorationSpan;
import com.taobao.weex.dom.WXStyle;
import java.util.Map;

/* access modifiers changed from: package-private */
public class SpanNode extends RichTextNode {
    public static final String NODE_TYPE = "span";

    static class SpanNodeCreator implements RichTextNodeCreator<SpanNode> {
        SpanNodeCreator() {
        }

        @Override // com.taobao.weex.ui.component.richtext.node.RichTextNodeCreator
        public SpanNode createRichTextNode(Context context, String instanceId, String componentRef) {
            return new SpanNode(context, instanceId, componentRef);
        }

        @Override // com.taobao.weex.ui.component.richtext.node.RichTextNodeCreator
        public SpanNode createRichTextNode(Context context, String instanceId, String componentRef, String ref, Map<String, Object> styles, Map<String, Object> attrs) {
            return new SpanNode(context, instanceId, componentRef, ref, styles, attrs);
        }
    }

    private SpanNode(Context context, String instanceId, String componentRef) {
        super(context, instanceId, componentRef);
    }

    private SpanNode(Context context, String instanceId, String componentRef, String ref, Map<String, Object> styles, Map<String, Object> attrs) {
        super(context, instanceId, componentRef, ref, styles, attrs);
    }

    @Override // com.taobao.weex.ui.component.richtext.node.RichTextNode
    public String toString() {
        if (this.attr == null || !this.attr.containsKey("value")) {
            return "";
        }
        return this.attr.get("value").toString();
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.richtext.node.RichTextNode
    public boolean isInternalNode() {
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.richtext.node.RichTextNode
    public void updateSpans(SpannableStringBuilder spannableStringBuilder, int level) {
        super.updateSpans(spannableStringBuilder, level);
        spannableStringBuilder.setSpan(new TextDecorationSpan(WXStyle.getTextDecoration(this.style)), 0, spannableStringBuilder.length(), createSpanFlag(level));
    }
}
