package com.taobao.weex.ui.config;

import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKEngine;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.utils.WXFileUtils;
import com.taobao.weex.utils.WXLogUtils;
import java.io.IOException;

public class AutoScanConfigRegister {
    public static final String TAG = "WeexScanConfigRegister";
    private static long scanDelay = 0;

    public static void doScanConfig() {
        if (scanDelay > 0) {
            WXSDKManager.getInstance().getWXRenderManager().postOnUiThread(new Runnable() {
                /* class com.taobao.weex.ui.config.AutoScanConfigRegister.AnonymousClass1 */

                public void run() {
                    AutoScanConfigRegister.doScanConfigAsync();
                }
            }, scanDelay);
        } else {
            doScanConfigAsync();
        }
    }

    public static void doScanConfigAsync() {
        Thread thread = new Thread(new Runnable() {
            /* class com.taobao.weex.ui.config.AutoScanConfigRegister.AnonymousClass2 */

            public void run() {
                AutoScanConfigRegister.doScanConfigSync();
            }
        });
        thread.setName("AutoScanConfigRegister");
        thread.start();
    }

    /* access modifiers changed from: private */
    public static void doScanConfigSync() {
        Throwable e;
        if (WXEnvironment.sApplication != null) {
            try {
                boolean z = false;
                String[] configFiles = new String[0];
                try {
                    configFiles = WXEnvironment.sApplication.getApplicationContext().getAssets().list("");
                } catch (IOException e2) {
                    WXLogUtils.e("WeexScanConfigRegister", e2);
                }
                if (!(configFiles == null || configFiles.length == 0)) {
                    int length = configFiles.length;
                    int i = 0;
                    while (i < length) {
                        String configFile = configFiles[i];
                        if (!TextUtils.isEmpty(configFile)) {
                            if (configFile.startsWith("weex_config_") && configFile.endsWith(".json")) {
                                if (!TextUtils.isEmpty(configFile)) {
                                    try {
                                        String config = WXFileUtils.loadAsset(configFile, WXEnvironment.getApplication());
                                        if (!TextUtils.isEmpty(config)) {
                                            if (WXEnvironment.isApkDebugable()) {
                                                WXLogUtils.d("WeexScanConfigRegister", configFile + " find config " + config);
                                            }
                                            JSONObject object = JSON.parseObject(config);
                                            if (object.containsKey("modules")) {
                                                JSONArray array = object.getJSONArray("modules");
                                                for (int i2 = 0; i2 < array.size(); i2++) {
                                                    ConfigModuleFactory configModuleFactory = ConfigModuleFactory.fromConfig(array.getJSONObject(i2));
                                                    if (configModuleFactory != null) {
                                                        WXSDKEngine.registerModule(configModuleFactory.getName(), configModuleFactory, z);
                                                    }
                                                }
                                            }
                                            if (object.containsKey("components")) {
                                                JSONArray array2 = object.getJSONArray("components");
                                                for (int i3 = 0; i3 < array2.size(); i3++) {
                                                    ConfigComponentHolder configComponentHolder = ConfigComponentHolder.fromConfig(array2.getJSONObject(i3));
                                                    if (configComponentHolder != null) {
                                                        boolean isAppendTree = configComponentHolder.isAppendTree();
                                                        String[] strArr = new String[1];
                                                        try {
                                                            strArr[0] = configComponentHolder.getType();
                                                            WXSDKEngine.registerComponent(configComponentHolder, isAppendTree, strArr);
                                                        } catch (Throwable th) {
                                                            e = th;
                                                            WXLogUtils.e("WeexScanConfigRegister", e);
                                                            i++;
                                                            z = false;
                                                        }
                                                    } else {
                                                        return;
                                                    }
                                                }
                                            }
                                        }
                                    } catch (Throwable th2) {
                                        e = th2;
                                        WXLogUtils.e("WeexScanConfigRegister", e);
                                        i++;
                                        z = false;
                                    }
                                } else {
                                    return;
                                }
                            }
                        }
                        i++;
                        z = false;
                    }
                }
            } catch (Exception eout) {
                WXLogUtils.e("WeexScanConfigRegister", eout);
            }
        }
    }

    public static void setScanDelay(long scanDelay2) {
        scanDelay = scanDelay2;
    }
}
