package com.taobao.weex.ui.flat;

import android.util.Pair;
import android.view.ViewGroup;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.ui.flat.widget.AndroidViewWidget;
import com.taobao.weex.ui.flat.widget.Widget;
import java.util.LinkedList;
import java.util.List;

public abstract class WidgetContainer<T extends ViewGroup> extends WXVContainer<T> {
    protected List<Widget> widgets;

    /* access modifiers changed from: protected */
    public abstract void mountFlatGUI();

    /* access modifiers changed from: protected */
    public abstract void unmountFlatGUI();

    public WidgetContainer(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
    }

    public boolean intendToBeFlatContainer() {
        return false;
    }

    @Override // io.dcloud.feature.uniapp.ui.component.AbsVContainer
    public void createChildViewAt(int index) {
        Widget flatChild;
        if (intendToBeFlatContainer()) {
            Pair<WXComponent, Integer> ret = rearrangeIndexAndGetChild(index);
            if (ret.first != null) {
                WXComponent child = (WXComponent) ret.first;
                FlatGUIContext uiImp = getInstance().getFlatUIContext();
                WidgetContainer parent = uiImp.getFlatComponentAncestor(this);
                if (parent == null || uiImp.getAndroidViewWidget(this) != null) {
                    parent = this;
                }
                uiImp.register(child, parent);
                if (!(child instanceof FlatComponent) || ((FlatComponent) child).promoteToView(false)) {
                    flatChild = new AndroidViewWidget(uiImp);
                    uiImp.register(child, (AndroidViewWidget) flatChild);
                    child.createView();
                    ((AndroidViewWidget) flatChild).setContentView(child.getHostView());
                    parent.addSubView(child.getHostView(), -1);
                } else {
                    flatChild = ((FlatComponent) child).getOrCreateFlatWidget();
                }
                uiImp.register(flatChild, child);
                addFlatChild(flatChild, ((Integer) ret.second).intValue());
                return;
            }
            return;
        }
        super.createChildViewAt(index);
    }

    private void addFlatChild(Widget widget, int index) {
        if (this.widgets == null) {
            this.widgets = new LinkedList();
        }
        if (index >= this.widgets.size()) {
            this.widgets.add(widget);
        } else {
            this.widgets.add(index, widget);
        }
        mountFlatGUI();
    }
}
