package com.taobao.weex.ui.module;

import android.text.TextUtils;
import android.util.Log;
import androidx.collection.ArrayMap;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.ui.component.WXImage;
import com.taobao.weex.utils.LogLevel;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.feature.uniapp.utils.AbsLogLevel;
import java.util.Map;

public class ConsoleLogModule extends WXModule {
    @JSMethod(uiThread = false)
    public void switchLogLevel(String logLevel, JSCallback callback) {
        AbsLogLevel logLevelEnum = getLogLevel(logLevel);
        Map<String, String> ret = new ArrayMap<>();
        if (logLevelEnum != null) {
            WXEnvironment.sLogLevel = logLevelEnum;
            WXBridgeManager.getInstance().setLogLevel(WXEnvironment.sLogLevel.getValue(), WXEnvironment.isPerf());
            Log.e("shutao", "switchLogLevel--------" + WXEnvironment.isPerf());
            ret.put("status", WXImage.SUCCEED);
        } else {
            ret.put("status", "failure");
        }
        if (callback != null) {
            callback.invoke(ret);
        }
    }

    @JSMethod(uiThread = false)
    public void setPerfMode(String on) {
        WXEnvironment.isPerf = AbsoluteConst.TRUE.equals(on);
        WXBridgeManager.getInstance().setLogLevel(WXEnvironment.sLogLevel.getValue(), WXEnvironment.isPerf());
    }

    private AbsLogLevel getLogLevel(String logLevel) {
        if (TextUtils.isEmpty(logLevel)) {
            return null;
        }
        char c = 65535;
        switch (logLevel.hashCode()) {
            case 109935:
                if (logLevel.equals("off")) {
                    c = 0;
                    break;
                }
                break;
            case 3237038:
                if (logLevel.equals("info")) {
                    c = 3;
                    break;
                }
                break;
            case 95458899:
                if (logLevel.equals("debug")) {
                    c = 4;
                    break;
                }
                break;
            case 96784904:
                if (logLevel.equals("error")) {
                    c = 1;
                    break;
                }
                break;
            case 1124446108:
                if (logLevel.equals("warning")) {
                    c = 2;
                    break;
                }
                break;
        }
        if (c == 0) {
            return LogLevel.OFF;
        }
        if (c == 1) {
            return LogLevel.ERROR;
        }
        if (c == 2) {
            return LogLevel.WARN;
        }
        if (c == 3) {
            return LogLevel.INFO;
        }
        if (c != 4) {
            return null;
        }
        return LogLevel.DEBUG;
    }
}
