package com.taobao.weex.ui.module;

import android.app.Application;
import android.content.Context;
import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.dcloud.android.widget.toast.ToastCompat;
import com.igexin.push.f.r;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.utils.WXLogUtils;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.net.URLDecoder;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class WXMetaModule extends WXModule {
    public static final String DEVICE_WIDTH = "device-width";
    public static final String WIDTH = "width";

    @JSMethod(uiThread = false)
    public void setViewport(String param) {
        if (WeexInstanceMgr.self().getComplier().equalsIgnoreCase("weex") && !TextUtils.isEmpty(param)) {
            try {
                JSONObject jsObj = JSON.parseObject(URLDecoder.decode(param, r.b));
                Context cxt = this.mWXSDKInstance.getContext();
                if (DEVICE_WIDTH.endsWith(jsObj.getString("width"))) {
                    int width = (int) (((float) WXViewUtils.getScreenWidth(cxt)) / WXViewUtils.getScreenDensity(cxt));
                    this.mWXSDKInstance.setInstanceViewPortWidth((float) width);
                    WXLogUtils.d("[WXMetaModule] setViewport success[device-width]=" + width);
                    return;
                }
                int width2 = jsObj.getInteger("width").intValue();
                if (width2 > 0) {
                    this.mWXSDKInstance.setInstanceViewPortWidth((float) width2);
                }
                WXLogUtils.d("[WXMetaModule] setViewport success[width]=" + width2);
            } catch (Exception e) {
                WXLogUtils.e("[WXMetaModule] alert param parse error ", e);
            }
        }
    }

    @JSMethod(uiThread = false)
    public float getViewPort() {
        return this.mWXSDKInstance.getInstanceViewPortWidthWithFloat();
    }

    @JSMethod(uiThread = true)
    public void openLog(String open) {
        Application application = WXEnvironment.getApplication();
        if (application != null && (application.getApplicationInfo().flags & 2) != 0) {
            if (WXUtils.getBoolean(open, true).booleanValue()) {
                WXEnvironment.setApkDebugable(true);
                if (this.mWXSDKInstance != null) {
                    ToastCompat.makeText(this.mWXSDKInstance.getContext(), (CharSequence) "log open success", 0).show();
                    return;
                }
                return;
            }
            WXEnvironment.setApkDebugable(false);
            if (this.mWXSDKInstance != null) {
                ToastCompat.makeText(this.mWXSDKInstance.getContext(), (CharSequence) "log close success", 0).show();
            }
        }
    }

    @JSMethod(uiThread = false)
    public void getPageInfo(JSCallback callback) {
        if (callback != null) {
            List<WXSDKInstance> instances = WXSDKManager.getInstance().getWXRenderManager().getAllInstances();
            Map<String, Object> map = new HashMap<>(4);
            for (WXSDKInstance instance : instances) {
                if (!TextUtils.isEmpty(instance.getBundleUrl())) {
                    map.put(instance.getBundleUrl(), instance.getTemplateInfo());
                }
            }
            callback.invoke(map);
        }
    }
}
