package com.taobao.weex.ui.view.border;

import android.graphics.RectF;

/* access modifiers changed from: package-private */
public class TopRightCorner extends BorderCorner {
    TopRightCorner() {
    }

    /* access modifiers changed from: package-private */
    public void set(float cornerRadius, float preBorderWidth, float postBorderWidth, RectF borderBox) {
        set(cornerRadius, preBorderWidth, postBorderWidth, borderBox, 315.0f);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.view.border.BorderCorner
    public void prepareOval() {
        if (hasInnerCorner()) {
            setOvalLeft(getBorderBox().width() - ((getOuterCornerRadius() * 2.0f) - (getPostBorderWidth() / 2.0f)));
            setOvalTop(getPreBorderWidth() / 2.0f);
            setOvalRight(getBorderBox().width() - (getPostBorderWidth() / 2.0f));
            setOvalBottom((getOuterCornerRadius() * 2.0f) - (getPreBorderWidth() / 2.0f));
            return;
        }
        setOvalLeft(getBorderBox().width() - (getOuterCornerRadius() * 1.5f));
        setOvalTop(getOuterCornerRadius() / 2.0f);
        setOvalRight(getBorderBox().width() - (getOuterCornerRadius() / 2.0f));
        setOvalBottom(getOuterCornerRadius() * 1.5f);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.view.border.BorderCorner
    public void prepareRoundCorner() {
        if (hasOuterCorner()) {
            setRoundCornerStartX(getBorderBox().width() - getOuterCornerRadius());
            setRoundCornerStartY(getPreBorderWidth() / 2.0f);
            setRoundCornerEndX(getBorderBox().width() - (getPostBorderWidth() / 2.0f));
            setRoundCornerEndY(getOuterCornerRadius());
            return;
        }
        float x = getBorderBox().width() - (getPostBorderWidth() / 2.0f);
        float y = getPreBorderWidth() / 2.0f;
        setRoundCornerStartX(x);
        setRoundCornerStartY(y);
        setRoundCornerEndX(x);
        setRoundCornerEndY(y);
    }
}
