package com.taobao.weex.ui.view.refresh.core;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import com.taobao.weex.common.WXThread;
import com.taobao.weex.ui.view.refresh.circlebar.CircleProgressBar;

public class WXRefreshView extends FrameLayout {
    private CircleProgressBar circleProgressBar;
    private LinearLayout linearLayout;

    public WXRefreshView(Context context) {
        super(context);
        setupViews();
    }

    public WXRefreshView(Context context, AttributeSet attrs) {
        super(context, attrs);
        setupViews();
    }

    public WXRefreshView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        setupViews();
    }

    private void setupViews() {
        this.linearLayout = new LinearLayout(getContext());
        FrameLayout.LayoutParams lp = new FrameLayout.LayoutParams(-1, -1);
        this.linearLayout.setOrientation(1);
        this.linearLayout.setGravity(17);
        addView(this.linearLayout, lp);
    }

    public void setContentGravity(int gravity) {
        LinearLayout linearLayout2 = this.linearLayout;
        if (linearLayout2 != null) {
            linearLayout2.setGravity(gravity);
        }
    }

    public void setRefreshView(final View view) {
        if (view != null) {
            post(WXThread.secure(new Runnable() {
                /* class com.taobao.weex.ui.view.refresh.core.WXRefreshView.AnonymousClass1 */

                public void run() {
                    View temp = view;
                    if (view.getParent() != null) {
                        ((ViewGroup) view.getParent()).removeView(view);
                    }
                    WXRefreshView.this.linearLayout.removeAllViews();
                    for (int i = 0; i < ((ViewGroup) temp).getChildCount(); i++) {
                        View child = ((ViewGroup) temp).getChildAt(i);
                        if (child instanceof CircleProgressBar) {
                            WXRefreshView.this.circleProgressBar = (CircleProgressBar) child;
                        }
                    }
                    WXRefreshView.this.linearLayout.addView(temp);
                }
            }));
        }
    }

    public void setProgressBgColor(int color) {
        CircleProgressBar circleProgressBar2 = this.circleProgressBar;
        if (circleProgressBar2 != null) {
            circleProgressBar2.setBackgroundColor(color);
        }
    }

    public void setProgressColor(int color) {
        CircleProgressBar circleProgressBar2 = this.circleProgressBar;
        if (circleProgressBar2 != null) {
            circleProgressBar2.setColorSchemeColors(color);
        }
    }

    /* access modifiers changed from: protected */
    public void startAnimation() {
        CircleProgressBar circleProgressBar2 = this.circleProgressBar;
        if (circleProgressBar2 != null) {
            circleProgressBar2.start();
        }
    }

    public void setStartEndTrim(float startAngle, float endAngle) {
        CircleProgressBar circleProgressBar2 = this.circleProgressBar;
        if (circleProgressBar2 != null) {
            circleProgressBar2.setStartEndTrim(startAngle, endAngle);
        }
    }

    /* access modifiers changed from: protected */
    public void stopAnimation() {
        CircleProgressBar circleProgressBar2 = this.circleProgressBar;
        if (circleProgressBar2 != null) {
            circleProgressBar2.stop();
        }
    }

    public void setProgressRotation(float rotation) {
        CircleProgressBar circleProgressBar2 = this.circleProgressBar;
        if (circleProgressBar2 != null) {
            circleProgressBar2.setProgressRotation(rotation);
        }
    }
}
