package com.taobao.weex.utils;

import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.dom.CSSShorthand;
import com.taobao.weex.ui.component.WXComponent;

public class WXDomUtils {
    public static float getContentWidth(WXComponent component) {
        float rawWidth = component.getLayoutWidth();
        CSSShorthand padding = component.getPadding();
        CSSShorthand border = component.getBorder();
        float leftPadding = padding.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(leftPadding)) {
            rawWidth -= leftPadding;
        }
        float rightPadding = padding.get(CSSShorthand.EDGE.RIGHT);
        if (!CSSConstants.isUndefined(rightPadding)) {
            rawWidth -= rightPadding;
        }
        float leftBorder = border.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(leftBorder)) {
            rawWidth -= leftBorder;
        }
        float rightBorder = border.get(CSSShorthand.EDGE.RIGHT);
        if (!CSSConstants.isUndefined(rightBorder)) {
            return rawWidth - rightBorder;
        }
        return rawWidth;
    }

    public static float getContentHeight(WXComponent component) {
        float rawHeight = component.getLayoutHeight();
        CSSShorthand padding = component.getPadding();
        CSSShorthand border = component.getBorder();
        float topPadding = padding.get(CSSShorthand.EDGE.TOP);
        if (!CSSConstants.isUndefined(topPadding)) {
            rawHeight -= topPadding;
        }
        float bottomPadding = padding.get(CSSShorthand.EDGE.BOTTOM);
        if (!CSSConstants.isUndefined(bottomPadding)) {
            rawHeight -= bottomPadding;
        }
        float topBorder = border.get(CSSShorthand.EDGE.TOP);
        if (!CSSConstants.isUndefined(topBorder)) {
            rawHeight -= topBorder;
        }
        float bottomBorder = border.get(CSSShorthand.EDGE.BOTTOM);
        if (!CSSConstants.isUndefined(bottomBorder)) {
            return rawHeight - bottomBorder;
        }
        return rawHeight;
    }

    public static float getContentWidth(CSSShorthand padding, CSSShorthand border, float layoutWidth) {
        float leftPadding = padding.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(leftPadding)) {
            layoutWidth -= leftPadding;
        }
        float rightPadding = padding.get(CSSShorthand.EDGE.RIGHT);
        if (!CSSConstants.isUndefined(rightPadding)) {
            layoutWidth -= rightPadding;
        }
        float leftBorder = border.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(leftBorder)) {
            layoutWidth -= leftBorder;
        }
        float rightBorder = border.get(CSSShorthand.EDGE.RIGHT);
        if (!CSSConstants.isUndefined(rightBorder)) {
            return layoutWidth - rightBorder;
        }
        return layoutWidth;
    }
}
