package com.tencent.ijk.media.exo;

import android.content.Context;
import android.net.Uri;
import android.os.Handler;
import android.text.TextUtils;
import android.view.Surface;
import android.view.SurfaceHolder;
import com.google.android.exoplayer2.d;
import com.google.android.exoplayer2.e;
import com.google.android.exoplayer2.f;
import com.google.android.exoplayer2.f.f;
import com.google.android.exoplayer2.g;
import com.google.android.exoplayer2.h.a;
import com.google.android.exoplayer2.h.c;
import com.google.android.exoplayer2.i.f;
import com.google.android.exoplayer2.i.k;
import com.google.android.exoplayer2.i.m;
import com.google.android.exoplayer2.i.q;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.o;
import com.google.android.exoplayer2.source.dash.f;
import com.google.android.exoplayer2.source.h;
import com.google.android.exoplayer2.source.smoothstreaming.a;
import com.google.android.exoplayer2.u;
import com.google.android.exoplayer2.v;
import com.taobao.weex.el.parse.Operators;
import com.tencent.ijk.media.exo.demo.EventLogger;
import com.tencent.ijk.media.player.AbstractMediaPlayer;
import com.tencent.ijk.media.player.IjkBitrateItem;
import com.tencent.ijk.media.player.MediaInfo;
import com.tencent.ijk.media.player.misc.IjkTrackInfo;
import java.io.FileDescriptor;
import java.util.ArrayList;
import java.util.Map;

public class IjkExoMediaPlayer extends AbstractMediaPlayer implements f.a {
    private static final k BANDWIDTH_METER = new k();
    private EventLogger eventLogger;
    private Context mAppContext;
    private Uri mDataSource;
    private SimplePlayerListener mSimpleListener = new SimplePlayerListener();
    private Surface mSurface;
    private int mVideoHeight;
    private int mVideoWidth;
    private Handler mainHandler;
    private f.a mediaDataSourceFactory;
    private u player;
    private c trackSelector;

    public IjkExoMediaPlayer(Context context) {
        this.mAppContext = context.getApplicationContext();
        this.mediaDataSourceFactory = buildDataSourceFactory(true);
        this.mainHandler = new Handler();
        d dVar = new d(context);
        c cVar = new c(new a.C0070a(BANDWIDTH_METER));
        this.trackSelector = cVar;
        u a = g.a(dVar, cVar);
        this.player = a;
        a.a(this);
        EventLogger eventLogger2 = new EventLogger(this.trackSelector);
        this.eventLogger = eventLogger2;
        this.player.a((f.a) eventLogger2);
        this.player.a((com.google.android.exoplayer2.a.d) this.eventLogger);
        this.player.a((com.google.android.exoplayer2.k.f) this.eventLogger);
        this.player.a((f.a) this.eventLogger);
        this.player.a(this.mSimpleListener);
    }

    public u getPlayer() {
        return this.player;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setDisplay(SurfaceHolder surfaceHolder) {
        if (surfaceHolder == null) {
            setSurface(null);
        } else {
            setSurface(surfaceHolder.getSurface());
        }
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setSurface(Surface surface) {
        this.mSurface = surface;
        u uVar = this.player;
        if (uVar != null) {
            uVar.a(surface);
        }
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public Surface getSurface() {
        return this.mSurface;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setDataSource(Context context, Uri uri) {
        this.mDataSource = uri;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setDataSource(Context context, Uri uri, Map<String, String> map) {
        setDataSource(context, uri);
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setDataSource(String str) {
        setDataSource(this.mAppContext, Uri.parse(str));
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setDataSource(FileDescriptor fileDescriptor) {
        throw new UnsupportedOperationException("no support");
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public String getDataSource() {
        return this.mDataSource.toString();
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void prepareAsync() {
        this.player.a(buildMediaSource(this.mDataSource, null));
        this.player.a(false);
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void start() {
        u uVar = this.player;
        if (uVar != null) {
            uVar.a(true);
        }
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void stop() throws IllegalStateException {
        u uVar = this.player;
        if (uVar != null) {
            uVar.d();
        }
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void pause() throws IllegalStateException {
        u uVar = this.player;
        if (uVar != null) {
            uVar.a(false);
        }
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setWakeMode(Context context, int i) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setScreenOnWhilePlaying(boolean z) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public IjkTrackInfo[] getTrackInfo() {
        return null;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public int getVideoWidth() {
        return this.mVideoWidth;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public int getVideoHeight() {
        return this.mVideoHeight;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public boolean isPlaying() {
        u uVar = this.player;
        if (uVar == null) {
            return false;
        }
        int a = uVar.a();
        if (a == 2 || a == 3) {
            return this.player.b();
        }
        return false;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void seekTo(long j) throws IllegalStateException {
        u uVar = this.player;
        if (uVar != null) {
            uVar.a(j);
        }
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public long getCurrentPosition() {
        u uVar = this.player;
        if (uVar == null) {
            return 0;
        }
        return uVar.f();
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public long getDuration() {
        u uVar = this.player;
        if (uVar == null) {
            return 0;
        }
        return uVar.e();
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public int getVideoSarNum() {
        return 1;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public int getVideoSarDen() {
        return 1;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void reset() {
        u uVar = this.player;
        if (uVar != null) {
            uVar.d();
            this.player.b(this.eventLogger);
            this.player = null;
        }
        this.mSurface = null;
        this.mDataSource = null;
        this.mVideoWidth = 0;
        this.mVideoHeight = 0;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setLooping(boolean z) {
        throw new UnsupportedOperationException("no support");
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public boolean isLooping() {
        return false;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setRate(float f) {
        this.player.a(new o(f, f));
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public float getRate() {
        return this.player.c().b;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setVolume(float f, float f2) {
        this.player.a((f + f2) / 2.0f);
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public int getAudioSessionId() {
        return 0;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public MediaInfo getMediaInfo() {
        return null;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setLogEnabled(boolean z) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public boolean isPlayable() {
        return true;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setAudioStreamType(int i) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setKeepInBackground(boolean z) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void release() {
        if (this.player != null) {
            reset();
            this.eventLogger = null;
        }
    }

    public int getBufferedPercentage() {
        u uVar = this.player;
        if (uVar == null) {
            return 0;
        }
        return uVar.g();
    }

    public j getVideoFormat() {
        u uVar = this.player;
        if (uVar == null) {
            return null;
        }
        return uVar.h();
    }

    public int getObservedBitrate() {
        return this.eventLogger.getObservedBitrate();
    }

    public com.google.android.exoplayer2.b.d getVideoDecoderCounters() {
        return this.player.i();
    }

    public h buildMediaSource(Uri uri, String str) {
        int i;
        if (TextUtils.isEmpty(str)) {
            i = t.b(uri);
        } else {
            i = t.i(Operators.DOT_STR + str);
        }
        if (i == 0) {
            return new com.google.android.exoplayer2.source.dash.c(uri, buildDataSourceFactory(false), new f.a(this.mediaDataSourceFactory), this.mainHandler, this.eventLogger);
        }
        if (i == 1) {
            return new com.google.android.exoplayer2.source.smoothstreaming.d(uri, buildDataSourceFactory(false), new a.C0076a(this.mediaDataSourceFactory), this.mainHandler, this.eventLogger);
        }
        if (i == 2) {
            return new com.google.android.exoplayer2.source.hls.h(uri, this.mediaDataSourceFactory, this.mainHandler, this.eventLogger);
        }
        if (i == 3) {
            return new com.google.android.exoplayer2.source.f(uri, this.mediaDataSourceFactory, new com.google.android.exoplayer2.d.c(), this.mainHandler, this.eventLogger);
        }
        throw new IllegalStateException("Unsupported type: " + i);
    }

    private f.a buildDataSourceFactory(boolean z) {
        k kVar = z ? BANDWIDTH_METER : null;
        return new m(this.mAppContext, kVar, buildHttpDataSourceFactory(kVar));
    }

    public q.b buildHttpDataSourceFactory(k kVar) {
        return new com.google.android.exoplayer2.i.o(t.a(this.mAppContext, "ExoPlayerDemo"), kVar);
    }

    private class SimplePlayerListener implements u.b {
        private SimplePlayerListener() {
        }

        @Override // com.google.android.exoplayer2.u.b
        public void onVideoSizeChanged(int i, int i2, int i3, float f) {
            IjkExoMediaPlayer.this.mVideoWidth = i;
            IjkExoMediaPlayer.this.mVideoHeight = i2;
            IjkExoMediaPlayer.this.notifyOnVideoSizeChanged(i, i2, 1, 1);
            if (i3 > 0) {
                IjkExoMediaPlayer.this.notifyOnInfo(10001, i3);
            }
        }

        @Override // com.google.android.exoplayer2.u.b
        public void onRenderedFirstFrame() {
            IjkExoMediaPlayer.this.notifyOnInfo(3, 0);
        }
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onTimelineChanged(v vVar, Object obj) {
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onTracksChanged(com.google.android.exoplayer2.source.m mVar, com.google.android.exoplayer2.h.g gVar) {
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onLoadingChanged(boolean z) {
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onPlayerStateChanged(boolean z, int i) {
        if (i == 1) {
            notifyOnCompletion();
        } else if (i == 2) {
            notifyOnInfo(701, this.player.g());
        } else if (i == 3) {
            notifyOnPrepared();
        } else if (i == 4) {
            notifyOnCompletion();
        }
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onPlayerError(e eVar) {
        notifyOnError(1, 1);
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onPositionDiscontinuity() {
    }

    @Override // com.google.android.exoplayer2.f.a
    public void onPlaybackParametersChanged(o oVar) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public int getBitrateIndex() {
        return 0;
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public void setBitrateIndex(int i) {
    }

    @Override // com.tencent.ijk.media.player.IMediaPlayer
    public ArrayList<IjkBitrateItem> getSupportedBitrates() {
        return new ArrayList<>();
    }
}
