package com.tencent.liteav;

import android.content.Context;
import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.os.Bundle;
import android.view.Surface;
import com.baidu.speech.utils.AsrError;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.tencent.liteav.audio.c;
import com.tencent.liteav.audio.impl.Play.TXAudioJitterBufferReportInfo;
import com.tencent.liteav.basic.d.g;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCEventRecorderProxy;
import com.tencent.liteav.basic.module.TXCKeyPointReportProxy;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.beauty.b.o;
import com.tencent.liteav.renderer.a;
import com.tencent.liteav.renderer.e;
import com.tencent.liteav.renderer.f;
import com.tencent.liteav.videodecoder.TXCVideoDecoder;
import com.tencent.rtmp.TXLiveConstants;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;

public class TXCRenderAndDec extends com.tencent.liteav.basic.module.a implements c, com.tencent.liteav.basic.c.a, a.AbstractC0102a, f, com.tencent.liteav.videodecoder.c {
    public static final int STREAM_TYPE_BIG_VIDEO = 2;
    public static final String TAG = "TXCRenderAndDec";
    private boolean isAddAudioFirstFrame = false;
    private String mAudioInfo = "";
    private com.tencent.liteav.audio.a mAudioPlayer = null;
    private int mAudioVolumeEvalInterval;
    private WeakReference<l> mAudioVolumeListener;
    private g mConfig = null;
    private Context mContext = null;
    private a mDecListener = null;
    private boolean mEnableDecoderChange = false;
    private boolean mFirstRender = false;
    private long mFrameDecErrCnt = 0;
    private boolean mIsFirstPlay = false;
    private boolean mIsRendering = false;
    private long mLastAudioVolumeEvalTimeMs;
    private long mLastReqKeyFrameTS = 0;
    private final float mMinJitterCacheHWDecode = 0.4f;
    private WeakReference<com.tencent.liteav.basic.c.a> mNotifyListener;
    private boolean mRealTime = false;
    private final float mRealTimeJitterCache = com.tencent.liteav.basic.a.a.a;
    private final float mRealTimeJitterCacheMax = com.tencent.liteav.basic.a.a.c;
    private final float mRealTimeJitterCacheMin = com.tencent.liteav.basic.a.a.b;
    private WeakReference<b> mRenderAndDecDelegate;
    private int mRenderMode = 0;
    private int mSmoothMode = 0;
    private int mStreamFormat = 0;
    private int mStreamType = 0;
    private TXCVideoDecoder mVideoDecoder = null;
    private g mVideoFrameFilter = null;
    private q mVideoFrameListener;
    private e mVideoRender = null;

    public interface a {
        void a(SurfaceTexture surfaceTexture);

        void a(com.tencent.liteav.basic.structs.a aVar);

        void a(byte[] bArr, long j, int i, int i2);
    }

    public interface b {
        void a(String str, int i);
    }

    public static void setAudioCorePlayListener(c cVar) {
        com.tencent.liteav.audio.a.a(cVar);
    }

    public TXCRenderAndDec(Context context) {
        this.mContext = context;
        com.tencent.liteav.basic.e.b.a().a(this.mContext);
    }

    public void setVideoRender(e eVar) {
        TXCLog.i(TAG, "set video render " + eVar + " id " + getID() + ", " + this.mStreamType);
        this.mVideoRender = eVar;
        if (eVar != null) {
            eVar.setID(getID());
            this.mVideoRender.a(this.mStreamType);
            this.mVideoRender.a((com.tencent.liteav.basic.c.a) this);
            this.mVideoRender.c(this.mRenderMode);
            e eVar2 = this.mVideoRender;
            if (eVar2 instanceof com.tencent.liteav.renderer.a) {
                ((com.tencent.liteav.renderer.a) eVar2).b(this);
            }
            g gVar = this.mConfig;
            if (gVar != null) {
                this.mVideoRender.b(gVar.d);
            }
        }
    }

    public void setNotifyListener(com.tencent.liteav.basic.c.a aVar) {
        this.mNotifyListener = new WeakReference<>(aVar);
    }

    public void setRenderAndDecDelegate(b bVar) {
        this.mRenderAndDecDelegate = new WeakReference<>(bVar);
    }

    public void setVideoFrameListener(q qVar) {
        this.mVideoFrameListener = qVar;
        TXCLog.i(TAG, "setVideoFrameListener->enter listener: " + qVar);
    }

    public void setConfig(g gVar) {
        this.mConfig = gVar;
        setPlayCacheStrategy();
    }

    public g getConfig() {
        return this.mConfig;
    }

    @Override // com.tencent.liteav.basic.module.a
    public void setID(String str) {
        super.setID(str);
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.setID(getID());
        }
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setUserId(str);
        }
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.a(str);
        }
    }

    public boolean isAddAudioFirstFrame() {
        return this.isAddAudioFirstFrame;
    }

    public void setAddAudioFirstFrame(boolean z) {
        this.isAddAudioFirstFrame = z;
    }

    public void setDecListener(a aVar) {
        this.mDecListener = aVar;
    }

    public void enableDecoderChange(boolean z) {
        this.mEnableDecoderChange = z;
    }

    public void start(boolean z) {
        TXCLog.i(TAG, "start render dec " + getID() + ", " + this.mStreamType);
        this.mRealTime = z;
        this.mIsFirstPlay = true;
        this.mFrameDecErrCnt = 0;
        this.mLastReqKeyFrameTS = 0;
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a((f) this);
            this.mVideoRender.i();
            this.mVideoRender.setID(getID());
        }
        TXCVideoDecoder tXCVideoDecoder = new TXCVideoDecoder();
        this.mVideoDecoder = tXCVideoDecoder;
        tXCVideoDecoder.setUserId(getID());
        this.mVideoDecoder.setStreamType(this.mStreamType);
        this.mVideoDecoder.setListener(this);
        this.mVideoDecoder.setNotifyListener(this);
        this.mVideoDecoder.enableChange(this.mEnableDecoderChange);
        if (this.mAudioPlayer == null) {
            this.mAudioPlayer = new com.tencent.liteav.audio.a();
        }
        this.mAudioPlayer.b(this);
        setupRealTimePlayParams(this.mRealTime);
        this.mAudioPlayer.b(this.mSmoothMode);
        this.mAudioPlayer.a(this.mStreamFormat);
        this.mAudioPlayer.a(getID());
        this.mAudioPlayer.a(this.mContext);
        startDecode();
        setPlayCacheStrategy();
        this.mIsRendering = true;
    }

    public void startVideo() {
        stopVideo();
        this.mRealTime = true;
        this.mIsFirstPlay = true;
        this.mFrameDecErrCnt = 0;
        this.mLastReqKeyFrameTS = 0;
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a((f) this);
            this.mVideoRender.i();
            this.mVideoRender.setID(getID());
        }
        TXCLog.i(TAG, "start video dec " + getID() + ", " + this.mStreamType);
        TXCVideoDecoder tXCVideoDecoder = new TXCVideoDecoder();
        this.mVideoDecoder = tXCVideoDecoder;
        tXCVideoDecoder.setUserId(getID());
        this.mVideoDecoder.setStreamType(this.mStreamType);
        this.mVideoDecoder.setListener(this);
        this.mVideoDecoder.setNotifyListener(this);
        this.mVideoDecoder.enableChange(this.mEnableDecoderChange);
        startDecode();
        this.mIsRendering = true;
    }

    public void stopVideo() {
        this.mIsRendering = false;
        this.mSmoothMode = 0;
        if (this.mVideoDecoder != null) {
            TXCLog.d(TAG, "stop video dec " + getID() + ", " + this.mStreamType);
            this.mVideoDecoder.setListener(null);
            this.mVideoDecoder.setNotifyListener(null);
            this.mVideoDecoder.stop();
        }
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.j();
            this.mVideoRender.a((f) null);
        }
    }

    public void startAudio() {
        this.mRealTime = true;
        if (this.mAudioPlayer == null) {
            this.mAudioPlayer = new com.tencent.liteav.audio.a();
        }
        this.mAudioPlayer.b(this);
        setupRealTimePlayParams(this.mRealTime);
        this.mAudioPlayer.b(this.mSmoothMode);
        this.mAudioPlayer.a(this.mStreamFormat);
        this.mAudioPlayer.a(getID());
        this.mAudioPlayer.a(this.mContext);
    }

    public void stopAudio() {
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.b((c) null);
            this.mAudioPlayer.a();
        }
    }

    public void stop() {
        TXCLog.d(TAG, "stop video render dec " + getID() + ", " + this.mStreamType);
        this.mIsRendering = false;
        this.mRealTime = false;
        this.mSmoothMode = 0;
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setListener(null);
            this.mVideoDecoder.setNotifyListener(null);
            this.mVideoDecoder.stop();
        }
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.b((c) null);
            this.mAudioPlayer.a();
        }
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.j();
            this.mVideoRender.a((f) null);
        }
    }

    public boolean isRendering() {
        return this.mIsRendering;
    }

    public void decAudio(com.tencent.liteav.basic.structs.a aVar) {
        if (this.mAudioPlayer == null) {
            TXCLog.w(TAG, "decAudio fail which audio play hasn't been created!");
        }
    }

    public void decVideo(TXSNALPacket tXSNALPacket) {
    }

    public void setRenderMode(int i) {
        this.mRenderMode = i;
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.c(i);
        }
    }

    public void setRenderRotation(int i) {
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.d(i);
        }
    }

    public void setMute(boolean z) {
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.d(z);
            TXCEventRecorderProxy.a(getID(), 3002, z ? 1 : 0, -1, "", this.mStreamType);
        }
    }

    public void setSmoothMode(int i) {
        this.mSmoothMode = i;
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.b(i);
        }
    }

    public void setStreamFormat(int i) {
        this.mStreamFormat = i;
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.a(i);
        }
    }

    public void setBlockInterval(int i) {
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.e(i);
        }
    }

    public static void setAudioMode(Context context, int i) {
        com.tencent.liteav.audio.a.a(context, i);
    }

    public long getAudioCacheDuration() {
        return getLongValue(2007);
    }

    public long getVideoCacheDuration() {
        return (long) getIntValue(6010, 2);
    }

    public long getVideoCacheFrameCount() {
        return (long) getIntValue(6011, 2);
    }

    public int getVideoDecCacheFrameCount() {
        return getIntValue(6012, 2);
    }

    public long getAVPlayInterval() {
        return getLongValue(6013, 2);
    }

    public int getAudioJitter() {
        return getIntValue(2018);
    }

    public long getAVNetRecvInterval() {
        return getLongValue(6014, 2);
    }

    public float getAudioCacheThreshold() {
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            return aVar.b();
        }
        return 0.0f;
    }

    public int getVideoGop() {
        return 0;
    }

    public String getAudioInfo() {
        int i;
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        int i2 = 0;
        if (aVar != null) {
            i = aVar.c();
        } else {
            i = 0;
        }
        int intValue = getIntValue(2019);
        int intValue2 = getIntValue(2020);
        com.tencent.liteav.audio.a aVar2 = this.mAudioPlayer;
        int d = aVar2 != null ? aVar2.d() : 0;
        com.tencent.liteav.audio.a aVar3 = this.mAudioPlayer;
        if (aVar3 != null) {
            i2 = aVar3.e();
        }
        String str = intValue + "," + intValue2 + " | " + d + "," + i2;
        if (!this.mAudioInfo.equals(str) && this.mDecListener != null) {
            com.tencent.liteav.basic.structs.a aVar4 = new com.tencent.liteav.basic.structs.a();
            aVar4.a = d;
            aVar4.b = i2;
            this.mDecListener.a(aVar4);
        }
        this.mAudioInfo = str;
        return i + " | " + this.mAudioInfo;
    }

    public void setAudioVolumeListener(int i, l lVar) {
        this.mAudioVolumeEvalInterval = i;
        this.mLastAudioVolumeEvalTimeMs = System.currentTimeMillis();
        this.mAudioVolumeListener = new WeakReference<>(lVar);
    }

    public void updateLoadInfo() {
        TXAudioJitterBufferReportInfo f;
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        long j = 0;
        if (!(aVar == null || (f = aVar.f()) == null)) {
            long j2 = f.mLoadCnt == 0 ? 0 : (long) (f.mLoadTime / f.mLoadCnt);
            long j3 = f.mTimeTotalCacheTimeCnt == 0 ? 0 : f.mTimeTotalCacheTime / f.mTimeTotalCacheTimeCnt;
            int i = f.mTimeTotalJittCnt == 0 ? 0 : f.mTimeTotalJitt / f.mTimeTotalJittCnt;
            setStatusValue(2001, this.mStreamType, Long.valueOf(j2));
            setStatusValue(2002, this.mStreamType, Long.valueOf((long) f.mLoadCnt));
            setStatusValue(2003, this.mStreamType, Long.valueOf((long) f.mLoadMaxTime));
            setStatusValue(2004, this.mStreamType, Long.valueOf((long) f.mSpeedCnt));
            setStatusValue(2005, this.mStreamType, Long.valueOf((long) f.mNoDataCnt));
            setStatusValue(2008, this.mStreamType, Long.valueOf((long) f.mAvgCacheTime));
            setStatusValue(2009, this.mStreamType, Long.valueOf((long) f.mIsRealTime));
            setStatusValue(2010, Long.valueOf(j3));
            setStatusValue(2011, Long.valueOf((long) i));
            setStatusValue(2014, Long.valueOf((long) f.mTimeDropCnt));
        }
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            int i2 = this.mStreamType;
            if (tXCVideoDecoder.isHardwareDecode()) {
                j = 1;
            }
            setStatusValue(5002, i2, Long.valueOf(j));
        }
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.r();
        }
    }

    public com.tencent.liteav.audio.a getAudioPlayer() {
        return this.mAudioPlayer;
    }

    public e getVideoRender() {
        return this.mVideoRender;
    }

    public void setStreamType(int i) {
        this.mStreamType = i;
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a(i);
        }
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setStreamType(this.mStreamType);
        }
    }

    public int getStreamType() {
        return this.mStreamType;
    }

    private void startDecode(SurfaceTexture surfaceTexture) {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.stop();
            tXCVideoDecoder.enableHWDec(this.mConfig.i);
            String id = getID();
            boolean z = this.mConfig.i;
            TXCEventRecorderProxy.a(id, 4005, z ? 1 : 0, -1, "", this.mStreamType);
            TXCLog.d(TAG, "trtc_ start decode " + surfaceTexture + ", hw: " + this.mConfig.i + ", id " + getID() + "_" + this.mStreamType);
            if (surfaceTexture != null) {
                tXCVideoDecoder.setup(surfaceTexture, (ByteBuffer) null, (ByteBuffer) null, !this.mRealTime);
                tXCVideoDecoder.setUserId(getID());
                tXCVideoDecoder.start();
            } else if (!this.mConfig.i) {
                tXCVideoDecoder.setup((Surface) null, (ByteBuffer) null, (ByteBuffer) null, !this.mRealTime);
                tXCVideoDecoder.setUserId(getID());
                tXCVideoDecoder.start();
            }
        }
    }

    private void startDecode() {
        e eVar = this.mVideoRender;
        startDecode(eVar != null ? eVar.a() : null);
    }

    private void setPlayCacheStrategy() {
        setupRealTimePlayParams(this.mRealTime);
        com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
        if (aVar != null) {
            aVar.a(this.mConfig.a);
            this.mAudioPlayer.a(this.mConfig.g);
            this.mAudioPlayer.c(this.mConfig.c);
            this.mAudioPlayer.b(this.mConfig.b);
            setStatusValue(2012, this.mStreamType, Long.valueOf((long) (this.mConfig.c * 1000.0f)));
            setStatusValue(2013, this.mStreamType, Long.valueOf((long) (this.mConfig.b * 1000.0f)));
            setStatusValue(2015, 0L);
        }
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null && tXCVideoDecoder.isHardwareDecode() && this.mConfig.c < 0.4f && this.mConfig.b < 0.4f) {
            this.mConfig.i = false;
            this.mVideoDecoder.stop();
            startDecode();
        }
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.b(this.mConfig.d);
        }
    }

    private void setupRealTimePlayParams(boolean z) {
        if (z) {
            float f = this.mConfig.a;
            float f2 = this.mConfig.c;
            float f3 = this.mConfig.b;
            float f4 = this.mRealTimeJitterCacheMin;
            if (f2 > f4) {
                if (!this.mConfig.i || f4 >= 0.4f) {
                    f2 = f4;
                } else {
                    f2 = 0.4f;
                }
            }
            float f5 = this.mRealTimeJitterCacheMax;
            if (f3 > f5) {
                f3 = f5;
            }
            if (f2 >= f3) {
                f2 = this.mRealTimeJitterCacheMin;
                f3 = this.mRealTimeJitterCacheMax;
            }
            this.mConfig.g = true;
            this.mConfig.a = f2;
            this.mConfig.c = f2;
            this.mConfig.b = f3;
            com.tencent.liteav.audio.a aVar = this.mAudioPlayer;
            if (aVar != null) {
                aVar.a(true, this.mContext);
                this.mAudioPlayer.c(true);
                return;
            }
            return;
        }
        TXCLog.e(TAG, "setupRealTimePlayParams current cache time : min-cache[" + this.mConfig.c + "], max-cache[" + this.mConfig.b + "], org-cache[" + this.mConfig.a + Operators.ARRAY_END_STR);
        if (this.mAudioPlayer != null) {
            g gVar = this.mConfig;
            if (gVar == null || !gVar.h) {
                this.mAudioPlayer.a(false, this.mContext);
            } else {
                this.mAudioPlayer.a(true, this.mContext);
            }
            this.mAudioPlayer.c(false);
        }
        if (this.mConfig.a > this.mConfig.b || this.mConfig.a < this.mConfig.c) {
            g gVar2 = this.mConfig;
            gVar2.a = gVar2.b;
        }
    }

    private void notifyEvent(int i, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("EVT_USERID", getID());
        bundle.putInt("EVT_ID", i);
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        if (str != null) {
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
        }
        bundle.putInt("EVT_STREAM_TYPE", this.mStreamType);
        com.tencent.liteav.basic.util.b.a(this.mNotifyListener, i, bundle);
    }

    private void switchToSoftDecoder() {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            TXCLog.w(TAG, "switch to soft decoder when hw error");
            tXCVideoDecoder.stop();
            this.mConfig.i = false;
            setPlayCacheStrategy();
            tXCVideoDecoder.enableChange(false);
            startDecode();
        }
    }

    public void restartDecoder() {
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null && tXCVideoDecoder.isHevc()) {
            tXCVideoDecoder.restart(true);
        }
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(int i, Bundle bundle) {
        if (i == 2106) {
            switchToSoftDecoder();
        } else if (i == 2003) {
            if (this.mIsFirstPlay) {
                notifyEvent(2004, "视频播放开始");
                this.mIsFirstPlay = false;
            }
        } else if (i == 2020) {
            TXCLog.e(TAG, "decoding too many frame(>40) without output! request key frame now.");
            requestKeyFrame();
            return;
        }
        bundle.putInt("EVT_STREAM_TYPE", this.mStreamType);
        com.tencent.liteav.basic.util.b.a(this.mNotifyListener, i, bundle);
    }

    @Override // com.tencent.liteav.renderer.f
    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture) {
        TXCLog.w(TAG, "play decode when surface texture create hw " + this.mConfig.i);
        TXCVideoDecoder tXCVideoDecoder = this.mVideoDecoder;
        if (tXCVideoDecoder != null) {
            tXCVideoDecoder.setup(surfaceTexture, (ByteBuffer) null, (ByteBuffer) null, !this.mRealTime);
        }
        if (this.mConfig.i) {
            startDecode(surfaceTexture);
        }
    }

    @Override // com.tencent.liteav.renderer.f
    public void onSurfaceTextureDestroy(SurfaceTexture surfaceTexture) {
        try {
            TXCLog.w(TAG, "play:stop decode when surface texture release");
            if (this.mVideoDecoder != null) {
                this.mVideoDecoder.stop();
            }
            if (this.mVideoFrameFilter != null) {
                this.mVideoFrameFilter.d();
                this.mVideoFrameFilter = null;
            }
            if (this.mDecListener != null) {
                this.mDecListener.a(surfaceTexture);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.tencent.liteav.videodecoder.c
    public void onDecodeFrame(TXSVideoFrame tXSVideoFrame, int i, int i2, long j, long j2, int i3) {
        TXSVideoFrame tXSVideoFrame2;
        if (i3 == 0 || i3 == 1 || i3 == 2 || i3 == 3) {
            i3 = 360 - (i3 * 90);
        }
        q qVar = this.mVideoFrameListener;
        if (qVar != null) {
            if (this.mVideoRender == null || tXSVideoFrame == null) {
                tXSVideoFrame2 = tXSVideoFrame;
            } else {
                tXSVideoFrame2 = tXSVideoFrame.clone();
            }
            qVar.onRenderVideoFrame(getID(), this.mStreamType, tXSVideoFrame2);
        }
        if (!this.mFirstRender) {
            this.mFirstRender = true;
            TXCKeyPointReportProxy.a(getID(), 32004);
            TXCEventRecorderProxy.a(getID(), 5007, -1, -1, "", this.mStreamType);
        }
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.a(tXSVideoFrame, i, i2, i3);
        }
    }

    @Override // com.tencent.liteav.videodecoder.c
    public void onVideoSizeChange(int i, int i2) {
        e eVar = this.mVideoRender;
        if (eVar != null) {
            eVar.b(i, i2);
        }
        Bundle bundle = new Bundle();
        bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, "分辨率改变为" + i + Constants.Name.X + i2);
        bundle.putInt("EVT_PARAM1", i);
        bundle.putInt("EVT_PARAM2", i2);
        bundle.putString("EVT_USERID", getID());
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        onNotifyEvent(2009, bundle);
        setStatusValue(5003, this.mStreamType, Integer.valueOf((i << 16) | i2));
        TXCEventRecorderProxy.a(getID(), AsrError.ERROR_SERVER_RECOGNITION, i, i2, "", this.mStreamType);
        TXCKeyPointReportProxy.a(getID(), 40002, i);
        TXCKeyPointReportProxy.a(getID(), 40003, i2);
    }

    @Override // com.tencent.liteav.videodecoder.c
    public void onDecodeFailed(int i) {
        TXCLog.e(TAG, "video decode failed " + i);
        requestKeyFrame();
        int i2 = this.mStreamType;
        long j = this.mFrameDecErrCnt + 1;
        this.mFrameDecErrCnt = j;
        setStatusValue(17014, i2, Long.valueOf(j));
    }

    @Override // com.tencent.liteav.renderer.a.AbstractC0102a
    public void onTextureProcess(int i, int i2, int i3) {
        if (this.mVideoFrameListener != null && this.mConfig.i) {
            if (this.mVideoFrameFilter == null) {
                o oVar = new o(1, true);
                this.mVideoFrameFilter = oVar;
                oVar.a(true);
                if (this.mVideoFrameFilter.a()) {
                    this.mVideoFrameFilter.a(i2, i3);
                    this.mVideoFrameFilter.a(new g.a() {
                        /* class com.tencent.liteav.TXCRenderAndDec.AnonymousClass1 */

                        @Override // com.tencent.liteav.basic.d.g.a
                        public void a(int i) {
                            g gVar = TXCRenderAndDec.this.mVideoFrameFilter;
                            if (gVar != null) {
                                TXSVideoFrame tXSVideoFrame = new TXSVideoFrame();
                                tXSVideoFrame.width = gVar.n();
                                tXSVideoFrame.height = gVar.o();
                                tXSVideoFrame.pts = TXCTimeUtil.getTimeTick();
                                tXSVideoFrame.loadI420BufferFromGL();
                                q qVar = TXCRenderAndDec.this.mVideoFrameListener;
                                if (qVar != null) {
                                    qVar.onRenderVideoFrame(TXCRenderAndDec.this.getID(), TXCRenderAndDec.this.mStreamType, tXSVideoFrame);
                                }
                            }
                        }
                    });
                } else {
                    TXCLog.i(TAG, "throwVideoFrame->release mVideoFrameFilter");
                    this.mVideoFrameFilter = null;
                }
            }
            if (this.mVideoFrameFilter != null) {
                GLES20.glViewport(0, 0, i2, i3);
                this.mVideoFrameFilter.a(i2, i3);
                this.mVideoFrameFilter.b(i);
            }
        }
    }

    @Override // com.tencent.liteav.audio.c
    public void onPlayPcmData(byte[] bArr, long j, int i, int i2) {
        l lVar;
        a aVar = this.mDecListener;
        if (aVar != null) {
            aVar.a(bArr, j, i, i2);
        }
        if (this.mAudioVolumeEvalInterval > 0) {
            long currentTimeMillis = System.currentTimeMillis();
            if (currentTimeMillis >= this.mLastAudioVolumeEvalTimeMs + ((long) this.mAudioVolumeEvalInterval)) {
                this.mLastAudioVolumeEvalTimeMs = currentTimeMillis;
                WeakReference<l> weakReference = this.mAudioVolumeListener;
                if (weakReference != null && (lVar = weakReference.get()) != null) {
                    lVar.a(getID(), com.tencent.liteav.basic.util.b.a(bArr));
                }
            }
        }
    }

    @Override // com.tencent.liteav.audio.c
    public void onPlayError(int i, String str) {
    }

    @Override // com.tencent.liteav.audio.c
    public void onPlayJitterStateNotify(int i) {
        if (i == 2024) {
            notifyEvent(2007, "视频缓冲中...");
        } else if (i == 2023) {
            notifyEvent(2007, "视频缓冲中...");
        } else if (i == 2025) {
            notifyEvent(2004, "视频播放开始");
        } else if (i == 2026) {
            if (this.mIsFirstPlay) {
                notifyEvent(2004, "视频播放开始");
                this.mIsFirstPlay = false;
            }
            notifyEvent(TXLiteAVCode.EVT_AUDIO_JITTER_STATE_FIRST_PLAY, "音频播放开始");
        }
    }

    private void requestKeyFrame() {
        b bVar;
        long timeTick = TXCTimeUtil.getTimeTick();
        if (timeTick > this.mLastReqKeyFrameTS + com.alipay.sdk.m.u.b.a) {
            this.mLastReqKeyFrameTS = timeTick;
            TXCLog.e(TAG, "requestKeyFrame: " + getID());
            WeakReference<b> weakReference = this.mRenderAndDecDelegate;
            if (weakReference != null && (bVar = weakReference.get()) != null) {
                bVar.a(getID(), this.mStreamType);
            }
        }
    }
}
