package com.tencent.liteav;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.drawable.ColorDrawable;
import android.media.MediaFormat;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Message;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.beauty.c;
import com.tencent.liteav.beauty.d;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;

/* compiled from: TXCBackgroundPusher */
public class a implements d, com.tencent.liteav.videoencoder.d {
    private static final String a = a.class.getSimpleName();
    private int b = 300;
    private long c = 0;
    private HandlerC0096a d;
    private HandlerThread e;
    private boolean f = false;
    private com.tencent.liteav.videoencoder.b g;
    private TXSNALPacket h;
    private c i = null;
    private ByteBuffer j = null;
    private Bitmap k = null;
    private int l = 0;
    private int m = 0;
    private WeakReference<b> n = null;

    /* compiled from: TXCBackgroundPusher */
    public interface b {
        void a();

        void a(Bitmap bitmap, ByteBuffer byteBuffer, int i, int i2);

        void a(com.tencent.liteav.videoencoder.b bVar);
    }

    @Override // com.tencent.liteav.beauty.d
    public int a(int i2, int i3, int i4) {
        return 0;
    }

    @Override // com.tencent.liteav.beauty.d
    public void a(int i2, int i3, int i4, long j2) {
        TXCLog.w(a, "bkgpush: got texture");
        com.tencent.liteav.videoencoder.b bVar = this.g;
        if (bVar != null) {
            bVar.a(i2, i3, i4, TXCTimeUtil.getTimeTick());
        }
    }

    @Override // com.tencent.liteav.beauty.d
    public void a(byte[] bArr, int i2, int i3, int i4, long j2) {
    }

    @Override // com.tencent.liteav.videoencoder.d
    public void a(TXSNALPacket tXSNALPacket, int i2) {
        b bVar;
        this.h = tXSNALPacket;
        String str = a;
        StringBuilder sb = new StringBuilder();
        sb.append("bkgpush: got nal type: ");
        Object obj = tXSNALPacket;
        if (tXSNALPacket != null) {
            obj = Integer.valueOf(tXSNALPacket.nalType);
        }
        sb.append(obj);
        TXCLog.w(str, sb.toString());
        com.tencent.liteav.videoencoder.b bVar2 = this.g;
        if (bVar2 != null) {
            bVar2.a((com.tencent.liteav.videoencoder.d) null);
            com.tencent.liteav.videoencoder.b bVar3 = this.g;
            try {
                if (this.n != null && (bVar = this.n.get()) != null) {
                    bVar.a(bVar3);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    @Override // com.tencent.liteav.videoencoder.d
    public void a(MediaFormat mediaFormat) {
    }

    @Override // com.tencent.liteav.videoencoder.d
    public void a(long j2, long j3, long j4) {
    }

    public a(b bVar) {
        this.n = new WeakReference<>(bVar);
    }

    public void a(int i2, int i3) {
        if (this.f) {
            TXCLog.w(a, "bkgpush: start background publish return when started");
            return;
        }
        this.f = true;
        b(i2, i3);
        c();
        HandlerC0096a aVar = this.d;
        if (aVar != null) {
            aVar.sendEmptyMessageDelayed(1001, (long) this.b);
        }
        String str = a;
        TXCLog.w(str, "bkgpush: start background publish with time:" + ((this.c - System.currentTimeMillis()) / 1000) + ", interval:" + this.b);
    }

    public void a(int i2, int i3, Bitmap bitmap, int i4, int i5) {
        if (this.f) {
            TXCLog.w(a, "bkgpush: start background publish return when started");
            return;
        }
        if (bitmap == null) {
            try {
                TXCLog.w(a, "bkgpush: background publish img is empty, add default img");
                ColorDrawable colorDrawable = new ColorDrawable(-16777216);
                Bitmap createBitmap = Bitmap.createBitmap(i4, i5, Bitmap.Config.ARGB_8888);
                colorDrawable.draw(new Canvas(createBitmap));
                bitmap = createBitmap;
            } catch (Exception e2) {
                e2.printStackTrace();
            } catch (Error e3) {
            }
        }
        TXCLog.w(a, "bkgpush: generate bitmap");
        this.k = bitmap;
        this.l = i4;
        this.m = i5;
        a(i2, i3);
    }

    public void a() {
        this.f = false;
        this.j = null;
        this.k = null;
        TXCLog.w(a, "bkgpush: stop background publish");
        d();
    }

    private void b(int i2, int i3) {
        if (i2 > 0) {
            if (i2 >= 8) {
                i2 = 8;
            } else if (i2 <= 3) {
                i2 = 3;
            }
            this.b = 1000 / i2;
        } else {
            this.b = 200;
        }
        long j2 = (long) i3;
        if (i3 > 0) {
            this.c = System.currentTimeMillis() + (j2 * 1000);
        } else {
            this.c = System.currentTimeMillis() + 300000;
        }
    }

    private void c() {
        d();
        HandlerThread handlerThread = new HandlerThread("TXImageCapturer");
        this.e = handlerThread;
        handlerThread.start();
        this.d = new HandlerC0096a(this.e.getLooper(), this.b, this.c);
    }

    private void d() {
        HandlerC0096a aVar = this.d;
        if (aVar != null) {
            aVar.removeCallbacksAndMessages(null);
            this.d = null;
        }
        HandlerThread handlerThread = this.e;
        if (handlerThread != null) {
            handlerThread.quit();
            this.e = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e() {
        b bVar;
        try {
            if (this.n != null && this.f && (bVar = this.n.get()) != null) {
                Bitmap bitmap = this.k;
                ByteBuffer byteBuffer = this.j;
                if (byteBuffer == null && bitmap != null) {
                    byteBuffer = ByteBuffer.allocateDirect(bitmap.getWidth() * bitmap.getHeight() * 4);
                    bitmap.copyPixelsToBuffer(byteBuffer);
                    byteBuffer.rewind();
                    this.j = byteBuffer;
                }
                if (bitmap != null && byteBuffer != null) {
                    bVar.a(bitmap, byteBuffer, this.l, this.m);
                }
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.tencent.liteav.a$a  reason: collision with other inner class name */
    /* compiled from: TXCBackgroundPusher */
    public class HandlerC0096a extends Handler {
        private int b = 300;
        private long c = 0;

        public HandlerC0096a(Looper looper, int i, long j) {
            super(looper);
            this.b = i;
            this.c = j;
        }

        public void handleMessage(Message message) {
            if (message.what == 1001) {
                try {
                    a.this.e();
                    if (System.currentTimeMillis() < this.c) {
                        sendEmptyMessageDelayed(1001, (long) this.b);
                        return;
                    }
                    TXCLog.w(a.a, "bkgpush:stop background publish when timeout");
                    if (a.this.n != null && a.this.f) {
                        b bVar = (b) a.this.n.get();
                        if (bVar != null) {
                            bVar.a();
                        }
                        a.this.f = false;
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
