package com.tencent.liteav.audio.impl.Play;

import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Build;
import android.view.Surface;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.liteav.audio.c;
import com.tencent.liteav.audio.impl.b;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import java.io.IOException;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.List;
import java.util.Vector;

/* compiled from: TXCAudioHWDecoder */
public class a implements Runnable {
    private static final String a = ("AudioCenter:" + a.class.getSimpleName());
    private WeakReference<c> b = null;
    private MediaCodec c = null;
    private MediaCodec.BufferInfo d;
    private MediaFormat e;
    private long f = 0;
    private volatile boolean g = false;
    private Vector<com.tencent.liteav.basic.structs.a> h;
    private List i;
    private Thread j = null;

    public void a(WeakReference<c> weakReference) {
        if (this.g) {
            a();
        }
        this.b = weakReference;
        this.f = 0;
        this.h = new Vector<>();
        this.i = new ArrayList();
        this.g = true;
        Thread thread = new Thread(this);
        this.j = thread;
        thread.setName(a);
        this.j.start();
    }

    public void a() {
        this.g = false;
        Thread thread = this.j;
        if (thread != null) {
            try {
                thread.join();
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            this.j = null;
        }
    }

    public void run() {
        boolean isEmpty;
        com.tencent.liteav.basic.structs.a remove;
        Exception e2;
        while (true) {
            ByteBuffer[] byteBufferArr = null;
            if (this.g) {
                synchronized (this.h) {
                    isEmpty = this.h.isEmpty();
                }
                if (isEmpty) {
                    try {
                        Thread.sleep(10);
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                } else {
                    int i2 = -1;
                    MediaCodec mediaCodec = this.c;
                    int i3 = 0;
                    if (mediaCodec != null) {
                        try {
                            byteBufferArr = mediaCodec.getInputBuffers();
                            try {
                                i2 = this.c.dequeueInputBuffer(10000);
                                if (i2 < 0) {
                                    return;
                                }
                            } catch (Exception e4) {
                                e2 = e4;
                                i3 = 1;
                                String str = a;
                                TXCLog.e(str, "Exception. step: " + i3 + ", error: " + e2);
                                return;
                            }
                        } catch (Exception e5) {
                            e2 = e5;
                            String str2 = a;
                            TXCLog.e(str2, "Exception. step: " + i3 + ", error: " + e2);
                            return;
                        }
                    }
                    synchronized (this.h) {
                        remove = this.h.remove(0);
                    }
                    if (remove.d == 2) {
                        a(remove);
                    } else if (remove.d == 3) {
                        this.i.add(new Long(remove.e));
                        a(remove, byteBufferArr, i2);
                    } else {
                        TXCLog.e(a, "not support audio format");
                    }
                }
            } else {
                MediaCodec mediaCodec2 = this.c;
                if (mediaCodec2 != null) {
                    mediaCodec2.stop();
                    this.c.release();
                    this.c = null;
                    return;
                }
                return;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x00df  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x015a  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x016e  */
    private int a(com.tencent.liteav.basic.structs.a aVar) {
        MediaCodec mediaCodec;
        int i2;
        int i3;
        IllegalStateException e2;
        int i4;
        int i5;
        MediaCodec.CodecException e3;
        int i6;
        Exception e4;
        if (aVar.f.length != 2) {
            String str = a;
            TXCLog.w(str, "aac seq header len not equal to 2 , with len " + aVar.f.length);
        }
        if (aVar.f == null) {
            return TXEAudioDef.TXE_AUDIO_COMMON_ERR_INVALID_PARAMS;
        }
        byte b2 = aVar.f[0];
        MediaFormat createAudioFormat = MediaFormat.createAudioFormat("audio/mp4a-latm", b.a(((aVar.f[0] & 7) << 1) | ((aVar.f[1] & 128) >> 7)), (aVar.f[1] & 120) >> 3);
        this.e = createAudioFormat;
        createAudioFormat.setInteger("bitrate", 64000);
        this.e.setInteger("is-adts", 0);
        this.e.setInteger("aac-profile", 2);
        String str2 = a;
        TXCLog.i(str2, "audio decoder media format: " + this.e);
        MediaCodec mediaCodec2 = this.c;
        if (mediaCodec2 != null) {
            try {
                mediaCodec2.stop();
                try {
                    this.c.release();
                } catch (Exception e5) {
                    e4 = e5;
                    i6 = 1;
                }
            } catch (Exception e6) {
                e4 = e6;
                i6 = 0;
            }
        }
        try {
            this.c = MediaCodec.createDecoderByType("audio/mp4a-latm");
        } catch (IOException e7) {
            e7.printStackTrace();
            String str3 = a;
            TXCLog.e(str3, "createDecoderByType exception: " + e7.getMessage());
        }
        if (Build.VERSION.SDK_INT < 21) {
            i4 = 0;
            while (true) {
                try {
                    this.c.configure(this.e, (Surface) null, (MediaCrypto) null, 0);
                    try {
                        this.c.start();
                        break;
                    } catch (MediaCodec.CodecException e8) {
                        e3 = e8;
                        i5 = 1;
                    }
                } catch (MediaCodec.CodecException e9) {
                    e3 = e9;
                    i5 = 0;
                }
            }
        } else {
            i2 = 0;
            while (true) {
                try {
                    this.c.configure(this.e, (Surface) null, (MediaCrypto) null, 0);
                    try {
                        this.c.start();
                        break;
                    } catch (IllegalStateException e10) {
                        e2 = e10;
                        i3 = 1;
                    }
                } catch (IllegalStateException e11) {
                    e2 = e11;
                    i3 = 0;
                }
            }
        }
        mediaCodec = this.c;
        if (mediaCodec != null) {
            a(aVar, mediaCodec.getInputBuffers(), this.c.dequeueInputBuffer(10000));
        }
        return 0;
        String str4 = a;
        TXCLog.e(str4, "CodecException1: " + e2 + ". step: " + i3);
        i2++;
        if (i2 > 1) {
            TXCLog.e(a, "decoder start error!");
            this.c.release();
            this.c = null;
            return TXEAudioDef.TXE_AUDIO_PLAY_ERR_INVALID_STATE;
        }
        try {
            this.c.reset();
        } catch (Exception e12) {
        }
        String str5 = a;
        TXCLog.e(str5, "CodecException: " + e3 + ". step: " + i5 + ", mediaformat: " + this.e);
        i4++;
        if (i4 > 1) {
            TXCLog.e(a, "decoder start error!");
            this.c.release();
            this.c = null;
            return TXEAudioDef.TXE_AUDIO_PLAY_ERR_INVALID_STATE;
        } else if (e3.isRecoverable()) {
            try {
                this.c.stop();
            } catch (Exception e13) {
            }
        } else if (e3.isTransient()) {
            try {
                Thread.sleep(20);
            } catch (InterruptedException e14) {
                e14.printStackTrace();
            }
        } else {
            TXCLog.e(a, "decoder cath unrecoverable error!");
            this.c.release();
            this.c = null;
            return TXEAudioDef.TXE_AUDIO_PLAY_ERR_INVALID_STATE;
        }
        String str6 = a;
        TXCLog.e(str6, "hw audio decoder release error: " + i6 + ". error: " + e4);
        this.c = MediaCodec.createDecoderByType("audio/mp4a-latm");
        if (Build.VERSION.SDK_INT < 21) {
        }
        mediaCodec = this.c;
        if (mediaCodec != null) {
        }
        return 0;
    }

    private int a(com.tencent.liteav.basic.structs.a aVar, ByteBuffer[] byteBufferArr, int i2) {
        int dequeueOutputBuffer;
        c cVar;
        if (i2 >= 0) {
            try {
                if (aVar.f != null) {
                    ByteBuffer byteBuffer = byteBufferArr[i2];
                    byteBuffer.clear();
                    byteBuffer.put(aVar.f);
                }
                if (aVar == null || aVar.f.length <= 0) {
                    this.c.queueInputBuffer(i2, 0, 0, b(), 4);
                } else {
                    this.c.queueInputBuffer(i2, 0, aVar.f.length, b(), 0);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        } else if (i2 == -1) {
            return -1;
        }
        ByteBuffer[] outputBuffers = this.c.getOutputBuffers();
        if (this.d == null) {
            this.d = new MediaCodec.BufferInfo();
        }
        do {
            dequeueOutputBuffer = this.c.dequeueOutputBuffer(this.d, 10000);
            if (dequeueOutputBuffer == -3) {
                outputBuffers = this.c.getOutputBuffers();
                continue;
            } else if (dequeueOutputBuffer == -2) {
                this.e = this.c.getOutputFormat();
                continue;
            } else if (dequeueOutputBuffer >= 0) {
                ByteBuffer byteBuffer2 = outputBuffers[dequeueOutputBuffer];
                byteBuffer2.position(this.d.offset);
                byteBuffer2.limit(this.d.offset + this.d.size);
                byte[] bArr = new byte[this.d.size];
                byteBuffer2.get(bArr);
                long longValue = ((Long) this.i.get(0)).longValue();
                this.i.remove(0);
                if (!(this.b == null || (cVar = this.b.get()) == null)) {
                    cVar.onPlayPcmData(bArr, longValue, 48000, 1);
                }
                this.c.releaseOutputBuffer(dequeueOutputBuffer, false);
                continue;
            } else {
                continue;
            }
        } while (dequeueOutputBuffer >= 0);
        return 0;
    }

    private long b() {
        long timeTick = TXCTimeUtil.getTimeTick();
        long j2 = this.f;
        if (timeTick < j2) {
            timeTick += j2 - timeTick;
        }
        this.f = timeTick;
        return timeTick;
    }
}
