package com.tencent.liteav.audio.impl.Record;

import android.content.Context;
import com.tencent.liteav.audio.d;
import com.tencent.liteav.audio.impl.TXCTraeJNI;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.a;

/* compiled from: TXCAudioTraeRecordController */
public class g extends c {
    @Override // com.tencent.liteav.audio.impl.Record.c
    public int startRecord(Context context) {
        TXCLog.i("AudioCenter:TXCAudioTraeRecordController", "trae startRecord");
        super.startRecord(context);
        TXCTraeJNI.InitTraeEngineLibrary(this.mContext);
        TXCTraeJNI.setTraeRecordListener(this.mWeakRecordListener);
        TXCTraeJNI.nativeTraeStartRecord(context, this.mSampleRate, this.mChannels, this.mBits, this.mAudioFormat, this.mFrameLenMs);
        TXCTraeJNI.nativeTraeSetChangerType(this.mVoiceKind, this.mVoiceEnvironment);
        if (!(this.mWeakRecordListener == null || this.mWeakRecordListener.get() == null)) {
            ((d) this.mWeakRecordListener.get()).a(1, "TRAE-AEC,采样率(" + this.mSampleRate + "|" + this.mSampleRate + "),声道数" + this.mChannels);
        }
        if (this.mAudioFormat != 11) {
            return 0;
        }
        TXCTraeJNI.nativeSetFecRatio(this.mFecRatio);
        return 0;
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void SetID(String str) {
        super.SetID(str);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public int stopRecord() {
        TXCLog.i("AudioCenter:TXCAudioTraeRecordController", "trae stopRecord");
        TXCTraeJNI.nativeTraeStopRecord(true);
        TXCTraeJNI.setTraeRecordListener(null);
        this.mFecRatio = 0.0f;
        return 0;
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void sendCustomPCMData(byte[] bArr) {
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void sendCustomPCMData(a aVar) {
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public boolean isRecording() {
        return TXCTraeJNI.nativeTraeIsRecording();
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setReverbType(int i) {
        super.setReverbType(i);
        TXCTraeJNI.nativeTraeSetRecordReverb(i);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setChangerType(int i, int i2) {
        super.setChangerType(i, i2);
        TXCTraeJNI.nativeTraeSetChangerType(i, i2);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setVolume(float f) {
        super.setVolume(f);
        TXCTraeJNI.nativeTraeSetVolume(f);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setMute(boolean z) {
        super.setMute(z);
        TXCTraeJNI.nativeTraeSetRecordMute(z);
        this.mIsMute = z;
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setEncBitRate(int i) {
        super.setEncBitRate(i);
        TXCTraeJNI.nativeSetEncBitRate(i);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setEncFrameLenMs(int i) {
        super.setEncFrameLenMs(i);
        TXCTraeJNI.nativeSetEncFrameLenMs(i);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setEncInfo(int i, int i2) {
        super.setEncInfo(i, i2);
        TXCTraeJNI.nativeSetEncInfo(i, i2);
    }

    @Override // com.tencent.liteav.audio.impl.Record.c
    public void setFecRatio(float f) {
        super.setFecRatio(f);
        TXCTraeJNI.nativeSetFecRatio(this.mFecRatio);
    }
}
