package com.tencent.liteav;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.SurfaceTexture;
import android.media.MediaFormat;
import android.opengl.GLES20;
import android.os.Build;
import android.os.Bundle;
import android.view.Surface;
import com.baidu.speech.utils.AsrError;
import com.igexin.sdk.PushConsts;
import com.tencent.liteav.a;
import com.tencent.liteav.audio.TXCLiveBGMPlayer;
import com.tencent.liteav.audio.d;
import com.tencent.liteav.basic.d.g;
import com.tencent.liteav.basic.d.l;
import com.tencent.liteav.basic.d.n;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCEventRecorderProxy;
import com.tencent.liteav.basic.module.TXCKeyPointReportProxy;
import com.tencent.liteav.basic.module.TXCStatus;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import com.tencent.liteav.basic.structs.b;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.beauty.b.o;
import com.tencent.liteav.beauty.e;
import com.tencent.liteav.renderer.TXCGLSurfaceView;
import com.tencent.liteav.videoencoder.TXSVideoEncoderParam;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.rtmp.TXLog;
import com.tencent.rtmp.ui.TXCloudVideoView;
import com.xiaomi.mipush.sdk.Constants;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCCaptureAndEnc */
public class c extends com.tencent.liteav.basic.module.a implements a.b, d, com.tencent.liteav.basic.c.a, e, n, com.tencent.liteav.videoencoder.d {
    private static final String b = c.class.getSimpleName();
    private b A;
    private int B = 0;
    private boolean C = false;
    private boolean D = false;
    private long E = 0;
    private long F = 0;
    private int G = 0;
    private byte[] H;
    private WeakReference<q> I;
    private WeakReference<a> J = null;
    private g K = null;
    private g L;
    private boolean M = false;
    private boolean N = false;
    private boolean O = false;
    private WeakReference<com.tencent.liteav.basic.c.a> P;
    private WeakReference<o> Q;
    private int R = 0;
    private boolean S = false;
    private int T = -1;
    private int U = -1;
    private int V = 10;
    a a;
    private m c = null;
    private com.tencent.liteav.beauty.c d = null;
    private boolean e = false;
    private int f = -1;
    private TXSVideoEncoderParam g = null;
    private com.tencent.liteav.videoencoder.b h = null;
    private int i = 15;
    private TXSVideoEncoderParam j = null;
    private com.tencent.liteav.videoencoder.b k = null;
    private Context l = null;
    private f m = null;
    private int n = 0;
    private int o = 0;
    private int p = 0;
    private int q = 0;
    private float r = 1.0f;
    private int s = 0;
    private float t = 0.0f;
    private TXCloudVideoView u = null;
    private Surface v = null;
    private int w = 0;
    private int x = 0;
    private com.tencent.liteav.basic.d.d y = null;
    private int z = 0;

    /* compiled from: TXCCaptureAndEnc */
    public interface a {
        void onEncAudio(byte[] bArr, long j, int i, int i2);

        void onEncVideo(TXSNALPacket tXSNALPacket);

        void onEncVideoFormat(MediaFormat mediaFormat);

        void onRecordPcm(byte[] bArr, long j, int i, int i2, int i3);

        void onRecordRawPcm(byte[] bArr, long j, int i, int i2, int i3, boolean z);
    }

    public c(Context context) {
        this.l = context.getApplicationContext();
        this.m = new f();
        com.tencent.liteav.beauty.c cVar = new com.tencent.liteav.beauty.c(this.l, true);
        this.d = cVar;
        cVar.a((e) this);
        this.d.a((com.tencent.liteav.basic.c.a) this);
        this.g = new TXSVideoEncoderParam();
        this.h = null;
        this.a = new a(this);
        com.tencent.liteav.basic.e.b.a().a(this.l);
    }

    public void a(a aVar) {
        this.J = new WeakReference<>(aVar);
    }

    public void a(f fVar) {
        boolean z2 = true;
        boolean z3 = (fVar == null || (this.m.y == fVar.y && this.m.z == fVar.z && this.m.A == fVar.A && this.m.D == fVar.D && this.m.B == fVar.B && this.m.C == fVar.C)) ? false : true;
        boolean z4 = (fVar == null || (this.m.a == fVar.a && this.m.b == fVar.b)) ? false : true;
        if (fVar != null) {
            try {
                this.m = (f) fVar.clone();
            } catch (CloneNotSupportedException e2) {
                this.m = new f();
                e2.printStackTrace();
            }
        } else {
            this.m = new f();
        }
        if (!z4 || this.m.N) {
            z2 = false;
        }
        f(z2);
        if (l()) {
            x();
            z();
            m mVar = this.c;
            if (mVar != null) {
                mVar.d(this.m.l);
            }
            if (z3) {
                y();
            }
        }
    }

    public void a(com.tencent.liteav.basic.c.a aVar) {
        this.P = new WeakReference<>(aVar);
    }

    public void a(byte[] bArr) {
        com.tencent.liteav.audio.b.a().a(bArr);
    }

    public void a(o oVar) {
        this.Q = new WeakReference<>(oVar);
    }

    public int b() {
        return this.g.width;
    }

    public int c() {
        return this.g.height;
    }

    @Override // com.tencent.liteav.basic.module.a
    public void setID(String str) {
        super.setID(str);
        com.tencent.liteav.videoencoder.b bVar = this.h;
        if (bVar != null) {
            bVar.setID(str);
        }
        com.tencent.liteav.videoencoder.b bVar2 = this.k;
        if (bVar2 != null) {
            bVar2.setID(str);
        }
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.setID(str);
        }
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(getID());
        }
        com.tencent.liteav.audio.b.a().a(str);
    }

    public String d() {
        return com.tencent.liteav.audio.b.a().f() + " | " + com.tencent.liteav.audio.b.a().e() + "," + com.tencent.liteav.audio.b.a().d();
    }

    public int e() {
        int f2 = f();
        if (f2 == 0) {
            h();
        }
        return f2;
    }

    public int f() {
        if (l()) {
            String str = b;
            TXCLog.w(str, "ignore startPush when pushing, status:" + this.o);
            return -2;
        }
        TXCDRApi.initCrashReport(this.l);
        this.o = 1;
        TXCLog.d(b, "startPusher");
        z();
        TXCDRApi.txReportDAU(this.l, com.tencent.liteav.basic.datareport.a.br);
        return 0;
    }

    public void g() {
        if (!l()) {
            String str = b;
            TXCLog.w(str, "ignore stopPush when not pushing, status:" + this.o);
            return;
        }
        TXCLog.d(b, "stopPusher");
        this.o = 0;
        i();
        v();
        this.m.J = false;
        a aVar = this.a;
        if (aVar != null) {
            aVar.a();
        }
        this.A = null;
    }

    public void h() {
        m mVar;
        x();
        com.tencent.liteav.audio.b.a().a(this);
        this.M = false;
        TXCKeyPointReportProxy.a(PushConsts.ALIAS_OPERATE_PARAM_ERROR);
        f fVar = this.m;
        if ((fVar == null || !fVar.G) && this.n != 1 && (mVar = this.c) != null && !mVar.d()) {
            m mVar2 = this.c;
            if (mVar2 != null) {
                mVar2.e(true);
            }
        } else if (com.tencent.liteav.audio.b.a().a(this.l) == 0) {
            b(TXLiteAVCode.EVT_MIC_START_SUCC, "打开麦克风成功");
        }
    }

    public void i() {
        TXCKeyPointReportProxy.a(31003);
        TXCLog.d(b, "stopPusher");
        TXCKeyPointReportProxy.a(31003, com.tencent.liteav.audio.b.a().b());
        com.tencent.liteav.audio.b.a().a((d) null);
        this.t = 0.0f;
    }

    public void j() {
        if (this.o != 1) {
            String str = b;
            TXCLog.w(str, "ignore pause push when is not pushing, status:" + this.o);
            return;
        }
        this.o = 2;
        TXCLog.d(b, "pausePusher");
        if ((this.m.x & 1) == 1) {
            if (!(this.a == null || this.m.G || this.c == null)) {
                this.a.a(this.m.w, this.m.v, this.m.u, this.g.width, this.g.height);
            }
            m mVar = this.c;
            if (mVar != null) {
                mVar.c();
            }
        }
        if ((this.m.x & 2) == 2) {
            com.tencent.liteav.audio.b.a().c(true);
        }
    }

    public void k() {
        if (this.o != 2) {
            String str = b;
            TXCLog.w(str, "ignore resume push when is not pause, status:" + this.o);
            return;
        }
        this.o = 1;
        TXCLog.d(b, "resumePusher");
        if ((this.m.x & 1) == 1) {
            if (this.a != null && !this.m.G) {
                this.a.a();
            }
            m mVar = this.c;
            if (mVar != null) {
                mVar.b();
            }
            y();
        }
        if ((this.m.x & 2) == 2) {
            com.tencent.liteav.audio.b.a().c(this.S);
            if ((1 & this.m.L) == 0) {
                com.tencent.liteav.audio.b.a().b();
                com.tencent.liteav.audio.b.a().a(this.m.q);
                com.tencent.liteav.audio.b.a().a(this.m.s, this.l);
                com.tencent.liteav.audio.b.a().d(this.s);
                com.tencent.liteav.audio.b.a().a(this.T, this.U);
                com.tencent.liteav.audio.b.a().a(this.r);
                com.tencent.liteav.audio.b.a().c(this.S);
                com.tencent.liteav.audio.b.a().f(this.V);
                com.tencent.liteav.audio.b.a().a(this);
                com.tencent.liteav.audio.b.a().a(this.l);
            }
        }
    }

    public void a(final int i2, final int i3, final int i4) {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass9 */

                public void run() {
                    if (!(i3 == 0 || i4 == 0)) {
                        c.this.m.a = i3;
                        c.this.m.b = i4;
                        if (c.this.c != null) {
                            c.this.c.a(i3, i4);
                        }
                    }
                    if (i2 != 0 && c.this.h != null) {
                        c.this.m.c = i2;
                        c.this.h.b(i2);
                    }
                }
            });
        }
    }

    public boolean l() {
        return this.o != 0;
    }

    public void m() {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass10 */

                public void run() {
                    if (c.this.c != null) {
                        c.this.c.b(true);
                    }
                    c cVar = c.this;
                    cVar.c(cVar.g.width, c.this.g.height);
                }
            });
        }
    }

    public void a(TXCloudVideoView tXCloudVideoView) {
        l lVar;
        if (this.m.G) {
            TXCLog.e(b, "enable pure audio push , so can not start preview!");
            return;
        }
        boolean z2 = this.m.P;
        if (tXCloudVideoView != null) {
            tXCloudVideoView.getGLSurfaceView();
            TXCGLSurfaceView tXCGLSurfaceView = new TXCGLSurfaceView(tXCloudVideoView.getContext());
            tXCloudVideoView.addVideoView(tXCGLSurfaceView);
            lVar = tXCGLSurfaceView;
        } else {
            z2 = false;
            lVar = new com.tencent.liteav.basic.d.e();
        }
        this.n = 0;
        this.c = new b(this.l, this.m, lVar, z2);
        k(this.B);
        this.c.a(getID());
        this.c.a((n) this);
        this.c.a((com.tencent.liteav.basic.c.a) this);
        this.c.a();
        this.c.b(this.p);
        this.c.c(this.q);
        this.u = tXCloudVideoView;
        if (tXCloudVideoView != null) {
            tXCloudVideoView.start(this.m.E, this.m.F, this.c);
        }
        TXCKeyPointReportProxy.a(PushConsts.ALIAS_REQUEST_FILTER);
    }

    public void a(boolean z2) {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(z2);
            this.c = null;
            TXCloudVideoView tXCloudVideoView = this.u;
            if (tXCloudVideoView != null) {
                tXCloudVideoView.stop(z2);
                this.u = null;
            }
            this.v = null;
            com.tencent.liteav.basic.d.d dVar = this.y;
            if (dVar != null) {
                dVar.a();
                this.y = null;
            }
        }
    }

    public void a(Surface surface) {
        if (this.u != null) {
            TXCLog.w(b, "camera preview view is not null, can't set surface");
        } else {
            this.v = surface;
        }
    }

    public void a(final int i2, final int i3) {
        com.tencent.liteav.basic.d.d dVar = this.y;
        if (dVar != null) {
            dVar.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass11 */

                public void run() {
                    c.this.w = i2;
                    c.this.x = i3;
                    if (c.this.A != null && c.this.y != null) {
                        c cVar = c.this;
                        cVar.a((c) cVar.A, (b) true);
                    }
                }
            });
            return;
        }
        this.w = i2;
        this.x = i3;
    }

    public void a(final n nVar) {
        TXCloudVideoView tXCloudVideoView = this.u;
        if (tXCloudVideoView != null) {
            TXCGLSurfaceView gLSurfaceView = tXCloudVideoView.getGLSurfaceView();
            if (gLSurfaceView != null) {
                gLSurfaceView.a(new n() {
                    /* class com.tencent.liteav.c.AnonymousClass1 */

                    @Override // com.tencent.liteav.basic.d.n
                    public void onTakePhotoComplete(Bitmap bitmap) {
                        n nVar = nVar;
                        if (nVar != null) {
                            nVar.onTakePhotoComplete(bitmap);
                        }
                    }
                });
                return;
            }
            return;
        }
        com.tencent.liteav.basic.d.d dVar = this.y;
        if (dVar != null) {
            dVar.a(new n() {
                /* class com.tencent.liteav.c.AnonymousClass2 */

                @Override // com.tencent.liteav.basic.d.n
                public void onTakePhotoComplete(Bitmap bitmap) {
                    n nVar = nVar;
                    if (nVar != null) {
                        nVar.onTakePhotoComplete(bitmap);
                    }
                }
            });
        }
    }

    public void n() {
        if (Build.VERSION.SDK_INT < 21) {
            Bundle bundle = new Bundle();
            bundle.putString(TXLiveConstants.EVT_DESCRIPTION, "录屏失败,不支持的Android系统版本,需要5.0以上的系统");
            onNotifyEvent(-1309, bundle);
            String str = b;
            TXLog.e(str, "Screen capture need running on Android Lollipop or higher version, current:" + Build.VERSION.SDK_INT);
            return;
        }
        this.n = 1;
        h hVar = new h(this.l, this.m);
        this.c = hVar;
        hVar.a((com.tencent.liteav.basic.c.a) this);
        this.c.a((n) this);
        this.c.a();
        this.c.a(getID());
        TXCDRApi.txReportDAU(this.l, com.tencent.liteav.basic.datareport.a.aG);
    }

    public void o() {
        if (this.c != null) {
            v();
            this.c.a(false);
            this.c = null;
        }
    }

    public void a(int i2) {
        this.p = i2;
        m mVar = this.c;
        if (mVar != null) {
            mVar.b(i2);
        }
    }

    public boolean b(boolean z2) {
        m mVar = this.c;
        if (mVar == null) {
            return false;
        }
        return mVar.d(z2);
    }

    public boolean b(int i2, int i3, int i4) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar == null) {
            return true;
        }
        cVar.c(i2);
        this.d.d(i3);
        this.d.e(i4);
        return true;
    }

    public void b(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.b(i2);
        }
    }

    public void a(Bitmap bitmap) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.a(bitmap);
        }
    }

    public void a(String str) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.a(str);
        }
    }

    public void c(boolean z2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.c(z2);
        }
    }

    public boolean b(String str) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            return cVar.a(str, true);
        }
        return false;
    }

    public void c(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.g(i2);
        }
    }

    public void d(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.h(i2);
        }
    }

    public void a(float f2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.a(f2);
        }
    }

    public void e(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.i(i2);
        }
    }

    public void f(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.j(i2);
        }
    }

    public void g(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.k(i2);
        }
    }

    public void h(int i2) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.l(i2);
        }
    }

    public void d(boolean z2) {
        this.S = z2;
        com.tencent.liteav.audio.b.a().c(z2);
    }

    public boolean p() {
        return this.S;
    }

    public void b(int i2, int i3) {
        this.T = i2;
        this.U = i3;
        com.tencent.liteav.audio.b.a().a(i2, i3);
    }

    public void b(float f2) {
        this.t = f2;
        TXCLiveBGMPlayer.getInstance().setPitch(f2);
    }

    public int q() {
        m mVar = this.c;
        if (mVar == null) {
            return 0;
        }
        return mVar.e();
    }

    public boolean i(int i2) {
        m mVar = this.c;
        if (mVar == null) {
            return false;
        }
        return mVar.a(i2);
    }

    public boolean e(boolean z2) {
        this.m.M = z2;
        m mVar = this.c;
        if (mVar == null) {
            return false;
        }
        mVar.c(z2);
        return true;
    }

    public void c(float f2) {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(f2);
        }
    }

    public void j(int i2) {
        this.s = i2;
        com.tencent.liteav.audio.b.a().d(i2);
        TXCDRApi.txReportDAU(this.l, com.tencent.liteav.basic.datareport.a.az);
    }

    public void k(int i2) {
        this.B = i2;
        m mVar = this.c;
        if (mVar != null && (mVar instanceof b)) {
            ((b) mVar).f(i2);
        }
    }

    private void b(int i2, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("EVT_USERID", getID());
        bundle.putInt("EVT_ID", i2);
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        if (str != null) {
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
        }
        com.tencent.liteav.basic.util.b.a(this.P, i2, bundle);
        if (i2 == -1317) {
            TXCEventRecorderProxy.a(getID(), 2002, 4, -1, "", this.B);
        } else if (i2 == -1314) {
            TXCEventRecorderProxy.a(getID(), 2002, 5, -1, "", this.B);
        } else if (i2 == 1003 && this.c != null) {
            TXCEventRecorderProxy.a(getID(), 4001, !this.c.g(), -1, "", this.B);
        }
        if (i2 == -1302 || i2 == -1317 || i2 == -1318 || i2 == -1319) {
            TXCKeyPointReportProxy.a((int) PushConsts.ALIAS_OPERATE_PARAM_ERROR, i2);
        } else if (i2 == -1301 || i2 == -1314 || i2 == -1315 || i2 == -1316) {
            TXCKeyPointReportProxy.a((int) PushConsts.ALIAS_REQUEST_FILTER, i2);
            if (this.c != null) {
                TXCEventRecorderProxy.a(getID(), 4002, !this.c.g(), i2, "", this.B);
            }
        }
    }

    public boolean c(String str) {
        if (!com.tencent.liteav.audio.b.a().c()) {
            return false;
        }
        TXCDRApi.txReportDAU(this.l, com.tencent.liteav.basic.datareport.a.aA);
        return TXCLiveBGMPlayer.getInstance().startPlay(str, com.tencent.liteav.audio.b.a().f());
    }

    public boolean r() {
        TXCLiveBGMPlayer.getInstance().stopPlay();
        return true;
    }

    public boolean s() {
        TXCLiveBGMPlayer.getInstance().pause();
        return true;
    }

    public boolean t() {
        TXCLiveBGMPlayer.getInstance().resume();
        return true;
    }

    public boolean d(float f2) {
        this.r = f2;
        com.tencent.liteav.audio.b.a().a(f2);
        return true;
    }

    public boolean e(float f2) {
        TXCLiveBGMPlayer.getInstance().setVolume(f2);
        return true;
    }

    public int d(String str) {
        return (int) TXCLiveBGMPlayer.getInstance().getMusicDuration(str);
    }

    public void a(com.tencent.liteav.audio.e eVar) {
        TXCLiveBGMPlayer.getInstance().setOnPlayListener(eVar);
    }

    public int a(byte[] bArr, int i2, int i3, int i4) {
        int a2 = a(i3, i4, (Object) null);
        if (a2 != 0) {
            return a2;
        }
        com.tencent.liteav.videoencoder.b bVar = this.h;
        if (bVar == null) {
            return 0;
        }
        bVar.a(bArr, i2, i3, i4, TXCTimeUtil.getTimeTick());
        return 0;
    }

    public int c(int i2, int i3, int i4) {
        int a2 = a(i3, i4, ((EGL10) EGLContext.getEGL()).eglGetCurrentContext());
        if (a2 != 0) {
            return a2;
        }
        com.tencent.liteav.videoencoder.b bVar = this.h;
        if (bVar == null) {
            return 0;
        }
        bVar.a(i2, i3, i4, TXCTimeUtil.getTimeTick());
        return 0;
    }

    @Override // com.tencent.liteav.audio.d
    public void a(byte[] bArr, long j2, int i2, int i3, int i4, boolean z2) {
        a aVar;
        if (!this.M) {
            this.M = true;
            TXCKeyPointReportProxy.a((int) PushConsts.ALIAS_OPERATE_PARAM_ERROR, 0);
        }
        WeakReference<a> weakReference = this.J;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.onRecordRawPcm(bArr, j2, i2, i3, i4, z2);
        }
    }

    @Override // com.tencent.liteav.audio.d
    public void a(byte[] bArr, long j2, int i2, int i3, int i4) {
        a aVar;
        WeakReference<a> weakReference = this.J;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.onRecordPcm(bArr, j2, i2, i3, i4);
        }
    }

    @Override // com.tencent.liteav.audio.d
    public void b(byte[] bArr, long j2, int i2, int i3, int i4) {
        a aVar;
        WeakReference<a> weakReference = this.J;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.onEncAudio(bArr, j2, i2, i3);
        }
    }

    @Override // com.tencent.liteav.audio.d
    public void a(int i2, String str) {
        String str2 = b;
        TXCLog.e(str2, "onRecordError code = " + i2 + Constants.COLON_SEPARATOR + str);
        if (i2 == -1) {
            b(-1302, "打开麦克风失败");
        }
    }

    @Override // com.tencent.liteav.beauty.e
    public int a(b bVar) {
        o oVar;
        WeakReference<o> weakReference = this.Q;
        if (!(weakReference == null || (oVar = weakReference.get()) == null)) {
            bVar.a = oVar.onTextureCustomProcess(bVar.a, bVar.e, bVar.f);
        }
        c(bVar);
        a(bVar, false);
        return bVar.a;
    }

    @Override // com.tencent.liteav.beauty.e
    public void a(b bVar, long j2) {
        d(bVar.a, bVar.e, bVar.f);
    }

    @Override // com.tencent.liteav.beauty.e
    public void a(byte[] bArr, int i2, int i3, int i4, long j2) {
    }

    @Override // com.tencent.liteav.videoencoder.d
    public void a(TXSNALPacket tXSNALPacket, int i2) {
        a aVar;
        if (i2 == 0) {
            this.F = tXSNALPacket.gopIndex;
            this.E = tXSNALPacket.frameIndex;
            WeakReference<a> weakReference = this.J;
            if (weakReference != null && (aVar = weakReference.get()) != null) {
                aVar.onEncVideo(tXSNALPacket);
            }
        } else if (i2 == 10000004 && this.f == 1) {
            this.m.j = 0;
            b(1103, "硬编码启动失败,采用软编码");
        }
    }

    @Override // com.tencent.liteav.videoencoder.d
    public void a(MediaFormat mediaFormat) {
        a aVar;
        WeakReference<a> weakReference = this.J;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.onEncVideoFormat(mediaFormat);
        }
    }

    @Override // com.tencent.liteav.videoencoder.d
    public void a(long j2, long j3, long j4) {
        this.F = j3;
        this.E = j4;
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(int i2, Bundle bundle) {
        if (bundle != null) {
            bundle.putString("EVT_USERID", getID());
        }
        com.tencent.liteav.basic.util.b.a(this.P, i2, bundle);
        if (i2 == -1317) {
            TXCEventRecorderProxy.a(getID(), 2002, 4, -1, "", this.B);
        } else if (i2 == -1314) {
            TXCEventRecorderProxy.a(getID(), 2002, 5, -1, "", this.B);
        } else if (i2 == 1003 && this.c != null) {
            TXCEventRecorderProxy.a(getID(), 4001, !this.c.g(), -1, "", this.B);
        }
        if (i2 == -1302 || i2 == -1317 || i2 == -1318 || i2 == -1319) {
            TXCKeyPointReportProxy.a((int) PushConsts.ALIAS_OPERATE_PARAM_ERROR, i2);
        } else if (i2 == -1301 || i2 == -1314 || i2 == -1315 || i2 == -1316) {
            TXCKeyPointReportProxy.a((int) PushConsts.ALIAS_REQUEST_FILTER, i2);
            if (this.c != null) {
                TXCEventRecorderProxy.a(getID(), 4002, !this.c.g(), i2, "", this.B);
            }
        }
    }

    @Override // com.tencent.liteav.a.b
    public void a(final Bitmap bitmap, final ByteBuffer byteBuffer, final int i2, final int i3) {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass3 */

                public void run() {
                    try {
                        int width = bitmap.getWidth();
                        int height = bitmap.getHeight();
                        c.this.d.a(com.tencent.liteav.basic.util.b.a(width, height, i2, i3));
                        c.this.d.b(false);
                        c.this.d.a(i2, i3);
                        c.this.d.a(0);
                        c.this.d.a(byteBuffer.array(), width, height, 0, 2, 0);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            });
        }
    }

    @Override // com.tencent.liteav.a.b
    public void a(final com.tencent.liteav.videoencoder.b bVar) {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass4 */

                public void run() {
                    try {
                        if (bVar != null) {
                            bVar.a();
                            bVar.a((com.tencent.liteav.videoencoder.d) null);
                        }
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            });
        } else if (bVar != null) {
            try {
                bVar.a();
                bVar.a((com.tencent.liteav.videoencoder.d) null);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    @Override // com.tencent.liteav.a.b
    public void a() {
        com.tencent.liteav.audio.b.a().b();
        com.tencent.liteav.audio.b.a().a((d) null);
    }

    @Override // com.tencent.liteav.n
    public void a(SurfaceTexture surfaceTexture) {
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.a();
        }
    }

    @Override // com.tencent.liteav.n
    public void b(b bVar) {
        if (!this.N) {
            this.N = true;
            TXCKeyPointReportProxy.a((int) PushConsts.ALIAS_REQUEST_FILTER, 0);
        }
        if (this.d != null && !this.m.G && this.c != null) {
            if (!(this.g.height == bVar.h && this.g.width == bVar.g)) {
                d(bVar.g, bVar.h);
            }
            this.z = bVar.k;
            this.d.a(bVar, bVar.b, 0);
        }
    }

    @Override // com.tencent.liteav.n
    public void u() {
        o oVar;
        String str = b;
        TXCLog.i(str, "onCaptureDestroy->enter with mVideoFrameFilter:" + this.K);
        com.tencent.liteav.beauty.c cVar = this.d;
        if (cVar != null) {
            cVar.a();
        }
        g gVar = this.K;
        if (gVar != null) {
            gVar.d();
            this.K = null;
        }
        g gVar2 = this.L;
        if (gVar2 != null) {
            gVar2.d();
            this.L = null;
        }
        w();
        WeakReference<o> weakReference = this.Q;
        if (weakReference != null && (oVar = weakReference.get()) != null) {
            oVar.onTextureDestoryed();
        }
    }

    private void a(int i2, int i3, int i4, Object obj) {
        EGLContext eGLContext;
        String str = b;
        TXCLog.d(str, "New encode size width = " + i2 + " height = " + i3 + " encType = " + i4);
        w();
        this.f = i4;
        this.h = new com.tencent.liteav.videoencoder.b(this.f);
        TXCStatus.a(getID(), 4005, this.B, Integer.valueOf(this.f));
        if (this.f == 1) {
            TXCEventRecorderProxy.a(getID(), AsrError.ERROR_SERVER_APP, 1, -1, "", this.B);
        } else {
            TXCEventRecorderProxy.a(getID(), AsrError.ERROR_SERVER_APP, 0, -1, "", this.B);
        }
        if ((this.m.L & 2) == 2) {
            eGLContext = obj != null ? obj : this.h.a(i2, i3);
            if (Build.VERSION.SDK_INT >= 17 && obj != null && (obj instanceof android.opengl.EGLContext)) {
                this.g.enableEGL14 = true;
            }
        } else {
            m mVar = this.c;
            eGLContext = mVar != null ? mVar.f() : null;
        }
        this.O = false;
        this.g.width = i2;
        this.g.height = i3;
        this.g.fps = this.m.h;
        this.g.gop = this.m.i;
        this.g.encoderProfile = this.m.n ? 3 : 1;
        this.g.encoderMode = 1;
        this.g.glContext = eGLContext;
        this.g.realTime = this.m.J;
        this.g.streamType = this.B;
        this.g.annexb = this.D;
        this.g.bMultiRef = this.C;
        this.g.baseFrameIndex = this.E + 20;
        this.g.baseGopIndex = this.F + 2;
        this.g.bLimitFps = this.e;
        this.h.a((com.tencent.liteav.videoencoder.d) this);
        this.h.a((com.tencent.liteav.basic.c.a) this);
        this.h.a(this.g);
        this.h.b(this.m.c);
        this.h.c(this.i);
        this.h.setID(getID());
        this.h.a(this.R);
        TXCStatus.a(getID(), AsrError.ERROR_SERVER_RECOGNITION, this.B, Integer.valueOf((this.g.width << 16) | this.g.height));
        TXCStatus.a(getID(), 13003, this.B, Integer.valueOf(this.g.gop * 1000));
        TXCEventRecorderProxy.a(getID(), AsrError.ERROR_SERVER_RECOGNITION, this.g.width, this.g.height, "", this.B);
    }

    private void a(Object obj) {
        EGLContext eGLContext;
        TXSVideoEncoderParam tXSVideoEncoderParam = this.j;
        if (tXSVideoEncoderParam != null) {
            this.k = new com.tencent.liteav.videoencoder.b(this.f);
            TXCStatus.a(getID(), 4005, 3, Integer.valueOf(this.f));
            if (this.f == 1) {
                TXCEventRecorderProxy.a(getID(), AsrError.ERROR_SERVER_APP, 1, -1, "", 3);
            } else {
                TXCEventRecorderProxy.a(getID(), AsrError.ERROR_SERVER_APP, 0, -1, "", 3);
            }
            if ((this.m.L & 2) == 2) {
                eGLContext = obj != null ? obj : this.k.a(tXSVideoEncoderParam.width, tXSVideoEncoderParam.height);
            } else {
                m mVar = this.c;
                eGLContext = mVar != null ? mVar.f() : null;
            }
            tXSVideoEncoderParam.glContext = eGLContext;
            TXCLog.d(b, "start small video encoder");
            this.k.a((com.tencent.liteav.videoencoder.d) this);
            this.k.a((com.tencent.liteav.basic.c.a) this);
            this.k.a(tXSVideoEncoderParam);
            this.k.b(tXSVideoEncoderParam.bitrate);
            this.k.setID(getID());
            this.k.a(this.R);
        }
    }

    private void d(int i2, int i3, int i4) {
        b(i3, i4, (Object) null);
        com.tencent.liteav.videoencoder.b bVar = this.h;
        if (bVar != null) {
            bVar.a(i2, i3, i4, TXCTimeUtil.getTimeTick());
        }
        com.tencent.liteav.videoencoder.b bVar2 = this.k;
        if (bVar2 != null) {
            bVar2.a(i2, i3, i4, TXCTimeUtil.getTimeTick());
        }
    }

    private int a(int i2, int i3, Object obj) {
        int i4 = this.m.a;
        int i5 = this.m.b;
        if (this.m.l == 0 || this.m.l == 2) {
            i4 = this.m.b;
            i5 = this.m.a;
        }
        if (i4 <= 0 || i5 <= 0) {
            TXCLog.e(b, "sendCustomYUVData: invalid video encode resolution");
            return -1;
        } else if (this.m.G) {
            w();
            return -1000;
        } else {
            b(i4, i5, obj);
            return 0;
        }
    }

    private void b(int i2, int i3, Object obj) {
        int i4 = this.m.j;
        int i5 = 2;
        int i6 = 1;
        if (i4 != 0) {
            if (i4 == 1) {
                i5 = 1;
            } else if (i4 == 2) {
                i5 = 3;
            }
        }
        if (this.n != 1) {
            i6 = i5;
        }
        int i7 = this.m.i;
        if (!(this.h != null && !this.O && this.g.width == i2 && this.g.height == i3 && this.f == i6 && this.g.gop == i7)) {
            a(i2, i3, i6, obj);
        }
        if (this.k == null && this.j != null) {
            a(obj);
        }
    }

    public void v() {
        if (this.h != null) {
            m mVar = this.c;
            if (mVar != null) {
                mVar.a(new Runnable() {
                    /* class com.tencent.liteav.c.AnonymousClass5 */

                    public void run() {
                        c.this.w();
                    }
                });
            } else {
                w();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w() {
        try {
            TXCLog.d(b, "stopVideoEncoderInGLThread");
            if (this.h != null) {
                this.h.a();
                this.h.a((com.tencent.liteav.videoencoder.d) null);
                this.h = null;
            }
            this.O = true;
            if (this.k != null) {
                this.k.a();
                this.k.a((com.tencent.liteav.videoencoder.d) null);
                this.k = null;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private void x() {
        if ((this.m.L & 1) != 0) {
            com.tencent.liteav.audio.b.a().a(true);
            com.tencent.liteav.audio.b.a().b(this.m.r);
            com.tencent.liteav.audio.b.a().a(this.m.q);
            com.tencent.liteav.audio.b.a().a(false, this.l);
        } else {
            com.tencent.liteav.audio.b.a().b(1);
            com.tencent.liteav.audio.b.a().a(this.m.q);
            com.tencent.liteav.audio.b.a().a(this.m.s, this.l);
        }
        com.tencent.liteav.audio.b.a().c(this.S);
        com.tencent.liteav.audio.b.a().f(this.V);
        TXCLiveBGMPlayer.getInstance().switchAecType(com.tencent.liteav.audio.b.a().f());
        TXCLiveBGMPlayer.getInstance().setPitch(this.t);
    }

    private void f(final boolean z2) {
        m mVar = this.c;
        if (mVar != null && mVar.d()) {
            this.c.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass6 */

                public void run() {
                    if (c.this.c != null) {
                        c.this.c.e(c.this.m.h);
                        c.this.c.a(c.this.m.a, c.this.m.b);
                        if (z2) {
                            c.this.c.b(false);
                        }
                    }
                }
            });
        }
    }

    private void y() {
        m mVar = this.c;
        if (mVar != null) {
            mVar.a(new Runnable() {
                /* class com.tencent.liteav.c.AnonymousClass7 */

                public void run() {
                    c cVar = c.this;
                    cVar.c(cVar.g.width, c.this.g.height);
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(int i2, int i3) {
        if (this.m.D != -1.0f) {
            com.tencent.liteav.beauty.c cVar = this.d;
            if (cVar != null) {
                cVar.a(this.m.y, this.m.B, this.m.C, this.m.D);
                return;
            }
            return;
        }
        com.tencent.liteav.beauty.c cVar2 = this.d;
        if (cVar2 != null && i2 != 0 && i3 != 0) {
            float f2 = (float) i2;
            cVar2.a(this.m.y, ((float) this.m.z) / f2, ((float) this.m.A) / ((float) i3), this.m.y == null ? 0.0f : ((float) this.m.y.getWidth()) / f2);
        }
    }

    private void z() {
        if (this.d == null) {
            return;
        }
        if (this.m.J) {
            this.d.f(0);
        } else {
            this.d.f(3);
        }
    }

    private void d(int i2, int i3) {
        c(i2, i3);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(b bVar, boolean z2) {
        m mVar;
        this.A = bVar;
        if (this.u != null) {
            m mVar2 = this.c;
            if (mVar2 != null) {
                mVar2.a(bVar);
                return;
            }
            return;
        }
        if (this.v != null) {
            com.tencent.liteav.basic.d.d dVar = this.y;
            if (!(dVar == null || dVar.b() == this.v)) {
                this.y.a();
                this.y = null;
            }
            if (!(this.y != null || (mVar = this.c) == null || mVar.f() == null)) {
                com.tencent.liteav.basic.d.d dVar2 = new com.tencent.liteav.basic.d.d();
                this.y = dVar2;
                dVar2.a(this.c.f(), this.v);
            }
        } else {
            com.tencent.liteav.basic.d.d dVar3 = this.y;
            if (dVar3 != null) {
                dVar3.a();
                this.y = null;
            }
        }
        com.tencent.liteav.basic.d.d dVar4 = this.y;
        if (dVar4 != null) {
            dVar4.a(bVar.a, bVar.i, this.z, this.w, this.x, bVar.e, bVar.f, z2);
        }
    }

    private void c(b bVar) {
        g gVar;
        final WeakReference<q> weakReference = this.I;
        if (weakReference != null) {
            if (this.G == 3) {
                q qVar = weakReference.get();
                if (qVar != null) {
                    TXSVideoFrame tXSVideoFrame = new TXSVideoFrame();
                    tXSVideoFrame.width = bVar.e;
                    tXSVideoFrame.height = bVar.f;
                    tXSVideoFrame.textureId = bVar.a;
                    m mVar = this.c;
                    if (mVar != null) {
                        tXSVideoFrame.egl10Context = mVar.f();
                    } else if (this.g.glContext != null) {
                        if (this.g.glContext instanceof EGLContext) {
                            tXSVideoFrame.egl10Context = (EGLContext) this.g.glContext;
                        } else if (Build.VERSION.SDK_INT >= 17 && (this.g.glContext instanceof android.opengl.EGLContext)) {
                            tXSVideoFrame.egl14Context = (android.opengl.EGLContext) this.g.glContext;
                        }
                    }
                    tXSVideoFrame.pts = TXCTimeUtil.getTimeTick();
                    qVar.onRenderVideoFrame(getID(), this.B, tXSVideoFrame);
                    return;
                }
                return;
            }
            if (this.K == null) {
                o oVar = new o(1);
                this.K = oVar;
                oVar.a(true);
                if (this.K.a()) {
                    this.K.a(bVar.e, bVar.f);
                    this.K.a(new g.a() {
                        /* class com.tencent.liteav.c.AnonymousClass8 */

                        @Override // com.tencent.liteav.basic.d.g.a
                        public void a(int i) {
                            g gVar = c.this.K;
                            if (gVar != null) {
                                TXSVideoFrame tXSVideoFrame = new TXSVideoFrame();
                                tXSVideoFrame.width = gVar.n();
                                tXSVideoFrame.height = gVar.o();
                                tXSVideoFrame.pts = TXCTimeUtil.getTimeTick();
                                if (c.this.G == 2) {
                                    if (c.this.H == null || c.this.H.length != ((tXSVideoFrame.width * tXSVideoFrame.height) * 3) / 2) {
                                        c.this.H = new byte[(((tXSVideoFrame.width * tXSVideoFrame.height) * 3) / 2)];
                                    }
                                    tXSVideoFrame.loadI420BufferFromGL(c.this.H);
                                    tXSVideoFrame.data = c.this.H;
                                } else {
                                    tXSVideoFrame.loadI420BufferFromGL();
                                }
                                q qVar = (q) weakReference.get();
                                if (qVar != null) {
                                    qVar.onRenderVideoFrame(c.this.getID(), c.this.B, tXSVideoFrame);
                                }
                            }
                        }
                    });
                } else {
                    TXCLog.i(b, "throwVideoFrame->release mVideoFrameFilter");
                    this.K = null;
                }
                if (this.L == null) {
                    g gVar2 = new g();
                    this.L = gVar2;
                    gVar2.a();
                    this.L.a(true);
                    this.L.a(bVar.e, bVar.f);
                    this.L.g();
                }
            }
            if (this.K != null) {
                GLES20.glViewport(0, 0, bVar.e, bVar.f);
                this.K.a(bVar.e, bVar.f);
                int i2 = bVar.a;
                if (bVar.i && (gVar = this.L) != null) {
                    gVar.a(bVar.e, bVar.f);
                    i2 = this.L.b(bVar.a);
                }
                this.K.b(i2);
            }
        }
    }

    public void a(float f2, float f3) {
        if (this.c != null && this.m.E) {
            this.c.a(f2, f3);
        }
    }
}
