package com.tencent.liteav.capturer;

import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.SurfaceTexture;
import android.hardware.Camera;
import android.os.Build;
import com.amap.api.maps.utils.SpatialRelationUtil;
import com.autonavi.amap.mapcore.tools.GlMapUtil;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.liteav.basic.e.b;
import com.tencent.liteav.basic.log.TXCLog;
import com.uc.crashsdk.export.LogType;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;

/* compiled from: TXCCameraCapturer */
public class a implements Camera.AutoFocusCallback, Camera.ErrorCallback, Camera.PreviewCallback {
    private static final String c = a.class.getSimpleName();
    private Matrix a = new Matrix();
    private int b = 0;
    private Camera d;
    private boolean e = true;
    private b f;
    private int g = 15;
    private int h;
    private int i = 1;
    private int j;
    private int k;
    private int l;
    private int m;
    private SurfaceTexture n;
    private boolean o;
    private boolean p;
    private boolean q;
    private boolean r = false;
    private int s;
    private int t;
    private boolean u = false;

    public void a(b bVar) {
        this.f = bVar;
    }

    public void a(SurfaceTexture surfaceTexture) {
        this.n = surfaceTexture;
    }

    public boolean a(boolean z) {
        this.q = z;
        Camera camera = this.d;
        if (camera == null) {
            return false;
        }
        boolean z2 = true;
        Camera.Parameters parameters = camera.getParameters();
        List<String> supportedFlashModes = parameters.getSupportedFlashModes();
        if (z) {
            if (supportedFlashModes == null || !supportedFlashModes.contains("torch")) {
                z2 = false;
            } else {
                TXCLog.i(c, "set FLASH_MODE_TORCH");
                parameters.setFlashMode("torch");
            }
        } else if (supportedFlashModes == null || !supportedFlashModes.contains("off")) {
            z2 = false;
        } else {
            TXCLog.i(c, "set FLASH_MODE_OFF");
            parameters.setFlashMode("off");
        }
        try {
            this.d.setParameters(parameters);
            return z2;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public void a(int i2) {
        this.h = i2;
    }

    public void b(int i2) {
        this.g = i2;
    }

    public void a(float f2, float f3) {
        if (this.u) {
            try {
                this.d.cancelAutoFocus();
                Camera.Parameters parameters = this.d.getParameters();
                if (this.o) {
                    ArrayList arrayList = new ArrayList();
                    arrayList.add(new Camera.Area(a(f2, f3, 2.0f), 1000));
                    parameters.setFocusAreas(arrayList);
                }
                if (this.p) {
                    ArrayList arrayList2 = new ArrayList();
                    arrayList2.add(new Camera.Area(a(f2, f3, 3.0f), 1000));
                    parameters.setMeteringAreas(arrayList2);
                }
                try {
                    this.d.setParameters(parameters);
                    this.d.autoFocus(this);
                } catch (Exception e2) {
                }
            } catch (Exception e3) {
            }
        }
    }

    public void b(boolean z) {
        this.u = z;
    }

    private Rect a(float f2, float f3, float f4) {
        float f5 = f4 * 200.0f;
        if (this.e) {
            f2 = 1.0f - f2;
        }
        int i2 = 0;
        while (i2 < this.l / 90) {
            float f6 = (-(-(f3 - 0.5f))) + 0.5f;
            i2++;
            f3 = (-(f2 - 0.5f)) + 0.5f;
            f2 = f6;
        }
        int i3 = (int) ((f2 * 2000.0f) - 1000.0f);
        int i4 = (int) ((f3 * 2000.0f) - 1000.0f);
        if (i3 < -1000) {
            i3 = -1000;
        }
        if (i4 < -1000) {
            i4 = -1000;
        }
        int i5 = (int) f5;
        int i6 = i3 + i5;
        int i7 = i5 + i4;
        if (i6 > 1000) {
            i6 = 1000;
        }
        if (i7 > 1000) {
            i7 = 1000;
        }
        return new Rect(i3, i4, i6, i7);
    }

    public int a() {
        Camera camera = this.d;
        if (camera != null) {
            Camera.Parameters parameters = camera.getParameters();
            if (parameters.getMaxZoom() > 0 && parameters.isZoomSupported()) {
                return parameters.getMaxZoom();
            }
        }
        return 0;
    }

    public boolean c(int i2) {
        Camera camera = this.d;
        if (camera == null) {
            return false;
        }
        Camera.Parameters parameters = camera.getParameters();
        if (parameters.getMaxZoom() <= 0 || !parameters.isZoomSupported()) {
            TXCLog.e(c, "camera not support zoom!");
            return false;
        } else if (i2 < 0 || i2 > parameters.getMaxZoom()) {
            String str = c;
            TXCLog.e(str, "invalid zoom value : " + i2 + ", while max zoom is " + parameters.getMaxZoom());
            return false;
        } else {
            try {
                parameters.setZoom(i2);
                this.d.setParameters(parameters);
                return true;
            } catch (Exception e2) {
                e2.printStackTrace();
                return false;
            }
        }
    }

    public void a(boolean z, int i2, int i3) {
        this.r = z;
        this.s = i2;
        this.t = i3;
    }

    public void a(float f2) {
        if (this.d != null) {
            if (f2 > 1.0f) {
                f2 = 1.0f;
            }
            if (f2 < -1.0f) {
                f2 = -1.0f;
            }
            Camera.Parameters parameters = this.d.getParameters();
            int minExposureCompensation = parameters.getMinExposureCompensation();
            int maxExposureCompensation = parameters.getMaxExposureCompensation();
            if (minExposureCompensation == 0 || maxExposureCompensation == 0) {
                TXCLog.e(c, "camera not support setExposureCompensation!");
            } else {
                int d2 = b.a().d();
                float f3 = (float) maxExposureCompensation;
                float f4 = f2 * f3;
                if (d2 != 0 && d2 <= maxExposureCompensation && d2 >= minExposureCompensation) {
                    String str = c;
                    TXCLog.d(str, "camera setExposureCompensation: " + d2);
                    parameters.setExposureCompensation(d2);
                } else if (f4 <= f3 && f4 >= ((float) minExposureCompensation)) {
                    String str2 = c;
                    TXCLog.d(str2, "camera setExposureCompensation: " + f4);
                    parameters.setExposureCompensation((int) f4);
                }
            }
            try {
                this.d.setParameters(parameters);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void d(int i2) {
        this.i = i2;
        this.l = (((this.m - 90) + (i2 * 90)) + SpatialRelationUtil.A_CIRCLE_DEGREE) % SpatialRelationUtil.A_CIRCLE_DEGREE;
    }

    public int c(boolean z) {
        try {
            TXCLog.d(c, "trtc_capture: start capture");
            if (this.n == null) {
                return -2;
            }
            if (this.d != null) {
                b();
            }
            Camera.CameraInfo cameraInfo = new Camera.CameraInfo();
            int i2 = -1;
            int i3 = -1;
            for (int i4 = 0; i4 < Camera.getNumberOfCameras(); i4++) {
                Camera.getCameraInfo(i4, cameraInfo);
                String str = c;
                TXCLog.i(str, "camera index " + i4 + ", facing = " + cameraInfo.facing);
                if (cameraInfo.facing == 1) {
                    i2 = i4;
                }
                if (cameraInfo.facing == 0) {
                    i3 = i4;
                }
            }
            String str2 = c;
            TXCLog.i(str2, "camera front, id = " + i2);
            String str3 = c;
            TXCLog.i(str3, "camera back , id = " + i3);
            if (i2 == -1 && i3 != -1) {
                i2 = i3;
            }
            if (i3 == -1 && i2 != -1) {
                i3 = i2;
            }
            this.e = z;
            if (z) {
                this.d = Camera.open(i2);
            } else {
                this.d = Camera.open(i3);
            }
            Camera.Parameters parameters = this.d.getParameters();
            List<String> supportedFocusModes = parameters.getSupportedFocusModes();
            if (this.u && supportedFocusModes != null && supportedFocusModes.contains("auto")) {
                TXCLog.i(c, "support FOCUS_MODE_AUTO");
                parameters.setFocusMode("auto");
            } else if (supportedFocusModes != null && supportedFocusModes.contains("continuous-video")) {
                TXCLog.i(c, "support FOCUS_MODE_CONTINUOUS_VIDEO");
                parameters.setFocusMode("continuous-video");
            }
            if (Build.VERSION.SDK_INT >= 14) {
                if (parameters.getMaxNumFocusAreas() > 0) {
                    this.o = true;
                }
                if (parameters.getMaxNumMeteringAreas() > 0) {
                    this.p = true;
                }
            }
            if (this.r) {
                parameters.setPreviewFormat(17);
                this.d.setPreviewCallback(this);
                a(parameters);
            } else {
                b(parameters);
            }
            parameters.setPreviewSize(this.j, this.k);
            int[] g2 = g(this.g);
            if (g2 != null) {
                parameters.setPreviewFpsRange(g2[0], g2[1]);
            } else {
                parameters.setPreviewFrameRate(f(this.g));
            }
            if (!this.e) {
                i2 = i3;
            }
            int h2 = h(i2);
            this.m = h2;
            this.l = (((h2 - 90) + (this.i * 90)) + SpatialRelationUtil.A_CIRCLE_DEGREE) % SpatialRelationUtil.A_CIRCLE_DEGREE;
            this.d.setDisplayOrientation(0);
            String str4 = c;
            TXCLog.d(str4, "camera orientation " + this.m + ", preview " + this.l + ", home orientation " + this.i);
            this.d.setPreviewTexture(this.n);
            this.d.setParameters(parameters);
            this.d.setErrorCallback(this);
            this.d.startPreview();
            return 0;
        } catch (IOException e2) {
            e2.printStackTrace();
            return -1;
        } catch (Exception e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    public void onPreviewFrame(byte[] bArr, Camera camera) {
        b bVar = this.f;
        if (bVar != null) {
            bVar.a(bArr);
        }
    }

    public void b() {
        Camera camera = this.d;
        if (camera != null) {
            try {
                camera.setErrorCallback(null);
                this.d.setPreviewCallback(null);
                this.d.stopPreview();
                this.d.release();
            } catch (Exception e2) {
                e2.printStackTrace();
            } catch (Throwable th) {
                this.d = null;
                this.n = null;
                throw th;
            }
            this.d = null;
            this.n = null;
        }
    }

    public int c() {
        return this.l;
    }

    public boolean d() {
        return this.e;
    }

    public int e() {
        return this.j;
    }

    public int f() {
        return this.k;
    }

    public Camera g() {
        return this.d;
    }

    private void a(Camera.Parameters parameters) {
        List<Camera.Size> supportedPreviewSizes = parameters.getSupportedPreviewSizes();
        String str = "\n";
        if (supportedPreviewSizes != null) {
            for (int i2 = 0; i2 < supportedPreviewSizes.size(); i2++) {
                Camera.Size size = supportedPreviewSizes.get(i2);
                str = str + String.format("camera preview supported size %d x %d\n", Integer.valueOf(size.width), Integer.valueOf(size.height));
            }
        }
        TXCLog.i(c, str);
        TXCLog.w(c, "camera preview wanted:" + this.s + "*" + this.t);
        this.j = supportedPreviewSizes.get(0).width;
        this.k = supportedPreviewSizes.get(0).height;
        int i3 = this.s;
        int i4 = this.t;
        if (i3 < i4) {
            i3 = i4;
        }
        int i5 = this.s;
        int i6 = this.t;
        if (i5 >= i6) {
            i5 = i6;
        }
        int size2 = supportedPreviewSizes.size() - 1;
        while (true) {
            if (size2 < 0) {
                break;
            }
            Camera.Size size3 = supportedPreviewSizes.get(size2);
            if (size3.width >= i3 && size3.width >= 640 && size3.height >= i5 && size3.height >= 480) {
                this.j = size3.width;
                this.k = size3.height;
                break;
            }
            size2--;
        }
        TXCLog.w(c, "camera preview GOT:" + this.j + "*" + this.k);
    }

    private void b(Camera.Parameters parameters) {
        List<Camera.Size> supportedPreviewSizes = parameters.getSupportedPreviewSizes();
        String str = "\n";
        if (supportedPreviewSizes != null) {
            for (int i2 = 0; i2 < supportedPreviewSizes.size(); i2++) {
                Camera.Size size = supportedPreviewSizes.get(i2);
                str = str + String.format("camera preview supported size %d x %d\n", Integer.valueOf(size.width), Integer.valueOf(size.height));
            }
        }
        TXCLog.i(c, str);
        C0101a e2 = e(this.h);
        if (e2 == null) {
            this.d.release();
            this.d = null;
            TXCLog.d(c, "camera preview 不支持的视频分辨率 " + this.h);
            return;
        }
        this.j = e2.a;
        this.k = e2.b;
        TXCLog.w(c, "camera preview GOT:" + this.j + "*" + this.k);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private C0101a e(int i2) {
        List<Camera.Size> supportedPreviewSizes = this.d.getParameters().getSupportedPreviewSizes();
        ArrayList arrayList = new ArrayList();
        switch (i2) {
            case 1:
            case 2:
            case 4:
                arrayList.add(new C0101a(640, SpatialRelationUtil.A_CIRCLE_DEGREE));
                arrayList.add(new C0101a(LogType.UNEXP_OTHER, 432));
                arrayList.add(new C0101a(640, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 544));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 540));
                arrayList.add(new C0101a(800, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 720));
                arrayList.add(new C0101a(LogType.UNEXP_ANR, 720));
                break;
            case 3:
                arrayList.add(new C0101a(GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH, 320));
                arrayList.add(new C0101a(640, SpatialRelationUtil.A_CIRCLE_DEGREE));
                arrayList.add(new C0101a(640, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(LogType.UNEXP_OTHER, 432));
                break;
            case 5:
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 544));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 540));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 720));
                arrayList.add(new C0101a(LogType.UNEXP_ANR, 720));
                arrayList.add(new C0101a(800, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(640, SpatialRelationUtil.A_CIRCLE_DEGREE));
                arrayList.add(new C0101a(640, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                break;
            case 6:
                arrayList.add(new C0101a(LogType.UNEXP_ANR, 720));
                arrayList.add(new C0101a(1920, 1088));
                arrayList.add(new C0101a(1920, 1080));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 544));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 540));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 720));
                arrayList.add(new C0101a(800, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(640, SpatialRelationUtil.A_CIRCLE_DEGREE));
                arrayList.add(new C0101a(640, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH, 320));
                arrayList.add(new C0101a(640, SpatialRelationUtil.A_CIRCLE_DEGREE));
                arrayList.add(new C0101a(640, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(LogType.UNEXP_OTHER, 432));
                break;
            case 7:
                arrayList.add(new C0101a(1920, 1088));
                arrayList.add(new C0101a(1920, 1080));
                arrayList.add(new C0101a(LogType.UNEXP_ANR, 720));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 544));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 540));
                arrayList.add(new C0101a(TXEAudioDef.TXE_OPUS_SAMPLE_NUM, 720));
                arrayList.add(new C0101a(800, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                arrayList.add(new C0101a(LogType.UNEXP_OTHER, 432));
                arrayList.add(new C0101a(640, SpatialRelationUtil.A_CIRCLE_DEGREE));
                arrayList.add(new C0101a(640, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH));
                break;
        }
        for (int i3 = 0; i3 < arrayList.size(); i3++) {
            C0101a aVar = (C0101a) arrayList.get(i3);
            for (int i4 = 0; i4 < supportedPreviewSizes.size(); i4++) {
                Camera.Size size = supportedPreviewSizes.get(i4);
                if (size.width == aVar.a && size.height == aVar.b) {
                    String str = c;
                    TXCLog.w(str, "wanted:" + aVar.a + "*" + aVar.b);
                    return aVar;
                }
            }
        }
        return null;
    }

    public void onAutoFocus(boolean z, Camera camera) {
        if (z) {
            TXCLog.i(c, "AUTO focus success");
        } else {
            TXCLog.i(c, "AUTO focus failed");
        }
    }

    public void onError(int i2, Camera camera) {
        b bVar;
        String str = c;
        TXCLog.w(str, "camera catch error " + i2);
        if (!this.r) {
            return;
        }
        if ((i2 == 1 || i2 == 2 || i2 == 100) && (bVar = this.f) != null) {
            bVar.h();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.tencent.liteav.capturer.a$a  reason: collision with other inner class name */
    /* compiled from: TXCCameraCapturer */
    public class C0101a {
        public int a = LogType.UNEXP_ANR;
        public int b = 720;

        C0101a(int i, int i2) {
            this.a = i;
            this.b = i2;
        }
    }

    private int f(int i2) {
        List<Integer> supportedPreviewFrameRates = this.d.getParameters().getSupportedPreviewFrameRates();
        if (supportedPreviewFrameRates == null) {
            TXCLog.e(c, "getSupportedFPS error");
            return 1;
        }
        int intValue = supportedPreviewFrameRates.get(0).intValue();
        for (int i3 = 0; i3 < supportedPreviewFrameRates.size(); i3++) {
            int intValue2 = supportedPreviewFrameRates.get(i3).intValue();
            if (Math.abs(intValue2 - i2) - Math.abs(intValue - i2) < 0) {
                intValue = intValue2;
            }
        }
        String str = c;
        TXCLog.i(str, "choose fpts=" + intValue);
        return intValue;
    }

    private int[] g(int i2) {
        int i3 = i2 * 1000;
        String str = "camera supported preview fps range: wantFPS = " + i3 + "\n";
        List<int[]> supportedPreviewFpsRange = this.d.getParameters().getSupportedPreviewFpsRange();
        if (supportedPreviewFpsRange == null || supportedPreviewFpsRange.size() <= 0) {
            return null;
        }
        int[] iArr = supportedPreviewFpsRange.get(0);
        Collections.sort(supportedPreviewFpsRange, new Comparator<int[]>() {
            /* class com.tencent.liteav.capturer.a.AnonymousClass1 */

            /* renamed from: a */
            public int compare(int[] iArr, int[] iArr2) {
                return iArr[1] - iArr2[1];
            }
        });
        for (int[] iArr2 : supportedPreviewFpsRange) {
            str = str + "camera supported preview fps range: " + iArr2[0] + " - " + iArr2[1] + "\n";
        }
        Iterator<int[]> it = supportedPreviewFpsRange.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            int[] next = it.next();
            if (next[0] <= i3 && i3 <= next[1]) {
                iArr = next;
                break;
            }
        }
        TXCLog.i(c, str + "choose preview fps range: " + iArr[0] + " - " + iArr[1]);
        return iArr;
    }

    private int h(int i2) {
        Camera.CameraInfo cameraInfo = new Camera.CameraInfo();
        Camera.getCameraInfo(i2, cameraInfo);
        String str = c;
        TXCLog.d(str, "camera orientation " + cameraInfo.orientation);
        if (cameraInfo.facing == 1) {
            return (360 - cameraInfo.orientation) % SpatialRelationUtil.A_CIRCLE_DEGREE;
        }
        return (cameraInfo.orientation + SpatialRelationUtil.A_CIRCLE_DEGREE) % SpatialRelationUtil.A_CIRCLE_DEGREE;
    }
}
