package com.tencent.liteav;

import android.content.Context;
import android.graphics.SurfaceTexture;
import android.opengl.Matrix;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.Surface;
import android.view.TextureView;
import com.autonavi.amap.mapcore.tools.GlMapUtil;
import com.tencent.liteav.TXCRenderAndDec;
import com.tencent.liteav.b.a;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCStatus;
import com.tencent.liteav.basic.structs.TXSNALPacket;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.b;
import com.tencent.liteav.network.TXCStreamDownloader;
import com.tencent.liteav.network.h;
import com.tencent.liteav.renderer.a;
import com.tencent.liteav.renderer.g;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.rtmp.TXLivePlayer;
import com.tencent.rtmp.ui.TXCloudVideoView;
import com.tencent.ugc.TXRecordCommon;
import io.dcloud.common.DHInterface.IFeature;
import master.flame.danmaku.BuildConfig;

/* compiled from: TXCLivePlayer */
public class e extends p implements TXCRenderAndDec.a, a, h, a.AbstractC0102a, g {
    private TXLivePlayer.ITXAudioRawDataListener A;
    private String B = "";
    private boolean C = false;
    private long D = 0;
    private long E = 0;
    private boolean F = false;
    private TXCRenderAndDec a = null;
    private com.tencent.liteav.renderer.a f = null;
    private TXCStreamDownloader g = null;
    private Handler h = new Handler(Looper.getMainLooper());
    private TextureView i;
    private boolean j = false;
    private boolean k = false;
    private int l = 0;
    private int m = 0;
    private int n = 16;
    private boolean o = false;
    private com.tencent.liteav.b.a p;
    private TXRecordCommon.ITXVideoRecordListener q;
    private d r;
    private int s = 0;
    private int t = 0;
    private com.tencent.liteav.renderer.h u = null;
    private com.tencent.liteav.renderer.h v = null;
    private float[] w = {1.0f, 0.0f, 0.0f, 0.0f, 0.0f, -1.0f, 0.0f, 0.0f, 0.0f, 0.0f, 1.0f, 0.0f, 0.0f, 1.0f, 0.0f, 1.0f};
    private float[] x = new float[16];
    private String y = "";
    private int z;

    public e(Context context) {
        super(context);
        com.tencent.liteav.renderer.a aVar = new com.tencent.liteav.renderer.a();
        this.f = aVar;
        aVar.a((com.tencent.liteav.basic.c.a) this);
    }

    @Override // com.tencent.liteav.p
    public void a(TXCloudVideoView tXCloudVideoView) {
        TextureView videoView;
        if (!(this.d == null || this.d == tXCloudVideoView || (videoView = this.d.getVideoView()) == null)) {
            this.d.removeView(videoView);
        }
        super.a(tXCloudVideoView);
        if (this.d != null) {
            TextureView videoView2 = this.d.getVideoView();
            this.i = videoView2;
            if (videoView2 == null) {
                this.i = new TextureView(this.d.getContext());
            }
            this.d.addVideoView(this.i);
        }
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.a(this.i);
        }
    }

    @Override // com.tencent.liteav.p
    public void a(Surface surface) {
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.a(surface);
        }
    }

    @Override // com.tencent.liteav.p
    public void a(int i2, int i3) {
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.c(i2, i3);
        }
    }

    @Override // com.tencent.liteav.p
    public void a(g gVar) {
        super.a(gVar);
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setConfig(gVar);
        }
    }

    @Override // com.tencent.liteav.p
    public int a(String str, int i2) {
        if (c()) {
            TXCLog.w("TXCLivePlayer", "play: ignore start play when is playing");
            return -2;
        }
        this.y = str;
        this.z = i2;
        b(str);
        this.k = true;
        e(i2);
        int b = b(str, i2);
        if (b != 0) {
            this.k = false;
            l();
            k();
            TextureView textureView = this.i;
            if (textureView != null) {
                textureView.setVisibility(8);
            }
        } else {
            m();
            r();
            TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.bq);
            try {
                if (Class.forName("com.tencent.liteav.demo.play.SuperPlayerView") != null) {
                    TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.bB);
                }
            } catch (Exception e) {
            }
        }
        return b;
    }

    @Override // com.tencent.liteav.p
    public int a(boolean z2) {
        if (!c()) {
            TXCLog.w("TXCLivePlayer", "play: ignore stop play when not started");
            return -2;
        }
        TXCLog.v("TXCLivePlayer", "play: stop");
        this.k = false;
        l();
        k();
        TextureView textureView = this.i;
        if (textureView != null && z2) {
            textureView.setVisibility(8);
        }
        n();
        s();
        o();
        return 0;
    }

    @Override // com.tencent.liteav.p
    public int a(String str) {
        TXCStreamDownloader tXCStreamDownloader;
        if (!c() || (tXCStreamDownloader = this.g) == null) {
            return -1;
        }
        boolean switchStream = tXCStreamDownloader.switchStream(str);
        if (this.a != null) {
            TXCLog.w("TXCLivePlayer", " stream_switch video cache " + this.a.getVideoCacheDuration() + " audio cache " + this.a.getAudioCacheDuration());
        }
        if (!switchStream) {
            return -2;
        }
        this.y = str;
        return 0;
    }

    @Override // com.tencent.liteav.p
    public void a() {
        a(false);
    }

    @Override // com.tencent.liteav.p
    public void b() {
        a(this.y, this.z);
    }

    @Override // com.tencent.liteav.p
    public boolean c() {
        return this.k;
    }

    @Override // com.tencent.liteav.p
    public void a(int i2) {
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setRenderMode(i2);
        }
    }

    @Override // com.tencent.liteav.p
    public void b(int i2) {
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setRenderRotation(i2);
        }
    }

    @Override // com.tencent.liteav.p
    public void b(boolean z2) {
        this.j = z2;
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setMute(z2);
        }
    }

    @Override // com.tencent.liteav.p
    public void a(Context context, int i2) {
        TXCRenderAndDec.setAudioMode(context, i2);
    }

    @Override // com.tencent.liteav.p
    public void a(TXRecordCommon.ITXVideoRecordListener iTXVideoRecordListener) {
        this.q = iTXVideoRecordListener;
    }

    @Override // com.tencent.liteav.p
    public int c(int i2) {
        if (this.o) {
            TXCLog.e("TXCLivePlayer", "startRecord: there is existing uncompleted record task");
            return -1;
        }
        this.o = true;
        this.f.a((g) this);
        this.f.a((a.AbstractC0102a) this);
        TXCDRApi.txReportDAU(this.c, com.tencent.liteav.basic.datareport.a.av);
        return 0;
    }

    @Override // com.tencent.liteav.p
    public TextureView d() {
        return this.i;
    }

    @Override // com.tencent.liteav.p
    public void a(TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener) {
        this.A = iTXAudioRawDataListener;
    }

    @Override // com.tencent.liteav.p
    public int e() {
        if (!this.o) {
            TXCLog.w("TXCLivePlayer", "stopRecord: no recording task exist");
            return -1;
        }
        this.o = false;
        com.tencent.liteav.b.a aVar = this.p;
        if (aVar != null) {
            aVar.a();
            this.p = null;
        }
        return 0;
    }

    @Override // com.tencent.liteav.p
    public void a(q qVar) {
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setVideoFrameListener(qVar);
        } else {
            TXCLog.w("TXCLivePlayer", "setVideoFrameListener->enter with renderAndDec is empty");
        }
    }

    @Override // com.tencent.liteav.p
    public boolean f() {
        return true;
    }

    private void h() {
        if (this.p == null) {
            this.s = this.f.m();
            this.t = this.f.n();
            a.C0098a j2 = j();
            com.tencent.liteav.b.a aVar = new com.tencent.liteav.b.a(this.c);
            this.p = aVar;
            aVar.a(j2);
            this.p.a(new a.b() {
                /* class com.tencent.liteav.e.AnonymousClass1 */

                @Override // com.tencent.liteav.b.a.b
                public void a(int i, String str, String str2, String str3) {
                    if (e.this.q != null) {
                        TXRecordCommon.TXRecordResult tXRecordResult = new TXRecordCommon.TXRecordResult();
                        if (i == 0) {
                            tXRecordResult.retCode = 0;
                        } else {
                            tXRecordResult.retCode = -1;
                        }
                        tXRecordResult.descMsg = str;
                        tXRecordResult.videoPath = str2;
                        tXRecordResult.coverPath = str3;
                        e.this.q.onRecordComplete(tXRecordResult);
                    }
                    e.this.f.a((g) null);
                    e.this.f.a((a.AbstractC0102a) null);
                }

                @Override // com.tencent.liteav.b.a.b
                public void a(long j) {
                    if (e.this.q != null) {
                        e.this.q.onRecordProgress(j);
                    }
                }
            });
        }
        if (this.u == null) {
            com.tencent.liteav.renderer.h hVar = new com.tencent.liteav.renderer.h(true);
            this.u = hVar;
            hVar.b();
            this.u.b(this.s, this.t);
            this.u.a(this.s, this.t);
        }
        if (this.v == null) {
            com.tencent.liteav.renderer.h hVar2 = new com.tencent.liteav.renderer.h(false);
            this.v = hVar2;
            hVar2.b();
            this.v.b(this.f.k(), this.f.l());
            this.v.a(this.f.k(), this.f.l());
            Matrix.setIdentityM(this.x, 0);
        }
    }

    private void i() {
        com.tencent.liteav.renderer.h hVar = this.u;
        if (hVar != null) {
            hVar.c();
            this.u = null;
        }
        com.tencent.liteav.renderer.h hVar2 = this.v;
        if (hVar2 != null) {
            hVar2.c();
            this.v = null;
        }
    }

    private a.C0098a j() {
        int i2;
        int i3 = this.s;
        if (i3 <= 0 || (i2 = this.t) <= 0) {
            i3 = GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH;
            i2 = 640;
        }
        a.C0098a aVar = new a.C0098a();
        aVar.a = i3;
        aVar.b = i2;
        aVar.c = 20;
        aVar.d = (int) (Math.sqrt((((double) (i3 * i3)) * 1.0d) + ((double) (i2 * i2))) * 1.2d);
        aVar.h = this.l;
        aVar.i = this.m;
        aVar.j = this.n;
        aVar.f = com.tencent.liteav.b.a.a(this.c, ".mp4");
        aVar.g = com.tencent.liteav.b.a.a(this.c, ".jpg");
        aVar.e = this.f.b();
        TXCLog.d("TXCLivePlayer", "record config: " + aVar);
        return aVar;
    }

    private void e(int i2) {
        TextureView textureView = this.i;
        boolean z2 = false;
        if (textureView != null) {
            textureView.setVisibility(0);
        }
        TXCRenderAndDec tXCRenderAndDec = new TXCRenderAndDec(this.c);
        this.a = tXCRenderAndDec;
        tXCRenderAndDec.setNotifyListener(this);
        this.a.setVideoRender(this.f);
        this.a.setDecListener(this);
        this.a.setConfig(this.b);
        this.a.setID(this.B);
        if (i2 == 0) {
            this.a.setStreamFormat(2);
        } else if (i2 == 5) {
            this.a.setStreamFormat(5);
        } else {
            this.a.setStreamFormat(1);
        }
        TXCRenderAndDec tXCRenderAndDec2 = this.a;
        if (i2 == 5) {
            z2 = true;
        }
        tXCRenderAndDec2.start(z2);
        this.a.setMute(this.j);
    }

    private void k() {
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.stop();
            this.a.setVideoRender(null);
            this.a.setDecListener(null);
            this.a.setNotifyListener(null);
            this.a = null;
        }
    }

    private int b(String str, int i2) {
        boolean z2 = false;
        if (i2 == 0) {
            this.g = new TXCStreamDownloader(this.c, 1);
        } else if (i2 == 5) {
            this.g = new TXCStreamDownloader(this.c, 4);
        } else {
            this.g = new TXCStreamDownloader(this.c, 0);
        }
        this.g.setID(this.B);
        this.g.setListener(this);
        this.g.setNotifyListener(this);
        this.g.setHeaders(this.b.p);
        if (i2 == 5) {
            z2 = true;
        }
        if (z2) {
            this.g.setRetryTimes(5);
            this.g.setRetryInterval(1);
        } else {
            this.g.setRetryTimes(this.b.e);
            this.g.setRetryInterval(this.b.f);
        }
        return this.g.start(str, this.b.j, this.b.l, this.b.k);
    }

    private void l() {
        TXCStreamDownloader tXCStreamDownloader = this.g;
        if (tXCStreamDownloader != null) {
            tXCStreamDownloader.setListener(null);
            this.g.setNotifyListener(null);
            this.g.stop();
            this.g = null;
        }
    }

    private void m() {
        d dVar = new d(this.c);
        this.r = dVar;
        dVar.a(this.y);
        this.r.a(this.z == 5);
        this.r.d(this.B);
        this.r.a();
    }

    private void n() {
        d dVar = this.r;
        if (dVar != null) {
            dVar.c();
            this.r = null;
        }
    }

    private void b(String str) {
        String format = String.format("%s-%d", str, Long.valueOf(TXCTimeUtil.getTimeTick() % 10000));
        this.B = format;
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            tXCRenderAndDec.setID(format);
        }
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            aVar.setID(this.B);
        }
        TXCStreamDownloader tXCStreamDownloader = this.g;
        if (tXCStreamDownloader != null) {
            tXCStreamDownloader.setID(this.B);
        }
        d dVar = this.r;
        if (dVar != null) {
            dVar.d(this.B);
        }
    }

    @Override // com.tencent.liteav.p
    public void g() {
        this.E = 0;
        if (!this.C) {
            this.C = true;
            Handler handler = this.h;
            if (handler != null) {
                handler.postDelayed(new Runnable() {
                    /* class com.tencent.liteav.e.AnonymousClass2 */

                    public void run() {
                        if (e.this.C) {
                            e.this.q();
                        }
                    }
                }, 1000);
            }
        }
    }

    private void o() {
        this.C = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void q() {
        if (this.D > 0) {
            Bundle bundle = new Bundle();
            bundle.putInt(TXLiveConstants.EVT_PLAY_PROGRESS, (int) (this.D / 1000));
            bundle.putInt(TXLiveConstants.EVT_PLAY_PROGRESS_MS, (int) this.D);
            onNotifyEvent(2005, bundle);
        }
        Handler handler = this.h;
        if (handler != null && this.C) {
            handler.postDelayed(new Runnable() {
                /* class com.tencent.liteav.e.AnonymousClass3 */

                public void run() {
                    if (e.this.C) {
                        e.this.q();
                    }
                }
            }, 1000);
        }
    }

    private void r() {
        this.F = true;
        Handler handler = this.h;
        if (handler != null) {
            handler.postDelayed(new Runnable() {
                /* class com.tencent.liteav.e.AnonymousClass4 */

                public void run() {
                    if (e.this.F) {
                        e.this.t();
                    }
                }
            }, 2000);
        }
    }

    private void s() {
        this.F = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t() {
        int[] a2 = b.a();
        String str = (a2[0] / 10) + "/" + (a2[1] / 10) + "%";
        int c = TXCStatus.c(this.B, 7102);
        int c2 = TXCStatus.c(this.B, 7101);
        String b = TXCStatus.b(this.B, 7110);
        int d = (int) TXCStatus.d(this.B, BuildConfig.VERSION_CODE);
        Bundle bundle = new Bundle();
        com.tencent.liteav.renderer.a aVar = this.f;
        if (aVar != null) {
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_WIDTH, aVar.m());
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_HEIGHT, this.f.n());
        }
        TXCRenderAndDec tXCRenderAndDec = this.a;
        if (tXCRenderAndDec != null) {
            bundle.putInt(TXLiveConstants.NET_STATUS_CACHE_SIZE, (int) tXCRenderAndDec.getVideoCacheDuration());
            bundle.putInt(TXLiveConstants.NET_STATUS_CODEC_CACHE, (int) this.a.getAudioCacheDuration());
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_CACHE_SIZE, (int) this.a.getVideoCacheFrameCount());
            bundle.putInt(TXLiveConstants.NET_STATUS_V_DEC_CACHE_SIZE, this.a.getVideoDecCacheFrameCount());
            bundle.putInt(TXLiveConstants.NET_STATUS_AV_PLAY_INTERVAL, (int) this.a.getAVPlayInterval());
            bundle.putString(TXLiveConstants.NET_STATUS_AUDIO_INFO, this.a.getAudioInfo());
            bundle.putInt(TXLiveConstants.NET_STATUS_NET_JITTER, this.a.getAudioJitter());
            bundle.putInt(TXLiveConstants.NET_STATUS_AV_RECV_INTERVAL, (int) this.a.getAVNetRecvInterval());
            bundle.putFloat(TXLiveConstants.NET_STATUS_AUDIO_PLAY_SPEED, this.a.getAudioCacheThreshold());
            bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_GOP, (int) (((double) (((float) ((TXCStatus.c(this.B, 7120) * 10) / (d == 0 ? 15 : d))) / 10.0f)) + 0.5d));
        }
        bundle.putInt(TXLiveConstants.NET_STATUS_NET_SPEED, c2 + c);
        bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_FPS, d);
        bundle.putInt(TXLiveConstants.NET_STATUS_VIDEO_BITRATE, c2);
        bundle.putInt(TXLiveConstants.NET_STATUS_AUDIO_BITRATE, c);
        bundle.putCharSequence(TXLiveConstants.NET_STATUS_SERVER_IP, b);
        bundle.putCharSequence(TXLiveConstants.NET_STATUS_CPU_USAGE, str);
        b.a(this.e, 15001, bundle);
        TXCRenderAndDec tXCRenderAndDec2 = this.a;
        if (tXCRenderAndDec2 != null) {
            tXCRenderAndDec2.updateLoadInfo();
        }
        d dVar = this.r;
        if (dVar != null) {
            dVar.f();
        }
        Handler handler = this.h;
        if (handler != null && this.F) {
            handler.postDelayed(new Runnable() {
                /* class com.tencent.liteav.e.AnonymousClass5 */

                public void run() {
                    if (e.this.F) {
                        e.this.t();
                    }
                }
            }, 2000);
        }
    }

    @Override // com.tencent.liteav.network.h
    public void onPullAudio(com.tencent.liteav.basic.structs.a aVar) {
        TXCRenderAndDec tXCRenderAndDec;
        if (this.k && (tXCRenderAndDec = this.a) != null) {
            tXCRenderAndDec.decAudio(aVar);
        }
    }

    @Override // com.tencent.liteav.network.h
    public void onPullNAL(TXSNALPacket tXSNALPacket) {
        if (this.k) {
            try {
                if (this.a != null) {
                    this.a.decVideo(tXSNALPacket);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(final int i2, final Bundle bundle) {
        TXCRenderAndDec tXCRenderAndDec;
        if (-2302 == i2 && (tXCRenderAndDec = this.a) != null) {
            tXCRenderAndDec.setSmoothMode((int) com.tencent.liteav.basic.e.b.a().a(IFeature.F_AUDIO, "SmoothModeAdjust"));
        }
        Handler handler = this.h;
        if (handler != null) {
            handler.post(new Runnable() {
                /* class com.tencent.liteav.e.AnonymousClass6 */

                public void run() {
                    b.a(e.this.e, i2, bundle);
                    if (i2 == 2103 && e.this.a != null) {
                        e.this.a.restartDecoder();
                    }
                }
            });
        }
    }

    @Override // com.tencent.liteav.renderer.g
    public int a(int i2, float[] fArr) {
        com.tencent.liteav.renderer.h hVar;
        com.tencent.liteav.b.a aVar = this.p;
        if (!(!this.o || aVar == null || (hVar = this.u) == null)) {
            int d = hVar.d(i2);
            aVar.a(d, TXCTimeUtil.getTimeTick());
            this.f.a(d, this.s, this.t, false, 0);
        }
        if (this.o) {
            h();
        } else {
            i();
        }
        return i2;
    }

    @Override // com.tencent.liteav.renderer.a.AbstractC0102a
    public void onTextureProcess(int i2, int i3, int i4) {
        com.tencent.liteav.renderer.h hVar;
        com.tencent.liteav.b.a aVar = this.p;
        if (!(!this.o || aVar == null || (hVar = this.v) == null)) {
            hVar.a(this.w);
            aVar.a(this.v.d(i2), TXCTimeUtil.getTimeTick());
            this.v.a(this.x);
            this.v.c(i2);
        }
        if (this.o) {
            h();
        } else {
            i();
        }
    }

    @Override // com.tencent.liteav.TXCRenderAndDec.a
    public void a(SurfaceTexture surfaceTexture) {
        i();
        e();
    }

    @Override // com.tencent.liteav.TXCRenderAndDec.a
    public void a(byte[] bArr, long j2, int i2, int i3) {
        if (this.p != null) {
            if (j2 <= 0) {
                j2 = TXCTimeUtil.getTimeTick();
            }
            this.p.a(bArr, j2);
        }
        TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener = this.A;
        if (iTXAudioRawDataListener != null) {
            iTXAudioRawDataListener.onPcmDataAvailable(bArr, j2);
        }
        long j3 = this.E;
        if (j3 <= 0) {
            this.E = j2;
            com.tencent.liteav.basic.structs.a aVar = new com.tencent.liteav.basic.structs.a();
            aVar.a = i2;
            aVar.b = i3;
            aVar.c = 16;
            a(aVar);
            return;
        }
        this.D = j2 - j3;
    }

    @Override // com.tencent.liteav.TXCRenderAndDec.a
    public void a(com.tencent.liteav.basic.structs.a aVar) {
        TXCLog.d("TXCLivePlayer", "onPlayAudioInfoChanged, samplerate=" + aVar.a + ", channels=" + aVar.b + ", bits=" + aVar.c);
        this.l = aVar.b;
        this.m = aVar.a;
        if (aVar.c > 1) {
            this.n = aVar.c;
        }
        TXLivePlayer.ITXAudioRawDataListener iTXAudioRawDataListener = this.A;
        if (iTXAudioRawDataListener != null) {
            iTXAudioRawDataListener.onAudioInfoChanged(aVar.a, aVar.b, aVar.c);
        }
    }
}
