package com.tencent.liteav.renderer;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.opengl.GLSurfaceView;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import android.util.AttributeSet;
import com.heytap.mcssdk.constant.MessageConstant;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.d.g;
import com.tencent.liteav.basic.d.i;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.d.k;
import com.tencent.liteav.basic.d.l;
import com.tencent.liteav.basic.d.m;
import com.tencent.liteav.basic.d.n;
import com.tencent.liteav.basic.log.TXCLog;
import com.uc.crashsdk.export.LogType;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;
import java.util.LinkedList;
import java.util.Queue;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLContext;
import javax.microedition.khronos.opengles.GL10;

public class TXCGLSurfaceView extends TXCGLSurfaceViewBase implements SurfaceTexture.OnFrameAvailableListener, GLSurfaceView.Renderer, l {
    private n A;
    private int B;
    private int C;
    private int D;
    private boolean E;
    private m F;
    private byte[] G;
    private long H;
    private int I;
    private int J;
    private final Queue<Runnable> K;
    WeakReference<a> a;
    private SurfaceTexture g;
    private EGLContext h;
    private g i;
    private int[] j;
    private float[] k;
    private int l;
    private boolean m;
    private float n;
    private float o;
    private int p;
    private long q;
    private long r;
    private int s;
    private boolean t;
    private boolean u;
    private Object v;
    private Handler w;
    private int x;
    private int y;
    private boolean z;

    public TXCGLSurfaceView(Context context) {
        super(context);
        this.k = new float[16];
        this.l = 0;
        this.m = false;
        this.n = 1.0f;
        this.o = 1.0f;
        this.p = 20;
        this.q = 0;
        this.r = 0;
        this.s = MessageConstant.CommandId.COMMAND_BASE;
        this.t = true;
        this.u = false;
        this.v = new Object();
        this.x = 0;
        this.y = 0;
        this.z = true;
        this.A = null;
        this.B = 0;
        this.E = true;
        this.G = null;
        this.H = 0;
        this.I = 0;
        this.J = 0;
        this.K = new LinkedList();
        setEGLContextClientVersion(2);
        a(8, 8, 8, 8, 16, 0);
        setRenderer(this);
    }

    public TXCGLSurfaceView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.k = new float[16];
        this.l = 0;
        this.m = false;
        this.n = 1.0f;
        this.o = 1.0f;
        this.p = 20;
        this.q = 0;
        this.r = 0;
        this.s = MessageConstant.CommandId.COMMAND_BASE;
        this.t = true;
        this.u = false;
        this.v = new Object();
        this.x = 0;
        this.y = 0;
        this.z = true;
        this.A = null;
        this.B = 0;
        this.E = true;
        this.G = null;
        this.H = 0;
        this.I = 0;
        this.J = 0;
        this.K = new LinkedList();
        setEGLContextClientVersion(2);
        a(8, 8, 8, 8, 16, 0);
        setRenderer(this);
    }

    public void setFPS(final int i2) {
        b(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass1 */

            public void run() {
                TXCGLSurfaceView.this.p = i2;
                if (TXCGLSurfaceView.this.p <= 0) {
                    TXCGLSurfaceView.this.p = 1;
                } else if (TXCGLSurfaceView.this.p > 60) {
                    TXCGLSurfaceView.this.p = 60;
                }
                TXCGLSurfaceView.this.r = 0;
                TXCGLSurfaceView.this.q = 0;
            }
        });
    }

    @Override // com.tencent.liteav.basic.d.l
    public void setRendMode(final int i2) {
        b(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass2 */

            public void run() {
                TXCGLSurfaceView.this.B = i2;
                GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
                GLES20.glClear(LogType.UNEXP_RESTART);
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public void b() {
        TXCLog.i("TXCGLSurfaceView", "surfaceDestroyed-->enter with mSurfaceTextureListener:" + this.F);
        m mVar = this.F;
        if (mVar != null) {
            mVar.b(this.g);
        }
        SurfaceTexture surfaceTexture = this.g;
        if (surfaceTexture != null) {
            surfaceTexture.release();
            this.g = null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public void setRunInBackground(boolean z2) {
        if (z2) {
            synchronized (this) {
                TXCLog.d("TXCGLSurfaceView", "background capture enter background");
                this.c = true;
            }
            return;
        }
        b(new Runnable() {
            /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass3 */

            public void run() {
                synchronized (this) {
                    TXCLog.d("TXCGLSurfaceView", "background capture exit background");
                    TXCGLSurfaceView.this.c = false;
                }
            }
        });
    }

    public void setNotifyListener(a aVar) {
        this.a = new WeakReference<>(aVar);
    }

    public void a(n nVar) {
        this.A = nVar;
        this.z = true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0014, code lost:
        android.opengl.GLES20.glClear(com.uc.crashsdk.export.LogType.UNEXP_RESTART);
        r3 = getWidth();
        r5 = getHeight();
        r6 = r14.B;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0029, code lost:
        if (r6 != 0) goto L_0x0030;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002b, code lost:
        r14.C = 0;
        r14.D = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0030, code lost:
        if (r6 != 1) goto L_0x0060;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0032, code lost:
        r6 = (720 - r14.l) % com.amap.api.maps.utils.SpatialRelationUtil.A_CIRCLE_DEGREE;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0038, code lost:
        if (r6 == 90) goto L_0x003f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x003a, code lost:
        if (r6 != 270) goto L_0x003d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x003d, code lost:
        r6 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x003f, code lost:
        r6 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0040, code lost:
        if (r6 == false) goto L_0x0044;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0042, code lost:
        r11 = r19;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0044, code lost:
        r11 = r18;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0046, code lost:
        if (r6 == false) goto L_0x004b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0048, code lost:
        r6 = r18;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x004b, code lost:
        r6 = r19;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x004c, code lost:
        r3 = a(r3, r5, r11, r6);
        r5 = r3[0];
        r6 = r3[1];
        r14.C = r3[2];
        r14.D = r3[3];
        r3 = r5;
        r5 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0060, code lost:
        r14.x = r3;
        r14.y = r5;
        android.opengl.GLES20.glViewport(r14.C, r14.D, r3, r5);
        r6 = 1.0f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x006d, code lost:
        if (r5 == 0) goto L_0x0073;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x006f, code lost:
        r11 = ((float) r3) / ((float) r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0073, code lost:
        r11 = 1.0f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0075, code lost:
        if (r19 == 0) goto L_0x007d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0077, code lost:
        r6 = ((float) r18) / ((float) r19);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0081, code lost:
        if (r14.m != r16) goto L_0x0093;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x0085, code lost:
        if (r14.l != r17) goto L_0x0093;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x008b, code lost:
        if (r14.n != r11) goto L_0x0093;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x0091, code lost:
        if (r14.o == r6) goto L_0x00e0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x0093, code lost:
        r14.m = r16;
        r14.l = r17;
        r14.n = r11;
        r14.o = r6;
        r0 = (720 - r17) % com.amap.api.maps.utils.SpatialRelationUtil.A_CIRCLE_DEGREE;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x009f, code lost:
        if (r0 == 90) goto L_0x00a6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00a1, code lost:
        if (r0 != 270) goto L_0x00a4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00a4, code lost:
        r11 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00a6, code lost:
        r11 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00a7, code lost:
        if (r11 == false) goto L_0x00ab;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00a9, code lost:
        r2 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00ab, code lost:
        r2 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00ac, code lost:
        if (r11 == false) goto L_0x00af;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00af, code lost:
        r3 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x00b0, code lost:
        r5 = r14.i;
        r6 = com.tencent.liteav.basic.d.k.a(com.tencent.liteav.basic.d.j.NORMAL, false, true);
        r7 = ((float) r2) / ((float) r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x00bc, code lost:
        if (r11 == false) goto L_0x00c0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x00be, code lost:
        r8 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00c0, code lost:
        r8 = r14.m;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x00c3, code lost:
        if (r11 == false) goto L_0x00c9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00c5, code lost:
        r9 = r14.m;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x00c9, code lost:
        r9 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:58:0x00ca, code lost:
        r5.a(r18, r19, r0, r6, r7, r8, r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x00d3, code lost:
        if (r11 == false) goto L_0x00db;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x00d5, code lost:
        r14.i.g();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x00db, code lost:
        r14.i.h();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x00e0, code lost:
        android.opengl.GLES20.glBindFramebuffer(36160, 0);
        r14.i.a(r15);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x00ec, code lost:
        return;
     */
    @Override // com.tencent.liteav.basic.d.l
    public void a(int i2, boolean z2, int i3, int i4, int i5) {
        if (this.i != null) {
            synchronized (this) {
                if (this.c) {
                }
            }
        }
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(byte[] bArr) {
        synchronized (this) {
            this.G = bArr;
            this.t = false;
            this.u = true;
        }
    }

    private int[] a(int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int[] iArr = new int[4];
        float f = (float) i3;
        float f2 = (float) i2;
        float f3 = ((float) i5) / ((float) i4);
        if (f / f2 > f3) {
            i6 = (int) (f2 * f3);
            i8 = (i3 - i6) / 2;
            i7 = 0;
        } else {
            int i9 = (int) (f / f3);
            i8 = 0;
            i7 = (i2 - i9) / 2;
            i2 = i9;
            i6 = i3;
        }
        iArr[0] = i2;
        iArr[1] = i6;
        iArr[2] = i7;
        iArr[3] = i8;
        return iArr;
    }

    @Override // com.tencent.liteav.basic.d.l
    public SurfaceTexture getSurfaceTexture() {
        return this.g;
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(int i2, boolean z2) {
        this.p = i2;
        this.A = null;
        this.z = false;
        this.I = 0;
        this.H = 0;
        this.J = 0;
        b(true);
        this.E = z2;
        g();
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a() {
        b(false);
    }

    @Override // com.tencent.liteav.basic.d.l
    public void setSurfaceTextureListener(m mVar) {
        this.F = mVar;
    }

    @Override // com.tencent.liteav.basic.d.l
    public EGLContext getGLContext() {
        return this.h;
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(Runnable runnable) {
        synchronized (this.K) {
            this.K.add(runnable);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public int c() {
        if (this.s != 12288) {
            TXCLog.e("TXCGLSurfaceView", "background capture swapbuffer error : " + this.s);
        }
        return this.s;
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.TXCGLSurfaceViewBase
    public void onDetachedFromWindow() {
        Handler handler;
        super.onDetachedFromWindow();
        if (Build.VERSION.SDK_INT >= 21 && (handler = this.w) != null) {
            handler.getLooper().quitSafely();
            this.w = null;
        }
    }

    public void b(Runnable runnable) {
        synchronized (this.K) {
            this.K.add(runnable);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0014, code lost:
        r0.run();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0018, code lost:
        return true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0011, code lost:
        if (r0 != null) goto L_0x0014;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0013, code lost:
        return false;
     */
    private boolean a(Queue<Runnable> queue) {
        synchronized (queue) {
            if (queue.isEmpty()) {
                return false;
            }
            Runnable poll = queue.poll();
        }
    }

    public void onSurfaceCreated(GL10 gl10, EGLConfig eGLConfig) {
        this.h = ((EGL10) EGLContext.getEGL()).eglGetCurrentContext();
        int[] iArr = new int[1];
        this.j = iArr;
        iArr[0] = i.b();
        if (this.j[0] <= 0) {
            this.j = null;
            TXCLog.e("TXCGLSurfaceView", "create oes texture error!! at glsurfaceview");
            return;
        }
        this.g = new SurfaceTexture(this.j[0]);
        g();
        g gVar = new g();
        this.i = gVar;
        if (gVar.a()) {
            this.i.a(k.e, k.a(j.NORMAL, false, false));
            m mVar = this.F;
            if (mVar != null) {
                mVar.a(this.g);
            }
        }
    }

    public void onSurfaceChanged(GL10 gl10, int i2, int i3) {
    }

    public void onDrawFrame(GL10 gl10) {
        long currentTimeMillis;
        long j2;
        boolean z2;
        byte[] bArr;
        boolean z3;
        a(this.K);
        boolean z4 = true;
        boolean z5 = true;
        while (true) {
            currentTimeMillis = System.currentTimeMillis();
            if (this.r == 0) {
                this.r = currentTimeMillis;
            }
            j2 = this.r;
            if (currentTimeMillis - j2 >= (this.q * 1000) / ((long) this.p)) {
                break;
            }
            a(15);
            z5 = false;
        }
        if (currentTimeMillis - j2 > 1000) {
            this.q = 1;
            this.r = System.currentTimeMillis();
            z2 = true;
        } else {
            z2 = false;
        }
        if (!this.t) {
            try {
                synchronized (this) {
                    bArr = null;
                    if (!this.u) {
                        z3 = true;
                    } else {
                        if (this.G != null) {
                            byte[] bArr2 = this.G;
                            this.G = null;
                            if (this.g != null) {
                                this.g.updateTexImage();
                                this.g.getTransformMatrix(this.k);
                            }
                            bArr = bArr2;
                        } else if (this.g != null) {
                            this.g.updateTexImage();
                            this.g.getTransformMatrix(this.k);
                        }
                        if (!z2) {
                            this.q++;
                        } else {
                            this.q = 1;
                        }
                        this.u = false;
                        z5 = false;
                        z3 = false;
                    }
                }
                if (true != z3) {
                    long currentTimeMillis2 = System.currentTimeMillis();
                    if (((double) currentTimeMillis2) > ((double) this.H) + 1000.0d) {
                        this.I = ((int) ((((double) this.J) * 1000.0d) / ((double) (currentTimeMillis2 - this.H)))) + 1;
                        this.H = currentTimeMillis2;
                        this.J = 0;
                    }
                    this.J++;
                    if (this.F != null) {
                        if (bArr != null) {
                            this.F.a(bArr, this.k);
                        } else {
                            this.F.a(this.j[0], this.k);
                        }
                    }
                    f();
                    synchronized (this) {
                        if (this.c) {
                            z4 = false;
                        }
                    }
                    if (z4) {
                        this.s = d();
                    }
                } else if (true == z5) {
                    a(5);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    private void f() {
        if (this.z) {
            if (!(this.x == 0 || this.y == 0)) {
                boolean z2 = getWidth() <= getHeight();
                final int i2 = this.y;
                int i3 = this.x;
                if (i2 < i3) {
                    i2 = i3;
                }
                final int i4 = this.y;
                int i5 = this.x;
                if (i4 >= i5) {
                    i4 = i5;
                }
                if (z2) {
                    i4 = i2;
                    i2 = i4;
                }
                final ByteBuffer allocate = ByteBuffer.allocate(i2 * i4 * 4);
                final Bitmap createBitmap = Bitmap.createBitmap(i2, i4, Bitmap.Config.ARGB_8888);
                allocate.position(0);
                GLES20.glReadPixels(this.C, this.D, i2, i4, 6408, 5121, allocate);
                new Thread(new Runnable() {
                    /* class com.tencent.liteav.renderer.TXCGLSurfaceView.AnonymousClass4 */

                    public void run() {
                        allocate.position(0);
                        createBitmap.copyPixelsFromBuffer(allocate);
                        Matrix matrix = new Matrix();
                        matrix.setScale(1.0f, -1.0f);
                        Bitmap createBitmap = Bitmap.createBitmap(createBitmap, 0, 0, i2, i4, matrix, false);
                        if (TXCGLSurfaceView.this.A != null) {
                            TXCGLSurfaceView.this.A.onTakePhotoComplete(createBitmap);
                            TXCGLSurfaceView.this.A = null;
                        }
                        createBitmap.recycle();
                    }
                }).start();
            }
            this.z = false;
        }
    }

    public void onFrameAvailable(SurfaceTexture surfaceTexture) {
        this.t = false;
        synchronized (this) {
            this.u = true;
        }
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(boolean z2) {
        this.t = true;
        if (z2) {
            GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
            GLES20.glClear(16384);
            this.s = d();
        }
        synchronized (this) {
            if (this.u) {
                this.u = false;
                if (this.g != null) {
                    this.g.updateTexImage();
                }
            }
        }
    }

    private void a(long j2) {
        try {
            Thread.sleep(j2);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void g() {
        if (!this.E) {
            SurfaceTexture surfaceTexture = this.g;
            if (surfaceTexture != null) {
                surfaceTexture.setOnFrameAvailableListener(null);
            }
        } else if (this.g == null) {
        } else {
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.w == null) {
                    HandlerThread handlerThread = new HandlerThread("VideoCaptureThread");
                    handlerThread.start();
                    this.w = new Handler(handlerThread.getLooper());
                }
                this.g.setOnFrameAvailableListener(this, this.w);
                return;
            }
            this.g.setOnFrameAvailableListener(this);
        }
    }
}
