package com.tencent.liteav.screencapture;

import android.content.Context;
import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Message;
import android.view.Surface;
import android.view.WindowManager;
import com.tencent.liteav.basic.d.h;
import com.tencent.liteav.basic.d.i;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.d.k;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.screencapture.b;
import com.uc.crashsdk.export.LogType;
import java.lang.ref.WeakReference;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCScreenCapture */
public class a {
    protected Handler a = null;
    protected volatile HandlerThread b = null;
    protected volatile HandlerC0103a c = null;
    protected volatile WeakReference<c> d = null;
    protected volatile int e = 0;
    protected int f = 720;
    protected int g = LogType.UNEXP_ANR;
    protected int h = 20;
    protected boolean i = false;
    private Object j = null;
    private boolean k = false;
    private int l = 720;
    private int m = LogType.UNEXP_ANR;
    private Context n = null;
    private b.a o = new b.a() {
        /* class com.tencent.liteav.screencapture.a.AnonymousClass1 */

        @Override // com.tencent.liteav.screencapture.b.a
        public void a(int i) {
            a.this.b(i);
            a aVar = a.this;
            aVar.b(105, aVar.l, a.this.m);
        }
    };

    public a(Context context, boolean z) {
        this.n = context;
        this.a = new Handler(Looper.getMainLooper());
        this.k = z;
        if (Build.VERSION.SDK_INT >= 21) {
            b.a().a(context);
        }
    }

    public int a(int i2, int i3, int i4) {
        int i5;
        if (this.k) {
            i5 = ((WindowManager) this.n.getSystemService("window")).getDefaultDisplay().getRotation();
            if (i5 == 0 || i5 == 2) {
                if (i2 > i3) {
                    this.f = i3;
                    this.g = i2;
                } else {
                    this.f = i2;
                    this.g = i3;
                }
            } else if (i2 < i3) {
                this.f = i3;
                this.g = i2;
            } else {
                this.f = i2;
                this.g = i3;
            }
        } else {
            this.f = i2;
            this.g = i3;
            i5 = 0;
        }
        TXCLog.d("ScreenCapture", String.format("start screen capture orientation[%d] input size[%d/%d] output size[%d/%d]", Integer.valueOf(i5), Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(this.f), Integer.valueOf(this.g)));
        this.h = i4;
        if (Build.VERSION.SDK_INT < 21) {
            a(20000004, (EGLContext) null);
            return 20000004;
        }
        this.l = this.f;
        this.m = this.g;
        a();
        if (this.k) {
            b.a().a(this.o);
        }
        return 0;
    }

    public void a(Object obj) {
        b.a().b(this.o);
        this.j = obj;
        b();
    }

    public void a(final boolean z) {
        synchronized (this) {
            if (this.c != null) {
                this.c.post(new Runnable() {
                    /* class com.tencent.liteav.screencapture.a.AnonymousClass2 */

                    public void run() {
                        a.this.i = z;
                    }
                });
            } else {
                this.i = z;
            }
        }
    }

    public void a(c cVar) {
        this.d = new WeakReference<>(cVar);
    }

    public void a(com.tencent.liteav.basic.c.a aVar) {
        b.a().a(aVar);
    }

    public synchronized void a(Runnable runnable) {
        if (this.c != null) {
            this.c.post(runnable);
        }
    }

    /* access modifiers changed from: protected */
    public void a() {
        b();
        synchronized (this) {
            this.b = new HandlerThread("ScreenCaptureGLThread");
            this.b.start();
            this.c = new HandlerC0103a(this.b.getLooper(), this);
            int i2 = 1;
            this.e++;
            this.c.a = this.e;
            this.c.e = this.l;
            this.c.f = this.m;
            HandlerC0103a aVar = this.c;
            if (this.h >= 1) {
                i2 = this.h;
            }
            aVar.g = i2;
        }
        a(100);
    }

    /* access modifiers changed from: protected */
    public void b() {
        synchronized (this) {
            this.e++;
            if (this.c != null) {
                final HandlerThread handlerThread = this.b;
                final HandlerC0103a aVar = this.c;
                a(101, new Runnable() {
                    /* class com.tencent.liteav.screencapture.a.AnonymousClass3 */

                    public void run() {
                        a.this.a.post(new Runnable() {
                            /* class com.tencent.liteav.screencapture.a.AnonymousClass3.AnonymousClass1 */

                            public void run() {
                                if (aVar != null) {
                                    aVar.removeCallbacksAndMessages(null);
                                }
                                if (handlerThread == null) {
                                    return;
                                }
                                if (Build.VERSION.SDK_INT >= 18) {
                                    handlerThread.quitSafely();
                                } else {
                                    handlerThread.quit();
                                }
                            }
                        });
                    }
                });
            }
            this.c = null;
            this.b = null;
        }
    }

    /* access modifiers changed from: protected */
    public c c() {
        if (this.d == null) {
            return null;
        }
        return this.d.get();
    }

    /* access modifiers changed from: protected */
    public void a(int i2, long j2) {
        synchronized (this) {
            if (this.c != null) {
                this.c.sendEmptyMessageDelayed(i2, j2);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(int i2) {
        synchronized (this) {
            if (this.c != null) {
                this.c.sendEmptyMessage(i2);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void b(int i2, int i3, int i4) {
        synchronized (this) {
            if (this.c != null) {
                Message message = new Message();
                message.what = i2;
                message.arg1 = i3;
                message.arg2 = i4;
                this.c.sendMessage(message);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(int i2, Runnable runnable) {
        synchronized (this) {
            if (this.c != null) {
                Message message = new Message();
                message.what = i2;
                message.obj = runnable;
                this.c.sendMessage(message);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(int i2, EGLContext eGLContext) {
        c c2 = c();
        if (c2 != null) {
            c2.a(i2, eGLContext);
        }
    }

    /* access modifiers changed from: protected */
    public void a(int i2, int i3, int i4, int i5, long j2) {
        c c2 = c();
        if (c2 != null) {
            c2.a(i2, i3, i4, i5, j2);
        }
    }

    /* access modifiers changed from: protected */
    public void b(int i2) {
        if (i2 == 0) {
            int i3 = this.f;
            int i4 = this.g;
            if (i3 >= i4) {
                i3 = i4;
            }
            this.l = i3;
            int i5 = this.f;
            int i6 = this.g;
            if (i5 < i6) {
                i5 = i6;
            }
            this.m = i5;
        } else {
            int i7 = this.f;
            int i8 = this.g;
            if (i7 < i8) {
                i7 = i8;
            }
            this.l = i7;
            int i9 = this.f;
            int i10 = this.g;
            if (i9 >= i10) {
                i9 = i10;
            }
            this.m = i9;
        }
        TXCLog.d("ScreenCapture", String.format("reset screen capture angle[%d] output size[%d/%d]", Integer.valueOf(i2), Integer.valueOf(this.l), Integer.valueOf(this.m)));
    }

    /* access modifiers changed from: protected */
    /* renamed from: com.tencent.liteav.screencapture.a$a  reason: collision with other inner class name */
    /* compiled from: TXCScreenCapture */
    public class HandlerC0103a extends Handler {
        public int a = 0;
        public int[] b = null;
        public Surface c = null;
        public SurfaceTexture d = null;
        public int e = 720;
        public int f = LogType.UNEXP_ANR;
        public int g = 25;
        protected boolean h = false;
        protected long i = 0;
        protected long j = 0;
        protected com.tencent.liteav.basic.d.b k = null;
        protected h l = null;
        float[] m = new float[16];

        public HandlerC0103a(Looper looper, a aVar) {
            super(looper);
        }

        public void handleMessage(Message message) {
            if (message != null) {
                if (this.a == a.this.e || 101 == message.what) {
                    switch (message.what) {
                        case 100:
                            a(message);
                            break;
                        case 101:
                            b(message);
                            break;
                        case 102:
                            try {
                                c(message);
                                break;
                            } catch (Exception e2) {
                                break;
                            }
                        case 103:
                            d(message);
                            break;
                        case 105:
                            e(message);
                            break;
                    }
                    if (message != null && message.obj != null) {
                        ((Runnable) message.obj).run();
                    }
                }
            }
        }

        /* access modifiers changed from: protected */
        public void a(Message message) {
            this.i = 0;
            this.j = 0;
            if (!a()) {
                b();
                a.this.b();
                a.this.a(20000003, (EGLContext) null);
                return;
            }
            a.this.a(0, this.k.c());
        }

        /* access modifiers changed from: protected */
        public void b(Message message) {
            c c2 = a.this.c();
            if (c2 != null) {
                c2.a(a.this.j);
            }
            b();
        }

        /* access modifiers changed from: protected */
        public void c(Message message) {
            a.this.a(102, 5);
            if (a.this.i) {
                if (!this.h) {
                    this.i = 0;
                    this.j = System.nanoTime();
                    return;
                }
                long nanoTime = System.nanoTime();
                long j2 = this.j;
                if (nanoTime >= ((((this.i * 1000) * 1000) * 1000) / ((long) this.g)) + j2) {
                    if (j2 == 0) {
                        this.j = nanoTime;
                    } else if (nanoTime > j2 + 1000000000) {
                        this.i = 0;
                        this.j = nanoTime;
                    }
                    this.i++;
                    SurfaceTexture surfaceTexture = this.d;
                    if (surfaceTexture != null && this.b != null) {
                        surfaceTexture.getTransformMatrix(this.m);
                        try {
                            this.d.updateTexImage();
                        } catch (Exception e2) {
                            TXCLog.e("ScreenCapture", "onMsgRend Exception " + e2.getMessage());
                            e2.printStackTrace();
                        }
                        this.l.a(this.m);
                        GLES20.glViewport(0, 0, this.e, this.f);
                        a.this.a(0, this.l.b(this.b[0]), this.e, this.f, TXCTimeUtil.getTimeTick());
                    }
                }
            }
        }

        /* access modifiers changed from: protected */
        public void d(Message message) {
            if (message != null) {
                int i2 = 1;
                if (message.arg1 >= 1) {
                    i2 = message.arg1;
                }
                this.g = i2;
                this.i = 0;
                this.j = 0;
            }
        }

        /* access modifiers changed from: protected */
        public void e(Message message) {
            if (message != null) {
                this.e = message.arg1;
                this.f = message.arg2;
                c();
                this.l.a(this.e, this.f);
                d();
                TXCLog.d("ScreenCapture", String.format("set screen capture size[%d/%d]", Integer.valueOf(a.this.l), Integer.valueOf(a.this.m)));
            }
        }

        /* access modifiers changed from: protected */
        public boolean a() {
            TXCLog.d("ScreenCapture", String.format("init egl size[%d/%d]", Integer.valueOf(this.e), Integer.valueOf(this.f)));
            com.tencent.liteav.basic.d.b a2 = com.tencent.liteav.basic.d.b.a(null, null, null, this.e, this.f);
            this.k = a2;
            if (a2 == null) {
                return false;
            }
            h hVar = new h();
            this.l = hVar;
            if (!hVar.a()) {
                return false;
            }
            this.l.a(true);
            this.l.a(this.e, this.f);
            this.l.a(k.e, k.a(j.NORMAL, false, false));
            d();
            return true;
        }

        /* access modifiers changed from: protected */
        public void b() {
            c();
            h hVar = this.l;
            if (hVar != null) {
                hVar.d();
                this.l = null;
            }
            com.tencent.liteav.basic.d.b bVar = this.k;
            if (bVar != null) {
                bVar.b();
                this.k = null;
            }
        }

        /* access modifiers changed from: protected */
        public void c() {
            SurfaceTexture surfaceTexture = this.d;
            if (surfaceTexture != null) {
                surfaceTexture.setOnFrameAvailableListener(null);
                this.d.release();
                this.h = false;
                this.d = null;
            }
            b.a().a(this.c);
            Surface surface = this.c;
            if (surface != null) {
                surface.release();
                this.c = null;
            }
            int[] iArr = this.b;
            if (iArr != null) {
                GLES20.glDeleteTextures(1, iArr, 0);
                this.b = null;
            }
        }

        /* access modifiers changed from: protected */
        public void d() {
            int[] iArr = new int[1];
            this.b = iArr;
            iArr[0] = i.b();
            if (this.b[0] <= 0) {
                this.b = null;
                return;
            }
            this.d = new SurfaceTexture(this.b[0]);
            this.c = new Surface(this.d);
            this.d.setDefaultBufferSize(this.e, this.f);
            this.d.setOnFrameAvailableListener(new SurfaceTexture.OnFrameAvailableListener() {
                /* class com.tencent.liteav.screencapture.a.HandlerC0103a.AnonymousClass1 */

                public void onFrameAvailable(SurfaceTexture surfaceTexture) {
                    a.this.a(104, new Runnable() {
                        /* class com.tencent.liteav.screencapture.a.HandlerC0103a.AnonymousClass1.AnonymousClass1 */

                        public void run() {
                            HandlerC0103a.this.h = true;
                            a.this.a(102);
                        }
                    });
                    surfaceTexture.setOnFrameAvailableListener(null);
                }
            });
            b.a().a(this.c, this.e, this.f);
        }
    }
}
