package com.tencent.open.a;

import android.os.Build;
import android.text.TextUtils;
import com.igexin.push.config.c;
import com.taobao.weex.el.parse.Operators;
import com.tencent.open.log.SLog;
import io.dcloud.common.DHInterface.IWebview;
import java.io.IOException;
import java.security.KeyManagementException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.util.Arrays;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import okhttp3.Cache;
import okhttp3.ConnectionSpec;
import okhttp3.FormBody;
import okhttp3.Interceptor;
import okhttp3.MediaType;
import okhttp3.MultipartBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.internal.Version;

/* compiled from: ProGuard */
class e implements a {
    private OkHttpClient a;

    public e(String str) throws NoClassDefFoundError {
        a(str);
    }

    private void a(String str) {
        String userAgent = Version.userAgent();
        if (userAgent == null || !userAgent.startsWith("okhttp/3")) {
            throw new NoClassDefFoundError();
        }
        OkHttpClient.Builder addInterceptor = new OkHttpClient.Builder().connectionSpecs(Arrays.asList(ConnectionSpec.MODERN_TLS, ConnectionSpec.COMPATIBLE_TLS)).connectTimeout(15000, TimeUnit.MILLISECONDS).readTimeout((long) c.k, TimeUnit.MILLISECONDS).writeTimeout((long) c.k, TimeUnit.MILLISECONDS).cache((Cache) null).addInterceptor(new a(str));
        a(addInterceptor);
        this.a = addInterceptor.build();
    }

    @Override // com.tencent.open.a.a
    public void a(long j, long j2) {
        if (j > 0 && j2 > 0) {
            if (((long) this.a.connectTimeoutMillis()) != j || ((long) this.a.readTimeoutMillis()) != j2) {
                SLog.i("OkHttpServiceImpl", "setTimeout changed.");
                this.a = this.a.newBuilder().connectTimeout(j, TimeUnit.MILLISECONDS).readTimeout(j2, TimeUnit.MILLISECONDS).writeTimeout(j2, TimeUnit.MILLISECONDS).build();
            }
        }
    }

    @Override // com.tencent.open.a.a
    public g a(String str, String str2) throws IOException {
        SLog.i("OkHttpServiceImpl", "get.");
        if (!TextUtils.isEmpty(str2)) {
            int indexOf = str2.indexOf(Operators.CONDITION_IF_STRING);
            if (indexOf == -1) {
                str = str + Operators.CONDITION_IF_STRING;
            } else if (indexOf != str.length() - 1) {
                str = str + com.alipay.sdk.m.s.a.n;
            }
            str = str + str2;
        }
        return new d(this.a.newCall(new Request.Builder().url(str).get().build()).execute(), str2.length());
    }

    @Override // com.tencent.open.a.a
    public g a(String str, Map<String, String> map) throws IOException {
        SLog.i("OkHttpServiceImpl", "post data");
        FormBody.Builder builder = new FormBody.Builder();
        if (map != null && map.size() > 0) {
            for (String str2 : map.keySet()) {
                String str3 = map.get(str2);
                if (str3 != null) {
                    builder.add(str2, str3);
                }
            }
        }
        FormBody build = builder.build();
        return new d(this.a.newCall(new Request.Builder().url(str).post(build).build()).execute(), (int) build.contentLength());
    }

    @Override // com.tencent.open.a.a
    public g a(String str, Map<String, String> map, Map<String, byte[]> map2) throws IOException {
        if (map2 == null || map2.size() == 0) {
            return a(str, map);
        }
        SLog.i("OkHttpServiceImpl", "post data, has byte data");
        MultipartBody.Builder builder = new MultipartBody.Builder();
        if (map != null && map.size() > 0) {
            for (String str2 : map.keySet()) {
                String str3 = map.get(str2);
                if (str3 != null) {
                    builder.addFormDataPart(str2, str3);
                }
            }
        }
        for (String str4 : map2.keySet()) {
            byte[] bArr = map2.get(str4);
            if (bArr != null && bArr.length > 0) {
                builder.addFormDataPart(str4, str4, RequestBody.create(MediaType.get("content/unknown"), bArr));
                SLog.w("OkHttpServiceImpl", "post byte data.");
            }
        }
        MultipartBody build = builder.build();
        return new d(this.a.newCall(new Request.Builder().url(str).post(build).build()).execute(), (int) build.contentLength());
    }

    private void a(OkHttpClient.Builder builder) {
        if (Build.VERSION.SDK_INT >= 16 && Build.VERSION.SDK_INT < 21) {
            try {
                h hVar = new h();
                TrustManager a2 = hVar.a();
                if (a2 != null) {
                    builder.sslSocketFactory(hVar, (X509TrustManager) a2);
                    SLog.i("OkHttpServiceImpl", "enableTls2: enabled.");
                }
            } catch (KeyManagementException e) {
                SLog.e("OkHttpServiceImpl", "enableTls2: failed.", e);
            } catch (NoSuchAlgorithmException e2) {
                SLog.e("OkHttpServiceImpl", "enableTls2: failed.", e2);
            } catch (KeyStoreException e3) {
                SLog.e("OkHttpServiceImpl", "enableTls2: failed.", e3);
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ProGuard */
    public static class a implements Interceptor {
        private final String a;

        public a(String str) {
            this.a = str;
        }

        public Response intercept(Interceptor.Chain chain) throws IOException {
            return chain.proceed(chain.request().newBuilder().header(IWebview.USER_AGENT, this.a).build());
        }
    }
}
