package com.tencent.rtmp.sharp.jni;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothProfile;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.AudioManager;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.Log;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.ui.component.WXImage;
import com.tencent.qphone.base.util.QLog;
import com.tencent.rtmp.sharp.jni.TraeMediaPlayer;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.ReflectUtils;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.locks.ReentrantLock;
import master.flame.danmaku.danmaku.model.android.DanmakuFactory;
import tv.cjump.jni.DeviceUtils;

public class TraeAudioManager extends BroadcastReceiver {
    public static final String ACTION_TRAEAUDIOMANAGER_NOTIFY = "com.tencent.sharp.ACTION_TRAEAUDIOMANAGER_NOTIFY";
    public static final String ACTION_TRAEAUDIOMANAGER_REQUEST = "com.tencent.sharp.ACTION_TRAEAUDIOMANAGER_REQUEST";
    public static final String ACTION_TRAEAUDIOMANAGER_RES = "com.tencent.sharp.ACTION_TRAEAUDIOMANAGER_RES";
    static final int AUDIO_DEVICE_OUT_BLUETOOTH_A2DP = 128;
    static final int AUDIO_DEVICE_OUT_BLUETOOTH_A2DP_HEADPHONES = 256;
    static final int AUDIO_DEVICE_OUT_BLUETOOTH_A2DP_SPEAKER = 512;
    static final int AUDIO_DEVICE_OUT_BLUETOOTH_SCO = 16;
    static final int AUDIO_DEVICE_OUT_BLUETOOTH_SCO_CARKIT = 64;
    static final int AUDIO_DEVICE_OUT_BLUETOOTH_SCO_HEADSET = 32;
    static final int AUDIO_DEVICE_OUT_EARPIECE = 1;
    static final int AUDIO_DEVICE_OUT_SPEAKER = 2;
    static final int AUDIO_DEVICE_OUT_WIRED_HEADPHONE = 8;
    static final int AUDIO_DEVICE_OUT_WIRED_HEADSET = 4;
    public static final int AUDIO_MANAGER_ACTIVE_NONE = 0;
    public static final int AUDIO_MANAGER_ACTIVE_RING = 2;
    public static final int AUDIO_MANAGER_ACTIVE_VOICECALL = 1;
    static final String AUDIO_PARAMETER_STREAM_ROUTING = "routing";
    public static final String CONNECTDEVICE_DEVICENAME = "CONNECTDEVICE_DEVICENAME";
    public static final String CONNECTDEVICE_RESULT_DEVICENAME = "CONNECTDEVICE_RESULT_DEVICENAME";
    public static final String DEVICE_BLUETOOTHHEADSET = "DEVICE_BLUETOOTHHEADSET";
    public static final String DEVICE_EARPHONE = "DEVICE_EARPHONE";
    public static final String DEVICE_NONE = "DEVICE_NONE";
    public static final String DEVICE_SPEAKERPHONE = "DEVICE_SPEAKERPHONE";
    public static final int DEVICE_STATUS_CONNECTED = 2;
    public static final int DEVICE_STATUS_CONNECTING = 1;
    public static final int DEVICE_STATUS_DISCONNECTED = 0;
    public static final int DEVICE_STATUS_DISCONNECTING = 3;
    public static final int DEVICE_STATUS_ERROR = -1;
    public static final int DEVICE_STATUS_UNCHANGEABLE = 4;
    public static final String DEVICE_WIREDHEADSET = "DEVICE_WIREDHEADSET";
    public static final int EARACTION_AWAY = 0;
    public static final int EARACTION_CLOSE = 1;
    public static final String EXTRA_DATA_AVAILABLEDEVICE_LIST = "EXTRA_DATA_AVAILABLEDEVICE_LIST";
    public static final String EXTRA_DATA_CONNECTEDDEVICE = "EXTRA_DATA_CONNECTEDDEVICE";
    public static final String EXTRA_DATA_DEVICECONFIG = "EXTRA_DATA_DEVICECONFIG";
    public static final String EXTRA_DATA_IF_HAS_BLUETOOTH_THIS_IS_NAME = "EXTRA_DATA_IF_HAS_BLUETOOTH_THIS_IS_NAME";
    public static final String EXTRA_DATA_PREV_CONNECTEDDEVICE = "EXTRA_DATA_PREV_CONNECTEDDEVICE";
    public static final String EXTRA_DATA_ROUTESWITCHEND_DEV = "EXTRA_DATA_ROUTESWITCHEND_DEV";
    public static final String EXTRA_DATA_ROUTESWITCHEND_TIME = "EXTRA_DATA_ROUTESWITCHEND_TIME";
    public static final String EXTRA_DATA_ROUTESWITCHSTART_FROM = "EXTRA_DATA_ROUTESWITCHSTART_FROM";
    public static final String EXTRA_DATA_ROUTESWITCHSTART_TO = "EXTRA_DATA_ROUTESWITCHSTART_TO";
    public static final String EXTRA_DATA_STREAMTYPE = "EXTRA_DATA_STREAMTYPE";
    public static final String EXTRA_EARACTION = "EXTRA_EARACTION";
    public static final int FORCE_ANALOG_DOCK = 8;
    public static final int FORCE_BT_A2DP = 4;
    public static final int FORCE_BT_CAR_DOCK = 6;
    public static final int FORCE_BT_DESK_DOCK = 7;
    public static final int FORCE_BT_SCO = 3;
    public static final int FORCE_DEFAULT = 0;
    public static final int FORCE_DIGITAL_DOCK = 9;
    public static final int FORCE_HEADPHONES = 2;
    public static final int FORCE_NONE = 0;
    public static final int FORCE_NO_BT_A2DP = 10;
    public static final int FORCE_SPEAKER = 1;
    public static final int FORCE_WIRED_ACCESSORY = 5;
    public static final int FOR_COMMUNICATION = 0;
    public static final int FOR_DOCK = 3;
    public static final int FOR_MEDIA = 1;
    public static final int FOR_RECORD = 2;
    public static final String GETCONNECTEDDEVICE_RESULT_LIST = "GETCONNECTEDDEVICE_REULT_LIST";
    public static final String GETCONNECTINGDEVICE_RESULT_LIST = "GETCONNECTINGDEVICE_REULT_LIST";
    public static final String ISDEVICECHANGABLED_RESULT_ISCHANGABLED = "ISDEVICECHANGABLED_REULT_ISCHANGABLED";
    public static boolean IsEarPhoneSupported = false;
    public static boolean IsMusicScene = false;
    public static boolean IsUpdateSceneFlag = false;
    public static final int MODE_MUSIC_PLAYBACK = 2;
    public static final int MODE_MUSIC_PLAY_RECORD = 1;
    public static final int MODE_MUSIC_PLAY_RECORD_HIGH_QUALITY = 3;
    public static final int MODE_MUSIC_PLAY_RECORD_LOW_QUALITY = 5;
    public static final int MODE_VOICE_CHAT = 0;
    public static final int MODE_VOICE_PLAYBACK = 4;
    public static final String MUSIC_CONFIG = "DEVICE_SPEAKERPHONE;DEVICE_WIREDHEADSET;DEVICE_BLUETOOTHHEADSET;";
    public static final String NOTIFY_DEVICECHANGABLE_UPDATE = "NOTIFY_DEVICECHANGABLE_UPDATE";
    public static final String NOTIFY_DEVICECHANGABLE_UPDATE_DATE = "NOTIFY_DEVICECHANGABLE_UPDATE_DATE";
    public static final String NOTIFY_DEVICELIST_UPDATE = "NOTIFY_DEVICELISTUPDATE";
    public static final String NOTIFY_RING_COMPLETION = "NOTIFY_RING_COMPLETION";
    public static final String NOTIFY_ROUTESWITCHEND = "NOTIFY_ROUTESWITCHEND";
    public static final String NOTIFY_ROUTESWITCHSTART = "NOTIFY_ROUTESWITCHSTART";
    public static final String NOTIFY_SERVICE_STATE = "NOTIFY_SERVICE_STATE";
    public static final String NOTIFY_SERVICE_STATE_DATE = "NOTIFY_SERVICE_STATE_DATE";
    public static final String NOTIFY_STREAMTYPE_UPDATE = "NOTIFY_STREAMTYPE_UPDATE";
    private static final int NUM_FORCE_CONFIG = 11;
    private static final int NUM_FORCE_USE = 4;
    public static final String OPERATION_CONNECTDEVICE = "OPERATION_CONNECTDEVICE";
    public static final String OPERATION_CONNECT_HIGHEST_PRIORITY_DEVICE = "OPERATION_CONNECT_HIGHEST_PRIORITY_DEVICE";
    public static final String OPERATION_EARACTION = "OPERATION_EARACTION";
    public static final String OPERATION_GETCONNECTEDDEVICE = "OPERATION_GETCONNECTEDDEVICE";
    public static final String OPERATION_GETCONNECTINGDEVICE = "OPERATION_GETCONNECTINGDEVICE";
    public static final String OPERATION_GETDEVICELIST = "OPERATION_GETDEVICELIST";
    public static final String OPERATION_GETSTREAMTYPE = "OPERATION_GETSTREAMTYPE";
    public static final String OPERATION_ISDEVICECHANGABLED = "OPERATION_ISDEVICECHANGABLED";
    public static final String OPERATION_RECOVER_AUDIO_FOCUS = "OPERATION_RECOVER_AUDIO_FOCUS";
    public static final String OPERATION_REGISTERAUDIOSESSION = "OPERATION_REGISTERAUDIOSESSION";
    public static final String OPERATION_REQUEST_RELEASE_AUDIO_FOCUS = "OPERATION_REQUEST_RELEASE_AUDIO_FOCUS";
    public static final String OPERATION_STARTRING = "OPERATION_STARTRING";
    public static final String OPERATION_STARTSERVICE = "OPERATION_STARTSERVICE";
    public static final String OPERATION_STOPRING = "OPERATION_STOPRING";
    public static final String OPERATION_STOPSERVICE = "OPERATION_STOPSERVICE";
    public static final String OPERATION_VOICECALL_AUDIOPARAM_CHANGED = "OPERATION_VOICECALL_AUDIOPARAM_CHANGED";
    public static final String OPERATION_VOICECALL_POSTPROCESS = "OPERATION_VOICECALL_POSTROCESS";
    public static final String OPERATION_VOICECALL_PREPROCESS = "OPERATION_VOICECALL_PREPROCESS";
    public static final String PARAM_DEVICE = "PARAM_DEVICE";
    public static final String PARAM_ERROR = "PARAM_ERROR";
    public static final String PARAM_ISHOSTSIDE = "PARAM_ISHOSTSIDE";
    public static final String PARAM_MODEPOLICY = "PARAM_MODEPOLICY";
    public static final String PARAM_OPERATION = "PARAM_OPERATION";
    public static final String PARAM_RES_ERRCODE = "PARAM_RES_ERRCODE";
    public static final String PARAM_RING_DATASOURCE = "PARAM_RING_DATASOURCE";
    public static final String PARAM_RING_FILEPATH = "PARAM_RING_FILEPATH";
    public static final String PARAM_RING_LOOP = "PARAM_RING_LOOP";
    public static final String PARAM_RING_LOOPCOUNT = "PARAM_RING_LOOPCOUNT";
    public static final String PARAM_RING_MODE = "PARAM_RING_MODE";
    public static final String PARAM_RING_RSID = "PARAM_RING_RSID";
    public static final String PARAM_RING_URI = "PARAM_RING_URI";
    public static final String PARAM_RING_USERDATA_STRING = "PARAM_RING_USERDATA_STRING";
    public static final String PARAM_SESSIONID = "PARAM_SESSIONID";
    public static final String PARAM_STATUS = "PARAM_STATUS";
    public static final String PARAM_STREAMTYPE = "PARAM_STREAMTYPE";
    public static final String REGISTERAUDIOSESSION_ISREGISTER = "REGISTERAUDIOSESSION_ISREGISTER";
    public static final int RES_ERRCODE_DEVICE_BTCONNCECTED_TIMEOUT = 10;
    public static final int RES_ERRCODE_DEVICE_NOT_VISIABLE = 8;
    public static final int RES_ERRCODE_DEVICE_UNCHANGEABLE = 9;
    public static final int RES_ERRCODE_DEVICE_UNKOWN = 7;
    public static final int RES_ERRCODE_NONE = 0;
    public static final int RES_ERRCODE_RING_NOT_EXIST = 5;
    public static final int RES_ERRCODE_SERVICE_OFF = 1;
    public static final int RES_ERRCODE_STOPRING_INTERRUPT = 4;
    public static final int RES_ERRCODE_VOICECALLPOST_INTERRUPT = 6;
    public static final int RES_ERRCODE_VOICECALL_EXIST = 2;
    public static final int RES_ERRCODE_VOICECALL_NOT_EXIST = 3;
    public static final String VIDEO_CONFIG = "DEVICE_EARPHONE;DEVICE_SPEAKERPHONE;DEVICE_BLUETOOTHHEADSET;DEVICE_WIREDHEADSET;";
    public static final String VOICECALL_CONFIG = "DEVICE_SPEAKERPHONE;DEVICE_EARPHONE;DEVICE_BLUETOOTHHEADSET;DEVICE_WIREDHEADSET;";
    static int _gHostProcessId = -1;
    static TraeAudioManager _ginstance = null;
    static ReentrantLock _glock = new ReentrantLock();
    public static boolean enableDeviceSwitchFlag = true;
    static final String[] forceName = {"FORCE_NONE", "FORCE_SPEAKER", "FORCE_HEADPHONES", "FORCE_BT_SCO", "FORCE_BT_A2DP", "FORCE_WIRED_ACCESSORY", "FORCE_BT_CAR_DOCK", "FORCE_BT_DESK_DOCK", "FORCE_ANALOG_DOCK", "FORCE_NO_BT_A2DP", "FORCE_DIGITAL_DOCK"};
    boolean IsBluetoothA2dpExisted = true;
    int _activeMode = 0;
    AudioManager _am = null;
    TraeAudioSessionHost _audioSessionHost = null;
    d _bluetoothCheck = null;
    Context _context = null;
    e _deviceConfigManager = null;
    ReentrantLock _lock = new ReentrantLock();
    int _modePolicy = -1;
    int _prevMode = 0;
    int _streamType = 0;
    k _switchThread = null;
    f mTraeAudioManagerLooper = null;
    String sessionConnectedDev = DEVICE_NONE;

    public static boolean checkDevName(String str) {
        if (str == null) {
            return false;
        }
        if (DEVICE_SPEAKERPHONE.equals(str) || DEVICE_EARPHONE.equals(str) || DEVICE_WIREDHEADSET.equals(str) || DEVICE_BLUETOOTHHEADSET.equals(str)) {
            return true;
        }
        return false;
    }

    public static boolean isHandfree(String str) {
        if (checkDevName(str) && DEVICE_SPEAKERPHONE.equals(str)) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public class e {
        HashMap<String, a> a = new HashMap<>();
        String b = TraeAudioManager.DEVICE_NONE;
        String c = TraeAudioManager.DEVICE_NONE;
        String d = TraeAudioManager.DEVICE_NONE;
        ReentrantLock e = new ReentrantLock();
        boolean f = false;
        String g = "unknow";

        public class a {
            String a = TraeAudioManager.DEVICE_NONE;
            boolean b = false;
            int c = 0;

            public a() {
            }

            public boolean a(String str, int i) {
                if (str == null || str.length() <= 0 || !TraeAudioManager.checkDevName(str)) {
                    return false;
                }
                this.a = str;
                this.c = i;
                return true;
            }

            public String a() {
                return this.a;
            }

            public boolean b() {
                return this.b;
            }

            public int c() {
                return this.c;
            }

            public void a(boolean z) {
                this.b = z;
            }
        }

        public e() {
        }

        public boolean a(String str) {
            String replace;
            AudioDeviceInterface.LogTraceEntry(" strConfigs:" + str);
            if (str == null || str.length() <= 0 || (replace = str.replace("\n", "").replace("\r", "")) == null || replace.length() <= 0) {
                return false;
            }
            if (replace.indexOf(com.alipay.sdk.m.u.i.b) < 0) {
                replace = replace + com.alipay.sdk.m.u.i.b;
            }
            String[] split = replace.split(com.alipay.sdk.m.u.i.b);
            if (split == null || 1 > split.length) {
                return false;
            }
            this.e.lock();
            for (int i = 0; i < split.length; i++) {
                a(split[i], i);
            }
            this.e.unlock();
            TraeAudioManager.this.printDevices();
            return true;
        }

        /* access modifiers changed from: package-private */
        public boolean a(String str, int i) {
            AudioDeviceInterface.LogTraceEntry(" devName:" + str + " priority:" + i);
            a aVar = new a();
            if (!aVar.a(str, i)) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " err dev init!");
                }
                return false;
            } else if (this.a.containsKey(str)) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "err dev exist!");
                }
                return false;
            } else {
                this.a.put(str, aVar);
                this.f = true;
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, " n" + e() + " 0:" + a(0));
                }
                AudioDeviceInterface.LogTraceExit();
                return true;
            }
        }

        public void a() {
            this.e.lock();
            this.a.clear();
            this.b = TraeAudioManager.DEVICE_NONE;
            this.c = TraeAudioManager.DEVICE_NONE;
            this.d = TraeAudioManager.DEVICE_NONE;
            this.e.unlock();
        }

        public boolean b() {
            this.e.lock();
            boolean z = this.f;
            this.e.unlock();
            return z;
        }

        public void c() {
            this.e.lock();
            this.f = false;
            this.e.unlock();
        }

        public boolean a(String str, boolean z) {
            this.e.lock();
            a aVar = this.a.get(str);
            boolean z2 = true;
            if (aVar == null || aVar.b() == z) {
                z2 = false;
            } else {
                aVar.a(z);
                this.f = true;
                if (QLog.isColorLevel()) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(" ++setVisible:");
                    sb.append(str);
                    sb.append(z ? " Y" : " N");
                    QLog.w("TRAE", 2, sb.toString());
                }
            }
            this.e.unlock();
            return z2;
        }

        public void b(String str) {
            if (str == null) {
                this.g = "unknow";
            } else if (str.isEmpty()) {
                this.g = "unknow";
            } else {
                this.g = str;
            }
        }

        public String d() {
            return this.g;
        }

        public boolean c(String str) {
            boolean z;
            this.e.lock();
            a aVar = this.a.get(str);
            if (aVar != null) {
                z = aVar.b();
            } else {
                z = false;
            }
            this.e.unlock();
            return z;
        }

        public int d(String str) {
            int i;
            this.e.lock();
            a aVar = this.a.get(str);
            if (aVar != null) {
                i = aVar.c();
            } else {
                i = -1;
            }
            this.e.unlock();
            return i;
        }

        public int e() {
            this.e.lock();
            int size = this.a.size();
            this.e.unlock();
            return size;
        }

        public String a(int i) {
            a aVar;
            String str;
            this.e.lock();
            Iterator<Map.Entry<String, a>> it = this.a.entrySet().iterator();
            int i2 = 0;
            while (true) {
                if (!it.hasNext()) {
                    aVar = null;
                    break;
                }
                Map.Entry<String, a> next = it.next();
                if (i2 == i) {
                    aVar = next.getValue();
                    break;
                }
                i2++;
            }
            if (aVar != null) {
                str = aVar.a();
            } else {
                str = TraeAudioManager.DEVICE_NONE;
            }
            this.e.unlock();
            return str;
        }

        public String e(String str) {
            this.e.lock();
            a aVar = null;
            for (Map.Entry<String, a> entry : this.a.entrySet()) {
                entry.getKey();
                entry.getValue();
                a value = entry.getValue();
                if (value != null && value.b() && !value.a().equals(str)) {
                    if (aVar == null || value.c() >= aVar.c()) {
                        aVar = value;
                    }
                }
            }
            this.e.unlock();
            return aVar != null ? aVar.a() : TraeAudioManager.DEVICE_SPEAKERPHONE;
        }

        public String f() {
            this.e.lock();
            a aVar = null;
            for (Map.Entry<String, a> entry : this.a.entrySet()) {
                entry.getKey();
                entry.getValue();
                a value = entry.getValue();
                if (value != null && value.b()) {
                    if (aVar == null || value.c() >= aVar.c()) {
                        aVar = value;
                    }
                }
            }
            this.e.unlock();
            return aVar != null ? aVar.a() : TraeAudioManager.DEVICE_SPEAKERPHONE;
        }

        public String g() {
            String str;
            this.e.lock();
            a aVar = this.a.get(this.d);
            if (aVar == null || !aVar.b()) {
                str = null;
            } else {
                str = this.d;
            }
            this.e.unlock();
            return str;
        }

        public String h() {
            this.e.lock();
            String m = m();
            this.e.unlock();
            return m;
        }

        public String i() {
            this.e.lock();
            String n = n();
            this.e.unlock();
            return n;
        }

        public boolean f(String str) {
            boolean z;
            this.e.lock();
            a aVar = this.a.get(str);
            if (aVar == null || !aVar.b()) {
                z = false;
            } else {
                this.d = str;
                z = true;
            }
            this.e.unlock();
            return z;
        }

        public boolean g(String str) {
            boolean z;
            this.e.lock();
            a aVar = this.a.get(str);
            if (aVar == null || !aVar.b()) {
                z = false;
            } else {
                String str2 = this.c;
                if (str2 != null && !str2.equals(str)) {
                    this.b = this.c;
                }
                this.c = str;
                this.d = "";
                z = true;
            }
            this.e.unlock();
            return z;
        }

        public HashMap<String, Object> j() {
            HashMap<String, Object> hashMap = new HashMap<>();
            this.e.lock();
            hashMap.put(TraeAudioManager.EXTRA_DATA_AVAILABLEDEVICE_LIST, l());
            hashMap.put(TraeAudioManager.EXTRA_DATA_CONNECTEDDEVICE, m());
            hashMap.put(TraeAudioManager.EXTRA_DATA_PREV_CONNECTEDDEVICE, n());
            this.e.unlock();
            return hashMap;
        }

        public ArrayList<String> k() {
            new ArrayList();
            this.e.lock();
            ArrayList<String> l = l();
            this.e.unlock();
            return l;
        }

        /* access modifiers changed from: package-private */
        public ArrayList<String> l() {
            ArrayList<String> arrayList = new ArrayList<>();
            for (Map.Entry<String, a> entry : this.a.entrySet()) {
                a value = entry.getValue();
                if (value != null && value.b()) {
                    arrayList.add(value.a());
                }
            }
            return arrayList;
        }

        /* access modifiers changed from: package-private */
        public String m() {
            a aVar = this.a.get(this.c);
            if (aVar == null || !aVar.b()) {
                return TraeAudioManager.DEVICE_NONE;
            }
            return this.c;
        }

        /* access modifiers changed from: package-private */
        public String n() {
            a aVar = this.a.get(this.b);
            if (aVar == null || !aVar.b()) {
                return TraeAudioManager.DEVICE_NONE;
            }
            return this.b;
        }
    }

    /* access modifiers changed from: package-private */
    public void printDevices() {
        AudioDeviceInterface.LogTraceEntry("");
        int e2 = this._deviceConfigManager.e();
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "   ConnectedDevice:" + this._deviceConfigManager.h());
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "   ConnectingDevice:" + this._deviceConfigManager.g());
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "   prevConnectedDevice:" + this._deviceConfigManager.i());
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "   AHPDevice:" + this._deviceConfigManager.f());
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "   deviceNamber:" + e2);
        }
        for (int i2 = 0; i2 < e2; i2++) {
            String a2 = this._deviceConfigManager.a(i2);
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "      " + i2 + " devName:" + a2 + " Visible:" + this._deviceConfigManager.c(a2) + " Priority:" + this._deviceConfigManager.d(a2));
            }
        }
        String[] strArr = (String[]) this._deviceConfigManager.k().toArray(new String[0]);
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "   AvailableNamber:" + strArr.length);
        }
        for (int i3 = 0; i3 < strArr.length; i3++) {
            String str = strArr[i3];
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "      " + i3 + " devName:" + str + " Visible:" + this._deviceConfigManager.c(str) + " Priority:" + this._deviceConfigManager.d(str));
            }
        }
        AudioDeviceInterface.LogTraceExit();
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0051 A[RETURN] */
    static boolean isCloseSystemAPM(int i2) {
        if (i2 != -1) {
            return false;
        }
        if (Build.MANUFACTURER.equals("Xiaomi")) {
            if (!Build.MODEL.equals("MI 2") && !Build.MODEL.equals("MI 2A") && !Build.MODEL.equals("MI 2S") && !Build.MODEL.equals("MI 2SC")) {
                return false;
            }
            return true;
        } else if (Build.MANUFACTURER.equals("samsung") && Build.MODEL.equals("SCH-I959")) {
            return true;
        }
        return false;
    }

    public static boolean IsEabiLowVersionByAbi(String str) {
        if (str == null) {
            return true;
        }
        if (str.contains(DeviceUtils.ABI_X86) || str.contains(DeviceUtils.ABI_MIPS)) {
            return false;
        }
        if (str.equalsIgnoreCase("armeabi")) {
            return true;
        }
        if (!str.equalsIgnoreCase("armeabi-v7a") && !str.equalsIgnoreCase("arm64-v8a")) {
            return true;
        }
        return false;
    }

    static boolean IsEabiLowVersion() {
        String str;
        String str2 = Build.CPU_ABI;
        if (Build.VERSION.SDK_INT >= 8) {
            try {
                str = (String) Build.class.getDeclaredField("CPU_ABI2").get(null);
            } catch (Exception e2) {
                return IsEabiLowVersionByAbi(str2);
            }
        } else {
            str = "unknown";
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "IsEabiVersion CPU_ABI:" + str2 + " CPU_ABI2:" + str);
        }
        return IsEabiLowVersionByAbi(str2) && IsEabiLowVersionByAbi(str);
    }

    static int getAudioSource(int i2) {
        int i3 = 0;
        if (IsMusicScene) {
            return 0;
        }
        if (IsEabiLowVersion()) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "[Config] armeabi low Version, getAudioSource _audioSourcePolicy:" + i2 + " source:" + 0);
            }
            return 0;
        }
        int i4 = Build.VERSION.SDK_INT;
        if (i2 >= 0) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "[Config] getAudioSource _audioSourcePolicy:" + i2 + " source:" + i2);
            }
            return i2;
        }
        if (i4 >= 11) {
            i3 = 7;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "[Config] getAudioSource _audioSourcePolicy:" + i2 + " source:" + i3);
        }
        return i3;
    }

    static int getAudioStreamType(int i2) {
        int i3 = 3;
        if (IsMusicScene) {
            return 3;
        }
        if (IsEabiLowVersion()) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "[Config] armeabi low Version, getAudioStreamType audioStreamTypePolicy:" + i2 + " streamType:" + 3);
            }
            return 3;
        }
        int i4 = Build.VERSION.SDK_INT;
        if (i2 >= 0) {
            i3 = i2;
        } else if (i4 >= 9) {
            i3 = 0;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "[Config] getAudioStreamType audioStreamTypePolicy:" + i2 + " streamType:" + i3);
        }
        return i3;
    }

    static int getCallAudioMode(int i2) {
        int i3 = 0;
        if (IsMusicScene) {
            return 0;
        }
        if (IsEabiLowVersion()) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "[Config] armeabi low Version, getCallAudioMode modePolicy:" + i2 + " mode:" + 0);
            }
            return 0;
        }
        int i4 = Build.VERSION.SDK_INT;
        if (i2 >= 0) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "[Config] getCallAudioMode modePolicy:" + i2 + " mode:" + i2);
            }
            return i2;
        }
        if (i4 >= 11) {
            i3 = 3;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "[Config] getCallAudioMode _modePolicy:" + i2 + " mode:" + i3 + "facturer:" + Build.MANUFACTURER + " model:" + Build.MODEL);
        }
        return i3;
    }

    /* access modifiers changed from: package-private */
    public void updateDeviceStatus() {
        boolean z;
        int e2 = this._deviceConfigManager.e();
        for (int i2 = 0; i2 < e2; i2++) {
            String a2 = this._deviceConfigManager.a(i2);
            if (a2 != null) {
                if (a2.equals(DEVICE_BLUETOOTHHEADSET)) {
                    d dVar = this._bluetoothCheck;
                    if (dVar == null) {
                        z = this._deviceConfigManager.a(a2, false);
                    } else {
                        z = this._deviceConfigManager.a(a2, dVar.b());
                    }
                } else if (a2.equals(DEVICE_WIREDHEADSET)) {
                    z = this._deviceConfigManager.a(a2, this._am.isWiredHeadsetOn());
                } else if (a2.equals(DEVICE_SPEAKERPHONE)) {
                    this._deviceConfigManager.a(a2, true);
                }
                if (z && QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "pollUpdateDevice dev:" + a2 + " Visible:" + this._deviceConfigManager.c(a2));
                }
            }
            z = false;
            QLog.w("TRAE", 2, "pollUpdateDevice dev:" + a2 + " Visible:" + this._deviceConfigManager.c(a2));
        }
        checkAutoDeviceListUpdate();
    }

    /* access modifiers changed from: package-private */
    public void _updateEarphoneVisable() {
        if (this._deviceConfigManager.c(DEVICE_WIREDHEADSET)) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, " detected headset plugin,so disable earphone");
            }
            this._deviceConfigManager.a(DEVICE_EARPHONE, false);
            return;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, " detected headset plugout,so enable earphone");
        }
        this._deviceConfigManager.a(DEVICE_EARPHONE, true);
    }

    /* access modifiers changed from: package-private */
    public void checkAutoDeviceListUpdate() {
        if (this._deviceConfigManager.b()) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "checkAutoDeviceListUpdate got update!");
            }
            _updateEarphoneVisable();
            this._deviceConfigManager.c();
            internalSendMessage(com.umeng.commonsdk.internal.a.t, new HashMap<>());
        }
    }

    /* access modifiers changed from: package-private */
    public void checkDevicePlug(String str, boolean z) {
        if (this._deviceConfigManager.b()) {
            if (QLog.isColorLevel()) {
                StringBuilder sb = new StringBuilder();
                sb.append("checkDevicePlug got update dev:");
                sb.append(str);
                sb.append(z ? " piugin" : " plugout");
                sb.append(" connectedDev:");
                sb.append(this._deviceConfigManager.h());
                QLog.w("TRAE", 2, sb.toString());
            }
            _updateEarphoneVisable();
            this._deviceConfigManager.c();
            if (z) {
                HashMap<String, Object> hashMap = new HashMap<>();
                hashMap.put(PARAM_DEVICE, str);
                internalSendMessage(com.umeng.commonsdk.internal.a.u, hashMap);
                return;
            }
            String h2 = this._deviceConfigManager.h();
            if (h2.equals(str) || h2.equals(DEVICE_NONE)) {
                HashMap<String, Object> hashMap2 = new HashMap<>();
                hashMap2.put(PARAM_DEVICE, str);
                internalSendMessage(com.umeng.commonsdk.internal.a.v, hashMap2);
                return;
            }
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, " ---No switch,plugout:" + str + " connectedDev:" + h2);
            }
            internalSendMessage(com.umeng.commonsdk.internal.a.t, new HashMap<>());
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends Thread {
        Handler a = null;
        TraeMediaPlayer b = null;
        long c = -1;
        String d = "";
        String e = "";
        final boolean[] f = {false};
        boolean g = false;
        TraeAudioManager h = null;
        String i = "";
        int j = 0;
        int k = 0;
        long l = -1;
        String m = "";
        AudioManager.OnAudioFocusChangeListener n = null;
        int o = 0;

        public f(TraeAudioManager traeAudioManager) {
            this.h = traeAudioManager;
            long elapsedRealtime = SystemClock.elapsedRealtime();
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "TraeAudioManagerLooper start...");
            }
            start();
            synchronized (this.f) {
                if (!this.f[0]) {
                    try {
                        this.f.wait(com.alipay.sdk.m.u.b.a);
                    } catch (InterruptedException e2) {
                    }
                }
            }
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "  start used:" + (SystemClock.elapsedRealtime() - elapsedRealtime) + "ms");
            }
        }

        public void a() {
            AudioDeviceInterface.LogTraceEntry("");
            if (this.a != null) {
                long elapsedRealtime = SystemClock.elapsedRealtime();
                this.a.getLooper().quit();
                synchronized (this.f) {
                    if (this.f[0]) {
                        try {
                            this.f.wait(10000);
                        } catch (InterruptedException e2) {
                        }
                    }
                }
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "  quit used:" + (SystemClock.elapsedRealtime() - elapsedRealtime) + "ms");
                }
                this.a = null;
                AudioDeviceInterface.LogTraceExit();
            }
        }

        public int a(int i2, HashMap<String, Object> hashMap) {
            Handler handler = this.a;
            if (handler == null) {
                StringBuilder sb = new StringBuilder();
                sb.append(" fail mMsgHandler==null _enabled:");
                sb.append(this.g ? "Y" : "N");
                sb.append(" activeMode:");
                sb.append(TraeAudioManager.this._activeMode);
                sb.append(" msg:");
                sb.append(i2);
                AudioDeviceInterface.LogTraceEntry(sb.toString());
                return -1;
            }
            if (this.a.sendMessage(Message.obtain(handler, i2, hashMap))) {
                return 0;
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public void a(HashMap<String, Object> hashMap) {
            String str = (String) hashMap.get(TraeAudioManager.EXTRA_DATA_DEVICECONFIG);
            Log.w("TRAE", "startService cfg:" + str);
            StringBuilder sb = new StringBuilder();
            sb.append(" _enabled:");
            sb.append(this.g ? "Y" : "N");
            sb.append(" activeMode:");
            sb.append(TraeAudioManager.this._activeMode);
            sb.append(" cfg:");
            sb.append(str);
            AudioDeviceInterface.LogTraceEntry(sb.toString());
            if (TraeAudioManager.this._context != null) {
                QLog.w("TRAE", 2, "   startService:" + str);
                if ((!this.g || !this.i.equals(str)) && TraeAudioManager.this._activeMode == 0) {
                    if (this.g) {
                        c();
                    }
                    e();
                    AudioManager audioManager = (AudioManager) TraeAudioManager.this._context.getSystemService("audio");
                    TraeAudioManager.this._deviceConfigManager.a();
                    TraeAudioManager.this._deviceConfigManager.a(str);
                    this.i = str;
                    if (TraeAudioManager.this._am != null) {
                        this.j = TraeAudioManager.this._am.getMode();
                    }
                    this.g = true;
                    if (this.b == null) {
                        this.b = new TraeMediaPlayer(TraeAudioManager.this._context, new TraeMediaPlayer.a() {
                            /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.f.AnonymousClass1 */

                            @Override // com.tencent.rtmp.sharp.jni.TraeMediaPlayer.a
                            public void a() {
                                if (QLog.isColorLevel()) {
                                    QLog.w("TRAE", 2, "_ringPlayer onCompletion _activeMode:" + TraeAudioManager.this._activeMode + " _preRingMode:" + f.this.k);
                                }
                                HashMap<String, Object> hashMap = new HashMap<>();
                                hashMap.put(TraeAudioManager.PARAM_ISHOSTSIDE, true);
                                f.this.a(com.umeng.commonsdk.internal.a.r, hashMap);
                                f.this.k();
                            }
                        });
                    }
                    a(this.g);
                    TraeAudioManager.this.updateDeviceStatus();
                    AudioDeviceInterface.LogTraceExit();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public boolean b() {
            if (!Build.MANUFACTURER.equals("Xiaomi")) {
                return false;
            }
            if (!Build.MODEL.equals("MI 5") && !Build.MODEL.equals("MI 5s") && !Build.MODEL.equals("MI 5s Plus")) {
                return false;
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public void c() {
            StringBuilder sb = new StringBuilder();
            sb.append(" _enabled:");
            sb.append(this.g ? "Y" : "N");
            sb.append(" activeMode:");
            sb.append(TraeAudioManager.this._activeMode);
            AudioDeviceInterface.LogTraceEntry(sb.toString());
            if (this.g) {
                if (TraeAudioManager.this._activeMode == 1) {
                    i();
                } else if (TraeAudioManager.this._activeMode == 2) {
                    j();
                }
                if (TraeAudioManager.this._switchThread != null) {
                    if (QLog.isColorLevel()) {
                        QLog.w("TRAE", 2, "_switchThread:" + TraeAudioManager.this._switchThread.b());
                    }
                    TraeAudioManager.this._switchThread.g();
                    TraeAudioManager.this._switchThread = null;
                }
                TraeMediaPlayer traeMediaPlayer = this.b;
                if (traeMediaPlayer != null) {
                    traeMediaPlayer.stopRing();
                }
                this.b = null;
                this.g = false;
                a(false);
                if (!(TraeAudioManager.this._am == null || TraeAudioManager.this._context == null)) {
                    try {
                        TraeAudioManager.this.InternalSetMode(0);
                        if (b()) {
                            QLog.w("TRAE", 2, "NeedForceVolumeType: AudioManager.STREAM_MUSIC");
                            TraeAudioManager.forceVolumeControlStream(TraeAudioManager.this._am, 3);
                        }
                    } catch (Exception e2) {
                    }
                }
                f();
                AudioDeviceInterface.LogTraceExit();
            }
        }

        /* access modifiers changed from: package-private */
        public int a(boolean z) {
            if (TraeAudioManager.this._context == null) {
                return -1;
            }
            Intent intent = new Intent();
            intent.setAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_NOTIFY);
            intent.putExtra(TraeAudioManager.PARAM_OPERATION, TraeAudioManager.NOTIFY_SERVICE_STATE);
            intent.putExtra(TraeAudioManager.NOTIFY_SERVICE_STATE_DATE, z);
            if (TraeAudioManager.this._context == null) {
                return 0;
            }
            TraeAudioManager.this._context.sendBroadcast(intent);
            return 0;
        }

        public void run() {
            AudioDeviceInterface.LogTraceEntry("");
            Looper.prepare();
            this.a = new Handler() {
                /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.f.AnonymousClass2 */

                /* JADX DEBUG: Multi-variable search result rejected for r10v3, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX DEBUG: Multi-variable search result rejected for r10v5, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager */
                /* JADX DEBUG: Multi-variable search result rejected for r10v7, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager */
                /* JADX DEBUG: Multi-variable search result rejected for r10v9, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager */
                /* JADX DEBUG: Multi-variable search result rejected for r10v11, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager */
                /* JADX DEBUG: Multi-variable search result rejected for r10v13, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager */
                /* JADX DEBUG: Multi-variable search result rejected for r10v14, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX DEBUG: Multi-variable search result rejected for r10v15, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX DEBUG: Multi-variable search result rejected for r10v16, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX DEBUG: Multi-variable search result rejected for r10v17, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX DEBUG: Multi-variable search result rejected for r10v18, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX DEBUG: Multi-variable search result rejected for r0v7, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager */
                /* JADX DEBUG: Multi-variable search result rejected for r10v57, resolved type: com.tencent.rtmp.sharp.jni.TraeAudioManager$f */
                /* JADX WARN: Multi-variable type inference failed */
                public void handleMessage(Message message) {
                    HashMap hashMap;
                    try {
                        hashMap = (HashMap) message.obj;
                    } catch (Exception e) {
                        hashMap = null;
                    }
                    if (QLog.isColorLevel()) {
                        StringBuilder sb = new StringBuilder();
                        sb.append("TraeAudioManagerLooper msg:");
                        sb.append(message.what);
                        sb.append(" _enabled:");
                        sb.append(f.this.g ? "Y" : "N");
                        QLog.w("TRAE", 2, sb.toString());
                    }
                    if (message.what == 32772) {
                        f.this.a(hashMap);
                    } else if (!f.this.g) {
                        if (QLog.isColorLevel()) {
                            QLog.w("TRAE", 2, "******* disabled ,skip msg******");
                        }
                        TraeAudioManager.this.sendResBroadcast(new Intent(), hashMap, 1);
                    } else {
                        switch (message.what) {
                            case 32773:
                                f.this.c();
                                return;
                            case com.umeng.commonsdk.internal.a.k /*{ENCODED_INT: 32774}*/:
                                f.this.b(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.l /*{ENCODED_INT: 32775}*/:
                                TraeAudioManager.this.InternalSessionConnectDevice(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.m /*{ENCODED_INT: 32776}*/:
                                TraeAudioManager.this.InternalSessionEarAction(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.n /*{ENCODED_INT: 32777}*/:
                                TraeAudioManager.this.InternalSessionIsDeviceChangabled(hashMap);
                                return;
                            case 32778:
                                TraeAudioManager.this.InternalSessionGetConnectedDevice(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.o /*{ENCODED_INT: 32779}*/:
                                TraeAudioManager.this.InternalSessionGetConnectingDevice(hashMap);
                                return;
                            case 32780:
                                f.this.c(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.p /*{ENCODED_INT: 32781}*/:
                                f.this.d(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.q /*{ENCODED_INT: 32782}*/:
                                f.this.e(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.r /*{ENCODED_INT: 32783}*/:
                                f.this.f(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.s /*{ENCODED_INT: 32784}*/:
                                f.this.g(hashMap);
                                return;
                            case com.umeng.commonsdk.internal.a.t /*{ENCODED_INT: 32785}*/:
                            case 32789:
                                String f = TraeAudioManager.this._deviceConfigManager.f();
                                String h = TraeAudioManager.this._deviceConfigManager.h();
                                if (QLog.isColorLevel()) {
                                    QLog.w("TRAE", 2, "MESSAGE_AUTO_DEVICELIST_UPDATE  connectedDev:" + h + " highestDev" + f);
                                }
                                if (TraeAudioManager.IsUpdateSceneFlag) {
                                    if (!TraeAudioManager.IsMusicScene || TraeAudioManager.this.IsBluetoothA2dpExisted) {
                                        TraeAudioManager.this.InternalConnectDevice(f, null, true);
                                        return;
                                    } else {
                                        TraeAudioManager.this.InternalConnectDevice(TraeAudioManager.this._deviceConfigManager.e(TraeAudioManager.DEVICE_BLUETOOTHHEADSET), null, true);
                                        return;
                                    }
                                } else if (!f.equals(h)) {
                                    TraeAudioManager.this.InternalConnectDevice(f, null, false);
                                    return;
                                } else {
                                    TraeAudioManager.this.InternalNotifyDeviceListUpdate();
                                    return;
                                }
                            case com.umeng.commonsdk.internal.a.u /*{ENCODED_INT: 32786}*/:
                                String str = (String) hashMap.get(TraeAudioManager.PARAM_DEVICE);
                                if (TraeAudioManager.this.InternalConnectDevice(str, null, false) != 0) {
                                    if (QLog.isColorLevel()) {
                                        QLog.w("TRAE", 2, " plugin dev:" + str + " sessionConnectedDev:" + TraeAudioManager.this.sessionConnectedDev + " connected fail,auto switch!");
                                    }
                                    TraeAudioManager.this.InternalConnectDevice(TraeAudioManager.this._deviceConfigManager.f(), null, false);
                                    return;
                                }
                                return;
                            case com.umeng.commonsdk.internal.a.v /*{ENCODED_INT: 32787}*/:
                                if (TraeAudioManager.this.InternalConnectDevice(TraeAudioManager.this.sessionConnectedDev, null, false) != 0) {
                                    String str2 = (String) hashMap.get(TraeAudioManager.PARAM_DEVICE);
                                    if (QLog.isColorLevel()) {
                                        QLog.w("TRAE", 2, " plugout dev:" + str2 + " sessionConnectedDev:" + TraeAudioManager.this.sessionConnectedDev + " connected fail,auto switch!");
                                    }
                                    TraeAudioManager.this.InternalConnectDevice(TraeAudioManager.this._deviceConfigManager.f(), null, false);
                                    return;
                                }
                                return;
                            case com.umeng.commonsdk.internal.a.w /*{ENCODED_INT: 32788}*/:
                                Integer num = (Integer) hashMap.get(TraeAudioManager.PARAM_STREAMTYPE);
                                if (num != null) {
                                    TraeAudioManager.this._streamType = num.intValue();
                                    f.this.b(num.intValue());
                                    return;
                                } else if (QLog.isColorLevel()) {
                                    QLog.e("TRAE", 2, " MESSAGE_VOICECALL_AUIDOPARAM_CHANGED params.get(PARAM_STREAMTYPE)==null!!");
                                    return;
                                } else {
                                    return;
                                }
                            case com.umeng.commonsdk.internal.a.x /*{ENCODED_INT: 32790}*/:
                                f.this.h();
                                return;
                            case com.umeng.commonsdk.internal.a.y /*{ENCODED_INT: 32791}*/:
                                f fVar = f.this;
                                fVar.a(TraeAudioManager.this._streamType);
                                return;
                            default:
                                return;
                        }
                    }
                }
            };
            d();
            synchronized (this.f) {
                this.f[0] = true;
                this.f.notifyAll();
            }
            Looper.loop();
            g();
            synchronized (this.f) {
                this.f[0] = false;
                this.f.notifyAll();
            }
            AudioDeviceInterface.LogTraceExit();
        }

        /* access modifiers changed from: package-private */
        public void d() {
            AudioDeviceInterface.LogTraceEntry("");
            try {
                TraeAudioManager.this._audioSessionHost = new TraeAudioSessionHost();
                TraeAudioManager.this._deviceConfigManager = new e();
                TraeAudioManager._gHostProcessId = Process.myPid();
                TraeAudioManager.this._am = (AudioManager) TraeAudioManager.this._context.getSystemService("audio");
                TraeAudioManager.this._bluetoothCheck = TraeAudioManager.this.CreateBluetoothCheck(TraeAudioManager.this._context, TraeAudioManager.this._deviceConfigManager);
                IntentFilter intentFilter = new IntentFilter();
                intentFilter.addAction("android.intent.action.HEADSET_PLUG");
                intentFilter.addAction("android.media.AUDIO_BECOMING_NOISY");
                TraeAudioManager.this._bluetoothCheck.b(intentFilter);
                intentFilter.addAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_REQUEST);
                TraeAudioManager.this._context.registerReceiver(this.h, intentFilter);
            } catch (Exception e2) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "======7");
                }
            }
            AudioDeviceInterface.LogTraceExit();
        }

        /* access modifiers changed from: package-private */
        public void e() {
            try {
                TraeAudioManager.this._am = (AudioManager) TraeAudioManager.this._context.getSystemService("audio");
                if (TraeAudioManager.this._bluetoothCheck == null) {
                    TraeAudioManager.this._bluetoothCheck = TraeAudioManager.this.CreateBluetoothCheck(TraeAudioManager.this._context, TraeAudioManager.this._deviceConfigManager);
                }
                TraeAudioManager.this._context.unregisterReceiver(this.h);
                IntentFilter intentFilter = new IntentFilter();
                intentFilter.addAction("android.intent.action.HEADSET_PLUG");
                intentFilter.addAction("android.media.AUDIO_BECOMING_NOISY");
                TraeAudioManager.this._bluetoothCheck.b(intentFilter);
                intentFilter.addAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_REQUEST);
                TraeAudioManager.this._context.registerReceiver(this.h, intentFilter);
            } catch (Exception e2) {
            }
        }

        /* access modifiers changed from: package-private */
        public void f() {
            try {
                if (TraeAudioManager.this._bluetoothCheck != null) {
                    TraeAudioManager.this._bluetoothCheck.a();
                }
                TraeAudioManager.this._bluetoothCheck = null;
                if (TraeAudioManager.this._context != null) {
                    TraeAudioManager.this._context.unregisterReceiver(this.h);
                    IntentFilter intentFilter = new IntentFilter();
                    intentFilter.addAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_REQUEST);
                    TraeAudioManager.this._context.registerReceiver(this.h, intentFilter);
                }
            } catch (Exception e2) {
            }
        }

        /* access modifiers changed from: package-private */
        public void g() {
            AudioDeviceInterface.LogTraceEntry("");
            try {
                c();
                if (TraeAudioManager.this._bluetoothCheck != null) {
                    TraeAudioManager.this._bluetoothCheck.a();
                }
                TraeAudioManager.this._bluetoothCheck = null;
                if (TraeAudioManager.this._context != null) {
                    TraeAudioManager.this._context.unregisterReceiver(this.h);
                    TraeAudioManager.this._context = null;
                }
                if (TraeAudioManager.this._deviceConfigManager != null) {
                    TraeAudioManager.this._deviceConfigManager.a();
                }
                TraeAudioManager.this._deviceConfigManager = null;
            } catch (Exception e2) {
            }
            AudioDeviceInterface.LogTraceExit();
        }

        /* access modifiers changed from: package-private */
        public int b(HashMap<String, Object> hashMap) {
            Intent intent = new Intent();
            HashMap<String, Object> j2 = TraeAudioManager.this._deviceConfigManager.j();
            intent.putExtra(TraeAudioManager.EXTRA_DATA_AVAILABLEDEVICE_LIST, (String[]) ((ArrayList) j2.get(TraeAudioManager.EXTRA_DATA_AVAILABLEDEVICE_LIST)).toArray(new String[0]));
            intent.putExtra(TraeAudioManager.EXTRA_DATA_CONNECTEDDEVICE, (String) j2.get(TraeAudioManager.EXTRA_DATA_CONNECTEDDEVICE));
            intent.putExtra(TraeAudioManager.EXTRA_DATA_PREV_CONNECTEDDEVICE, (String) j2.get(TraeAudioManager.EXTRA_DATA_PREV_CONNECTEDDEVICE));
            intent.putExtra(TraeAudioManager.EXTRA_DATA_IF_HAS_BLUETOOTH_THIS_IS_NAME, TraeAudioManager.this._deviceConfigManager.d());
            TraeAudioManager.this.sendResBroadcast(intent, hashMap, 0);
            return 0;
        }

        /* access modifiers changed from: package-private */
        public void a(int i2) {
            if (Build.VERSION.SDK_INT > 8 && this.n == null) {
                this.n = new AudioManager.OnAudioFocusChangeListener() {
                    /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.f.AnonymousClass3 */

                    public void onAudioFocusChange(int i) {
                        if (QLog.isColorLevel()) {
                            QLog.w("TRAE", 2, "focusChange:" + i + " _focusSteamType:" + f.this.o + " currMode:" + TraeAudioManager.this._am.getMode() + " _activeMode:" + TraeAudioManager.this._activeMode);
                        }
                        if (!(i == -1 || i == -2 || i != -3)) {
                        }
                    }
                };
                if (TraeAudioManager.this._am != null) {
                    try {
                        int requestAudioFocus = TraeAudioManager.this._am.requestAudioFocus(this.n, i2, 1);
                        if (requestAudioFocus != 1 && QLog.isColorLevel()) {
                            QLog.e("TRAE", 2, "request audio focus fail. " + requestAudioFocus + " mode:" + TraeAudioManager.this._am.getMode());
                        }
                        this.o = i2;
                        if (QLog.isColorLevel()) {
                            QLog.w("TRAE", 2, "-------requestAudioFocus _focusSteamType:" + this.o);
                        }
                    } catch (SecurityException e2) {
                        if (QLog.isColorLevel()) {
                            QLog.e("TRAE", 2, "request audio focus exception. " + e2);
                        }
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void h() {
            if (Build.VERSION.SDK_INT > 8 && TraeAudioManager.this._am != null && this.n != null) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "-------abandonAudioFocus _focusSteamType:" + this.o);
                }
                TraeAudioManager.this._am.abandonAudioFocus(this.n);
                this.n = null;
            }
        }

        /* access modifiers changed from: package-private */
        public int c(HashMap<String, Object> hashMap) {
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode);
            if (hashMap == null) {
                return -1;
            }
            if (TraeAudioManager.this._am == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " InternalVoicecallPreprocess am==null!!");
                }
                return -1;
            } else if (TraeAudioManager.this._activeMode == 1) {
                TraeAudioManager.this.sendResBroadcast(new Intent(), hashMap, 2);
                return -1;
            } else {
                this.l = ((Long) hashMap.get(TraeAudioManager.PARAM_SESSIONID)).longValue();
                this.m = (String) hashMap.get(TraeAudioManager.PARAM_OPERATION);
                TraeAudioManager.this._activeMode = 1;
                TraeAudioManager traeAudioManager = TraeAudioManager.this;
                traeAudioManager._prevMode = traeAudioManager._am.getMode();
                Integer.valueOf(-1);
                Integer.valueOf(0);
                Integer num = (Integer) hashMap.get(TraeAudioManager.PARAM_MODEPOLICY);
                if (num == null) {
                    if (QLog.isColorLevel()) {
                        QLog.e("TRAE", 2, " params.get(PARAM_MODEPOLICY)==null!!");
                    }
                    TraeAudioManager.this._modePolicy = -1;
                } else {
                    TraeAudioManager.this._modePolicy = num.intValue();
                }
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "  _modePolicy:" + TraeAudioManager.this._modePolicy);
                }
                Integer num2 = (Integer) hashMap.get(TraeAudioManager.PARAM_STREAMTYPE);
                if (num2 == null) {
                    if (QLog.isColorLevel()) {
                        QLog.e("TRAE", 2, " params.get(PARAM_STREAMTYPE)==null!!");
                    }
                    TraeAudioManager.this._streamType = 0;
                } else {
                    TraeAudioManager.this._streamType = num2.intValue();
                }
                if (!TraeAudioManager.isCloseSystemAPM(TraeAudioManager.this._modePolicy) || TraeAudioManager.this._activeMode == 2 || TraeAudioManager.this._deviceConfigManager == null) {
                    TraeAudioManager traeAudioManager2 = TraeAudioManager.this;
                    traeAudioManager2.InternalSetMode(TraeAudioManager.getCallAudioMode(traeAudioManager2._modePolicy));
                    a(TraeAudioManager.this._streamType);
                } else if (TraeAudioManager.this._deviceConfigManager.h().equals(TraeAudioManager.DEVICE_SPEAKERPHONE)) {
                    TraeAudioManager.this.InternalSetMode(0);
                    a(3);
                } else {
                    TraeAudioManager.this.InternalSetMode(3);
                    a(0);
                }
                TraeAudioManager.this.sendResBroadcast(new Intent(), hashMap, 0);
                AudioDeviceInterface.LogTraceExit();
                return 0;
            }
        }

        /* access modifiers changed from: package-private */
        public int d(HashMap<String, Object> hashMap) {
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode);
            if (TraeAudioManager.this._am == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " InternalVoicecallPostprocess am==null!!");
                }
                return -1;
            } else if (TraeAudioManager.this._activeMode != 1) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " not ACTIVE_VOICECALL!!");
                }
                TraeAudioManager.this.sendResBroadcast(new Intent(), hashMap, 3);
                return -1;
            } else {
                TraeAudioManager.this._activeMode = 0;
                h();
                AudioDeviceInterface.LogTraceExit();
                return 0;
            }
        }

        /* access modifiers changed from: package-private */
        public int i() {
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode);
            if (TraeAudioManager.this._am == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " am==null!!");
                }
                return -1;
            } else if (TraeAudioManager.this._activeMode != 1) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " not ACTIVE_RING!!");
                }
                return -1;
            } else {
                TraeAudioManager.this._activeMode = 0;
                if (TraeAudioManager.this._prevMode != -1) {
                    TraeAudioManager traeAudioManager = TraeAudioManager.this;
                    traeAudioManager.InternalSetMode(traeAudioManager._prevMode);
                }
                HashMap<String, Object> hashMap = new HashMap<>();
                hashMap.put(TraeAudioManager.PARAM_SESSIONID, Long.valueOf(this.l));
                hashMap.put(TraeAudioManager.PARAM_OPERATION, this.m);
                TraeAudioManager.this.sendResBroadcast(new Intent(), hashMap, 6);
                AudioDeviceInterface.LogTraceExit();
                return 0;
            }
        }

        /* access modifiers changed from: package-private */
        public int e(HashMap<String, Object> hashMap) {
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode);
            if (TraeAudioManager.this._am == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " InternalStartRing am==null!!");
                }
                return -1;
            }
            if (TraeAudioManager.this._activeMode == 2) {
                j();
            }
            try {
                this.c = ((Long) hashMap.get(TraeAudioManager.PARAM_SESSIONID)).longValue();
                this.d = (String) hashMap.get(TraeAudioManager.PARAM_OPERATION);
                this.e = (String) hashMap.get(TraeAudioManager.PARAM_RING_USERDATA_STRING);
                int intValue = ((Integer) hashMap.get(TraeAudioManager.PARAM_RING_DATASOURCE)).intValue();
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "  dataSource:" + intValue);
                }
                int intValue2 = ((Integer) hashMap.get(TraeAudioManager.PARAM_RING_RSID)).intValue();
                Uri uri = (Uri) hashMap.get(TraeAudioManager.PARAM_RING_URI);
                String str = (String) hashMap.get(TraeAudioManager.PARAM_RING_FILEPATH);
                boolean booleanValue = ((Boolean) hashMap.get(TraeAudioManager.PARAM_RING_LOOP)).booleanValue();
                int intValue3 = ((Integer) hashMap.get(TraeAudioManager.PARAM_RING_LOOPCOUNT)).intValue();
                boolean booleanValue2 = ((Boolean) hashMap.get(TraeAudioManager.PARAM_RING_MODE)).booleanValue();
                boolean z = true;
                if (TraeAudioManager.this._activeMode != 1) {
                    TraeAudioManager.this._activeMode = 2;
                }
                Intent intent = new Intent();
                intent.putExtra(TraeAudioManager.PARAM_RING_USERDATA_STRING, this.e);
                TraeAudioManager.this.sendResBroadcast(intent, hashMap, 0);
                this.k = TraeAudioManager.this._am.getMode();
                TraeMediaPlayer traeMediaPlayer = this.b;
                if (TraeAudioManager.this._activeMode != 1) {
                    z = false;
                }
                traeMediaPlayer.playRing(intValue, intValue2, uri, str, booleanValue, intValue3, booleanValue2, z, TraeAudioManager.this._streamType);
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, " _ringUserdata:" + this.e + " DurationMS:" + this.b.getDuration());
                }
                if (!this.b.hasCall()) {
                    a(this.b.getStreamType());
                }
                b(this.b.getStreamType());
                AudioDeviceInterface.LogTraceExit();
                return 0;
            } catch (Exception e2) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " startRing err params");
                }
                return -1;
            }
        }

        /* access modifiers changed from: package-private */
        public int f(HashMap<String, Object> hashMap) {
            TraeMediaPlayer traeMediaPlayer;
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode + " _preRingMode:" + this.k);
            if (TraeAudioManager.this._am != null && (traeMediaPlayer = this.b) != null) {
                traeMediaPlayer.stopRing();
                if (!this.b.hasCall() && TraeAudioManager.this._activeMode == 2) {
                    h();
                    TraeAudioManager.this._activeMode = 0;
                }
                Intent intent = new Intent();
                intent.putExtra(TraeAudioManager.PARAM_RING_USERDATA_STRING, this.e);
                TraeAudioManager.this.sendResBroadcast(intent, hashMap, 0);
                AudioDeviceInterface.LogTraceExit();
                return 0;
            } else if (!QLog.isColorLevel()) {
                return -1;
            } else {
                QLog.e("TRAE", 2, " InternalStopRing am==null!!");
                return -1;
            }
        }

        /* access modifiers changed from: package-private */
        public int g(HashMap<String, Object> hashMap) {
            int i2;
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode + " _preRingMode:" + this.k);
            if (TraeAudioManager.this._am != null) {
                if (TraeAudioManager.this._activeMode == 2) {
                    i2 = this.b.getStreamType();
                } else {
                    i2 = TraeAudioManager.this._streamType;
                }
                Intent intent = new Intent();
                intent.putExtra(TraeAudioManager.EXTRA_DATA_STREAMTYPE, i2);
                TraeAudioManager.this.sendResBroadcast(intent, hashMap, 0);
                AudioDeviceInterface.LogTraceExit();
                return 0;
            } else if (!QLog.isColorLevel()) {
                return -1;
            } else {
                QLog.e("TRAE", 2, " InternalStopRing am==null!!");
                return -1;
            }
        }

        /* access modifiers changed from: package-private */
        public int b(final int i2) {
            if (TraeAudioManager.this._context == null) {
                return -1;
            }
            new Handler(Looper.getMainLooper()).post(new Runnable() {
                /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.f.AnonymousClass4 */

                public void run() {
                    Intent intent = new Intent();
                    intent.setAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_NOTIFY);
                    intent.putExtra(TraeAudioManager.PARAM_OPERATION, TraeAudioManager.NOTIFY_STREAMTYPE_UPDATE);
                    intent.putExtra(TraeAudioManager.EXTRA_DATA_STREAMTYPE, i2);
                    if (TraeAudioManager.this._context != null) {
                        TraeAudioManager.this._context.sendBroadcast(intent);
                    }
                }
            });
            return 0;
        }

        /* access modifiers changed from: package-private */
        public int j() {
            AudioDeviceInterface.LogTraceEntry(" activeMode:" + TraeAudioManager.this._activeMode + " _preRingMode:" + this.k);
            if (TraeAudioManager.this._am == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " interruptRing am==null!!");
                }
                return -1;
            } else if (TraeAudioManager.this._activeMode != 2) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " not ACTIVE_RING!!");
                }
                return -1;
            } else {
                this.b.stopRing();
                h();
                TraeAudioManager.this._activeMode = 0;
                HashMap<String, Object> hashMap = new HashMap<>();
                hashMap.put(TraeAudioManager.PARAM_SESSIONID, Long.valueOf(this.c));
                hashMap.put(TraeAudioManager.PARAM_OPERATION, this.d);
                Intent intent = new Intent();
                intent.putExtra(TraeAudioManager.PARAM_RING_USERDATA_STRING, this.e);
                TraeAudioManager.this.sendResBroadcast(intent, hashMap, 4);
                AudioDeviceInterface.LogTraceExit();
                return 0;
            }
        }

        /* access modifiers changed from: package-private */
        public void k() {
            HashMap<String, Object> hashMap = new HashMap<>();
            hashMap.put(TraeAudioManager.PARAM_SESSIONID, Long.valueOf(this.c));
            hashMap.put(TraeAudioManager.PARAM_OPERATION, TraeAudioManager.NOTIFY_RING_COMPLETION);
            Intent intent = new Intent();
            intent.putExtra(TraeAudioManager.PARAM_RING_USERDATA_STRING, this.e);
            TraeAudioManager.this.sendResBroadcast(intent, hashMap, 0);
        }
    }

    public static int SetSpeakerForTest(Context context, boolean z) {
        int i2;
        _glock.lock();
        TraeAudioManager traeAudioManager = _ginstance;
        if (traeAudioManager != null) {
            i2 = traeAudioManager.InternalSetSpeaker(context, z);
        } else {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "TraeAudioManager|static SetSpeakerForTest|null == _ginstance");
            }
            i2 = -1;
        }
        _glock.unlock();
        return i2;
    }

    /* access modifiers changed from: package-private */
    public int InternalSetSpeaker(Context context, boolean z) {
        int i2 = -1;
        if (context == null) {
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "Could not InternalSetSpeaker - no context");
            }
            return -1;
        }
        AudioManager audioManager = (AudioManager) context.getSystemService("audio");
        if (audioManager == null) {
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "Could not InternalSetSpeaker - no audio manager");
            }
            return -1;
        }
        if (QLog.isColorLevel()) {
            StringBuilder sb = new StringBuilder();
            sb.append("InternalSetSpeaker entry:speaker:");
            String str = "Y";
            sb.append(audioManager.isSpeakerphoneOn() ? str : "N");
            sb.append("-->:");
            if (!z) {
                str = "N";
            }
            sb.append(str);
            QLog.w("TRAE", 2, sb.toString());
        }
        if (isCloseSystemAPM(this._modePolicy) && this._activeMode != 2) {
            return InternalSetSpeakerSpe(audioManager, z);
        }
        if (audioManager.isSpeakerphoneOn() != z) {
            audioManager.setSpeakerphoneOn(z);
        }
        if (audioManager.isSpeakerphoneOn() == z) {
            i2 = 0;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "InternalSetSpeaker exit:" + z + " res:" + i2 + " mode:" + audioManager.getMode());
        }
        return i2;
    }

    /* access modifiers changed from: package-private */
    public int InternalSetSpeakerSpe(AudioManager audioManager, boolean z) {
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "InternalSetSpeakerSpe fac:" + Build.MANUFACTURER + " model:" + Build.MODEL + " st:" + this._streamType + " media_force_use:" + getForceUse(1));
        }
        int i2 = 0;
        if (z) {
            InternalSetMode(0);
            audioManager.setSpeakerphoneOn(true);
            setForceUse(1, 1);
        } else {
            InternalSetMode(3);
            audioManager.setSpeakerphoneOn(false);
            setForceUse(1, 0);
        }
        if (audioManager.isSpeakerphoneOn() != z) {
            i2 = -1;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "InternalSetSpeakerSpe exit:" + z + " res:" + i2 + " mode:" + audioManager.getMode());
        }
        return i2;
    }

    /* access modifiers changed from: package-private */
    public void InternalSetMode(int i2) {
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "SetMode entry:" + i2);
        }
        AudioManager audioManager = this._am;
        if (audioManager != null) {
            audioManager.setMode(i2);
            if (QLog.isColorLevel()) {
                StringBuilder sb = new StringBuilder();
                sb.append("setMode:");
                sb.append(i2);
                sb.append(this._am.getMode() != i2 ? Constants.Event.FAIL : WXImage.SUCCEED);
                QLog.w("TRAE", 2, sb.toString());
            }
        } else if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "setMode:" + i2 + " fail am=null");
        }
    }

    public static int registerAudioSession(TraeAudioSession traeAudioSession, boolean z, long j2, Context context) {
        int i2;
        _glock.lock();
        TraeAudioManager traeAudioManager = _ginstance;
        if (traeAudioManager != null) {
            if (z) {
                traeAudioManager._audioSessionHost.add(traeAudioSession, j2, context);
            } else {
                traeAudioManager._audioSessionHost.remove(j2);
            }
            i2 = 0;
        } else {
            i2 = -1;
        }
        _glock.unlock();
        return i2;
    }

    public static int sendMessage(int i2, HashMap<String, Object> hashMap) {
        int i3;
        _glock.lock();
        TraeAudioManager traeAudioManager = _ginstance;
        if (traeAudioManager != null) {
            i3 = traeAudioManager.internalSendMessage(i2, hashMap);
        } else {
            i3 = -1;
        }
        _glock.unlock();
        return i3;
    }

    public static int init(Context context) {
        Log.w("TRAE", "TraeAudioManager init _ginstance:" + _ginstance);
        AudioDeviceInterface.LogTraceEntry(" _ginstance:" + _ginstance);
        _glock.lock();
        if (_ginstance == null) {
            _ginstance = new TraeAudioManager(context);
        }
        _glock.unlock();
        AudioDeviceInterface.LogTraceExit();
        return 0;
    }

    public static void uninit() {
        Log.w("TRAE", "TraeAudioManager uninit _ginstance:" + _ginstance);
        AudioDeviceInterface.LogTraceEntry(" _ginstance:" + _ginstance);
        _glock.lock();
        TraeAudioManager traeAudioManager = _ginstance;
        if (traeAudioManager != null) {
            traeAudioManager.release();
            _ginstance = null;
        }
        _glock.unlock();
        AudioDeviceInterface.LogTraceExit();
    }

    TraeAudioManager(Context context) {
        AudioDeviceInterface.LogTraceEntry(" context:" + context);
        if (context != null) {
            this._context = context;
            this.mTraeAudioManagerLooper = new f(this);
            AudioDeviceInterface.LogTraceExit();
        }
    }

    public void release() {
        AudioDeviceInterface.LogTraceEntry("");
        f fVar = this.mTraeAudioManagerLooper;
        if (fVar != null) {
            fVar.a();
            this.mTraeAudioManagerLooper = null;
        }
        AudioDeviceInterface.LogTraceExit();
    }

    public void onReceive(Context context, Intent intent) {
        if (intent != null && context != null) {
            try {
                String action = intent.getAction();
                String stringExtra = intent.getStringExtra(PARAM_OPERATION);
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "TraeAudioManager|onReceive::Action:" + intent.getAction());
                }
                if (this._deviceConfigManager != null) {
                    boolean c2 = this._deviceConfigManager.c(DEVICE_WIREDHEADSET);
                    boolean c3 = this._deviceConfigManager.c(DEVICE_BLUETOOTHHEADSET);
                    if ("android.intent.action.HEADSET_PLUG".equals(intent.getAction())) {
                        onHeadsetPlug(context, intent);
                        if (!c2 && this._deviceConfigManager.c(DEVICE_WIREDHEADSET)) {
                            checkDevicePlug(DEVICE_WIREDHEADSET, true);
                        }
                        if (c2 && !this._deviceConfigManager.c(DEVICE_WIREDHEADSET)) {
                            checkDevicePlug(DEVICE_WIREDHEADSET, false);
                        }
                    } else if (!"android.media.AUDIO_BECOMING_NOISY".equals(intent.getAction())) {
                        if (ACTION_TRAEAUDIOMANAGER_REQUEST.equals(action)) {
                            if (QLog.isColorLevel()) {
                                QLog.w("TRAE", 2, "   OPERATION:" + stringExtra);
                            }
                            if (OPERATION_STARTSERVICE.equals(stringExtra)) {
                                startService(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false, intent.getStringExtra(EXTRA_DATA_DEVICECONFIG));
                            } else if (OPERATION_STOPSERVICE.equals(stringExtra)) {
                                stopService(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_GETDEVICELIST.equals(stringExtra)) {
                                getDeviceList(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_GETSTREAMTYPE.equals(stringExtra)) {
                                getStreamType(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_CONNECTDEVICE.equals(stringExtra)) {
                                connectDevice(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false, intent.getStringExtra(CONNECTDEVICE_DEVICENAME));
                            } else if (OPERATION_CONNECT_HIGHEST_PRIORITY_DEVICE.equals(stringExtra)) {
                                connectHighestPriorityDevice(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_EARACTION.equals(stringExtra)) {
                                earAction(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false, intent.getIntExtra(EXTRA_EARACTION, -1));
                            } else if (OPERATION_ISDEVICECHANGABLED.equals(stringExtra)) {
                                isDeviceChangabled(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_GETCONNECTEDDEVICE.equals(stringExtra)) {
                                getConnectedDevice(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_GETCONNECTINGDEVICE.equals(stringExtra)) {
                                getConnectingDevice(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_VOICECALL_PREPROCESS.equals(stringExtra)) {
                                voicecallPreprocess(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false, intent.getIntExtra(PARAM_MODEPOLICY, -1), intent.getIntExtra(PARAM_STREAMTYPE, -1));
                            } else if (OPERATION_VOICECALL_POSTPROCESS.equals(stringExtra)) {
                                voicecallPostprocess(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            } else if (OPERATION_VOICECALL_AUDIOPARAM_CHANGED.equals(stringExtra)) {
                                voiceCallAudioParamChanged(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false, intent.getIntExtra(PARAM_MODEPOLICY, -1), intent.getIntExtra(PARAM_STREAMTYPE, -1));
                            } else if (OPERATION_STARTRING.equals(stringExtra)) {
                                String stringExtra2 = intent.getStringExtra(PARAM_RING_FILEPATH);
                                boolean booleanExtra = intent.getBooleanExtra(PARAM_RING_LOOP, false);
                                String stringExtra3 = intent.getStringExtra(PARAM_RING_USERDATA_STRING);
                                int intExtra = intent.getIntExtra(PARAM_RING_LOOPCOUNT, 1);
                                boolean booleanExtra2 = intent.getBooleanExtra(PARAM_RING_MODE, false);
                                startRing(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false, intent.getIntExtra(PARAM_RING_DATASOURCE, -1), intent.getIntExtra(PARAM_RING_RSID, -1), (Uri) intent.getParcelableExtra(PARAM_RING_URI), stringExtra2, booleanExtra, intExtra, stringExtra3, booleanExtra2);
                            } else if (OPERATION_STOPRING.equals(stringExtra)) {
                                stopRing(stringExtra, intent.getLongExtra(PARAM_SESSIONID, Long.MIN_VALUE), false);
                            }
                        } else if (this._deviceConfigManager != null) {
                            if (this._bluetoothCheck != null) {
                                this._bluetoothCheck.a(context, intent, this._deviceConfigManager);
                            }
                            if (!c3 && this._deviceConfigManager.c(DEVICE_BLUETOOTHHEADSET)) {
                                checkDevicePlug(DEVICE_BLUETOOTHHEADSET, true);
                            }
                            if (c3 && !this._deviceConfigManager.c(DEVICE_BLUETOOTHHEADSET)) {
                                checkDevicePlug(DEVICE_BLUETOOTHHEADSET, false);
                            }
                        }
                    }
                } else if (QLog.isColorLevel()) {
                    QLog.d("TRAE", 2, "_deviceConfigManager null!");
                }
            } catch (Exception e2) {
            }
        } else if (QLog.isColorLevel()) {
            QLog.d("TRAE", 2, "onReceive intent or context is null!");
        }
    }

    /* access modifiers changed from: package-private */
    public void onHeadsetPlug(Context context, Intent intent) {
        String stringExtra = intent.getStringExtra("name");
        if (stringExtra == null) {
            stringExtra = "unkonw";
        }
        String str = "" + " [" + stringExtra + "] ";
        int intExtra = intent.getIntExtra("state", -1);
        if (intExtra != -1) {
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            sb.append(intExtra == 0 ? "unplugged" : "plugged");
            str = sb.toString();
        }
        String str2 = str + " mic:";
        int intExtra2 = intent.getIntExtra("microphone", -1);
        boolean z = true;
        if (intExtra2 != -1) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append(str2);
            sb2.append(intExtra2 == 1 ? "Y" : "unkown");
            str2 = sb2.toString();
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "onHeadsetPlug:: " + str2);
        }
        e eVar = this._deviceConfigManager;
        if (1 != intExtra) {
            z = false;
        }
        eVar.a(DEVICE_WIREDHEADSET, z);
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "onHeadsetPlug exit");
        }
    }

    /* access modifiers changed from: package-private */
    public int internalSendMessage(int i2, HashMap<String, Object> hashMap) {
        f fVar = this.mTraeAudioManagerLooper;
        if (fVar != null) {
            return fVar.a(i2, hashMap);
        }
        return -1;
    }

    static int getDeviceList(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.k, hashMap);
    }

    static int getStreamType(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.s, hashMap);
    }

    static int startService(String str, long j2, boolean z, String str2) {
        if (str2.length() <= 0) {
            return -1;
        }
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        hashMap.put(EXTRA_DATA_DEVICECONFIG, str2);
        return sendMessage(com.umeng.commonsdk.internal.a.i, hashMap);
    }

    static int stopService(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(32773, hashMap);
    }

    static int disableDeviceSwitch() {
        enableDeviceSwitchFlag = false;
        return 0;
    }

    static int connectDevice(String str, long j2, boolean z, String str2) {
        if (str2 == null) {
            return -1;
        }
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        hashMap.put(CONNECTDEVICE_DEVICENAME, str2);
        hashMap.put(PARAM_DEVICE, str2);
        return sendMessage(com.umeng.commonsdk.internal.a.l, hashMap);
    }

    static int connectHighestPriorityDevice(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(32789, hashMap);
    }

    static int earAction(String str, long j2, boolean z, int i2) {
        if (i2 != 0 && i2 != 1) {
            return -1;
        }
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        hashMap.put(EXTRA_EARACTION, Integer.valueOf(i2));
        return sendMessage(com.umeng.commonsdk.internal.a.m, hashMap);
    }

    static int isDeviceChangabled(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.n, hashMap);
    }

    static int getConnectedDevice(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(32778, hashMap);
    }

    static int getConnectingDevice(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.o, hashMap);
    }

    static int voicecallPreprocess(String str, long j2, boolean z, int i2, int i3) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        hashMap.put(PARAM_MODEPOLICY, Integer.valueOf(i2));
        hashMap.put(PARAM_STREAMTYPE, Integer.valueOf(i3));
        return sendMessage(32780, hashMap);
    }

    static int voicecallPostprocess(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.p, hashMap);
    }

    static int voiceCallAudioParamChanged(String str, long j2, boolean z, int i2, int i3) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        hashMap.put(PARAM_MODEPOLICY, Integer.valueOf(i2));
        hashMap.put(PARAM_STREAMTYPE, Integer.valueOf(i3));
        return sendMessage(com.umeng.commonsdk.internal.a.w, hashMap);
    }

    static int startRing(String str, long j2, boolean z, int i2, int i3, Uri uri, String str2, boolean z2, int i4, String str3, boolean z3) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        hashMap.put(PARAM_RING_DATASOURCE, Integer.valueOf(i2));
        hashMap.put(PARAM_RING_RSID, Integer.valueOf(i3));
        hashMap.put(PARAM_RING_URI, uri);
        hashMap.put(PARAM_RING_FILEPATH, str2);
        hashMap.put(PARAM_RING_LOOP, Boolean.valueOf(z2));
        hashMap.put(PARAM_RING_LOOPCOUNT, Integer.valueOf(i4));
        hashMap.put(PARAM_RING_MODE, Boolean.valueOf(z3));
        hashMap.put(PARAM_RING_USERDATA_STRING, str3);
        return sendMessage(com.umeng.commonsdk.internal.a.q, hashMap);
    }

    static int stopRing(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.r, hashMap);
    }

    static int requestReleaseAudioFocus(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.x, hashMap);
    }

    static int recoverAudioFocus(String str, long j2, boolean z) {
        HashMap hashMap = new HashMap();
        hashMap.put(PARAM_SESSIONID, Long.valueOf(j2));
        hashMap.put(PARAM_OPERATION, str);
        hashMap.put(PARAM_ISHOSTSIDE, Boolean.valueOf(z));
        return sendMessage(com.umeng.commonsdk.internal.a.y, hashMap);
    }

    /* access modifiers changed from: package-private */
    public int InternalSessionConnectDevice(HashMap<String, Object> hashMap) {
        int i2;
        AudioDeviceInterface.LogTraceEntry("");
        if (hashMap == null || this._context == null) {
            return -1;
        }
        if (IsMusicScene) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "MusicScene: InternalSessionConnectDevice failed");
            }
            return -1;
        }
        String str = (String) hashMap.get(PARAM_DEVICE);
        Log.w("TRAE", "ConnectDevice: " + str);
        if (IsEarPhoneSupported || !str.equals(DEVICE_EARPHONE)) {
            boolean InternalIsDeviceChangeable = InternalIsDeviceChangeable();
            if (!checkDevName(str)) {
                i2 = 7;
            } else if (!this._deviceConfigManager.c(str)) {
                i2 = 8;
            } else if (!InternalIsDeviceChangeable) {
                i2 = 9;
            } else {
                i2 = 0;
            }
            if (QLog.isColorLevel()) {
                StringBuilder sb = new StringBuilder();
                sb.append("sessonID:");
                sb.append((Long) hashMap.get(PARAM_SESSIONID));
                sb.append(" devName:");
                sb.append(str);
                sb.append(" bChangabled:");
                sb.append(InternalIsDeviceChangeable ? "Y" : "N");
                sb.append(" err:");
                sb.append(i2);
                QLog.w("TRAE", 2, sb.toString());
            }
            if (i2 != 0) {
                Intent intent = new Intent();
                intent.putExtra(CONNECTDEVICE_RESULT_DEVICENAME, (String) hashMap.get(PARAM_DEVICE));
                sendResBroadcast(intent, hashMap, i2);
                return -1;
            } else if (str.equals(this._deviceConfigManager.h())) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " --has connected!");
                }
                Intent intent2 = new Intent();
                intent2.putExtra(CONNECTDEVICE_RESULT_DEVICENAME, (String) hashMap.get(PARAM_DEVICE));
                sendResBroadcast(intent2, hashMap, i2);
                return 0;
            } else {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, " --connecting...");
                }
                InternalConnectDevice(str, hashMap, false);
                AudioDeviceInterface.LogTraceExit();
                return 0;
            }
        } else {
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "InternalSessionConnectDevice IsEarPhoneSupported = false, Connect device:" + str + " failed");
            }
            return -1;
        }
    }

    /* access modifiers changed from: package-private */
    public int InternalSessionEarAction(HashMap<String, Object> hashMap) {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int InternalConnectDevice(String str, HashMap<String, Object> hashMap, boolean z) {
        AudioDeviceInterface.LogTraceEntry(" devName:" + str);
        if (str == null) {
            return -1;
        }
        if (IsMusicScene && str.equals(DEVICE_EARPHONE)) {
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "MusicScene, Connect device:" + str + " failed");
            }
            return -1;
        } else if (!IsEarPhoneSupported && str.equals(DEVICE_EARPHONE)) {
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "IsEarPhoneSupported = false, Connect device:" + str + " failed");
            }
            return -1;
        } else if (!z && !this._deviceConfigManager.h().equals(DEVICE_NONE) && str.equals(this._deviceConfigManager.h())) {
            return 0;
        } else {
            if (!checkDevName(str) || !this._deviceConfigManager.c(str)) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " checkDevName fail");
                }
                return -1;
            } else if (!InternalIsDeviceChangeable()) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " InternalIsDeviceChangeable fail");
                }
                return -1;
            } else {
                if (this._switchThread != null) {
                    if (QLog.isColorLevel()) {
                        QLog.w("TRAE", 2, "_switchThread:" + this._switchThread.b());
                    }
                    this._switchThread.g();
                    this._switchThread = null;
                }
                if (str.equals(DEVICE_EARPHONE)) {
                    this._switchThread = new h();
                } else if (str.equals(DEVICE_SPEAKERPHONE)) {
                    this._switchThread = new j();
                } else if (str.equals(DEVICE_WIREDHEADSET)) {
                    this._switchThread = new i();
                } else if (str.equals(DEVICE_BLUETOOTHHEADSET)) {
                    this._switchThread = new g();
                }
                k kVar = this._switchThread;
                if (kVar != null) {
                    kVar.a(hashMap);
                    this._switchThread.start();
                }
                AudioDeviceInterface.LogTraceExit();
                return 0;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public abstract class k extends Thread {
        boolean b = true;
        boolean[] c = {false};
        HashMap<String, Object> d = null;
        long e = 0;

        public abstract void a();

        public abstract String b();

        public abstract void c();

        k() {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, " ++switchThread:" + b());
            }
        }

        public void a(HashMap<String, Object> hashMap) {
            this.d = hashMap;
        }

        /* access modifiers changed from: package-private */
        public void f() {
            TraeAudioManager.this._deviceConfigManager.g(b());
            a(0);
        }

        /* access modifiers changed from: package-private */
        public void a(int i) {
            TraeAudioManager.this.InternalNotifyDeviceChangableUpdate();
            AudioDeviceInterface.LogTraceEntry(b() + " err:" + i);
            if (this.d == null) {
                TraeAudioManager.this.InternalNotifyDeviceListUpdate();
                return;
            }
            TraeAudioManager traeAudioManager = TraeAudioManager.this;
            traeAudioManager.sessionConnectedDev = traeAudioManager._deviceConfigManager.h();
            Long l = (Long) this.d.get(TraeAudioManager.PARAM_SESSIONID);
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, " sessonID:" + l);
            }
            if (l == null || l.longValue() == Long.MIN_VALUE) {
                TraeAudioManager.this.InternalNotifyDeviceListUpdate();
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "processDeviceConnectRes sid null,don't send res");
                    return;
                }
                return;
            }
            Intent intent = new Intent();
            intent.putExtra(TraeAudioManager.CONNECTDEVICE_RESULT_DEVICENAME, (String) this.d.get(TraeAudioManager.PARAM_DEVICE));
            if (TraeAudioManager.this.sendResBroadcast(intent, this.d, i) == 0) {
                TraeAudioManager.this.InternalNotifyDeviceListUpdate();
            }
            AudioDeviceInterface.LogTraceExit();
        }

        public void run() {
            AudioDeviceInterface.LogTraceEntry(b());
            TraeAudioManager.this._deviceConfigManager.f(b());
            TraeAudioManager.this.InternalNotifyDeviceChangableUpdate();
            a();
            synchronized (this.c) {
                this.c[0] = true;
                this.c.notifyAll();
            }
            AudioDeviceInterface.LogTraceExit();
        }

        public void g() {
            AudioDeviceInterface.LogTraceEntry(b());
            this.b = false;
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, " quit:" + b() + " _running:" + this.b);
            }
            interrupt();
            c();
            synchronized (this.c) {
                if (!this.c[0]) {
                    try {
                        this.c.wait(10000);
                    } catch (InterruptedException e2) {
                    }
                }
            }
            AudioDeviceInterface.LogTraceExit();
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends k {
        h() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void a() {
            if (TraeAudioManager.IsUpdateSceneFlag && TraeAudioManager.enableDeviceSwitchFlag) {
                TraeAudioManager traeAudioManager = TraeAudioManager.this;
                traeAudioManager.InternalSetSpeaker(traeAudioManager._context, false);
            }
            f();
            if (!TraeAudioManager.IsUpdateSceneFlag) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "connect earphone: do nothing");
                }
            } else if (TraeAudioManager.enableDeviceSwitchFlag) {
                int i = 0;
                while (this.b) {
                    if (TraeAudioManager.this._am.isSpeakerphoneOn()) {
                        TraeAudioManager traeAudioManager2 = TraeAudioManager.this;
                        traeAudioManager2.InternalSetSpeaker(traeAudioManager2._context, false);
                    }
                    try {
                        Thread.sleep(i < 5 ? 1000 : DanmakuFactory.MIN_DANMAKU_DURATION);
                    } catch (InterruptedException e) {
                    }
                    i++;
                }
            } else if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "connect earphone: disableDeviceSwitchFlag");
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public String b() {
            return TraeAudioManager.DEVICE_EARPHONE;
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void c() {
        }
    }

    /* access modifiers changed from: package-private */
    public class j extends k {
        j() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void a() {
            if (!TraeAudioManager.IsMusicScene && TraeAudioManager.IsUpdateSceneFlag && TraeAudioManager.enableDeviceSwitchFlag) {
                TraeAudioManager traeAudioManager = TraeAudioManager.this;
                traeAudioManager.InternalSetSpeaker(traeAudioManager._context, true);
            }
            f();
            if (TraeAudioManager.IsMusicScene || !TraeAudioManager.IsUpdateSceneFlag) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "connect speakerPhone: do nothing");
                }
            } else if (TraeAudioManager.enableDeviceSwitchFlag) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, " _run:" + b() + " _running:" + this.b);
                }
                int i = 0;
                while (this.b) {
                    if (!TraeAudioManager.this._am.isSpeakerphoneOn()) {
                        TraeAudioManager traeAudioManager2 = TraeAudioManager.this;
                        traeAudioManager2.InternalSetSpeaker(traeAudioManager2._context, true);
                    }
                    try {
                        Thread.sleep(i < 5 ? 1000 : DanmakuFactory.MIN_DANMAKU_DURATION);
                    } catch (InterruptedException e) {
                    }
                    i++;
                }
            } else if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "connect speakerPhone: disableDeviceSwitchFlag");
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public String b() {
            return TraeAudioManager.DEVICE_SPEAKERPHONE;
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void c() {
        }
    }

    /* access modifiers changed from: package-private */
    public class i extends k {
        i() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void a() {
            if (!TraeAudioManager.IsMusicScene && TraeAudioManager.IsUpdateSceneFlag && TraeAudioManager.enableDeviceSwitchFlag) {
                TraeAudioManager traeAudioManager = TraeAudioManager.this;
                traeAudioManager.InternalSetSpeaker(traeAudioManager._context, false);
                TraeAudioManager.this._am.setWiredHeadsetOn(true);
            }
            f();
            if (TraeAudioManager.IsMusicScene || !TraeAudioManager.IsUpdateSceneFlag) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "connect headset: do nothing");
                }
            } else if (TraeAudioManager.enableDeviceSwitchFlag) {
                int i = 0;
                while (this.b) {
                    if (TraeAudioManager.this._am.isSpeakerphoneOn()) {
                        TraeAudioManager traeAudioManager2 = TraeAudioManager.this;
                        traeAudioManager2.InternalSetSpeaker(traeAudioManager2._context, false);
                    }
                    try {
                        Thread.sleep(i < 5 ? 1000 : DanmakuFactory.MIN_DANMAKU_DURATION);
                    } catch (InterruptedException e) {
                    }
                    i++;
                }
            } else if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "connect headset: disableDeviceSwitchFlag");
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public String b() {
            return TraeAudioManager.DEVICE_WIREDHEADSET;
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void c() {
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends k {
        g() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void a() {
            if (TraeAudioManager.IsMusicScene || !TraeAudioManager.IsUpdateSceneFlag) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "connect bluetoothHeadset: do nothing, IsMusicScene:" + TraeAudioManager.IsMusicScene + " ,IsUpdateSceneFlag:" + TraeAudioManager.IsUpdateSceneFlag);
                }
                f();
            } else if (TraeAudioManager.enableDeviceSwitchFlag) {
                try {
                    Thread.sleep(1000);
                } catch (InterruptedException e) {
                }
                d();
                int i = 0;
                while (true) {
                    if (!this.b) {
                        break;
                    }
                    int i2 = i + 1;
                    if (i >= 10) {
                        break;
                    }
                    if (QLog.isColorLevel()) {
                        StringBuilder sb = new StringBuilder();
                        sb.append("bluetoothHeadsetSwitchThread i:");
                        sb.append(i2);
                        sb.append(" sco:");
                        sb.append(TraeAudioManager.this._am.isBluetoothScoOn() ? "Y" : "N");
                        sb.append(" :");
                        sb.append(TraeAudioManager.this._deviceConfigManager.d());
                        QLog.w("TRAE", 2, sb.toString());
                    }
                    if (TraeAudioManager.this._am.isBluetoothScoOn()) {
                        f();
                        break;
                    } else {
                        try {
                            Thread.sleep(1000);
                        } catch (InterruptedException e2) {
                        }
                        i = i2;
                    }
                }
                if (!TraeAudioManager.this._am.isBluetoothScoOn()) {
                    if (QLog.isColorLevel()) {
                        QLog.e("TRAE", 2, "bluetoothHeadsetSwitchThread sco fail,remove btheadset");
                    }
                    TraeAudioManager.this._deviceConfigManager.a(b(), false);
                    a(10);
                    TraeAudioManager.this.checkAutoDeviceListUpdate();
                }
            } else if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "connect bluetoothHeadset: disableDeviceSwitchFlag");
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public String b() {
            return TraeAudioManager.DEVICE_BLUETOOTHHEADSET;
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.k
        public void c() {
            if (TraeAudioManager.this._am != null) {
                e();
            }
        }

        /* access modifiers changed from: package-private */
        public void d() {
            TraeAudioManager.this._am.setBluetoothScoOn(true);
            if (Build.VERSION.SDK_INT > 8) {
                TraeAudioManager.this._am.startBluetoothSco();
            }
        }

        /* access modifiers changed from: package-private */
        public void e() {
            if (Build.VERSION.SDK_INT > 8) {
                TraeAudioManager.this._am.stopBluetoothSco();
            }
            TraeAudioManager.this._am.setBluetoothScoOn(false);
        }
    }

    /* access modifiers changed from: package-private */
    public int InternalSessionIsDeviceChangabled(HashMap<String, Object> hashMap) {
        Intent intent = new Intent();
        intent.putExtra(ISDEVICECHANGABLED_RESULT_ISCHANGABLED, InternalIsDeviceChangeable());
        sendResBroadcast(intent, hashMap, 0);
        return 0;
    }

    /* access modifiers changed from: package-private */
    public boolean InternalIsDeviceChangeable() {
        String g2 = this._deviceConfigManager.g();
        if (g2 == null || g2.equals(DEVICE_NONE) || g2.equals("")) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public int InternalSessionGetConnectedDevice(HashMap<String, Object> hashMap) {
        Intent intent = new Intent();
        intent.putExtra(GETCONNECTEDDEVICE_RESULT_LIST, this._deviceConfigManager.h());
        sendResBroadcast(intent, hashMap, 0);
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int InternalSessionGetConnectingDevice(HashMap<String, Object> hashMap) {
        Intent intent = new Intent();
        intent.putExtra(GETCONNECTINGDEVICE_RESULT_LIST, this._deviceConfigManager.g());
        sendResBroadcast(intent, hashMap, 0);
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int sendResBroadcast(final Intent intent, HashMap<String, Object> hashMap, final int i2) {
        if (this._context == null) {
            return -1;
        }
        Long l = (Long) hashMap.get(PARAM_SESSIONID);
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, " sessonID:" + l + Operators.SPACE_STR + ((String) hashMap.get(PARAM_OPERATION)));
        }
        if (l == null || l.longValue() == Long.MIN_VALUE) {
            InternalNotifyDeviceListUpdate();
            if (QLog.isColorLevel()) {
                QLog.e("TRAE", 2, "sendResBroadcast sid null,don't send res");
            }
            return -1;
        }
        final Long l2 = (Long) hashMap.get(PARAM_SESSIONID);
        final String str = (String) hashMap.get(PARAM_OPERATION);
        if (OPERATION_VOICECALL_PREPROCESS.equals(str)) {
            intent.setAction(ACTION_TRAEAUDIOMANAGER_RES);
            intent.putExtra(PARAM_SESSIONID, l2);
            intent.putExtra(PARAM_OPERATION, str);
            intent.putExtra(PARAM_RES_ERRCODE, i2);
            TraeAudioSessionHost traeAudioSessionHost = this._audioSessionHost;
            if (traeAudioSessionHost == null) {
                return 0;
            }
            traeAudioSessionHost.sendToAudioSessionMessage(intent);
            return 0;
        }
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.AnonymousClass1 */

            public void run() {
                intent.setAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_RES);
                intent.putExtra(TraeAudioManager.PARAM_SESSIONID, l2);
                intent.putExtra(TraeAudioManager.PARAM_OPERATION, str);
                intent.putExtra(TraeAudioManager.PARAM_RES_ERRCODE, i2);
                if (TraeAudioManager.this._context != null) {
                    TraeAudioManager.this._context.sendBroadcast(intent);
                }
            }
        });
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int InternalNotifyDeviceListUpdate() {
        AudioDeviceInterface.LogTraceEntry("");
        if (this._context == null) {
            return -1;
        }
        HashMap<String, Object> j2 = this._deviceConfigManager.j();
        final ArrayList arrayList = (ArrayList) j2.get(EXTRA_DATA_AVAILABLEDEVICE_LIST);
        final String str = (String) j2.get(EXTRA_DATA_CONNECTEDDEVICE);
        final String str2 = (String) j2.get(EXTRA_DATA_PREV_CONNECTEDDEVICE);
        final String d2 = this._deviceConfigManager.d();
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.AnonymousClass2 */

            public void run() {
                Intent intent = new Intent();
                intent.setAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_NOTIFY);
                intent.putExtra(TraeAudioManager.PARAM_OPERATION, TraeAudioManager.NOTIFY_DEVICELIST_UPDATE);
                intent.putExtra(TraeAudioManager.EXTRA_DATA_AVAILABLEDEVICE_LIST, (String[]) arrayList.toArray(new String[0]));
                intent.putExtra(TraeAudioManager.EXTRA_DATA_CONNECTEDDEVICE, str);
                intent.putExtra(TraeAudioManager.EXTRA_DATA_PREV_CONNECTEDDEVICE, str2);
                intent.putExtra(TraeAudioManager.EXTRA_DATA_IF_HAS_BLUETOOTH_THIS_IS_NAME, d2);
                if (TraeAudioManager.this._context != null) {
                    TraeAudioManager.this._context.sendBroadcast(intent);
                }
            }
        });
        AudioDeviceInterface.LogTraceExit();
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int InternalNotifyDeviceChangableUpdate() {
        if (this._context == null) {
            return -1;
        }
        final boolean InternalIsDeviceChangeable = InternalIsDeviceChangeable();
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class com.tencent.rtmp.sharp.jni.TraeAudioManager.AnonymousClass3 */

            public void run() {
                Intent intent = new Intent();
                intent.setAction(TraeAudioManager.ACTION_TRAEAUDIOMANAGER_NOTIFY);
                intent.putExtra(TraeAudioManager.PARAM_OPERATION, TraeAudioManager.NOTIFY_DEVICECHANGABLE_UPDATE);
                intent.putExtra(TraeAudioManager.NOTIFY_DEVICECHANGABLE_UPDATE_DATE, InternalIsDeviceChangeable);
                if (TraeAudioManager.this._context != null) {
                    TraeAudioManager.this._context.sendBroadcast(intent);
                }
            }
        });
        return 0;
    }

    /* access modifiers changed from: package-private */
    public abstract class d {
        public abstract void a();

        /* access modifiers changed from: package-private */
        public abstract void a(Context context, Intent intent);

        /* access modifiers changed from: package-private */
        public abstract void a(IntentFilter intentFilter);

        public abstract boolean a(Context context, e eVar);

        public abstract boolean b();

        public abstract String c();

        d() {
        }

        public void b(IntentFilter intentFilter) {
            intentFilter.addAction("android.bluetooth.adapter.action.STATE_CHANGED");
            intentFilter.addAction("android.bluetooth.device.action.ACL_CONNECTED");
            intentFilter.addAction("android.bluetooth.device.action.ACL_DISCONNECTED");
            a(intentFilter);
        }

        public void a(Context context, Intent intent, e eVar) {
            if ("android.bluetooth.adapter.action.STATE_CHANGED".equals(intent.getAction())) {
                int intExtra = intent.getIntExtra("android.bluetooth.adapter.extra.STATE", -1);
                int intExtra2 = intent.getIntExtra("android.bluetooth.adapter.extra.PREVIOUS_STATE", -1);
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BT ACTION_STATE_CHANGED|   EXTRA_STATE " + a(intExtra));
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BT ACTION_STATE_CHANGED|   EXTRA_PREVIOUS_STATE " + a(intExtra2));
                }
                if (intExtra == 10) {
                    if (QLog.isColorLevel()) {
                        QLog.w("TRAE", 2, "    BT off");
                    }
                    eVar.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                } else if (intExtra == 12 && QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BT OFF-->ON,Visiable it...");
                }
            } else if ("android.bluetooth.device.action.ACL_CONNECTED".equals(intent.getAction()) && Build.VERSION.SDK_INT < 11) {
            } else {
                if (!"android.bluetooth.device.action.ACL_DISCONNECTED".equals(intent.getAction()) || Build.VERSION.SDK_INT >= 11) {
                    a(context, intent);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public String a(int i) {
            String str;
            switch (i) {
                case 10:
                    str = "STATE_OFF";
                    break;
                case 11:
                    str = "STATE_TURNING_ON";
                    break;
                case 12:
                    str = "STATE_ON";
                    break;
                case 13:
                    str = "STATE_TURNING_OFF";
                    break;
                default:
                    str = "unknow";
                    break;
            }
            return str + com.xiaomi.mipush.sdk.Constants.COLON_SEPARATOR + i;
        }

        /* access modifiers changed from: package-private */
        public String b(int i) {
            String str;
            if (i == -1) {
                str = "SCO_AUDIO_STATE_ERROR";
            } else if (i == 0) {
                str = "SCO_AUDIO_STATE_DISCONNECTED";
            } else if (i == 1) {
                str = "SCO_AUDIO_STATE_CONNECTED";
            } else if (i != 2) {
                str = "unknow";
            } else {
                str = "SCO_AUDIO_STATE_CONNECTING";
            }
            return str + com.xiaomi.mipush.sdk.Constants.COLON_SEPARATOR + i;
        }

        /* access modifiers changed from: package-private */
        public String c(int i) {
            String str;
            if (i == 0) {
                str = "STATE_DISCONNECTED";
            } else if (i == 1) {
                str = "STATE_CONNECTING";
            } else if (i == 2) {
                str = "STATE_CONNECTED";
            } else if (i != 3) {
                str = "unknow";
            } else {
                str = "STATE_DISCONNECTING";
            }
            return str + com.xiaomi.mipush.sdk.Constants.COLON_SEPARATOR + i;
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends d {
        b() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public boolean a(Context context, e eVar) {
            return true;
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a() {
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public boolean b() {
            return false;
        }

        /* access modifiers changed from: package-private */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a(IntentFilter intentFilter) {
        }

        /* access modifiers changed from: package-private */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a(Context context, Intent intent) {
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public String c() {
            return "BluetoohHeadsetCheckFake";
        }
    }

    public d CreateBluetoothCheck(Context context, e eVar) {
        d dVar;
        if (Build.VERSION.SDK_INT >= 11) {
            dVar = new a();
        } else if (Build.VERSION.SDK_INT != 18) {
            dVar = new c();
        } else {
            dVar = new b();
        }
        if (!dVar.a(context, eVar)) {
            dVar = new b();
        }
        if (QLog.isColorLevel()) {
            StringBuilder sb = new StringBuilder();
            sb.append("CreateBluetoothCheck:");
            sb.append(dVar.c());
            sb.append(" skip android4.3:");
            sb.append(Build.VERSION.SDK_INT == 18 ? "Y" : "N");
            QLog.w("TRAE", 2, sb.toString());
        }
        return dVar;
    }

    /* access modifiers changed from: package-private */
    public class a extends d implements BluetoothProfile.ServiceListener {
        Context a = null;
        e b = null;
        BluetoothAdapter c = null;
        BluetoothProfile d = null;
        private final ReentrantLock f = new ReentrantLock();

        a() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public boolean a(Context context, e eVar) {
            AudioDeviceInterface.LogTraceEntry("");
            if (context == null || eVar == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " err ctx==null||_devCfg==null");
                }
                return false;
            }
            this.a = context;
            this.b = eVar;
            BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
            this.c = defaultAdapter;
            if (defaultAdapter == null) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, " err getDefaultAdapter fail!");
                }
                return false;
            }
            this.f.lock();
            try {
                if (!this.c.isEnabled() || this.d != null || this.c.getProfileProxy(this.a, this, 1)) {
                    this.f.unlock();
                    AudioDeviceInterface.LogTraceExit();
                    return true;
                }
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BluetoohHeadsetCheck: getProfileProxy HEADSET fail!");
                }
                return false;
            } finally {
                this.f.unlock();
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a() {
            AudioDeviceInterface.LogTraceEntry("_profile:" + this.d);
            this.f.lock();
            try {
                if (this.c != null) {
                    if (this.d != null) {
                        this.c.closeProfileProxy(1, this.d);
                    }
                    this.d = null;
                }
            } catch (Exception e2) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, " closeProfileProxy:e:" + e2.getMessage());
                }
            } catch (Throwable th) {
                this.f.unlock();
                throw th;
            }
            this.f.unlock();
            AudioDeviceInterface.LogTraceExit();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public boolean b() {
            this.f.lock();
            try {
                boolean z = false;
                if (this.d != null) {
                    List<BluetoothDevice> connectedDevices = this.d.getConnectedDevices();
                    if (connectedDevices == null) {
                        return false;
                    }
                    if (connectedDevices.size() > 0) {
                        z = true;
                    }
                }
                this.f.unlock();
                return z;
            } finally {
                this.f.unlock();
            }
        }

        /* JADX INFO: finally extract failed */
        public void onServiceConnected(int i, BluetoothProfile bluetoothProfile) {
            int i2;
            AudioDeviceInterface.LogTraceEntry("_profile:" + this.d + " profile:" + i + " proxy:" + bluetoothProfile);
            if (i == 1) {
                this.f.lock();
                try {
                    String str = null;
                    if (!(this.d == null || this.d == bluetoothProfile)) {
                        if (QLog.isColorLevel()) {
                            QLog.w("TRAE", 2, "BluetoohHeadsetCheck: HEADSET Connected proxy:" + bluetoothProfile + " _profile:" + this.d);
                        }
                        this.c.closeProfileProxy(1, this.d);
                        this.d = null;
                    }
                    this.d = bluetoothProfile;
                    List<BluetoothDevice> connectedDevices = bluetoothProfile != null ? bluetoothProfile.getConnectedDevices() : null;
                    if (!(connectedDevices == null || this.d == null)) {
                        if (QLog.isColorLevel()) {
                            QLog.w("TRAE", 2, "TRAEBluetoohProxy: HEADSET Connected devs:" + connectedDevices.size() + " _profile:" + this.d);
                        }
                        for (int i3 = 0; i3 < connectedDevices.size(); i3++) {
                            BluetoothDevice bluetoothDevice = connectedDevices.get(i3);
                            try {
                                if (this.d != null) {
                                    i2 = this.d.getConnectionState(bluetoothDevice);
                                } else {
                                    i2 = 0;
                                }
                            } catch (Exception e2) {
                                i2 = 0;
                            }
                            if (i2 == 2) {
                                this.b.b(bluetoothDevice.getName());
                            }
                            if (QLog.isColorLevel()) {
                                QLog.w("TRAE", 2, "   " + i3 + Operators.SPACE_STR + bluetoothDevice.getName() + " ConnectionState:" + i2);
                            }
                        }
                    }
                    this.f.unlock();
                    if (this.b != null) {
                        if (TraeAudioManager.this._deviceConfigManager != null) {
                            str = TraeAudioManager.this._deviceConfigManager.d();
                        }
                        if (TextUtils.isEmpty(str)) {
                            this.b.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                        } else if (b()) {
                            this.b.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
                            TraeAudioManager.this.checkDevicePlug(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
                        } else {
                            this.b.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                        }
                    }
                } catch (Throwable th) {
                    this.f.unlock();
                    throw th;
                }
            }
            AudioDeviceInterface.LogTraceExit();
        }

        public void onServiceDisconnected(int i) {
            AudioDeviceInterface.LogTraceEntry("_profile:" + this.d + " profile:" + i);
            if (i == 1) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "TRAEBluetoohProxy: HEADSET Disconnected");
                }
                if (b()) {
                    TraeAudioManager.this.checkDevicePlug(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                }
                this.f.lock();
                try {
                    if (this.d != null) {
                        this.c.closeProfileProxy(1, this.d);
                        this.d = null;
                    }
                } finally {
                    this.f.unlock();
                }
            }
            AudioDeviceInterface.LogTraceExit();
        }

        /* access modifiers changed from: package-private */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a(IntentFilter intentFilter) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, Operators.SPACE_STR + c() + " _addAction");
            }
            intentFilter.addAction("android.bluetooth.adapter.action.CONNECTION_STATE_CHANGED");
            intentFilter.addAction("android.media.ACTION_SCO_AUDIO_STATE_UPDATED");
            intentFilter.addAction("android.bluetooth.a2dp.profile.action.CONNECTION_STATE_CHANGED");
        }

        /* access modifiers changed from: package-private */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a(Context context, Intent intent) {
            if ("android.bluetooth.adapter.action.CONNECTION_STATE_CHANGED".equals(intent.getAction())) {
                int intExtra = intent.getIntExtra("android.bluetooth.adapter.extra.CONNECTION_STATE", -1);
                int intExtra2 = intent.getIntExtra("android.bluetooth.adapter.extra.PREVIOUS_CONNECTION_STATE", -1);
                BluetoothDevice bluetoothDevice = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BT ACTION_CONNECTION_STATE_CHANGED|   EXTRA_CONNECTION_STATE " + c(intExtra));
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "    EXTRA_PREVIOUS_CONNECTION_STATE " + c(intExtra2));
                }
                if (QLog.isColorLevel()) {
                    StringBuilder sb = new StringBuilder();
                    sb.append("    EXTRA_DEVICE ");
                    sb.append(bluetoothDevice);
                    String str = Operators.SPACE_STR;
                    sb.append(str);
                    if (bluetoothDevice != null) {
                        str = bluetoothDevice.getName();
                    }
                    sb.append(str);
                    QLog.w("TRAE", 2, sb.toString());
                }
                if (intExtra == 2) {
                    if (QLog.isColorLevel()) {
                        QLog.w("TRAE", 2, "   dev:" + bluetoothDevice.getName() + " connected,start sco...");
                    }
                    this.b.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
                    this.b.b(bluetoothDevice != null ? bluetoothDevice.getName() : "unkown");
                } else if (intExtra == 0) {
                    this.b.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                }
            } else if ("android.media.ACTION_SCO_AUDIO_STATE_UPDATED".equals(intent.getAction())) {
                int intExtra3 = intent.getIntExtra("android.media.extra.SCO_AUDIO_STATE", -1);
                int intExtra4 = intent.getIntExtra("android.media.extra.SCO_AUDIO_PREVIOUS_STATE", -1);
                BluetoothDevice bluetoothDevice2 = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BT ACTION_SCO_AUDIO_STATE_UPDATED|   EXTRA_CONNECTION_STATE  dev:" + bluetoothDevice2);
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "   EXTRA_SCO_AUDIO_STATE " + b(intExtra3));
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "   EXTRA_SCO_AUDIO_PREVIOUS_STATE " + b(intExtra4));
                }
            } else if ("android.bluetooth.a2dp.profile.action.CONNECTION_STATE_CHANGED".equals(intent.getAction())) {
                BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
                int profileConnectionState = defaultAdapter.getProfileConnectionState(2);
                if (profileConnectionState == 0) {
                    QLog.w("TRAE", 2, "BluetoothA2dp STATE_DISCONNECTED");
                    TraeAudioManager.this.IsBluetoothA2dpExisted = false;
                } else if (profileConnectionState != 2) {
                    QLog.w("TRAE", 2, "BluetoothA2dp" + defaultAdapter.getProfileConnectionState(2));
                } else {
                    QLog.w("TRAE", 2, "BluetoothA2dp STATE_CONNECTED");
                    TraeAudioManager.this.IsBluetoothA2dpExisted = true;
                }
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public String c() {
            return "BluetoohHeadsetCheck";
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends d {
        Class<?> a = null;
        Class<?> b = null;
        Object c = null;
        Method d = null;
        Context e = null;
        e f = null;

        c() {
            super();
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public boolean a(Context context, e eVar) {
            AudioDeviceInterface.LogTraceEntry("");
            this.e = context;
            this.f = eVar;
            if (context == null || eVar == null) {
                return false;
            }
            try {
                this.a = Class.forName("android.bluetooth.BluetoothHeadset");
            } catch (Exception e2) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset class not found");
                }
            }
            if (this.a == null) {
                return false;
            }
            try {
                this.b = Class.forName("android.bluetooth.BluetoothHeadset$ServiceListener");
            } catch (Exception e3) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset.ServiceListener class not found:" + e3);
                }
            }
            try {
                this.d = this.a.getDeclaredMethod("getCurrentHeadset", new Class[0]);
            } catch (NoSuchMethodException e4) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset method getCurrentHeadset NoSuchMethodException");
                }
            }
            if (this.d == null) {
                return false;
            }
            try {
                this.c = this.a.getConstructor(Context.class, this.b).newInstance(context, null);
            } catch (IllegalArgumentException e5) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset getConstructor IllegalArgumentException");
                }
            } catch (InstantiationException e6) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset getConstructor InstantiationException");
                }
            } catch (IllegalAccessException e7) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset getConstructor IllegalAccessException");
                }
            } catch (InvocationTargetException e8) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset getConstructor InvocationTargetException");
                }
            } catch (NoSuchMethodException e9) {
                if (QLog.isColorLevel()) {
                    QLog.e("TRAE", 2, "BTLooperThread BluetoothHeadset getConstructor NoSuchMethodException");
                }
            }
            if (this.c == null) {
                return false;
            }
            this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, b());
            if (b()) {
                this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
                TraeAudioManager.this.checkDevicePlug(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
            } else {
                this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
            }
            AudioDeviceInterface.LogTraceExit();
            return true;
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a() {
            Method method;
            AudioDeviceInterface.LogTraceEntry("");
            if (this.c != null) {
                try {
                    method = this.a.getDeclaredMethod(AbsoluteConst.EVENTS_CLOSE, new Class[0]);
                } catch (NoSuchMethodException e2) {
                    if (QLog.isColorLevel()) {
                        QLog.e("TRAE", 2, "BTLooperThread _uninitHeadsetfor2x method close NoSuchMethodException");
                    }
                    method = null;
                }
                if (method != null) {
                    try {
                        method.invoke(this.c, new Object[0]);
                    } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e3) {
                    }
                    this.a = null;
                    this.b = null;
                    this.c = null;
                    this.d = null;
                    AudioDeviceInterface.LogTraceExit();
                }
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:18:0x003b, code lost:
            r1 = null;
         */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public boolean b() {
            Object obj;
            Method method = this.d;
            if (method == null || method == null) {
                return false;
            }
            try {
                obj = method.invoke(this.c, new Object[0]);
            } catch (IllegalArgumentException e2) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BTLooperThread BluetoothHeadset method getCurrentHeadset IllegalArgumentException");
                }
            } catch (IllegalAccessException e3) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BTLooperThread BluetoothHeadset method getCurrentHeadset IllegalAccessException");
                }
            } catch (InvocationTargetException e4) {
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "BTLooperThread BluetoothHeadset method getCurrentHeadset InvocationTargetException");
                }
            }
            if (QLog.isColorLevel()) {
                StringBuilder sb = new StringBuilder();
                sb.append("BTLooperThread BluetoothHeadset method getCurrentHeadset res:");
                sb.append(obj != null ? " Y" : "N");
                QLog.w("TRAE", 2, sb.toString());
            }
            if (obj != null) {
                return true;
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a(IntentFilter intentFilter) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, Operators.SPACE_STR + c() + " _addAction");
            }
            intentFilter.addAction("android.bluetooth.headset.action.AUDIO_STATE_CHANGED");
            intentFilter.addAction("android.bluetooth.headset.action.STATE_CHANGED");
        }

        /* access modifiers changed from: package-private */
        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public void a(Context context, Intent intent) {
            if ("android.bluetooth.headset.action.AUDIO_STATE_CHANGED".equals(intent.getAction())) {
                int intExtra = intent.getIntExtra("android.bluetooth.headset.extra.STATE", -2);
                int intExtra2 = intent.getIntExtra("android.bluetooth.headset.extra.PREVIOUS_STATE", -2);
                int intExtra3 = intent.getIntExtra("android.bluetooth.headset.extra.AUDIO_STATE", -2);
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "++ AUDIO_STATE_CHANGED|  STATE " + intExtra);
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "       PREVIOUS_STATE " + intExtra2);
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "       AUDIO_STATE " + intExtra3);
                }
                if (intExtra3 == 2) {
                    this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
                } else if (intExtra3 == 0) {
                    this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                }
            } else if ("android.bluetooth.headset.action.STATE_CHANGED".equals(intent.getAction())) {
                int intExtra4 = intent.getIntExtra("android.bluetooth.headset.extra.STATE", -2);
                int intExtra5 = intent.getIntExtra("android.bluetooth.headset.extra.PREVIOUS_STATE", -2);
                int intExtra6 = intent.getIntExtra("android.bluetooth.headset.extra.AUDIO_STATE", -2);
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "++ STATE_CHANGED|  STATE " + intExtra4);
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "       PREVIOUS_STATE " + intExtra5);
                }
                if (QLog.isColorLevel()) {
                    QLog.w("TRAE", 2, "       AUDIO_STATE " + intExtra6);
                }
                if (intExtra6 == 2) {
                    this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, true);
                } else if (intExtra6 == 0) {
                    this.f.a(TraeAudioManager.DEVICE_BLUETOOTHHEADSET, false);
                }
            }
        }

        @Override // com.tencent.rtmp.sharp.jni.TraeAudioManager.d
        public String c() {
            return "BluetoohHeadsetCheckFor2x";
        }
    }

    static String getForceConfigName(int i2) {
        if (i2 < 0) {
            return "unknow";
        }
        String[] strArr = forceName;
        if (i2 < strArr.length) {
            return strArr[i2];
        }
        return "unknow";
    }

    public static Object invokeMethod(Object obj, String str, Object[] objArr, Class[] clsArr) {
        try {
            return obj.getClass().getMethod(str, clsArr).invoke(obj, objArr);
        } catch (Exception e2) {
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "invokeMethod Exception:" + e2.getMessage());
            }
            return null;
        }
    }

    public static Object invokeStaticMethod(String str, String str2, Object[] objArr, Class[] clsArr) {
        try {
            return Class.forName(str).getMethod(str2, clsArr).invoke(null, objArr);
        } catch (ClassNotFoundException e2) {
            if (!QLog.isColorLevel()) {
                return null;
            }
            QLog.w("TRAE", 2, "ClassNotFound:" + str);
            return null;
        } catch (NoSuchMethodException e3) {
            if (!QLog.isColorLevel()) {
                return null;
            }
            QLog.w("TRAE", 2, "NoSuchMethod:" + str2);
            return null;
        } catch (IllegalArgumentException e4) {
            if (!QLog.isColorLevel()) {
                return null;
            }
            QLog.w("TRAE", 2, "IllegalArgument:" + str2);
            return null;
        } catch (IllegalAccessException e5) {
            if (!QLog.isColorLevel()) {
                return null;
            }
            QLog.w("TRAE", 2, "IllegalAccess:" + str2);
            return null;
        } catch (InvocationTargetException e6) {
            if (!QLog.isColorLevel()) {
                return null;
            }
            QLog.w("TRAE", 2, "InvocationTarget:" + str2);
            return null;
        } catch (Exception e7) {
            if (!QLog.isColorLevel()) {
                return null;
            }
            QLog.w("TRAE", 2, "invokeStaticMethod Exception:" + e7.getMessage());
            return null;
        }
    }

    static void setParameters(String str) {
        Object[] objArr = {str};
        Class[] clsArr = {String.class};
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "setParameters  :" + str);
        }
        invokeStaticMethod(ReflectUtils.CLASSNAME_AUDIOSYSTEM, "setParameters", objArr, clsArr);
    }

    static void setPhoneState(int i2) {
        invokeStaticMethod(ReflectUtils.CLASSNAME_AUDIOSYSTEM, "setPhoneState", new Object[]{Integer.valueOf(i2)}, new Class[]{Integer.TYPE});
    }

    static void setForceUse(int i2, int i3) {
        Object invokeStaticMethod = invokeStaticMethod(ReflectUtils.CLASSNAME_AUDIOSYSTEM, "setForceUse", new Object[]{Integer.valueOf(i2), Integer.valueOf(i3)}, new Class[]{Integer.TYPE, Integer.TYPE});
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "setForceUse  usage:" + i2 + " config:" + i3 + " ->" + getForceConfigName(i3) + " res:" + invokeStaticMethod);
        }
    }

    static int getForceUse(int i2) {
        Integer num = 0;
        Object invokeStaticMethod = invokeStaticMethod(ReflectUtils.CLASSNAME_AUDIOSYSTEM, "getForceUse", new Object[]{Integer.valueOf(i2)}, new Class[]{Integer.TYPE});
        if (invokeStaticMethod != null) {
            num = (Integer) invokeStaticMethod;
        }
        if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "getForceUse  usage:" + i2 + " config:" + num + " ->" + getForceConfigName(num.intValue()));
        }
        return num.intValue();
    }

    static void forceVolumeControlStream(AudioManager audioManager, int i2) {
        if (!Build.MANUFACTURER.equals("Google")) {
            Object invokeMethod = invokeMethod(audioManager, "forceVolumeControlStream", new Object[]{Integer.valueOf(i2)}, new Class[]{Integer.TYPE});
            if (QLog.isColorLevel()) {
                QLog.w("TRAE", 2, "forceVolumeControlStream  streamType:" + i2 + " res:" + invokeMethod);
            }
        } else if (QLog.isColorLevel()) {
            QLog.w("TRAE", 2, "forceVolumeControlStream, Google phone nothing to do");
        }
    }
}
