package com.tencent.smtt.sdk;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.util.Log;
import com.tencent.smtt.export.external.TbsCoreSettings;
import com.tencent.smtt.utils.FileUtil;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.s;
import java.io.File;
import java.util.HashMap;
import java.util.Iterator;

public enum TbsPrivacyAccess {
    DeviceId(false),
    Imsi(false),
    AndroidId(false),
    MacAddress(false),
    AndroidVersion(true),
    DeviceModel(true),
    AppList(true);
    
    @Deprecated
    private static boolean a = true;
    private static String c = "";
    private static boolean d = false;
    private static String[] e = null;
    private boolean b;

    public enum ConfigurablePrivacy {
        IMSI("imsi"),
        ANDROID_ID("android_id"),
        MAC("mac"),
        ANDROID_VERSION("android_version"),
        DEVICE_MODEL("device_model"),
        APP_LIST("app_list"),
        QIMEI36("q36"),
        MODEL("model"),
        OAID("oaid"),
        SERIAL("serial"),
        ACTION("action"),
        QB_INSTALLED("qb_installed");
        
        String a;

        private ConfigurablePrivacy(String str) {
            this.a = str;
        }
    }

    private TbsPrivacyAccess(boolean z) {
        this.b = z;
    }

    private static void a(Context context, SharedPreferences.Editor editor, ConfigurablePrivacy configurablePrivacy, String str) {
        if (!TextUtils.isEmpty(str)) {
            TbsLog.i("TbsPrivacy", "doConfigPrivacy  " + configurablePrivacy.a + " is " + str);
            if (TextUtils.isEmpty(configurablePrivacy.a) || !configurablePrivacy.a.equals("action")) {
                editor.putString(configurablePrivacy.a, str);
                TbsLog.i("TbsPrivacy", "configurePrivacy " + configurablePrivacy.a + " is " + str);
                return;
            }
            a(context, str);
        }
    }

    private static void a(Context context, String str) {
        try {
            if (!TextUtils.isEmpty(str) && FileUtil.a(context) && str.equals("deleteQBApk")) {
                String str2 = Environment.getExternalStorageDirectory() + File.separator;
                if (!str2.equals("")) {
                    str2 = str2 + "Android" + File.separator + "data" + File.separator + c + File.separator + "files" + File.separator + "Download";
                }
                File file = new File(str2);
                TbsLog.i("TbsPrivacy", "doActionByApp QbApkDir is " + file.getAbsolutePath());
                FileUtil.b(file);
            }
        } catch (Throwable th) {
            TbsLog.i("TbsPrivacy", "doActionByApp stack is " + Log.getStackTraceString(th));
        }
    }

    public static void configureAllPrivacy(Context context, Bundle bundle) {
        if (bundle != null) {
            try {
                String i = s.i(context);
                TbsLog.i("TbsPrivacy", "configureAllPrivacy state is " + i);
                if (bundle.containsKey("qimei36") && !i.contains("qimei36")) {
                    bundle.putString(ConfigurablePrivacy.QIMEI36.a, bundle.getString("qimei36"));
                }
                Iterator<String> it = bundle.keySet().iterator();
                while (it.hasNext()) {
                    TbsLog.i("TbsPrivacy", "configureAllPrivacy bundle key is " + it.next());
                }
                SharedPreferences.Editor edit = context.getSharedPreferences("uifa", 0).edit();
                c = context.getApplicationInfo().packageName;
                ConfigurablePrivacy[] values = ConfigurablePrivacy.values();
                for (ConfigurablePrivacy configurablePrivacy : values) {
                    if (bundle.containsKey(configurablePrivacy.a) && !i.contains(configurablePrivacy.a)) {
                        a(context, edit, configurablePrivacy, bundle.getString(configurablePrivacy.a));
                    }
                }
                edit.putString("app_call", "done");
                edit.commit();
            } catch (Throwable th) {
            }
        }
    }

    public static void configureAllPrivacy(Context context, String str) {
        if (str != null) {
            try {
                String i = s.i(context);
                TbsLog.i("TbsPrivacy", "configureAllPrivacy state is " + i);
                if (!i.contains("app_list")) {
                    SharedPreferences.Editor edit = context.getSharedPreferences("uifa", 0).edit();
                    edit.putString("app_list", str);
                    edit.putString("app_call", "done");
                    edit.commit();
                }
            } catch (Throwable th) {
            }
        }
    }

    public static void configurePrivacy(Context context, ConfigurablePrivacy configurablePrivacy, String str) {
        SharedPreferences.Editor edit = context.getSharedPreferences("uifa", 0).edit();
        a(context, edit, configurablePrivacy, str);
        edit.commit();
    }

    @Deprecated
    public static void disableSensitiveApi() {
        a = false;
        HashMap hashMap = new HashMap();
        hashMap.put(TbsCoreSettings.NO_SENSITIVE_API, true);
        QbSdk.initTbsSettings(hashMap);
    }

    public static String getConfigurePrivacy(Context context, ConfigurablePrivacy configurablePrivacy, String str) {
        return context.getSharedPreferences("uifa", 0).getString(configurablePrivacy.a, str);
    }

    public static String[] getItemToRmPrivacy() {
        return e;
    }

    @Deprecated
    public static boolean isEnableSensitiveApi() {
        return a;
    }

    public static void rmPrivacyItemIfNeeded(Context context) {
        try {
            TbsLog.i("TbsPrivacy", "mRmPrivacyItemChecked is " + d);
            if (!d) {
                d = true;
                String i = s.i(context);
                TbsLog.i("TbsPrivacy", "rmPrivacyItemIfNeeded state is " + i);
                if (i.equals("removenone")) {
                    e = null;
                    return;
                }
                e = i.split("\\|");
                TbsLog.i("TbsPrivacy", "rmPrivacyItemIfNeeded mItemToRmPrivacy is " + e);
                SharedPreferences sharedPreferences = context.getSharedPreferences("uifa", 0);
                SharedPreferences.Editor edit = sharedPreferences.edit();
                String[] strArr = e;
                for (String str : strArr) {
                    if (sharedPreferences.contains(str)) {
                        edit.remove(str);
                    }
                }
                edit.commit();
            }
        } catch (Throwable th) {
            TbsLog.i("TbsPrivacy", "stack is " + Log.getStackTraceString(th));
        }
    }

    public boolean isDisabled() {
        return !this.b;
    }

    public boolean isEnabled() {
        return this.b;
    }

    public void setEnabled(boolean z) {
        this.b = z;
        TbsLog.i("TbsPrivacy", name() + " is " + z);
    }
}
