package com.umeng.commonsdk;

import android.app.Application;
import android.content.Context;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import android.widget.Toast;
import com.umeng.analytics.MobclickAgent;
import com.umeng.analytics.pro.as;
import com.umeng.analytics.pro.au;
import com.umeng.analytics.pro.bg;
import com.umeng.analytics.pro.bk;
import com.umeng.analytics.pro.l;
import com.umeng.analytics.vshelper.PageNameMonitor;
import com.umeng.commonsdk.config.FieldManager;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.debug.UMLogCommon;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.framework.UMWorkDispatch;
import com.umeng.commonsdk.internal.a;
import com.umeng.commonsdk.internal.b;
import com.umeng.commonsdk.listener.OnGetOaidListener;
import com.umeng.commonsdk.service.UMGlobalContext;
import com.umeng.commonsdk.statistics.AnalyticsConstants;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.TagHelper;
import com.umeng.commonsdk.statistics.UMServerURL;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.utils.UMUtils;
import com.umeng.commonsdk.utils.c;
import com.umeng.commonsdk.utils.d;
import java.io.File;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Map;
import org.json.JSONObject;

public class UMConfigure {
    public static MobclickAgent.PageMode AUTO_ACTIVITY_PAGE_COLLECTION = MobclickAgent.PageMode.AUTO;
    private static final String[] BUSINESS_TYPE = {"apm", "push", "share", "ulink", "uverify", "usms", "urec", "abtest", "game", bg.al};
    public static final int DEVICE_TYPE_BOX = 2;
    public static final int DEVICE_TYPE_PHONE = 1;
    private static final String KEY_FILE_NAME_APPKEY = "APPKEY";
    private static final String KEY_FILE_NAME_LOG = "LOG";
    private static final String KEY_METHOD_NAME_PUSH_SETCHANNEL = "setMessageChannel";
    private static final String KEY_METHOD_NAME_PUSH_SET_SECRET = "setSecret";
    private static final String KEY_METHOD_NAME_SETAPPKEY = "setAppkey";
    private static final String KEY_METHOD_NAME_SETCHANNEL = "setChannel";
    private static final String KEY_METHOD_NAME_SETDEBUGMODE = "setDebugMode";
    private static Object PreInitLock = new Object();
    private static final String TAG = "UMConfigure";
    private static final String WRAPER_TYPE_COCOS2DX_X = "Cocos2d-x";
    private static final String WRAPER_TYPE_COCOS2DX_XLUA = "Cocos2d-x_lua";
    private static final String WRAPER_TYPE_FLUTTER = "flutter";
    private static final String WRAPER_TYPE_HYBRID = "hybrid";
    private static final String WRAPER_TYPE_NATIVE = "native";
    private static final String WRAPER_TYPE_PHONEGAP = "phonegap";
    private static final String WRAPER_TYPE_REACTNATIVE = "react-native";
    private static final String WRAPER_TYPE_UNITY = "Unity";
    private static final String WRAPER_TYPE_WEEX = "weex";
    private static boolean debugLog = false;
    private static boolean isFinish = false;
    public static boolean isInit = false;
    private static Object lock = new Object();
    private static Object lockObject = new Object();
    private static OnGetOaidListener mOnGetOaidListener;
    private static int policyGrantInvokedFlag = 0;
    private static int policyGrantResult = 0;
    private static boolean preInitComplete = false;
    private static int preInitInvokedFlag = 0;
    public static String sAppkey = "";
    public static String sChannel = "";
    private static boolean shouldCheckShareSdk = true;
    private static boolean shouldCollectAid = true;
    private static volatile boolean shouldOutputRT = false;
    public static UMLog umDebugLog = new UMLog();

    public enum BS_TYPE {
        APM,
        PUSH,
        SHARE,
        ULINK,
        UVERIFY,
        USMS,
        UREC,
        ABTEST,
        GAME,
        ZID
    }

    private static void ignoreSdkCheck(Context context) {
        shouldCheckShareSdk = false;
    }

    private static Class<?> getClass(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            return null;
        }
    }

    private static Object getDecInstanceObject(Class<?> cls) {
        Constructor<?> constructor;
        if (cls == null) {
            return null;
        }
        try {
            constructor = cls.getDeclaredConstructor(new Class[0]);
        } catch (NoSuchMethodException e) {
            constructor = null;
        }
        if (constructor == null) {
            return null;
        }
        constructor.setAccessible(true);
        try {
            return constructor.newInstance(new Object[0]);
        } catch (IllegalAccessException | IllegalArgumentException | InstantiationException | InvocationTargetException e2) {
            return null;
        }
    }

    private static Method getDecMethod(Class<?> cls, String str, Class<?>[] clsArr) {
        Method method = null;
        if (cls != null) {
            try {
                method = cls.getDeclaredMethod(str, clsArr);
            } catch (NoSuchMethodException e) {
            }
            if (method != null) {
                method.setAccessible(true);
            }
        }
        return method;
    }

    private static void invoke(Method method, Object obj, Object[] objArr) {
        if (method != null && obj != null) {
            try {
                method.invoke(obj, objArr);
            } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e) {
            }
        }
    }

    private static void invoke(Method method, Object[] objArr) {
        if (method != null) {
            try {
                method.invoke(null, objArr);
            } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e) {
            }
        }
    }

    private static void setFile(Class<?> cls, String str, String str2) {
        if (cls != null) {
            try {
                cls.getField(str).set(str, str2);
            } catch (Exception e) {
            }
        }
    }

    private static void setFile(Class<?> cls, String str, boolean z) {
        if (cls != null) {
            try {
                cls.getField(str).set(str, Boolean.valueOf(z));
            } catch (Exception e) {
            }
        }
    }

    public static boolean getInitStatus() {
        boolean z;
        synchronized (lockObject) {
            z = isFinish;
        }
        return z;
    }

    private static boolean checkShareSdk(Class<?> cls) {
        try {
            if (cls.getDeclaredField("isZyb") != null) {
                return true;
            }
            return false;
        } catch (Throwable th) {
            return false;
        }
    }

    public static void init(Context context, int i, String str) {
        init(context, null, null, i, str);
    }

    private static boolean isPreInit() {
        boolean z;
        synchronized (PreInitLock) {
            z = preInitComplete;
        }
        return z;
    }

    public static void preInit(Context context, String str, String str2) {
        synchronized (lock) {
            preInitInvokedFlag = 1;
        }
        preInitInternal(context, str, str2);
    }

    public static void submitPolicyGrantResult(Context context, boolean z) {
        UMWorkDispatch.sendEvent(context, a.B, b.a(context).a(), null);
        synchronized (lock) {
            policyGrantInvokedFlag = 1;
            if (z) {
                policyGrantResult = 1;
            } else {
                policyGrantResult = 2;
            }
        }
        UMWorkDispatch.sendEvent(context, a.z, b.a(context).a(), Integer.valueOf(policyGrantResult));
    }

    public static boolean shouldOutput() {
        return shouldOutputRT;
    }

    private static void preInitInternal(Context context, String str, String str2) {
        if (context != null) {
            Context applicationContext = context.getApplicationContext();
            if ("1".equals(UMUtils.getSystemProperty("debug.umeng.rtlog", "0"))) {
                shouldOutputRT = true;
            }
            if (TextUtils.isEmpty(str)) {
                str = UMUtils.getAppkeyByXML(applicationContext);
            }
            if (TextUtils.isEmpty(str2)) {
                str2 = UMUtils.getChannelByXML(applicationContext);
            }
            if (TextUtils.isEmpty(str2)) {
                str2 = "Unknown";
            }
            if (!TextUtils.isEmpty(str)) {
                sAppkey = str;
                sChannel = str2;
                UMGlobalContext.getInstance(applicationContext);
                l.a(applicationContext);
                if (!needSendZcfgEnv(applicationContext)) {
                    FieldManager.a().a(applicationContext);
                }
                synchronized (PreInitLock) {
                    preInitComplete = true;
                }
                boolean a = c.a();
                if (debugLog && a) {
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> 当前处于静默模式!");
                }
            }
        } else if (debugLog) {
            Log.e(TAG, "preInit: context is null, pls check!");
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:223:0x04c4, code lost:
        r11 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:225:0x04c7, code lost:
        if (com.umeng.commonsdk.UMConfigure.debugLog != false) goto L_0x04c9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:226:0x04c9, code lost:
        android.util.Log.e(com.umeng.commonsdk.UMConfigure.TAG, "init e is " + r11);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:227:0x04e0, code lost:
        r11 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:229:0x04e3, code lost:
        if (com.umeng.commonsdk.UMConfigure.debugLog != false) goto L_0x04e5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:230:0x04e5, code lost:
        android.util.Log.e(com.umeng.commonsdk.UMConfigure.TAG, "init e is " + r11);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:223:0x04c4 A[ExcHandler: all (r11v6 'th' java.lang.Object A[CUSTOM_DECLARE]), Splitter:B:1:0x0003] */
    public static void init(Context context, String str, String str2, int i, String str3) {
        Method declaredMethod;
        Object invoke;
        Method declaredMethod2;
        Class<?> cls;
        Method declaredMethod3;
        Method declaredMethod4;
        Method declaredMethod5;
        Method declaredMethod6;
        Object invoke2;
        Class<?> cls2;
        Method declaredMethod7;
        Method declaredMethod8;
        try {
            if (debugLog) {
                Log.i(TAG, "common version is 9.6.1");
                Log.i(TAG, "common type is " + SdkVersion.SDK_TYPE);
            }
            if (context == null) {
                if (debugLog) {
                    Log.e(TAG, "context is null !!!");
                }
            } else if (!isInit) {
                final Context applicationContext = context.getApplicationContext();
                UMGlobalContext.getInstance(applicationContext);
                if (c.a()) {
                    if (!isPreInit()) {
                        preInitInternal(applicationContext, str, str2);
                        if (!isPreInit()) {
                            return;
                        }
                    }
                    UMWorkDispatch.sendEvent(applicationContext, a.D, b.a(applicationContext).a(), null);
                    return;
                }
                try {
                    if (getClass("com.umeng.umzid.ZIDManager") == null) {
                        Log.e(TAG, "--->>> SDK 初始化失败，请检查是否集成umeng-asms-1.2.x.aar库。<<<--- ");
                        new Thread() {
                            /* class com.umeng.commonsdk.UMConfigure.AnonymousClass1 */

                            public void run() {
                                try {
                                    Looper.prepare();
                                    Toast.makeText(applicationContext, "SDK 初始化失败，请检查是否集成umeng-asms-1.2.X.aar库。", 1).show();
                                    Looper.loop();
                                } catch (Throwable th) {
                                }
                            }
                        }.start();
                        return;
                    }
                } catch (Throwable th) {
                }
                try {
                    Class<?> cls3 = getClass("com.umeng.message.PushAgent");
                    if (cls3 != null && !checkShareSdk(cls3)) {
                        Log.e("UMLog", UMLogCommon.SC_10015);
                        if (shouldCheckShareSdk) {
                            new Thread() {
                                /* class com.umeng.commonsdk.UMConfigure.AnonymousClass2 */

                                public void run() {
                                    try {
                                        Looper.prepare();
                                        Toast.makeText(applicationContext, UMLogCommon.SC_10015, 1).show();
                                        Looper.loop();
                                    } catch (Throwable th) {
                                    }
                                }
                            }.start();
                        }
                    }
                } catch (Throwable th2) {
                }
                try {
                    Class<?> cls4 = getClass("com.umeng.socialize.UMShareAPI");
                    if (cls4 != null && !checkShareSdk(cls4)) {
                        Log.e("UMLog", UMLogCommon.SC_10015);
                        if (shouldCheckShareSdk) {
                            new Thread() {
                                /* class com.umeng.commonsdk.UMConfigure.AnonymousClass3 */

                                public void run() {
                                    try {
                                        Looper.prepare();
                                        Toast.makeText(applicationContext, UMLogCommon.SC_10015, 1).show();
                                        Looper.loop();
                                    } catch (Throwable th) {
                                    }
                                }
                            }.start();
                        }
                    }
                } catch (Throwable th3) {
                }
                if (!isPreInit()) {
                    preInitInternal(applicationContext, str, str2);
                    if (!isPreInit()) {
                        return;
                    }
                }
                UMEnvelopeBuild.registerNetReceiver(applicationContext);
                UMUtils.setAppkey(applicationContext, sAppkey);
                String lastAppkey = UMUtils.getLastAppkey(applicationContext);
                if (!TextUtils.isEmpty(sAppkey) && !sAppkey.equals(lastAppkey)) {
                    if (!TextUtils.isEmpty(lastAppkey) && debugLog) {
                        UMLog.mutlInfo(UMLogCommon.SC_10008, 2, "");
                    }
                    UMUtils.setLastAppkey(applicationContext, sAppkey);
                }
                if (debugLog) {
                    Log.i(TAG, "current appkey is " + sAppkey + ", last appkey is " + lastAppkey);
                }
                if (debugLog) {
                    String appkeyByXML = UMUtils.getAppkeyByXML(applicationContext);
                    if (!TextUtils.isEmpty(sAppkey) && !TextUtils.isEmpty(appkeyByXML) && !sAppkey.equals(appkeyByXML)) {
                        UMLog.mutlInfo(UMLogCommon.SC_10011, 3, "", new String[]{"@", "#"}, new String[]{sAppkey, appkeyByXML});
                    }
                }
                UMUtils.setChannel(applicationContext, sChannel);
                if (debugLog) {
                    Log.i(TAG, "channel is " + sChannel);
                }
                try {
                    Class<?> cls5 = Class.forName("com.umeng.analytics.MobclickAgent");
                    if (cls5 != null) {
                        Method declaredMethod9 = cls5.getDeclaredMethod("init", Context.class);
                        if (declaredMethod9 != null) {
                            declaredMethod9.setAccessible(true);
                            declaredMethod9.invoke(cls5, applicationContext);
                            if (FieldManager.allow(d.F)) {
                                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> FirstResumeTrigger enabled.");
                                l.a(applicationContext).b(applicationContext);
                            } else {
                                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> FirstResumeTrigger disabled.");
                            }
                            if (debugLog) {
                                UMLog.mutlInfo(UMLogCommon.SC_10003, 2, "");
                            }
                        }
                        if (!(Class.forName("com.umeng.analytics.game.UMGameAgent") == null || (declaredMethod8 = cls5.getDeclaredMethod("setGameScenarioType", Context.class)) == null)) {
                            declaredMethod8.setAccessible(true);
                            declaredMethod8.invoke(cls5, applicationContext);
                        }
                    }
                    if (!(com.umeng.commonsdk.statistics.b.a.indexOf("e") < 0 || (cls2 = Class.forName("com.umeng.analytics.MobclickAgent")) == null || (declaredMethod7 = cls2.getDeclaredMethod("disableExceptionCatch", new Class[0])) == null)) {
                        declaredMethod7.setAccessible(true);
                        declaredMethod7.invoke(cls2, new Object[0]);
                    }
                } catch (Throwable th4) {
                }
                Class<?> cls6 = Class.forName("com.umeng.message.MessageSharedPrefs");
                if (!(cls6 == null || (declaredMethod6 = cls6.getDeclaredMethod("getInstance", Context.class)) == null || (invoke2 = declaredMethod6.invoke(cls6, applicationContext)) == null)) {
                    Method declaredMethod10 = cls6.getDeclaredMethod("setMessageAppKey", String.class);
                    if (declaredMethod10 != null) {
                        declaredMethod10.setAccessible(true);
                        declaredMethod10.invoke(invoke2, sAppkey);
                        if (debugLog) {
                            UMLog.mutlInfo(UMLogCommon.SC_10004, 2, "");
                        }
                    }
                    Method declaredMethod11 = cls6.getDeclaredMethod(KEY_METHOD_NAME_PUSH_SETCHANNEL, String.class);
                    if (declaredMethod11 != null) {
                        declaredMethod11.setAccessible(true);
                        declaredMethod11.invoke(invoke2, sChannel);
                        if (debugLog) {
                            UMLog.mutlInfo(UMLogCommon.SC_10005, 2, "");
                        }
                    }
                    if (TextUtils.isEmpty(str3)) {
                        boolean z = debugLog;
                    } else {
                        if (debugLog) {
                            Log.i(TAG, "push secret is " + str3);
                        }
                        Method declaredMethod12 = cls6.getDeclaredMethod("setMessageAppSecret", String.class);
                        if (declaredMethod12 != null) {
                            declaredMethod12.setAccessible(true);
                            declaredMethod12.invoke(invoke2, str3);
                            if (debugLog) {
                                UMLog.mutlInfo(UMLogCommon.SC_10009, 2, "");
                            }
                        }
                    }
                }
                try {
                    Class<?> cls7 = getClass("com.umeng.socialize.UMShareAPI");
                    setFile(cls7, KEY_FILE_NAME_APPKEY, sAppkey);
                    if (!(cls7 == null || (declaredMethod5 = cls7.getDeclaredMethod("init", Context.class, String.class)) == null)) {
                        declaredMethod5.setAccessible(true);
                        declaredMethod5.invoke(cls7, applicationContext, sAppkey);
                        if (debugLog) {
                            UMLog.mutlInfo(UMLogCommon.SC_10006, 2, "");
                        }
                    }
                } catch (Throwable th5) {
                }
                AnalyticsConstants.setDeviceType(i);
                try {
                    Class<?> cls8 = Class.forName("com.umeng.error.UMError");
                    if (!(cls8 == null || (declaredMethod4 = cls8.getDeclaredMethod("init", Context.class)) == null)) {
                        declaredMethod4.setAccessible(true);
                        declaredMethod4.invoke(cls8, applicationContext);
                        if (debugLog) {
                            UMLog.mutlInfo(UMLogCommon.SC_10010, 2, "");
                        }
                    }
                } catch (Throwable th6) {
                }
                try {
                    if (getClass("com.umeng.umefs.UMEfs") == null && (cls = getClass("com.umeng.umcrash.UMCrash")) != null) {
                        if (SdkVersion.SDK_TYPE == 1 && (declaredMethod3 = cls.getDeclaredMethod("useIntlServices", Boolean.TYPE)) != null) {
                            declaredMethod3.setAccessible(true);
                            declaredMethod3.invoke(cls, true);
                        }
                        Method declaredMethod13 = cls.getDeclaredMethod("init", Context.class, String.class, String.class);
                        if (declaredMethod13 != null) {
                            declaredMethod13.setAccessible(true);
                            declaredMethod13.invoke(cls, applicationContext, sAppkey, sChannel);
                            if (debugLog) {
                                UMLog.mutlInfo(UMLogCommon.SC_10014, 2, "");
                            }
                        }
                    }
                } catch (Throwable th7) {
                }
                try {
                    Method declaredMethod14 = Class.forName("com.umeng.vt.facade.EventFacade").getDeclaredMethod("init", Application.class, String.class, String.class, Integer.TYPE, String.class);
                    if (declaredMethod14 != null) {
                        declaredMethod14.invoke(null, applicationContext, sAppkey, sChannel, Integer.valueOf(i), str3);
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>>初始化 EventFacade 成功.");
                    }
                } catch (ClassNotFoundException e) {
                }
                try {
                    Method declaredMethod15 = Class.forName("com.umeng.vt.common.VTTracker").getDeclaredMethod("init", Application.class, String.class);
                    if (declaredMethod15 != null) {
                        declaredMethod15.invoke(null, applicationContext, sAppkey);
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>>初始化 VTTracker 成功.");
                    }
                } catch (ClassNotFoundException e2) {
                }
                synchronized (lockObject) {
                    isFinish = true;
                }
                if (needCheckPolicyResult(applicationContext)) {
                    synchronized (lock) {
                        if (preInitInvokedFlag == 0) {
                            Log.e(TAG, UMLogCommon.SC_10026);
                        }
                        if (policyGrantResult == 0) {
                            Log.e(TAG, UMLogCommon.SC_10028);
                        }
                        try {
                            JSONObject jSONObject = new JSONObject();
                            jSONObject.put(a.J, preInitInvokedFlag);
                            jSONObject.put(a.K, policyGrantInvokedFlag);
                            jSONObject.put("policyGrantResult", policyGrantResult);
                            UMWorkDispatch.sendEvent(applicationContext, a.A, b.a(applicationContext).a(), jSONObject);
                        } catch (Throwable th8) {
                        }
                    }
                }
                if (needSendZcfgEnv(applicationContext)) {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 走零号报文发送逻辑");
                    UMWorkDispatch.sendEvent(applicationContext, a.p, b.a(applicationContext).a(), null);
                } else {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 走正常逻辑.");
                    if (FieldManager.b()) {
                        UMWorkDispatch.sendEvent(applicationContext, a.y, b.a(applicationContext).a(), null);
                    }
                    if (FieldManager.allow(d.G)) {
                        com.umeng.commonsdk.internal.c.a(applicationContext, false);
                    }
                }
                if (isDebugLog()) {
                    UMConfigureInternation.doSelfCheck(applicationContext);
                }
                try {
                    Context applicationContext2 = context.getApplicationContext();
                    Class<?> cls9 = Class.forName("com.umeng.cconfig.UMRemoteConfig");
                    if (!(cls9 == null || (declaredMethod = cls9.getDeclaredMethod("getInstance", new Class[0])) == null || (invoke = declaredMethod.invoke(cls9, new Object[0])) == null || (declaredMethod2 = cls9.getDeclaredMethod("init", Context.class)) == null)) {
                        declaredMethod2.setAccessible(true);
                        declaredMethod2.invoke(invoke, applicationContext2);
                    }
                } catch (Exception e3) {
                }
                UMWorkDispatch.sendEvent(context, a.F, b.a(context).a(), null);
                if (!isInit) {
                    isInit = true;
                }
            } else if (debugLog) {
                Log.e(TAG, "has inited !!!");
            }
        } catch (Exception e4) {
        } catch (Throwable th9) {
        }
    }

    public static boolean needSendZcfgEnv(Context context) {
        File filesDir = context.getFilesDir();
        if (new File(filesDir.getAbsolutePath() + File.separator + bk.l).exists()) {
            return false;
        }
        return true;
    }

    private static boolean needCheckPolicyResult(Context context) {
        File filesDir = context.getFilesDir();
        if (new File(filesDir.getAbsolutePath() + File.separator + bk.m).exists()) {
            return false;
        }
        return true;
    }

    private static boolean isSilentMode() {
        boolean a = c.a();
        UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> isSilentMode() return: " + a);
        return a;
    }

    public static boolean isDebugLog() {
        return debugLog;
    }

    public static void setLogEnabled(boolean z) {
        try {
            debugLog = z;
            MLog.DEBUG = z;
            Class<?> cls = getClass("com.umeng.message.PushAgent");
            Object decInstanceObject = getDecInstanceObject(cls);
            invoke(getDecMethod(cls, KEY_METHOD_NAME_SETDEBUGMODE, new Class[]{Boolean.TYPE}), decInstanceObject, new Object[]{Boolean.valueOf(z)});
            setFile(getClass("com.umeng.socialize.Config"), "DEBUG", z);
            invoke(getDecMethod(getClass("com.umeng.umcrash.UMCrash"), "setDebug", new Class[]{Boolean.TYPE}), new Object[]{Boolean.valueOf(z)});
        } catch (Exception e) {
            if (debugLog) {
                Log.e(TAG, "set log enabled e is " + e);
            }
        } catch (Throwable th) {
            if (debugLog) {
                Log.e(TAG, "set log enabled e is " + th);
            }
        }
    }

    public static void setEncryptEnabled(boolean z) {
        com.umeng.commonsdk.statistics.b.a(z);
    }

    public static String getUMIDString(Context context) {
        if (context != null) {
            return UMUtils.getUMId(context.getApplicationContext());
        }
        return null;
    }

    public static String getUmengZID(Context context) {
        if (context != null) {
            return UMUtils.getZid(context.getApplicationContext());
        }
        return null;
    }

    public static void setProcessEvent(boolean z) {
        AnalyticsConstants.SUB_PROCESS_EVENT = z;
    }

    private static void setLatencyWindow(long j) {
        com.umeng.commonsdk.statistics.a.c = ((int) j) * 1000;
    }

    private static void setModuleTag(BS_TYPE bs_type, String str, String str2) {
        if (bs_type == null) {
            try {
                Log.e("UMLog", UMLogCommon.SC_10024);
            } catch (Throwable th) {
            }
        } else {
            if (!TextUtils.isEmpty(str)) {
                if (!TextUtils.isEmpty(str2)) {
                    if (str.trim().getBytes().length > 64) {
                        Log.e("UMLog", UMLogCommon.SC_10017);
                        return;
                    } else if (str2.trim().getBytes().length > 128) {
                        Log.e("UMLog", UMLogCommon.SC_10018);
                        return;
                    } else {
                        int ordinal = bs_type.ordinal();
                        String str3 = "";
                        if (ordinal < BUSINESS_TYPE.length) {
                            str3 = BUSINESS_TYPE[ordinal];
                        }
                        if (TextUtils.isEmpty(str3)) {
                            Log.e("UMLog", UMLogCommon.SC_10019);
                            return;
                        }
                        TagHelper.setModuleTag(str3 + "_" + str, str2);
                        return;
                    }
                }
            }
            Log.e("UMLog", UMLogCommon.SC_10016);
        }
    }

    private static void deleteModuleTag(BS_TYPE bs_type, String str) {
        if (bs_type == null) {
            Log.e("UMLog", UMLogCommon.SC_10025);
        } else if (TextUtils.isEmpty(str)) {
            Log.e("UMLog", UMLogCommon.SC_10020);
        } else {
            try {
                if (str.trim().getBytes().length > 64) {
                    Log.e("UMLog", UMLogCommon.SC_10021);
                    return;
                }
                int ordinal = bs_type.ordinal();
                String str2 = "";
                if (ordinal < BUSINESS_TYPE.length) {
                    str2 = BUSINESS_TYPE[ordinal];
                }
                if (TextUtils.isEmpty(str2)) {
                    Log.e("UMLog", UMLogCommon.SC_10022);
                    return;
                }
                TagHelper.deleteModuleTag(str2 + "_" + str);
            } catch (Throwable th) {
            }
        }
    }

    private static Map<String, String> getModuleTags() {
        try {
            return TagHelper.getModuleTags();
        } catch (Throwable th) {
            return null;
        }
    }

    private static void setCheckDevice(boolean z) {
        AnalyticsConstants.CHECK_DEVICE = z;
    }

    private static void setWraperType(String str, String str2) {
        if (!TextUtils.isEmpty(str)) {
            if (str.equals(WRAPER_TYPE_NATIVE)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_NATIVE;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_NATIVE;
            } else if (str.equals(WRAPER_TYPE_COCOS2DX_X)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_COCOS2DX_X;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_COCOS2DX_X;
            } else if (str.equals(WRAPER_TYPE_COCOS2DX_XLUA)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_COCOS2DX_XLUA;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_COCOS2DX_XLUA;
            } else if (str.equals(WRAPER_TYPE_UNITY)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_UNITY;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_UNITY;
            } else if (str.equals(WRAPER_TYPE_REACTNATIVE)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_REACTNATIVE;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_REACTNATIVE;
            } else if (str.equals(WRAPER_TYPE_PHONEGAP)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_PHONEGAP;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_PHONEGAP;
            } else if (str.equals("weex")) {
                com.umeng.commonsdk.stateless.a.a = "weex";
                com.umeng.commonsdk.statistics.a.a = "weex";
            } else if (str.equals(WRAPER_TYPE_HYBRID)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_HYBRID;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_HYBRID;
            } else if (str.equals(WRAPER_TYPE_FLUTTER)) {
                com.umeng.commonsdk.stateless.a.a = WRAPER_TYPE_FLUTTER;
                com.umeng.commonsdk.statistics.a.a = WRAPER_TYPE_FLUTTER;
            }
        }
        if (!TextUtils.isEmpty(str2)) {
            com.umeng.commonsdk.stateless.a.b = str2;
            com.umeng.commonsdk.statistics.a.b = str2;
        }
    }

    public static String[] getTestDeviceInfo(Context context) {
        String[] strArr = new String[2];
        if (context != null) {
            try {
                strArr[0] = DeviceConfig.getDeviceIdForGeneral(context);
                strArr[1] = DeviceConfig.getMac(context);
            } catch (Exception e) {
            }
        }
        return strArr;
    }

    public static void getOaid(Context context, OnGetOaidListener onGetOaidListener) {
        if (context != null) {
            final Context applicationContext = context.getApplicationContext();
            mOnGetOaidListener = onGetOaidListener;
            new Thread(new Runnable() {
                /* class com.umeng.commonsdk.UMConfigure.AnonymousClass4 */

                public void run() {
                    String a2 = au.a(applicationContext);
                    if (UMConfigure.mOnGetOaidListener != null) {
                        UMConfigure.mOnGetOaidListener.onGetOaid(a2);
                    }
                }
            }).start();
        } else if (debugLog) {
            Log.e(TAG, "context is null !!!");
        }
    }

    public static void resetStorePrefix(String str) {
        as.b().a(str);
    }

    public static void resetStorePath() {
        resetStorePrefix("um_");
    }

    public static void setDomain(String str) {
        if (TextUtils.isEmpty(str)) {
            Log.e("UMLog", "setDomain: Parameter domain is null or empty string, do nothing.");
            return;
        }
        UMServerURL.DEFAULT_URL = str;
        UMServerURL.SECONDARY_URL = str;
    }

    private static void disableAidCollect() {
        try {
            if (getClass("com.umeng.socialize.UMShareAPI") != null) {
                shouldCollectAid = false;
            }
        } catch (Throwable th) {
        }
    }

    public static boolean shouldCollectAid() {
        return shouldCollectAid;
    }

    private static Boolean isInForeground() {
        return Boolean.valueOf(com.umeng.analytics.vshelper.b.d());
    }

    private static String getCurrentActivityName() {
        return PageNameMonitor.getInstance().getCurrentActivityName();
    }
}
