package com.umeng.commonsdk.internal;

import android.content.Context;
import android.content.SharedPreferences;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.text.TextUtils;
import com.umeng.analytics.AnalyticsConfig;
import com.umeng.analytics.CoreProtocol;
import com.umeng.analytics.pro.ap;
import com.umeng.analytics.pro.as;
import com.umeng.analytics.pro.au;
import com.umeng.analytics.pro.bg;
import com.umeng.analytics.pro.bi;
import com.umeng.analytics.pro.bj;
import com.umeng.analytics.pro.bk;
import com.umeng.analytics.pro.l;
import com.umeng.analytics.pro.o;
import com.umeng.ccg.CcgAgent;
import com.umeng.ccg.ConfigListener;
import com.umeng.commonsdk.UMConfigureImpl;
import com.umeng.commonsdk.UMInnerManager;
import com.umeng.commonsdk.config.FieldManager;
import com.umeng.commonsdk.debug.SelfChecker;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.framework.UMFrUtils;
import com.umeng.commonsdk.framework.UMLogDataProtocol;
import com.umeng.commonsdk.framework.UMWorkDispatch;
import com.umeng.commonsdk.framework.a;
import com.umeng.commonsdk.internal.crash.UMCrashManager;
import com.umeng.commonsdk.listener.OnGetOaidListener;
import com.umeng.commonsdk.service.UMGlobalContext;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.UMServerURL;
import com.umeng.commonsdk.statistics.b;
import com.umeng.commonsdk.statistics.common.ULog;
import com.umeng.commonsdk.statistics.idtracking.h;
import com.umeng.commonsdk.utils.UMUtils;
import com.umeng.commonsdk.utils.d;
import com.umeng.commonsdk.utils.onMessageSendListener;
import com.umeng.commonsdk.vchannel.Sender;
import java.io.File;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.json.JSONObject;

/* compiled from: UMInternalDataProtocol */
public class c implements UMLogDataProtocol {
    public static final String a = as.b().b(as.q);
    public static final String b = "preInitInvokedFlag";
    public static final String c = "policyGrantInvokedFlag";
    public static final String d = "policyGrantResult";
    private static int f = 1;
    private static Class<?> g = null;
    private static Method h = null;
    private static Method i = null;
    private static Method j = null;
    private static volatile String k = "";
    private static volatile String l = "";
    private static boolean m = false;
    private Context e;

    static {
        c();
    }

    private static void c() {
        try {
            Class<?> cls = Class.forName("com.umeng.umzid.ZIDManager");
            if (cls != null) {
                g = cls;
                Method declaredMethod = cls.getDeclaredMethod("getInstance", new Class[0]);
                if (declaredMethod != null) {
                    h = declaredMethod;
                }
                Method declaredMethod2 = g.getDeclaredMethod("getZID", Context.class);
                if (declaredMethod2 != null) {
                    i = declaredMethod2;
                }
                Method declaredMethod3 = g.getDeclaredMethod("getSDKVersion", new Class[0]);
                if (declaredMethod3 != null) {
                    j = declaredMethod3;
                }
            }
        } catch (Throwable th) {
        }
    }

    public String a() {
        Method method;
        if (!TextUtils.isEmpty(k)) {
            return k;
        }
        Class<?> cls = g;
        if (cls == null || (method = h) == null || i == null) {
            return "";
        }
        try {
            Object invoke = method.invoke(cls, new Object[0]);
            if (invoke == null) {
                return "";
            }
            String str = (String) i.invoke(invoke, this.e);
            try {
                k = str;
                return str;
            } catch (Throwable th) {
                return str;
            }
        } catch (Throwable th2) {
            return "";
        }
    }

    public static String b() {
        Method method;
        if (!TextUtils.isEmpty(l)) {
            return l;
        }
        Class<?> cls = g;
        if (cls == null || (method = h) == null || j == null) {
            return "";
        }
        try {
            Object invoke = method.invoke(cls, new Object[0]);
            if (invoke == null) {
                return "";
            }
            String str = (String) j.invoke(invoke, new Object[0]);
            try {
                l = str;
                return str;
            } catch (Throwable th) {
                return str;
            }
        } catch (Throwable th2) {
            return "";
        }
    }

    public c(Context context) {
        if (context != null) {
            this.e = context.getApplicationContext();
        }
    }

    private void a(Context context) {
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put(b.a("appkey"), UMGlobalContext.getInstance(context).getAppkey());
            jSONObject.put(b.a("app_version"), UMGlobalContext.getInstance(context).getAppVersion());
            jSONObject.put(b.a("os"), "Android");
            JSONObject buildZeroEnvelopeWithExtHeader = UMEnvelopeBuild.buildZeroEnvelopeWithExtHeader(context, jSONObject, null, UMServerURL.ZCFG_PATH);
            if (buildZeroEnvelopeWithExtHeader == null || !buildZeroEnvelopeWithExtHeader.has("exception")) {
                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建零号报文 成功!!!");
            } else {
                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建零号报文失败.");
            }
        } catch (Throwable th) {
        }
    }

    private void b(Context context) {
        try {
            String imprintProperty = UMEnvelopeBuild.imprintProperty(context, bg.g, "");
            JSONObject jSONObject = new JSONObject();
            jSONObject.put(b.a("appkey"), UMGlobalContext.getInstance(context).getAppkey());
            jSONObject.put(b.a(bg.g), imprintProperty);
            JSONObject buildSilentEnvelopeWithExtHeader = UMEnvelopeBuild.buildSilentEnvelopeWithExtHeader(context, jSONObject, null, UMServerURL.SILENT_HEART_BEAT);
            if (buildSilentEnvelopeWithExtHeader == null || !buildSilentEnvelopeWithExtHeader.has("exception")) {
                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建心跳报文 成功!!!");
            } else {
                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建心跳报文失败.");
            }
        } catch (Throwable th) {
        }
    }

    private void d() {
        bi a2 = bi.a(this.e);
        bj a3 = a2.a(bk.c);
        if (a3 != null) {
            UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> [有状态]二级缓存记录构建成真正信封。");
            try {
                String str = a3.a;
                String str2 = a3.b;
                JSONObject a4 = new b().a(this.e.getApplicationContext(), new JSONObject(a3.c), new JSONObject(a3.d), a3.e, str2, a3.f);
                if (a4 == null || !a4.has("exception")) {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> [有状态]二级缓存记录构建真正信封 成功! 删除二级缓存记录。");
                } else {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> [有状态]二级缓存记录构建真正信封 失败。删除二级缓存记录");
                }
                a2.a(bk.c, str);
                a2.b();
            } catch (Throwable th) {
            }
        }
    }

    public static void a(final Context context, final boolean z) {
        new Thread(new Runnable() {
            /* class com.umeng.commonsdk.internal.c.AnonymousClass1 */

            public void run() {
                try {
                    SharedPreferences sharedPreferences = context.getSharedPreferences(h.a, 0);
                    long currentTimeMillis = System.currentTimeMillis();
                    String a2 = au.a(context);
                    long currentTimeMillis2 = System.currentTimeMillis();
                    if (!TextUtils.isEmpty(a2) && sharedPreferences != null) {
                        SharedPreferences.Editor edit = sharedPreferences.edit();
                        edit.putString(h.c, (currentTimeMillis2 - currentTimeMillis) + "");
                        edit.commit();
                    }
                    if (sharedPreferences != null) {
                        try {
                            SharedPreferences.Editor edit2 = sharedPreferences.edit();
                            edit2.putString(h.b, a2);
                            edit2.commit();
                        } catch (Throwable th) {
                            return;
                        }
                    }
                    if (z) {
                        UMConfigureImpl.removeInterruptFlag();
                    }
                } catch (Exception e) {
                }
            }
        }).start();
    }

    private static void a(Context context, final OnGetOaidListener onGetOaidListener) {
        if (context != null) {
            final Context applicationContext = context.getApplicationContext();
            new Thread(new Runnable() {
                /* class com.umeng.commonsdk.internal.c.AnonymousClass2 */

                public void run() {
                    String a2 = au.a(applicationContext);
                    OnGetOaidListener onGetOaidListener = onGetOaidListener;
                    if (onGetOaidListener != null) {
                        onGetOaidListener.onGetOaid(a2);
                    }
                }
            }).start();
        }
    }

    private static void c(final Context context) {
        if (FieldManager.allow(d.G)) {
            a(context, new OnGetOaidListener() {
                /* class com.umeng.commonsdk.internal.c.AnonymousClass3 */

                @Override // com.umeng.commonsdk.listener.OnGetOaidListener
                public void onGetOaid(String str) {
                    if (!TextUtils.isEmpty(str)) {
                        try {
                            SharedPreferences sharedPreferences = context.getSharedPreferences(h.a, 0);
                            if (sharedPreferences != null && !sharedPreferences.getString(h.b, "").equalsIgnoreCase(str)) {
                                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 更新本地缓存OAID");
                                SharedPreferences.Editor edit = sharedPreferences.edit();
                                edit.putString(h.b, str);
                                edit.commit();
                            }
                        } catch (Throwable th) {
                        }
                    }
                }
            });
        }
    }

    private void e() {
        if (!m) {
            if (FieldManager.allow(d.G)) {
                m = true;
                a(this.e, new OnGetOaidListener() {
                    /* class com.umeng.commonsdk.internal.c.AnonymousClass4 */

                    @Override // com.umeng.commonsdk.listener.OnGetOaidListener
                    public void onGetOaid(String str) {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> OAID云控参数更新(不采集->采集)：采集完成");
                        if (TextUtils.isEmpty(str)) {
                            UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> oaid返回null或者空串，不需要 伪冷启动。");
                            return;
                        }
                        try {
                            SharedPreferences sharedPreferences = c.this.e.getSharedPreferences(h.a, 0);
                            if (sharedPreferences != null) {
                                SharedPreferences.Editor edit = sharedPreferences.edit();
                                edit.putString(h.b, str);
                                edit.commit();
                            }
                        } catch (Throwable th) {
                        }
                        UMWorkDispatch.sendEvent(c.this.e, a.w, b.a(c.this.e).a(), null);
                    }
                });
            }
        } else if (!FieldManager.allow(d.G)) {
            m = false;
        }
    }

    private void f() {
        if (FieldManager.allow(d.G)) {
            m = true;
            UMConfigureImpl.registerInterruptFlag();
            UMConfigureImpl.init(this.e);
            f++;
            UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 要读取 oaid，需等待读取结果.");
            UMConfigureImpl.registerMessageSendListener(new onMessageSendListener() {
                /* class com.umeng.commonsdk.internal.c.AnonymousClass5 */

                @Override // com.umeng.commonsdk.utils.onMessageSendListener
                public void onMessageSend() {
                    if (c.this.e != null) {
                        UMWorkDispatch.sendEvent(c.this.e, a.x, b.a(c.this.e).a(), null);
                    }
                    UMConfigureImpl.removeMessageSendListener(this);
                }
            });
            a(this.e, true);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x003d A[SYNTHETIC, Splitter:B:12:0x003d] */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x004e  */
    private void d(Context context) {
        long j2;
        long j3;
        if (context != null) {
            String a2 = com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE, "debugkey");
            if (!TextUtils.isEmpty(a2)) {
                String a3 = com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE, AnalyticsConfig.RTD_START_TIME);
                String a4 = com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE, AnalyticsConfig.RTD_PERIOD);
                if (!TextUtils.isEmpty(a3)) {
                    try {
                        j2 = Long.valueOf(a3).longValue();
                    } catch (Throwable th) {
                    }
                    if (!TextUtils.isEmpty(a4)) {
                        try {
                            j3 = Long.valueOf(a4).longValue();
                        } catch (Throwable th2) {
                        }
                        if (j2 != 0 || j3 == 0) {
                            UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> [RTD]本地缓存startTime或者duration值无效，清除缓存数据");
                            com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE);
                        } else if (System.currentTimeMillis() - j2 > j3 * 60 * 1000) {
                            UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> [RTD]本地缓存dk值已经超时，清除缓存数据。");
                            com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE);
                            if (AnalyticsConfig.isRealTimeDebugMode()) {
                                AnalyticsConfig.turnOffRealTimeDebug();
                                return;
                            }
                            return;
                        } else {
                            HashMap hashMap = new HashMap();
                            hashMap.put("debugkey", a2);
                            if (!AnalyticsConfig.isRealTimeDebugMode()) {
                                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> [RTD]本地缓存dk值在有效期内，切换到埋点验证模式。");
                                AnalyticsConfig.turnOnRealTimeDebug(hashMap);
                                return;
                            }
                            return;
                        }
                    }
                    j3 = 0;
                    if (j2 != 0) {
                    }
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> [RTD]本地缓存startTime或者duration值无效，清除缓存数据");
                    com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE);
                }
                j2 = 0;
                if (!TextUtils.isEmpty(a4)) {
                }
                j3 = 0;
                if (j2 != 0) {
                }
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> [RTD]本地缓存startTime或者duration值无效，清除缓存数据");
                com.umeng.common.b.a(context, AnalyticsConfig.RTD_SP_FILE);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:107:0x02ce A[Catch:{ all -> 0x02ec }] */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x02e5 A[Catch:{ all -> 0x02ec }] */
    @Override // com.umeng.commonsdk.framework.UMLogDataProtocol
    public void workEvent(Object obj, int i2) {
        SharedPreferences sharedPreferences;
        SharedPreferences.Editor edit;
        boolean z = true;
        boolean z2 = false;
        ULog.i("walle", "[internal] workEvent");
        if (!com.umeng.commonsdk.utils.c.a()) {
            switch (i2) {
                case a.f:
                    try {
                        ULog.i("walle", "[internal] workEvent send envelope");
                        try {
                            long currentTimeMillis = System.currentTimeMillis();
                            String a2 = au.a(this.e);
                            long currentTimeMillis2 = System.currentTimeMillis();
                            if (!TextUtils.isEmpty(a2) && (sharedPreferences = this.e.getSharedPreferences(h.a, 0)) != null) {
                                SharedPreferences.Editor edit2 = sharedPreferences.edit();
                                edit2.putString(h.b, a2);
                                edit2.putString(h.c, (currentTimeMillis2 - currentTimeMillis) + "");
                                edit2.commit();
                            }
                        } catch (Throwable th) {
                        }
                        try {
                            Class<?> cls = Class.forName("com.umeng.commonsdk.internal.UMInternalManagerAgent");
                            if (cls != null) {
                                cls.getMethod("sendInternalEnvelopeByStateful2", Context.class).invoke(cls, this.e);
                                return;
                            }
                            return;
                        } catch (ClassNotFoundException e2) {
                            return;
                        }
                    } catch (Exception e3) {
                        return;
                    }
                case a.g:
                case a.i:
                case 32773:
                case a.k:
                case a.m:
                case 32778:
                case 32780:
                case a.q:
                case a.r:
                case 32789:
                case 32794:
                case 32795:
                case 32796:
                case 32797:
                case 32798:
                case 32799:
                case a.D:
                default:
                    return;
                case a.h:
                    if (obj != null && (obj instanceof com.umeng.commonsdk.internal.utils.b)) {
                        JSONObject jSONObject = new JSONObject();
                        com.umeng.commonsdk.internal.utils.b bVar = (com.umeng.commonsdk.internal.utils.b) obj;
                        try {
                            jSONObject.put("le", bVar.a);
                            jSONObject.put("vol", bVar.b);
                            jSONObject.put("temp", bVar.c);
                            jSONObject.put("st", bVar.d);
                            jSONObject.put("ct", bVar.e);
                            jSONObject.put("ts", bVar.f);
                        } catch (Throwable th2) {
                        }
                        String jSONObject2 = jSONObject.toString();
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "battery info: " + jSONObject2);
                        try {
                            Class<?> cls2 = Class.forName("com.umeng.commonsdk.internal.utils.UMInternalUtilsAgent");
                            if (cls2 != null) {
                                cls2.getMethod("saveBattery", Context.class, String.class).invoke(cls2, this.e, jSONObject2);
                                return;
                            }
                            return;
                        } catch (ClassNotFoundException e4) {
                            return;
                        }
                    } else {
                        return;
                    }
                case a.l:
                    try {
                        Class<?> cls3 = Class.forName("com.umeng.commonsdk.internal.utils.InfoPreferenceAgent");
                        if (cls3 != null) {
                            cls3.getMethod("saveUA", Context.class, String.class).invoke(cls3, this.e, (String) obj);
                            return;
                        }
                        return;
                    } catch (ClassNotFoundException e5) {
                        return;
                    }
                case a.n:
                    try {
                        ULog.i("walle", "[internal] workEvent send envelope");
                        JSONObject jSONObject3 = new JSONObject();
                        jSONObject3.put(bg.aN, a.e);
                        JSONObject jSONObject4 = new JSONObject();
                        jSONObject4.put(bg.au, new JSONObject());
                        JSONObject buildEnvelopeWithExtHeader = UMEnvelopeBuild.buildEnvelopeWithExtHeader(this.e, jSONObject3, jSONObject4);
                        if (buildEnvelopeWithExtHeader != null && !buildEnvelopeWithExtHeader.has("exception")) {
                            ULog.i("walle", "[internal] workEvent send envelope back, result is ok");
                            return;
                        }
                        return;
                    } catch (Exception e6) {
                        return;
                    }
                case a.o:
                    Sender.handleEvent(this.e, (com.umeng.commonsdk.vchannel.b) obj);
                    return;
                case a.p:
                    if (!UMFrUtils.hasEnvelopeFile(this.e, UMLogDataProtocol.UMBusinessType.U_ZeroEnv)) {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建零号报文");
                        a(this.e);
                        return;
                    }
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 零号报文信封文件已存在，尝试发送之!");
                    return;
                case a.s:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 零号报文流程，接收到云控配置加载成功通知(成功收到零号报文应答)。");
                    f();
                    f--;
                    g();
                    return;
                case a.t:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> [有状态]接收到消费二级缓存数据通知.");
                    if (bi.a(this.e).c()) {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> [有状态]已消费完毕,二级缓存数据库为空.");
                        return;
                    }
                    d();
                    if (!UMWorkDispatch.eventHasExist(a.t)) {
                        Context context = this.e;
                        UMWorkDispatch.sendEvent(context, a.t, b.a(context).a(), null);
                        return;
                    }
                    return;
                case a.u:
                    UMCrashManager.buildEnvelope(this.e, obj);
                    return;
                case a.v:
                    try {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 触发2号仓遗留信封检查动作。");
                        String a3 = com.umeng.commonsdk.stateless.d.a(this.e, false);
                        String a4 = com.umeng.commonsdk.stateless.d.a(this.e, true);
                        if (!TextUtils.isEmpty(a3)) {
                            File file = new File(a3);
                            if (file.exists() && file.isDirectory()) {
                                z2 = true;
                            }
                        }
                        if (!TextUtils.isEmpty(a4)) {
                            File file2 = new File(a4);
                            if (file2.exists() && file2.isDirectory()) {
                                if (z) {
                                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 触发2号仓遗留信封检查，没有需要处理的目录，不需要处理。");
                                    return;
                                } else if (!com.umeng.commonsdk.stateless.b.a()) {
                                    new com.umeng.commonsdk.stateless.b(this.e);
                                    com.umeng.commonsdk.stateless.b.b();
                                    return;
                                } else {
                                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 触发2号仓遗留信封检查，Sender已创建，不需要处理。");
                                    return;
                                }
                            }
                        }
                        z = z2;
                        if (z) {
                        }
                    } catch (Throwable th3) {
                        return;
                    }
                case a.w:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 云控下发参数更新，触发 伪冷启动。");
                    b.a();
                    e();
                    if (FieldManager.allow(d.E) && !UMWorkDispatch.eventHasExist()) {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 云控下发参数更新 前台计数器功能 打开，触发 5秒周期检查机制");
                        Context context2 = this.e;
                        UMWorkDispatch.sendEventEx(context2, o.a.D, CoreProtocol.getInstance(context2), null, 5000);
                    }
                    if (FieldManager.allow(d.F)) {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 云控下发参数更新 FirstResume功能 打开，触发 trigger");
                        l.a(this.e).b(this.e);
                        return;
                    }
                    return;
                case a.x:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 成功接收到(OAID)读取结束通知。");
                    f--;
                    g();
                    return;
                case a.y:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 正常冷启动流程，接收到云控配置加载成功通知。");
                    c(this.e);
                    UMInnerManager.sendInnerPackage(this.e);
                    if (!FieldManager.allow(d.ar) && SdkVersion.SDK_TYPE == 0 && UMUtils.isMainProgress(this.e)) {
                        Context context3 = this.e;
                        UMWorkDispatch.sendEvent(context3, a.G, b.a(context3).a(), null, 5000);
                    }
                    e(this.e);
                    return;
                case a.z:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 保存隐私授权结果.");
                    try {
                        if (obj instanceof Integer) {
                            int intValue = ((Integer) obj).intValue();
                            SharedPreferences sharedPreferences2 = this.e.getApplicationContext().getSharedPreferences(a, 0);
                            if (sharedPreferences2 != null) {
                                sharedPreferences2.edit().putInt("policyGrantResult", intValue).commit();
                                return;
                            }
                            return;
                        }
                        return;
                    } catch (Throwable th4) {
                        return;
                    }
                case a.A:
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 保存preInit执行结果及授权API是否调用结果.");
                    if (obj instanceof JSONObject) {
                        JSONObject jSONObject5 = (JSONObject) obj;
                        if (jSONObject5.has(a.J)) {
                            try {
                                int i3 = jSONObject5.getInt(a.J);
                                int i4 = jSONObject5.getInt(a.K);
                                int i5 = jSONObject5.getInt("policyGrantResult");
                                SharedPreferences sharedPreferences3 = this.e.getApplicationContext().getSharedPreferences(a, 0);
                                if (!(sharedPreferences3 == null || (edit = sharedPreferences3.edit()) == null)) {
                                    edit.putInt(b, i3);
                                    edit.putInt(c, i4);
                                    edit.putInt("policyGrantResult", i5);
                                    edit.commit();
                                }
                                File filesDir = this.e.getFilesDir();
                                File file3 = new File(filesDir.getAbsolutePath() + File.separator + bk.m);
                                if (!file3.exists()) {
                                    try {
                                        file3.createNewFile();
                                        return;
                                    } catch (Throwable th5) {
                                        return;
                                    }
                                } else {
                                    return;
                                }
                            } catch (Throwable th6) {
                                return;
                            }
                        } else {
                            return;
                        }
                    } else {
                        return;
                    }
                case a.B:
                    File filesDir2 = this.e.getFilesDir();
                    File file4 = new File(filesDir2.getAbsolutePath() + File.separator + bk.m);
                    if (file4.exists()) {
                        try {
                            file4.delete();
                            return;
                        } catch (Throwable th7) {
                            return;
                        }
                    } else {
                        return;
                    }
                case a.C:
                    try {
                        SelfChecker.doCheck(this.e);
                        return;
                    } catch (Throwable th8) {
                        return;
                    }
                case a.E:
                    ConnectivityManager connectivityManager = (ConnectivityManager) this.e.getSystemService("connectivity");
                    if (connectivityManager != null) {
                        try {
                            NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
                            if (activeNetworkInfo != null) {
                                if (activeNetworkInfo.isAvailable()) {
                                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> network state changed: Available");
                                    a.a(true);
                                    com.umeng.commonsdk.stateless.b.a(true);
                                } else {
                                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> network state changed: unAvailable");
                                    a.a(false);
                                    com.umeng.commonsdk.stateless.b.a(false);
                                }
                                return;
                            }
                            UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> NetworkInfo is null!");
                            a.a(false);
                            com.umeng.commonsdk.stateless.b.a(false);
                            return;
                        } catch (Throwable th9) {
                            a.a(false);
                            com.umeng.commonsdk.stateless.b.a(false);
                            return;
                        }
                    } else {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> ConnectivityManager is null!");
                        a.a(false);
                        com.umeng.commonsdk.stateless.b.a(false);
                        return;
                    }
                case a.F:
                    d(this.e);
                    return;
                case a.G:
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "recv CLOUD_CONFIG_TRIGGER msg.");
                    CcgAgent.registerConfigListener(new ConfigListener() {
                        /* class com.umeng.commonsdk.internal.c.AnonymousClass6 */

                        @Override // com.umeng.ccg.ConfigListener
                        public void onConfigReady(JSONObject jSONObject) {
                            if (jSONObject == null || !(jSONObject instanceof JSONObject)) {
                                UMRTLog.i(UMRTLog.RTLOG_TAG, "onConfigReady: empty config!");
                                return;
                            }
                            UMRTLog.i(UMRTLog.RTLOG_TAG, "onConfigReady:" + jSONObject.toString());
                            com.umeng.ccg.b.a(c.this.e, 201, com.umeng.ccg.c.a(), jSONObject);
                        }
                    });
                    try {
                        SharedPreferences a5 = ap.a(this.e);
                        if (a5 != null) {
                            long j2 = a5.getLong(ap.a, 0);
                            if (j2 < Long.MAX_VALUE) {
                                j2++;
                            }
                            a5.edit().putLong(ap.a, j2).commit();
                        }
                        CcgAgent.init(this.e);
                        return;
                    } catch (Throwable th10) {
                        return;
                    }
            }
        } else if (32802 == i2) {
            UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 静默模式：进入心跳处理逻辑!");
            long currentTimeMillis3 = System.currentTimeMillis();
            long b2 = com.umeng.commonsdk.utils.c.b(this.e);
            boolean e7 = com.umeng.commonsdk.utils.c.e(this.e);
            if (com.umeng.commonsdk.utils.c.a(b2, currentTimeMillis3, com.umeng.commonsdk.utils.c.a(this.e))) {
                if (!UMFrUtils.hasEnvelopeFile(this.e, UMLogDataProtocol.UMBusinessType.U_Silent)) {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建静默心跳信封.");
                    b(this.e);
                } else {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 静默心跳信封文件已存在，尝试发送之!");
                }
                UMEnvelopeBuild.registerNetReceiver(this.e);
            }
            if (!e7) {
                UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> send REBUILD_DB msg in silent mode.");
                Context context4 = this.e;
                UMWorkDispatch.sendEvent(context4, o.a.p, CoreProtocol.getInstance(context4), null, 2000);
            }
        }
    }

    private static Class<?> a(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            return null;
        }
    }

    private void e(Context context) {
        Object invoke;
        Method declaredMethod;
        Context applicationContext = context.getApplicationContext();
        String appkey = UMUtils.getAppkey(context);
        try {
            Class<?> a2 = a("com.umeng.umzid.ZIDManager");
            Method declaredMethod2 = a2.getDeclaredMethod("getInstance", new Class[0]);
            if (declaredMethod2 != null && (invoke = declaredMethod2.invoke(a2, new Object[0])) != null && (declaredMethod = a2.getDeclaredMethod("init", Context.class, String.class, a("com.umeng.umzid.IZIDCompletionCallback"))) != null) {
                try {
                    declaredMethod.invoke(invoke, applicationContext, appkey, null);
                } catch (Throwable th) {
                }
            }
        } catch (Throwable th2) {
        }
    }

    private void g() {
        if (f <= 0) {
            h();
            e(this.e);
        }
    }

    private static void f(Context context) {
        File filesDir = context.getFilesDir();
        File file = new File(filesDir.getAbsolutePath() + File.separator + bk.l);
        if (!file.exists()) {
            try {
                file.createNewFile();
            } catch (Throwable th) {
            }
        }
    }

    private void h() {
        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 真实构建条件满足，开始构建业务信封。");
        if (UMUtils.isMainProgress(this.e)) {
            f(this.e);
            UMInnerManager.sendInnerPackage(this.e);
            if (!FieldManager.allow(d.ar) && SdkVersion.SDK_TYPE == 0 && UMUtils.isMainProgress(this.e)) {
                Context context = this.e;
                UMWorkDispatch.sendEvent(context, a.G, b.a(context).a(), null, 5000);
            }
            Context context2 = this.e;
            UMWorkDispatch.sendEvent(context2, o.a.y, CoreProtocol.getInstance(context2), null);
            Context context3 = this.e;
            UMWorkDispatch.sendEvent(context3, a.t, b.a(context3).a(), null);
        }
    }

    @Override // com.umeng.commonsdk.framework.UMLogDataProtocol
    public void removeCacheData(Object obj) {
    }

    @Override // com.umeng.commonsdk.framework.UMLogDataProtocol
    public JSONObject setupReportData(long j2) {
        return null;
    }
}
