package com.xiaomi.mipush.sdk;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.xiaomi.mipush.sdk.b;
import com.xiaomi.push.am;
import com.xiaomi.push.dv;
import com.xiaomi.push.ez;
import com.xiaomi.push.gh;
import com.xiaomi.push.gr;
import com.xiaomi.push.gu;
import com.xiaomi.push.gv;
import com.xiaomi.push.gx;
import com.xiaomi.push.hb;
import com.xiaomi.push.hh;
import com.xiaomi.push.hi;
import com.xiaomi.push.hj;
import com.xiaomi.push.ho;
import com.xiaomi.push.hp;
import com.xiaomi.push.hs;
import com.xiaomi.push.ht;
import com.xiaomi.push.ib;
import com.xiaomi.push.service.ag;
import com.xiaomi.push.service.au;
import com.xiaomi.push.service.o;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;

public class MiPushClient4Hybrid {
    private static Map<String, b.a> dataMap = new HashMap();
    private static MiPushCallback sCallback;
    private static Map<String, Long> sRegisterTimeMap = new HashMap();

    public static class MiPushCallback {
        public void onCommandResult(String str, MiPushCommandMessage miPushCommandMessage) {
        }

        public void onReceiveRegisterResult(String str, MiPushCommandMessage miPushCommandMessage) {
        }

        public void onReceiveUnregisterResult(String str, MiPushCommandMessage miPushCommandMessage) {
        }
    }

    private static void addPullNotificationTime(Context context, String str) {
        SharedPreferences sharedPreferences = context.getSharedPreferences("mipush_extra", 0);
        sharedPreferences.edit().putLong("last_pull_notification_".concat(String.valueOf(str)), System.currentTimeMillis()).commit();
    }

    private static short getDeviceStatus(MiPushMessage miPushMessage, boolean z) {
        String str = miPushMessage.getExtra() == null ? "" : miPushMessage.getExtra().get(Constants.EXTRA_KEY_HYBRID_DEVICE_STATUS);
        int i = 0;
        if (!TextUtils.isEmpty(str)) {
            i = Integer.valueOf(str).intValue();
        }
        if (!z) {
            i = (i & -4) + ez.b.NOT_ALLOWED.d;
        }
        return (short) i;
    }

    public static boolean isRegistered(Context context, String str) {
        return b.m29a(context).a(str) != null;
    }

    public static void onReceiveRegisterResult(Context context, hj hjVar) {
        b.a aVar;
        String str = hjVar.i;
        if (hjVar.e == 0 && (aVar = dataMap.get(str)) != null) {
            aVar.a(hjVar.g, hjVar.h);
            b.m29a(context).a(str, aVar);
        }
        ArrayList arrayList = null;
        if (!TextUtils.isEmpty(hjVar.g)) {
            arrayList = new ArrayList();
            arrayList.add(hjVar.g);
        }
        MiPushCommandMessage generateCommandMessage = PushMessageHelper.generateCommandMessage(dv.COMMAND_REGISTER.k, arrayList, hjVar.e, hjVar.f, null, null);
        MiPushCallback miPushCallback = sCallback;
        if (miPushCallback != null) {
            miPushCallback.onReceiveRegisterResult(str, generateCommandMessage);
        }
    }

    public static void onReceiveUnregisterResult(Context context, hp hpVar) {
        MiPushCommandMessage generateCommandMessage = PushMessageHelper.generateCommandMessage(dv.COMMAND_UNREGISTER.k, null, hpVar.e, hpVar.f, null, null);
        String str = hpVar.g;
        MiPushCallback miPushCallback = sCallback;
        if (miPushCallback != null) {
            miPushCallback.onReceiveUnregisterResult(str, generateCommandMessage);
        }
    }

    public static void registerPush(Context context, String str, String str2, String str3) {
        if (b.m29a(context).m34a(str2, str3, str)) {
            ArrayList arrayList = new ArrayList();
            b.a a = b.m29a(context).a(str);
            if (a != null) {
                arrayList.add(a.c);
                MiPushCommandMessage generateCommandMessage = PushMessageHelper.generateCommandMessage(dv.COMMAND_REGISTER.k, arrayList, 0, null, null, null);
                MiPushCallback miPushCallback = sCallback;
                if (miPushCallback != null) {
                    miPushCallback.onReceiveRegisterResult(str, generateCommandMessage);
                }
            }
            if (shouldPullNotification(context, str)) {
                hh hhVar = new hh();
                hhVar.d = str2;
                hhVar.e = gr.PullOfflineMessage.ah;
                hhVar.c = ag.a();
                hhVar.a(false);
                ao.a(context).a(hhVar, gh.Notification, false, true, null, false, str, str2);
                com.xiaomi.channel.commonutils.logger.b.b("MiPushClient4Hybrid pull offline pass through message");
                addPullNotificationTime(context, str);
                return;
            }
            return;
        }
        long currentTimeMillis = System.currentTimeMillis();
        if (Math.abs(currentTimeMillis - (sRegisterTimeMap.get(str) != null ? sRegisterTimeMap.get(str).longValue() : 0)) < 5000) {
            com.xiaomi.channel.commonutils.logger.b.a("MiPushClient4Hybrid  Could not send register message within 5s repeatedly.");
            return;
        }
        sRegisterTimeMap.put(str, Long.valueOf(currentTimeMillis));
        String a2 = am.a(6);
        b.a aVar = new b.a(context);
        aVar.c(str2, str3, a2);
        dataMap.put(str, aVar);
        hi hiVar = new hi();
        hiVar.c = ag.a();
        hiVar.d = str2;
        hiVar.g = str3;
        hiVar.f = str;
        hiVar.h = a2;
        hiVar.e = ez.a(context, context.getPackageName());
        hiVar.a(ez.b(context, context.getPackageName()));
        hiVar.l = "5_0_1-C";
        hiVar.a();
        hiVar.t = gv.Init;
        if (!ib.f()) {
            hb.b();
            if (!TextUtils.isEmpty(null)) {
                hiVar.r = am.a((String) null);
            }
        }
        int e = hb.e();
        if (e >= 0) {
            hiVar.b(e);
        }
        hh hhVar2 = new hh();
        hhVar2.e = gr.HybridRegister.ah;
        hhVar2.d = b.m29a(context).m30a();
        hhVar2.i = context.getPackageName();
        hhVar2.a(hs.a(hiVar));
        hhVar2.c = ag.a();
        ao.a(context).a(hhVar2, gh.Notification, (gu) null);
    }

    public static void removeDuplicateCache(Context context, MiPushMessage miPushMessage) {
        String str = miPushMessage.getExtra() != null ? miPushMessage.getExtra().get("jobkey") : null;
        if (TextUtils.isEmpty(str)) {
            str = miPushMessage.getMessageId();
        }
        am.a(context, str);
    }

    public static void reportMessageArrived(Context context, MiPushMessage miPushMessage, boolean z) {
        if (miPushMessage == null || miPushMessage.getExtra() == null) {
            com.xiaomi.channel.commonutils.logger.b.a("do not ack message, message is null");
            return;
        }
        try {
            gx gxVar = new gx();
            gxVar.d = b.m29a(context).m30a();
            gxVar.c = miPushMessage.getMessageId();
            gxVar.a(Long.valueOf(miPushMessage.getExtra().get(Constants.EXTRA_KEY_HYBRID_MESSAGE_TS)).longValue());
            gxVar.a(getDeviceStatus(miPushMessage, z));
            if (!TextUtils.isEmpty(miPushMessage.getTopic())) {
                gxVar.f = miPushMessage.getTopic();
            }
            ao.a(context).a((ht) gxVar, gh.AckMessage, false, au.a(PushMessageHelper.generateMessage(miPushMessage)));
            com.xiaomi.channel.commonutils.logger.b.b("MiPushClient4Hybrid ack mina message, messageId is " + miPushMessage.getMessageId());
        } catch (Throwable th) {
            com.xiaomi.channel.commonutils.logger.b.a(th);
        } finally {
            miPushMessage.getExtra().remove(Constants.EXTRA_KEY_HYBRID_MESSAGE_TS);
            miPushMessage.getExtra().remove(Constants.EXTRA_KEY_HYBRID_DEVICE_STATUS);
        }
    }

    public static void reportMessageClicked(Context context, MiPushMessage miPushMessage) {
        MiPushClient.reportMessageClicked(context, miPushMessage);
    }

    public static void setCallback(MiPushCallback miPushCallback) {
        sCallback = miPushCallback;
    }

    private static boolean shouldPullNotification(Context context, String str) {
        return Math.abs(System.currentTimeMillis() - context.getSharedPreferences("mipush_extra", 0).getLong("last_pull_notification_".concat(String.valueOf(str)), -1)) > 300000;
    }

    public static void unregisterPush(Context context, String str) {
        sRegisterTimeMap.remove(str);
        b.a a = b.m29a(context).a(str);
        if (a != null) {
            ho hoVar = new ho();
            hoVar.c = ag.a();
            hoVar.g = str;
            hoVar.d = a.f42a;
            hoVar.e = a.c;
            hoVar.h = a.b;
            hh hhVar = new hh();
            hhVar.e = gr.HybridUnregister.ah;
            hhVar.d = b.m29a(context).m30a();
            hhVar.i = context.getPackageName();
            hhVar.a(hs.a(hoVar));
            hhVar.c = ag.a();
            ao.a(context).a(hhVar, gh.Notification, (gu) null);
            b.m29a(context).b(str);
        }
    }

    public static void uploadClearMessageData(Context context, LinkedList<? extends Object> linkedList) {
        o.a(context, linkedList);
    }
}
