package com.xiaomi.push;

import android.app.AppOpsManager;
import android.app.Application;
import android.app.NotificationManager;
import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.provider.Settings;
import android.text.TextUtils;
import java.util.Map;

public final class ez {
    private static a a = null;

    public interface a {
        boolean a();

        boolean b();

        Map<String, String> c();
    }

    public enum b {
        a(0),
        ALLOWED(1),
        NOT_ALLOWED(2);
        
        public final int d;

        private b(int i) {
            this.d = i;
        }
    }

    public static int a(Context context) {
        if (context == null) {
            return 0;
        }
        try {
            ApplicationInfo applicationInfo = context.getPackageManager().getApplicationInfo("com.android.systemui", 128);
            if (applicationInfo == null || applicationInfo.metaData == null) {
                return 0;
            }
            return applicationInfo.metaData.getInt("SupportForPushVersionCode");
        } catch (PackageManager.NameNotFoundException e) {
            return 0;
        }
    }

    private static b a(Context context, ApplicationInfo applicationInfo) {
        int i = Build.VERSION.SDK_INT;
        if (applicationInfo == null || i < 24) {
            return b.a;
        }
        Boolean bool = null;
        try {
            if (applicationInfo.packageName.equals(context.getPackageName())) {
                bool = Boolean.valueOf(((NotificationManager) context.getSystemService(com.igexin.push.core.b.n)).areNotificationsEnabled());
            } else {
                Object a2 = i >= 29 ? ah.a(context.getSystemService(com.igexin.push.core.b.n), "getService", new Object[0]) : context.getSystemService("security");
                if (a2 != null) {
                    bool = (Boolean) ah.b(a2, "areNotificationsEnabledForPackage", applicationInfo.packageName, Integer.valueOf(applicationInfo.uid));
                }
            }
            if (bool != null) {
                return bool.booleanValue() ? b.ALLOWED : b.NOT_ALLOWED;
            }
        } catch (Exception e) {
            com.xiaomi.channel.commonutils.logger.b.a("are notifications enabled error ".concat(String.valueOf(e)));
        }
        return b.a;
    }

    public static b a(Context context, String str, boolean z) {
        if (context == null || TextUtils.isEmpty(str)) {
            return b.a;
        }
        try {
            ApplicationInfo applicationInfo = str.equals(context.getPackageName()) ? context.getApplicationInfo() : context.getPackageManager().getApplicationInfo(str, 0);
            b a2 = a(context, applicationInfo);
            if (a2 != b.a) {
                return a2;
            }
            Integer num = (Integer) ah.a((Class<? extends Object>) AppOpsManager.class, "OP_POST_NOTIFICATION");
            if (num == null) {
                return b.a;
            }
            Integer num2 = (Integer) ah.a((Object) ((AppOpsManager) context.getSystemService("appops")), "checkOpNoThrow", num, Integer.valueOf(applicationInfo.uid), str);
            int i = (Integer) ah.a((Class<? extends Object>) AppOpsManager.class, "MODE_ALLOWED");
            int i2 = (Integer) ah.a((Class<? extends Object>) AppOpsManager.class, "MODE_IGNORED");
            com.xiaomi.channel.commonutils.logger.b.b(String.format("get app mode %s|%s|%s", num2, i, i2));
            if (i == null) {
                i = 0;
            }
            if (i2 == null) {
                i2 = 1;
            }
            if (num2 != null) {
                return z ? !num2.equals(i2) ? b.ALLOWED : b.NOT_ALLOWED : num2.equals(i) ? b.ALLOWED : b.NOT_ALLOWED;
            }
            return b.a;
        } catch (Throwable th) {
            com.xiaomi.channel.commonutils.logger.b.a("get app op error ".concat(String.valueOf(th)));
        }
    }

    public static String a(Context context, String str) {
        PackageInfo packageInfo;
        try {
            packageInfo = context.getPackageManager().getPackageInfo(str, 16384);
        } catch (Exception e) {
            packageInfo = null;
        }
        return packageInfo != null ? packageInfo.versionName : "1.0";
    }

    public static boolean a() {
        a aVar = a;
        return aVar != null && aVar.b();
    }

    public static int b(Context context, String str) {
        PackageInfo packageInfo;
        try {
            packageInfo = context.getPackageManager().getPackageInfo(str, 16384);
        } catch (Exception e) {
            packageInfo = null;
        }
        if (packageInfo != null) {
            return packageInfo.versionCode;
        }
        return 0;
    }

    public static Map<String, String> b() {
        a aVar = a;
        if (aVar == null) {
            return null;
        }
        return aVar.c();
    }

    public static boolean b(Context context) {
        String str = (String) ah.a("android.app.ActivityThread", "currentProcessName", new Object[0]);
        if (TextUtils.isEmpty(str)) {
            str = "";
        }
        Application application = (Application) ah.a("android.app.ActivityThread", "currentApplication", new Object[0]);
        String str2 = null;
        if (!(application == null || application.getApplicationContext() == null)) {
            str2 = application.getApplicationContext().getPackageName();
        }
        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
            return str.equals(str2);
        }
        if (TextUtils.isEmpty(str) || context == null) {
            return false;
        }
        return str.equals(context.getPackageName());
    }

    public static boolean c(Context context, String str) {
        if (context != null && !TextUtils.isEmpty(str)) {
            if (!ib.a()) {
                return context.getPackageName().equals(str);
            }
            a aVar = a;
            return aVar != null && aVar.a();
        }
    }

    public static boolean d(Context context, String str) {
        PackageInfo packageInfo;
        try {
            packageInfo = context.getPackageManager().getPackageInfo(str, 0);
        } catch (PackageManager.NameNotFoundException e) {
            packageInfo = null;
        }
        return packageInfo != null;
    }

    public static boolean e(Context context, String str) {
        return context.getPackageManager().checkPermission(str, context.getPackageName()) == 0;
    }

    public static String f(Context context, String str) {
        ApplicationInfo applicationInfo;
        try {
            PackageManager packageManager = context.getPackageManager();
            PackageInfo packageInfo = packageManager.getPackageInfo(str, 0);
            return (packageInfo == null || (applicationInfo = packageInfo.applicationInfo) == null) ? str : packageManager.getApplicationLabel(applicationInfo).toString();
        } catch (PackageManager.NameNotFoundException e) {
            return str;
        }
    }

    public static int g(Context context, String str) {
        ApplicationInfo j = j(context, str);
        if (j == null) {
            return 0;
        }
        int i = j.icon;
        return i == 0 ? j.logo : i;
    }

    public static Drawable h(Context context, String str) {
        ApplicationInfo j = j(context, str);
        Drawable drawable = null;
        if (j != null) {
            try {
                drawable = j.loadIcon(context.getPackageManager());
                if (drawable == null) {
                    drawable = j.loadLogo(context.getPackageManager());
                }
            } catch (Exception e) {
                com.xiaomi.channel.commonutils.logger.b.a("get app icon drawable failed, ".concat(String.valueOf(e)));
            }
        }
        return drawable != null ? drawable : new ColorDrawable(0);
    }

    public static boolean i(Context context, String str) {
        if (context == null || TextUtils.isEmpty(str)) {
            return false;
        }
        try {
            if (Settings.Secure.getInt(context.getContentResolver(), "freeform_window_state", -1) >= 0) {
                return str.equals(Settings.Secure.getString(context.getContentResolver(), "freeform_package_name"));
            }
            return false;
        } catch (Exception e) {
            return false;
        }
    }

    private static ApplicationInfo j(Context context, String str) {
        if (str.equals(context.getPackageName())) {
            return context.getApplicationInfo();
        }
        try {
            return context.getPackageManager().getApplicationInfo(str, 0);
        } catch (PackageManager.NameNotFoundException e) {
            com.xiaomi.channel.commonutils.logger.b.a("not found app info ".concat(String.valueOf(str)));
            return null;
        }
    }
}
