package dc.squareup.okio;

import io.dcloud.common.DHInterface.IApp;
import java.util.AbstractList;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.RandomAccess;

public final class Options extends AbstractList<ByteString> implements RandomAccess {
    final ByteString[] byteStrings;
    final int[] trie;

    private Options(ByteString[] byteStringArr, int[] iArr) {
        this.byteStrings = byteStringArr;
        this.trie = iArr;
    }

    private static void buildTrieRecursive(long j, Buffer buffer, int i, List<ByteString> list, int i2, int i3, List<Integer> list2) {
        int i4;
        int i5;
        int i6;
        Buffer buffer2;
        int i7;
        if (i2 < i3) {
            for (int i8 = i2; i8 < i3; i8++) {
                if (list.get(i8).size() < i) {
                    throw new AssertionError();
                }
            }
            ByteString byteString = list.get(i2);
            ByteString byteString2 = list.get(i3 - 1);
            int i9 = -1;
            if (i == byteString.size()) {
                i9 = list2.get(i2).intValue();
                int i10 = i2 + 1;
                byteString = list.get(i10);
                i4 = i10;
            } else {
                i4 = i2;
            }
            if (byteString.getByte(i) != byteString2.getByte(i)) {
                int i11 = 1;
                for (int i12 = i4 + 1; i12 < i3; i12++) {
                    if (list.get(i12 - 1).getByte(i) != list.get(i12).getByte(i)) {
                        i11++;
                    }
                }
                long intCount = j + ((long) intCount(buffer)) + 2 + ((long) (i11 * 2));
                buffer.writeInt(i11);
                buffer.writeInt(i9);
                for (int i13 = i4; i13 < i3; i13++) {
                    byte b = list.get(i13).getByte(i);
                    if (i13 == i4 || b != list.get(i13 - 1).getByte(i)) {
                        buffer.writeInt(b & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE);
                    }
                }
                Buffer buffer3 = new Buffer();
                int i14 = i4;
                while (i14 < i3) {
                    byte b2 = list.get(i14).getByte(i);
                    int i15 = i14 + 1;
                    int i16 = i15;
                    while (true) {
                        if (i16 >= i3) {
                            i6 = i3;
                            break;
                        } else if (b2 != list.get(i16).getByte(i)) {
                            i6 = i16;
                            break;
                        } else {
                            i16++;
                        }
                    }
                    if (i15 == i6 && i + 1 == list.get(i14).size()) {
                        buffer.writeInt(list2.get(i14).intValue());
                        i7 = i6;
                        buffer2 = buffer3;
                    } else {
                        buffer.writeInt((int) ((((long) intCount(buffer3)) + intCount) * -1));
                        i7 = i6;
                        buffer2 = buffer3;
                        buildTrieRecursive(intCount, buffer3, i + 1, list, i14, i6, list2);
                    }
                    buffer3 = buffer2;
                    i14 = i7;
                }
                buffer.write(buffer3, buffer3.size());
                return;
            }
            int i17 = 0;
            int min = Math.min(byteString.size(), byteString2.size());
            int i18 = i;
            while (i18 < min && byteString.getByte(i18) == byteString2.getByte(i18)) {
                i17++;
                i18++;
            }
            long intCount2 = 1 + j + ((long) intCount(buffer)) + 2 + ((long) i17);
            buffer.writeInt(-i17);
            buffer.writeInt(i9);
            int i19 = i;
            while (true) {
                i5 = i + i17;
                if (i19 >= i5) {
                    break;
                }
                buffer.writeInt(byteString.getByte(i19) & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE);
                i19++;
            }
            if (i4 + 1 != i3) {
                Buffer buffer4 = new Buffer();
                buffer.writeInt((int) ((((long) intCount(buffer4)) + intCount2) * -1));
                buildTrieRecursive(intCount2, buffer4, i5, list, i4, i3, list2);
                buffer.write(buffer4, buffer4.size());
            } else if (i5 == list.get(i4).size()) {
                buffer.writeInt(list2.get(i4).intValue());
            } else {
                throw new AssertionError();
            }
        } else {
            throw new AssertionError();
        }
    }

    private static int intCount(Buffer buffer) {
        return (int) (buffer.size() / 4);
    }

    public static Options of(ByteString... byteStringArr) {
        if (byteStringArr.length == 0) {
            return new Options(new ByteString[0], new int[]{0, -1});
        }
        ArrayList arrayList = new ArrayList(Arrays.asList(byteStringArr));
        Collections.sort(arrayList);
        ArrayList arrayList2 = new ArrayList();
        for (int i = 0; i < arrayList.size(); i++) {
            arrayList2.add(-1);
        }
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            arrayList2.set(Collections.binarySearch(arrayList, byteStringArr[i2]), Integer.valueOf(i2));
        }
        if (((ByteString) arrayList.get(0)).size() != 0) {
            int i3 = 0;
            while (i3 < arrayList.size()) {
                ByteString byteString = (ByteString) arrayList.get(i3);
                int i4 = i3 + 1;
                int i5 = i4;
                while (i5 < arrayList.size()) {
                    ByteString byteString2 = (ByteString) arrayList.get(i5);
                    if (!byteString2.startsWith(byteString)) {
                        continue;
                        break;
                    } else if (byteString2.size() == byteString.size()) {
                        throw new IllegalArgumentException("duplicate option: " + byteString2);
                    } else if (((Integer) arrayList2.get(i5)).intValue() > ((Integer) arrayList2.get(i3)).intValue()) {
                        arrayList.remove(i5);
                        arrayList2.remove(i5);
                    } else {
                        i5++;
                    }
                }
                i3 = i4;
            }
            Buffer buffer = new Buffer();
            buildTrieRecursive(0, buffer, 0, arrayList, 0, arrayList.size(), arrayList2);
            int intCount = intCount(buffer);
            int[] iArr = new int[intCount];
            for (int i6 = 0; i6 < intCount; i6++) {
                iArr[i6] = buffer.readInt();
            }
            if (buffer.exhausted()) {
                return new Options((ByteString[]) byteStringArr.clone(), iArr);
            }
            throw new AssertionError();
        }
        throw new IllegalArgumentException("the empty byte string is not a supported option");
    }

    public final int size() {
        return this.byteStrings.length;
    }

    @Override // java.util.List, java.util.AbstractList
    public ByteString get(int i) {
        return this.byteStrings[i];
    }
}
