package io.dcloud.adapter.messaging;

import android.net.Uri;
import com.umeng.ccg.a;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import java.util.ArrayList;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public class DHMessaging {
    public static final int TYPE_EMAIL = 3;
    public static final int TYPE_MMS = 2;
    public static final int TYPE_SMS = 1;
    ArrayList<Uri> mAttachments;
    String[] mBcc;
    String mBody;
    String mCallbackId;
    String[] mCc;
    boolean mSilent = false;
    String mSubject;
    String[] mTo;
    int mType;
    IWebview mWebview;

    private DHMessaging() {
    }

    /* access modifiers changed from: protected */
    public void setWebview(IWebview pWebview) {
        this.mWebview = pWebview;
    }

    protected static DHMessaging parseMessage(IWebview pWebViewImpl, String pCallid, String pJsonMessage) {
        DHMessaging _messaging = new DHMessaging();
        _messaging.mCallbackId = pCallid;
        _messaging.setWebview(pWebViewImpl);
        try {
            JSONObject _jsonObj = new JSONObject(pJsonMessage);
            _messaging.mType = _jsonObj.getInt("type");
            if (!_jsonObj.isNull("to")) {
                _messaging.mTo = JSUtil.jsonArrayToStringArr((JSONArray) _jsonObj.get("to"));
            }
            if (!_jsonObj.isNull("body")) {
                _messaging.mBody = (String) _jsonObj.get("body");
            }
            if (!_jsonObj.isNull("silent")) {
                _messaging.mSilent = PdrUtil.parseBoolean(JSONUtil.getString(_jsonObj, "silent"), _messaging.mSilent, false);
            }
            if (_messaging.mType == 1) {
                DHMessagCenter.sendMessage(_messaging);
            } else if (_messaging.mType == 2) {
                if (!_jsonObj.isNull("attachment")) {
                    _messaging.mAttachments = new ArrayList<>();
                    String s = pWebViewImpl.obtainFrameView().obtainApp().convert2AbsFullPath(pWebViewImpl.obtainFullUrl(), ((JSONArray) _jsonObj.get("attachment")).getString(0));
                    _messaging.mAttachments.add(Uri.parse(s.startsWith(DeviceInfo.FILE_PROTOCOL) ? s : DeviceInfo.FILE_PROTOCOL + s));
                }
                DHMessagCenter.sendMMS(_messaging);
            } else if (_messaging.mType == 3) {
                if (!_jsonObj.isNull(a.a)) {
                    _messaging.mCc = JSUtil.jsonArrayToStringArr((JSONArray) _jsonObj.get(a.a));
                }
                if (!_jsonObj.isNull("bcc")) {
                    _messaging.mBcc = JSUtil.jsonArrayToStringArr((JSONArray) _jsonObj.get("bcc"));
                }
                if (!_jsonObj.isNull("subject")) {
                    _messaging.mSubject = _jsonObj.getString("subject");
                }
                if (!_jsonObj.isNull("attachment")) {
                    _messaging.mAttachments = new ArrayList<>();
                    JSONArray atts = (JSONArray) _jsonObj.get("attachment");
                    IApp app = pWebViewImpl.obtainFrameView().obtainApp();
                    for (int i = 0; i < atts.length(); i++) {
                        String s2 = app.convert2AbsFullPath(pWebViewImpl.obtainFullUrl(), atts.getString(i));
                        _messaging.mAttachments.add(Uri.parse(s2.startsWith(DeviceInfo.FILE_PROTOCOL) ? s2 : DeviceInfo.FILE_PROTOCOL + s2));
                    }
                }
                DHMessagCenter.sendMail(_messaging);
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return _messaging;
    }
}
