package io.dcloud.adapter.messaging;

import android.content.Context;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.AppRuntime;

public class MessagingPluginImpl implements IFeature {
    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(IWebview pWebViewImpl, String pActionName, String[] pJsArgs) {
        Context context = pWebViewImpl.getContext();
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "Messaging-" + pActionName);
        if ("sendMessage".equals(pActionName)) {
            DHMessaging.parseMessage(pWebViewImpl, pJsArgs[0], pJsArgs[1]);
            return null;
        } else if (!"listenMessage".equals(pActionName)) {
            return null;
        } else {
            new SMSListener(pWebViewImpl, pJsArgs[0]).listen();
            return null;
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        DHMessagCenter.initDHMessaging(pFeatureMgr.getContext());
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String pAppid) {
    }
}
