package io.dcloud.common.adapter.util;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import io.dcloud.common.util.IOUtil;
import java.io.InputStream;

public class CanvasHelper {
    public static final int BASELINE = 0;
    public static final int BOTTOM = 80;
    private static final int DEVIANT = 5;
    public static final int HCENTER = 1;
    public static final int LEFT = 3;
    public static final int RIGHT = 5;
    public static final int TOP = 48;
    public static final int VCENTER = 16;
    private static BitmapDrawable sDrawable;

    public static void clearData() {
        BitmapDrawable bitmapDrawable = sDrawable;
        if (bitmapDrawable != null) {
            bitmapDrawable.getBitmap().recycle();
            sDrawable = null;
        }
    }

    public static int dip2px(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    private static void drawClipBitmap(Canvas canvas, Bitmap bitmap, Paint paint, int i, int i2, int i3, int i4, int i5, int i6) {
        canvas.save();
        canvas.clipRect(i, i2, i3, i4);
        canvas.drawBitmap(bitmap, (float) i5, (float) i6, paint);
        canvas.restore();
    }

    public static void drawNinePatchs(Canvas canvas, Bitmap bitmap, int[] iArr, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        Paint paint = new Paint();
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        int i15 = 0;
        int i16 = 0;
        int i17 = 0;
        int i18 = 0;
        int i19 = 0;
        int i20 = 0;
        int i21 = 1;
        while (i21 <= 9) {
            if (i21 == 1) {
                int i22 = iArr[0];
                int i23 = iArr[1];
                i7 = i;
                i6 = i7;
                i12 = i2;
                i5 = i12;
                i14 = i22;
                i13 = i14;
                i11 = i23;
                i10 = i11;
                i9 = i + i22;
                i8 = i2 + i23;
            } else if (i21 == 2) {
                int i24 = (width - iArr[0]) - iArr[2];
                int i25 = iArr[1];
                int i26 = i + iArr[0];
                i7 = i;
                i12 = i2;
                i5 = i12;
                i13 = i24;
                i11 = i25;
                i10 = i11;
                i9 = i26 + i24;
                i8 = i2 + i25;
                i6 = i26;
                i14 = (i3 - iArr[0]) - iArr[3];
            } else if (i21 == 3) {
                int i27 = iArr[2];
                int i28 = iArr[1];
                int i29 = i + i3;
                i12 = i2;
                i5 = i12;
                i14 = i27;
                i13 = i14;
                i11 = i28;
                i10 = i11;
                i9 = i29;
                i8 = i2 + i28;
                i6 = i29 - i27;
                i7 = i29 - width;
            } else if (i21 == 4) {
                int i30 = iArr[0];
                int i31 = (height - iArr[1]) - iArr[3];
                int i32 = i2 + iArr[1];
                i7 = i;
                i6 = i7;
                i5 = i2;
                i14 = i30;
                i13 = i14;
                i10 = i31;
                i12 = i32;
                i9 = i + i30;
                i8 = i32 + i31;
                i11 = (i4 - iArr[1]) - iArr[3];
            } else if (i21 == 5) {
                int i33 = (width - iArr[0]) - iArr[2];
                int i34 = (height - iArr[1]) - iArr[3];
                int i35 = i + iArr[0];
                int i36 = i2 + iArr[1];
                i7 = i;
                i5 = i2;
                i13 = i33;
                i10 = i34;
                i12 = i36;
                i9 = i35 + i33;
                i6 = i35;
                i8 = i36 + i34;
                i14 = (i3 - iArr[0]) - iArr[2];
                i11 = (i4 - iArr[1]) - iArr[3];
            } else if (i21 == 6) {
                int i37 = iArr[2];
                int i38 = (height - iArr[1]) - iArr[3];
                int i39 = i + i3;
                int i40 = i39 - i37;
                int i41 = i2 + iArr[1];
                i5 = i2;
                i14 = i37;
                i13 = i14;
                i10 = i38;
                i9 = i39;
                i12 = i41;
                i6 = i40;
                i8 = i41 + i38;
                i7 = i40 - (width - i37);
                i11 = (i4 - iArr[1]) - iArr[3];
            } else if (i21 == 7) {
                int i42 = iArr[0];
                int i43 = iArr[3];
                int i44 = (i2 + i4) - i43;
                i7 = i;
                i6 = i7;
                i14 = i42;
                i13 = i14;
                i11 = i43;
                i10 = i11;
                i12 = i44;
                i9 = i + i42;
                i8 = i44 + i43;
                i5 = (i44 - height) + i43;
            } else if (i21 == 8) {
                int i45 = (width - iArr[0]) - iArr[2];
                int i46 = iArr[3];
                int i47 = i + iArr[0];
                int i48 = (i2 + i4) - i46;
                i7 = i;
                i13 = i45;
                i10 = i46;
                i12 = i48;
                i9 = i47 + i45;
                i6 = i47;
                i8 = i48 + i46;
                i5 = (i48 - height) + i46;
                i14 = (i3 - iArr[0]) - iArr[2];
                i11 = iArr[3];
            } else if (i21 == 9) {
                int i49 = iArr[2];
                int i50 = iArr[3];
                int i51 = i + i3;
                int i52 = (i2 + i4) - i50;
                i14 = i49;
                i13 = i14;
                i11 = i50;
                i10 = i11;
                i9 = i51;
                i12 = i52;
                i6 = i51 - i49;
                i8 = i52 + i50;
                i7 = i51 - width;
                i5 = (i52 - height) + i50;
            } else {
                i12 = i15;
                i9 = i16;
                i8 = i17;
                i7 = i18;
                i6 = i19;
                i5 = i20;
                i14 = 0;
                i13 = 0;
                i11 = 0;
                i10 = 0;
            }
            int i53 = (i11 / i10) + (i11 % i10 > 0 ? 1 : 0);
            int i54 = (i14 / i13) + (i14 % i13 > 0 ? 1 : 0);
            int i55 = 0;
            while (i55 < i53) {
                int i56 = 0;
                while (i56 < i54) {
                    int i57 = i56 * i13;
                    int i58 = i9 + i57;
                    int i59 = i14 + i6;
                    int i60 = i58 > i59 ? i59 : i58;
                    int i61 = i55 * i10;
                    int i62 = i8 + i61;
                    int i63 = i11 + i12;
                    drawClipBitmap(canvas, bitmap, paint, i6 + i57, i12 + i61, i60, i62 > i63 ? i63 : i62, i7 + i57, i5 + i61);
                    i56++;
                    i55 = i55;
                    i54 = i54;
                    i53 = i53;
                }
                i55++;
            }
            i21++;
            i15 = i12;
            i16 = i9;
            i17 = i8;
            i18 = i7;
            i19 = i6;
            i20 = i5;
        }
    }

    public static void drawString(Canvas canvas, String str, int i, int i2, int i3, Paint paint) {
        int i4;
        if (canvas != null && paint != null) {
            int textSize = (int) paint.getTextSize();
            if ((i3 & 3) == 3) {
                paint.setTextAlign(Paint.Align.LEFT);
            } else if ((i3 & 5) == 5) {
                paint.setTextAlign(Paint.Align.RIGHT);
            } else if ((i3 & 1) != 1) {
                paint.setTextAlign(Paint.Align.LEFT);
            }
            if ((i3 & 48) == 48) {
                i4 = (i2 + textSize) - (textSize / 5);
            } else if ((i3 & 80) == 80) {
                i4 = i2 - ((int) (paint.getFontMetrics().descent / 2.0f));
            } else {
                int i5 = i2 + textSize;
                i4 = (i3 & 16) == 16 ? i5 >> 0 : i5 - (textSize / 5);
            }
            if (str != null) {
                canvas.drawText(str, (float) i, (float) i4, paint);
            }
        }
    }

    public static Bitmap getBitmap(String str) {
        Bitmap bitmap = null;
        try {
            InputStream inputStream = PlatformUtil.getInputStream(str);
            bitmap = BitmapFactory.decodeStream(inputStream);
            IOUtil.close(inputStream);
            return bitmap;
        } catch (Exception e) {
            e.printStackTrace();
            return bitmap;
        }
    }

    public static Drawable getDrawable() {
        if (sDrawable == null) {
            Bitmap createBitmap = Bitmap.createBitmap(400, 400, Bitmap.Config.RGB_565);
            new Canvas(createBitmap).drawColor(0);
            sDrawable = new BitmapDrawable(createBitmap);
        }
        return sDrawable;
    }

    public static int getFontHeight(Paint paint) {
        Paint.FontMetrics fontMetrics = paint.getFontMetrics();
        return ((int) Math.ceil((double) (fontMetrics.descent - fontMetrics.top))) + 2;
    }

    public static float getViablePx(int i) {
        return ((float) i) * DeviceInfo.sDensity;
    }

    public static int px2dip(Context context, float f) {
        return (int) ((f / context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static Drawable getDrawable(Context context, String str) {
        Bitmap bitmap = getBitmap(str);
        if (bitmap == null) {
            return null;
        }
        return new BitmapDrawable(context.getResources(), bitmap);
    }

    public static Drawable getDrawable(String str) {
        Bitmap bitmap = getBitmap(str);
        if (bitmap == null) {
            return null;
        }
        return new BitmapDrawable(bitmap);
    }
}
