package io.dcloud.feature.aps;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.igexin.sdk.PushConsts;
import io.dcloud.common.DHInterface.BaseFeature;
import io.dcloud.common.DHInterface.IReflectAble;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import java.util.ArrayList;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public abstract class AbsPushService extends BaseFeature.BaseModule implements IReflectAble {
    public static final String CLIENTID = "clientid_";
    public static String CLIENT_INFO_TEMPLATE = "{id:'%s',token:'%s',clientid:'%s',appid:'%s',appkey:'%s'}";
    public static String PUSH_CLIENT_ID_NAME = PushConsts.KEY_CLIENT_ID;
    public static String PUSH_DB_DEFAULT_AUTO_NOTIFICATION = "auto_notification";
    public static String PUSH_DB_LAZY_INITIALIZED = "push_db_lazy_initialized";
    public static String PUSH_DB_NAME = "push_db_name";
    protected static final int SP_READ_MODE = 0;
    public String appid = null;
    public String appkey = null;
    public String appsecret = null;
    public String clientid = null;
    public String id = null;
    private Handler mHandler = new Handler();

    @Override // io.dcloud.common.DHInterface.BaseFeature.BaseModule
    public JSONObject toJSONObject() throws JSONException {
        return null;
    }

    public void onStart(Context pContext, Bundle pSaveBundle, String[] pArgs) {
    }

    public void onStop() {
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature.BaseModule
    public void init(Context context) {
        super.init(context);
        initClientId(context);
    }

    public String getClientInfo(Context context) {
        delayInit(context);
        String str = CLIENT_INFO_TEMPLATE;
        String str2 = this.clientid;
        return Deprecated_JSUtil.wrapJsVar(StringUtil.format(str, this.id, str2, str2, this.appid, this.appkey), false);
    }

    public void getClientInfoAsync(final IWebview iWebview, final String callBackId) {
        if (PdrUtil.isEmpty(this.clientid)) {
            initClientId(iWebview.getContext());
        }
        if (!PdrUtil.isEmpty(this.clientid)) {
            String str = CLIENT_INFO_TEMPLATE;
            String str2 = this.clientid;
            Deprecated_JSUtil.execCallback(iWebview, callBackId, StringUtil.format(str, this.id, str2, str2, this.appid, this.appkey), JSUtil.OK, true, false);
            return;
        }
        delayInit(iWebview.getContext());
        Context context = iWebview.getContext();
        final SharedPreferences _sp = context.getSharedPreferences(CLIENTID + this.id, 0);
        final SharedPreferences.OnSharedPreferenceChangeListener changeListener = new SharedPreferences.OnSharedPreferenceChangeListener() {
            /* class io.dcloud.feature.aps.AbsPushService.AnonymousClass1 */

            public void onSharedPreferenceChanged(SharedPreferences sharedPreferences, String key) {
                if (key.equals(AbsPushService.PUSH_CLIENT_ID_NAME)) {
                    AbsPushService.this.mHandler.removeCallbacksAndMessages(null);
                    AbsPushService.this.initClientId(iWebview.getContext());
                    Deprecated_JSUtil.execCallback(iWebview, callBackId, StringUtil.format(AbsPushService.CLIENT_INFO_TEMPLATE, AbsPushService.this.id, AbsPushService.this.clientid, AbsPushService.this.clientid, AbsPushService.this.appid, AbsPushService.this.appkey), JSUtil.OK, true, false);
                    sharedPreferences.unregisterOnSharedPreferenceChangeListener(this);
                }
            }
        };
        _sp.registerOnSharedPreferenceChangeListener(changeListener);
        this.mHandler.postDelayed(new Runnable() {
            /* class io.dcloud.feature.aps.AbsPushService.AnonymousClass2 */

            public void run() {
                AbsPushService.this.initClientId(iWebview.getContext());
                if (!PdrUtil.isEmpty(AbsPushService.this.clientid)) {
                    Deprecated_JSUtil.execCallback(iWebview, callBackId, StringUtil.format(AbsPushService.CLIENT_INFO_TEMPLATE, AbsPushService.this.id, AbsPushService.this.clientid, AbsPushService.this.clientid, AbsPushService.this.appid, AbsPushService.this.appkey), JSUtil.OK, true, false);
                } else {
                    Deprecated_JSUtil.execCallback(iWebview, callBackId, "{code:-1,message:'failed,check appkey or appid'}", JSUtil.ERROR, true, false);
                }
                _sp.unregisterOnSharedPreferenceChangeListener(changeListener);
            }
        }, 15000);
    }

    public void saveClientId(Context context) {
        SharedPreferences.Editor ed = context.getSharedPreferences(CLIENTID + this.id, 0).edit();
        ed.putString(PUSH_CLIENT_ID_NAME, this.clientid);
        ed.commit();
    }

    public void initClientId(Context context) {
        this.clientid = context.getSharedPreferences(CLIENTID + this.id, 0).getString(PUSH_CLIENT_ID_NAME, this.clientid);
    }

    public boolean setAutoNotification(IWebview pWebViewImpl, JSONArray pJsArgs, String _appId) throws JSONException {
        boolean needPush = Boolean.parseBoolean(pJsArgs.getString(0));
        SharedPreferences.Editor editor = pWebViewImpl.getContext().getSharedPreferences(PUSH_DB_NAME, 0).edit();
        editor.putBoolean(PUSH_DB_DEFAULT_AUTO_NOTIFICATION, needPush);
        editor.commit();
        return needPush;
    }

    public static boolean getAutoNotification(Context context, String appid2, String id2) {
        SharedPreferences sp = context.getSharedPreferences(PUSH_DB_NAME, 0);
        String autoNotification = AndroidResources.getMetaValue("dcloud_unipush_auto_notification");
        boolean needPush = true;
        if (autoNotification != null && !autoNotification.equalsIgnoreCase(AbsoluteConst.TRUE)) {
            needPush = false;
        }
        return sp.getBoolean(PUSH_DB_DEFAULT_AUTO_NOTIFICATION, needPush);
    }

    public void remove(Context context, JSONArray pJsArgs, String appId) throws JSONException {
        PushManager pushManager = PushManager.getInstance(context);
        PushMessage _pushMsg = pushManager.findPushMessage(appId, pJsArgs.getString(0));
        Intent _intent = new Intent(APSFeatureImpl.REMOVE_NOTIFICATION);
        _intent.putExtra("id", _pushMsg.nID);
        LocalBroadcastManager.getInstance(context).sendBroadcast(_intent);
        pushManager.removePushMessage(appId, _pushMsg);
    }

    public void addEventListener(Context context, IWebview pWebViewImpl, JSONArray pJsArgs) throws JSONException {
        PushManager pushManager = PushManager.getInstance(context);
        String evtType = pJsArgs.getString(2);
        ArrayList<String> _callbacks = pushManager.findWebViewCallbacks(pWebViewImpl, evtType);
        String callBackId = pJsArgs.getString(1);
        _callbacks.add(callBackId);
        pushManager.dispatchEvent(pWebViewImpl, callBackId, evtType);
    }

    public void clear(Context context, String _appId) {
        Intent _intent = new Intent(APSFeatureImpl.CLEAR_NOTIFICATION);
        _intent.putExtra("_appId", _appId);
        LocalBroadcastManager.getInstance(context).sendBroadcast(_intent);
    }

    public String createMessage(IWebview pWebViewImpl, JSONArray pJsArgs, final String _appId, final Context _context) throws JSONException {
        final PushManager pushManager = PushManager.getInstance(_context);
        final PushMessage _message = new PushMessage(pJsArgs.getString(0), pWebViewImpl.obtainApp());
        if (_message.mDelay == 0) {
            pushManager.addPushMessage(_appId, _message);
            pushManager.sendCreateNotificationBroadcast(_context, _appId, _message);
        } else {
            MessageHandler.sendMessage(new MessageHandler.IMessages() {
                /* class io.dcloud.feature.aps.AbsPushService.AnonymousClass3 */

                @Override // io.dcloud.common.adapter.util.MessageHandler.IMessages
                public void execute(Object pArgs) {
                    pushManager.addPushMessage(_appId, _message);
                    pushManager.sendCreateNotificationBroadcast(_context, _appId, _message);
                }
            }, _message.mDelay * 1000, null);
        }
        return JSUtil.wrapJsVar(_message.mUUID);
    }

    public boolean doHandleAction(String action) {
        return false;
    }

    public void onReceiver(Intent intent) {
    }

    private void delayInit(Context context) {
        if (needLazyInit()) {
            SharedPreferences pushSP = context.getSharedPreferences(PUSH_DB_NAME, 0);
            if (!pushSP.getBoolean(PUSH_DB_LAZY_INITIALIZED, false)) {
                SharedPreferences.Editor edit = pushSP.edit();
                edit.putBoolean(PUSH_DB_LAZY_INITIALIZED, true);
                edit.commit();
                onStart(context, null, null);
            }
        }
    }

    private boolean needLazyInit() {
        String pushLazyInit = AndroidResources.getMetaValue("dcloud_push_lazy_init");
        if (pushLazyInit == null || !pushLazyInit.equalsIgnoreCase(AbsoluteConst.TRUE)) {
            return false;
        }
        return true;
    }
}
