package io.dcloud.feature.aps;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import com.coremedia.iso.boxes.UserBox;
import com.igexin.assist.sdk.AssistPushConsts;
import com.igexin.push.core.b;
import com.taobao.weex.common.Constants;
import com.tencent.mm.opensdk.modelmsg.WXVideoFileObject;
import io.dcloud.RInformation;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.constant.IntentConst;
import io.dcloud.common.util.PdrUtil;
import java.io.IOException;
import org.json.JSONException;
import org.json.JSONObject;

public class NotificationReceiver extends BroadcastReceiver {
    public void onReceive(Context context, Intent intent) {
        sOnReceiver(context, intent);
    }

    public static void sOnReceiver(Context context, Intent intent) {
        Notification notification;
        Notification.Builder builder;
        Bitmap bitmap;
        String channelId;
        boolean z;
        Bitmap largeBitmap;
        APSFeatureImpl.initNotification(context);
        NotificationManager _notificationManager = (NotificationManager) context.getSystemService(b.n);
        String _action = intent.getAction();
        if (APSFeatureImpl.CREATE_NOTIFICATION.equals(_action)) {
            String title = intent.getStringExtra("title");
            String message = intent.getStringExtra("content");
            int nId = intent.getIntExtra("nId", 0);
            long when = intent.getLongExtra("when", 0);
            intent.getStringExtra("appid");
            String icon = intent.getStringExtra("icon");
            String sound = intent.getStringExtra("sound");
            String channelId2 = intent.getStringExtra("channelId");
            Intent i = new Intent(APSFeatureImpl.CLILK_NOTIFICATION);
            i.setComponent(new ComponentName(context.getPackageName(), "io.dcloud.feature.aps.ApsActionService"));
            i.putExtras(intent.getExtras());
            int flags = WXVideoFileObject.FILE_SIZE_LIMIT;
            if (Build.VERSION.SDK_INT >= 23) {
                flags = 1140850688;
            }
            PendingIntent contentIntent = PendingIntent.getService(context, nId, i, flags);
            if (Build.VERSION.SDK_INT >= 16) {
                if (Build.VERSION.SDK_INT >= 26) {
                    if (PdrUtil.isEmpty(channelId2)) {
                        channelId2 = PushManager.LOCAL_PUSH_CHANNEL_ID;
                    }
                    builder = new Notification.Builder(context, channelId2);
                } else {
                    builder = new Notification.Builder(context);
                }
                Bitmap bitmap2 = null;
                try {
                    if (!TextUtils.isEmpty(icon) && DHFile.isExist(icon)) {
                        bitmap2 = BitmapFactory.decodeFile(icon);
                    }
                    bitmap = bitmap2;
                } catch (IOException e) {
                    e.printStackTrace();
                    bitmap = null;
                }
                if (bitmap != null) {
                    builder.setLargeIcon(bitmap);
                }
                int id_small = RInformation.getInt(context, "drawable", "push_small");
                if (id_small <= 0) {
                    channelId = channelId2;
                    builder.setSmallIcon(context.getApplicationInfo().icon);
                } else {
                    channelId = channelId2;
                    builder.setSmallIcon(id_small);
                }
                int id = RInformation.getInt(context, "drawable", "push");
                if (bitmap == null) {
                    if (id <= 0) {
                        largeBitmap = BitmapFactory.decodeResource(context.getResources(), context.getApplicationInfo().icon);
                    } else {
                        largeBitmap = BitmapFactory.decodeResource(context.getResources(), id);
                    }
                    if (largeBitmap != null) {
                        builder.setLargeIcon(largeBitmap);
                    }
                }
                builder.setContentTitle(title);
                builder.setContentText(message);
                if (Build.VERSION.SDK_INT >= 24) {
                    z = true;
                    builder.setShowWhen(true);
                } else {
                    z = true;
                }
                builder.setWhen(when);
                if ("system".equals(sound)) {
                    int i2 = z ? 1 : 0;
                    int i3 = z ? 1 : 0;
                    int i4 = z ? 1 : 0;
                    builder.setDefaults(i2);
                }
                builder.setAutoCancel(z);
                builder.setContentIntent(contentIntent);
                notification = builder.build();
            } else {
                notification = new Notification();
                notification.icon = context.getApplicationInfo().icon;
                if ("system".equals(sound)) {
                    notification.defaults = 1;
                }
                notification.flags = 16;
                notification.when = when;
                try {
                    notification.getClass().getDeclaredMethod("setLatestEventInfo", Context.class, CharSequence.class, CharSequence.class, PendingIntent.class).invoke(notification, context, title, message, contentIntent);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
            try {
                _notificationManager.notify(nId, notification);
            } catch (Exception e3) {
                e3.printStackTrace();
            }
        } else if (APSFeatureImpl.REMOVE_NOTIFICATION.equals(_action)) {
            _notificationManager.cancel(intent.getIntExtra("id", 0));
        } else if (APSFeatureImpl.CLEAR_NOTIFICATION.equals(_action)) {
            _notificationManager.cancelAll();
            PushManager.getInstance(context).mAppsmMessages.remove(intent.getStringExtra("_appId"));
        } else if (APSFeatureImpl.CLILK_NOTIFICATION.equals(_action)) {
            clickHandle(context, intent, _notificationManager);
            Intent _intent = context.getPackageManager().getLaunchIntentForPackage(context.getPackageName());
            _intent.putExtra("appid", intent.getStringExtra("appid"));
            boolean isStartWeb = intent.getBooleanExtra(IntentConst.IS_START_FIRST_WEB, false);
            if (isStartWeb) {
                _intent.putExtra(IntentConst.IS_START_FIRST_WEB, isStartWeb);
                _intent.putExtra(IntentConst.FIRST_WEB_URL, intent.getStringExtra(IntentConst.FIRST_WEB_URL));
            }
            _intent.putExtra(IntentConst.START_FROM, 3);
            _intent.putExtra(IntentConst.PUSH_PAYLOAD, intent.getStringExtra(AssistPushConsts.MSG_TYPE_PAYLOAD));
            _intent.setFlags(335544320);
            context.startActivity(_intent);
        }
    }

    public static void clickHandle(Context context, Intent intent, NotificationManager _notificationManager) {
        PushManager pushMgr = PushManager.getInstance(context);
        Bundle _bundle = intent.getExtras();
        String appid = _bundle.getString("appid");
        String uuid = _bundle.getString(UserBox.TYPE);
        if (_notificationManager != null) {
            _notificationManager.cancel(intent.getIntExtra("id", 0));
        }
        PushMessage _pushMessage = pushMgr.findPushMessage(appid, uuid);
        if (_pushMessage != null) {
            boolean isStartWeb = false;
            if (!TextUtils.isEmpty(_pushMessage.mPayload)) {
                try {
                    String url = new JSONObject(_pushMessage.mPayload).optString("__adurl");
                    if (!TextUtils.isEmpty(url)) {
                        intent.putExtra(IntentConst.IS_START_FIRST_WEB, true);
                        intent.putExtra(IntentConst.FIRST_WEB_URL, url);
                        isStartWeb = true;
                    }
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }
            if (!isStartWeb && !pushMgr.execScript(Constants.Event.CLICK, _pushMessage.toJSON())) {
                pushMgr.addNeedExecMessage(_pushMessage);
                Logger.d("addNeedExecMessage:");
            }
            pushMgr.removePushMessage(appid, _pushMessage);
        } else {
            PushMessage _pushMessage2 = new PushMessage(_bundle);
            if (!TextUtils.isEmpty(_pushMessage2.mPayload)) {
                try {
                    String url2 = new JSONObject(_pushMessage2.mPayload).optString("__adurl");
                    if (!TextUtils.isEmpty(url2)) {
                        intent.putExtra(IntentConst.IS_START_FIRST_WEB, true);
                        intent.putExtra(IntentConst.FIRST_WEB_URL, url2);
                    }
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
            }
            pushMgr.addNeedExecMessage(_pushMessage2);
        }
        _bundle.clear();
    }
}
