package io.dcloud.feature.contacts;

import android.content.Context;
import android.util.Log;
import com.igexin.push.core.b;
import io.dcloud.common.DHInterface.IWebview;
import java.util.HashMap;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public abstract class ContactAccessor {
    protected final String LOG_TAG = "ContactsAccessor";
    protected Context mApp;
    protected IWebview mView;

    public abstract boolean remove(String str);

    public abstract boolean save(JSONObject jSONObject);

    public abstract JSONArray search(JSONArray jSONArray, JSONObject jSONObject);

    /* access modifiers changed from: protected */
    public boolean isRequired(String key, HashMap<String, Boolean> map) {
        Boolean retVal = map.get(key);
        if (retVal == null) {
            return false;
        }
        return retVal.booleanValue();
    }

    /* access modifiers changed from: protected */
    public HashMap<String, Boolean> buildPopulationSet(JSONArray fields) {
        String str;
        String str2;
        String str3;
        String str4;
        JSONArray jSONArray = fields;
        HashMap<String, Boolean> map = new HashMap<>();
        try {
            String str5 = "displayName";
            String key = "categories";
            if (fields.length() == 0) {
                str = str5;
                str2 = key;
            } else if (fields.length() != 1 || !jSONArray.getString(0).equals("*")) {
                int i = 0;
                while (i < fields.length()) {
                    String key2 = jSONArray.getString(i);
                    if (key2.startsWith(str5)) {
                        map.put(str5, true);
                        str3 = str5;
                        str4 = key;
                    } else if (key2.startsWith("name")) {
                        str3 = str5;
                        map.put("name", true);
                        str4 = key;
                    } else {
                        str3 = str5;
                        if (key2.startsWith("nickname")) {
                            map.put("nickname", true);
                            str4 = key;
                        } else if (key2.startsWith("phoneNumbers")) {
                            map.put("phoneNumbers", true);
                            str4 = key;
                        } else if (key2.startsWith("emails")) {
                            map.put("emails", true);
                            str4 = key;
                        } else if (key2.startsWith("addresses")) {
                            map.put("addresses", true);
                            str4 = key;
                        } else if (key2.startsWith("ims")) {
                            map.put("ims", true);
                            str4 = key;
                        } else if (key2.startsWith("organizations")) {
                            map.put("organizations", true);
                            str4 = key;
                        } else if (key2.startsWith("birthday")) {
                            map.put("birthday", true);
                            str4 = key;
                        } else if (key2.startsWith("note")) {
                            map.put("note", true);
                            str4 = key;
                        } else if (key2.startsWith("urls")) {
                            map.put("urls", true);
                            str4 = key;
                        } else if (key2.startsWith("photos")) {
                            map.put("photos", true);
                            str4 = key;
                        } else {
                            str4 = key;
                            if (key2.startsWith(str4)) {
                                map.put(str4, true);
                            }
                        }
                    }
                    i++;
                    key = str4;
                    str5 = str3;
                    jSONArray = fields;
                }
                return map;
            } else {
                str = str5;
                str2 = key;
            }
            map.put(str, true);
            map.put("name", true);
            map.put("nickname", true);
            map.put("phoneNumbers", true);
            map.put("emails", true);
            map.put("addresses", true);
            map.put("ims", true);
            map.put("organizations", true);
            map.put("birthday", true);
            map.put("note", true);
            map.put("urls", true);
            map.put("photos", true);
            map.put(str2, true);
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return map;
    }

    /* access modifiers changed from: protected */
    public String getJsonString(JSONObject obj, String property) {
        String i;
        if (obj == null || (i = obj.optString(property)) == null || b.m.equals(i)) {
            return null;
        }
        return i;
    }

    class WhereOptions {
        private String selection;
        private String[] selectionArgs;

        WhereOptions() {
        }

        public void setSelection(String where) {
            this.selection = where;
        }

        public String getSelection() {
            return this.selection;
        }

        public void setSelectionArgs(String[] whereArgs) {
            this.selectionArgs = whereArgs;
        }

        public String[] getSelectionArgs() {
            return this.selectionArgs;
        }
    }
}
