package io.dcloud.feature.contacts;

import android.accounts.Account;
import android.accounts.AccountManager;
import android.content.ContentProviderOperation;
import android.content.ContentProviderResult;
import android.content.ContentUris;
import android.content.ContentValues;
import android.content.Context;
import android.content.OperationApplicationException;
import android.database.Cursor;
import android.net.Uri;
import android.os.RemoteException;
import android.provider.ContactsContract;
import android.util.Base64;
import android.util.Log;
import com.amap.api.maps.AMap;
import com.igexin.push.core.b;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.utils.WXUtils;
import com.umeng.analytics.pro.bg;
import com.umeng.analytics.pro.bk;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.feature.contacts.ContactAccessor;
import java.io.ByteArrayOutputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class ContactAccessorImpl extends ContactAccessor {
    private static final String EMAIL_REGEXP = ".+@.+\\.+.+";
    private static final long MAX_PHOTO_SIZE = 1048576;
    private static final String Tag = "contacts";
    private static final Map<String, String> dbMap;

    static {
        HashMap hashMap = new HashMap();
        dbMap = hashMap;
        hashMap.put("id", "raw_contact_id");
        dbMap.put("displayName", bg.s);
        dbMap.put("name", "data1");
        dbMap.put("name.formatted", "data1");
        dbMap.put("name.familyName", "data3");
        dbMap.put("name.givenName", "data2");
        dbMap.put("name.middleName", "data5");
        dbMap.put("name.honorificPrefix", "data4");
        dbMap.put("name.honorificSuffix", "data6");
        dbMap.put("nickname", "data1");
        dbMap.put("phoneNumbers", "data1");
        dbMap.put("phoneNumbers.value", "data1");
        dbMap.put("emails", "data1");
        dbMap.put("emails.value", "data1");
        dbMap.put("addresses", "data1");
        dbMap.put("addresses.formatted", "data1");
        dbMap.put("addresses.streetAddress", "data4");
        dbMap.put("addresses.locality", "data7");
        dbMap.put("addresses.region", "data8");
        dbMap.put("addresses.postalCode", "data9");
        dbMap.put("addresses.country", "data10");
        dbMap.put("ims", "data1");
        dbMap.put("ims.value", "data1");
        dbMap.put("organizations", "data1");
        dbMap.put("organizations.name", "data1");
        dbMap.put("organizations.department", "data5");
        dbMap.put("organizations.title", "data4");
        dbMap.put("birthday", "vnd.android.cursor.item/contact_event");
        dbMap.put("note", "data1");
        dbMap.put("photos.value", "vnd.android.cursor.item/photo");
        dbMap.put("urls", "data1");
        dbMap.put("urls.value", "data1");
    }

    public ContactAccessorImpl(Context app) {
        this.mApp = app;
    }

    @Override // io.dcloud.feature.contacts.ContactAccessor
    public JSONArray search(JSONArray fields, JSONObject options) {
        int limit = Integer.MAX_VALUE;
        JSONArray searchTerm = null;
        boolean noSearchTerm = true;
        if (options != null) {
            searchTerm = JSONUtil.getJSONArray(options, Constants.Name.FILTER);
            limit = options.optBoolean("multiple", true) ? Integer.MAX_VALUE : 1;
        }
        if (!(searchTerm == null || searchTerm.length() == 0 || (searchTerm.length() == 1 && searchTerm.optJSONObject(0).isNull("field")))) {
            noSearchTerm = false;
        }
        String selection = null;
        String[] selectionArgs = null;
        if (!noSearchTerm) {
            ContactAccessor.WhereOptions whereOptions = buildWhereClause(searchTerm);
            selection = whereOptions.getSelection();
            selectionArgs = whereOptions.getSelectionArgs();
        }
        Cursor idCursor = this.mApp.getContentResolver().query(ContactsContract.Data.CONTENT_URI, new String[]{"raw_contact_id"}, selection, selectionArgs, "raw_contact_id ASC");
        ArrayList<String> endContactIds = new ArrayList<>();
        while (idCursor.moveToNext()) {
            endContactIds.add(idCursor.getString(idCursor.getColumnIndex("raw_contact_id")));
        }
        idCursor.close();
        if (endContactIds.size() == 0) {
            return new JSONArray();
        }
        ContactAccessor.WhereOptions idOptions = buildIdClause(endContactIds);
        return populateContactArray(limit, buildPopulationSet(fields), this.mApp.getContentResolver().query(ContactsContract.Data.CONTENT_URI, null, idOptions.getSelection(), idOptions.getSelectionArgs(), "raw_contact_id ASC"));
    }

    private JSONArray populateContactArray(int limit, HashMap<String, Boolean> populate, Cursor c) {
        JSONArray contacts;
        String str;
        String str2;
        String str3;
        String str4;
        JSONArray contacts2;
        String str5;
        HashMap<String, Boolean> hashMap;
        JSONException e;
        String str6;
        String str7;
        long rawId;
        JSONArray photos;
        JSONArray urls;
        JSONArray ims;
        JSONArray emails;
        JSONArray phones;
        JSONArray addresses;
        JSONArray organizations;
        JSONObject contact;
        JSONArray jSONArray;
        JSONObject jSONObject;
        JSONArray organizations2;
        JSONObject contact2;
        ContactAccessorImpl contactAccessorImpl;
        String str8;
        JSONObject jSONObject2;
        String str9;
        int i = limit;
        HashMap<String, Boolean> hashMap2 = populate;
        String str10 = "birthday";
        String str11 = "nickname";
        String str12 = "note";
        String str13 = "name";
        String str14 = "vnd.android.cursor.item/name";
        JSONArray contacts3 = new JSONArray();
        JSONObject contact3 = new JSONObject();
        JSONArray organizations3 = new JSONArray();
        JSONArray addresses2 = new JSONArray();
        JSONArray phones2 = new JSONArray();
        JSONArray emails2 = new JSONArray();
        JSONArray ims2 = new JSONArray();
        JSONArray urls2 = new JSONArray();
        JSONArray photos2 = new JSONArray();
        if (c.getCount() > 0) {
            JSONArray addresses3 = addresses2;
            JSONArray phones3 = phones2;
            JSONArray emails3 = emails2;
            JSONArray ims3 = ims2;
            JSONArray urls3 = urls2;
            JSONArray photos3 = photos2;
            long oldRawId = 0;
            boolean newContact = true;
            String mimetype = "";
            JSONObject contact4 = contact3;
            JSONArray organizations4 = organizations3;
            long rawId2 = 0;
            while (c.moveToNext() && contacts3.length() <= i - 1) {
                try {
                    long rawId3 = c.getLong(c.getColumnIndex("raw_contact_id"));
                    try {
                        if (c.getPosition() == 0) {
                            oldRawId = rawId3;
                        }
                        if (oldRawId != rawId3) {
                            rawId = rawId3;
                            str4 = str10;
                            contacts2 = contacts3;
                            str7 = str14;
                            str6 = str13;
                            str2 = str12;
                            str = str11;
                            try {
                                contacts2.put(populateContact(populate, contact4, organizations4, addresses3, phones3, emails3, ims3, urls3, photos3));
                                contact4 = new JSONObject();
                                organizations4 = new JSONArray();
                                addresses3 = new JSONArray();
                                phones3 = new JSONArray();
                                emails3 = new JSONArray();
                                ims3 = new JSONArray();
                                urls3 = new JSONArray();
                                newContact = true;
                                contact = contact4;
                                organizations = organizations4;
                                addresses = addresses3;
                                phones = phones3;
                                emails = emails3;
                                ims = ims3;
                                urls = urls3;
                                photos = new JSONArray();
                            } catch (JSONException e2) {
                                e = e2;
                                rawId2 = rawId;
                                hashMap = populate;
                                str3 = str7;
                                str5 = str6;
                                Log.e("ContactsAccessor", e.getMessage(), e);
                                oldRawId = rawId2;
                                str13 = str5;
                                contacts3 = contacts2;
                                str10 = str4;
                                str14 = str3;
                                str12 = str2;
                                str11 = str;
                                hashMap2 = hashMap;
                                i = limit;
                            }
                        } else {
                            rawId = rawId3;
                            str7 = str14;
                            str6 = str13;
                            str2 = str12;
                            str = str11;
                            str4 = str10;
                            contacts2 = contacts3;
                            contact = contact4;
                            organizations = organizations4;
                            addresses = addresses3;
                            phones = phones3;
                            emails = emails3;
                            ims = ims3;
                            urls = urls3;
                            photos = photos3;
                        }
                        if (newContact) {
                            newContact = false;
                            try {
                                contact.put("id", rawId);
                            } catch (JSONException e3) {
                                e = e3;
                                contact4 = contact;
                                organizations4 = organizations;
                                addresses3 = addresses;
                                phones3 = phones;
                                emails3 = emails;
                                ims3 = ims;
                                urls3 = urls;
                                photos3 = photos;
                                rawId2 = rawId;
                                hashMap = populate;
                                str3 = str7;
                                str5 = str6;
                            }
                        }
                    } catch (JSONException e4) {
                        e = e4;
                        rawId2 = rawId3;
                        str3 = str14;
                        str2 = str12;
                        str = str11;
                        hashMap = hashMap2;
                        str4 = str10;
                        contacts2 = contacts3;
                        str5 = str13;
                        Log.e("ContactsAccessor", e.getMessage(), e);
                        oldRawId = rawId2;
                        str13 = str5;
                        contacts3 = contacts2;
                        str10 = str4;
                        str14 = str3;
                        str12 = str2;
                        str11 = str;
                        hashMap2 = hashMap;
                        i = limit;
                    }
                    try {
                        String mimetype2 = c.getString(c.getColumnIndex("mimetype"));
                        try {
                            if (mimetype2.equals(str7)) {
                                rawId2 = rawId;
                                try {
                                    contact.put("displayName", c.getString(c.getColumnIndex("data1")));
                                } catch (JSONException e5) {
                                    e = e5;
                                    hashMap = populate;
                                    contact4 = contact;
                                    organizations4 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    str3 = str7;
                                    str5 = str6;
                                }
                            } else {
                                rawId2 = rawId;
                            }
                        } catch (JSONException e6) {
                            e = e6;
                            rawId2 = rawId;
                            hashMap = populate;
                            str3 = str7;
                            str5 = str6;
                            addresses3 = addresses;
                            phones3 = phones;
                            emails3 = emails;
                            ims3 = ims;
                            urls3 = urls;
                            photos3 = photos;
                            mimetype = mimetype2;
                            organizations4 = organizations;
                            contact4 = contact;
                            Log.e("ContactsAccessor", e.getMessage(), e);
                            oldRawId = rawId2;
                            str13 = str5;
                            contacts3 = contacts2;
                            str10 = str4;
                            str14 = str3;
                            str12 = str2;
                            str11 = str;
                            hashMap2 = hashMap;
                            i = limit;
                        }
                        try {
                            if (mimetype2.equals(str7)) {
                                contactAccessorImpl = this;
                                hashMap = populate;
                                str3 = str7;
                                str5 = str6;
                                try {
                                    if (contactAccessorImpl.isRequired(str5, hashMap)) {
                                        contact.put(str5, contactAccessorImpl.nameQuery(c));
                                        contact2 = contact;
                                        organizations2 = organizations;
                                        addresses3 = addresses;
                                        phones3 = phones;
                                        emails3 = emails;
                                        ims3 = ims;
                                        urls3 = urls;
                                        photos3 = photos;
                                        mimetype = mimetype2;
                                        organizations4 = organizations2;
                                        contact4 = contact2;
                                        oldRawId = rawId2;
                                        str13 = str5;
                                        contacts3 = contacts2;
                                        str10 = str4;
                                        str14 = str3;
                                        str12 = str2;
                                        str11 = str;
                                        hashMap2 = hashMap;
                                        i = limit;
                                    }
                                } catch (JSONException e7) {
                                    e = e7;
                                    contact4 = contact;
                                    organizations4 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    Log.e("ContactsAccessor", e.getMessage(), e);
                                    oldRawId = rawId2;
                                    str13 = str5;
                                    contacts3 = contacts2;
                                    str10 = str4;
                                    str14 = str3;
                                    str12 = str2;
                                    str11 = str;
                                    hashMap2 = hashMap;
                                    i = limit;
                                }
                            } else {
                                contactAccessorImpl = this;
                                hashMap = populate;
                                str3 = str7;
                                str5 = str6;
                            }
                            try {
                                if (mimetype2.equals("vnd.android.cursor.item/phone_v2") && contactAccessorImpl.isRequired("phoneNumbers", hashMap)) {
                                    phones.put(contactAccessorImpl.phoneQuery(c));
                                    contact2 = contact;
                                    organizations2 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    organizations4 = organizations2;
                                    contact4 = contact2;
                                    oldRawId = rawId2;
                                    str13 = str5;
                                    contacts3 = contacts2;
                                    str10 = str4;
                                    str14 = str3;
                                    str12 = str2;
                                    str11 = str;
                                    hashMap2 = hashMap;
                                    i = limit;
                                } else if (mimetype2.equals("vnd.android.cursor.item/email_v2") && contactAccessorImpl.isRequired("emails", hashMap)) {
                                    emails.put(contactAccessorImpl.emailQuery(c));
                                    contact2 = contact;
                                    organizations2 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    organizations4 = organizations2;
                                    contact4 = contact2;
                                    oldRawId = rawId2;
                                    str13 = str5;
                                    contacts3 = contacts2;
                                    str10 = str4;
                                    str14 = str3;
                                    str12 = str2;
                                    str11 = str;
                                    hashMap2 = hashMap;
                                    i = limit;
                                } else if (mimetype2.equals("vnd.android.cursor.item/postal-address_v2") && contactAccessorImpl.isRequired("addresses", hashMap)) {
                                    addresses.put(contactAccessorImpl.addressQuery(c));
                                    contact2 = contact;
                                    organizations2 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    organizations4 = organizations2;
                                    contact4 = contact2;
                                    oldRawId = rawId2;
                                    str13 = str5;
                                    contacts3 = contacts2;
                                    str10 = str4;
                                    str14 = str3;
                                    str12 = str2;
                                    str11 = str;
                                    hashMap2 = hashMap;
                                    i = limit;
                                } else if (mimetype2.equals("vnd.android.cursor.item/organization") && contactAccessorImpl.isRequired("organizations", hashMap)) {
                                    organizations.put(contactAccessorImpl.organizationQuery(c));
                                    contact2 = contact;
                                    organizations2 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    organizations4 = organizations2;
                                    contact4 = contact2;
                                    oldRawId = rawId2;
                                    str13 = str5;
                                    contacts3 = contacts2;
                                    str10 = str4;
                                    str14 = str3;
                                    str12 = str2;
                                    str11 = str;
                                    hashMap2 = hashMap;
                                    i = limit;
                                } else if (!mimetype2.equals("vnd.android.cursor.item/im") || !contactAccessorImpl.isRequired("ims", hashMap)) {
                                    if (mimetype2.equals("vnd.android.cursor.item/note")) {
                                        organizations2 = organizations;
                                        str8 = str2;
                                        try {
                                            if (contactAccessorImpl.isRequired(str8, hashMap)) {
                                                contact.put(str8, c.getString(c.getColumnIndex("data1")));
                                                contact2 = contact;
                                                str2 = str8;
                                                addresses3 = addresses;
                                                phones3 = phones;
                                                emails3 = emails;
                                                ims3 = ims;
                                                urls3 = urls;
                                                photos3 = photos;
                                                mimetype = mimetype2;
                                                organizations4 = organizations2;
                                                contact4 = contact2;
                                                oldRawId = rawId2;
                                                str13 = str5;
                                                contacts3 = contacts2;
                                                str10 = str4;
                                                str14 = str3;
                                                str12 = str2;
                                                str11 = str;
                                                hashMap2 = hashMap;
                                                i = limit;
                                            }
                                        } catch (JSONException e8) {
                                            e = e8;
                                            str2 = str8;
                                            addresses3 = addresses;
                                            phones3 = phones;
                                            emails3 = emails;
                                            ims3 = ims;
                                            urls3 = urls;
                                            photos3 = photos;
                                            mimetype = mimetype2;
                                            organizations4 = organizations2;
                                            contact4 = contact;
                                            Log.e("ContactsAccessor", e.getMessage(), e);
                                            oldRawId = rawId2;
                                            str13 = str5;
                                            contacts3 = contacts2;
                                            str10 = str4;
                                            str14 = str3;
                                            str12 = str2;
                                            str11 = str;
                                            hashMap2 = hashMap;
                                            i = limit;
                                        }
                                    } else {
                                        organizations2 = organizations;
                                        str8 = str2;
                                    }
                                    try {
                                        if (mimetype2.equals("vnd.android.cursor.item/nickname")) {
                                            str2 = str8;
                                            str9 = str;
                                            try {
                                                if (contactAccessorImpl.isRequired(str9, hashMap)) {
                                                    contact.put(str9, c.getString(c.getColumnIndex("data1")));
                                                    contact2 = contact;
                                                    str = str9;
                                                    addresses3 = addresses;
                                                    phones3 = phones;
                                                    emails3 = emails;
                                                    ims3 = ims;
                                                    urls3 = urls;
                                                    photos3 = photos;
                                                    mimetype = mimetype2;
                                                    organizations4 = organizations2;
                                                    contact4 = contact2;
                                                    oldRawId = rawId2;
                                                    str13 = str5;
                                                    contacts3 = contacts2;
                                                    str10 = str4;
                                                    str14 = str3;
                                                    str12 = str2;
                                                    str11 = str;
                                                    hashMap2 = hashMap;
                                                    i = limit;
                                                }
                                            } catch (JSONException e9) {
                                                e = e9;
                                                str = str9;
                                                addresses3 = addresses;
                                                phones3 = phones;
                                                emails3 = emails;
                                                ims3 = ims;
                                                urls3 = urls;
                                                photos3 = photos;
                                                mimetype = mimetype2;
                                                organizations4 = organizations2;
                                                contact4 = contact;
                                                Log.e("ContactsAccessor", e.getMessage(), e);
                                                oldRawId = rawId2;
                                                str13 = str5;
                                                contacts3 = contacts2;
                                                str10 = str4;
                                                str14 = str3;
                                                str12 = str2;
                                                str11 = str;
                                                hashMap2 = hashMap;
                                                i = limit;
                                            }
                                        } else {
                                            str2 = str8;
                                            str9 = str;
                                        }
                                        try {
                                            if (!mimetype2.equals("vnd.android.cursor.item/website") || !contactAccessorImpl.isRequired("urls", hashMap)) {
                                                if (mimetype2.equals("vnd.android.cursor.item/contact_event")) {
                                                    str = str9;
                                                    if (3 == c.getInt(c.getColumnIndex("data2"))) {
                                                        try {
                                                            if (contactAccessorImpl.isRequired(str4, hashMap)) {
                                                                contact.put(str4, c.getString(c.getColumnIndex("data1")));
                                                                contact2 = contact;
                                                                str4 = str4;
                                                            } else {
                                                                contact2 = contact;
                                                                str4 = str4;
                                                            }
                                                        } catch (JSONException e10) {
                                                            e = e10;
                                                            str4 = str4;
                                                            addresses3 = addresses;
                                                            phones3 = phones;
                                                            emails3 = emails;
                                                            ims3 = ims;
                                                            urls3 = urls;
                                                            photos3 = photos;
                                                            mimetype = mimetype2;
                                                            organizations4 = organizations2;
                                                            contact4 = contact;
                                                            Log.e("ContactsAccessor", e.getMessage(), e);
                                                            oldRawId = rawId2;
                                                            str13 = str5;
                                                            contacts3 = contacts2;
                                                            str10 = str4;
                                                            str14 = str3;
                                                            str12 = str2;
                                                            str11 = str;
                                                            hashMap2 = hashMap;
                                                            i = limit;
                                                        }
                                                    } else {
                                                        contact2 = contact;
                                                    }
                                                } else {
                                                    str = str9;
                                                    try {
                                                        if (!mimetype2.equals("vnd.android.cursor.item/photo")) {
                                                            contact2 = contact;
                                                            str4 = str4;
                                                        } else if (contactAccessorImpl.isRequired("photos", hashMap)) {
                                                            contact2 = contact;
                                                            str4 = str4;
                                                            try {
                                                                photos.put(contactAccessorImpl.photoQuery(c, c.getLong(c.getColumnIndex("contact_id"))));
                                                            } catch (JSONException e11) {
                                                                e = e11;
                                                                addresses3 = addresses;
                                                                phones3 = phones;
                                                                emails3 = emails;
                                                                ims3 = ims;
                                                                urls3 = urls;
                                                                photos3 = photos;
                                                                mimetype = mimetype2;
                                                                organizations4 = organizations2;
                                                                contact4 = contact2;
                                                            }
                                                        } else {
                                                            contact2 = contact;
                                                            str4 = str4;
                                                        }
                                                    } catch (JSONException e12) {
                                                        e = e12;
                                                        jSONObject2 = contact;
                                                        str4 = str4;
                                                        addresses3 = addresses;
                                                        phones3 = phones;
                                                        emails3 = emails;
                                                        ims3 = ims;
                                                        urls3 = urls;
                                                        photos3 = photos;
                                                        mimetype = mimetype2;
                                                        organizations4 = organizations2;
                                                        contact4 = jSONObject2;
                                                        Log.e("ContactsAccessor", e.getMessage(), e);
                                                        oldRawId = rawId2;
                                                        str13 = str5;
                                                        contacts3 = contacts2;
                                                        str10 = str4;
                                                        str14 = str3;
                                                        str12 = str2;
                                                        str11 = str;
                                                        hashMap2 = hashMap;
                                                        i = limit;
                                                    }
                                                }
                                                addresses3 = addresses;
                                                phones3 = phones;
                                                emails3 = emails;
                                                ims3 = ims;
                                                urls3 = urls;
                                                photos3 = photos;
                                                mimetype = mimetype2;
                                                organizations4 = organizations2;
                                                contact4 = contact2;
                                                oldRawId = rawId2;
                                                str13 = str5;
                                                contacts3 = contacts2;
                                                str10 = str4;
                                                str14 = str3;
                                                str12 = str2;
                                                str11 = str;
                                                hashMap2 = hashMap;
                                                i = limit;
                                            } else {
                                                urls.put(contactAccessorImpl.urlQuery(c));
                                                contact2 = contact;
                                                str = str9;
                                                addresses3 = addresses;
                                                phones3 = phones;
                                                emails3 = emails;
                                                ims3 = ims;
                                                urls3 = urls;
                                                photos3 = photos;
                                                mimetype = mimetype2;
                                                organizations4 = organizations2;
                                                contact4 = contact2;
                                                oldRawId = rawId2;
                                                str13 = str5;
                                                contacts3 = contacts2;
                                                str10 = str4;
                                                str14 = str3;
                                                str12 = str2;
                                                str11 = str;
                                                hashMap2 = hashMap;
                                                i = limit;
                                            }
                                        } catch (JSONException e13) {
                                            e = e13;
                                            jSONObject2 = contact;
                                            str = str9;
                                            addresses3 = addresses;
                                            phones3 = phones;
                                            emails3 = emails;
                                            ims3 = ims;
                                            urls3 = urls;
                                            photos3 = photos;
                                            mimetype = mimetype2;
                                            organizations4 = organizations2;
                                            contact4 = jSONObject2;
                                            Log.e("ContactsAccessor", e.getMessage(), e);
                                            oldRawId = rawId2;
                                            str13 = str5;
                                            contacts3 = contacts2;
                                            str10 = str4;
                                            str14 = str3;
                                            str12 = str2;
                                            str11 = str;
                                            hashMap2 = hashMap;
                                            i = limit;
                                        }
                                    } catch (JSONException e14) {
                                        e = e14;
                                        jSONObject2 = contact;
                                        str2 = str8;
                                        addresses3 = addresses;
                                        phones3 = phones;
                                        emails3 = emails;
                                        ims3 = ims;
                                        urls3 = urls;
                                        photos3 = photos;
                                        mimetype = mimetype2;
                                        organizations4 = organizations2;
                                        contact4 = jSONObject2;
                                        Log.e("ContactsAccessor", e.getMessage(), e);
                                        oldRawId = rawId2;
                                        str13 = str5;
                                        contacts3 = contacts2;
                                        str10 = str4;
                                        str14 = str3;
                                        str12 = str2;
                                        str11 = str;
                                        hashMap2 = hashMap;
                                        i = limit;
                                    }
                                } else {
                                    ims.put(contactAccessorImpl.imQuery(c));
                                    contact2 = contact;
                                    organizations2 = organizations;
                                    addresses3 = addresses;
                                    phones3 = phones;
                                    emails3 = emails;
                                    ims3 = ims;
                                    urls3 = urls;
                                    photos3 = photos;
                                    mimetype = mimetype2;
                                    organizations4 = organizations2;
                                    contact4 = contact2;
                                    oldRawId = rawId2;
                                    str13 = str5;
                                    contacts3 = contacts2;
                                    str10 = str4;
                                    str14 = str3;
                                    str12 = str2;
                                    str11 = str;
                                    hashMap2 = hashMap;
                                    i = limit;
                                }
                            } catch (JSONException e15) {
                                e = e15;
                                jSONObject = contact;
                                jSONArray = organizations;
                                addresses3 = addresses;
                                phones3 = phones;
                                emails3 = emails;
                                ims3 = ims;
                                urls3 = urls;
                                photos3 = photos;
                                mimetype = mimetype2;
                                organizations4 = jSONArray;
                                contact4 = jSONObject;
                                Log.e("ContactsAccessor", e.getMessage(), e);
                                oldRawId = rawId2;
                                str13 = str5;
                                contacts3 = contacts2;
                                str10 = str4;
                                str14 = str3;
                                str12 = str2;
                                str11 = str;
                                hashMap2 = hashMap;
                                i = limit;
                            }
                        } catch (JSONException e16) {
                            e = e16;
                            hashMap = populate;
                            jSONObject = contact;
                            jSONArray = organizations;
                            str3 = str7;
                            str5 = str6;
                            addresses3 = addresses;
                            phones3 = phones;
                            emails3 = emails;
                            ims3 = ims;
                            urls3 = urls;
                            photos3 = photos;
                            mimetype = mimetype2;
                            organizations4 = jSONArray;
                            contact4 = jSONObject;
                            Log.e("ContactsAccessor", e.getMessage(), e);
                            oldRawId = rawId2;
                            str13 = str5;
                            contacts3 = contacts2;
                            str10 = str4;
                            str14 = str3;
                            str12 = str2;
                            str11 = str;
                            hashMap2 = hashMap;
                            i = limit;
                        }
                    } catch (JSONException e17) {
                        e = e17;
                        rawId2 = rawId;
                        hashMap = populate;
                        str3 = str7;
                        str5 = str6;
                        addresses3 = addresses;
                        phones3 = phones;
                        emails3 = emails;
                        ims3 = ims;
                        urls3 = urls;
                        photos3 = photos;
                        organizations4 = organizations;
                        contact4 = contact;
                        Log.e("ContactsAccessor", e.getMessage(), e);
                        oldRawId = rawId2;
                        str13 = str5;
                        contacts3 = contacts2;
                        str10 = str4;
                        str14 = str3;
                        str12 = str2;
                        str11 = str;
                        hashMap2 = hashMap;
                        i = limit;
                    }
                } catch (JSONException e18) {
                    e = e18;
                    str3 = str14;
                    str2 = str12;
                    str = str11;
                    hashMap = hashMap2;
                    str4 = str10;
                    contacts2 = contacts3;
                    str5 = str13;
                    Log.e("ContactsAccessor", e.getMessage(), e);
                    oldRawId = rawId2;
                    str13 = str5;
                    contacts3 = contacts2;
                    str10 = str4;
                    str14 = str3;
                    str12 = str2;
                    str11 = str;
                    hashMap2 = hashMap;
                    i = limit;
                }
            }
            contacts = contacts3;
            if (contacts.length() < limit) {
                contacts.put(populateContact(populate, contact4, organizations4, addresses3, phones3, emails3, ims3, urls3, photos3));
            }
        } else {
            contacts = contacts3;
        }
        c.close();
        return contacts;
    }

    private ContactAccessor.WhereOptions buildIdClause(ArrayList<String> contactIds) {
        ContactAccessor.WhereOptions options = new ContactAccessor.WhereOptions();
        Iterator<String> it = contactIds.iterator();
        StringBuffer buffer = new StringBuffer(Operators.BRACKET_START_STR);
        while (it.hasNext()) {
            buffer.append("'" + it.next() + "'");
            if (it.hasNext()) {
                buffer.append(",");
            }
        }
        buffer.append(Operators.BRACKET_END_STR);
        options.setSelection("raw_contact_id IN " + buffer.toString());
        options.setSelectionArgs(null);
        return options;
    }

    private JSONObject populateContact(HashMap<String, Boolean> populate, JSONObject contact, JSONArray organizations, JSONArray addresses, JSONArray phones, JSONArray emails, JSONArray ims, JSONArray websites, JSONArray photos) {
        try {
            if (phones.length() > 0 || isRequired("phoneNumbers", populate)) {
                contact.put("phoneNumbers", phones);
            }
            if (emails.length() > 0 || isRequired("emails", populate)) {
                contact.put("emails", emails);
            }
            if (addresses.length() > 0 || isRequired("addresses", populate)) {
                contact.put("addresses", addresses);
            }
            if (ims.length() > 0 || isRequired("ims", populate)) {
                contact.put("ims", ims);
            }
            if (organizations.length() > 0 || isRequired("organizations", populate)) {
                contact.put("organizations", organizations);
            }
            if (websites.length() > 0 || isRequired("urls", populate)) {
                contact.put("urls", websites);
            }
            if (photos.length() > 0 || isRequired("photos", populate)) {
                contact.put("photos", photos);
            }
        } catch (JSONException e) {
            Log.e("ContactsAccessor", "e.getMessage()==" + e.getMessage(), e);
        }
        return contact;
    }

    private ContactAccessor.WhereOptions buildWhereClause(JSONArray searchArr) {
        int length;
        ContactAccessor.WhereOptions options = new ContactAccessor.WhereOptions();
        if (searchArr != null && (length = searchArr.length()) > 0) {
            StringBuffer where = new StringBuffer();
            ArrayList<String> whereArgs = new ArrayList<>();
            boolean hasReturn = false;
            for (int i = 0; i < length; i++) {
                JSONObject obj = JSONUtil.getJSONObject(searchArr, i);
                String field = JSONUtil.getString(obj, "field");
                String logic = formatLogic(JSONUtil.getString(obj, "logic"));
                String value = JSONUtil.getString(obj, "value");
                if (field != null && dbMap.containsKey(field) && value != null && !value.equals("")) {
                    String value2 = value.replace(Operators.CONDITION_IF, '_').replace('*', WXUtils.PERCENT);
                    where.append(Operators.BRACKET_START_STR + dbMap.get(field) + " LIKE ? )");
                    if (i != length - 1) {
                        where.append(Operators.SPACE_STR + logic + Operators.SPACE_STR);
                    }
                    whereArgs.add(value2);
                    hasReturn = true;
                }
            }
            if (hasReturn) {
                options.setSelection(where.toString());
                String[] args = new String[whereArgs.size()];
                whereArgs.toArray(args);
                options.setSelectionArgs(args);
            }
        }
        return options;
    }

    private String formatLogic(String unFormatLogic) {
        String unFormatLogic2;
        if (unFormatLogic != null) {
            unFormatLogic2 = unFormatLogic.toLowerCase(Locale.ENGLISH);
        } else {
            unFormatLogic2 = "or";
        }
        if (!unFormatLogic2.equals("not") && !unFormatLogic2.equals("and")) {
            return "or";
        }
        return unFormatLogic2;
    }

    private boolean isSearchAll(JSONArray fields) {
        if (fields.length() == 1) {
            try {
                if ("*".equals(fields.getString(0))) {
                    return true;
                }
            } catch (JSONException e) {
                return false;
            }
        }
        return false;
    }

    private JSONObject organizationQuery(Cursor cursor) {
        JSONObject organization = new JSONObject();
        try {
            organization.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            organization.put("pref", false);
            organization.put("type", getOrgType(cursor.getInt(cursor.getColumnIndex("data2"))));
            organization.put("department", cursor.getString(cursor.getColumnIndex("data5")));
            organization.put("name", cursor.getString(cursor.getColumnIndex("data1")));
            organization.put("title", cursor.getString(cursor.getColumnIndex("data4")));
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return organization;
    }

    private JSONObject addressQuery(Cursor cursor) {
        JSONObject address = new JSONObject();
        try {
            address.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            address.put("pref", false);
            address.put("type", getAddressType(cursor.getInt(cursor.getColumnIndex("data2"))));
            address.put("formatted", cursor.getString(cursor.getColumnIndex("data1")));
            address.put("streetAddress", cursor.getString(cursor.getColumnIndex("data4")));
            address.put("locality", cursor.getString(cursor.getColumnIndex("data7")));
            address.put("region", cursor.getString(cursor.getColumnIndex("data8")));
            address.put("postalCode", cursor.getString(cursor.getColumnIndex("data9")));
            address.put("country", cursor.getString(cursor.getColumnIndex("data10")));
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return address;
    }

    private JSONObject nameQuery(Cursor cursor) {
        JSONObject contactName = new JSONObject();
        try {
            String familyName = cursor.getString(cursor.getColumnIndex("data3"));
            String givenName = cursor.getString(cursor.getColumnIndex("data2"));
            String middleName = cursor.getString(cursor.getColumnIndex("data5"));
            String honorificPrefix = cursor.getString(cursor.getColumnIndex("data4"));
            String honorificSuffix = cursor.getString(cursor.getColumnIndex("data6"));
            StringBuffer formatted = new StringBuffer("");
            if (honorificPrefix != null) {
                formatted.append(honorificPrefix + Operators.SPACE_STR);
            }
            if (givenName != null) {
                formatted.append(givenName + Operators.SPACE_STR);
            }
            if (middleName != null) {
                formatted.append(middleName + Operators.SPACE_STR);
            }
            if (familyName != null) {
                formatted.append(familyName + Operators.SPACE_STR);
            }
            if (honorificSuffix != null) {
                formatted.append(honorificSuffix + Operators.SPACE_STR);
            }
            contactName.put("familyName", familyName);
            contactName.put("givenName", givenName);
            contactName.put("middleName", middleName);
            contactName.put("honorificPrefix", honorificPrefix);
            contactName.put("honorificSuffix", honorificSuffix);
            contactName.put("formatted", formatted);
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return contactName;
    }

    private JSONObject phoneQuery(Cursor cursor) {
        JSONObject phoneNumber = new JSONObject();
        try {
            phoneNumber.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            phoneNumber.put("pref", false);
            phoneNumber.put("value", cursor.getString(cursor.getColumnIndex("data1")));
            phoneNumber.put("type", getPhoneType(cursor.getInt(cursor.getColumnIndex("data2"))));
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        } catch (Exception excp) {
            Log.e("ContactsAccessor", excp.getMessage(), excp);
        }
        return phoneNumber;
    }

    private JSONObject emailQuery(Cursor cursor) {
        JSONObject email = new JSONObject();
        try {
            email.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            email.put("pref", false);
            email.put("value", cursor.getString(cursor.getColumnIndex("data1")));
            email.put("type", getContactType(cursor.getInt(cursor.getColumnIndex("data2"))));
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return email;
    }

    private JSONObject imQuery(Cursor cursor) {
        JSONObject im = new JSONObject();
        try {
            im.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            im.put("pref", false);
            im.put("value", cursor.getString(cursor.getColumnIndex("data1")));
            im.put("type", getContactType(cursor.getInt(cursor.getColumnIndex("data2"))));
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return im;
    }

    private JSONObject urlQuery(Cursor cursor) {
        JSONObject website = new JSONObject();
        try {
            website.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            website.put("pref", false);
            website.put("value", cursor.getString(cursor.getColumnIndex("data1")));
            website.put("type", getContactType(cursor.getInt(cursor.getColumnIndex("data2"))));
        } catch (JSONException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        }
        return website;
    }

    private JSONObject photoQuery(Cursor cursor, long contactId) {
        JSONObject photo = new JSONObject();
        try {
            photo.put("id", cursor.getString(cursor.getColumnIndex(bk.d)));
            photo.put("pref", false);
            photo.put("type", "url");
            InputStream input = ContactsContract.Contacts.openContactPhotoInputStream(this.mApp.getContentResolver(), ContentUris.withAppendedId(ContactsContract.Contacts.CONTENT_URI, contactId));
            String base64Text = "";
            try {
                byte[] buf = new byte[input.available()];
                input.read(buf);
                base64Text = "data:image/png;base64," + Base64.encodeToString(buf, 2);
            } catch (Exception e) {
                e.printStackTrace();
            }
            photo.put("value", base64Text);
        } catch (JSONException e2) {
            Log.e("ContactsAccessor", e2.getMessage(), e2);
        }
        return photo;
    }

    @Override // io.dcloud.feature.contacts.ContactAccessor
    public boolean save(JSONObject contact) {
        Account[] accounts = AccountManager.get(this.mApp).getAccounts();
        Account account = null;
        if (accounts.length == 1) {
            account = accounts[0];
        } else if (accounts.length > 1) {
            int length = accounts.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                }
                Account a = accounts[i];
                if (a.type.contains("eas") && a.name.matches(EMAIL_REGEXP)) {
                    account = a;
                    break;
                }
                i++;
            }
            if (account == null) {
                int length2 = accounts.length;
                int i2 = 0;
                while (true) {
                    if (i2 >= length2) {
                        break;
                    }
                    Account a2 = accounts[i2];
                    if (a2.type.contains("com.google") && a2.name.matches(EMAIL_REGEXP)) {
                        account = a2;
                        break;
                    }
                    i2++;
                }
            }
            if (account == null) {
                int length3 = accounts.length;
                int i3 = 0;
                while (true) {
                    if (i3 >= length3) {
                        break;
                    }
                    Account a3 = accounts[i3];
                    if (a3.name.matches(EMAIL_REGEXP)) {
                        account = a3;
                        break;
                    }
                    i3++;
                }
            }
            if (account == null) {
                account = accounts[0];
            }
        }
        String id = getJsonString(contact, "id");
        if (id == null || b.m.equals(id)) {
            return createNewContact(contact, account);
        }
        return modifyContact(contact, account, id);
    }

    private void modifyContactOption(ArrayList<ContentProviderOperation> ops, JSONArray data, String rawId, String mimeType, String dataKey, String typeKey) {
        ops.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? and mimetype=?", new String[]{String.valueOf(rawId), mimeType}).build());
        if (data != null) {
            for (int i = 0; i < data.length(); i++) {
                JSONObject phone = data.optJSONObject(i);
                if (phone != null) {
                    ContentValues contentValues = new ContentValues();
                    contentValues.put("raw_contact_id", rawId);
                    contentValues.put("mimetype", mimeType);
                    contentValues.put(dataKey, getJsonString(phone, "value"));
                    contentValues.put(typeKey, Integer.valueOf(getContactType(getJsonString(phone, "type"))));
                    ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValues(contentValues).build());
                }
            }
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:152:0x03b8 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v17, types: [android.content.ContentProviderOperation$Builder] */
    /* JADX WARN: Type inference failed for: r6v6, types: [java.lang.String[]] */
    /* JADX WARN: Type inference failed for: r13v1 */
    /* JADX WARN: Type inference failed for: r13v2 */
    /* JADX WARN: Type inference failed for: r13v3 */
    /* JADX WARN: Type inference failed for: r6v9, types: [android.content.ContentValues] */
    /* JADX WARN: Type inference failed for: r13v4, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r1v29, types: [android.content.ContentProviderOperation$Builder] */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x0330  */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x0366  */
    /* JADX WARNING: Removed duplicated region for block: B:130:0x03c7 A[Catch:{ Exception -> 0x044e }] */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0172  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0247  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x02a3  */
    /* JADX WARNING: Unknown variable types count: 5 */
    private boolean modifyContact(JSONObject contact, Account account, String id) {
        String str;
        String str2;
        ArrayList<ContentProviderOperation> ops;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        String str10;
        String str11;
        ArrayList<ContentProviderOperation> ops2;
        String str12;
        String str13;
        JSONArray photos;
        JSONArray photos2;
        ?? r13;
        JSONArray organizations;
        String str14;
        JSONArray organizations2;
        String str15;
        String str16;
        Object obj;
        String str17;
        JSONArray addresses;
        String str18;
        JSONArray addresses2;
        JSONArray photos3 = "vnd.android.cursor.item/photo";
        String str19 = "vnd.android.cursor.item/organization";
        String str20 = "data1";
        String str21 = "type";
        ArrayList<ContentProviderOperation> ops3 = new ArrayList<>();
        if (account != null) {
            str2 = "raw_contact_id=? and mimetype=?";
            str = "raw_contact_id";
            ops = ops3;
            ops.add(ContentProviderOperation.newUpdate(ContactsContract.RawContacts.CONTENT_URI).withValue("account_type", account.type).withValue("account_name", account.name).build());
        } else {
            str2 = "raw_contact_id=? and mimetype=?";
            str = "raw_contact_id";
            ops = ops3;
        }
        try {
            String displayName = getJsonString(contact, "displayName");
            JSONObject name = contact.getJSONObject("name");
            str5 = "mimetype";
            str4 = "name";
            try {
                ContentProviderOperation.Builder builder = ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=?", new String[]{id, "vnd.android.cursor.item/name"});
                builder.withValue(str20, displayName);
                builder.withValue("data3", getJsonString(name, "familyName"));
                builder.withValue("data5", getJsonString(name, "middleName"));
                builder.withValue("data2", getJsonString(name, "givenName"));
                builder.withValue("data4", getJsonString(name, "honorificPrefix"));
                str3 = "raw_contact_id=? AND mimetype=?";
                try {
                    builder.withValue("data6", getJsonString(name, "honorificSuffix"));
                    ops.add(builder.build());
                } catch (JSONException e) {
                }
            } catch (JSONException e2) {
                str3 = "raw_contact_id=? AND mimetype=?";
                Log.d("ContactsAccessor", "Could not get name");
                str6 = str;
                str7 = str5;
                String str22 = "data4";
                String str23 = str4;
                modifyContactOption(ops, contact.optJSONArray("phoneNumbers"), id, "vnd.android.cursor.item/phone_v2", "data1", "data2");
                modifyContactOption(ops, contact.optJSONArray("emails"), id, "vnd.android.cursor.item/email_v2", "data1", "data2");
                modifyContactOption(ops, contact.optJSONArray("ims"), id, "vnd.android.cursor.item/im", "data1", "data2");
                modifyContactOption(ops, contact.optJSONArray("websites"), id, "vnd.android.cursor.item/website", "data1", "data2");
                str17 = "vnd.android.cursor.item/postal-address_v2";
                str11 = str2;
                try {
                    ops2 = ops;
                    ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str17}).build());
                    addresses = contact.optJSONArray("addresses");
                    if (addresses != null) {
                    }
                } catch (Exception e3) {
                    obj = null;
                    str12 = str21;
                    ops2 = ops;
                    str10 = str6;
                    str9 = str7;
                    str8 = str20;
                    Log.d("ContactsAccessor", "Could not get addresses");
                    ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                    organizations = contact.optJSONArray("organizations");
                    if (organizations != null) {
                    }
                    ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                    photos = contact.optJSONArray("photos");
                    if (photos == null) {
                    }
                    ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                    ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                    ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                    this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                    return true;
                }
                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                organizations = contact.optJSONArray("organizations");
                if (organizations != null) {
                }
                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                photos = contact.optJSONArray("photos");
                if (photos == null) {
                }
                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                return true;
            }
        } catch (JSONException e4) {
            str3 = "raw_contact_id=? AND mimetype=?";
            str5 = "mimetype";
            str4 = "name";
            Log.d("ContactsAccessor", "Could not get name");
            str6 = str;
            str7 = str5;
            String str222 = "data4";
            String str232 = str4;
            modifyContactOption(ops, contact.optJSONArray("phoneNumbers"), id, "vnd.android.cursor.item/phone_v2", "data1", "data2");
            modifyContactOption(ops, contact.optJSONArray("emails"), id, "vnd.android.cursor.item/email_v2", "data1", "data2");
            modifyContactOption(ops, contact.optJSONArray("ims"), id, "vnd.android.cursor.item/im", "data1", "data2");
            modifyContactOption(ops, contact.optJSONArray("websites"), id, "vnd.android.cursor.item/website", "data1", "data2");
            str17 = "vnd.android.cursor.item/postal-address_v2";
            str11 = str2;
            ops2 = ops;
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str17}).build());
            addresses = contact.optJSONArray("addresses");
            if (addresses != null) {
            }
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
            organizations = contact.optJSONArray("organizations");
            if (organizations != null) {
            }
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
            photos = contact.optJSONArray("photos");
            if (photos == null) {
            }
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
            return true;
        }
        str6 = str;
        str7 = str5;
        String str2222 = "data4";
        String str2322 = str4;
        modifyContactOption(ops, contact.optJSONArray("phoneNumbers"), id, "vnd.android.cursor.item/phone_v2", "data1", "data2");
        modifyContactOption(ops, contact.optJSONArray("emails"), id, "vnd.android.cursor.item/email_v2", "data1", "data2");
        modifyContactOption(ops, contact.optJSONArray("ims"), id, "vnd.android.cursor.item/im", "data1", "data2");
        modifyContactOption(ops, contact.optJSONArray("websites"), id, "vnd.android.cursor.item/website", "data1", "data2");
        try {
            str17 = "vnd.android.cursor.item/postal-address_v2";
            str11 = str2;
            ops2 = ops;
            try {
                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str17}).build());
                addresses = contact.optJSONArray("addresses");
                if (addresses != null) {
                    int i = 0;
                    while (i < addresses.length()) {
                        try {
                            JSONObject address = addresses.optJSONObject(i);
                            if (address != null) {
                                ContentValues contentValues = new ContentValues();
                                str10 = str6;
                                try {
                                    contentValues.put(str10, id);
                                    str9 = str7;
                                    try {
                                        contentValues.put(str9, str17);
                                        addresses2 = addresses;
                                        str18 = str17;
                                        str12 = str21;
                                        try {
                                            contentValues.put("data2", Integer.valueOf(getAddressType(getJsonString(address, str12))));
                                            contentValues.put(str20, getJsonString(address, "formatted"));
                                            str8 = str20;
                                            try {
                                                contentValues.put(str2222, getJsonString(address, "streetAddress"));
                                                str2222 = str2222;
                                                try {
                                                    contentValues.put("data7", getJsonString(address, "locality"));
                                                    contentValues.put("data8", getJsonString(address, "region"));
                                                    contentValues.put("data9", getJsonString(address, "postalCode"));
                                                    contentValues.put("data10", getJsonString(address, "country"));
                                                    ops2.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValues(contentValues).build());
                                                } catch (Exception e5) {
                                                }
                                            } catch (Exception e6) {
                                                str2222 = str2222;
                                                Log.d("ContactsAccessor", "Could not get addresses");
                                                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                                                organizations = contact.optJSONArray("organizations");
                                                if (organizations != null) {
                                                }
                                                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                                                photos = contact.optJSONArray("photos");
                                                if (photos == null) {
                                                }
                                                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                                                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                                                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                                                this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                                                return true;
                                            }
                                        } catch (Exception e7) {
                                            str8 = str20;
                                            Log.d("ContactsAccessor", "Could not get addresses");
                                            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                                            organizations = contact.optJSONArray("organizations");
                                            if (organizations != null) {
                                            }
                                            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                                            photos = contact.optJSONArray("photos");
                                            if (photos == null) {
                                            }
                                            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                                            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                                            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                                            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                                            return true;
                                        }
                                    } catch (Exception e8) {
                                        str12 = str21;
                                        str8 = str20;
                                        Log.d("ContactsAccessor", "Could not get addresses");
                                        ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                                        organizations = contact.optJSONArray("organizations");
                                        if (organizations != null) {
                                        }
                                        ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                                        photos = contact.optJSONArray("photos");
                                        if (photos == null) {
                                        }
                                        ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                                        ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                                        ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                                        this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                                        return true;
                                    }
                                } catch (Exception e9) {
                                    str12 = str21;
                                    str9 = str7;
                                    str8 = str20;
                                    Log.d("ContactsAccessor", "Could not get addresses");
                                    ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                                    organizations = contact.optJSONArray("organizations");
                                    if (organizations != null) {
                                    }
                                    ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                                    photos = contact.optJSONArray("photos");
                                    if (photos == null) {
                                    }
                                    ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                                    ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                                    ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                                    this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                                    return true;
                                }
                            } else {
                                addresses2 = addresses;
                                str18 = str17;
                                str12 = str21;
                                str10 = str6;
                                str9 = str7;
                                str8 = str20;
                            }
                            i++;
                            str6 = str10;
                            str7 = str9;
                            str20 = str8;
                            str17 = str18;
                            str21 = str12;
                            addresses = addresses2;
                        } catch (Exception e10) {
                            str12 = str21;
                            str10 = str6;
                            str9 = str7;
                            str8 = str20;
                            Log.d("ContactsAccessor", "Could not get addresses");
                            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                            organizations = contact.optJSONArray("organizations");
                            if (organizations != null) {
                            }
                            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                            photos = contact.optJSONArray("photos");
                            if (photos == null) {
                            }
                            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                            return true;
                        }
                    }
                    str12 = str21;
                    str10 = str6;
                    str9 = str7;
                    str8 = str20;
                } else {
                    str12 = str21;
                    str10 = str6;
                    str9 = str7;
                    str8 = str20;
                }
            } catch (Exception e11) {
                str12 = str21;
                str10 = str6;
                str9 = str7;
                str8 = str20;
                Log.d("ContactsAccessor", "Could not get addresses");
                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
                organizations = contact.optJSONArray("organizations");
                if (organizations != null) {
                }
                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                photos = contact.optJSONArray("photos");
                if (photos == null) {
                }
                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                return true;
            }
        } catch (Exception e12) {
            obj = null;
            str12 = str21;
            ops2 = ops;
            str10 = str6;
            str11 = str2;
            str9 = str7;
            str8 = str20;
            Log.d("ContactsAccessor", "Could not get addresses");
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
            organizations = contact.optJSONArray("organizations");
            if (organizations != null) {
            }
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
            photos = contact.optJSONArray("photos");
            if (photos == null) {
            }
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
            return true;
        }
        try {
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), str19}).build());
            organizations = contact.optJSONArray("organizations");
            if (organizations != null) {
                int i2 = 0;
                while (i2 < organizations.length()) {
                    try {
                        JSONObject org2 = organizations.optJSONObject(i2);
                        if (org2 != null) {
                            ContentValues contentValues2 = new ContentValues();
                            contentValues2.put(str10, id);
                            str15 = str19;
                            contentValues2.put(str9, str15);
                            organizations2 = organizations;
                            try {
                                contentValues2.put("data2", Integer.valueOf(getOrgType(getJsonString(org2, str12))));
                                contentValues2.put("data5", getJsonString(org2, "department"));
                                str14 = str12;
                                String jsonString = getJsonString(org2, str2322);
                                str2322 = str2322;
                                str13 = str8;
                                try {
                                    contentValues2.put(str13, jsonString);
                                    String jsonString2 = getJsonString(org2, "title");
                                    str16 = str2222;
                                    contentValues2.put(str16, jsonString2);
                                    ops2.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValues(contentValues2).build());
                                } catch (Exception e13) {
                                }
                            } catch (Exception e14) {
                                str13 = str8;
                                Log.d("ContactsAccessor", "Could not get organizations");
                                ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                                photos = contact.optJSONArray("photos");
                                if (photos == null) {
                                }
                                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                                ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                                this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                                return true;
                            }
                        } else {
                            str14 = str12;
                            str15 = str19;
                            organizations2 = organizations;
                            str13 = str8;
                            str16 = str2222;
                        }
                        i2++;
                        str8 = str13;
                        str2222 = str16;
                        organizations = organizations2;
                        str12 = str14;
                        str19 = str15;
                    } catch (Exception e15) {
                        str13 = str8;
                        Log.d("ContactsAccessor", "Could not get organizations");
                        ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
                        photos = contact.optJSONArray("photos");
                        if (photos == null) {
                        }
                        ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
                        ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
                        ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
                        this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                        return true;
                    }
                }
                str13 = str8;
            } else {
                str13 = str8;
            }
        } catch (Exception e16) {
            str13 = str8;
            Log.d("ContactsAccessor", "Could not get organizations");
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
            photos = contact.optJSONArray("photos");
            if (photos == null) {
            }
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
            return true;
        }
        try {
            ops2.add(ContentProviderOperation.newDelete(ContactsContract.Data.CONTENT_URI).withSelection(str11, new String[]{String.valueOf(id), photos3}).build());
            photos = contact.optJSONArray("photos");
            if (photos == null) {
                int i3 = 0;
                while (i3 < photos.length()) {
                    try {
                        JSONObject photo = photos.optJSONObject(i3);
                        if (photo != null) {
                            byte[] bytes = getPhotoBytes(getJsonString(photo, "value"));
                            if (bytes != null) {
                                ?? contentValues3 = new ContentValues();
                                contentValues3.put(str10, id);
                                r13 = photos3;
                                contentValues3.put(str9, r13);
                                photos3 = photos;
                                try {
                                    contentValues3.put("is_super_primary", 1);
                                    contentValues3.put("data15", bytes);
                                    ops2.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValues(contentValues3).build());
                                } catch (Exception e17) {
                                    Log.d("ContactsAccessor", "Could not get photos");
                                    this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                                    return true;
                                }
                            } else {
                                r13 = photos3;
                                photos3 = photos;
                            }
                        } else {
                            r13 = photos3;
                            photos3 = photos;
                        }
                        i3++;
                        photos = photos3;
                        photos3 = r13;
                    } catch (Exception e18) {
                        Log.d("ContactsAccessor", "Could not get photos");
                        this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
                        return true;
                    }
                }
                photos2 = photos;
            } else {
                photos2 = photos;
            }
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/note"}).withValue(str13, getJsonString(contact, "note")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection(str3, new String[]{id, "vnd.android.cursor.item/nickname"}).withValue(str13, getJsonString(contact, "nickname")).build());
            ops2.add(ContentProviderOperation.newUpdate(ContactsContract.Data.CONTENT_URI).withSelection("raw_contact_id=? AND mimetype=? AND data2=?", new String[]{id, "vnd.android.cursor.item/contact_event", "3"}).withValue("data2", 3).withValue(str13, getJsonString(contact, "birthday")).build());
        } catch (Exception e19) {
            Log.d("ContactsAccessor", "Could not get photos");
            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
            return true;
        }
        try {
            this.mApp.getContentResolver().applyBatch("com.android.contacts", ops2);
            return true;
        } catch (RemoteException e20) {
            Log.e("ContactsAccessor", e20.getMessage(), e20);
            Log.e("ContactsAccessor", Log.getStackTraceString(e20), e20);
            return false;
        } catch (OperationApplicationException e21) {
            Log.e("ContactsAccessor", e21.getMessage(), e21);
            Log.e("ContactsAccessor", Log.getStackTraceString(e21), e21);
            return false;
        }
    }

    private void insertWebsite(ArrayList<ContentProviderOperation> ops, JSONObject website) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/website").withValue("data1", getJsonString(website, "value")).withValue("data2", Integer.valueOf(getContactType(getJsonString(website, "type")))).build());
    }

    private void insertIm(ArrayList<ContentProviderOperation> ops, JSONObject im) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/im").withValue("data1", getJsonString(im, "value")).withValue("data2", Integer.valueOf(getContactType(getJsonString(im, "type")))).build());
    }

    private void insertOrganization(ArrayList<ContentProviderOperation> ops, JSONObject org2) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/organization").withValue("data2", Integer.valueOf(getOrgType(getJsonString(org2, "type")))).withValue("data5", getJsonString(org2, "department")).withValue("data1", getJsonString(org2, "name")).withValue("data4", getJsonString(org2, "title")).build());
    }

    private void insertAddress(ArrayList<ContentProviderOperation> ops, JSONObject address) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/postal-address_v2").withValue("data2", Integer.valueOf(getAddressType(getJsonString(address, "type")))).withValue("data1", getJsonString(address, "formatted")).withValue("data4", getJsonString(address, "streetAddress")).withValue("data7", getJsonString(address, "locality")).withValue("data8", getJsonString(address, "region")).withValue("data9", getJsonString(address, "postalCode")).withValue("data10", getJsonString(address, "country")).build());
    }

    private void insertEmail(ArrayList<ContentProviderOperation> ops, JSONObject email) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/email_v2").withValue("data1", getJsonString(email, "value")).withValue("data2", Integer.valueOf(getPhoneType(getJsonString(email, "type")))).build());
    }

    private void insertPhone(ArrayList<ContentProviderOperation> ops, JSONObject phone) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/phone_v2").withValue("data1", getJsonString(phone, "value")).withValue("data2", Integer.valueOf(getPhoneType(getJsonString(phone, "type")))).build());
    }

    private void insertPhoto(ArrayList<ContentProviderOperation> ops, JSONObject photo) {
        ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("is_super_primary", 1).withValue("mimetype", "vnd.android.cursor.item/photo").withValue("data15", getPhotoBytes(getJsonString(photo, "value"))).build());
    }

    private byte[] getPhotoBytes(String filename) {
        int pos = filename.indexOf(";base64,");
        if (pos > 0) {
            String filename2 = filename.substring(";base64,".length() + pos);
            if (DeviceInfo.sDeviceSdkVer >= 8) {
                return Base64.decode(filename2, 2);
            }
            return io.dcloud.common.util.Base64.decode2bytes(filename2);
        }
        ByteArrayOutputStream buffer = new ByteArrayOutputStream();
        long totalBytesRead = 0;
        try {
            InputStream in = getPathFromUri(filename);
            if (in != null) {
                byte[] data = new byte[8192];
                while (true) {
                    int bytesRead = in.read(data, 0, data.length);
                    if (bytesRead == -1 || totalBytesRead > MAX_PHOTO_SIZE) {
                        in.close();
                        buffer.flush();
                    } else {
                        buffer.write(data, 0, bytesRead);
                        totalBytesRead += (long) bytesRead;
                    }
                }
                in.close();
                buffer.flush();
            }
        } catch (FileNotFoundException e) {
            Log.e("ContactsAccessor", e.getMessage(), e);
        } catch (IOException e2) {
            Log.e("ContactsAccessor", e2.getMessage(), e2);
        }
        return buffer.toByteArray();
    }

    private InputStream getPathFromUri(String path) throws IOException {
        if (path.startsWith("content:")) {
            return this.mApp.getContentResolver().openInputStream(Uri.parse(path));
        } else if (path.startsWith("http:") || path.startsWith("file:")) {
            return new URL(path).openStream();
        } else {
            return this.mView.obtainFrameView().obtainApp().obtainResInStream(this.mView.obtainFullUrl(), path);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:104:0x01e5  */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x0202  */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x0215  */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x0239  */
    /* JADX WARNING: Removed duplicated region for block: B:122:0x0243  */
    /* JADX WARNING: Removed duplicated region for block: B:125:0x0268  */
    /* JADX WARNING: Removed duplicated region for block: B:130:0x0295 A[Catch:{ RemoteException -> 0x02d4, OperationApplicationException -> 0x02cb, JSONException -> 0x02c2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:139:0x02be  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0128  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0145  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x015a  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x0177  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x018c  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x01a9  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x01bd A[Catch:{ JSONException -> 0x01d5 }] */
    private boolean createNewContact(JSONObject contact, Account account) {
        JSONArray addresses;
        JSONArray organizations;
        JSONArray ims;
        JSONArray websites;
        String birthday;
        String note;
        String nickname;
        ContentProviderResult[] cpResults;
        ContentProviderResult[] cpResults2;
        JSONArray photos;
        ArrayList<ContentProviderOperation> ops = new ArrayList<>();
        ArrayList<JSONObject> jsonObjs = new ArrayList<>();
        if (account != null) {
            ops.add(ContentProviderOperation.newInsert(ContactsContract.RawContacts.CONTENT_URI).withValue("account_type", account.type).withValue("account_name", account.name).build());
        } else {
            ops.add(ContentProviderOperation.newInsert(ContactsContract.RawContacts.CONTENT_URI).withValue("aggregation_mode", 3).build());
        }
        jsonObjs.add(contact);
        JSONObject name = contact.optJSONObject("name");
        String displayName = getJsonString(contact, "displayName");
        if (displayName != null || name != null) {
            ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/name").withValue("data1", displayName).withValue("data3", getJsonString(name, "familyName")).withValue("data5", getJsonString(name, "middleName")).withValue("data2", getJsonString(name, "givenName")).withValue("data4", getJsonString(name, "honorificPrefix")).withValue("data6", getJsonString(name, "honorificSuffix")).build());
            jsonObjs.add(name);
        }
        JSONArray phones = null;
        try {
            phones = contact.getJSONArray("phoneNumbers");
            if (phones != null) {
                for (int i = 0; i < phones.length(); i++) {
                    insertPhone(ops, (JSONObject) phones.get(i));
                }
            }
        } catch (JSONException e) {
            Log.d("ContactsAccessor", "Could not get phone numbers");
        }
        JSONArray emails = null;
        try {
            emails = contact.getJSONArray("emails");
            if (emails != null) {
                int i2 = 0;
                while (i2 < emails.length()) {
                    try {
                        JSONObject email = (JSONObject) emails.get(i2);
                        insertEmail(ops, email);
                        jsonObjs.add(email);
                        i2++;
                        phones = phones;
                    } catch (JSONException e2) {
                        Log.d("ContactsAccessor", "Could not get emails");
                        addresses = null;
                        addresses = contact.getJSONArray("addresses");
                        if (addresses != null) {
                        }
                        organizations = null;
                        organizations = contact.getJSONArray("organizations");
                        if (organizations != null) {
                        }
                        ims = null;
                        ims = contact.getJSONArray("ims");
                        if (ims != null) {
                        }
                        websites = null;
                        websites = contact.getJSONArray("websites");
                        if (websites != null) {
                        }
                        photos = contact.getJSONArray("photos");
                        if (photos != null) {
                        }
                        birthday = getJsonString(contact, "birthday");
                        if (birthday != null) {
                        }
                        note = getJsonString(contact, "note");
                        if (note != null) {
                        }
                        nickname = getJsonString(contact, "nickname");
                        if (nickname != null) {
                        }
                        cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
                        if (cpResults.length >= 0) {
                        }
                        return true;
                    }
                }
            }
        } catch (JSONException e3) {
            Log.d("ContactsAccessor", "Could not get emails");
            addresses = null;
            addresses = contact.getJSONArray("addresses");
            if (addresses != null) {
            }
            organizations = null;
            organizations = contact.getJSONArray("organizations");
            if (organizations != null) {
            }
            ims = null;
            ims = contact.getJSONArray("ims");
            if (ims != null) {
            }
            websites = null;
            websites = contact.getJSONArray("websites");
            if (websites != null) {
            }
            photos = contact.getJSONArray("photos");
            if (photos != null) {
            }
            birthday = getJsonString(contact, "birthday");
            if (birthday != null) {
            }
            note = getJsonString(contact, "note");
            if (note != null) {
            }
            nickname = getJsonString(contact, "nickname");
            if (nickname != null) {
            }
            cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
            if (cpResults.length >= 0) {
            }
            return true;
        }
        addresses = null;
        try {
            addresses = contact.getJSONArray("addresses");
            if (addresses != null) {
                int i3 = 0;
                while (i3 < addresses.length()) {
                    try {
                        JSONObject address = (JSONObject) addresses.get(i3);
                        insertAddress(ops, address);
                        jsonObjs.add(address);
                        i3++;
                        emails = emails;
                    } catch (JSONException e4) {
                        Log.d("ContactsAccessor", "Could not get addresses");
                        organizations = null;
                        organizations = contact.getJSONArray("organizations");
                        if (organizations != null) {
                        }
                        ims = null;
                        ims = contact.getJSONArray("ims");
                        if (ims != null) {
                        }
                        websites = null;
                        websites = contact.getJSONArray("websites");
                        if (websites != null) {
                        }
                        photos = contact.getJSONArray("photos");
                        if (photos != null) {
                        }
                        birthday = getJsonString(contact, "birthday");
                        if (birthday != null) {
                        }
                        note = getJsonString(contact, "note");
                        if (note != null) {
                        }
                        nickname = getJsonString(contact, "nickname");
                        if (nickname != null) {
                        }
                        cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
                        if (cpResults.length >= 0) {
                        }
                        return true;
                    }
                }
            }
        } catch (JSONException e5) {
            Log.d("ContactsAccessor", "Could not get addresses");
            organizations = null;
            organizations = contact.getJSONArray("organizations");
            if (organizations != null) {
            }
            ims = null;
            ims = contact.getJSONArray("ims");
            if (ims != null) {
            }
            websites = null;
            websites = contact.getJSONArray("websites");
            if (websites != null) {
            }
            photos = contact.getJSONArray("photos");
            if (photos != null) {
            }
            birthday = getJsonString(contact, "birthday");
            if (birthday != null) {
            }
            note = getJsonString(contact, "note");
            if (note != null) {
            }
            nickname = getJsonString(contact, "nickname");
            if (nickname != null) {
            }
            cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
            if (cpResults.length >= 0) {
            }
            return true;
        }
        organizations = null;
        try {
            organizations = contact.getJSONArray("organizations");
            if (organizations != null) {
                int i4 = 0;
                while (i4 < organizations.length()) {
                    try {
                        JSONObject org2 = (JSONObject) organizations.get(i4);
                        insertOrganization(ops, org2);
                        jsonObjs.add(org2);
                        i4++;
                        addresses = addresses;
                    } catch (JSONException e6) {
                        Log.d("ContactsAccessor", "Could not get organizations");
                        ims = null;
                        ims = contact.getJSONArray("ims");
                        if (ims != null) {
                        }
                        websites = null;
                        websites = contact.getJSONArray("websites");
                        if (websites != null) {
                        }
                        photos = contact.getJSONArray("photos");
                        if (photos != null) {
                        }
                        birthday = getJsonString(contact, "birthday");
                        if (birthday != null) {
                        }
                        note = getJsonString(contact, "note");
                        if (note != null) {
                        }
                        nickname = getJsonString(contact, "nickname");
                        if (nickname != null) {
                        }
                        cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
                        if (cpResults.length >= 0) {
                        }
                        return true;
                    }
                }
            }
        } catch (JSONException e7) {
            Log.d("ContactsAccessor", "Could not get organizations");
            ims = null;
            ims = contact.getJSONArray("ims");
            if (ims != null) {
            }
            websites = null;
            websites = contact.getJSONArray("websites");
            if (websites != null) {
            }
            photos = contact.getJSONArray("photos");
            if (photos != null) {
            }
            birthday = getJsonString(contact, "birthday");
            if (birthday != null) {
            }
            note = getJsonString(contact, "note");
            if (note != null) {
            }
            nickname = getJsonString(contact, "nickname");
            if (nickname != null) {
            }
            cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
            if (cpResults.length >= 0) {
            }
            return true;
        }
        ims = null;
        try {
            ims = contact.getJSONArray("ims");
            if (ims != null) {
                int i5 = 0;
                while (i5 < ims.length()) {
                    try {
                        JSONObject im = (JSONObject) ims.get(i5);
                        insertIm(ops, im);
                        jsonObjs.add(im);
                        i5++;
                        organizations = organizations;
                    } catch (JSONException e8) {
                        Log.d("ContactsAccessor", "Could not get emails");
                        websites = null;
                        websites = contact.getJSONArray("websites");
                        if (websites != null) {
                        }
                        photos = contact.getJSONArray("photos");
                        if (photos != null) {
                        }
                        birthday = getJsonString(contact, "birthday");
                        if (birthday != null) {
                        }
                        note = getJsonString(contact, "note");
                        if (note != null) {
                        }
                        nickname = getJsonString(contact, "nickname");
                        if (nickname != null) {
                        }
                        cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
                        if (cpResults.length >= 0) {
                        }
                        return true;
                    }
                }
            }
        } catch (JSONException e9) {
            Log.d("ContactsAccessor", "Could not get emails");
            websites = null;
            websites = contact.getJSONArray("websites");
            if (websites != null) {
            }
            photos = contact.getJSONArray("photos");
            if (photos != null) {
            }
            birthday = getJsonString(contact, "birthday");
            if (birthday != null) {
            }
            note = getJsonString(contact, "note");
            if (note != null) {
            }
            nickname = getJsonString(contact, "nickname");
            if (nickname != null) {
            }
            cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
            if (cpResults.length >= 0) {
            }
            return true;
        }
        websites = null;
        try {
            websites = contact.getJSONArray("websites");
            if (websites != null) {
                for (int i6 = 0; i6 < websites.length(); i6++) {
                    JSONObject website = (JSONObject) websites.get(i6);
                    insertWebsite(ops, website);
                    jsonObjs.add(website);
                }
            }
        } catch (JSONException e10) {
            Log.d("ContactsAccessor", "Could not get websites");
        }
        try {
            photos = contact.getJSONArray("photos");
            if (photos != null) {
                int i7 = 0;
                while (i7 < photos.length()) {
                    try {
                        JSONObject photo = (JSONObject) photos.get(i7);
                        insertPhoto(ops, photo);
                        jsonObjs.add(photo);
                        i7++;
                        ims = ims;
                    } catch (JSONException e11) {
                        Log.d("ContactsAccessor", "Could not get photos");
                        birthday = getJsonString(contact, "birthday");
                        if (birthday != null) {
                        }
                        note = getJsonString(contact, "note");
                        if (note != null) {
                        }
                        nickname = getJsonString(contact, "nickname");
                        if (nickname != null) {
                        }
                        cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
                        if (cpResults.length >= 0) {
                        }
                        return true;
                    }
                }
            }
        } catch (JSONException e12) {
            Log.d("ContactsAccessor", "Could not get photos");
            birthday = getJsonString(contact, "birthday");
            if (birthday != null) {
            }
            note = getJsonString(contact, "note");
            if (note != null) {
            }
            nickname = getJsonString(contact, "nickname");
            if (nickname != null) {
            }
            cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
            if (cpResults.length >= 0) {
            }
            return true;
        }
        birthday = getJsonString(contact, "birthday");
        if (birthday != null) {
            ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/contact_event").withValue("data2", 3).withValue("data1", birthday).build());
        }
        note = getJsonString(contact, "note");
        if (note != null) {
            ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/note").withValue("data1", note).build());
        }
        nickname = getJsonString(contact, "nickname");
        if (nickname != null) {
            ops.add(ContentProviderOperation.newInsert(ContactsContract.Data.CONTENT_URI).withValueBackReference("raw_contact_id", 0).withValue("mimetype", "vnd.android.cursor.item/nickname").withValue("data1", nickname).build());
        }
        try {
            cpResults = this.mApp.getContentResolver().applyBatch("com.android.contacts", ops);
            if (cpResults.length >= 0) {
                int i8 = 0;
                while (i8 < jsonObjs.size()) {
                    String newId = cpResults[i8].uri.getLastPathSegment();
                    JSONObject jsonObj = jsonObjs.get(i8);
                    if (jsonObj != null) {
                        cpResults2 = cpResults;
                        jsonObj.put("id", newId);
                    } else {
                        cpResults2 = cpResults;
                    }
                    i8++;
                    cpResults = cpResults2;
                }
            }
            return true;
        } catch (RemoteException e13) {
            Log.e("ContactsAccessor", e13.getMessage(), e13);
            return false;
        } catch (OperationApplicationException e14) {
            Log.e("ContactsAccessor", e14.getMessage(), e14);
            return false;
        } catch (JSONException e15) {
            Logger.e(e15.getMessage());
            return false;
        }
    }

    @Override // io.dcloud.feature.contacts.ContactAccessor
    public boolean remove(String id) {
        ArrayList<ContentProviderOperation> ops = new ArrayList<>();
        ops.add(ContentProviderOperation.newDelete(ContentUris.withAppendedId(ContactsContract.RawContacts.CONTENT_URI, Long.parseLong(id))).build());
        try {
            return this.mApp.getContentResolver().applyBatch("com.android.contacts", ops).length > 0;
        } catch (Exception e) {
            return false;
        }
    }

    private int getPhoneType(String string) {
        if ("home".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 1;
        }
        if ("mobile".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 2;
        }
        if ("work".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 3;
        }
        if ("work fax".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 4;
        }
        if ("home fax".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 5;
        }
        if ("fax".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 4;
        }
        if ("pager".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 6;
        }
        if ("other".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 7;
        }
        if ("car".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 9;
        }
        if ("company main".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 10;
        }
        if ("isdn".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 11;
        }
        if ("main".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 12;
        }
        if ("other fax".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 13;
        }
        if ("radio".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 14;
        }
        if ("telex".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 15;
        }
        if ("work mobile".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 17;
        }
        if ("work pager".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 18;
        }
        if ("assistant".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 19;
        }
        if ("mms".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 20;
        }
        if (WXBridgeManager.METHOD_CALLBACK.equals(string.toLowerCase(Locale.ENGLISH))) {
            return 8;
        }
        if ("tty ttd".equals(string.toLowerCase(Locale.ENGLISH))) {
            return 16;
        }
        if (AMap.CUSTOM.equals(string.toLowerCase(Locale.ENGLISH))) {
            return 0;
        }
        return 7;
    }

    private String getPhoneType(int type) {
        switch (type) {
            case 0:
                return AMap.CUSTOM;
            case 1:
                return "home";
            case 2:
                return "mobile";
            case 3:
                return "work";
            case 4:
                return "work fax";
            case 5:
                return "home fax";
            case 6:
                return "pager";
            case 7:
            case 12:
            default:
                return "other";
            case 8:
                return WXBridgeManager.METHOD_CALLBACK;
            case 9:
                return "car";
            case 10:
                return "company main";
            case 11:
                return "isdn";
            case 13:
                return "other fax";
            case 14:
                return "radio";
            case 15:
                return "telex";
            case 16:
                return "tty tdd";
            case 17:
                return "work mobile";
            case 18:
                return "work pager";
            case 19:
                return "assistant";
            case 20:
                return "mms";
        }
    }

    private int getContactType(String string) {
        if (string != null) {
            if ("home".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 1;
            }
            if ("work".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 2;
            }
            if ("other".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 3;
            }
            if ("mobile".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 4;
            }
            if (AMap.CUSTOM.equals(string.toLowerCase(Locale.ENGLISH))) {
                return 0;
            }
        }
        return 3;
    }

    private String getContactType(int type) {
        if (type == 0) {
            return AMap.CUSTOM;
        }
        if (type == 1) {
            return "home";
        }
        if (type == 2) {
            return "work";
        }
        if (type != 4) {
            return "other";
        }
        return "mobile";
    }

    private int getOrgType(String string) {
        if (string != null) {
            if ("work".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 1;
            }
            if (!"other".equals(string.toLowerCase(Locale.ENGLISH)) && AMap.CUSTOM.equals(string.toLowerCase(Locale.ENGLISH))) {
                return 0;
            }
        }
        return 2;
    }

    private String getOrgType(int type) {
        if (type == 0) {
            return AMap.CUSTOM;
        }
        if (type != 1) {
            return "other";
        }
        return "work";
    }

    private int getAddressType(String string) {
        if (string != null) {
            if ("work".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 2;
            }
            if (!"other".equals(string.toLowerCase(Locale.ENGLISH)) && "home".equals(string.toLowerCase(Locale.ENGLISH))) {
                return 1;
            }
        }
        return 3;
    }

    private String getAddressType(int type) {
        if (type == 1) {
            return "home";
        }
        if (type != 2) {
            return "other";
        }
        return "work";
    }
}
