package io.dcloud.feature.contacts;

import android.content.Context;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.PdrUtil;

public class ContactsFeatureImpl implements IFeature {
    private JsContactsMgr mContactsMgr;

    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(final IWebview pWebViewImpl, final String pActionName, final String[] pJsArgs) {
        Context context = pWebViewImpl.getContext();
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "Contacts-" + pActionName);
        new Thread() {
            /* class io.dcloud.feature.contacts.ContactsFeatureImpl.AnonymousClass1 */

            public void run() {
                ContactsFeatureImpl.this.mContactsMgr.execute(pWebViewImpl, pActionName, pJsArgs);
            }
        }.start();
        return null;
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        this.mContactsMgr = new JsContactsMgr(pFeatureMgr.getContext());
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String pAppid) {
        this.mContactsMgr.dispose(pAppid);
        if (PdrUtil.isEmpty(pAppid)) {
            this.mContactsMgr = null;
        }
    }
}
