package io.dcloud.feature.payment.weixin;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.modelbiz.WXLaunchMiniProgram;
import com.tencent.mm.opensdk.modelmsg.ShowMessageFromWX;
import com.tencent.mm.opensdk.modelmsg.WXAppExtendObject;
import com.tencent.mm.opensdk.modelpay.PayReq;
import com.tencent.mm.opensdk.modelpay.PayResp;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;
import io.dcloud.ProcessMediator;
import io.dcloud.common.DHInterface.FeatureMessageDispatcher;
import io.dcloud.common.DHInterface.IReflectAble;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.IntentConst;

public abstract class AbsWXPayCallbackActivity extends Activity implements IWXAPIEventHandler, IReflectAble {
    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        try {
            WXAPIFactory.createWXAPI(this, AndroidResources.getMetaValue("WX_APPID"), false).handleIntent(getIntent(), this);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onReq(BaseReq req) {
        FeatureMessageDispatcher.dispatchMessage(req);
        if (ProcessMediator.isMultiProcess) {
            Intent n = new Intent();
            String action = ProcessMediator.RESULT_ACTION;
            if (req instanceof PayReq) {
                action = action + ((PayReq) req).prepayId;
            }
            n.setAction(action);
            Bundle bundle = new Bundle();
            bundle.putString("style", "BaseReq");
            req.toBundle(bundle);
            n.putExtra("result", bundle);
            LocalBroadcastManager.getInstance(this).sendBroadcast(n);
        } else if (req.getType() == 4) {
            goToMsg(req);
        }
        finish();
    }

    private void goToMsg(BaseReq req) {
        Intent intent = getPackageManager().getLaunchIntentForPackage(getPackageName());
        intent.putExtra(AbsoluteConst.KEY_WX_SHOW_MESSAGE, ((WXAppExtendObject) ((ShowMessageFromWX.Req) req).message.mediaObject).extInfo);
        intent.putExtra(IntentConst.STREAM_LAUNCHER, "miniProgram");
        intent.addFlags(524288);
        startActivity(intent);
    }

    private void goToMsg(BaseResp resp) {
        String extraData = ((WXLaunchMiniProgram.Resp) resp).extMsg;
        if (!TextUtils.isEmpty(extraData)) {
            Intent intent = getPackageManager().getLaunchIntentForPackage(getPackageName());
            intent.putExtra(AbsoluteConst.KEY_WX_SHOW_MESSAGE, extraData);
            intent.putExtra(IntentConst.STREAM_LAUNCHER, "miniProgram");
            intent.addFlags(524288);
            startActivity(intent);
        }
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onResp(BaseResp resp) {
        FeatureMessageDispatcher.dispatchMessage(resp);
        if (ProcessMediator.isMultiProcess) {
            Intent n = new Intent();
            String action = ProcessMediator.RESULT_ACTION;
            if (resp instanceof PayResp) {
                action = action + ((PayResp) resp).prepayId;
            }
            n.setAction(action);
            Bundle bundle = new Bundle();
            bundle.putString("style", "BaseResp");
            resp.toBundle(bundle);
            n.putExtra("result", bundle);
            LocalBroadcastManager.getInstance(this).sendBroadcast(n);
        } else if (resp.getType() == 19) {
            goToMsg(resp);
        }
        overridePendingTransition(0, 0);
        finish();
    }
}
