package io.dcloud.feature.speech;

import android.content.DialogInterface;
import android.os.Handler;
import android.os.Message;
import com.baidu.speech.asr.SpeechConstant;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.feature.R;
import io.dcloud.feature.speech.dialog.BaiduSpeechDialog;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import org.json.JSONException;
import org.json.JSONObject;

public class BaiduSpeechEngine extends AbsSpeechEngine {
    private BaiduSpeechDialog dialog;
    private boolean isContinue = false;
    private Handler mHandler = new Handler() {
        /* class io.dcloud.feature.speech.BaiduSpeechEngine.AnonymousClass3 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            int i = msg.what;
            if (i == 4) {
                BaiduSpeechEngine.this.dialog.setVoiceText(DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_speech_baidu_msg_listening_now));
            } else if (i != 100) {
                switch (i) {
                    case 11:
                        BaiduSpeechEngine.this.dialog.setVoiceText((String) msg.obj);
                        BaiduSpeechEngine.this.mListener.onStateChange((byte) 10, msg.obj, true);
                        return;
                    case 12:
                        try {
                            JSONObject object = new JSONObject((String) msg.obj);
                            ISpeechListener iSpeechListener = BaiduSpeechEngine.this.mListener;
                            iSpeechListener.onStateChange((byte) 7, new String[]{object.opt("subErrorCode") + "", (String) object.opt("descMessage")}, false);
                        } catch (JSONException e) {
                        }
                        BaiduSpeechEngine.this.dialog.dismiss();
                        return;
                    case 13:
                        if (msg.obj != null && (msg.obj instanceof String[])) {
                            String[] obj = (String[]) msg.obj;
                            BaiduSpeechEngine.this.dialog.setVoiceText(obj[0]);
                            if (obj.length > BaiduSpeechEngine.this.nBest) {
                                obj = (String[]) Arrays.copyOfRange(obj, 0, BaiduSpeechEngine.this.nBest);
                            }
                            BaiduSpeechEngine.this.mListener.onStateChange((byte) 8, obj, BaiduSpeechEngine.this.isContinue);
                            if (!BaiduSpeechEngine.this.isContinue) {
                                BaiduSpeechEngine.this.mHandler.postDelayed(new Runnable() {
                                    /* class io.dcloud.feature.speech.BaiduSpeechEngine.AnonymousClass3.AnonymousClass1 */

                                    public void run() {
                                        BaiduSpeechEngine.this.dialog.dismiss();
                                    }
                                }, 500);
                                return;
                            }
                            return;
                        }
                        return;
                    default:
                        return;
                }
            } else {
                BaiduSpeechEngine.this.mListener.onStateChange((byte) 11, Integer.valueOf(BaiduSpeechEngine.this.dialog.setVolume(((Integer) msg.obj).intValue())), true);
            }
        }
    };
    private int nBest = 1;

    @Override // io.dcloud.feature.speech.AbsSpeechEngine
    public void startRecognize(JSONObject mOption) {
        BaiduSpeechDialog baiduSpeechDialog = new BaiduSpeechDialog(this.mContext);
        this.dialog = baiduSpeechDialog;
        baiduSpeechDialog.setOnDismissListener(new DialogInterface.OnDismissListener() {
            /* class io.dcloud.feature.speech.BaiduSpeechEngine.AnonymousClass1 */

            public void onDismiss(DialogInterface dialog) {
                BaiduSpeechEngine.this.dialog.stopRecog();
                BaiduSpeechEngine.this.mListener.onStateChange((byte) 2, null, false);
            }
        });
        this.dialog.setOnCancelListener(new DialogInterface.OnCancelListener() {
            /* class io.dcloud.feature.speech.BaiduSpeechEngine.AnonymousClass2 */

            public void onCancel(DialogInterface dialog) {
                if (!BaiduSpeechEngine.this.isContinue) {
                    BaiduSpeechEngine.this.mListener.onStateChange((byte) 7, new String[]{"-10", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_speech_baidu_exception_distinguish)}, false);
                }
            }
        });
        String lang = mOption.optString(AbsoluteConst.JSON_KEY_LANG, "zh-cn");
        boolean punctuation = mOption.optBoolean(AbsoluteConst.JSON_KEY_PUNCTUATION, true);
        this.isContinue = mOption.optBoolean(AbsoluteConst.JSON_KEY_CONTINUE, false);
        boolean userInterface = mOption.optBoolean(AbsoluteConst.JSON_KEY_USERINTERFACE, true);
        int optInt = mOption.optInt(AbsoluteConst.JSON_KEY_NBEST, 1);
        this.nBest = optInt;
        if (optInt <= 0) {
            this.nBest = 1;
        }
        Map<String, Object> map = new HashMap<>();
        char c = 65535;
        int hashCode = lang.hashCode();
        if (hashCode != 96599618) {
            if (hashCode != 115814250) {
                if (hashCode == 1383241525 && lang.equals("zh-cantonese")) {
                    c = 2;
                }
            } else if (lang.equals("zh-cn")) {
                c = 0;
            }
        } else if (lang.equals("en-us")) {
            c = 1;
        }
        if (c != 0) {
            if (c == 1) {
                map.put("pid", 1737);
            } else if (c == 2) {
                map.put("pid", 16372);
            }
        } else if (punctuation) {
            map.put("pid", 15372);
        } else {
            map.put("pid", 1537);
        }
        map.put(SpeechConstant.DISABLE_PUNCTUATION, Boolean.valueOf(!punctuation));
        if (this.isContinue) {
            map.put(SpeechConstant.VAD_ENDPOINT_TIMEOUT, 0);
        } else {
            map.put(SpeechConstant.VAD_ENDPOINT_TIMEOUT, 800);
        }
        map.put(AbsoluteConst.JSON_KEY_USERINTERFACE, Boolean.valueOf(userInterface));
        this.dialog.startRecog(map, this.mHandler);
        this.mListener.onStateChange((byte) 1, null, false);
    }

    @Override // io.dcloud.feature.speech.AbsSpeechEngine
    public void stopRecognize(boolean isExeOnEnd) {
        if (this.dialog.stopRecog()) {
            this.mListener.onStateChange((byte) 2, null, false);
        }
    }
}
