package io.dcloud.feature.speech;

import android.content.Context;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.StringUtil;
import java.util.HashMap;

public class SpeechFeatureImpl implements IFeature {
    AbsSpeechEngine mSpeechEngine = null;
    HashMap<String, String> mSpeechMap = null;
    private SpeechManager manager;

    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(final IWebview pWebViewImpl, final String pActionName, final String[] pJsArgs) {
        Context context = pWebViewImpl.getContext();
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "Speech-" + pActionName);
        PermissionUtil.usePermission(pWebViewImpl.getActivity(), PermissionUtil.PMS_RECORD, new PermissionUtil.StreamPermissionRequest(pWebViewImpl.obtainApp()) {
            /* class io.dcloud.feature.speech.SpeechFeatureImpl.AnonymousClass1 */

            @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
            public void onGranted(String streamPerName) {
                SpeechFeatureImpl.this.manager.execute(pWebViewImpl, pActionName, pJsArgs, SpeechFeatureImpl.this.mSpeechMap);
            }

            @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
            public void onDenied(String streamPerName) {
                if ("startRecognize".equals(pActionName)) {
                    Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], StringUtil.format(DOMException.JSON_ERROR_INFO, 3, DOMException.MSG_NO_PERMISSION), JSUtil.ERROR, true, false);
                }
            }
        });
        return null;
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        this.mSpeechMap = (HashMap) pFeatureMgr.processEvent(IMgr.MgrType.FeatureMgr, 4, pFeatureName);
        this.manager = SpeechManager.getInstance();
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String pAppid) {
        this.manager.stopRecognize(false);
    }
}
