package io.dcloud.feature.statistics.umeng;

import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import com.taobao.weex.el.parse.Operators;
import com.umeng.analytics.MobclickAgent;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.umcrash.UMCrash;
import com.umeng.umcrash.UMCrashCallback;
import io.dcloud.common.DHInterface.IBoot;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;

public class StatisticsBootImpl implements IBoot {
    private boolean isPreInit = false;
    private Context mContext;

    @Override // io.dcloud.common.DHInterface.ISysEventListener
    public boolean onExecute(ISysEventListener.SysEventType pEventType, Object pArgs) {
        return false;
    }

    @Override // io.dcloud.common.DHInterface.IBoot
    public void onStart(Context pContext, Bundle pSavedInstanceState, String[] pRuntimeArgs) {
        this.mContext = pContext;
        boolean isPrivacy = AppRuntime.hasPrivacyForNotShown(pContext);
        String umkey = AndroidResources.getMetaValue("UMENG_APPKEY");
        String channel = AndroidResources.getMetaValue("UMENG_CHANNEL");
        if (TextUtils.isEmpty(umkey)) {
            umkey = "55b1b625e0f55a138300449d";
        }
        if (TextUtils.isEmpty(channel)) {
            channel = this.mContext.getPackageName().replace(Operators.DOT_STR, "_");
        }
        if (!isPrivacy) {
            UMConfigure.init(this.mContext, umkey, channel, 1, "");
            UMCrash.registerUMCrashCallback(new UMCrashCallback() {
                /* class io.dcloud.feature.statistics.umeng.StatisticsBootImpl.AnonymousClass1 */

                @Override // com.umeng.umcrash.UMCrashCallback
                public String onCallback() {
                    return BaseInfo.sCurrentAppOriginalAppid;
                }
            });
            onResume();
            this.isPreInit = false;
            return;
        }
        UMConfigure.preInit(this.mContext, umkey, channel);
        this.isPreInit = true;
    }

    @Override // io.dcloud.common.DHInterface.IBoot
    public void onStop() {
    }

    @Override // io.dcloud.common.DHInterface.IBoot
    public void onPause() {
        MobclickAgent.onPause(this.mContext);
    }

    @Override // io.dcloud.common.DHInterface.IBoot
    public void onResume() {
        MobclickAgent.onResume(this.mContext);
    }

    @Override // io.dcloud.common.DHInterface.IBoot
    public void onRestart(Context context) {
        if (this.isPreInit) {
            onStart(context, null, null);
        }
    }
}
