package io.dcloud.feature.statistics.umeng;

import android.content.Context;
import com.umeng.analytics.MobclickAgent;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.feature.R;
import io.dcloud.feature.statistics.AbsStatisticsModule;
import java.util.HashMap;
import java.util.Iterator;
import org.json.JSONArray;
import org.json.JSONObject;

public class UmengStatistics extends AbsStatisticsModule {
    private Context mContext;

    @Override // io.dcloud.common.DHInterface.BaseFeature.BaseModule
    public void init(Context context) {
        super.init(context);
        this.mContext = context;
        this.id = "statistic-umeng";
        this.description = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_statistics_umeng_name);
    }

    @Override // io.dcloud.feature.statistics.AbsStatisticsModule
    public void eventTrig(IWebview webview, JSONArray args) throws Exception {
        String key = args.optString(0);
        if (args.opt(1) == null) {
            MobclickAgent.onEvent(this.mContext, key);
            return;
        }
        HashMap<String, String> values = null;
        String value = null;
        JSONObject jsonObject = args.optJSONObject(1);
        if (jsonObject != null) {
            values = new HashMap<>();
            Iterator ir = jsonObject.keys();
            while (ir.hasNext()) {
                String k = ir.next();
                values.put(k, jsonObject.optString(k));
            }
        } else {
            value = args.optString(1);
        }
        if (values != null) {
            MobclickAgent.onEvent(this.mContext, key, values);
        } else {
            MobclickAgent.onEvent(this.mContext, key, value);
        }
    }

    @Override // io.dcloud.feature.statistics.AbsStatisticsModule
    public void eventDuration(IWebview webview, JSONArray args) throws Exception {
        String key = args.optString(0);
        int duration = args.optInt(1);
        HashMap<String, String> values = null;
        JSONObject jsonObject = args.optJSONObject(2);
        if (jsonObject != null) {
            values = new HashMap<>();
            Iterator ir = jsonObject.keys();
            while (ir.hasNext()) {
                String k = ir.next();
                values.put(k, jsonObject.optString(k));
            }
        }
        if (values == null && !PdrUtil.isEmpty(args.optString(2))) {
            values = new HashMap<>(1);
            values.put(args.optString(2), "");
        }
        MobclickAgent.onEventValue(this.mContext, key, values, duration);
    }
}
