package io.dcloud.feature.uniapp.ui.shadow;

import java.util.List;

public class UniBoxShadowData {
    int contentHeight;
    int contentWidth;
    List<UniBoxShadowOptions> insetShadows = null;
    String mStyle;
    int normalLeft;
    int normalMaxHeight;
    int normalMaxWidth;
    List<UniBoxShadowOptions> normalShadows = null;
    int normalTop;
    float quality;
    float[] radii;

    public UniBoxShadowData(List<UniBoxShadowOptions> normalShadows2, List<UniBoxShadowOptions> insetShadows2, float[] radii2, float quality2) {
        this.normalShadows = normalShadows2;
        this.insetShadows = insetShadows2;
        this.quality = quality2;
        this.radii = radii2;
    }

    public void setNormalMaxWidth(int width) {
        this.normalMaxWidth = width;
    }

    public void setNormalMaxHeight(int height) {
        this.normalMaxHeight = height;
    }

    public int getNormalMaxWidth() {
        return this.normalMaxWidth;
    }

    public int getNormalMaxHeight() {
        return this.normalMaxHeight;
    }

    public int getNormalLeft() {
        return this.normalLeft;
    }

    public void setNormalLeft(int normalLeft2) {
        this.normalLeft = normalLeft2;
    }

    public int getNormalTop() {
        return this.normalTop;
    }

    public void setNormalTop(int normalTop2) {
        this.normalTop = normalTop2;
    }

    public int getCanvasWidth() {
        return (int) (((float) getNormalMaxWidth()) * this.quality);
    }

    public int getCanvasHeight() {
        return (int) (((float) getNormalMaxHeight()) * this.quality);
    }

    public List<UniBoxShadowOptions> getNormalShadows() {
        return this.normalShadows;
    }

    public List<UniBoxShadowOptions> getInsetShadows() {
        return this.insetShadows;
    }

    public float getQuality() {
        return this.quality;
    }

    public int getContentWidth() {
        return this.contentWidth;
    }

    public void setContentWidth(int contentWidth2) {
        this.contentWidth = contentWidth2;
    }

    public int getContentHeight() {
        return this.contentHeight;
    }

    public void setContentHeight(int contentHeight2) {
        this.contentHeight = contentHeight2;
    }

    public float[] getRadii() {
        return this.radii;
    }

    public String getStyle() {
        return this.mStyle;
    }

    public void setStyle(String style) {
        this.mStyle = style;
    }

    public boolean equalsUniBoxShadowData(String style, int contentWidth2, int contentHeight2, float[] radii2) {
        if (getStyle().equals(style) && getContentWidth() == contentWidth2 && getContentHeight() == contentHeight2 && getRadii()[0] == radii2[0] && getRadii()[2] == radii2[2] && getRadii()[4] == radii2[4] && getRadii()[6] == radii2[6]) {
            return true;
        }
        return false;
    }
}
