package io.dcloud.feature.weex;

import android.app.Application;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.ViewGroup;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.bridge.WXModuleManager;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IWaiter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.DHInterface.ReceiveSystemEventVoucher;
import io.dcloud.common.DHInterface.StandardFeature;
import io.dcloud.common.adapter.ui.AdaUniWebView;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import java.util.HashMap;
import java.util.Map;
import org.json.JSONException;

public class WeexFeature extends StandardFeature implements IWaiter, ReceiveSystemEventVoucher {
    boolean isRegisterAllEvent = false;
    IApp mApp;

    @Override // io.dcloud.common.DHInterface.IFeature, io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.StandardFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        super.init(pFeatureMgr, pFeatureName);
        WeexInstanceMgr.self().init(pFeatureMgr);
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onStart(Context pContext, Bundle pSavedInstanceState, String[] pRuntimeArgs) {
        super.onStart(pContext, pSavedInstanceState, pRuntimeArgs);
        if (pContext instanceof Application) {
            WeexInstanceMgr.self().initWeexEnv((Application) pContext);
        }
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onResume() {
        super.onResume();
        WeexInstanceMgr.self().onActivityResume();
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onPause() {
        super.onPause();
        WeexInstanceMgr.self().onActivityPause();
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.common.DHInterface.BaseFeature
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        WeexInstanceMgr.self().onRequestPermissionsResult(requestCode, permissions, grantResults);
    }

    public void onDestroy() {
        IApp iApp = this.mApp;
        if (iApp == null || iApp.getQuitModel() != 2) {
            WeexInstanceMgr.self().onActivityDestroy();
        } else {
            WeexInstanceMgr.self().onActivityDestroy(false);
        }
        WeexInstanceMgr.self().setUniServiceCreated(false, null);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.common.DHInterface.BaseFeature
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        WeexInstanceMgr.self().onActivityResult(requestCode, resultCode, data);
    }

    public void registerAllEvent(IApp app) {
        this.mApp = app;
        if (!this.isRegisterAllEvent) {
            this.isRegisterAllEvent = true;
            unregisterSysEvent(app);
            registerSysEvent(this.mApp);
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature, io.dcloud.common.DHInterface.BaseFeature
    public void dispose(String pAppid) {
        super.dispose(pAppid);
        if (this.mApp != null) {
            onDestroy();
            if (this.isRegisterAllEvent) {
                unregisterSysEvent(this.mApp);
                this.isRegisterAllEvent = false;
                this.mApp = null;
            }
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.dcloud.common.DHInterface.IWaiter
    public Object doForFeature(String actionType, Object args) {
        char c;
        WXBaseWrapper wrapper;
        JSONObject modules;
        WXSDKInstance instance;
        switch (actionType.hashCode()) {
            case -2004248131:
                if (actionType.equals("onKeyboardHeightChange")) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case -1209764397:
                if (actionType.equals("setUniNViewModuleReladyCallBack")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case -982897726:
                if (actionType.equals("updateReload")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case -852986777:
                if (actionType.equals("findWebviewByInstanceId")) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case -623580498:
                if (actionType.equals("getUniNViewModules")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case -163799780:
                if (actionType.equals("callNativeModuleSync")) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case -149733713:
                if (actionType.equals("weexViewUpdate")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 369306469:
                if (actionType.equals("postMessageToUniNView")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 594866751:
                if (actionType.equals("createUniNView")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 715247196:
                if (actionType.equals("createServiceUniNView")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 2133581413:
                if (actionType.equals("updateServiceReload")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                return createWeexWindow((Object[]) args);
            case 1:
                Object[] pArgs = (Object[]) args;
                IWebview webview = (IWebview) pArgs[0];
                ViewGroup parent = (ViewGroup) pArgs[1];
                org.json.JSONObject jsonObject = (org.json.JSONObject) pArgs[2];
                String weexId = (String) pArgs[3];
                if (PdrUtil.isEmpty(weexId)) {
                    weexId = webview.obtainApp().obtainAppId();
                }
                if (!jsonObject.has("path") || PdrUtil.isEmpty(jsonObject.optString("path"))) {
                    return null;
                }
                WXBaseWrapper wrapper2 = WeexInstanceMgr.self().findWXBaseWrapper(weexId);
                org.json.JSONObject weexData = new org.json.JSONObject();
                String path = jsonObject.optString("path");
                if (webview.isUniWebView()) {
                    ((AdaUniWebView) webview).setNVuePath(path);
                }
                try {
                    weexData.put("js", path);
                    weexData.put("data", jsonObject);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                if (wrapper2 != null) {
                    wrapper2.loadTemplate(weexData);
                    return null;
                }
                createUniNView(webview, parent, weexId, weexData);
                return null;
            case 2:
                Object[] pArgs2 = (Object[]) args;
                String weexId2 = (String) pArgs2[1];
                Object targetId = (String) pArgs2[2];
                String appid = (String) pArgs2[3];
                Object json = JSON.parseObject((String) pArgs2[4]);
                Map<String, Object> params = new HashMap<>();
                params.put("targetId", targetId);
                params.put("originId", ((IWebview) pArgs2[0]).getWebviewUUID());
                params.put("data", json);
                if (PdrUtil.isEmpty(weexId2)) {
                    weexId2 = targetId;
                }
                if (appid.equalsIgnoreCase(weexId2)) {
                    wrapper = WeexInstanceMgr.self().findWXBaseWrapper(appid);
                } else {
                    wrapper = WeexInstanceMgr.self().findWXBaseWrapper(weexId2);
                }
                if (wrapper == null) {
                    return null;
                }
                wrapper.fireGlobalEvent("plusMessage", params);
                return null;
            case 3:
                WXViewWrapper viewWrapper = WeexInstanceMgr.self().findPathByWrapper((String) ((Object[]) args)[0]);
                if (viewWrapper == null) {
                    return null;
                }
                viewWrapper.reload();
                return null;
            case 4:
                WeexInstanceMgr.self().reloadWXServiceWrapper();
                return null;
            case 5:
                return createWeexService((Object[]) args);
            case 6:
                Object ret = WeexInstanceMgr.self().getUniNViewModules();
                if (ret != null || (modules = WXModuleManager.getRegisterJsModules()) == null) {
                    return ret;
                }
                return modules.toJSONString();
            case 7:
                WeexInstanceMgr.self().setUniNViewModuleReladyCallBack((ICallBack) ((Object[]) args)[0]);
                return null;
            case '\b':
                Object[] pArgs3 = (Object[]) args;
                IWebview iWebview = (IWebview) pArgs3[0];
                String weexId3 = (String) pArgs3[1];
                String targetId2 = (String) pArgs3[2];
                String appid2 = (String) pArgs3[3];
                JSONObject json2 = JSON.parseObject((String) pArgs3[4]);
                if (PdrUtil.isEmpty(weexId3)) {
                    weexId3 = targetId2;
                }
                if (appid2.equalsIgnoreCase(weexId3)) {
                    instance = WeexInstanceMgr.self().findWXSDKInstance(appid2);
                } else {
                    instance = WeexInstanceMgr.self().findWXSDKInstance(weexId3);
                }
                if (instance != null) {
                    return callNativeModule(instance.getInstanceId(), json2);
                }
                return null;
            case '\t':
                Object[] pArgs4 = (Object[]) args;
                int height = ((Integer) pArgs4[1]).intValue();
                WXBaseWrapper wrapper3 = WeexInstanceMgr.self().findWXBaseWrapper((String) pArgs4[0]);
                if (wrapper3 != null) {
                    Map<String, Object> params2 = new HashMap<>();
                    params2.put("height", Integer.valueOf((int) (((float) height) / wrapper3.mWebview.getScale())));
                    wrapper3.fireGlobalEvent("KeyboardHeightChange", params2);
                    break;
                }
                break;
            case '\n':
                break;
            default:
                return null;
        }
        return WeexInstanceMgr.self().findWebviewByInstanceId((String) ((Object[]) args)[0]);
    }

    private void createUniNView(IWebview webview, ViewGroup parent, String weexId, org.json.JSONObject info) {
        createUniNView(webview, parent, weexId, info, WXBaseWrapper.DE_INDEX);
    }

    private void createUniNView(IWebview webview, ViewGroup parent, String weexId, org.json.JSONObject info, int zIndex) {
        WeexInstanceMgr.self().createWeexView(webview, parent, info, weexId, zIndex);
    }

    private Object createWeexWindow(Object[] args) {
        IWebview webview = (IWebview) args[0];
        registerAllEvent(webview.obtainApp());
        return WeexInstanceMgr.self().createWeexView(webview, (ViewGroup) args[1], (org.json.JSONObject) args[2], (String) args[3], WXViewWrapper.DE_INDEX);
    }

    private Object createWeexService(Object[] args) {
        IApp app = (IApp) args[0];
        registerAllEvent(app);
        ViewGroup parent = (ViewGroup) args[2];
        String weexId = (String) args[3];
        return WeexInstanceMgr.self().createWeexService(app, parent, weexId, (org.json.JSONObject) args[1]);
    }

    public String callNativeModule(String instanceId, JSONObject data) {
        Object object = WXBridgeManager.getInstance().callNativeModule(instanceId, data.getString("plugin"), data.getString("method"), JSON.parseArray(data.getString("args")), (JSONObject) null);
        if (object != null) {
            if (object instanceof JSONObject) {
                return JSUtil.wrapJsVar(JSONUtil.createJSONObject(((JSONObject) object).toJSONString()));
            }
            if (object instanceof HashMap) {
                return JSUtil.wrapJsVar(JSONUtil.createJSONObject(new JSONObject((HashMap) object).toJSONString()));
            }
            if (object instanceof JSONArray) {
                return JSUtil.wrapJsVar(JSONUtil.createJSONArray(((JSONArray) object).toJSONString()));
            }
            if (object instanceof String) {
                return JSUtil.wrapJsVar(String.valueOf(object));
            }
            if (object instanceof org.json.JSONObject) {
                return JSUtil.wrapJsVar((org.json.JSONObject) object);
            }
            if (object instanceof org.json.JSONArray) {
                return JSUtil.wrapJsVar((org.json.JSONArray) object);
            }
        }
        return JSUtil.wrapJsVar("");
    }
}
