package io.dcloud.feature.weex.adapter.Fresco;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import com.facebook.drawee.drawable.AutoRotateDrawable;
import com.facebook.drawee.drawable.ScalingUtils;
import com.facebook.drawee.generic.RoundingParams;
import com.facebook.imagepipeline.systrace.FrescoSystrace;

public class DCGenericDraweeHierarchyInflater {
    public static DCGenericDraweeHierarchy inflateHierarchy(Context context, AttributeSet attrs) {
        return inflateBuilder(context, attrs).build();
    }

    public static DCGenericDraweeHierarchyBuilder inflateBuilder(Context context, AttributeSet attrs) {
        if (FrescoSystrace.isTracing()) {
            FrescoSystrace.beginSection("GenericDraweeHierarchyBuilder#inflateBuilder");
        }
        DCGenericDraweeHierarchyBuilder builder = updateBuilder(new DCGenericDraweeHierarchyBuilder(context.getResources()), context, attrs);
        if (FrescoSystrace.isTracing()) {
            FrescoSystrace.endSection();
        }
        return builder;
    }

    public static DCGenericDraweeHierarchyBuilder updateBuilder(DCGenericDraweeHierarchyBuilder builder, Context context, AttributeSet attrs) {
        if (builder.getProgressBarImage() != null && 0 > 0) {
            builder.setProgressBarImage(new AutoRotateDrawable(builder.getProgressBarImage(), 0));
        }
        if (0 > 0) {
            RoundingParams roundingParams = getRoundingParams(builder);
            float f = 0.0f;
            float f2 = 1 != 0 ? (float) 0 : 0.0f;
            float f3 = 1 != 0 ? (float) 0 : 0.0f;
            float f4 = 1 != 0 ? (float) 0 : 0.0f;
            if (1 != 0) {
                f = (float) 0;
            }
            roundingParams.setCornersRadii(f2, f3, f4, f);
        }
        return builder;
    }

    private static RoundingParams getRoundingParams(DCGenericDraweeHierarchyBuilder builder) {
        if (builder.getRoundingParams() == null) {
            builder.setRoundingParams(new RoundingParams());
        }
        return builder.getRoundingParams();
    }

    private static Drawable getDrawable(Context context, TypedArray gdhAttrs, int attrId) {
        int resourceId = gdhAttrs.getResourceId(attrId, 0);
        if (resourceId == 0) {
            return null;
        }
        return context.getResources().getDrawable(resourceId);
    }

    private static ScalingUtils.ScaleType getScaleTypeFromXml(TypedArray gdhAttrs, int attrId) {
        switch (gdhAttrs.getInt(attrId, -2)) {
            case -1:
                return null;
            case 0:
                return ScalingUtils.ScaleType.FIT_XY;
            case 1:
                return ScalingUtils.ScaleType.FIT_START;
            case 2:
                return ScalingUtils.ScaleType.FIT_CENTER;
            case 3:
                return ScalingUtils.ScaleType.FIT_END;
            case 4:
                return ScalingUtils.ScaleType.CENTER;
            case 5:
                return ScalingUtils.ScaleType.CENTER_INSIDE;
            case 6:
                return ScalingUtils.ScaleType.CENTER_CROP;
            case 7:
                return ScalingUtils.ScaleType.FOCUS_CROP;
            case 8:
                return ScalingUtils.ScaleType.FIT_BOTTOM_START;
            default:
                throw new RuntimeException("XML attribute not specified!");
        }
    }
}
