package io.dcloud.feature.weex.adapter;

import android.content.Context;
import android.view.MotionEvent;
import com.taobao.weex.ui.view.gesture.WXGesture;
import com.taobao.weex.ui.view.gesture.WXGestureObservable;
import io.dcloud.feature.weex.adapter.Fresco.DCGenericDraweeHierarchy;
import io.dcloud.feature.weex.adapter.Fresco.DCGenericDraweeView;

public class FrescoImageView extends DCGenericDraweeView implements WXGestureObservable {
    private WXGesture wxGesture;

    public FrescoImageView(Context context) {
        super(context);
    }

    @Override // com.taobao.weex.ui.view.gesture.WXGestureObservable
    public void registerGestureListener(WXGesture wxGesture2) {
        this.wxGesture = wxGesture2;
    }

    @Override // com.taobao.weex.ui.view.gesture.WXGestureObservable
    public WXGesture getGestureListener() {
        return this.wxGesture;
    }

    @Override // com.facebook.drawee.view.DraweeView
    public boolean onTouchEvent(MotionEvent event) {
        boolean result = super.onTouchEvent(event);
        WXGesture wXGesture = this.wxGesture;
        if (wXGesture != null) {
            return result | wXGesture.onTouch(this, event);
        }
        return result;
    }

    public void setFadeShow(boolean is) {
        if (getHierarchy() == null) {
            return;
        }
        if (is) {
            ((DCGenericDraweeHierarchy) getHierarchy()).setFadeDuration(300);
            ((DCGenericDraweeHierarchy) getHierarchy()).getTopLevelDrawable().setRefresh(true);
            return;
        }
        ((DCGenericDraweeHierarchy) getHierarchy()).setFadeDuration(0);
        ((DCGenericDraweeHierarchy) getHierarchy()).getTopLevelDrawable().setRefresh(false);
    }
}
