package io.dcloud.feature.weex.adapter;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Looper;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.widget.ImageView;
import com.bumptech.glide.Glide;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.engine.GlideException;
import com.bumptech.glide.load.resource.gif.GifDrawable;
import com.bumptech.glide.request.BaseRequestOptions;
import com.bumptech.glide.request.RequestListener;
import com.bumptech.glide.request.RequestOptions;
import com.bumptech.glide.request.target.Target;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.common.WXImageStrategy;
import com.taobao.weex.dom.WXImageQuality;
import java.util.HashMap;
import java.util.Map;

public class GlideImageAdapter {
    public static void setImage(final String url, final ImageView view, WXImageQuality quality, final WXImageStrategy strategy) {
        Runnable runnable = new Runnable() {
            /* class io.dcloud.feature.weex.adapter.GlideImageAdapter.AnonymousClass1 */

            public void run() {
                ImageView imageView = view;
                if (imageView != null && imageView.getLayoutParams() != null) {
                    if (TextUtils.isEmpty(url)) {
                        view.setImageBitmap(null);
                        return;
                    }
                    String temp = url;
                    if (url.startsWith("//")) {
                        temp = "http:" + url;
                    }
                    if (view.getLayoutParams().width > 0) {
                        RequestOptions options = new RequestOptions();
                        DisplayMetrics dm = view.getResources().getDisplayMetrics();
                        options.override(dm.widthPixels, dm.heightPixels);
                        Context context = view.getContext();
                        if (temp.contains(".gif")) {
                            Glide.with(context).asGif().load(temp).apply((BaseRequestOptions<?>) options).listener(new RequestListener<GifDrawable>() {
                                /* class io.dcloud.feature.weex.adapter.GlideImageAdapter.AnonymousClass1.AnonymousClass1 */

                                @Override // com.bumptech.glide.request.RequestListener
                                public boolean onLoadFailed(GlideException e, Object model, Target<GifDrawable> target, boolean isFirstResource) {
                                    Map<String, String> failedMap = new HashMap<>();
                                    failedMap.put("errorMessage", e.getMessage());
                                    GlideImageAdapter.onImageFinish(strategy, url, view, false, failedMap);
                                    return false;
                                }

                                public boolean onResourceReady(GifDrawable resource, Object model, Target<GifDrawable> target, DataSource dataSource, boolean isFirstResource) {
                                    Map<String, Integer> sizeMap = new HashMap<>();
                                    sizeMap.put("width", Integer.valueOf(resource.getIntrinsicWidth()));
                                    sizeMap.put("height", Integer.valueOf(resource.getIntrinsicHeight()));
                                    GlideImageAdapter.onImageFinish(strategy, url, view, true, sizeMap);
                                    return false;
                                }
                            }).into(view);
                        } else {
                            Glide.with(context).load(temp).apply((BaseRequestOptions<?>) options).listener(new RequestListener<Drawable>() {
                                /* class io.dcloud.feature.weex.adapter.GlideImageAdapter.AnonymousClass1.AnonymousClass2 */

                                @Override // com.bumptech.glide.request.RequestListener
                                public boolean onLoadFailed(GlideException e, Object model, Target<Drawable> target, boolean isFirstResource) {
                                    Map<String, String> failedMap = new HashMap<>();
                                    failedMap.put("errorMessage", e.getMessage());
                                    GlideImageAdapter.onImageFinish(strategy, url, view, false, failedMap);
                                    return false;
                                }

                                public boolean onResourceReady(Drawable resource, Object model, Target<Drawable> target, DataSource dataSource, boolean isFirstResource) {
                                    Map<String, Integer> sizeMap = new HashMap<>();
                                    sizeMap.put("width", Integer.valueOf(resource.getIntrinsicWidth()));
                                    sizeMap.put("height", Integer.valueOf(resource.getIntrinsicHeight()));
                                    GlideImageAdapter.onImageFinish(strategy, url, view, true, sizeMap);
                                    return false;
                                }
                            }).into(view);
                        }
                    }
                }
            }
        };
        if (Thread.currentThread() == Looper.getMainLooper().getThread()) {
            runnable.run();
        } else {
            WXSDKManager.getInstance().postOnUiThread(runnable, 0);
        }
    }

    /* access modifiers changed from: private */
    public static void onImageFinish(WXImageStrategy strategy, String url, ImageView view, boolean result, Map extra) {
        if (strategy != null && strategy.getImageListener() != null) {
            strategy.getImageListener().onImageFinish(url, view, result, extra);
        }
    }
}
