package io.dcloud.feature.weex.adapter;

import android.content.Context;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.ui.view.WXFrameLayout;

public class ScalableView extends WXFrameLayout {
    int mHeight = 0;
    int mWidth = 0;

    public ScalableView(Context context) {
        super(context);
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(final int w, final int h, int oldw, int oldh) {
        super.onSizeChanged(w, h, oldw, oldh);
        try {
            if ((getComponent() instanceof ScalableViewComponent) && ((ScalableViewComponent) getComponent()).isScalable()) {
                if (this.mHeight != h || this.mWidth != w) {
                    WXBridgeManager.getInstance().post(new Runnable() {
                        /* class io.dcloud.feature.weex.adapter.ScalableView.AnonymousClass1 */

                        public void run() {
                            if (ScalableView.this.getComponent() != null && ScalableView.this.getComponent().getInstance() != null) {
                                WXBridgeManager.getInstance().setStyleHeight(ScalableView.this.getComponent().getInstanceId(), ScalableView.this.getComponent().getRef(), (float) h, true);
                                WXBridgeManager.getInstance().setStyleWidth(ScalableView.this.getComponent().getInstanceId(), ScalableView.this.getComponent().getRef(), (float) w, true);
                                ScalableView.this.mWidth = w;
                                ScalableView.this.mHeight = h;
                            }
                        }
                    });
                }
            }
        } catch (Exception e) {
        }
    }
}
