package io.dcloud.feature.weex.adapter;

import android.content.Context;
import android.view.View;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.ui.ComponentCreator;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXDiv;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.ui.view.WXFrameLayout;

public class ScalableViewComponent extends WXDiv {
    private boolean isScalable = false;

    public ScalableViewComponent(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXDiv, com.taobao.weex.ui.component.WXDiv, com.taobao.weex.ui.component.WXComponent
    public WXFrameLayout initComponentHostView(Context context) {
        ScalableView innerView = new ScalableView(context);
        innerView.holdComponent((WXDiv) this);
        return innerView;
    }

    public boolean isScalable() {
        return this.isScalable;
    }

    public void setScalable(boolean scalable) {
        this.isScalable = scalable;
    }

    public static class Ceator implements ComponentCreator {
        @Override // com.taobao.weex.ui.ComponentCreator
        public WXComponent createInstance(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
            return new ScalableViewComponent(instance, parent, basicComponentData);
        }
    }

    /* access modifiers changed from: protected */
    public void setHostLayoutParams(WXFrameLayout host, int width, int height, int left, int right, int top, int bottom) {
        if (isScalable()) {
            super.setHostLayoutParams((View) host, -1, -1, left, right, top, bottom);
        } else {
            super.setHostLayoutParams((View) host, width, height, left, right, top, bottom);
        }
    }
}
