package io.dcloud.feature.weex.config;

import com.taobao.weex.el.parse.Operators;
import java.util.Arrays;
import java.util.Objects;

public class AndroidTlsConfig {
    private String[] ca;
    private String keystore;
    private String storePass;

    public String getKeystore() {
        return this.keystore;
    }

    public void setKeystore(String keystore2) {
        if (keystore2 == null) {
            keystore2 = "";
        }
        this.keystore = keystore2;
    }

    public String getStorePass() {
        return this.storePass;
    }

    public void setStorePass(String storePass2) {
        if (storePass2 == null) {
            storePass2 = "";
        }
        this.storePass = storePass2;
    }

    public String[] getCa() {
        return this.ca;
    }

    public void setCa(String[] ca2) {
        if (ca2 == null) {
            ca2 = new String[0];
        }
        this.ca = ca2;
    }

    public String toString() {
        return "AndroidTlsConfig{keystore='" + this.keystore + Operators.SINGLE_QUOTE + ", storePass='" + this.storePass + Operators.SINGLE_QUOTE + ", ca=" + Arrays.toString(this.ca) + Operators.BLOCK_END;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        AndroidTlsConfig that = (AndroidTlsConfig) o;
        String caString = Arrays.toString(this.ca);
        String thatCaString = Arrays.toString(that.ca);
        if (!this.keystore.equals(that.keystore) || !this.storePass.equals(that.storePass) || !caString.equals(thatCaString)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return (Objects.hash(this.keystore, this.storePass, Arrays.toString(this.ca)) * 31) + Arrays.hashCode(this.ca);
    }
}
