package io.dcloud.feature.weex.extend;

import android.widget.ImageView;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.WXImageStrategy;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXImage;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.utils.WXUtils;
import io.dcloud.feature.uniapp.layout.UniContentBoxMeasurement;
import io.dcloud.feature.weex.adapter.GlideImageAdapter;
import java.util.Map;

public class DCCoverImageComponent extends WXImage {
    private int mBitmapHeight = 0;
    private int mBitmapWidth = 0;

    public DCCoverImageComponent(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
        setContentBoxMeasurement(new UniContentBoxMeasurement() {
            /* class io.dcloud.feature.weex.extend.DCCoverImageComponent.AnonymousClass1 */

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                if (widthMeasureMode == 0 || !DCCoverImageComponent.this.getStyles().containsKey("width")) {
                    this.mMeasureWidth = (float) DCCoverImageComponent.this.mBitmapWidth;
                }
                if (heightMeasureMode == 0) {
                    this.mMeasureHeight = (float) DCCoverImageComponent.this.mBitmapHeight;
                }
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXImage
    public void setImage(String rewritedStr, WXImageStrategy imageStrategy) {
        GlideImageAdapter.setImage(rewritedStr, (ImageView) getHostView(), getImageQuality(), imageStrategy);
    }

    @Override // com.taobao.weex.ui.component.WXImage
    public void onImageFinish(boolean result, Map extra) {
        super.onImageFinish(result, extra);
        this.mBitmapWidth = WXUtils.getInt(extra.get("width"));
        this.mBitmapHeight = WXUtils.getInt(extra.get("height"));
        if (!getStyles().containsKey("height")) {
            WXBridgeManager.getInstance().post(new Runnable() {
                /* class io.dcloud.feature.weex.extend.$$Lambda$DCCoverImageComponent$LTsARhxWqqRBF4tdjzm4EIOITM */

                public final void run() {
                    DCCoverImageComponent.this.lambda$onImageFinish$0$DCCoverImageComponent();
                }
            });
        }
    }

    public /* synthetic */ void lambda$onImageFinish$0$DCCoverImageComponent() {
        WXBridgeManager.getInstance().setStyleWidth(getInstanceId(), getRef(), (float) this.mBitmapWidth);
        WXBridgeManager.getInstance().setStyleHeight(getInstanceId(), getRef(), (float) this.mBitmapHeight);
    }
}
