package io.dcloud.feature.weex.extend;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import android.widget.ScrollView;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.utils.WXUtils;
import io.dcloud.common.util.ThrottleUtil;
import io.dcloud.feature.weex.adapter.IWeexMap;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.HashMap;

public class DCCoverViewComponent extends WXVContainer<ViewGroup> {
    HashMap<String, String> CalloutMarkerIds = new HashMap<>();
    private final ViewTreeObserver.OnDrawListener onDrawListener = new ViewTreeObserver.OnDrawListener() {
        /* class io.dcloud.feature.weex.extend.DCCoverViewComponent.AnonymousClass1 */

        public void onDraw() {
            DCCoverViewComponent.this.throttle.throttlePost(new Runnable() {
                /* class io.dcloud.feature.weex.extend.DCCoverViewComponent.AnonymousClass1.AnonymousClass1 */

                public void run() {
                    DCCoverViewComponent.this.updateCallout();
                }
            }, 50);
        }
    };
    private FrameLayout realView;
    private final ThrottleUtil throttle = new ThrottleUtil();

    public DCCoverViewComponent(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public ViewGroup initComponentHostView(Context context) {
        ViewGroup group;
        String overflow = "";
        if (getStyles().containsKey(Constants.Name.OVERFLOW)) {
            overflow = WXUtils.getString(getStyles().get(Constants.Name.OVERFLOW), "");
        } else if (getStyles().containsKey("overflowY")) {
            overflow = WXUtils.getString(getStyles().get("overflowY"), "");
        }
        this.realView = new FrameLayout(context);
        if (overflow.equals("scroll")) {
            ScrollView host = new ScrollView(context);
            host.addView(this.realView, new FrameLayout.LayoutParams(-1, -1));
            group = host;
        } else {
            group = this.realView;
        }
        Object slot = getAttrs().get("slot");
        if (slot != null && slot.equals(Constant.JSONKEY.CALLOUT)) {
            group.setVisibility(4);
            group.getViewTreeObserver().addOnDrawListener(this.onDrawListener);
        }
        return group;
    }

    @Override // io.dcloud.feature.uniapp.ui.component.AbsVContainer, io.dcloud.feature.uniapp.ui.component.AbsVContainer, com.taobao.weex.ui.component.WXComponent
    public ViewGroup getRealView() {
        return this.realView;
    }

    public HashMap<String, String> getCalloutMarkerIds() {
        return this.CalloutMarkerIds;
    }

    @Override // io.dcloud.feature.uniapp.ui.component.AbsVContainer
    public void addChild(WXComponent child, int index) {
        Object markerId;
        if ((child instanceof DCCoverViewComponent) && (markerId = child.getAttrs().get("markerId")) != null) {
            this.CalloutMarkerIds.put(markerId.toString(), child.getRef());
            if (getHostView() != null) {
                ((ViewGroup) getHostView()).getViewTreeObserver().addOnDrawListener(this.onDrawListener);
            }
        }
        super.addChild(child, index);
    }

    @Override // io.dcloud.feature.uniapp.ui.component.AbsVContainer
    public void remove(WXComponent child, boolean destroy) {
        if (child instanceof DCCoverViewComponent) {
            Object markerId = child.getAttrs().get("marker-id");
            if (markerId != null && !this.CalloutMarkerIds.get(markerId).equals(child.getRef())) {
                this.CalloutMarkerIds.remove(markerId);
                return;
            }
            return;
        }
        super.remove(child, destroy);
    }

    public void updateCallout() {
        if (!this.CalloutMarkerIds.isEmpty() && (getParent() instanceof IDCCoverViewUpdate) && (getParent() instanceof IWeexMap)) {
            ((IDCCoverViewUpdate) getParent()).update(this.CalloutMarkerIds);
        }
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class io.dcloud.feature.weex.extend.DCCoverViewComponent.AnonymousClass2 */

            public void run() {
                if (DCCoverViewComponent.this.getHostView() != null) {
                    ((ViewGroup) DCCoverViewComponent.this.getHostView()).getViewTreeObserver().removeOnDrawListener(DCCoverViewComponent.this.onDrawListener);
                }
            }
        });
    }
}
