package io.dcloud.feature.weex.extend;

import android.net.Uri;
import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.bridge.SimpleJSCallback;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.component.WXImage;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.feature.internal.sdk.SDK;
import io.dcloud.feature.uniapp.common.UniModule;
import io.dcloud.feature.weex.EnumStateCode;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.util.HashMap;
import java.util.Map;

public class DCUniMPModule extends UniModule {
    @JSMethod
    public void showUniMP(final String appId, final JSCallback callback) {
        MessageHandler.post(new Runnable() {
            /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass1 */

            public void run() {
                try {
                    if (SDK.isUniMP) {
                        if (callback != null) {
                            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (!TextUtils.isEmpty(appId)) {
                        IWebview hostWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (hostWebview != null) {
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "showUniMP", new Object[]{appId, new ICallBack() {
                                /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass1.AnonymousClass1 */

                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    Map<String, Object> data = new HashMap<>();
                                    if (pType >= 0) {
                                        data.put("type", WXImage.SUCCEED);
                                        data.put("code", 0);
                                    } else {
                                        data.put("type", Constants.Event.FAIL);
                                        data.put("code", Integer.valueOf(pType));
                                        data.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback == null) {
                                        return null;
                                    }
                                    callback.invoke(data);
                                    return null;
                                }
                            }}});
                        }
                    } else if (callback != null) {
                        callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void closeUniMP(final String appId, final JSCallback callback) {
        MessageHandler.post(new Runnable() {
            /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass2 */

            public void run() {
                try {
                    if (SDK.isUniMP) {
                        if (callback != null) {
                            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (!TextUtils.isEmpty(appId)) {
                        IWebview hostWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (hostWebview != null) {
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "closeUniMP", new Object[]{appId, new ICallBack() {
                                /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass2.AnonymousClass1 */

                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    Map<String, Object> data = new HashMap<>();
                                    if (pType >= 0) {
                                        data.put("type", WXImage.SUCCEED);
                                        data.put("code", 0);
                                    } else {
                                        data.put("type", Constants.Event.FAIL);
                                        data.put("code", Integer.valueOf(pType));
                                        data.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback == null) {
                                        return null;
                                    }
                                    callback.invoke(data);
                                    return null;
                                }
                            }}});
                        }
                    } else if (callback != null) {
                        callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void hideUniMP(final String appId, final JSCallback callback) {
        MessageHandler.post(new Runnable() {
            /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass3 */

            public void run() {
                try {
                    if (SDK.isUniMP) {
                        if (callback != null) {
                            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (!TextUtils.isEmpty(appId)) {
                        IWebview hostWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (hostWebview != null) {
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "hideUniMP", new Object[]{appId, new ICallBack() {
                                /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass3.AnonymousClass1 */

                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    Map<String, Object> data = new HashMap<>();
                                    if (pType >= 0) {
                                        data.put("type", WXImage.SUCCEED);
                                        data.put("code", 0);
                                    } else {
                                        data.put("type", Constants.Event.FAIL);
                                        data.put("code", Integer.valueOf(pType));
                                        data.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback == null) {
                                        return null;
                                    }
                                    callback.invoke(data);
                                    return null;
                                }
                            }}});
                        }
                    } else if (callback != null) {
                        callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void setDefaultMenuItems(String opStr, final JSCallback callback) {
        JSONObject op = null;
        try {
            op = JSON.parseObject(opStr);
        } catch (Exception e) {
        }
        if (!SDK.isUniMPSDK()) {
            if (op != null) {
                ICallBack callBack = new ICallBack() {
                    /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass4 */

                    @Override // io.dcloud.common.DHInterface.ICallBack
                    public Object onCallBack(int pType, Object pArgs) {
                        JSONObject resultArgs = JSON.parseObject(String.valueOf(pArgs));
                        String resultAppId = resultArgs.getString("appId");
                        String resultClickId = resultArgs.getString("id");
                        if (TextUtils.isEmpty(resultAppId) || TextUtils.isEmpty(resultClickId)) {
                            return null;
                        }
                        Map<String, Object> data = new HashMap<>();
                        data.put("appId", resultAppId);
                        data.put("id", resultClickId);
                        JSCallback jSCallback = callback;
                        if (jSCallback != null) {
                            jSCallback.invokeAndKeepAlive(data);
                        }
                        return null;
                    }
                };
                IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
                if (hostWebview != null) {
                    WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "setDefaultMenuItems", new Object[]{opStr, callBack}});
                }
            } else if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
            }
        }
    }

    @JSMethod
    public void openUniMP(final String opStr, final JSCallback callback) {
        MessageHandler.post(new Runnable() {
            /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass5 */

            public void run() {
                JSONObject op = null;
                try {
                    op = JSON.parseObject(opStr);
                } catch (Exception e) {
                }
                try {
                    if (SDK.isUniMP) {
                        if (callback != null) {
                            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (op != null) {
                        IWebview hostWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (hostWebview != null) {
                            ICallBack callBack = new ICallBack() {
                                /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass5.AnonymousClass1 */

                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    Map<String, Object> data = new HashMap<>();
                                    if (pType >= 0) {
                                        data.put("type", WXImage.SUCCEED);
                                        data.put("code", 0);
                                    } else {
                                        data.put("type", Constants.Event.FAIL);
                                        data.put("code", Integer.valueOf(pType));
                                        data.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback == null) {
                                        return null;
                                    }
                                    callback.invoke(data);
                                    return null;
                                }
                            };
                            op.put("appInfo", (Object) hostWebview.obtainApp().obtainAppInfo());
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "openUniMP", new Object[]{op.toJSONString(), callBack}});
                        }
                    } else if (callback != null) {
                        callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                    }
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void installUniMP(String opStr, final JSCallback callback) {
        JSONObject op = null;
        try {
            op = JSON.parseObject(opStr);
        } catch (Exception e) {
        }
        if (SDK.isUniMPSDK()) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
            }
        } else if (op != null) {
            String appid = op.getString("appid");
            String wgtFile = op.getString("wgtFile");
            String password = "";
            if (op.containsKey(Constants.Value.PASSWORD)) {
                password = op.getString(Constants.Value.PASSWORD);
            }
            if (!TextUtils.isEmpty(wgtFile)) {
                Uri uri = this.mUniSDKInstance.rewriteUri(Uri.parse(wgtFile), "file");
                if (uri != null) {
                    wgtFile = uri.getPath();
                }
            } else if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_RESOURCE_EXIST));
            }
            ICallBack callBack = new ICallBack() {
                /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass6 */

                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    Map<String, Object> data = new HashMap<>();
                    if (pType >= 0) {
                        data.put("type", WXImage.SUCCEED);
                        data.put("code", 0);
                    } else {
                        data.put("type", Constants.Event.FAIL);
                        data.put("code", Integer.valueOf(pType));
                        data.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                    }
                    JSCallback jSCallback = callback;
                    if (jSCallback == null) {
                        return null;
                    }
                    jSCallback.invoke(data);
                    return null;
                }
            };
            IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (hostWebview != null) {
                WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "installUniMP", new Object[]{appid, wgtFile, password, callBack}});
            }
        } else if (callback != null) {
            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
        }
    }

    @JSMethod
    public void sendUniMPEvent(String appid, String event, String data, final JSCallback callback) {
        if (TextUtils.isEmpty(appid) || TextUtils.isEmpty(event)) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
            }
        } else if (!SDK.isUniMPSDK()) {
            Object dataParam = data;
            Object dataParamObject = JSON.parseObject(data);
            if (dataParamObject != null) {
                dataParam = dataParamObject;
            }
            ICallBack callBack = new ICallBack() {
                /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass7 */

                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    Map<String, Object> data = new HashMap<>();
                    if (pType >= 0) {
                        data.put("type", WXImage.SUCCEED);
                        data.put("code", 0);
                    } else {
                        data.put("type", Constants.Event.FAIL);
                        data.put("code", Integer.valueOf(pType));
                        data.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                    }
                    JSCallback jSCallback = callback;
                    if (jSCallback == null) {
                        return null;
                    }
                    jSCallback.invoke(data);
                    return null;
                }
            };
            IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (hostWebview != null) {
                WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "sendUniMPEvent", new Object[]{appid, event, dataParam, callBack}});
            }
        } else if (callback != null) {
            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
        }
    }

    @JSMethod
    public void getUniMPVersion(String appid, final JSCallback callback) {
        new HashMap();
        if (!SDK.isUniMPSDK()) {
            if ((TextUtils.isEmpty(appid) || !appid.startsWith("__UNI__")) && callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
            }
            IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (hostWebview != null) {
                WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "getUniMPVersion", new Object[]{appid, new ICallBack() {
                    /* class io.dcloud.feature.weex.extend.DCUniMPModule.AnonymousClass8 */

                    @Override // io.dcloud.common.DHInterface.ICallBack
                    public Object onCallBack(int pType, Object pArgs) {
                        if (pArgs == null) {
                            JSCallback jSCallback = callback;
                            if (jSCallback == null) {
                                return null;
                            }
                            jSCallback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_RESOURCE_EXIST));
                            return null;
                        }
                        JSONObject object = JSON.parseObject(pArgs.toString());
                        JSCallback jSCallback2 = callback;
                        if (jSCallback2 == null) {
                            return null;
                        }
                        jSCallback2.invoke(EnumStateCode.obtainMap(EnumStateCode.SUCCESS_NO_BODY, "versionInfo", object));
                        return null;
                    }
                }}});
            }
        } else if (callback != null) {
            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
        }
    }

    @JSMethod
    public void onUniMPEventReceive(JSCallback callback) {
        IWebview hostWebview;
        if (!SDK.isUniMPSDK() && (hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance)) != null && (callback instanceof SimpleJSCallback)) {
            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{hostWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "onUniMPEventReceive", new Object[]{hostWebview.obtainApp().obtainAppId(), this.mWXSDKInstance.getInstanceId(), ((SimpleJSCallback) callback).getCallbackId()}});
        }
    }
}
