package io.dcloud.feature.weex.extend;

import android.app.UiModeManager;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.core.app.NotificationManagerCompat;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.R;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.bridge.SimpleJSCallback;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.Constants;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.ui.component.DCWXInput;
import com.taobao.weex.ui.component.WXImage;
import com.umeng.analytics.pro.d;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.DHInterface.IActivityHandler;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaUniWebView;
import io.dcloud.common.adapter.ui.webview.WebResUtil;
import io.dcloud.common.adapter.ui.webview.WebViewFactory;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.EventActionInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.IntentConst;
import io.dcloud.common.ui.blur.DCBlurDraweeView;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.IOUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.common.util.TelephonyUtil;
import io.dcloud.common.util.ThreadPool;
import io.dcloud.common.util.language.LanguageUtil;
import io.dcloud.feature.internal.sdk.SDK;
import io.dcloud.feature.uniapp.bridge.UniJSCallback;
import io.dcloud.feature.weex.WXBaseWrapper;
import io.dcloud.feature.weex.WXServiceWrapper;
import io.dcloud.feature.weex.WeexInstanceMgr;
import io.dcloud.feature.weex.extend.result.Result;
import io.dcloud.feature.weex.extend.result.SecureNetworkResult;
import io.dcloud.weex.WXDotDataUtil;
import io.src.dcloud.adapter.DCloudAdapterUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class PlusModule extends WXModule {
    private static final String HELP_LOG_HASH = "HELP_LOG_HASH_";
    private String EVENTS_DOCUMENT_EXECUTE = "javascript:!function(){(window.__html5plus__&&__html5plus__.isReady?__html5plus__:navigator.plus&&navigator.plus.isReady?navigator.plus:window.plus)||window.__load__plus__&&window.__load__plus__();var _=document.createEvent(\"HTMLEvents\");_.initEvent(\"%s\",!1,!0),_.targetId=\"%s\",_.originId=\"%s\",_.data=%s,document.dispatchEvent(_)}();";
    ArrayList<JsData> chs = new ArrayList<>();

    @JSMethod
    public void postMessage(String data, String id) {
        IWebview webview;
        WXServiceWrapper serviceWrapper;
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        IWebview webview2 = null;
        String str = this.EVENTS_DOCUMENT_EXECUTE;
        Object[] objArr = new Object[4];
        objArr[0] = "uniNViewMessage";
        Object obj = "";
        objArr[1] = 0 != 0 ? webview2.obtainFrameId() : obj;
        objArr[2] = hostWebview != null ? hostWebview.obtainFrameId() : obj;
        objArr[3] = data;
        String sp = StringUtil.format(str, objArr);
        if (hostWebview == null && (serviceWrapper = WeexInstanceMgr.self().findWXServiceWrapper(this.mWXSDKInstance)) != null && !BaseInfo.isWeexUniJs(serviceWrapper.obtanApp())) {
            serviceWrapper.findWebViewToLoadUrL(sp, id);
        } else if (hostWebview != null) {
            if (PdrUtil.isEmpty(id)) {
                webview = hostWebview;
            } else {
                webview = WeexInstanceMgr.self().findWebview(hostWebview, hostWebview.obtainApp(), hostWebview.obtainApp().obtainAppId(), id);
            }
            if (webview == null) {
                return;
            }
            if (webview instanceof AdaUniWebView) {
                Map<String, Object> params = new HashMap<>();
                params.put("targetId", id);
                if (hostWebview != null) {
                    obj = hostWebview.obtainFrameId();
                }
                params.put("originId", obj);
                try {
                    params.put("data", JSONObject.parseObject(data));
                } catch (Exception e) {
                    params.put("data", data);
                }
                ((AdaUniWebView) webview).fireEvent(new EventActionInfo("uniNViewMessage", params));
                return;
            }
            webview.loadUrl(sp);
        }
    }

    @JSMethod(uiThread = true)
    public void exec(String data, String value) {
        if (this.mWXSDKInstance == null || !this.mWXSDKInstance.isDestroy()) {
            IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (hostWebview instanceof AdaUniWebView) {
                ((AdaUniWebView) hostWebview).prompt(data, value);
            }
        }
    }

    class JsData {
        public String data;
        public String value;

        JsData(String data2, String value2) {
            this.data = data2;
            this.value = value2;
        }
    }

    @JSMethod(uiThread = false)
    public String execSync(String data, String value) {
        if (this.mWXSDKInstance != null && this.mWXSDKInstance.isDestroy()) {
            return "";
        }
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        if (hostWebview instanceof AdaUniWebView) {
            return ((AdaUniWebView) hostWebview).prompt(data, value);
        }
        return "";
    }

    @JSMethod(uiThread = true)
    public void uniReady() {
        WXBaseWrapper wrapper = WeexInstanceMgr.self().findWXBaseWrapper(this.mWXSDKInstance);
        if (wrapper != null) {
            wrapper.onReady();
        }
    }

    @JSMethod(uiThread = false)
    public void setLanguage(String languageTagParam) {
        if (this.mWXSDKInstance != null && this.mWXSDKInstance.getContext() != null && !SDK.isUniMPSDK() && !this.mWXSDKInstance.isDestroy() && Build.VERSION.SDK_INT >= 21) {
            if ("auto".equalsIgnoreCase(languageTagParam)) {
                languageTagParam = "";
            }
            LanguageUtil.updateLanguage(this.mWXSDKInstance.getContext(), languageTagParam);
            LocalBroadcastManager.getInstance(this.mWXSDKInstance.getContext()).sendBroadcast(new Intent(LanguageUtil.LanguageBroadCastIntent));
        }
    }

    @JSMethod(uiThread = false)
    public String getLanguage() {
        if (this.mWXSDKInstance == null || this.mWXSDKInstance.getContext() == null) {
            return "";
        }
        return LanguageUtil.getCurrentLocaleLanguage(this.mWXSDKInstance.getContext());
    }

    private void runChData() {
        if (!this.chs.isEmpty()) {
            ArrayList<JsData> runList = new ArrayList<>();
            Iterator<JsData> it = this.chs.iterator();
            while (it.hasNext()) {
                JsData data = it.next();
                exec(data.data, data.value);
                runList.add(data);
            }
            this.chs.removeAll(runList);
        }
    }

    @JSMethod(uiThread = false)
    public Object getConfigInfo() {
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        if (hostWebview instanceof AdaUniWebView) {
            return ((AdaUniWebView) hostWebview).getConfigInfo();
        }
        return null;
    }

    @JSMethod(uiThread = false)
    public Object getRedirectInfo() {
        JSONObject info;
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        JSONObject v = null;
        if (hostWebview != null) {
            if (Boolean.valueOf(hostWebview.obtainApp().obtainConfigProperty(IApp.ConfigProperty.UNI_RESTART_TO_DIRECT)).booleanValue() && (info = JSON.parseObject(hostWebview.obtainApp().obtainConfigProperty(AbsoluteConst.JSON_KEY_DEBUG_REFRESH))) != null && info.containsKey("arguments")) {
                try {
                    v = JSON.parseObject(info.getString("arguments"));
                } catch (Exception e) {
                    e.printStackTrace();
                }
                hostWebview.obtainApp().setConfigProperty(AbsoluteConst.JSON_KEY_DEBUG_REFRESH, "");
            }
            JSONObject jsonObject = JSON.parseObject(hostWebview.obtainApp().obtainConfigProperty(IntentConst.UNIMP_RUN_EXTRA_INFO));
            if (jsonObject != null) {
                if (v == null) {
                    v = new JSONObject();
                }
                v.putAll(jsonObject);
                hostWebview.obtainApp().setConfigProperty(IntentConst.UNIMP_RUN_EXTRA_INFO, "");
            }
        }
        return v;
    }

    @JSMethod(uiThread = false)
    public void setDefaultFontSize(String value) {
        int size = Integer.valueOf(value).intValue();
        if (size > 0) {
            this.mWXSDKInstance.setDefaultFontSize(size);
        }
    }

    @JSMethod(uiThread = true)
    public void log(String msg) {
        Logger.d("console", "[LOG] " + msg);
    }

    @JSMethod(uiThread = false)
    public String getValue(String ref) {
        return ((DCWXInput) WXSDKManager.getInstance().getWXRenderManager().getWXComponent(this.mWXSDKInstance.getInstanceId(), ref)).getValue();
    }

    @JSMethod(uiThread = true)
    public void sendNativeEvent(String event, Object data, JSCallback callback) {
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        if (hostWebview != null && hostWebview.getActivity() != null && (hostWebview.getActivity() instanceof IActivityHandler)) {
            Bundle bundle = new Bundle();
            bundle.putString("event", event);
            bundle.putString("dataType", "String");
            if (data instanceof String) {
                bundle.putString("data", String.valueOf(data));
            } else if (data instanceof JSON) {
                bundle.putString("data", ((JSON) data).toJSONString());
                bundle.putString("dataType", "JSON");
            }
            if (callback instanceof SimpleJSCallback) {
                bundle.putString("instanceId", this.mWXSDKInstance.getInstanceId());
                bundle.putString(SDK.UNIMP_EVENT_CALLBACKID, ((SimpleJSCallback) callback).getCallbackId());
            }
            ((IActivityHandler) hostWebview.getActivity()).callBack(SDK.UNIMP_JS_TO_NATIVE, bundle);
        }
    }

    @JSMethod(uiThread = false)
    public JSONObject getDotData() {
        JSONObject info = WXDotDataUtil.getDeviceInfo();
        if (BaseInfo.SyncDebug) {
            info.put("maxMemory", (Object) ((Runtime.getRuntime().maxMemory() / 1048576) + "M"));
            info.put("totalMemory", (Object) ((Runtime.getRuntime().totalMemory() / 1048576) + "M"));
            info.put("appRuningTitme", (Object) Long.valueOf(BaseInfo.splashCloseTime - BaseInfo.startTime));
        }
        return info;
    }

    @JSMethod(uiThread = false)
    public JSONObject pushDebugData(Object data) {
        JSONObject info = new JSONObject();
        info.put("data", data);
        return info;
    }

    @JSMethod
    public void preloadReady(String appid) {
        ICallBack callBack = WeexInstanceMgr.self().getPreUniMPCallBack(appid);
        if (callBack != null) {
            callBack.onCallBack(1, appid);
        }
    }

    @JSMethod(uiThread = true)
    public void evalJSFiles(String list, final JSCallback callback) {
        final Map<String, Object> data = new HashMap<>();
        if (list != null) {
            final JSONArray listJson = JSON.parseArray(list);
            if (listJson != null) {
                ThreadPool.self().addThreadTask(new Runnable() {
                    /* class io.dcloud.feature.weex.extend.PlusModule.AnonymousClass1 */

                    public void run() {
                        IWebview hostWebview = WeexInstanceMgr.self().findWebview(PlusModule.this.mWXSDKInstance);
                        if (hostWebview != null) {
                            byte mode = hostWebview.obtainApp().obtainRunningAppMode();
                            String js = "";
                            for (int i = 0; i < listJson.size(); i++) {
                                String path = listJson.getString(i);
                                File file = new File(path);
                                InputStream is = null;
                                if (file.exists()) {
                                    try {
                                        is = new FileInputStream(file);
                                    } catch (FileNotFoundException e) {
                                        e.printStackTrace();
                                    }
                                } else {
                                    if (path.startsWith("/storage") || mode != 1) {
                                        path = hostWebview.obtainApp().convert2WebviewFullPath(hostWebview.obtainFullUrl(), path);
                                    } else {
                                        String url = hostWebview.obtainApp().convert2AbsFullPath(hostWebview.obtainFullUrl(), path);
                                        if (url.startsWith("/")) {
                                            url = url.substring(1, url.length());
                                        }
                                        path = url;
                                    }
                                    is = WebResUtil.getEncryptionInputStream(path, hostWebview.obtainApp());
                                }
                                if (is != null) {
                                    try {
                                        String itemStr = new String(IOUtil.toString(is));
                                        if (!TextUtils.isEmpty(itemStr)) {
                                            js = js + itemStr;
                                        }
                                    } catch (Exception e2) {
                                    }
                                } else if (callback != null) {
                                    data.put("type", -1);
                                    data.put("msg", path + DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_msg_cannot_find_file_by_path));
                                    callback.invoke(data);
                                }
                            }
                            if (!TextUtils.isEmpty(js)) {
                                WXBridgeManager.getInstance().syncExecJsOnInstanceWithResult(PlusModule.this.mWXSDKInstance.getInstanceId(), js, -1);
                                if (callback != null) {
                                    data.put("type", 1);
                                    callback.invoke(data);
                                }
                            }
                        } else if (callback != null) {
                            data.put("type", -1);
                            data.put("msg", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_msg_page_destroyed));
                            callback.invoke(data);
                        }
                    }
                }, true);
            } else if (callback != null) {
                data.put("type", -1);
                data.put("msg", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_msg_param_invalid));
                callback.invoke(data);
            }
        } else if (callback != null) {
            data.put("type", -1);
            data.put("msg", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_msg_param_empty));
            callback.invoke(data);
        }
    }

    @JSMethod
    public void getHostInfo(JSCallback callback) {
        JSONObject hostinfo;
        if (callback != null) {
            JSONObject info = new JSONObject();
            IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (hostWebview == null || hostWebview.obtainApp() == null) {
                callback.invoke(info);
                return;
            }
            String infoStr = hostWebview.obtainApp().obtainAppInfo();
            if (PdrUtil.isEmpty(infoStr)) {
                callback.invoke(info);
                return;
            }
            if (PdrUtil.isUniMPHostForUniApp()) {
                if (!SDK.isUniMP) {
                    JSONObject hostinfo2 = JSON.parseObject(infoStr);
                    if (hostinfo2 != null) {
                        info.putAll(hostinfo2);
                    }
                } else if (!PdrUtil.isEmpty(SDK.mHostInfo) && (hostinfo = JSON.parseObject(SDK.mHostInfo)) != null) {
                    info.putAll(hostinfo);
                }
            }
            info.put("nativeName", (Object) AndroidResources.appName);
            info.put("nativeAppid", (Object) AndroidResources.packageName);
            info.put("nativeVersionName", (Object) AndroidResources.versionName);
            info.put("nativeVersionCode", (Object) Integer.valueOf(AndroidResources.versionCode));
            callback.invoke(info);
        }
    }

    @JSMethod(uiThread = false)
    public int getAppState() {
        IActivityHandler handler;
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        if (hostWebview == null || (handler = DCloudAdapterUtil.getIActivityHandler(hostWebview.getActivity())) == null) {
            return 0;
        }
        return handler.getActivityState();
    }

    @JSMethod(uiThread = false)
    public JSONObject getSystemInfoSync() {
        JSONObject info = new JSONObject();
        try {
            IWebview hostWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (!(hostWebview == null || hostWebview.obtainApp() == null)) {
                info = JSON.parseObject(hostWebview.obtainApp().getSystemInfo());
                boolean booleanValue = DeviceInfo.isSystemNightMode(hostWebview.getActivity()).booleanValue();
                String theme = DCBlurDraweeView.DARK;
                info.put("osTheme", (Object) (booleanValue ? theme : DCBlurDraweeView.LIGHT));
                info.put("ua", (Object) hostWebview.getWebviewProperty(IWebview.USER_AGENT));
                String oaid = "";
                if (DeviceInfo.oaids != null) {
                    String[] idArray = DeviceInfo.oaids.split("\\|");
                    if (idArray.length > 0) {
                        oaid = idArray[0];
                    }
                    info.put("oaid", (Object) oaid);
                } else {
                    info.put("oaid", (Object) oaid);
                }
                info.put("browserVersion", (Object) WebViewFactory.getWebViewUserAgentVersion(hostWebview.getContext()));
                String outOrientation = "portrait";
                if (hostWebview.getActivity().getResources().getConfiguration().orientation == 2) {
                    outOrientation = "landscape";
                }
                info.put("deviceOrientation", (Object) outOrientation);
                info.put("deviceId", (Object) TelephonyUtil.getDCloudDeviceID(hostWebview.getActivity()));
                if (SDK.isUniMP) {
                    info.put("hostPackageName", (Object) hostWebview.getContext().getPackageName());
                    info.put("hostVersion", (Object) AndroidResources.versionName);
                    info.put("hostName", (Object) AndroidResources.appName);
                    if (!PdrUtil.isEquals("auto", SDK.hostAppThemeDark)) {
                        theme = SDK.hostAppThemeDark;
                    } else if (((UiModeManager) hostWebview.getContext().getSystemService("uimode")).getNightMode() != 2) {
                        theme = DCBlurDraweeView.LIGHT;
                    }
                    info.put("hostTheme", (Object) theme);
                    if (PdrUtil.isUniMPHostForUniApp()) {
                        info.put("hostLanguage", (Object) LanguageUtil.getDeviceDefLocalLanguage());
                        boolean z = SDK.isUniMP;
                    } else {
                        info.put("hostLanguage", (Object) LanguageUtil.getDeviceDefLocalLanguage());
                    }
                }
            }
        } catch (Exception e) {
        }
        return info;
    }

    @JSMethod(uiThread = true)
    public void getSystemInfo(UniJSCallback jsCallback) {
        jsCallback.invoke(getSystemInfoSync());
    }

    @JSMethod(uiThread = false)
    public JSONObject getSystemSetting() {
        Context context = this.mWXSDKInstance.getContext();
        JSONObject result = new JSONObject();
        try {
            result.put("bluetoothEnabled", (Object) Boolean.valueOf(DeviceInfo.blueToothEnable(context)));
        } catch (Exception e) {
            e.printStackTrace();
            result.put("bluetoothError", (Object) "Missing permissions required by BluetoothAdapter.isEnabled: android.permission.BLUETOOTH");
        }
        result.put("locationEnabled", (Object) Boolean.valueOf(DeviceInfo.locationEnable(context)));
        try {
            result.put("wifiEnabled", (Object) Boolean.valueOf(DeviceInfo.wifiEnable(context)));
        } catch (Exception e2) {
            result.put("wifiError", (Object) "Missing permissions required by WifiManager.isWifiEnabled: android.permission.ACCESS_WIFI_STATE");
        }
        result.put("deviceOrientation", (Object) DeviceInfo.deviceOrientation(context));
        return result;
    }

    @JSMethod(uiThread = false)
    public JSONObject getAppAuthorizeSetting() {
        String coarseLocationResult;
        String recordAudioResult;
        String recordAudioResult2;
        Context context = this.mWXSDKInstance.getContext();
        JSONObject result = new JSONObject();
        boolean cameraGranted = PermissionUtil.checkPermissions(context, new String[]{"android.permission.CAMERA"});
        String str = IApp.AUTHORITY_AUTHORIZED;
        String cameraResult = cameraGranted ? str : "denied";
        if (!cameraGranted && !PermissionUtil.hasDefinedInManifest(context, "android.permission.CAMERA")) {
            cameraResult = "config error";
        }
        result.put("cameraAuthorized", (Object) cameraResult);
        boolean coarseLocationGranted = PermissionUtil.checkPermissions(context, new String[]{"android.permission.ACCESS_COARSE_LOCATION"});
        if (coarseLocationGranted) {
            coarseLocationResult = str;
        } else {
            coarseLocationResult = "denied";
        }
        if (!coarseLocationGranted && !PermissionUtil.hasDefinedInManifest(context, "android.permission.ACCESS_COARSE_LOCATION")) {
            coarseLocationResult = "config error";
        }
        result.put("locationAuthorized", (Object) coarseLocationResult);
        boolean fineLocationGranted = PermissionUtil.checkPermissions(context, new String[]{"android.permission.ACCESS_FINE_LOCATION"});
        String accuracy = coarseLocationGranted ? "reduced" : "unsupported";
        if (coarseLocationGranted && fineLocationGranted) {
            accuracy = "full";
        }
        result.put("locationAccuracy", (Object) accuracy);
        boolean recordAudioGranted = PermissionUtil.checkPermissions(context, new String[]{"android.permission.RECORD_AUDIO"});
        if (recordAudioGranted) {
            recordAudioResult = str;
        } else {
            recordAudioResult = "denied";
        }
        if (recordAudioGranted || PermissionUtil.hasDefinedInManifest(context, "android.permission.RECORD_AUDIO")) {
            recordAudioResult2 = recordAudioResult;
        } else {
            recordAudioResult2 = "config error";
        }
        result.put("microphoneAuthorized", (Object) recordAudioResult2);
        if (!NotificationManagerCompat.from(context).areNotificationsEnabled()) {
            str = "denied";
        }
        result.put("notificationAuthorized", (Object) str);
        result.put("albumAuthorized", (Object) Constants.Name.UNDEFINED);
        result.put("bluetoothAuthorized", (Object) Constants.Name.UNDEFINED);
        result.put("locationReducedAccuracy", (Object) Constants.Name.UNDEFINED);
        result.put("notificationAlertAuthorized", (Object) Constants.Name.UNDEFINED);
        result.put("notificationBadgeAuthorized", (Object) Constants.Name.UNDEFINED);
        result.put("notificationSoundAuthorized", (Object) Constants.Name.UNDEFINED);
        return result;
    }

    @JSMethod(uiThread = false)
    public void openAppAuthorizeSetting(JSCallback callback) {
        JSONObject jsonObject = new JSONObject();
        try {
            Context context = this.mWXSDKInstance.getContext();
            Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS");
            intent.setData(Uri.fromParts("package", context.getPackageName(), null));
            context.startActivity(intent);
            jsonObject.put("type", (Object) WXImage.SUCCEED);
            jsonObject.put("code", (Object) 0);
        } catch (Exception e) {
            e.printStackTrace();
            jsonObject.put("type", (Object) Constants.Event.FAIL);
        }
        callback.invoke(jsonObject);
    }

    @JSMethod(uiThread = false)
    public void hasClientKey(JSONObject jsonObject, JSCallback jsCallback) {
        if (SDK.isUniMPSDK() || BaseInfo.isStandardBase(this.mWXSDKInstance.getContext())) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.NOT_SUPPORT_MP_OR_BASE));
            return;
        }
        String spaceId = (String) jsonObject.get("spaceId");
        String provider = (String) jsonObject.get(d.M);
        if (PdrUtil.isEmpty(spaceId) || PdrUtil.isEmpty(provider)) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
        } else {
            jsCallback.invoke(Result.boxSuccessResult(Boolean.valueOf(!PdrUtil.isEmpty(getClientKey(spaceId, provider)))));
        }
    }

    @JSMethod(uiThread = false)
    public void encryptGetClientKeyPayload(JSONObject jsonObject, JSCallback jsCallback) {
        if (SDK.isUniMPSDK() || BaseInfo.isStandardBase(this.mWXSDKInstance.getContext())) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.NOT_SUPPORT_MP_OR_BASE));
        } else if (jsonObject != null && jsCallback != null) {
            String appKey = AndroidResources.getMetaValue("dcloud_sn_appkey");
            String content = jsonObject.toJSONString();
            if (PdrUtil.isEmpty(appKey)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.APP_KEY_IS_NULL));
            } else if (!PdrUtil.isEmpty(content)) {
                String response = WXBridgeManager.getInstance().encryptGetClientKeyPayload(BaseInfo.sDefaultBootApp, content, appKey);
                if (PdrUtil.isEmpty(response)) {
                    jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.ENCRYPT_CLIENT_KEY_PAYLOAD_ERROR));
                    return;
                }
                JSONObject object = JSON.parseObject(response);
                if (object != null) {
                    jsCallback.invoke(Result.boxSuccessResult(object));
                } else {
                    jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.NATIVE_JSON_FORMAT_ERROR));
                }
            } else {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.JSON_FORMAT_ERROR));
            }
        } else if (jsCallback != null) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
        }
    }

    @JSMethod(uiThread = false)
    public void setClientKey(JSONObject jsonObject, JSCallback jsCallback) {
        if (SDK.isUniMPSDK() || BaseInfo.isStandardBase(this.mWXSDKInstance.getContext())) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.NOT_SUPPORT_MP_OR_BASE));
        } else if (jsonObject != null) {
            String appKey = AndroidResources.getMetaValue("dcloud_sn_appkey");
            String jsonString = jsonObject.toJSONString();
            String spaceId = (String) jsonObject.get("spaceId");
            String provider = (String) jsonObject.get(d.M);
            if (PdrUtil.isEmpty(spaceId) || PdrUtil.isEmpty(provider)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
            } else if (PdrUtil.isEmpty(appKey)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.APP_KEY_IS_NULL));
            } else if (WXBridgeManager.getInstance().verifyClientKeyPayload(BaseInfo.sDefaultBootApp, appKey, jsonString)) {
                Context context = this.mWXSDKInstance.getContext();
                SharedPreferences.Editor editor = context.getSharedPreferences(HELP_LOG_HASH + BaseInfo.sDefaultBootApp + provider + spaceId, 0).edit();
                editor.putString("HELP_LOG_HASH", jsonString);
                editor.commit();
                jsCallback.invoke(Result.boxSuccessResult(true));
            } else {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.CLIENT_KEY_ILLEGAL));
            }
        } else if (jsCallback != null) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
        }
    }

    private String getClientKey(String spaceId, String provider) {
        Context context = this.mWXSDKInstance.getContext();
        return context.getSharedPreferences(HELP_LOG_HASH + BaseInfo.sDefaultBootApp + provider + spaceId, 0).getString("HELP_LOG_HASH", "");
    }

    @JSMethod(uiThread = false)
    public void encrypt(JSONObject jsonObject, JSCallback jsCallback) {
        if (SDK.isUniMPSDK() || BaseInfo.isStandardBase(this.mWXSDKInstance.getContext())) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.NOT_SUPPORT_MP_OR_BASE));
        } else if (jsonObject != null && jsCallback != null) {
            String appKey = AndroidResources.getMetaValue("dcloud_sn_appkey");
            String data = (String) jsonObject.get("data");
            String spaceId = (String) jsonObject.get("spaceId");
            String provider = (String) jsonObject.get(d.M);
            if (PdrUtil.isEmpty(data) || PdrUtil.isEmpty(spaceId) || PdrUtil.isEmpty(provider)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
                return;
            }
            String clientKey = getClientKey(spaceId, provider);
            if (PdrUtil.isEmpty(appKey)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.APP_KEY_IS_NULL));
            } else if (PdrUtil.isEmpty(clientKey)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.CLIENT_KEY_IS_NULL));
            } else {
                String encrypt = WXBridgeManager.getInstance().encrypt(BaseInfo.sDefaultBootApp, data, appKey, clientKey);
                if (PdrUtil.isEmpty(encrypt)) {
                    jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.ENCRYPT_ERROR));
                } else {
                    jsCallback.invoke(Result.boxSuccessResult(JSON.parse(encrypt)));
                }
            }
        } else if (jsCallback != null) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
        }
    }

    @JSMethod(uiThread = false)
    public void decrypt(JSONObject jsonObject, JSCallback jsCallback) {
        if (SDK.isUniMPSDK() || BaseInfo.isStandardBase(this.mWXSDKInstance.getContext())) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.NOT_SUPPORT_MP_OR_BASE));
        } else if (jsonObject != null && jsCallback != null) {
            String appKey = AndroidResources.getMetaValue("dcloud_sn_appkey");
            String key = (String) jsonObject.get("key");
            String spaceId = (String) jsonObject.get("spaceId");
            String provider = (String) jsonObject.get(d.M);
            if (PdrUtil.isEmpty((String) jsonObject.get("data")) || PdrUtil.isEmpty(key) || PdrUtil.isEmpty(spaceId) || PdrUtil.isEmpty(provider)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
                return;
            }
            String clientKey = getClientKey(spaceId, provider);
            if (PdrUtil.isEmpty(appKey)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.APP_KEY_IS_NULL));
            } else if (PdrUtil.isEmpty(clientKey)) {
                jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.CLIENT_KEY_IS_NULL));
            } else {
                String decrypt = WXBridgeManager.getInstance().decrypt(BaseInfo.sDefaultBootApp, jsonObject.toJSONString(), appKey, clientKey);
                if (PdrUtil.isEmpty(decrypt)) {
                    jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.DECRYPT_ERROR));
                    return;
                }
                JSONObject result = new JSONObject();
                result.put("data", (Object) decrypt);
                jsCallback.invoke(Result.boxSuccessResult(result));
            }
        } else if (jsCallback != null) {
            jsCallback.invoke(Result.boxFailResult(SecureNetworkResult.PARAMS_IS_NULL));
        }
    }
}
