package io.dcloud.feature.weex.extend;

import android.content.Intent;
import android.net.Uri;
import android.text.TextUtils;
import com.igexin.push.core.b;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.WXModule;
import java.util.HashMap;
import java.util.Map;

public class WXEventModule extends WXModule {
    private static final int CAMERA_PERMISSION_REQUEST_CODE = 9;

    @JSMethod(uiThread = true)
    public void openURL(String url) {
        if (!TextUtils.isEmpty(url)) {
            String scheme = Uri.parse(url).getScheme();
            StringBuilder builder = new StringBuilder();
            if (TextUtils.equals("http", scheme) || TextUtils.equals("https", scheme) || TextUtils.equals("file", scheme)) {
                builder.append(url);
            } else {
                builder.append("http:");
                builder.append(url);
            }
            Uri uri = Uri.parse(builder.toString());
            Intent intent = new Intent("android.intent.action.VIEW", uri);
            intent.setData(uri);
            this.mWXSDKInstance.getContext().startActivity(intent);
            if (this.mWXSDKInstance.checkModuleEventRegistered("event", this)) {
                this.mWXSDKInstance.fireModuleEvent("event", this, new HashMap<>());
            }
        }
    }

    @JSMethod(uiThread = true)
    public void fireNativeGlobalEvent(String event, JSCallback callback) {
        Map<String, Object> params = new HashMap<>();
        params.put("eventParam", "value");
        this.mWXSDKInstance.fireGlobalEventCallback(event, params);
        if (callback != null) {
            Map<String, Boolean> result = new HashMap<>();
            result.put(b.y, true);
            callback.invoke(result);
        }
    }

    @Override // com.taobao.weex.common.WXModule
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
    }
}
