package io.dcloud.feature.weex_amap.Module;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.district.DistrictSearchQuery;
import com.amap.api.services.geocoder.GeocodeResult;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.amap.api.services.geocoder.RegeocodeQuery;
import com.amap.api.services.geocoder.RegeocodeResult;
import com.amap.api.services.help.Inputtips;
import com.amap.api.services.help.InputtipsQuery;
import com.amap.api.services.help.Tip;
import com.amap.api.services.poisearch.PoiResult;
import com.amap.api.services.poisearch.PoiSearch;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.component.WXImage;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.feature.uniapp.annotation.UniJSMethod;
import io.dcloud.feature.uniapp.bridge.UniJSCallback;
import io.dcloud.feature.uniapp.common.UniModule;
import io.dcloud.feature.weex_amap.R;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.feature.weex_amap.adapter.MapResourceUtils;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class WXMapSearchModule extends UniModule {
    @UniJSMethod(uiThread = true)
    public void reverseGeocode(JSONObject data, final UniJSCallback callback) {
        final Map<String, Object> params = new HashMap<>();
        params.put(AbsoluteConst.JSONKEY_MAP_COORD_TYPE, "gcj02");
        LatLonPoint point = MapResourceUtils.createLatLonPoint(data.getJSONObject("point"));
        if (data == null || point == null) {
            params.put("type", Constants.Event.FAIL);
            params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_param_error));
            if (callback != null) {
                callback.invoke(params);
                return;
            }
            return;
        }
        try {
            GeocodeSearch geocodeSearch = new GeocodeSearch(this.mWXSDKInstance.getContext());
            geocodeSearch.setOnGeocodeSearchListener(new GeocodeSearch.OnGeocodeSearchListener() {
                /* class io.dcloud.feature.weex_amap.Module.WXMapSearchModule.AnonymousClass1 */

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onRegeocodeSearched(RegeocodeResult result, int i) {
                    if (i != 1000) {
                        if (i == 1001) {
                            params.put("type", Constants.Event.FAIL);
                            params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_key_invalid));
                        } else if (i != 1804) {
                            params.put("type", Constants.Event.FAIL);
                            Map map = params;
                            map.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_unknown_reason) + " errorCode=" + i);
                        } else {
                            params.put("type", Constants.Event.FAIL);
                            params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_network_error));
                        }
                    } else if (result == null || result.getRegeocodeAddress() == null || result.getRegeocodeAddress().getFormatAddress() == null) {
                        params.put("type", Constants.Event.FAIL);
                        params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_no_search_result));
                    } else {
                        String ress = result.getRegeocodeAddress().getFormatAddress();
                        params.put("type", WXImage.SUCCEED);
                        params.put("address", ress);
                    }
                    UniJSCallback uniJSCallback = callback;
                    if (uniJSCallback != null) {
                        uniJSCallback.invoke(params);
                    }
                }

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onGeocodeSearched(GeocodeResult geocodeResult, int i) {
                }
            });
            geocodeSearch.getFromLocationAsyn(new RegeocodeQuery(point, (float) 3000, GeocodeSearch.AMAP));
        } catch (Exception e) {
        }
    }

    @UniJSMethod(uiThread = true)
    public void poiKeywordsSearch(JSONObject data, UniJSCallback callback) {
        if (data != null) {
            searchPOI(data, true, data.getString(DistrictSearchQuery.KEYWORDS_CITY), MapResourceUtils.createLatLonPoint(data.getJSONObject("point")), callback);
        }
    }

    @UniJSMethod(uiThread = true)
    public void poiSearchNearBy(final JSONObject data, final UniJSCallback callback) {
        final LatLonPoint point = MapResourceUtils.createLatLonPoint(data.getJSONObject("point"));
        if (data != null && point != null) {
            if (data.containsKey(DistrictSearchQuery.KEYWORDS_CITY)) {
                searchPOI(data, false, data.getString(DistrictSearchQuery.KEYWORDS_CITY), point, callback);
            }
            getCityKey(new RegeocodeQuery(point, 200.0f, GeocodeSearch.AMAP), new ICallBack() {
                /* class io.dcloud.feature.weex_amap.Module.WXMapSearchModule.AnonymousClass2 */

                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    if (pArgs == null) {
                        return null;
                    }
                    WXMapSearchModule.this.searchPOI(data, false, pArgs.toString(), point, callback);
                    return null;
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void searchPOI(JSONObject data, boolean isKeywords, String city, LatLonPoint point, final UniJSCallback callback) {
        String city2;
        Exception e;
        int size;
        final Map<String, Object> params = new HashMap<>();
        int pageNum = 1;
        if (data.containsKey("index")) {
            pageNum = data.getIntValue("index");
        }
        String ctgr = "";
        if (data.containsKey("types")) {
            ctgr = data.getString("types");
        }
        boolean isDistanceSort = true;
        if (data.containsKey("sortrule") && Integer.valueOf(data.getString("sortrule")).intValue() != 0) {
            isDistanceSort = false;
        }
        int pageSize = 10;
        if (data.containsKey("offset") && (size = Integer.valueOf(data.getString("offset")).intValue()) > 0) {
            pageSize = size;
        }
        if (city == null) {
            city2 = "";
        } else {
            city2 = city;
        }
        PoiSearch.Query query = new PoiSearch.Query(data.getString("key"), ctgr, city2);
        query.setPageSize(pageSize);
        query.setDistanceSort(isDistanceSort);
        query.setPageNum(pageNum);
        if (data.containsKey("cityLimit")) {
            query.setCityLimit(Boolean.valueOf(data.getString("cityLimit")).booleanValue());
        }
        try {
            PoiSearch poiSearch = new PoiSearch(this.mWXSDKInstance.getContext(), query);
            if (!isKeywords) {
                int radius = 3000;
                if (data.containsKey(Constant.Name.RADIUS)) {
                    radius = data.getIntValue(Constant.Name.RADIUS);
                }
                poiSearch.setBound(new PoiSearch.SearchBound(point, radius, isDistanceSort));
            }
            if (point != null) {
                query.setLocation(point);
            }
            try {
                poiSearch.setOnPoiSearchListener(new PoiSearch.OnPoiSearchListener() {
                    /* class io.dcloud.feature.weex_amap.Module.WXMapSearchModule.AnonymousClass3 */

                    @Override // com.amap.api.services.poisearch.PoiSearch.OnPoiSearchListener
                    public void onPoiSearched(PoiResult result, int i) {
                        if (i != 1000) {
                            if (i == 1001) {
                                params.put("type", Constants.Event.FAIL);
                                params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_key_invalid));
                            } else if (i != 1804) {
                                params.put("type", Constants.Event.FAIL);
                                Map map = params;
                                map.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_unknown_reason) + " errorCode=" + i);
                            } else {
                                params.put("type", Constants.Event.FAIL);
                                params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_network_error));
                            }
                        } else if (!(result == null || result.getQuery() == null)) {
                            int currentNumber = result.getPois().size();
                            int pageNumber = result.getPageCount();
                            int pageIndex = result.getQuery().getPageNum();
                            ArrayList<PoiItem> pArray = result.getPois();
                            params.put("currentNumber", Integer.valueOf(currentNumber));
                            params.put("pageNumber", Integer.valueOf(pageNumber));
                            params.put("pageIndex", Integer.valueOf(pageIndex));
                            params.put("poiList", WXMapSearchModule.this.toPositionArray(pArray));
                        }
                        UniJSCallback uniJSCallback = callback;
                        if (uniJSCallback != null) {
                            uniJSCallback.invoke(params);
                        }
                    }

                    @Override // com.amap.api.services.poisearch.PoiSearch.OnPoiSearchListener
                    public void onPoiItemSearched(PoiItem poiItem, int i) {
                    }
                });
                poiSearch.searchPOIAsyn();
            } catch (Exception e2) {
                e = e2;
            }
        } catch (Exception e3) {
            e = e3;
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private JSONArray toPositionArray(ArrayList<PoiItem> pArray) {
        JSONArray data = new JSONArray();
        if (pArray != null) {
            Iterator<PoiItem> it = pArray.iterator();
            while (it.hasNext()) {
                PoiItem poi = it.next();
                JSONObject item = new JSONObject();
                if (poi.getLatLonPoint() != null) {
                    JSONObject location = new JSONObject();
                    location.put(Constant.JSONKEY.LATITUDE, (Object) Double.valueOf(poi.getLatLonPoint().getLatitude()));
                    location.put(Constant.JSONKEY.LONGITUDE, (Object) Double.valueOf(poi.getLatLonPoint().getLongitude()));
                    item.put("location", (Object) location);
                }
                item.put("distance", (Object) Integer.valueOf(poi.getDistance()));
                item.put("address", (Object) PdrUtil.makeQueryStringAllRegExp(poi.getSnippet()));
                item.put(DistrictSearchQuery.KEYWORDS_CITY, (Object) PdrUtil.makeQueryStringAllRegExp(poi.getCityName()));
                item.put("name", (Object) PdrUtil.makeQueryStringAllRegExp(poi.getTitle()));
                item.put("phone", (Object) poi.getTel());
                item.put("postcode", (Object) poi.getPostcode());
                item.put(DistrictSearchQuery.KEYWORDS_PROVINCE, (Object) poi.getProvinceName());
                item.put(DistrictSearchQuery.KEYWORDS_DISTRICT, (Object) poi.getAdName());
                item.put("type", (Object) poi.getTypeDes());
                item.put("typecode", (Object) poi.getTypeCode());
                item.put("adcode", (Object) poi.getAdCode());
                data.add(item);
            }
        }
        return data;
    }

    @UniJSMethod(uiThread = true)
    public void inputTipsSearch(JSONObject data, final UniJSCallback callback) {
        if (data != null) {
            InputtipsQuery query = new InputtipsQuery(data.getString("key"), data.getString(DistrictSearchQuery.KEYWORDS_CITY));
            if (data.containsKey("types")) {
                query.setType(data.getString("types"));
            }
            if (data.containsKey("point")) {
                query.setLocation(MapResourceUtils.createLatLonPoint(data.getJSONObject("point")));
            }
            final Map<String, Object> params = new HashMap<>();
            Inputtips inputtips = new Inputtips(this.mWXSDKInstance.getContext(), query);
            inputtips.setInputtipsListener(new Inputtips.InputtipsListener() {
                /* class io.dcloud.feature.weex_amap.Module.WXMapSearchModule.AnonymousClass4 */

                @Override // com.amap.api.services.help.Inputtips.InputtipsListener
                public void onGetInputtips(List<Tip> list, int i) {
                    if (i == 1000) {
                        params.put("type", WXImage.SUCCEED);
                        params.put("code", 0);
                        JSONArray array = WXMapSearchModule.this.getTips(list);
                        params.put("count", Integer.valueOf(array.size()));
                        params.put("tips", array);
                    } else {
                        params.put("type", Constants.Event.FAIL);
                        params.put("code", Integer.valueOf(i));
                        params.put("message", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_search_error));
                    }
                    UniJSCallback uniJSCallback = callback;
                    if (uniJSCallback != null) {
                        uniJSCallback.invoke(params);
                    }
                }
            });
            inputtips.requestInputtipsAsyn();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private JSONArray getTips(List<Tip> list) {
        JSONArray array = new JSONArray();
        for (int i = 0; i < list.size(); i++) {
            Tip tip = list.get(i);
            if (tip.getPoint() != null) {
                JSONObject item = new JSONObject();
                item.put("name", (Object) tip.getName());
                item.put("address", (Object) tip.getAddress());
                item.put(DistrictSearchQuery.KEYWORDS_DISTRICT, (Object) tip.getDistrict());
                item.put("adcode", (Object) tip.getAdcode());
                item.put("typecode", (Object) tip.getTypeCode());
                JSONObject l = new JSONObject();
                l.put(Constant.JSONKEY.LATITUDE, (Object) Double.valueOf(tip.getPoint().getLatitude()));
                l.put(Constant.JSONKEY.LONGITUDE, (Object) Double.valueOf(tip.getPoint().getLatitude()));
                item.put("location", (Object) l);
                array.add(item);
            }
        }
        return array;
    }

    private void getCityKey(RegeocodeQuery regeocodeQuery, final ICallBack callBack) {
        try {
            GeocodeSearch search = new GeocodeSearch(this.mWXSDKInstance.getContext());
            search.setOnGeocodeSearchListener(new GeocodeSearch.OnGeocodeSearchListener() {
                /* class io.dcloud.feature.weex_amap.Module.WXMapSearchModule.AnonymousClass5 */

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onRegeocodeSearched(RegeocodeResult regeocodeResult, int i) {
                    if (regeocodeResult == null || regeocodeResult.getRegeocodeAddress() == null) {
                        callBack.onCallBack(-1, null);
                    } else {
                        callBack.onCallBack(1, regeocodeResult.getRegeocodeAddress().getCity());
                    }
                }

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onGeocodeSearched(GeocodeResult geocodeResult, int i) {
                }
            });
            search.getFromLocationAsyn(regeocodeQuery);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @UniJSMethod(uiThread = false)
    public String getProvider() {
        return "amap";
    }
}
