package io.dcloud.feature.weex_amap.adapter;

import android.text.TextUtils;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.amap.api.maps.model.LatLng;
import com.amap.api.services.core.LatLonPoint;
import com.taobao.weex.utils.WXResourceUtils;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.ArrayList;

public class MapResourceUtils {
    public static int getColor(String strColor) {
        if (!TextUtils.isEmpty(strColor) && strColor.length() == 9 && strColor.startsWith("#")) {
            strColor = "#" + strColor.substring(7, 9) + strColor.substring(1, 7);
        }
        return WXResourceUtils.getColor(strColor);
    }

    public static ArrayList<LatLng> crateLatLngs(JSONArray s) {
        LatLng l;
        ArrayList<LatLng> m = new ArrayList<>();
        for (int i = 0; i < s.size(); i++) {
            try {
                Object value = s.get(i);
                if (!(value == null || !(value instanceof JSONObject) || (l = crateLatLng((JSONObject) value)) == null)) {
                    m.add(l);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return m;
    }

    public static LatLng crateLatLng(JSONObject item) {
        if (item == null || !item.containsKey(Constant.JSONKEY.LATITUDE) || !item.containsKey(Constant.JSONKEY.LONGITUDE)) {
            return null;
        }
        try {
            return new LatLng(item.getDouble(Constant.JSONKEY.LATITUDE).doubleValue(), item.getDouble(Constant.JSONKEY.LONGITUDE).doubleValue());
        } catch (Exception e) {
            return null;
        }
    }

    public static JSONObject createJsLatLng(LatLng latLng) {
        JSONObject json = new JSONObject();
        if (latLng != null) {
            json.put(Constant.JSONKEY.LATITUDE, (Object) Double.valueOf(latLng.latitude));
            json.put(Constant.JSONKEY.LONGITUDE, (Object) Double.valueOf(latLng.longitude));
        }
        return json;
    }

    public static LatLonPoint createLatLonPoint(JSONObject item) {
        if (item == null || !item.containsKey(Constant.JSONKEY.LATITUDE) || !item.containsKey(Constant.JSONKEY.LONGITUDE)) {
            return null;
        }
        try {
            return new LatLonPoint(item.getDouble(Constant.JSONKEY.LATITUDE).doubleValue(), item.getDouble(Constant.JSONKEY.LONGITUDE).doubleValue());
        } catch (Exception e) {
            return null;
        }
    }

    public static LatLng crateLatLng(Object latitude, Object longitude) {
        if (latitude == null || longitude == null) {
            return null;
        }
        try {
            return new LatLng(Double.valueOf(latitude.toString()).doubleValue(), Double.valueOf(longitude.toString()).doubleValue());
        } catch (Exception e) {
            return null;
        }
    }

    public static boolean equalsLatLng(LatLng lat1, LatLng lat2) {
        if (lat1 == null || lat2 == null || lat1.latitude != lat2.latitude || lat2.longitude != lat1.longitude) {
            return false;
        }
        return true;
    }

    public static int getJSONIntValue(String value) {
        try {
            return Integer.parseInt(value);
        } catch (Exception e) {
            try {
                return (int) Float.parseFloat(value);
            } catch (Exception e2) {
                try {
                    return (int) Double.parseDouble(value);
                } catch (Exception e3) {
                    return 0;
                }
            }
        }
    }

    public static Object getId(String value) {
        try {
            return Integer.valueOf(Integer.parseInt(value));
        } catch (Exception e) {
            try {
                return Integer.valueOf((int) Float.parseFloat(value));
            } catch (Exception e2) {
                return value;
            }
        }
    }
}
