package io.dcloud.feature.weex_amap.adapter.control;

import android.widget.FrameLayout;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import io.dcloud.feature.weex_amap.adapter.MapAbsMgr;
import io.dcloud.feature.weex_amap.adapter.WXMapView;
import java.util.HashMap;
import java.util.concurrent.ConcurrentHashMap;

public class ControlMgr extends MapAbsMgr {
    private ConcurrentHashMap<String, ControlView> mConcurrentCaches = new ConcurrentHashMap<>();
    private FrameLayout mControlRootView;
    private String mRef;

    public ControlMgr(WXSDKInstance instance, String ref, WXMapView map, FrameLayout container) {
        super(instance, map);
        this.mRef = ref;
        FrameLayout frameLayout = new FrameLayout(instance.getContext());
        this.mControlRootView = frameLayout;
        container.addView(frameLayout, 1, new FrameLayout.LayoutParams(-1, -1));
    }

    public void setControls(JSONArray array) {
        String id;
        if (array != null && array.size() > 0) {
            HashMap<String, ControlView> linshi = new HashMap<>();
            for (int i = 0; i < array.size(); i++) {
                JSONObject item = array.getJSONObject(i);
                String id2 = String.valueOf(item.hashCode());
                if (item.containsKey("id")) {
                    id = item.getString("id");
                } else {
                    id = id2;
                }
                if (this.mConcurrentCaches.containsKey(id)) {
                    ControlView controlView = this.mConcurrentCaches.remove(id);
                    controlView.update(item);
                    linshi.put(id, controlView);
                } else {
                    linshi.put(id, new ControlView(this.mInstance, this.mRef, id, item, this.mControlRootView));
                }
            }
            removeDiscardControl(this.mConcurrentCaches);
            this.mConcurrentCaches.putAll(linshi);
        }
    }

    private void removeDiscardControl(ConcurrentHashMap<String, ControlView> caches) {
        for (int i = 0; i < caches.size(); i++) {
            caches.get(Integer.valueOf(i)).destroy();
        }
        this.mConcurrentCaches.clear();
    }
}
