package io.dcloud.feature.weex_amap.adapter.control;

import android.content.Context;
import android.graphics.Bitmap;
import android.net.Uri;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.uniapp.utils.UniUtils;
import io.dcloud.feature.uniapp.utils.bitmap.BitmapLoadCallback;
import io.dcloud.feature.weex.adapter.FrescoLoadUtil;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.feature.weex_amap.adapter.MapResourceUtils;
import java.util.HashMap;
import java.util.Map;

public class ControlView {
    public boolean clickable = false;
    public String iconPath;
    public String id;
    private WXSDKInstance mInstance;
    private ImageView mView;
    public JSONObject position;
    private String ref;
    private FrameLayout rootView;

    public ControlView(WXSDKInstance instance, String ref2, String id2, JSONObject data, FrameLayout rootView2) {
        if (data.containsKey(Constant.JSONKEY.ICONPATH) && data.containsKey("position")) {
            this.mInstance = instance;
            this.ref = ref2;
            this.rootView = rootView2;
            this.iconPath = data.getString(Constant.JSONKEY.ICONPATH);
            this.position = data.getJSONObject("position");
            this.id = id2;
            if (data.containsKey("clickable")) {
                this.clickable = UniUtils.getBoolean(data.get("clickable"), false).booleanValue();
            }
            createView(instance.getContext(), rootView2);
        }
    }

    private void createView(Context context, FrameLayout rootView2) {
        this.mView = new ImageView(context);
        loadIcon();
    }

    public void update(JSONObject data) {
        if (data.containsKey(Constant.JSONKEY.ICONPATH)) {
            this.iconPath = data.getString(Constant.JSONKEY.ICONPATH);
        }
        if (data.containsKey("position")) {
            this.position = data.getJSONObject("position");
        }
        if (data.containsKey("clickable")) {
            this.clickable = UniUtils.getBoolean(data.get("clickable"), false).booleanValue();
        }
    }

    private void loadIcon() {
        int width = -2;
        int height = -2;
        int left = 0;
        int top = 0;
        JSONObject jSONObject = this.position;
        if (jSONObject != null) {
            if (jSONObject.containsKey("width")) {
                width = WXViewUtils.getRealPxByWidth2((float) UniUtils.parseInt(this.position.get("width")), this.mInstance.getInstanceViewPortWidthWithFloat());
            }
            if (this.position.containsKey("height")) {
                height = WXViewUtils.getRealPxByWidth2((float) UniUtils.parseInt(this.position.get("height")), this.mInstance.getInstanceViewPortWidthWithFloat());
            }
            if (this.position.containsKey("top")) {
                top = UniUtils.parseInt(this.position.get("top"));
            }
            if (this.position.containsKey("left")) {
                left = UniUtils.parseInt(this.position.get("left"));
            }
        }
        if (this.clickable) {
            this.mView.setOnClickListener(new View.OnClickListener() {
                /* class io.dcloud.feature.weex_amap.adapter.control.ControlView.AnonymousClass1 */

                public void onClick(View v) {
                    Map<String, Object> params = new HashMap<>();
                    JSONObject data = new JSONObject();
                    data.put("controlId", MapResourceUtils.getId(ControlView.this.id));
                    params.put("detail", data);
                    ControlView.this.mInstance.fireEvent(ControlView.this.ref, Constant.EVENT.BIND_CONTROL_TAP, params);
                }
            });
        } else {
            this.mView.setOnClickListener(null);
        }
        FrameLayout.LayoutParams fl = new FrameLayout.LayoutParams(width, height);
        fl.leftMargin = WXViewUtils.getRealPxByWidth2((float) left, this.mInstance.getInstanceViewPortWidthWithFloat());
        fl.topMargin = WXViewUtils.getRealPxByWidth2((float) top, this.mInstance.getInstanceViewPortWidthWithFloat());
        this.rootView.addView(this.mView, fl);
        FrescoLoadUtil.getInstance().loadImageBitmap(this.mInstance.getContext(), this.mInstance.rewriteUri(Uri.parse(this.iconPath), "image").toString(), width, height, new BitmapLoadCallback<Bitmap>() {
            /* class io.dcloud.feature.weex_amap.adapter.control.ControlView.AnonymousClass2 */

            public void onSuccess(String url, Bitmap result) {
                ControlView.this.mView.setImageBitmap(result);
            }

            @Override // io.dcloud.feature.uniapp.utils.bitmap.BitmapLoadCallback
            public void onFailure(String url, Throwable throwable) {
            }
        });
    }

    public void destroy() {
        ImageView imageView = this.mView;
        if (imageView != null) {
            imageView.setImageBitmap(null);
        }
    }
}
