package io.dcloud.feature.weex_amap.adapter.marker;

import android.content.Context;
import android.graphics.Bitmap;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.alibaba.fastjson.JSONObject;
import com.amap.api.maps.model.BitmapDescriptor;
import com.amap.api.maps.model.BitmapDescriptorFactory;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.WXComponent;
import io.dcloud.feature.weex.extend.DCCoverViewComponent;
import io.dcloud.feature.weex_amap.adapter.WXMapView;
import java.util.HashMap;

public class MarkerCustomCallout extends MarkerCallout {
    WXMapView mMapView;

    public MarkerCustomCallout(Context context, WXMarker rootMarker, JSONObject c, WXMapView mapView, float viewPort) {
        super(context, rootMarker, c, mapView, viewPort);
        this.mMapView = mapView;
        this.mRootMarker = rootMarker;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.feature.weex_amap.adapter.marker.MarkerCallout
    public BitmapDescriptor getIcon() {
        HashMap<String, String> map;
        WXComponent component;
        WXComponent component2 = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(this.mMapView.getUniSDKInstance().getInstanceId(), this.mMapView.getCoverViewCalloutComponetRef());
        if (component2 != null && (component2 instanceof DCCoverViewComponent) && (map = ((DCCoverViewComponent) component2).getCalloutMarkerIds()) != null && map.size() > 0) {
            String ref = map.get(this.mRootMarker.getId());
            if (!TextUtils.isEmpty(ref) && (component = WXSDKManager.getInstance().getWXRenderManager().getWXComponent(this.mMapView.getUniSDKInstance().getInstanceId(), ref)) != null) {
                Bitmap bitmap = getViewToBitmamp(component.getHostView());
                LinearLayout rootView = new LinearLayout(this.mContext);
                ImageView host = new ImageView(this.mContext);
                if (bitmap != null) {
                    host.setImageBitmap(bitmap);
                    initCalloutAnchor((float) bitmap.getWidth(), (float) bitmap.getHeight());
                }
                rootView.addView(host, new LinearLayout.LayoutParams(-1, -1));
                return BitmapDescriptorFactory.fromView(rootView);
            }
        }
        return super.getIcon();
    }

    public Bitmap getViewToBitmamp(View view) {
        view.setDrawingCacheEnabled(true);
        Bitmap drawingCache = view.getDrawingCache();
        if (drawingCache != null) {
            drawingCache = Bitmap.createBitmap(drawingCache);
        }
        view.setDrawingCacheEnabled(false);
        return drawingCache;
    }
}
