package io.dcloud.feature.weex_barcode;

import android.graphics.BitmapFactory;
import android.net.Uri;
import com.alibaba.fastjson.JSONArray;
import com.dcloud.zxing2.Result;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.Constants;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.ui.component.WXImage;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.feature.barcode2.decoding.CaptureActivityHandler;
import java.util.HashMap;
import java.util.Map;

public class BarcodeModule extends WXModule {
    @JSMethod
    public void scan(String filepath, JSCallback callback, JSONArray filter, boolean needAutoCharset) {
        Exception e;
        try {
            String path = this.mWXSDKInstance.rewriteUri(Uri.parse(filepath), "image").getPath();
            try {
                Result result = CaptureActivityHandler.decode(BitmapFactory.decodeFile(path), needAutoCharset);
                String str = "";
                if (result != null) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("type", WXImage.SUCCEED);
                    hashMap.put("code", result.getBarcodeFormat().toString());
                    hashMap.put("message", JSONUtil.toJSONableString(result.getText()));
                    if (path != null) {
                        str = path;
                    }
                    hashMap.put("file", str);
                    hashMap.put("charSet", result.textCharset);
                    Map<String, Object> details = new HashMap<>();
                    details.put("detail", hashMap);
                    callback.invoke(details);
                    return;
                }
                HashMap hashMap2 = new HashMap();
                hashMap2.put("type", Constants.Event.FAIL);
                hashMap2.put("code", 8);
                hashMap2.put("message", str);
                hashMap2.put("charSet", result.textCharset);
                Map<String, Object> details2 = new HashMap<>();
                details2.put("detail", hashMap2);
                callback.invoke(details2);
            } catch (Exception e2) {
                e = e2;
                HashMap hashMap3 = new HashMap();
                hashMap3.put("type", Constants.Event.FAIL);
                hashMap3.put("code", 8);
                hashMap3.put("message", e.getMessage());
                Map<String, Object> details3 = new HashMap<>();
                details3.put("detail", hashMap3);
                callback.invoke(details3);
            }
        } catch (Exception e3) {
            e = e3;
            HashMap hashMap32 = new HashMap();
            hashMap32.put("type", Constants.Event.FAIL);
            hashMap32.put("code", 8);
            hashMap32.put("message", e.getMessage());
            Map<String, Object> details32 = new HashMap<>();
            details32.put("detail", hashMap32);
            callback.invoke(details32);
        }
    }
}
