package io.dcloud.feature.weex_livepusher;

import android.app.Activity;
import android.content.Context;
import android.os.Build;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.Constants;
import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXComponentProp;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.DialogUtil;
import io.dcloud.common.util.PdrUtil;
import tv.cjump.jni.DeviceUtils;

public class PusherComponent extends WXComponent<TCPusherView> {
    private WXAttr attr;
    private boolean isInit = false;

    public PusherComponent(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
        this.attr = basicComponentData.getAttrs();
        if (!basicComponentData.getStyles().containsKey(Constants.Name.FLEX)) {
            setContentBoxMeasurement(new ContentBoxMeasurement() {
                /* class io.dcloud.feature.weex_livepusher.PusherComponent.AnonymousClass1 */

                @Override // com.taobao.weex.layout.ContentBoxMeasurement
                public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                    if (CSSConstants.isUndefined(width)) {
                        this.mMeasureWidth = WXViewUtils.getRealPxByWidth(300.0f, PusherComponent.this.getInstance().getInstanceViewPortWidthWithFloat());
                    }
                    if (CSSConstants.isUndefined(height)) {
                        this.mMeasureHeight = WXViewUtils.getRealPxByWidth(225.0f, PusherComponent.this.getInstance().getInstanceViewPortWidthWithFloat());
                    }
                }

                @Override // com.taobao.weex.layout.ContentBoxMeasurement
                public void layoutBefore() {
                }

                @Override // com.taobao.weex.layout.ContentBoxMeasurement
                public void layoutAfter(float computedWidth, float computedHeight) {
                }
            });
        }
    }

    public PusherComponent(WXSDKInstance instance, WXVContainer parent, int type, BasicComponentData basicComponentData) {
        super(instance, parent, type, basicComponentData);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public TCPusherView initComponentHostView(Context context) {
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "nvue-livepusher");
        boolean z = true;
        if (Build.CPU_ABI.equalsIgnoreCase(DeviceUtils.ABI_X86)) {
            if (!this.isInit) {
                this.isInit = true;
                DialogUtil.showDialog((Activity) context, null, context.getString(R.string.dcloud_feature_weex_livepusher_error_tips), new String[]{null});
            }
            return null;
        }
        Object position = this.attr.get("devicePosition");
        if (position != null && !position.equals("front")) {
            z = false;
        }
        return new TCPusherView(context, this, z);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public void onFinishLayout() {
        super.onFinishLayout();
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        if (getHostView() == null) {
            return true;
        }
        return super.setProperty(key, param);
    }

    @WXComponentProp(name = "url")
    public void setSrc(String src) {
        ((TCPusherView) getHostView()).setSrc(src);
    }

    @WXComponentProp(name = "mode")
    public void setMode(String mode) {
        ((TCPusherView) getHostView()).setMode(mode);
    }

    @WXComponentProp(name = "autopush")
    public void setAutoPusher(boolean isAuto) {
        ((TCPusherView) getHostView()).setAutoPush(isAuto);
    }

    @WXComponentProp(name = "muted")
    public void isMute(boolean mote) {
        ((TCPusherView) getHostView()).setMute(mote);
    }

    @WXComponentProp(name = "enableCamera")
    public void setEnableCamera(boolean isEnable) {
        ((TCPusherView) getHostView()).enableCamera(isEnable);
    }

    @WXComponentProp(name = "autoFocus")
    public void setAutoFocus(boolean isAuto) {
        ((TCPusherView) getHostView()).autoFocus(isAuto);
    }

    @WXComponentProp(name = "orientation")
    public void setorientation(String orientation) {
        ((TCPusherView) getHostView()).setOritation(orientation);
    }

    @WXComponentProp(name = "beauty")
    public void setBeauty(int beauty) {
        ((TCPusherView) getHostView()).setBeauty(beauty);
    }

    @WXComponentProp(name = "whiteness")
    public void setWhiteness(int whiteness) {
        ((TCPusherView) getHostView()).setWhite(whiteness);
    }

    @WXComponentProp(name = "aspect")
    public void setAspect(String aspect) {
    }

    @WXComponentProp(name = "minBitrate")
    public void setMinBitrate(int minBitrate) {
        ((TCPusherView) getHostView()).setMinBitrate(minBitrate);
    }

    @WXComponentProp(name = "maxBitrate")
    public void setMaxBitrate(int maxBitrate) {
        ((TCPusherView) getHostView()).setMaxBitrate(maxBitrate);
    }

    @WXComponentProp(name = "waitingImage")
    public void setWaitingImage(String waitingImage) {
        ((TCPusherView) getHostView()).setWaintImage(waitingImage);
    }

    @WXComponentProp(name = "zoom")
    public void setZoom(boolean zoom) {
        ((TCPusherView) getHostView()).setZoom(zoom);
    }

    @WXComponentProp(name = "backgroundMute")
    public void setBackgroundMute(boolean backgroundMute) {
        ((TCPusherView) getHostView()).setBGMute(backgroundMute);
    }

    @JSMethod
    public void start(JSCallback callback) {
        ((TCPusherView) getHostView()).start(callback);
    }

    @JSMethod
    public void stop(JSCallback callback) {
        ((TCPusherView) getHostView()).stopPusher(callback);
    }

    @JSMethod
    public void pause(JSCallback callback) {
        ((TCPusherView) getHostView()).pause(callback);
    }

    @JSMethod
    public void resume(JSCallback callback) {
        ((TCPusherView) getHostView()).resume(callback);
    }

    @JSMethod
    public void switchCamera(JSCallback callback) {
        ((TCPusherView) getHostView()).sCamera(callback);
    }

    @JSMethod
    public void snapshot(JSCallback success) {
        ((TCPusherView) getHostView()).snapShot(success);
    }

    @JSMethod
    public void toggleTorch(JSCallback callback) {
        ((TCPusherView) getHostView()).toggleTorch(callback);
    }

    @JSMethod
    public void playBGM(JSONObject param, JSCallback success) {
        ((TCPusherView) getHostView()).playBGM(param.getString("url"), success);
    }

    @JSMethod
    public void stopBGM(JSCallback success) {
        ((TCPusherView) getHostView()).stopBGM(success);
    }

    @JSMethod
    public void pauseBGM(JSCallback success) {
        ((TCPusherView) getHostView()).pauseBGM(success);
    }

    @JSMethod
    public void resumeBGM(JSCallback success) {
        ((TCPusherView) getHostView()).resumeBGM(success);
    }

    @JSMethod
    public void setBGMVolume(JSONObject param, JSCallback success) {
        int volume = param.getInteger("volume").intValue();
        if (!PdrUtil.isEmpty(Integer.valueOf(volume))) {
            ((TCPusherView) getHostView()).setBGNVolume(volume, success);
        }
    }

    @JSMethod
    public void startPreview(JSCallback callback) {
        ((TCPusherView) getHostView()).preview(callback);
    }

    @JSMethod
    public void stopPreview(JSCallback callback) {
        ((TCPusherView) getHostView()).stopPreview(callback);
    }

    @Override // com.taobao.weex.IWXActivityStateListener, com.taobao.weex.ui.component.WXComponent
    public void onActivityPause() {
        super.onActivityPause();
        if (getHostView() != null) {
            ((TCPusherView) getHostView()).pause(null);
        }
    }

    @Override // com.taobao.weex.IWXActivityStateListener, com.taobao.weex.ui.component.WXComponent
    public void onActivityResume() {
        super.onActivityResume();
        if (getHostView() != null) {
            ((TCPusherView) getHostView()).onResume();
        }
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        ((TCPusherView) getHostView()).stopPusher(null);
        ((TCPusherView) getHostView()).destory();
    }
}
