package io.dcloud.feature.weex_scroller.view;

import com.taobao.weex.ui.component.Scrollable;
import com.taobao.weex.ui.component.WXComponent;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class WXStickyHelper {
    private Scrollable scrollable;

    public WXStickyHelper(Scrollable scrollable2) {
        this.scrollable = scrollable2;
    }

    public void bindStickStyle(WXComponent component, Map<String, Map<String, WXComponent>> mStickyMap) {
        Scrollable scroller = component.getParentScroller();
        if (scroller != null) {
            Map<String, WXComponent> stickyMap = mStickyMap.get(scroller.getRef());
            if (stickyMap == null) {
                stickyMap = new ConcurrentHashMap();
            }
            if (!stickyMap.containsKey(component.getRef())) {
                stickyMap.put(component.getRef(), component);
                mStickyMap.put(scroller.getRef(), stickyMap);
            }
        }
    }

    public void unbindStickStyle(WXComponent component, Map<String, Map<String, WXComponent>> mStickyMap) {
        Map<String, WXComponent> stickyMap;
        Scrollable scroller = component.getParentScroller();
        if (scroller != null && (stickyMap = mStickyMap.get(scroller.getRef())) != null) {
            stickyMap.remove(component.getRef());
        }
    }
}
