package io.dcloud.feature.weex_switch;

import android.content.Context;
import android.graphics.Color;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.Constants;
import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXComponentProp;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.weex_switch.SwitchButton;
import java.util.HashMap;
import java.util.Map;

public class DCWXSwitchGroup extends WXComponent<SwitchGroup> {
    public DCWXSwitchGroup(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
        setContentBoxMeasurement(new ContentBoxMeasurement() {
            /* class io.dcloud.feature.weex_switch.DCWXSwitchGroup.AnonymousClass1 */

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                int defHeight = (int) WXViewUtils.getRealPxByWidth(31.0f, DCWXSwitchGroup.this.getInstance().getInstanceViewPortWidthWithFloat());
                int defWidth = (int) WXViewUtils.getRealPxByWidth(51.0f, DCWXSwitchGroup.this.getInstance().getInstanceViewPortWidthWithFloat());
                if (CSSConstants.isUndefined(height)) {
                    width = (float) defWidth;
                    height = (float) defHeight;
                }
                this.mMeasureWidth = width;
                this.mMeasureHeight = height;
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }
        });
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public SwitchGroup initComponentHostView(Context context) {
        return new SwitchGroup(context);
    }

    @WXComponentProp(name = Constants.Name.CHECKED)
    public void setChecked(boolean checked) {
        ((SwitchButton) ((SwitchGroup) getHostView()).getChildAt(0)).setChecked(checked);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    @WXComponentProp(name = Constants.Name.DISABLED)
    public void setDisabled(boolean disabled) {
        ((SwitchButton) ((SwitchGroup) getHostView()).getChildAt(0)).setEnabled(!disabled);
    }

    @WXComponentProp(name = "color")
    public void setColor(String color) {
        ((SwitchButton) ((SwitchGroup) getHostView()).getChildAt(0)).setCheckedColor(Color.parseColor(color));
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void addEvent(String type) {
        super.addEvent(type);
        if (type != null && type.equals(Constants.Event.CHANGE) && getHostView() != null) {
            ((SwitchButton) ((SwitchGroup) getHostView()).getChildAt(0)).setOnCheckedChangeListener(new SwitchButton.OnCheckedChangeListener() {
                /* class io.dcloud.feature.weex_switch.DCWXSwitchGroup.AnonymousClass2 */

                @Override // io.dcloud.feature.weex_switch.SwitchButton.OnCheckedChangeListener
                public void onCheckedChanged(SwitchButton view, boolean isChecked) {
                    Map<String, Object> domChanges = new HashMap<>();
                    Map<String, Object> valueMap = new HashMap<>();
                    valueMap.put("value", isChecked + "");
                    domChanges.put("detail", valueMap);
                    DCWXSwitchGroup.this.fireEvent(Constants.Event.CHANGE, domChanges);
                }
            });
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public void removeEventFromView(String type) {
        super.removeEventFromView(type);
        if (getHostView() != null && Constants.Event.CHANGE.equals(type)) {
            ((SwitchButton) ((SwitchGroup) getHostView()).getChildAt(0)).setOnCheckedChangeListener(null);
        }
    }
}
