package io.dcloud.feature.weex_switch;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import com.tencent.mm.opensdk.modelmsg.WXVideoFileObject;

public class SwitchGroup extends LinearLayout {
    private static final int DEFAULT_HEIGHT = dp2pxInt(36.0f);
    private static final int DEFAULT_WIDTH = dp2pxInt(58.0f);
    int i = 0;

    public SwitchGroup(Context context) {
        super(context);
        addView(new SwitchButton(context), new LinearLayout.LayoutParams(-1, -1));
    }

    public SwitchGroup(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public SwitchGroup(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean changed, int left, int top, int right, int bottom) {
        super.onLayout(changed, left, top, right, bottom);
        int count = getChildCount();
        for (int index = 0; index < count; index++) {
            SwitchButton child = (SwitchButton) getChildAt(index);
            child.layout(0, 0, child.getMeasuredWidth(), 0 + ((int) (((float) child.getMeasuredHeight()) + child.getShadowBottomSize())));
        }
        disableClipOnParents(this);
    }

    public void disableClipOnParents(View v) {
        int i2;
        if (v.getParent() != null) {
            if (v instanceof ViewGroup) {
                ((ViewGroup) v).setClipChildren(false);
            }
            if ((v.getParent() instanceof View) && (i2 = this.i) < 2) {
                this.i = i2 + 1;
                disableClipOnParents((View) v.getParent());
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        int widthMode = View.MeasureSpec.getMode(widthMeasureSpec);
        int heightMode = View.MeasureSpec.getMode(heightMeasureSpec);
        if (widthMode == 0 || widthMode == Integer.MIN_VALUE) {
            widthMeasureSpec = View.MeasureSpec.makeMeasureSpec(DEFAULT_WIDTH, WXVideoFileObject.FILE_SIZE_LIMIT);
        }
        if (heightMode == 0 || heightMode == Integer.MIN_VALUE) {
            heightMeasureSpec = View.MeasureSpec.makeMeasureSpec(DEFAULT_HEIGHT, WXVideoFileObject.FILE_SIZE_LIMIT);
        }
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int w, int h, int oldw, int oldh) {
        super.onSizeChanged(w, h, oldw, oldh);
    }

    private static int dp2pxInt(float dp) {
        return (int) dp2px(dp);
    }

    private static float dp2px(float dp) {
        return TypedValue.applyDimension(1, dp, Resources.getSystem().getDisplayMetrics());
    }
}
