package io.dcloud.feature.x5;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.ViewGroup;
import android.widget.AbsoluteLayout;
import android.widget.ProgressBar;
import androidx.webkit.internal.AssetHelper;
import com.alipay.sdk.m.u.b;
import com.nostra13.dcloudimageloader.core.ImageLoaderL;
import com.taobao.weex.el.parse.Operators;
import com.tencent.connect.common.Constants;
import com.tencent.smtt.export.external.interfaces.SslError;
import com.tencent.smtt.export.external.interfaces.SslErrorHandler;
import com.tencent.smtt.export.external.interfaces.WebResourceResponse;
import com.tencent.smtt.sdk.CookieSyncManager;
import com.tencent.smtt.sdk.MimeTypeMap;
import com.tencent.smtt.sdk.URLUtil;
import com.tencent.smtt.sdk.WebView;
import com.tencent.smtt.sdk.WebViewClient;
import io.dcloud.PdrR;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IDCloudWebviewClientListener;
import io.dcloud.common.DHInterface.IFrameView;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.ITitleNView;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.ui.AdaWebview;
import io.dcloud.common.adapter.ui.ReceiveJSValue;
import io.dcloud.common.adapter.ui.WaitingView;
import io.dcloud.common.adapter.ui.webview.OnPageFinishedCallack;
import io.dcloud.common.adapter.ui.webview.WebResUtil;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.DCloudTrustManager;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.InvokeExecutorHelper;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.IntentConst;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.DLGeolocation;
import io.dcloud.common.util.IOUtil;
import io.dcloud.common.util.ImageLoaderUtil;
import io.dcloud.common.util.Md5Utils;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.common.util.TitleNViewUtil;
import io.src.dcloud.adapter.DCloudAdapterUtil;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.regex.Pattern;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLSocketFactory;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class X5WebLoadEvent extends WebViewClient {
    private static final String DIFFERENT_VERSION_JS = "window.plus && (plus.android.import=plus.android.importClass);";
    public static final String ENABLE = "enable";
    private static final String ERROR_TEMPLATE = "javascript:(function(){var b=document.createEvent('HTMLEvents');var a='%s';b.url='%s';b.href='%s';b.initEvent(a,false,true);console.error(a);document.dispatchEvent(b);})();";
    private static final String F_WT = "wap2app__template/";
    private static final String IF_LOAD_TEMPLATE = "(function(){/*console.log('eval js loading href=' + location.href);*/if(location.__page__load__over__){return 2}if(location.__plusready__||window.__html5plus__){return 1}return 0})();";
    private static final String IF_PLUSREADY_EVENT_TEMPLATE = "(function(){/*console.log('plusready event loading href=' + location.href);*/if(location.__page__load__over__){return 2}if(location.__plusready__||window.__html5plus__){if(!location.__plusready__event__){location.__plusready__event__=true;return 1}else{return 2}}return 0})();";
    private static final String IF_PLUSREADY_TEMPLATE = "(function(){/*console.log('all.js loading href=' + location.href);*/if(location.__page__load__over__){return 2}if(!location.__plusready__){location.__plusready__=true;return 1}else{return 2}return 0})();";
    private static final String IF_PRELOAD_TEMPLATE = "(function(){/*console.log( 'preload js loading href=' + location.href);*/if(location.__page__load__over__){return 2}var jsfile='%s';if(location.__plusready__||window.__html5plus__){location.__preload__=location.__preload__||[];if(location.__preload__.indexOf(jsfile)<0){location.__preload__.push(jsfile);return 1}else{return 2}}return 0})();";
    private static final int LOADABLE = 1;
    private static final int LOADED = 2;
    private static final int NOLOAD = 0;
    public static String PAGE_FINISHED_FLAG = "javascript:setTimeout(function(){location.__page__load__over__ = true;},2000);";
    public static final String PLUSREADY = "html5plus://ready";
    static final String TAG = "X5WebLoadEvent";
    static final int Timeout_Page_Finish = 6000;
    static final int Timeout_Plus_Inject = 3000;
    public static final String UNIAPP_READY = "uniapp://ready";
    String TYPE_CSS = "type_css";
    String TYPE_JS = "type_js";
    Runnable Timeout_Page_Finish_Runnable = null;
    Runnable Timeout_Plus_Inject_Runnable = null;
    boolean isInitAmapGEO = false;
    AdaWebview mAdaWebview = null;
    String mAppid = null;
    private boolean mClearCache = false;
    boolean mIsStreamApp = false;
    private String mLastPageUrl = "";
    private OnPageFinishedCallack mPageFinishedCallack = null;
    String mPlusJS = null;
    long mShowLoadingTime;
    private Runnable mTitleNViewProgressStop = null;
    ProgressBar mWaitingForWapPage = null;
    WaitingView mWap2AppBlockDialog = null;
    ISysEventListener mWap2AppBlockDialogSysEventListener = null;
    private IDCloudWebviewClientListener mdcloudwebviewclientlister = null;
    boolean needResponseRedirect = true;
    boolean printLog = true;

    public X5WebLoadEvent(AdaWebview pWebview) {
        this.mAdaWebview = pWebview;
        this.mAppid = pWebview.obtainApp().obtainAppId();
        String s = pWebview.obtainApp().obtainConfigProperty(IApp.ConfigProperty.CONFIG_RAM_CACHE_MODE);
        if (BaseInfo.isBase(pWebview.getContext()) && !"enable".equalsIgnoreCase(s)) {
            this.mClearCache = true;
        }
        reset();
        this.isInitAmapGEO = DLGeolocation.checkGeo(pWebview.getContext());
    }

    public void reset() {
        this.mPlusJS = "(function(){/*console.log('all.js loading href=' + location.href);*/if(location.__page__load__over__){return 2}if(!location.__plusready__){location.__plusready__=true;return 1}else{return 2}return 0})();\n" + this.mAdaWebview.mFrameView.obtainPrePlusreadyJs() + "\n" + DIFFERENT_VERSION_JS;
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public boolean shouldOverrideKeyEvent(WebView view, KeyEvent event) {
        return false;
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void onUnhandledKeyEvent(WebView view, KeyEvent event) {
        super.onUnhandledKeyEvent(view, event);
        if (view instanceof X5WebView) {
            X5WebView hostWebView = (X5WebView) view;
            if (event.getAction() == 0) {
                hostWebView.doKeyDownAction(event.getKeyCode(), event);
            } else if (event.getAction() == 1) {
                hostWebView.doKeyUpAction(event.getKeyCode(), event);
            }
        }
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void doUpdateVisitedHistory(WebView view, String url, boolean isReload) {
    }

    private WebResourceResponse checkWebResourceResponseRedirect(WebView view, String url) {
        Exception e;
        JSONObject jsonObject;
        if (!this.needResponseRedirect) {
            return null;
        }
        try {
            if (!URLUtil.isNetworkUrl(url) || !BaseInfo.existsStreamEnv() || this.mAdaWebview == null || this.mAdaWebview.obtainFrameView().obtainApp() == null) {
                return null;
            }
            JSONObject jsonObject2 = this.mAdaWebview.obtainFrameView().obtainApp().obtainThridInfo(IApp.ConfigProperty.ThridInfo.URDJsonData);
            if (jsonObject2 == null) {
                return null;
            }
            JSONArray hostArray = jsonObject2.optJSONObject("data").optJSONArray(InvokeExecutorHelper.create("io.dcloud.appstream.rules.util.Tools").invoke("getTopDomainInHost", new URL(url).getHost()));
            boolean canDoResponse = false;
            String responseRedirectUrl = null;
            if (hostArray == null) {
                return null;
            }
            int i = 0;
            while (true) {
                if (i >= hostArray.length()) {
                    break;
                }
                JSONObject json = hostArray.optJSONObject(i);
                JSONArray matchArray = json.optJSONArray("match");
                String redirectUrl = json.optString("redirect");
                int j = 0;
                while (true) {
                    if (j >= matchArray.length()) {
                        jsonObject = jsonObject2;
                        break;
                    }
                    jsonObject = jsonObject2;
                    if (Pattern.compile(matchArray.optString(i)).matcher(url).matches()) {
                        canDoResponse = true;
                        break;
                    }
                    j++;
                    jsonObject2 = jsonObject;
                }
                if (canDoResponse) {
                    responseRedirectUrl = redirectUrl;
                    break;
                }
                i++;
                jsonObject2 = jsonObject;
            }
            try {
                return downloadResponse(view, responseRedirectUrl);
            } catch (Exception e2) {
                e = e2;
                e.printStackTrace();
                return null;
            }
        } catch (Exception e3) {
            e = e3;
            e.printStackTrace();
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:167:0x0309  */
    @Override // com.tencent.smtt.sdk.WebViewClient
    public WebResourceResponse shouldInterceptRequest(WebView view, String url) {
        Exception e;
        File iconFile;
        File myFile;
        AdaWebview.OverrideResourceRequestItem orri = null;
        if (this.mAdaWebview == null) {
            return null;
        }
        WebResourceResponse response = super.shouldInterceptRequest(view, url);
        WebResourceResponse responseR = super.shouldInterceptRequest(view, url);
        WebResourceResponse redirectResponse = checkWebResourceResponseRedirect(view, url);
        if (redirectResponse != null) {
            return redirectResponse;
        }
        if (!PdrUtil.isEmpty(url)) {
            if (url.startsWith("plusfile://")) {
                String mPath = url.replace("plusfile://", "");
                if (mPath.startsWith(BaseInfo.REL_PUBLIC_DOWNLOADS_DIR) || mPath.startsWith(BaseInfo.REL_PRIVATE_DOC_DIR) || mPath.startsWith(BaseInfo.REL_PUBLIC_DOCUMENTS_DIR)) {
                    String mWebviewFullPath = this.mAdaWebview.obtainApp().convert2WebviewFullPath(null, mPath);
                    if (mWebviewFullPath.startsWith("file:///")) {
                        mWebviewFullPath = mWebviewFullPath.substring(7);
                    }
                    if (mWebviewFullPath.startsWith(DeviceInfo.FILE_PROTOCOL)) {
                        mWebviewFullPath = mWebviewFullPath.substring(6);
                    }
                    myFile = new File(mWebviewFullPath);
                } else {
                    myFile = new File(mPath);
                }
                if (myFile.exists()) {
                    try {
                        InputStream in = new FileInputStream(myFile);
                        String mime = PdrUtil.getMimeType(url);
                        if (url.contains(".jpg")) {
                            mime = "image/jpeg";
                        } else if (url.contains(".png")) {
                            mime = "image/png";
                        } else if (url.contains(".gif")) {
                            mime = "image/gif";
                        }
                        return new WebResourceResponse(mime, null, in);
                    } catch (FileNotFoundException e2) {
                        e2.printStackTrace();
                    }
                }
            } else if (url.contains("h5pscript://")) {
                InputStream in2 = WebResUtil.getEncryptionInputStream(url.substring("h5pscript://".length() + url.indexOf("h5pscript://")), this.mAdaWebview.obtainApp());
                String mime2 = PdrUtil.getMimeType(url);
                if (in2 != null) {
                    if (url.contains(".jpg")) {
                        mime2 = "image/jpeg";
                    } else if (url.contains(".png")) {
                        mime2 = "image/png";
                    } else if (url.contains(".gif")) {
                        mime2 = "image/gif";
                    }
                    return new WebResourceResponse(mime2, null, in2);
                }
            } else if (url.startsWith("plus-confusion://")) {
                InputStream in3 = WebResUtil.getEncryptionInputStream(this.mAdaWebview.obtainApp().convert2WebviewFullPath(this.mAdaWebview.obtainFullUrl(), url.substring("plus-confusion://".length())), this.mAdaWebview.obtainApp());
                String mime3 = PdrUtil.getMimeType(url);
                if (in3 != null) {
                    return new WebResourceResponse(mime3, null, in3);
                }
            }
        }
        if (ImageLoaderUtil.isDownload(url) && (iconFile = ImageLoaderL.getInstance().getDiscCache().get(url)) != null && iconFile.exists()) {
            String mime4 = PdrUtil.getMimeType(url);
            if (url.contains(".jpg")) {
                mime4 = "image/jpeg";
            } else if (url.contains(".png")) {
                mime4 = "image/png";
            } else if (url.contains(".gif")) {
                mime4 = "image/gif";
            }
            try {
                return new WebResourceResponse(mime4, null, new FileInputStream(iconFile));
            } catch (FileNotFoundException e3) {
                e3.printStackTrace();
            }
        }
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null) {
            orri = adaWebview.checkResourceRequestUrl(url);
        }
        String mime5 = "application/x-javascript";
        String encoding = this.mAdaWebview.mEncoding;
        if (orri != null) {
            url = orri.redirect;
            encoding = orri.encoding;
            mime5 = orri.mime;
        }
        try {
            Logger.i(TAG, "shouldInterceptRequest url=" + url);
            response = handleDecode(url, response);
            if (response == null) {
                if (this.mAdaWebview.mPlusrequire.equals("ahead") && this.mAdaWebview.hasPreLoadJsFile() && ((this.mAdaWebview.mInjectPlusWidthJs == null || TextUtils.equals(this.mAdaWebview.mInjectPlusWidthJs, url)) && PdrUtil.isNetPath(url) && checkJsFile(url))) {
                    response = downloadResponseInjection(response, url, mime5, encoding, this.TYPE_JS);
                    if (response != null) {
                        this.mAdaWebview.mInjectPlusWidthJs = url;
                    }
                } else if (!TextUtils.isEmpty(this.mAdaWebview.getCssString()) && !this.mAdaWebview.mIsAdvanceCss && PdrUtil.isNetPath(url) && checkCssFile(url)) {
                    try {
                        response = downloadResponseInjection(response, url, "text/css", encoding, this.TYPE_CSS);
                        mime5 = "text/css";
                    } catch (Exception e4) {
                        e = e4;
                        e.printStackTrace();
                        Logger.e(this.mAppid + ";url=" + url);
                        if (!PdrUtil.isEmpty(this.mdcloudwebviewclientlister)) {
                        }
                        return response;
                    }
                } else if (this.isInitAmapGEO && !this.mAdaWebview.mInjectGeoLoaded && DLGeolocation.checkInjectGeo(this.mAdaWebview.mInjectGEO)) {
                    response = downloadResponseInjection(response, url, mime5, encoding, this.TYPE_JS);
                }
            }
            if (response == null && !BaseInfo.isWap2AppAppid(this.mAppid) && "html5plus://ready".equals(url) && !this.mAdaWebview.mPlusLoaded) {
                response = downloadResponseInjection(response, url, mime5, encoding, this.TYPE_JS);
            }
            if (response == null) {
                BaseInfo.isUniAppAppid(this.mAdaWebview.obtainApp());
            }
            if (response == null && orri != null) {
                try {
                    response = new WebResourceResponse(mime5, encoding, new FileInputStream(url));
                } catch (FileNotFoundException e5) {
                    e5.printStackTrace();
                }
            }
            if (response != null && Build.VERSION.SDK_INT >= 21) {
                Map<String, String> map = response.getResponseHeaders();
                if (map == null) {
                    map = new HashMap();
                }
                map.put("Access-Control-Allow-Credentials", AbsoluteConst.TRUE);
                map.put("Access-Control-Allow-Methods", "GET, POST, OPTIONS");
                map.put("Access-Control-Allow-Origin", "*");
                if (!(orri == null || orri.headerJson == null)) {
                    Iterator<String> keys = orri.headerJson.keys();
                    if (orri.headerJson.length() > 0) {
                        while (keys.hasNext()) {
                            String headerName = keys.next();
                            map.put(headerName, orri.headerJson.opt(headerName).toString());
                        }
                    }
                }
                response.setResponseHeaders(map);
                return response;
            }
        } catch (Exception e6) {
            e = e6;
            e.printStackTrace();
            Logger.e(this.mAppid + ";url=" + url);
            if (!PdrUtil.isEmpty(this.mdcloudwebviewclientlister)) {
            }
            return response;
        }
        if (!PdrUtil.isEmpty(this.mdcloudwebviewclientlister) || PdrUtil.isEmpty(responseR)) {
            return response;
        }
        return responseR;
    }

    private WebResourceResponse downloadResponse(final WebView view, final String originalUrl) {
        if (!URLUtil.isNetworkUrl(originalUrl)) {
            return null;
        }
        try {
            MessageHandler.sendMessage(new MessageHandler.IMessages() {
                /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass1 */

                @Override // io.dcloud.common.adapter.util.MessageHandler.IMessages
                public void execute(Object pArgs) {
                    view.stopLoading();
                    X5WebLoadEvent.this.needResponseRedirect = false;
                    view.loadUrl(originalUrl);
                }
            }, null);
            return new WebResourceResponse(null, null, new ByteArrayInputStream("".getBytes()));
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x008a  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00ad  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00be  */
    private WebResourceResponse downloadResponse(WebView view, String originalUrl, String netStreamUrl, WebResourceResponse response, File localFile, boolean retry) {
        Throwable th;
        Exception e;
        if (URLUtil.isNetworkUrl(netStreamUrl)) {
            if (localFile != null) {
                showLoading();
                HttpURLConnection connection = null;
                try {
                    try {
                        HttpURLConnection connection2 = (HttpURLConnection) new URL(netStreamUrl).openConnection();
                        try {
                            connection2.setConnectTimeout(5000);
                            connection2.setReadTimeout(5000);
                            connection2.setRequestMethod(Constants.HTTP_GET);
                            connection2.setDoInput(true);
                            int code = connection2.getResponseCode();
                            if (code != 200) {
                                if (code != 206) {
                                    if ((code < 400 || code >= 500) && retry) {
                                        downloadResponse(view, originalUrl, netStreamUrl, response, localFile, false);
                                    } else {
                                        hideLoading();
                                    }
                                    if (connection2 != null) {
                                        connection2.disconnect();
                                    }
                                    hideLoading();
                                    return handleDecode(originalUrl, response);
                                }
                            }
                            if (DHFile.writeFile(connection2.getInputStream(), localFile.getAbsolutePath())) {
                                hideLoading();
                            } else if (retry) {
                                downloadResponse(view, originalUrl, netStreamUrl, response, localFile, false);
                            } else {
                                hideLoading();
                            }
                            if (connection2 != null) {
                            }
                            hideLoading();
                        } catch (Exception e2) {
                            e = e2;
                            connection = connection2;
                            try {
                                e.printStackTrace();
                                if (connection != null) {
                                }
                                hideLoading();
                                return handleDecode(originalUrl, response);
                            } catch (Throwable th2) {
                                th = th2;
                                if (connection != null) {
                                }
                                hideLoading();
                                throw th;
                            }
                        } catch (Throwable th3) {
                            th = th3;
                            connection = connection2;
                            if (connection != null) {
                            }
                            hideLoading();
                            throw th;
                        }
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        if (connection != null) {
                        }
                        hideLoading();
                        return handleDecode(originalUrl, response);
                    }
                } catch (Exception e4) {
                    e = e4;
                    e.printStackTrace();
                    if (connection != null) {
                        connection.disconnect();
                    }
                    hideLoading();
                    return handleDecode(originalUrl, response);
                } catch (Throwable th4) {
                    th = th4;
                    if (connection != null) {
                        connection.disconnect();
                    }
                    hideLoading();
                    throw th;
                }
                return handleDecode(originalUrl, response);
            }
        }
        return response;
    }

    private WebResourceResponse handleDecode(String url, WebResourceResponse response) {
        InputStream ret;
        if (!TextUtils.isEmpty(url) && (ret = WebResUtil.getEncryptionInputStream(url, this.mAdaWebview.obtainApp())) != null) {
            return new WebResourceResponse(getMimeType(url), "UTF-8", ret);
        }
        return response;
    }

    private boolean shouldRuntimeHandle(String url) {
        return PdrUtil.isDeviceRootDir(url) || PdrUtil.isNetPath(url) || url.startsWith(DeviceInfo.FILE_PROTOCOL);
    }

    public void closeWap2AppBlockDialog(boolean forwardLastUrl) {
        WaitingView waitingView = this.mWap2AppBlockDialog;
        if (waitingView != null) {
            waitingView.close();
            this.mAdaWebview.obtainApp().unregisterSysEventListener(this.mWap2AppBlockDialogSysEventListener, ISysEventListener.SysEventType.onKeyUp);
            this.mWap2AppBlockDialog = null;
            this.mWap2AppBlockDialogSysEventListener = null;
            if (forwardLastUrl) {
                AdaWebview adaWebview = this.mAdaWebview;
                adaWebview.loadUrl(adaWebview.mRecordLastUrl);
            }
        }
    }

    private boolean directPageIsLaunchPage(IApp app) {
        return !TextUtils.isEmpty(app.getOriginalDirectPage()) && !app.obtainWebAppIntent().hasExtra(IntentConst.DIRECT_PAGE);
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public boolean shouldOverrideUrlLoading(WebView view, String url) {
        if (this.mAdaWebview == null) {
            return false;
        }
        Logger.e(TAG, "shouldOverrideUrlLoading url=" + url);
        this.mAdaWebview.mProgressIntValue = 0;
        this.mAdaWebview.mRecordLastUrl = url;
        if (this.mAdaWebview.checkOverrideUrl(url)) {
            Logger.e(TAG, "检测拦截回调shouldOverrideUrlLoading url=" + url);
            AdaFrameView adaFrameView = this.mAdaWebview.mFrameView;
            adaFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_OVERRIDE_URL_LOADING, "{url:'" + url + "'}");
            return true;
        }
        if (this.mAdaWebview.mFrameView.getFrameType() == 5 || (this.mAdaWebview.mFrameView.getFrameType() == 2 && directPageIsLaunchPage(this.mAdaWebview.obtainApp()))) {
            this.mAdaWebview.obtainApp().updateDirectPage(url);
        }
        if (shouldRuntimeHandle(url) || this.mAdaWebview.mFrameView.getFrameType() == 6) {
            return false;
        }
        try {
            if (url.startsWith("sms:")) {
                int p1 = url.indexOf("sms:");
                int p2 = url.indexOf(Operators.CONDITION_IF_STRING);
                if (p2 == -1) {
                    this.mAdaWebview.getActivity().startActivity(new Intent("android.intent.action.VIEW", Uri.parse(url)));
                    return true;
                }
                String _phoneCode = url.substring("sms:".length() + p1, p2);
                String body = url.substring(p2 + 1);
                Intent _intent = new Intent("android.intent.action.VIEW", Uri.parse("sms:" + _phoneCode));
                _intent.putExtra("address", _phoneCode);
                _intent.putExtra("sms_body", body);
                this.mAdaWebview.getActivity().startActivity(_intent);
            } else if (url.startsWith("intent://")) {
                Intent intent = Intent.parseUri(url, 1);
                intent.addCategory("android.intent.category.BROWSABLE");
                intent.setComponent(null);
                if (Build.VERSION.SDK_INT >= 15) {
                    intent.setSelector(null);
                }
                if (this.mAdaWebview.getActivity().getPackageManager().queryIntentActivities(intent, 0).size() > 0) {
                    this.mAdaWebview.getActivity().startActivityIfNeeded(intent, -1);
                }
            } else if (!(this.mAdaWebview == null || this.mAdaWebview.getActivity() == null || !this.mAdaWebview.obtainApp().checkSchemeWhite(url))) {
                this.mAdaWebview.getActivity().startActivity(new Intent("android.intent.action.VIEW", Uri.parse(url)));
            }
        } catch (Exception e) {
            Logger.e(TAG, "ActivityNotFoundException url=" + url);
        }
        return true;
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void onReceivedSslError(WebView webView, final SslErrorHandler sslErrorHandler, final SslError sslError) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null && adaWebview.obtainApp() != null) {
            String type = this.mAdaWebview.obtainApp().obtainConfigProperty(IApp.ConfigProperty.CONFIG_UNTRUSTEDCA);
            Logger.i("onReceivedSslError", "onReceivedSslError++type====" + type);
            if (PdrUtil.isEquals(type, "refuse")) {
                sslErrorHandler.cancel();
            } else if (PdrUtil.isEquals(type, "warning")) {
                Context context = webView.getContext();
                final AlertDialog ad = new AlertDialog.Builder(context).create();
                ad.setIcon(17301601);
                ad.setTitle(PdrR.getInt(context, "string", "dcloud_common_safety_warning"));
                ad.setCanceledOnTouchOutside(false);
                String url = null;
                if (Build.VERSION.SDK_INT >= 14) {
                    url = sslError.getUrl();
                }
                String msg = PdrR.getStringValve(context, "dcloud_common_certificate_continue");
                if (!TextUtils.isEmpty(url)) {
                    msg = url + "\n" + msg;
                }
                ad.setMessage(msg);
                DialogInterface.OnClickListener listener = new DialogInterface.OnClickListener() {
                    /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass2 */

                    public void onClick(DialogInterface dialog, int which) {
                        if (which == -2) {
                            ad.cancel();
                            ad.dismiss();
                        } else if (which == -3) {
                            sslError.getCertificate().getIssuedBy();
                        } else if (which == -1) {
                            sslErrorHandler.proceed();
                            ad.dismiss();
                        }
                    }
                };
                ad.setButton(-2, context.getResources().getString(17039360), listener);
                ad.setButton(-1, context.getResources().getString(17039370), listener);
                ad.show();
            } else {
                sslErrorHandler.proceed();
            }
        }
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void onReceivedError(WebView view, int errorCode, String description, final String failingUrl) {
        if (this.mAdaWebview != null) {
            Logger.e(TAG, "onReceivedError description=" + description + ";failingUrl=" + failingUrl + ";errorCode=" + errorCode);
            this.mAdaWebview.dispatchWebviewStateEvent(5, description);
            this.mAdaWebview.mFrameView.dispatchFrameViewEvents("failed", this.mAdaWebview);
            this.mAdaWebview.hasErrorPage = true;
            this.mAdaWebview.errorPageUrl = failingUrl;
            final IApp app = this.mAdaWebview.mFrameView.obtainApp();
            if (app != null) {
                try {
                    if (!BaseInfo.isWap2AppAppid(app.obtainAppId()) || this.mAdaWebview.mFrameView.getFrameType() != 2 || TextUtils.equals("none", app.obtainConfigProperty("launchError"))) {
                        String errorPage = getErrorPage();
                        if (!"none".equals(errorPage)) {
                            Logger.e(TAG, "onReceivedError  load errorPage " + errorPage);
                            this.mAdaWebview.loadUrl(errorPage);
                            return;
                        }
                        this.mAdaWebview.hasErrorPage = false;
                        return;
                    }
                    Context context = this.mAdaWebview.getContext();
                    final AlertDialog ad = new AlertDialog.Builder(context).create();
                    ad.setTitle(PdrR.getInt(context, "string", "dcloud_common_tips"));
                    ad.setCanceledOnTouchOutside(false);
                    ad.setMessage(PdrR.getStringValve(context, "dcloud_common_no_network_tips"));
                    DialogInterface.OnClickListener listener = new DialogInterface.OnClickListener() {
                        /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass3 */

                        public void onClick(DialogInterface dialog, int which) {
                            if (which == -2) {
                                X5WebLoadEvent.this.mAdaWebview.getActivity().startActivity(new Intent("android.settings.SETTINGS"));
                            } else if (which == -3) {
                                Logger.e(X5WebLoadEvent.TAG, "onReceivedError try again");
                                DCloudAdapterUtil.getIActivityHandler(X5WebLoadEvent.this.mAdaWebview.getActivity());
                                X5WebLoadEvent.this.mAdaWebview.loadUrl(failingUrl);
                            } else if (which == -1) {
                                Activity activity = X5WebLoadEvent.this.mAdaWebview.getActivity();
                                DCloudAdapterUtil.getIActivityHandler(activity).updateParam("closewebapp", activity);
                            }
                            ad.dismiss();
                        }
                    };
                    ad.setOnKeyListener(new DialogInterface.OnKeyListener() {
                        /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass4 */

                        public boolean onKey(DialogInterface dialog, int keyCode, KeyEvent event) {
                            if (keyCode != 4) {
                                return false;
                            }
                            ad.dismiss();
                            Activity activity = X5WebLoadEvent.this.mAdaWebview.getActivity();
                            DCloudAdapterUtil.getIActivityHandler(activity).updateParam("closewebapp", activity);
                            return false;
                        }
                    });
                    ad.setButton(-2, PdrR.getStringValve(context, "dcloud_common_set_network"), listener);
                    ad.setButton(-3, PdrR.getStringValve(context, "dcloud_common_retry"), listener);
                    ad.setButton(-1, PdrR.getStringValve(context, "dcloud_common_exit"), listener);
                    ad.show();
                    app.registerSysEventListener(new ISysEventListener() {
                        /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass5 */

                        @Override // io.dcloud.common.DHInterface.ISysEventListener
                        public boolean onExecute(ISysEventListener.SysEventType pEventType, Object pArgs) {
                            if (ISysEventListener.SysEventType.onResume != pEventType || X5WebLoadEvent.this.mAdaWebview == null) {
                                return false;
                            }
                            X5WebLoadEvent.this.mAdaWebview.getDCWebView().getWebView().postDelayed(new Runnable() {
                                /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass5.AnonymousClass1 */

                                public void run() {
                                    Logger.e(X5WebLoadEvent.TAG, "onReceivedError 500ms retry after the onResume");
                                    DCloudAdapterUtil.getIActivityHandler(X5WebLoadEvent.this.mAdaWebview.getActivity());
                                    X5WebLoadEvent.this.mAdaWebview.loadUrl(failingUrl);
                                }
                            }, 500);
                            app.unregisterSysEventListener(this, pEventType);
                            return false;
                        }
                    }, ISysEventListener.SysEventType.onResume);
                    Logger.e(TAG, "onReceivedError do clearHistory");
                    this.mAdaWebview.clearHistory();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public String getErrorPage() {
        String errorPage = this.mAdaWebview.mFrameView.obtainFrameOptions().errorPage;
        if (URLUtil.isNetworkUrl(errorPage)) {
            return errorPage;
        }
        if (!TextUtils.isEmpty(errorPage)) {
            IApp app = this.mAdaWebview.obtainApp();
            if ("none".equals(errorPage)) {
                return errorPage;
            }
            String p = app.convert2AbsFullPath(this.mAdaWebview.obtainFullUrl(), errorPage);
            File errorFile = new File(p);
            if (errorFile.exists()) {
                return app.convert2WebviewFullPath(this.mAdaWebview.obtainFullUrl(), errorPage);
            }
            if (BaseInfo.isWap2AppAppid(app.obtainAppId())) {
                String relPath = getRelPath(PdrUtil.stripQuery(PdrUtil.stripAnchor(p)), app);
                if (WebResUtil.isWap2appTemplateFile(app, relPath)) {
                    errorPage = WebResUtil.handleWap2appTemplateFilePath(relPath);
                    errorFile = new File(errorPage);
                }
            }
            if (errorFile.exists()) {
                return DeviceInfo.FILE_PROTOCOL + errorPage;
            }
            String ep = app.obtainConfigProperty("error");
            if (!"none".equals(ep)) {
                return app.convert2WebviewFullPath(null, ep);
            }
            return "none";
        }
        String ep2 = this.mAdaWebview.obtainApp().obtainConfigProperty("error");
        if (!"none".equals(ep2)) {
            return this.mAdaWebview.obtainApp().convert2WebviewFullPath(null, ep2);
        }
        return "none";
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void onPageStarted(WebView view, String url, Bitmap favicon) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null) {
            if (adaWebview.hasErrorPage) {
                String errorPage = getErrorPage();
                if (!PdrUtil.isEquals(url, errorPage) && ((!"data:text/html,chromewebdata".equals(url) || !"none".equals(errorPage)) && (PdrUtil.isEmpty(this.mAdaWebview.errorPageUrl) || !this.mAdaWebview.errorPageUrl.equals(url)))) {
                    this.mAdaWebview.hasErrorPage = false;
                    this.mAdaWebview.errorPageUrl = null;
                }
            }
            Logger.i(TAG, "onPageStarted url=" + url);
            this.mAdaWebview.onPageStarted();
            printOpenLog(view, url);
            if (!this.mAdaWebview.hadClearHistory(url)) {
                if (this.mAdaWebview.mPlusrequire.equals("ahead")) {
                    listenPlusInjectTimeout(view, url, "onPageStarted");
                }
                if (!url.startsWith("data:")) {
                    this.mAdaWebview.getDCWebView().setUrlStr(url);
                }
                this.mAdaWebview.resetPlusLoadSaveData();
                if (!PdrUtil.isEmpty(this.mAdaWebview.getDCWebView().getUrlStr())) {
                    this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_WINDOW_CLOSE, this.mAdaWebview);
                }
                this.mAdaWebview.dispatchWebviewStateEvent(0, url);
                IFrameView _frameView = this.mAdaWebview.mFrameView;
                this.mAdaWebview.mFrameView.dispatchFrameViewEvents("loading", this.mAdaWebview);
                if (_frameView.obtainStatus() != 3) {
                    _frameView.onPreLoading();
                }
                super.onPageStarted(view, url, favicon);
                if (this.mAdaWebview.mFrameView.getFrameType() == 3) {
                    try {
                        if (this.mWaitingForWapPage == null) {
                            this.mWaitingForWapPage = new ProgressBar(this.mAdaWebview.getContext());
                            int sw = AndroidResources.mResources.getDisplayMetrics().widthPixels;
                            int sh = AndroidResources.mResources.getDisplayMetrics().heightPixels;
                            int width = PdrUtil.parseInt("7%", sw, -1);
                            ((ViewGroup) this.mAdaWebview.obtainFrameView().obtainMainView()).addView(this.mWaitingForWapPage, new AbsoluteLayout.LayoutParams(width, width, (sw - width) / 2, (sh - width) / 2));
                        }
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                Object titleNViewObj = TitleNViewUtil.getTitleNView(this.mAdaWebview.obtainFrameView().obtainWindowMgr(), this.mAdaWebview.obtainFrameView().obtainWebView(), this.mAdaWebview.obtainFrameView(), TitleNViewUtil.getTitleNViewId(this.mAdaWebview.obtainFrameView()));
                if (titleNViewObj instanceof ITitleNView) {
                    if (this.mTitleNViewProgressStop != null) {
                        TitleNViewUtil.stopProcess((ITitleNView) titleNViewObj);
                        this.mAdaWebview.obtainWindowView().removeCallbacks(this.mTitleNViewProgressStop);
                        this.mTitleNViewProgressStop = null;
                    }
                    this.mTitleNViewProgressStop = new TitleNViewProgressStop(this.mAdaWebview);
                    TitleNViewUtil.startProcess((ITitleNView) titleNViewObj);
                    this.mAdaWebview.obtainWindowView().postDelayed(this.mTitleNViewProgressStop, 6000);
                }
            }
        }
    }

    private void printOpenLog(WebView view, String url) {
        IApp app;
        String originalUrl = view.getUrl();
        if (BaseInfo.isBase(view.getContext()) && !TextUtils.isEmpty(url) && !TextUtils.isEmpty(originalUrl) && (app = this.mAdaWebview.mFrameView.obtainApp()) != null && !url.startsWith(DeviceInfo.HTTP_PROTOCOL) && !originalUrl.startsWith(DeviceInfo.HTTP_PROTOCOL) && !url.startsWith(DeviceInfo.HTTPS_PROTOCOL) && !originalUrl.startsWith(DeviceInfo.HTTPS_PROTOCOL)) {
            Log.i(AbsoluteConst.HBUILDER_TAG, StringUtil.format(AbsoluteConst.OPENLOG, WebResUtil.getHBuilderPrintUrl(app.convert2RelPath(WebResUtil.getOriginalUrl(originalUrl))), WebResUtil.getHBuilderPrintUrl(app.convert2RelPath(WebResUtil.getOriginalUrl(url)))));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean onLoadPlusJSContent(final WebView view, final String url, final String tag) {
        if (this.mAdaWebview.mPlusrequire.equals("none")) {
            return false;
        }
        if (this.mAdaWebview.isRealInject(url)) {
            Logger.i(TAG, "all.js已经注入完成。不需要再注入了" + this.mAdaWebview.getOriginalUrl());
            return true;
        }
        Logger.i(TAG, "onLoadPlusJSContent all.js注入 " + this.mAdaWebview.getOriginalUrl() + ";tag=" + tag + ";mAdaWebview.mPlusrequire=" + this.mAdaWebview.mPlusrequire);
        if (!this.mAdaWebview.mPlusrequire.equals("later") || !tag.equals("onPageFinished")) {
            this.mAdaWebview.mPlusInjectTag = tag;
            this.mAdaWebview.mPlusLoading = true;
            completeLoadJs(view, url, tag, new String[]{this.mPlusJS, DIFFERENT_VERSION_JS}, IF_PLUSREADY_TEMPLATE, url);
        } else {
            view.postDelayed(new Runnable() {
                /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass6 */

                public void run() {
                    if (X5WebLoadEvent.this.mAdaWebview != null) {
                        X5WebLoadEvent.this.mAdaWebview.mPlusInjectTag = tag;
                        X5WebLoadEvent.this.mAdaWebview.mPlusLoading = true;
                        X5WebLoadEvent x5WebLoadEvent = X5WebLoadEvent.this;
                        x5WebLoadEvent.completeLoadJs(view, url, tag, new String[]{x5WebLoadEvent.mPlusJS, X5WebLoadEvent.DIFFERENT_VERSION_JS}, X5WebLoadEvent.IF_PLUSREADY_TEMPLATE, new Object[]{url});
                    }
                }
            }, 2000);
        }
        return false;
    }

    private void listenPlusInjectTimeout(final WebView view, final String url, final String tag) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null || !adaWebview.mPlusrequire.equals("none")) {
            Runnable runnable = this.Timeout_Plus_Inject_Runnable;
            if (runnable != null) {
                MessageHandler.removeCallbacks(runnable);
            }
            AnonymousClass7 r0 = new Runnable() {
                /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass7 */

                public void run() {
                    if (X5WebLoadEvent.this.mAdaWebview != null && !X5WebLoadEvent.this.mAdaWebview.isRealInject(url)) {
                        Logger.i("WebViewData", "listenPlusInjectTimeout url=" + url);
                        X5WebLoadEvent x5WebLoadEvent = X5WebLoadEvent.this;
                        WebView webView = view;
                        String str = url;
                        x5WebLoadEvent.onLoadPlusJSContent(webView, str, "plus_inject_timeout_" + tag);
                        X5WebLoadEvent.this.mAdaWebview.mPreloadJsLoading = false;
                        X5WebLoadEvent.this.Timeout_Plus_Inject_Runnable = null;
                    }
                }
            };
            this.Timeout_Plus_Inject_Runnable = r0;
            MessageHandler.postDelayed(r0, b.a);
        }
    }

    public void listenPageFinishTimeout(final WebView view, final String url, final String tag) {
        if (!this.mAdaWebview.mLoaded || !this.mAdaWebview.isRealInject(url)) {
            Runnable runnable = this.Timeout_Page_Finish_Runnable;
            if (runnable != null) {
                MessageHandler.removeCallbacks(runnable);
            }
            AnonymousClass8 r0 = new Runnable() {
                /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass8 */

                public void run() {
                    if (X5WebLoadEvent.this.mAdaWebview != null && !X5WebLoadEvent.this.mAdaWebview.mLoaded && X5WebLoadEvent.this.mAdaWebview.isRealInject(url)) {
                        X5WebLoadEvent x5WebLoadEvent = X5WebLoadEvent.this;
                        WebView webView = view;
                        String str = url;
                        x5WebLoadEvent.injectScript(webView, str, "page_finished_timeout_" + tag);
                        X5WebLoadEvent.this.Timeout_Page_Finish_Runnable = null;
                    }
                }
            };
            this.Timeout_Page_Finish_Runnable = r0;
            MessageHandler.postDelayed(r0, 6000);
            return;
        }
        injectScript(view, url, tag);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onPlusreadyEvent(WebView view, String url, String tag) {
        StringBuffer plusreadyJS = new StringBuffer();
        plusreadyJS.append(StringUtil.format(AbsoluteConst.EVENTS_DOCUMENT_EXECUTE_TEMPLATE, AbsoluteConst.EVENTS_PLUSREADY));
        StringBuffer iframePlusReadyJS = new StringBuffer();
        iframePlusReadyJS.append(StringUtil.format(AbsoluteConst.EVENTS_IFRAME_DOUCMENT_EXECUTE_TEMPLATE, AbsoluteConst.EVENTS_PLUSREADY));
        completeLoadJs(view, url, tag, new String[]{plusreadyJS.toString(), iframePlusReadyJS.toString(), "plus.webview.currentWebview().__needTouchEvent__()"}, IF_PLUSREADY_EVENT_TEMPLATE, url);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void completeLoadJs(final WebView view, final String url, final String tag, final String[] mainJs, final String templateJs, final Object... templateArgs) {
        final SoftReference<AdaWebview> adaWebviewT = new SoftReference<>(this.mAdaWebview);
        this.mAdaWebview.executeScript(ReceiveJSValue.registerCallback(adaWebviewT.get(), StringUtil.format(templateJs, templateArgs), new ReceiveJSValue.ReceiveJSValueCallback() {
            /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass9 */

            @Override // io.dcloud.common.adapter.ui.ReceiveJSValue.ReceiveJSValueCallback
            public String callback(JSONArray pJsonArray) {
                try {
                    int flag = pJsonArray.getInt(1);
                    if (flag == 0 && !PdrUtil.isEquals(tag, "onPageFinished")) {
                        X5WebLoadEvent.this.completeLoadJs(view, url, tag, mainJs, templateJs, templateArgs);
                        return null;
                    } else if (1 != flag) {
                        return null;
                    } else {
                        String[] strArr = mainJs;
                        for (String js : strArr) {
                            if (adaWebviewT.get() != null) {
                                ((AdaWebview) adaWebviewT.get()).executeScript(js);
                            }
                        }
                        return null;
                    }
                } catch (JSONException e) {
                    e.printStackTrace();
                    return null;
                }
            }
        }));
    }

    public void onUpdatePlusData(WebView view, String url, String tag) {
        AdaWebview adaWebview = this.mAdaWebview;
        adaWebview.executeScript(adaWebview.getScreenAndDisplayJson(adaWebview));
        onExecuteEvalJSStatck(view, url, tag);
    }

    public void onPreloadJSContent(WebView view, String url, String tag) {
        if (this.mAdaWebview.obtainFrameView().obtainApp() != null && !this.mAdaWebview.obtainFrameView().obtainApp().manifestBeParsed()) {
            return;
        }
        if (this.mAdaWebview.mPreloadJsLoaded) {
            Logger.i(TAG, "mPreloadJs 已经提前注入JS完成。不需要再注入了" + this.mAdaWebview.getOriginalUrl());
            return;
        }
        String preLoadJsStr = this.mAdaWebview.getPreLoadJsString();
        if (!PdrUtil.isEmpty(preLoadJsStr)) {
            this.mAdaWebview.mPreloadJsLoading = true;
            Logger.i(TAG, " tag=" + tag + ";url=" + url);
            completeLoadJs(view, url, tag, new String[]{preLoadJsStr}, IF_PRELOAD_TEMPLATE, this.mAdaWebview.mPreloadJsFile);
            this.mAdaWebview.mPreloadJsLoaded = true;
        }
    }

    private void onLoadCssContent() {
        if (this.mAdaWebview.mIsAdvanceCss) {
            Logger.i(TAG, "已经提前注入CSS完成。不需要再注入了" + this.mAdaWebview.getOriginalUrl());
        } else if (this.mAdaWebview.loadCssFile()) {
            Logger.i(TAG, "提前注入CSS完成" + this.mAdaWebview.getOriginalUrl());
        }
    }

    private void onExecuteEvalJSStatck(WebView view, String url, String tag) {
        String _eval_js_stack = this.mAdaWebview.get_eval_js_stack();
        if (!PdrUtil.isEmpty(_eval_js_stack)) {
            completeLoadJs(view, url, tag, new String[]{_eval_js_stack}, IF_LOAD_TEMPLATE, url);
        }
    }

    private void startTryLoadAllJSContent(WebView view, String url, String tag) {
        loadAllJSContent(view, url, tag);
    }

    private void loadAllJSContent(WebView view, String url, String tag) {
        if (onLoadPlusJSContent(view, url, tag)) {
            injectScript(view, url, tag);
        }
    }

    /* access modifiers changed from: package-private */
    public void injectScript(final WebView view, final String url, final String tag) {
        if (!tag.equals("onPageFinished") || !this.mAdaWebview.mPlusrequire.equals("later")) {
            onPreloadJSContent(view, url, tag);
            onPlusreadyEvent(view, url, tag);
        } else {
            view.postDelayed(new Runnable() {
                /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass10 */

                public void run() {
                    if (X5WebLoadEvent.this.mAdaWebview != null) {
                        X5WebLoadEvent.this.onPreloadJSContent(view, url, tag);
                        X5WebLoadEvent.this.onPlusreadyEvent(view, url, tag);
                    }
                }
            }, 2000);
        }
        onLoadCssContent();
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void onPageFinished(WebView view, String url) {
        if (this.mAdaWebview != null) {
            Logger.d(TAG, "onPageFinished=" + url);
            if (PdrUtil.isEmpty(this.mAdaWebview.mFrameView.obtainApp())) {
                Logger.e(TAG, "mAdaWebview.mFrameView.obtainApp()===null");
            } else if (this.mAdaWebview.hadClearHistory(url)) {
                this.mAdaWebview.hasErrorPage = false;
            } else {
                boolean doErrorEvent = false;
                if (this.mAdaWebview.hasErrorPage) {
                    String errorPage = getErrorPage();
                    if (PdrUtil.isEquals(url, errorPage) || ("data:text/html,chromewebdata".equals(url) && "none".equals(errorPage))) {
                        doErrorEvent = true;
                    } else {
                        return;
                    }
                }
                if (this.mAdaWebview.unReceiveTitle) {
                    Logger.i(TAG, "onPageFinished will exe titleUpdate =" + url);
                    this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_TITLE_UPDATE, this.mAdaWebview.getDCWebView().getTitle());
                    this.mAdaWebview.unReceiveTitle = false;
                }
                CookieSyncManager.getInstance().sync();
                Logger.i(TAG, "onPageFinished" + this.mAdaWebview.getOriginalUrl());
                this.mAdaWebview.dispatchWebviewStateEvent(1, url);
                this.mAdaWebview.loadForceAHeadJs();
                onLoadPlusJSContent(view, url, "onPageFinished");
                if (this.mAdaWebview.isRealInject(url)) {
                    injectScript(view, url, "onPageFinished");
                }
                this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_LOADED, this.mAdaWebview);
                if (doErrorEvent) {
                    this.mAdaWebview.executeScript(StringUtil.format(ERROR_TEMPLATE, "error", this.mAdaWebview.getOriginalUrl(), this.mAdaWebview.errorPageUrl));
                    this.mAdaWebview.errorPageUrl = null;
                    this.mAdaWebview.hasErrorPage = false;
                }
                IFrameView _frameView = this.mAdaWebview.mFrameView;
                if (_frameView.obtainStatus() != 3) {
                    _frameView.onPreShow(null);
                }
                if (!this.mAdaWebview.mLoaded) {
                    this.mAdaWebview.mLoaded = true;
                    this.mAdaWebview.mPlusLoaded = true;
                }
                super.onPageFinished(view, url);
                if (this.mAdaWebview.justClearOption && !url.startsWith("data:")) {
                    Logger.d(TAG, "onPageFinished mWebViewImpl.clearHistory url=" + url);
                    this.mAdaWebview.getDCWebView().clearHistory();
                    this.mAdaWebview.justClearOption = false;
                }
                this.mAdaWebview.getDCWebView().webReload(false);
                OnPageFinishedCallack onPageFinishedCallack = this.mPageFinishedCallack;
                if (onPageFinishedCallack != null) {
                    onPageFinishedCallack.onLoad();
                }
                if (this.mWaitingForWapPage != null) {
                    try {
                        ((ViewGroup) this.mAdaWebview.obtainFrameView().obtainMainView()).removeView(this.mWaitingForWapPage);
                        this.mWaitingForWapPage = null;
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                this.mAdaWebview.checkInjectSitemap();
            }
        }
    }

    @Override // com.tencent.smtt.sdk.WebViewClient
    public void onLoadResource(WebView view, String url) {
        if (this.mAdaWebview != null) {
            if (this.printLog) {
                Logger.i(TAG, "onLoadResource url=" + url);
            }
            this.needResponseRedirect = true;
            printResourceLog(view, this.mAdaWebview.mFrameView.obtainApp(), view.getUrl(), url);
            IFrameView _frameView = this.mAdaWebview.obtainFrameView();
            if (_frameView.obtainStatus() != 3) {
                _frameView.onLoading();
            }
            if (this.mAdaWebview.checkResourceLoading(url)) {
                AdaFrameView adaFrameView = this.mAdaWebview.mFrameView;
                adaFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_LISTEN_RESOURCE_LOADING, "{url:'" + url + "'}");
            }
            this.mAdaWebview.dispatchWebviewStateEvent(2, url);
            super.onLoadResource(view, url);
        }
    }

    public void setPageFinishedCallack(OnPageFinishedCallack mPageFinishedCallack2) {
        this.mPageFinishedCallack = mPageFinishedCallack2;
    }

    public void setDcloudwebviewclientListener(IDCloudWebviewClientListener mDcloudwebviewclientListener) {
        this.mdcloudwebviewclientlister = mDcloudwebviewclientListener;
    }

    private void showLoading() {
        this.mAdaWebview.getDCWebView().getWebView().post(new Runnable() {
            /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass11 */

            public void run() {
                if (X5WebLoadEvent.this.mAdaWebview != null) {
                    X5WebLoadEvent.this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_SHOW_LOADING, X5WebLoadEvent.this.mAdaWebview.mFrameView);
                }
            }
        });
        this.mShowLoadingTime = System.currentTimeMillis();
    }

    private void hideLoading() {
        this.mAdaWebview.getDCWebView().getWebView().post(new Runnable() {
            /* class io.dcloud.feature.x5.X5WebLoadEvent.AnonymousClass12 */

            public void run() {
                if (X5WebLoadEvent.this.mAdaWebview != null) {
                    long t = System.currentTimeMillis();
                    if (t - X5WebLoadEvent.this.mShowLoadingTime < 1000) {
                        X5WebLoadEvent.this.mAdaWebview.getDCWebView().getWebView().postDelayed(this, t - X5WebLoadEvent.this.mShowLoadingTime);
                    } else {
                        X5WebLoadEvent.this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_HIDE_LOADING, X5WebLoadEvent.this.mAdaWebview.mFrameView);
                    }
                }
            }
        });
    }

    private void printResourceLog(WebView view, IApp app, String pageUrl, String url) {
        if (!TextUtils.isEmpty(url) && !TextUtils.isEmpty(pageUrl) && view != null && app != null && BaseInfo.isBase(view.getContext()) && !pageUrl.equalsIgnoreCase(url) && !TextUtils.isEmpty(url)) {
            if (this.mClearCache && !this.mLastPageUrl.equalsIgnoreCase(pageUrl)) {
                view.clearCache(true);
            }
            this.mLastPageUrl = pageUrl;
            String pageUrl2 = WebResUtil.getOriginalUrl(pageUrl);
            if (!url.startsWith(DeviceInfo.HTTP_PROTOCOL) && !url.startsWith(DeviceInfo.HTTPS_PROTOCOL)) {
                Log.i(AbsoluteConst.HBUILDER_TAG, StringUtil.format(AbsoluteConst.RESOURCELOG, WebResUtil.getHBuilderPrintUrl(app.convert2RelPath(pageUrl2)), WebResUtil.getHBuilderPrintUrl(app.convert2RelPath(WebResUtil.getOriginalUrl(url)))));
            }
        }
    }

    static String getRelPath(String url, IApp app) {
        String url2 = WebResUtil.getOriginalUrl(url);
        int p = url2.indexOf(F_WT);
        return p >= 0 ? url2.substring(F_WT.length() + p) : WebResUtil.getHBuilderPrintUrl(app.convert2RelPath(url2));
    }

    public static String getMimeType(String url) {
        String type = null;
        String extension = MimeTypeMap.getFileExtensionFromUrl(url);
        if (extension != null) {
            type = MimeTypeMap.getSingleton().getMimeTypeFromExtension(extension);
        }
        if (TextUtils.isEmpty(type)) {
            return AssetHelper.DEFAULT_MIME_TYPE;
        }
        return type;
    }

    private boolean checkJsFile(String url) {
        if (TextUtils.isEmpty(url) || !url.contains(".js") || url.contains(".jsp")) {
            return false;
        }
        return true;
    }

    private boolean checkCssFile(String url) {
        if (TextUtils.isEmpty(url) || !url.contains(".css")) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public class CatchFile {
        String mContentType = null;
        String mEncoding = null;
        boolean mExist = false;
        File mFile = null;

        CatchFile() {
        }
    }

    private String getCacheLocalFilePath(String url, String type) {
        IApp app;
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview == null || (app = adaWebview.obtainApp()) == null) {
            return null;
        }
        if (this.TYPE_JS.equals(type)) {
            return app.obtainAppTempPath() + "__plus__cache__/" + Md5Utils.md5(url) + ".js";
        }
        return app.obtainAppTempPath() + "__plus__cache__/" + Md5Utils.md5(url) + ".css";
    }

    private CatchFile getUrlFile(String url, String type) throws Exception {
        String path = getCacheLocalFilePath(url, type);
        try {
            if (DHFile.isExist(path)) {
                CatchFile catchFile = new CatchFile();
                catchFile.mFile = new File(path);
                catchFile.mExist = catchFile.mFile.exists();
                return catchFile;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        try {
            URL downloadUrl = new URL(url);
            HttpURLConnection connection = (HttpURLConnection) downloadUrl.openConnection();
            if (connection instanceof HttpsURLConnection) {
                try {
                    SSLSocketFactory factory = DCloudTrustManager.getSSLSocketFactory();
                    if (factory != null) {
                        ((HttpsURLConnection) connection).setSSLSocketFactory(factory);
                    }
                    ((HttpsURLConnection) connection).setHostnameVerifier(DCloudTrustManager.getHostnameVerifier(true));
                } catch (Exception e2) {
                    throw new RuntimeException(e2);
                }
            }
            connection.setConnectTimeout(5000);
            connection.setReadTimeout(5000);
            connection.setRequestMethod(Constants.HTTP_GET);
            connection.setDoInput(true);
            int code = connection.getResponseCode();
            String contentType = connection.getContentType();
            if (TextUtils.isEmpty(contentType) || (((!type.equals(this.TYPE_JS) || !contentType.contains("javascript")) && (!type.equals(this.TYPE_CSS) || (!contentType.contains("text/css") && !downloadUrl.getPath().endsWith(".css")))) || (code != 200 && code != 206))) {
                return null;
            }
            InputStream is = connection.getInputStream();
            boolean isWriteS = DHFile.writeFile(is, path);
            IOUtil.close(is);
            if (isWriteS) {
                CatchFile catchFile2 = new CatchFile();
                catchFile2.mFile = new File(path);
                catchFile2.mExist = catchFile2.mFile.exists();
                catchFile2.mEncoding = connection.getContentEncoding();
                catchFile2.mContentType = contentType;
                return catchFile2;
            }
            File File = new File(path);
            if (File.exists()) {
                File.delete();
            }
            return null;
        } catch (IOException e3) {
            e3.printStackTrace();
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:101:0x0217  */
    /* JADX WARNING: Removed duplicated region for block: B:104:0x0222  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0226 A[SYNTHETIC, Splitter:B:106:0x0226] */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x016e A[Catch:{ Exception -> 0x0257 }] */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0172  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x017c A[Catch:{ Exception -> 0x01ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x0180  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x0195 A[Catch:{ Exception -> 0x021e }] */
    private WebResourceResponse downloadResponseInjection(WebResourceResponse response, String url, String mime, String encoding, String type) {
        WebResourceResponse response2;
        String encoding2;
        String encoding3;
        String mime2;
        WebResourceResponse response3;
        String encoding4;
        Exception e;
        IOException e2;
        long st1 = System.currentTimeMillis();
        if (type.equals(this.TYPE_JS)) {
            String preLoadJs = this.mAdaWebview.getPreLoadJsString();
            byte[] forceAHeadJS = null;
            if (!this.mAdaWebview.mForceAHeadJsFileLoaded && !TextUtils.isEmpty(this.mAdaWebview.mForceAHeadJsFile)) {
                try {
                    InputStream is = WebResUtil.getEncryptionInputStream(this.mAdaWebview.mForceAHeadJsFile, this.mAdaWebview.mFrameView.obtainApp());
                    if (is != null) {
                        forceAHeadJS = IOUtil.getBytes(is);
                    }
                } catch (IOException e3) {
                    Logger.e("Exception", e3.getMessage());
                }
            }
            if (TextUtils.isEmpty(preLoadJs) && forceAHeadJS == null && TextUtils.isEmpty(this.mPlusJS)) {
                return null;
            }
            InputStream is2 = null;
            try {
                if (URLUtil.isNetworkUrl(url)) {
                    if (!this.mAdaWebview.mNeedInjection) {
                        try {
                            if (!this.isInitAmapGEO && forceAHeadJS == null) {
                            }
                        } catch (Exception e4) {
                            e = e4;
                            response3 = response;
                            mime2 = mime;
                            encoding4 = encoding;
                            e.printStackTrace();
                            return response3;
                        }
                    }
                    CatchFile catchFile = getUrlFile(url, type);
                    if (catchFile != null) {
                        ByteArrayOutputStream baos = new ByteArrayOutputStream();
                        if (forceAHeadJS != null) {
                            baos.write(forceAHeadJS);
                            this.mAdaWebview.mForceAHeadJsFileLoaded = true;
                        }
                        if (!TextUtils.isEmpty(this.mPlusJS) && this.mAdaWebview.mPlusrequire.equals("ahead")) {
                            this.mAdaWebview.mPlusInjectTag = url;
                            this.mAdaWebview.mPlusLoading = true;
                            baos.write(this.mPlusJS.getBytes());
                        }
                        if (!TextUtils.isEmpty(preLoadJs) && this.mAdaWebview.mPlusrequire.equals("ahead")) {
                            Logger.i(TAG, "mPlusrequire=ahead;this=" + this);
                            this.mAdaWebview.mPreloadJsLoading = true;
                            baos.write(preLoadJs.getBytes());
                        }
                        if (this.isInitAmapGEO && DLGeolocation.checkInjectGeo(this.mAdaWebview.mInjectGEO) && !this.mAdaWebview.mPlusrequire.equals("ahead")) {
                            Logger.i(TAG, "提前注入GEOJS" + this.mAdaWebview.getOriginalUrl());
                            this.mAdaWebview.mInjectGeoLoaded = true;
                            baos.write(DLGeolocation.getGEOJS().getBytes());
                        }
                        if (catchFile.mExist) {
                            try {
                                FileInputStream fis = new FileInputStream(catchFile.mFile);
                                byte[] buf = new byte[4096];
                                while (true) {
                                    int len = fis.read(buf);
                                    if (len <= 0) {
                                        break;
                                    }
                                    try {
                                        baos.write(buf, 0, len);
                                        preLoadJs = preLoadJs;
                                    } catch (IOException e5) {
                                        e2 = e5;
                                        try {
                                            e2.printStackTrace();
                                            if (!TextUtils.isEmpty(catchFile.mEncoding)) {
                                            }
                                            if (!TextUtils.isEmpty(catchFile.mContentType)) {
                                            }
                                            InputStream is3 = new ByteArrayInputStream(baos.toByteArray());
                                            if (this.mAdaWebview.mPlusrequire.equals("ahead")) {
                                            }
                                            is2 = is3;
                                            if (is2 == null) {
                                            }
                                            if (response3 != null) {
                                            }
                                        } catch (Exception e6) {
                                            e = e6;
                                            response3 = response;
                                            mime2 = mime;
                                            encoding4 = encoding;
                                            e.printStackTrace();
                                            return response3;
                                        }
                                        return response3;
                                    }
                                }
                                fis.close();
                            } catch (IOException e7) {
                                e2 = e7;
                                e2.printStackTrace();
                                if (!TextUtils.isEmpty(catchFile.mEncoding)) {
                                }
                                if (!TextUtils.isEmpty(catchFile.mContentType)) {
                                }
                                InputStream is32 = new ByteArrayInputStream(baos.toByteArray());
                                if (this.mAdaWebview.mPlusrequire.equals("ahead")) {
                                }
                                is2 = is32;
                                if (is2 == null) {
                                }
                                if (response3 != null) {
                                }
                                return response3;
                            }
                        }
                        if (!TextUtils.isEmpty(catchFile.mEncoding)) {
                            encoding4 = catchFile.mEncoding;
                        } else {
                            encoding4 = encoding;
                        }
                        try {
                            if (!TextUtils.isEmpty(catchFile.mContentType)) {
                                mime2 = catchFile.mContentType;
                            } else {
                                mime2 = mime;
                            }
                        } catch (Exception e8) {
                            e = e8;
                            response3 = response;
                            mime2 = mime;
                            e.printStackTrace();
                            return response3;
                        }
                        try {
                            InputStream is322 = new ByteArrayInputStream(baos.toByteArray());
                            if (this.mAdaWebview.mPlusrequire.equals("ahead")) {
                                listenPlusInjectTimeout((WebView) this.mAdaWebview.getDCWebView().getWebView(), this.mAdaWebview.obtainFullUrl(), "inject_with_js");
                            }
                            is2 = is322;
                        } catch (Exception e9) {
                            e = e9;
                            response3 = response;
                            e.printStackTrace();
                            return response3;
                        }
                    } else {
                        mime2 = mime;
                        encoding4 = encoding;
                    }
                    if (is2 == null) {
                        response3 = new WebResourceResponse(mime2, encoding4, is2);
                    } else {
                        response3 = response;
                    }
                    if (response3 != null) {
                        try {
                            this.mAdaWebview.mEncoding = encoding4;
                            Logger.i(TAG, "提前注入JS成功耗时：" + (System.currentTimeMillis() - st1) + this.mAdaWebview.getOriginalUrl() + ";url=" + url);
                        } catch (Exception e10) {
                            e = e10;
                        }
                    }
                    return response3;
                }
                if ("html5plus://ready".equals(url)) {
                    if (!TextUtils.isEmpty(this.mPlusJS)) {
                        Logger.i("PLUSREADY", this.mAdaWebview.getOriginalUrl() + ";url=" + url);
                        this.mAdaWebview.mPlusLoading = true;
                        is2 = new ByteArrayInputStream(this.mPlusJS.getBytes());
                        mime2 = mime;
                        encoding4 = encoding;
                        if (is2 == null) {
                        }
                        if (response3 != null) {
                        }
                        return response3;
                    }
                } else if (PdrUtil.isDeviceRootDir(url)) {
                    is2 = new FileInputStream(url);
                    mime2 = mime;
                    encoding4 = encoding;
                    if (is2 == null) {
                    }
                    if (response3 != null) {
                    }
                    return response3;
                }
                mime2 = mime;
                encoding4 = encoding;
                if (is2 == null) {
                }
                if (response3 != null) {
                }
            } catch (Exception e11) {
                e = e11;
                response3 = response;
                mime2 = mime;
                encoding4 = encoding;
                e.printStackTrace();
                return response3;
            }
            return response3;
        }
        if (this.TYPE_CSS.equals(type)) {
            String cssString = this.mAdaWebview.getCssString();
            if (!this.mAdaWebview.mIsAdvanceCss && !TextUtils.isEmpty(cssString)) {
                try {
                    ByteArrayOutputStream baos2 = new ByteArrayOutputStream();
                    CatchFile catchFile2 = getUrlFile(url, type);
                    if (catchFile2 != null) {
                        if (catchFile2.mExist) {
                            FileInputStream fis2 = new FileInputStream(catchFile2.mFile);
                            byte[] buf2 = new byte[4096];
                            while (true) {
                                int len2 = fis2.read(buf2);
                                if (len2 <= 0) {
                                    break;
                                }
                                baos2.write(buf2, 0, len2);
                            }
                            fis2.close();
                        }
                        baos2.write(cssString.getBytes());
                    }
                    if (!TextUtils.isEmpty(catchFile2.mEncoding)) {
                        encoding2 = catchFile2.mEncoding;
                    } else {
                        encoding2 = encoding;
                    }
                    try {
                        response2 = new WebResourceResponse("text/css", encoding2, new ByteArrayInputStream(baos2.toByteArray()));
                        if (response2 != null) {
                            try {
                                this.mAdaWebview.mIsAdvanceCss = true;
                                this.mAdaWebview.mEncoding = encoding2;
                                StringBuilder sb = new StringBuilder();
                                sb.append("提前注入CSS成功耗时：");
                                encoding3 = encoding2;
                                try {
                                    sb.append(System.currentTimeMillis() - st1);
                                    sb.append(this.mAdaWebview.getOriginalUrl());
                                    sb.append(";url=");
                                    sb.append(url);
                                    Logger.i(TAG, sb.toString());
                                } catch (Exception e12) {
                                }
                            } catch (Exception e13) {
                                this.mAdaWebview.mIsAdvanceCss = false;
                                return response2;
                            }
                        } else {
                            encoding3 = encoding2;
                        }
                        return response2;
                    } catch (Exception e14) {
                        response2 = response;
                        this.mAdaWebview.mIsAdvanceCss = false;
                        return response2;
                    }
                } catch (Exception e15) {
                    response2 = response;
                    this.mAdaWebview.mIsAdvanceCss = false;
                    return response2;
                }
            }
        }
        return response;
    }

    static class TitleNViewProgressStop implements Runnable {
        private WeakReference<AdaWebview> mAdaWebview;

        public TitleNViewProgressStop(AdaWebview adaWebview) {
            this.mAdaWebview = new WeakReference<>(adaWebview);
        }

        public void run() {
            WeakReference<AdaWebview> weakReference = this.mAdaWebview;
            if (weakReference != null && weakReference.get() != null && this.mAdaWebview.get().obtainFrameView() != null) {
                Object titleNViewObj = TitleNViewUtil.getTitleNView(this.mAdaWebview.get().obtainFrameView().obtainWindowMgr(), this.mAdaWebview.get().obtainFrameView().obtainWebView(), this.mAdaWebview.get().obtainFrameView(), TitleNViewUtil.getTitleNViewId(this.mAdaWebview.get().obtainFrameView()));
                if (titleNViewObj instanceof ITitleNView) {
                    TitleNViewUtil.stopProcess((ITitleNView) titleNViewObj);
                }
            }
        }
    }

    public void destroy() {
        this.mAdaWebview = null;
        this.mTitleNViewProgressStop = null;
        this.mWap2AppBlockDialog = null;
        this.mWaitingForWapPage = null;
        this.mPlusJS = null;
    }
}
