package io.dcloud.feature.x5;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Picture;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.text.TextUtils;
import android.view.ActionMode;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import com.dcloud.android.v4.widget.IRefreshAble;
import com.dcloud.android.widget.SlideLayout;
import com.dcloud.zxing2.common.StringUtils;
import com.taobao.weex.el.parse.Operators;
import com.tencent.mm.opensdk.modelmsg.WXVideoFileObject;
import com.tencent.open.SocialConstants;
import com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension;
import com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension;
import com.tencent.smtt.sdk.CookieManager;
import com.tencent.smtt.sdk.CookieSyncManager;
import com.tencent.smtt.sdk.DownloadListener;
import com.tencent.smtt.sdk.ValueCallback;
import com.tencent.smtt.sdk.WebSettings;
import com.tencent.smtt.sdk.WebView;
import com.tencent.smtt.sdk.WebViewCallbackClient;
import com.tencent.smtt.sdk.WebViewClient;
import dc.squareup.HttpConstants;
import io.dcloud.PdrR;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IDCloudWebviewClientListener;
import io.dcloud.common.DHInterface.IKeyHandler;
import io.dcloud.common.DHInterface.ILoadCallBack;
import io.dcloud.common.DHInterface.INativeView;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.ITitleNView;
import io.dcloud.common.DHInterface.IVideoPlayer;
import io.dcloud.common.DHInterface.IX5WebView;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.ui.AdaContainerFrameItem;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.ui.AdaWebview;
import io.dcloud.common.adapter.ui.CustomeizedInputConnection;
import io.dcloud.common.adapter.ui.ReceiveJSValue;
import io.dcloud.common.adapter.ui.webview.DCWebView;
import io.dcloud.common.adapter.ui.webview.OnPageFinishedCallack;
import io.dcloud.common.adapter.ui.webview.WebResUtil;
import io.dcloud.common.adapter.ui.webview.WebViewFactory;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.DownloadUtil;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.MobilePhoneModel;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.StringConst;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.DialogUtil;
import io.dcloud.common.util.LoadAppUtils;
import io.dcloud.common.util.NotificationUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.common.util.TitleNViewUtil;
import io.dcloud.feature.internal.sdk.SDK;
import io.dcloud.feature.webviewx5.R;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.io.File;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Locale;
import java.util.regex.Pattern;
import org.json.JSONObject;

public class X5WebView extends WebView implements DCWebView, DownloadListener, IRefreshAble.OnRefreshListener, IX5WebView {
    static final String PLUSSCROLLBOTTOM_JS_TEMPLATE = "(function(){var e = document.createEvent('HTMLEvents');var evt = 'plusscrollbottom';e.initEvent(evt, false, true);document.dispatchEvent(e);})();";
    static final String TAG = "webview";
    CookieManager cm;
    private boolean didTouch;
    boolean isToInvalidate;
    AdaWebview mAdaWebview;
    String mBaseUrl;
    private int mCacheMode;
    private CallbackClient mCallbackClient;
    private int mContentHeight;
    Context mContext;
    private IDCloudWebviewClientListener mDcloudwebviewclientListener;
    int mDeafaltOverScrollMode;
    private int mEventX;
    private int mEventY;
    private boolean mIsBeingDragged;
    float mLastMotionX;
    float mLastMotionY;
    private long mLastScrollTimestamp;
    private int mLastScrollY;
    private OnPageFinishedCallack mPageFinishedCallack;
    private String mPageTitle;
    float mScale;
    private int mThreshold;
    private int mThresholdTime;
    private int mTouchSlop;
    String mUrl;
    HashMap<String, HashMap<String, String>> mUrlHeads;
    String mUserAgent;
    X5WebJsEvent mWebJsEvent;
    X5WebLoadEvent mWebLoadEvent;
    private IX5WebViewClientExtension mWebViewClientExtension;
    WebSettings webSettings;

    public X5WebView(Context context, AdaWebview pWebview) {
        super(context);
        this.mUserAgent = null;
        this.mAdaWebview = null;
        this.mWebLoadEvent = null;
        this.mWebJsEvent = null;
        this.mUrl = null;
        this.mScale = 0.0f;
        this.mContext = null;
        this.mBaseUrl = null;
        this.webSettings = getSettings();
        this.cm = null;
        this.mLastScrollY = 0;
        this.mContentHeight = 0;
        this.mThreshold = 2;
        this.mThresholdTime = 15;
        this.mLastScrollTimestamp = 0;
        this.mPageTitle = null;
        this.mDeafaltOverScrollMode = 0;
        this.mCacheMode = -1;
        this.didTouch = false;
        this.isToInvalidate = false;
        this.mUrlHeads = new HashMap<>();
        this.mEventY = 0;
        this.mEventX = 0;
        this.mTouchSlop = -1;
        this.mIsBeingDragged = true;
        this.mWebViewClientExtension = new ProxyWebViewClientExtension() {
            /* class io.dcloud.feature.x5.X5WebView.AnonymousClass6 */

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean onTouchEvent(MotionEvent event, View view) {
                return X5WebView.this.mCallbackClient.onTouchEvent(event, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean onInterceptTouchEvent(MotionEvent ev, View view) {
                return X5WebView.this.mCallbackClient.onInterceptTouchEvent(ev, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean dispatchTouchEvent(MotionEvent ev, View view) {
                return X5WebView.this.mCallbackClient.dispatchTouchEvent(ev, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean overScrollBy(int deltaX, int deltaY, int scrollX, int scrollY, int scrollRangeX, int scrollRangeY, int maxOverScrollX, int maxOverScrollY, boolean isTouchEvent, View view) {
                return X5WebView.this.mCallbackClient.overScrollBy(deltaX, deltaY, scrollX, scrollY, scrollRangeX, scrollRangeY, maxOverScrollX, maxOverScrollY, isTouchEvent, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void onScrollChanged(int l, int t, int oldl, int oldt, View view) {
                X5WebView.this.mCallbackClient.onScrollChanged(l, t, oldl, oldt, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void onOverScrolled(int scrollX, int scrollY, boolean clampedX, boolean clampedY, View view) {
                X5WebView.this.mCallbackClient.onOverScrolled(scrollX, scrollY, clampedX, clampedY, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void computeScroll(View view) {
                X5WebView.this.mCallbackClient.computeScroll(view);
            }
        };
        this.mCallbackClient = new CallbackClient();
        this.mScale = getContext().getResources().getDisplayMetrics().density;
        pWebview.getActivity().getWindow().setFormat(-3);
        this.mContext = context.getApplicationContext();
        BaseInfo.s_Webview_Count++;
        this.mAdaWebview = pWebview;
        invalidatePicture();
    }

    public X5WebView(Context context, AdaWebview pWebview, IDCloudWebviewClientListener webviewClientListener) {
        super(context);
        this.mUserAgent = null;
        this.mAdaWebview = null;
        this.mWebLoadEvent = null;
        this.mWebJsEvent = null;
        this.mUrl = null;
        this.mScale = 0.0f;
        this.mContext = null;
        this.mBaseUrl = null;
        this.webSettings = getSettings();
        this.cm = null;
        this.mLastScrollY = 0;
        this.mContentHeight = 0;
        this.mThreshold = 2;
        this.mThresholdTime = 15;
        this.mLastScrollTimestamp = 0;
        this.mPageTitle = null;
        this.mDeafaltOverScrollMode = 0;
        this.mCacheMode = -1;
        this.didTouch = false;
        this.isToInvalidate = false;
        this.mUrlHeads = new HashMap<>();
        this.mEventY = 0;
        this.mEventX = 0;
        this.mTouchSlop = -1;
        this.mIsBeingDragged = true;
        this.mWebViewClientExtension = new ProxyWebViewClientExtension() {
            /* class io.dcloud.feature.x5.X5WebView.AnonymousClass6 */

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean onTouchEvent(MotionEvent event, View view) {
                return X5WebView.this.mCallbackClient.onTouchEvent(event, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean onInterceptTouchEvent(MotionEvent ev, View view) {
                return X5WebView.this.mCallbackClient.onInterceptTouchEvent(ev, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean dispatchTouchEvent(MotionEvent ev, View view) {
                return X5WebView.this.mCallbackClient.dispatchTouchEvent(ev, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean overScrollBy(int deltaX, int deltaY, int scrollX, int scrollY, int scrollRangeX, int scrollRangeY, int maxOverScrollX, int maxOverScrollY, boolean isTouchEvent, View view) {
                return X5WebView.this.mCallbackClient.overScrollBy(deltaX, deltaY, scrollX, scrollY, scrollRangeX, scrollRangeY, maxOverScrollX, maxOverScrollY, isTouchEvent, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void onScrollChanged(int l, int t, int oldl, int oldt, View view) {
                X5WebView.this.mCallbackClient.onScrollChanged(l, t, oldl, oldt, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void onOverScrolled(int scrollX, int scrollY, boolean clampedX, boolean clampedY, View view) {
                X5WebView.this.mCallbackClient.onOverScrolled(scrollX, scrollY, clampedX, clampedY, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void computeScroll(View view) {
                X5WebView.this.mCallbackClient.computeScroll(view);
            }
        };
        this.mCallbackClient = new CallbackClient();
        this.mScale = getContext().getResources().getDisplayMetrics().density;
        this.mContext = context.getApplicationContext();
        BaseInfo.s_Webview_Count++;
        this.mAdaWebview = pWebview;
        this.mDcloudwebviewclientListener = webviewClientListener;
        invalidatePicture();
    }

    public X5WebView(Context context, AdaWebview pWebview, OnPageFinishedCallack onPageFinishedCallack) {
        super(context);
        this.mUserAgent = null;
        this.mAdaWebview = null;
        this.mWebLoadEvent = null;
        this.mWebJsEvent = null;
        this.mUrl = null;
        this.mScale = 0.0f;
        this.mContext = null;
        this.mBaseUrl = null;
        this.webSettings = getSettings();
        this.cm = null;
        this.mLastScrollY = 0;
        this.mContentHeight = 0;
        this.mThreshold = 2;
        this.mThresholdTime = 15;
        this.mLastScrollTimestamp = 0;
        this.mPageTitle = null;
        this.mDeafaltOverScrollMode = 0;
        this.mCacheMode = -1;
        this.didTouch = false;
        this.isToInvalidate = false;
        this.mUrlHeads = new HashMap<>();
        this.mEventY = 0;
        this.mEventX = 0;
        this.mTouchSlop = -1;
        this.mIsBeingDragged = true;
        this.mWebViewClientExtension = new ProxyWebViewClientExtension() {
            /* class io.dcloud.feature.x5.X5WebView.AnonymousClass6 */

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean onTouchEvent(MotionEvent event, View view) {
                return X5WebView.this.mCallbackClient.onTouchEvent(event, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean onInterceptTouchEvent(MotionEvent ev, View view) {
                return X5WebView.this.mCallbackClient.onInterceptTouchEvent(ev, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean dispatchTouchEvent(MotionEvent ev, View view) {
                return X5WebView.this.mCallbackClient.dispatchTouchEvent(ev, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public boolean overScrollBy(int deltaX, int deltaY, int scrollX, int scrollY, int scrollRangeX, int scrollRangeY, int maxOverScrollX, int maxOverScrollY, boolean isTouchEvent, View view) {
                return X5WebView.this.mCallbackClient.overScrollBy(deltaX, deltaY, scrollX, scrollY, scrollRangeX, scrollRangeY, maxOverScrollX, maxOverScrollY, isTouchEvent, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void onScrollChanged(int l, int t, int oldl, int oldt, View view) {
                X5WebView.this.mCallbackClient.onScrollChanged(l, t, oldl, oldt, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void onOverScrolled(int scrollX, int scrollY, boolean clampedX, boolean clampedY, View view) {
                X5WebView.this.mCallbackClient.onOverScrolled(scrollX, scrollY, clampedX, clampedY, view);
            }

            @Override // com.tencent.smtt.export.external.extension.proxy.ProxyWebViewClientExtension, com.tencent.smtt.export.external.extension.interfaces.IX5WebViewClientExtension
            public void computeScroll(View view) {
                X5WebView.this.mCallbackClient.computeScroll(view);
            }
        };
        this.mCallbackClient = new CallbackClient();
        Logger.d("WebViewImpl");
        this.mContext = context.getApplicationContext();
        this.mAdaWebview = pWebview;
        this.mPageFinishedCallack = onPageFinishedCallack;
        this.mScale = getContext().getResources().getDisplayMetrics().density;
        invalidatePicture();
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void onPageStarted() {
        this.isToInvalidate = false;
    }

    private void invalidatePicture() {
        setPictureListener(new WebView.PictureListener() {
            /* class io.dcloud.feature.x5.X5WebView.AnonymousClass1 */

            @Override // com.tencent.smtt.sdk.WebView.PictureListener
            public void onNewPicture(WebView webView, Picture picture) {
                try {
                    X5WebView.this.setWebViewCallbackClient(X5WebView.this.mCallbackClient);
                    if (X5WebView.this.getX5WebViewExtension() != null) {
                        X5WebView.this.getX5WebViewExtension().setWebViewClientExtension(X5WebView.this.mWebViewClientExtension);
                    }
                    if (X5WebView.this.getParent() != null) {
                        float contentH = ((float) X5WebView.this.getContentHeight()) * X5WebView.this.mScale;
                        if (contentH <= 0.0f) {
                            return;
                        }
                        if ((contentH > ((float) X5WebView.this.getHeight()) || (X5WebView.this.mAdaWebview.mProgress > 60 && contentH >= ((float) X5WebView.this.getHeight()))) && !X5WebView.this.isToInvalidate) {
                            X5WebView.this.mAdaWebview.dispatchWebviewStateEvent(6, Integer.valueOf(X5WebView.this.getContentHeight()));
                            X5WebView.this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_RENDERING, Integer.valueOf(X5WebView.this.getContentHeight()));
                            X5WebView.this.isToInvalidate = true;
                        }
                    }
                } catch (Exception e) {
                }
            }
        });
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public boolean checkWhite(String type) {
        Rect rect;
        if (getView().getWidth() <= 0) {
            return true;
        }
        if (type.equals("center")) {
            int mid = getHeight() / 2;
            rect = new Rect(0, mid, getView().getWidth(), mid + 1);
        } else if (type.equals("top")) {
            int top = DeviceInfo.getDeivceSuitablePixel(this.mAdaWebview.getActivity(), 20);
            rect = new Rect(0, top, getView().getWidth(), top + 1);
        } else if (type.equals("bottom")) {
            int bottom = DeviceInfo.getDeivceSuitablePixel(this.mAdaWebview.getActivity(), 25);
            rect = new Rect(0, (getHeight() - bottom) + 1, getView().getWidth(), getHeight() - bottom);
        } else {
            int mid2 = getView().getWidth() / 2;
            rect = new Rect(mid2, 0, mid2 + 5, getHeight());
        }
        Bitmap bitmap = captureWebView(this, rect);
        if (bitmap == null) {
            return false;
        }
        boolean isW = type.equals("auto") ? PlatformUtil.isWhiteBitmap(bitmap, !this.mAdaWebview.isLoaded(), true) : PlatformUtil.isLineWhiteBitmap(bitmap, true ^ this.mAdaWebview.isLoaded());
        bitmap.recycle();
        return isW;
    }

    private Bitmap captureWebView(WebView webView, Rect rect) {
        Bitmap bmp = Bitmap.createBitmap(rect.width(), rect.height(), Bitmap.Config.RGB_565);
        Canvas canvas = new Canvas(bmp);
        canvas.translate((float) (-rect.left), (float) (-rect.top));
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview == null || adaWebview.obtainFrameView() == null || !(this.mAdaWebview.obtainFrameView() instanceof AdaContainerFrameItem) || ((AdaContainerFrameItem) this.mAdaWebview.obtainFrameView()).getChilds().size() <= 1) {
            if (Build.VERSION.SDK_INT < 19) {
                ((View) webView.getParent().getParent()).draw(canvas);
            } else {
                getView().draw(canvas);
            }
            return bmp;
        }
        if (this.mAdaWebview.obtainFrameView().obtainMainView() != null) {
            this.mAdaWebview.obtainFrameView().obtainMainView().draw(canvas);
        }
        return bmp;
    }

    /* access modifiers changed from: protected */
    public boolean isReadyForPullUp(int scrollY) {
        boolean ret;
        int contentHeight = ((int) ((float) Math.floor((double) (((float) getContentHeight()) * this.mScale)))) - getHeight();
        long currTime = System.currentTimeMillis();
        if ((scrollY >= contentHeight || (scrollY >= contentHeight - this.mThreshold && currTime - this.mLastScrollTimestamp > ((long) this.mThresholdTime))) && this.mLastScrollY < this.mContentHeight) {
            ret = true;
        } else {
            ret = false;
        }
        this.mLastScrollY = scrollY;
        this.mContentHeight = contentHeight;
        long j = this.mLastScrollTimestamp;
        if (currTime - j <= 500) {
            this.mLastScrollTimestamp = currTime - j;
        }
        return ret;
    }

    @Override // com.tencent.smtt.sdk.WebView, io.dcloud.common.adapter.ui.webview.DCWebView
    public void loadUrl(String url) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null && !adaWebview.isDisposed()) {
            if (!url.startsWith(AbsoluteConst.PROTOCOL_JAVASCRIPT)) {
                this.didTouch = false;
            } else if (Build.VERSION.SDK_INT >= 19) {
                try {
                    evaluateJavascript(url, null);
                    return;
                } catch (Throwable e) {
                    Logger.e(TAG, "e.getMessage()==" + e.getMessage());
                    super.loadUrl(url);
                    return;
                }
            }
            HashMap<String, String> heads = this.mUrlHeads.get(url);
            if (heads != null) {
                super.loadUrl(url, heads);
            } else {
                super.loadUrl(url);
            }
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void evalJSSync(String js, final ICallBack callBack) {
        if (js.startsWith(AbsoluteConst.PROTOCOL_JAVASCRIPT) && Build.VERSION.SDK_INT >= 19) {
            try {
                evaluateJavascript(js, new ValueCallback<String>() {
                    /* class io.dcloud.feature.x5.X5WebView.AnonymousClass2 */

                    public void onReceiveValue(String value) {
                        ICallBack iCallBack = callBack;
                        if (iCallBack != null) {
                            iCallBack.onCallBack(1, value);
                        }
                    }
                });
            } catch (Throwable e) {
                Logger.e(TAG, "e.getMessage()==" + e.getMessage());
                super.loadUrl(js);
                if (callBack != null) {
                    callBack.onCallBack(1, null);
                }
            }
        }
    }

    private static String getStreamAppFlag() {
        String str;
        Object[] objArr = new Object[1];
        if (TextUtils.isEmpty(BaseInfo.sChannel)) {
            str = "";
        } else {
            str = " (" + BaseInfo.sChannel + ") ";
        }
        objArr[0] = str;
        return StringUtil.format(DCWebView.UserAgentStreamApp, objArr);
    }

    /* access modifiers changed from: package-private */
    public void initUserAgent(IApp app) {
        String customeUA = app.obtainConfigProperty(IApp.ConfigProperty.CONFIG_USER_AGENT);
        boolean concatenate = Boolean.parseBoolean(app.obtainConfigProperty(IApp.ConfigProperty.CONFIG_CONCATENATE));
        if (Boolean.parseBoolean(app.obtainConfigProperty(IApp.ConfigProperty.CONFIG_funSetUA))) {
            concatenate = false;
        }
        boolean containeH5Plus = Boolean.parseBoolean(app.obtainConfigProperty(IApp.ConfigProperty.CONFIG_H5PLUS));
        if (PdrUtil.isEmpty(AdaWebview.sDefalutUserAgent)) {
            AdaWebview.sDefalutUserAgent = this.webSettings.getUserAgentString();
            HashMap<String, String> ua = new HashMap<>(1);
            ua.put("ua", AdaWebview.sDefalutUserAgent);
            WebResUtil.opAdData(getContext(), app.obtainAppId(), "save", ua);
        }
        this.mUserAgent = AdaWebview.sDefalutUserAgent;
        if (!concatenate && !PdrUtil.isEmpty(customeUA)) {
            this.mUserAgent = customeUA;
        } else if (!PdrUtil.isEmpty(customeUA)) {
            this.mUserAgent += Operators.SPACE_STR + customeUA.trim();
        }
        String immersed = "";
        boolean isImmersed = Boolean.valueOf(app.obtainConfigProperty(AbsoluteConst.JSONKEY_STATUSBAR_IMMERSED)).booleanValue();
        if (app.obtainStatusBarMgr() != null && app.obtainStatusBarMgr().checkImmersedStatusBar(this.mAdaWebview.getActivity(), isImmersed)) {
            immersed = " (Immersed/" + (((float) DeviceInfo.sStatusBarHeight) / this.mScale) + Operators.BRACKET_END_STR;
        }
        if (containeH5Plus && this.mUserAgent.indexOf(DCWebView.UserAgentExtInfo) < 0) {
            if (!BaseInfo.ISAMU || !BaseInfo.isBase(getContext())) {
                this.mUserAgent += DCWebView.UserAgentExtInfo + immersed;
            } else {
                this.mUserAgent += " Html5Plus/1.0 StreamApp/1.0" + immersed;
            }
        }
        Logger.d(TAG, "userAgent=" + this.mUserAgent);
        if (this.mAdaWebview.obtainFrameView().getFrameType() != 6) {
            this.webSettings.setUserAgentString(this.mUserAgent);
        }
        HttpConstants.setUA(this.mUserAgent);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void init() {
        setOnLongClickListener(new View.OnLongClickListener() {
            /* class io.dcloud.feature.x5.X5WebView.AnonymousClass3 */

            public boolean onLongClick(View v) {
                try {
                    if (X5WebView.this.mAdaWebview == null) {
                        return true;
                    }
                    if (X5WebView.this.mAdaWebview.mFrameView.getCircleRefreshView() == null || !X5WebView.this.mAdaWebview.mFrameView.getCircleRefreshView().hasRefreshOperator()) {
                        return !X5WebView.this.mAdaWebview.mFrameView.obtainFrameOptions().isUserSelect;
                    }
                    return true;
                } catch (Exception e) {
                    return true;
                }
            }
        });
        if (!AdaWebview.setedWebViewData) {
            boolean existDebugFile = DHFile.hasFile();
            boolean useEncryption = Boolean.parseBoolean(this.mAdaWebview.obtainApp().obtainConfigProperty(IApp.ConfigProperty.CONFIG_USE_ENCRYPTION));
            boolean isUniApp = BaseInfo.isUniAppAppid(this.mAdaWebview.obtainApp());
            String control = this.mAdaWebview.obtainApp().obtainConfigProperty(IApp.ConfigProperty.CONFIG_UNIAPP_CONTROL);
            boolean isDebug = !isUniApp;
            if (!TextUtils.isEmpty(control) && isUniApp && control.equals(AbsoluteConst.UNI_V3)) {
                isDebug = true;
            }
            if (!existDebugFile && (!BaseInfo.ISDEBUG || useEncryption || !isDebug)) {
                setWebContentsDebuggingEnabled(false);
            } else if (Build.VERSION.SDK_INT >= 19) {
                setWebContentsDebuggingEnabled(true);
            }
            AdaWebview.setedWebViewData = true;
        }
        setDownloadListener(this);
        if (DeviceInfo.sDeviceSdkVer >= 9) {
            this.mDeafaltOverScrollMode = getOverScrollMode();
        }
        try {
            CookieSyncManager.createInstance(this.mContext);
            CookieManager instance = CookieManager.getInstance();
            this.cm = instance;
            if (instance != null) {
                instance.setAcceptThirdPartyCookies(this, true);
                this.cm.setAcceptCookie(true);
                this.cm.removeExpiredCookie();
                CookieSyncManager.getInstance().sync();
            }
        } catch (Throwable e) {
            Logger.e("WebViewImpl CookieManager.getInstance Exception =" + e);
        }
        this.mAdaWebview.obtainFrameView().onInit();
        IApp app = this.mAdaWebview.obtainFrameView().obtainApp();
        this.mBaseUrl = app.obtainWebviewBaseUrl();
        setScrollBarStyle(33554432);
        if (AdaWebview.sCustomUserAgent != null) {
            this.webSettings.setUserAgentString(AdaWebview.sCustomUserAgent);
        } else {
            initUserAgent(app);
        }
        WebViewFactory.setFileAccess(this.webSettings, app, true);
        this.webSettings.setDefaultTextEncodingName(StringUtils.GB2312);
        this.webSettings.setDisplayZoomControls(false);
        this.webSettings.setCacheMode(getCacheMode());
        this.webSettings.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.NORMAL);
        this.webSettings.setSavePassword(false);
        this.webSettings.setSaveFormData(false);
        this.webSettings.setJavaScriptEnabled(true);
        this.webSettings.setJavaScriptCanOpenWindowsAutomatically(true);
        boolean scalable = this.mAdaWebview.mFrameView.obtainFrameOptions().scalable;
        this.webSettings.supportZoom();
        this.webSettings.setBuiltInZoomControls(scalable);
        this.webSettings.setSupportZoom(scalable);
        this.webSettings.setUseWideViewPort(true);
        if (!Build.BRAND.equalsIgnoreCase(MobilePhoneModel.MEIZU)) {
            this.webSettings.setLoadWithOverviewMode(true);
        }
        this.webSettings.setDatabasePath(this.mAdaWebview.obtainFrameView().obtainApp().obtainAppWebCachePath());
        this.webSettings.setAppCacheEnabled(true);
        this.webSettings.setAppCachePath(this.mAdaWebview.obtainFrameView().obtainApp().obtainAppWebCachePath());
        this.webSettings.setDatabaseEnabled(true);
        if (DeviceInfo.sDeviceSdkVer >= 7) {
            long _appCacheMaxSize = this.mContext.getSharedPreferences(this.mAdaWebview.obtainFrameView().obtainApp().obtainAppId(), 0).getLong("maxSize", 0);
            this.webSettings.setDomStorageEnabled(true);
            if (_appCacheMaxSize != 0) {
                this.webSettings.setAppCacheMaxSize(_appCacheMaxSize);
            }
        }
        if (Build.VERSION.SDK_INT >= 17) {
            this.webSettings.setMediaPlaybackRequiresUserGesture(false);
        }
        this.webSettings.setGeolocationEnabled(true);
        this.webSettings.setGeolocationDatabasePath(this.mAdaWebview.obtainFrameView().obtainApp().obtainAppWebCachePath());
        X5WebJsEvent x5WebJsEvent = new X5WebJsEvent(this.mAdaWebview);
        this.mWebJsEvent = x5WebJsEvent;
        setWebChromeClient(x5WebJsEvent);
        X5WebLoadEvent x5WebLoadEvent = new X5WebLoadEvent(this.mAdaWebview);
        this.mWebLoadEvent = x5WebLoadEvent;
        x5WebLoadEvent.setPageFinishedCallack(this.mPageFinishedCallack);
        if (!PdrUtil.isEmpty(this.mDcloudwebviewclientListener)) {
            this.mWebLoadEvent.setDcloudwebviewclientListener(this.mDcloudwebviewclientListener);
        }
        setWebViewClient(this.mWebLoadEvent);
        ReceiveJSValue.addJavascriptInterface(this.mAdaWebview);
        if (!BaseInfo.isUniAppAppid(this.mAdaWebview.obtainApp())) {
            requestFocus();
        }
        setClickable(true);
        removeUnSafeJavascriptInterface();
        applyWebViewDarkMode();
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public String getUrlStr() {
        return this.mUrl;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public String getBaseUrl() {
        return this.mBaseUrl;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setUrlStr(String url) {
        this.mUrl = url;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public int getCacheMode() {
        return this.mCacheMode;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setWebViewCacheMode(String mode) {
        if (mode.equals("default")) {
            this.mCacheMode = -1;
        } else if (mode.equals("cacheElseNetwork")) {
            this.mCacheMode = 1;
        } else if (mode.equals("noCache")) {
            this.mCacheMode = 2;
        } else if (mode.equals("cacheOnly")) {
            this.mCacheMode = 3;
        }
        this.webSettings.setCacheMode(this.mCacheMode);
    }

    @Override // com.tencent.smtt.sdk.WebView
    public void setWebViewClient(WebViewClient client) {
        if ((client instanceof X5WebLoadEvent) || client == null) {
            super.setWebViewClient(client);
        }
    }

    private void removeUnSafeJavascriptInterface() {
        removeJavascriptInterface("searchBoxJavaBridge_");
        removeJavascriptInterface("accessibilityTraversal");
        removeJavascriptInterface("accessibility");
    }

    public boolean checkApkUrl(String url, String contentDisposition) {
        if ((TextUtils.isEmpty(contentDisposition) || !contentDisposition.toLowerCase(Locale.ENGLISH).contains(StringConst.POINT_APP_EN)) && !url.toLowerCase(Locale.ENGLISH).contains(StringConst.POINT_APP_EN)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public long downloadFile(final Context context, final String title, final String appName, String url, String mimetype, final ILoadCallBack callBack) {
        return DownloadUtil.getInstance(context).startRequest(context, url, mimetype, DeviceInfo.sDeviceRootDir + "/Download/", title, new ILoadCallBack() {
            /* class io.dcloud.feature.x5.X5WebView.AnonymousClass4 */

            @Override // io.dcloud.common.DHInterface.ILoadCallBack
            public Object onCallBack(int pType, Context con, Object pArgs) {
                String path;
                SDK.IntegratedMode mode = BaseInfo.sRuntimeMode;
                if (pArgs == null) {
                    if (pType == -1 && con == null) {
                        Intent intent = new Intent();
                        Context context = context;
                        String str = appName;
                        NotificationUtil.showNotification(context, str, context.getString(R.string.dcloud_common_download_failed) + Operators.SPACE_STR + title, intent, -1, -1, intent.hashCode(), true);
                        return null;
                    }
                }
                if (callBack != null) {
                    String path2 = String.valueOf(pArgs);
                    String type = PdrUtil.getMimeType(path2);
                    if (path2.startsWith(DeviceInfo.FILE_PROTOCOL)) {
                        path2 = path2.substring(DeviceInfo.FILE_PROTOCOL.length());
                    }
                    if (path2.startsWith("content://")) {
                        path2 = PlatformUtil.getFilePathFromContentUri(Uri.parse(path2), context.getContentResolver());
                        type = PdrUtil.getMimeType(path2);
                    }
                    if (AbsoluteConst.TRUE.equals(String.valueOf(callBack.onCallBack(0, con, LoadAppUtils.getDataAndTypeIntent(context, path2, type))))) {
                        return null;
                    }
                }
                if (mode != null) {
                    return null;
                }
                String path3 = String.valueOf(pArgs);
                String type2 = PdrUtil.getMimeType(path3);
                if (path3.startsWith(DeviceInfo.FILE_PROTOCOL)) {
                    path3 = path3.substring(DeviceInfo.FILE_PROTOCOL.length());
                }
                if (path3.startsWith("content://")) {
                    String path4 = PlatformUtil.getFilePathFromContentUri(Uri.parse(path3), context.getContentResolver());
                    type2 = PdrUtil.getMimeType(path4);
                    path = path4;
                } else {
                    path = path3;
                }
                File file = new File(path);
                Intent intent2 = LoadAppUtils.getDataAndTypeIntent(context, path, type2);
                if (file.exists() && file.getName().toLowerCase(Locale.ENGLISH).endsWith(StringConst.POINT_APP_EN)) {
                    try {
                        PlatformUtil.APKInfo info = PlatformUtil.getApkFileInfo(context, path);
                        Drawable drawable = info.mIcon;
                        String appName = info.mAppName;
                        if (drawable instanceof BitmapDrawable) {
                            Bitmap pkgIcon = ((BitmapDrawable) drawable).getBitmap();
                            String content = file.getName();
                            PendingIntent contentIntent = null;
                            if (0 == 0) {
                                if (Build.VERSION.SDK_INT >= 23) {
                                    contentIntent = PendingIntent.getActivity(context, intent2.hashCode(), intent2, 1140850688);
                                } else {
                                    contentIntent = PendingIntent.getActivity(context, intent2.hashCode(), intent2, WXVideoFileObject.FILE_SIZE_LIMIT);
                                }
                            }
                            Context context2 = context;
                            NotificationUtil.createCustomNotification(context2, appName + Operators.SPACE_STR + context.getString(R.string.dcloud_common_download_complete), pkgIcon, appName, content, intent2.hashCode(), contentIntent);
                            return null;
                        }
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                Context context3 = context;
                String str2 = appName;
                NotificationUtil.showNotification(context3, str2, title + Operators.SPACE_STR + context.getString(R.string.dcloud_common_download_complete), intent2, -1, -1, intent2.hashCode(), true);
                return null;
            }
        });
    }

    @Override // com.tencent.smtt.sdk.DownloadListener
    public void onDownloadStart(final String url, String userAgent, String contentDisposition, final String mimetype, long contentLength) {
        Logger.i(TAG, "onDownloadStart " + url + "userAgent= " + userAgent + "contentDisposition= " + contentDisposition + "mimetype= " + mimetype + "contentLength= " + contentLength);
        try {
            Context context = getContext();
            if (DeviceInfo.sDeviceSdkVer <= 8) {
                Intent intent = new Intent("android.intent.action.VIEW");
                intent.setData(Uri.parse(url));
                context.startActivity(intent);
            } else if (context != null && (context instanceof Activity)) {
                final String name = PdrUtil.getDownloadFilename(contentDisposition, mimetype, url);
                String tip = context.getString(R.string.dcloud_common_download_do_file) + name;
                if (0 < contentLength) {
                    tip = tip + "【" + new BigDecimal(contentLength).divide(new BigDecimal(1048576L), 2, 4).floatValue() + "MB】";
                }
                DialogUtil.showAlertDialog((Activity) context, tip, PdrR.getStringValve(context, "dcloud_common_download"), PdrR.getStringValve(context, "dcloud_common_cancel"), new View.OnClickListener() {
                    /* class io.dcloud.feature.x5.X5WebView.AnonymousClass5 */

                    public void onClick(View v) {
                        X5WebView x5WebView = X5WebView.this;
                        x5WebView.downloadFile(x5WebView.getContext(), name, X5WebView.this.mAdaWebview.getAppName(), url, mimetype, null);
                    }
                }, null, null, null, false, 0, 80, (int) (((double) context.getResources().getDisplayMetrics().widthPixels) * 0.9d));
            }
        } catch (Exception e) {
            Logger.w("webview onDownloadStart", e);
            Logger.e(TAG, "browser will download url=" + url);
            try {
                Intent intent2 = new Intent("android.intent.action.VIEW");
                intent2.setData(Uri.parse(url));
                this.mAdaWebview.getActivity().startActivity(intent2);
            } catch (Exception e1) {
                e1.printStackTrace();
            }
        }
    }

    public String toString() {
        String str;
        String str2 = this.mUrl;
        if (str2 == null || (str = this.mBaseUrl) == null) {
            return super.toString();
        }
        int pos = str2.indexOf(str);
        String _url = this.mUrl;
        if (pos >= 0) {
            _url = _url.substring(this.mBaseUrl.length());
        }
        return "<url=" + _url + ">;<hashcode=" + hashCode() + Operators.G;
    }

    public void removeAllViews() {
        try {
            for (int i = getChildCount() - 1; i >= 0; i--) {
                View v = getChildAt(i);
                if (v != ((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView()) {
                    removeView(v);
                }
            }
        } catch (Exception e) {
            super.removeAllViews();
            if (((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView() != null) {
                addView((View) ((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView(), -1, -1);
            }
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public String convertRelPath(String path) {
        if (path.indexOf(this.mBaseUrl) >= 0) {
            return path.substring(this.mBaseUrl.length());
        }
        String t_baseUrl = this.mBaseUrl.substring(DeviceInfo.FILE_PROTOCOL.length());
        if (path.indexOf(t_baseUrl) >= 0) {
            return path.substring(t_baseUrl.length());
        }
        return path;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void putHeads(String url, HashMap<String, String> heads) {
        this.mUrlHeads.put(url, heads);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void listenPageFinishTimeout(String tag) {
        this.mWebLoadEvent.listenPageFinishTimeout(this, getUrlStr(), tag);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void onUpdatePlusData(String tag) {
        this.mWebLoadEvent.onUpdatePlusData(this, getUrlStr(), tag);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public boolean checkOverrideUrl(JSONObject dataOptions, String url) {
        boolean ret;
        if (dataOptions == null) {
            return false;
        }
        try {
            if (AbsoluteConst.EVENTS_WEBVIEW_ONTOUCH_START.equals(dataOptions.optString("effect", "instant")) && !isDidTouch()) {
                return false;
            }
            int hitType = getHitTestResult().getType();
            if ("redirect".equalsIgnoreCase(dataOptions.optString(SocialConstants.PARAM_EXCLUDE)) && hitType == 0) {
                return false;
            }
            String m = dataOptions.optString("mode");
            if (dataOptions.has("match")) {
                ret = Pattern.compile(dataOptions.optString("match")).matcher(url).matches();
            } else {
                ret = true;
            }
            if ("allow".equals(m)) {
                if (ret) {
                    return false;
                }
                return true;
            } else if (ret) {
                return true;
            } else {
                return false;
            }
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    public boolean dispatchKeyEvent(KeyEvent event) {
        for (int i = 0; i < getChildCount(); i++) {
            boolean handled = getChildAt(i).dispatchKeyEvent(event);
            if (handled) {
                return handled;
            }
        }
        return super.dispatchKeyEvent(event);
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (BaseInfo.USE_ACTIVITY_HANDLE_KEYEVENT) {
            return super.onKeyDown(keyCode, event);
        }
        return doKeyDownAction(keyCode, event);
    }

    public boolean doKeyDownAction(int keyCode, KeyEvent event) {
        boolean _ret;
        IKeyHandler act = (IKeyHandler) this.mAdaWebview.getActivity();
        if (event.getRepeatCount() == 0) {
            _ret = act.onKeyEventExecute(ISysEventListener.SysEventType.onKeyDown, keyCode, event);
        } else {
            _ret = act.onKeyEventExecute(ISysEventListener.SysEventType.onKeyDown, keyCode, event);
        }
        return _ret ? _ret : super.onKeyDown(keyCode, event);
    }

    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (BaseInfo.USE_ACTIVITY_HANDLE_KEYEVENT) {
            return super.onKeyUp(keyCode, event);
        }
        return doKeyUpAction(keyCode, event);
    }

    public boolean doKeyUpAction(int keyCode, KeyEvent event) {
        boolean _ret = ((IKeyHandler) this.mAdaWebview.getActivity()).onKeyEventExecute(ISysEventListener.SysEventType.onKeyUp, keyCode, event);
        return _ret ? _ret : super.onKeyUp(keyCode, event);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView, com.dcloud.android.v4.widget.IRefreshAble.OnRefreshListener
    public void onRefresh(int state) {
        this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_PULL_DOWN_EVENT, Integer.valueOf(state));
        this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_PULL_TO_REFRESH, Integer.valueOf(state));
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public int getWebViewScrollY() {
        return getWebScrollY();
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public IRefreshAble.OnRefreshListener getRefreshListener() {
        return this;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView() != null) {
            invalidate();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.smtt.sdk.WebView
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        X5WebJsEvent x5WebJsEvent = this.mWebJsEvent;
        if (x5WebJsEvent != null) {
            x5WebJsEvent.releaseDefaultVideoPoster();
        }
        if (((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView() != null && ((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView().isRefreshEnable()) {
            ((AdaFrameView) this.mAdaWebview.obtainFrameView()).getCircleRefreshView().endRefresh();
        }
    }

    public boolean isChildSpeciaView(float x, float y) {
        if (this.mAdaWebview.mFrameView.checkITypeofAble()) {
            return false;
        }
        ViewGroup parent = this;
        if (getChildCount() == 1 && getChildAt(0).getClass().getName().endsWith("InnerWebView")) {
            parent = (ViewGroup) getChildAt(0);
        }
        for (int i = 0; i < parent.getChildCount(); i++) {
            View child = parent.getChildAt(i);
            if (child instanceof SlideLayout) {
                return false;
            }
            if (child instanceof INativeView) {
                return true;
            }
            if ((child instanceof IVideoPlayer) && (!((IVideoPlayer) child).isVideoHandleTouch() || ((IVideoPlayer) child).isPointInRect(x, y))) {
                return true;
            }
        }
        return false;
    }

    public InputConnection onCreateInputConnection(EditorInfo outAttrs) {
        Logger.e("AssistantInput", "onCreateInputConnection 00");
        try {
            InputConnection ret = super.onCreateInputConnection(outAttrs);
            if (!BaseInfo.AuxiliaryInput || ret == null) {
                return ret;
            }
            InputConnection ret2 = new CustomeizedInputConnection(this.mAdaWebview, ret, outAttrs, AdaWebview.sCustomeizedInputConnection);
            AdaWebview.sCustomeizedInputConnection = (CustomeizedInputConnection) ret2;
            return ret2;
        } catch (Throwable e) {
            e.printStackTrace();
            return null;
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public ViewGroup getWebView() {
        return this;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public boolean isDidTouch() {
        return this.didTouch;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setDidTouch(boolean didTouch2) {
        this.didTouch = didTouch2;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void closeWap2AppBlockDialog(boolean is) {
        this.mWebLoadEvent.closeWap2AppBlockDialog(is);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setCookie(String key, String v) {
        CookieManager cookieManager = this.cm;
        if (cookieManager != null) {
            cookieManager.setAcceptCookie(true);
            this.cm.setCookie(key, v);
            CookieSyncManager.getInstance().sync();
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public String getCookie(String key) {
        CookieManager cookieManager = this.cm;
        if (cookieManager != null) {
            return cookieManager.getCookie(key);
        }
        return null;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void removeAllCookie() {
        CookieManager cookieManager = this.cm;
        if (cookieManager != null) {
            cookieManager.removeAllCookie();
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void removeSessionCookie() {
        CookieManager cookieManager = this.cm;
        if (cookieManager != null) {
            cookieManager.removeSessionCookie();
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setBlockNetworkImage(boolean is) {
        this.webSettings.setBlockNetworkImage(is);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setUserAgentString(String v) {
        this.webSettings.setUserAgentString(v);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void initScalable(boolean scalable) {
        this.webSettings.supportZoom();
        this.webSettings.setBuiltInZoomControls(scalable);
        this.webSettings.setSupportZoom(scalable);
        this.webSettings.setUseWideViewPort(true);
        if (!Build.BRAND.equalsIgnoreCase(MobilePhoneModel.MEIZU)) {
            this.webSettings.setLoadWithOverviewMode(true);
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public String getUserAgentString() {
        return this.webSettings.getUserAgentString();
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public String getPageTitle() {
        return this.mPageTitle;
    }

    @Override // com.tencent.smtt.sdk.WebView, io.dcloud.common.adapter.ui.webview.DCWebView
    public float getScale() {
        return this.mScale;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setDcloudwebviewclientListener(IDCloudWebviewClientListener listener) {
        setDcloudwebviewclientListener(listener);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void onPreloadJSContent(String tag) {
        this.mWebLoadEvent.onPreloadJSContent(this, this.mUrl, tag);
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void webReload(boolean isForce) {
        if (isForce) {
            X5WebLoadEvent x5WebLoadEvent = this.mWebLoadEvent;
            if (x5WebLoadEvent != null) {
                x5WebLoadEvent.reset();
            }
            this.webSettings.setCacheMode(2);
            return;
        }
        this.webSettings.setCacheMode(this.mCacheMode);
    }

    @Override // android.view.ViewGroup
    public void addView(View child, int index, ViewGroup.LayoutParams params) {
        View webLmpl = getView();
        if (child == webLmpl) {
            super.addView(child, index, params);
            return;
        }
        try {
            PlatformUtil.invokeMethod(webLmpl, "addView", new Class[]{View.class, Integer.TYPE, ViewGroup.LayoutParams.class}, child, Integer.valueOf(index), params);
        } catch (Exception e) {
            e.printStackTrace();
            super.addView(child, index, params);
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setPageTitle(String pageTitle) {
        this.mPageTitle = pageTitle;
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void applyWebViewDarkMode() {
        if (Build.VERSION.SDK_INT >= 29) {
            getSettingsExtension().setDayOrNight(!AppRuntime.getAppDarkMode(this.mContext));
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void destroyWeb() {
        destroy();
        setWebChromeClient(null);
        setWebViewClient(null);
        setDownloadListener(null);
        setPictureListener(null);
        destroyDrawingCache();
        clearDisappearingChildren();
        if (this.mAdaWebview != null) {
            this.cm = null;
            setOnLongClickListener(null);
            this.mAdaWebview = null;
            this.mWebLoadEvent.destroy();
            this.mWebLoadEvent = null;
            this.mWebJsEvent.mAdaWebview = null;
            this.mWebJsEvent = null;
            this.webSettings = null;
            this.mContext = null;
        }
    }

    static class BorderDrawable extends Drawable {
        int mBackgroundColor;
        Paint mPaint;

        BorderDrawable(int bgColor, int borderColor) {
            Paint paint = new Paint();
            this.mPaint = paint;
            this.mBackgroundColor = bgColor;
            paint.setColor(borderColor);
        }

        public void draw(Canvas canvas) {
            canvas.drawColor(this.mBackgroundColor);
            this.mPaint.setStyle(Paint.Style.STROKE);
            this.mPaint.setStrokeWidth(3.0f);
            canvas.drawRect(getBounds(), this.mPaint);
        }

        public void setAlpha(int alpha) {
            this.mPaint.setAlpha(alpha);
        }

        public void setColorFilter(ColorFilter cf) {
            this.mPaint.setColorFilter(cf);
        }

        public int getOpacity() {
            return this.mPaint.getAlpha();
        }
    }

    public ActionMode startActionMode(ActionMode.Callback callback) {
        if (Build.VERSION.SDK_INT >= 11) {
            return super.startActionMode(new CustomizedSelectActionModeCallback(callback));
        }
        return super.startActionMode(callback);
    }

    public class CustomizedSelectActionModeCallback implements ActionMode.Callback {
        ActionMode.Callback callback;

        public CustomizedSelectActionModeCallback(ActionMode.Callback callback2) {
            this.callback = callback2;
        }

        public boolean onCreateActionMode(ActionMode mode, Menu menu) {
            this.callback.onCreateActionMode(mode, menu);
            int size = menu.size();
            for (int i = 0; i < size; i++) {
                MenuItem mi = menu.getItem(i);
                String t = mi.getTitle().toString();
                if (t.contains("搜索") || t.toLowerCase(Locale.ENGLISH).contains("search")) {
                    menu.removeItem(mi.getItemId());
                    return true;
                }
            }
            return true;
        }

        public boolean onPrepareActionMode(ActionMode mode, Menu menu) {
            return this.callback.onPrepareActionMode(mode, menu);
        }

        public boolean onActionItemClicked(ActionMode mode, MenuItem item) {
            return this.callback.onActionItemClicked(mode, item);
        }

        public void onDestroyActionMode(ActionMode mode) {
            this.callback.onDestroyActionMode(mode);
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setHorizontalScrollBarEnabled(boolean horizontalScrollBarEnabled) {
        if (getView() != null) {
            getView().setHorizontalScrollBarEnabled(horizontalScrollBarEnabled);
        }
    }

    @Override // io.dcloud.common.adapter.ui.webview.DCWebView
    public void setVerticalScrollBarEnabled(boolean verticalScrollBarEnabled) {
        if (getView() != null) {
            getView().setVerticalScrollBarEnabled(verticalScrollBarEnabled);
        }
    }

    /* access modifiers changed from: package-private */
    public class CallbackClient implements WebViewCallbackClient {
        CallbackClient() {
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public void invalidate() {
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public boolean onTouchEvent(MotionEvent event, View view) {
            X5WebView.this.didTouch = true;
            if (Build.VERSION.SDK_INT == 16 && !PdrUtil.isEquals(Build.BRAND, "samsung") && event.getAction() == 0) {
                int t = X5WebView.this.getView().getScrollY();
                X5WebView.this.getView().scrollTo(X5WebView.this.getView().getScrollX(), t + 1);
                X5WebView.this.getView().scrollTo(X5WebView.this.getView().getScrollX(), t);
            }
            if (event.getAction() == 0) {
                X5WebView.this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_WEBVIEW_ONTOUCH_START, Integer.valueOf(X5WebView.this.getContentHeight()));
            }
            return X5WebView.this.super_onTouchEvent(event);
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public boolean overScrollBy(int deltaX, int deltaY, int scrollX, int scrollY, int scrollRangeX, int scrollRangeY, int maxOverScrollX, int maxOverScrollY, boolean isTouchEvent, View view) {
            return X5WebView.this.super_overScrollBy(deltaX, deltaY, scrollX, scrollY, scrollRangeX, scrollRangeY, maxOverScrollX, maxOverScrollY, isTouchEvent);
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public void computeScroll(View view) {
            X5WebView.this.super_computeScroll();
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public void onOverScrolled(int scrollX, int scrollY, boolean clampedX, boolean clampedY, View view) {
            X5WebView.this.super_onOverScrolled(scrollX, scrollY, clampedX, clampedY);
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public void onScrollChanged(int l, int t, int oldl, int oldt, View view) {
            X5WebView.this.super_onScrollChanged(l, t, oldl, oldt);
            if (l != oldl || t != oldt) {
                if (!AndroidResources.sIMEAlive && X5WebView.this.isReadyForPullUp(t)) {
                    Logger.d("onPlusScrollBottom", "上拉事件  url=" + X5WebView.this.mAdaWebview.obtainUrl());
                    X5WebView.this.mAdaWebview.executeScript(X5WebView.PLUSSCROLLBOTTOM_JS_TEMPLATE);
                }
                JSONObject titleNView = X5WebView.this.mAdaWebview.mFrameView.obtainFrameOptions().titleNView;
                if (titleNView != null && titleNView.has("type") && Constant.TRANSPARENT.equals(titleNView.optString("type"))) {
                    int coverage = X5WebView.this.mAdaWebview.mFrameView.obtainFrameOptions().coverage;
                    if (coverage >= oldt || coverage >= t) {
                        Object titleNViewObj = TitleNViewUtil.getTitleNView(X5WebView.this.mAdaWebview.obtainFrameView().obtainWindowMgr(), X5WebView.this.mAdaWebview.obtainFrameView().obtainWebView(), X5WebView.this.mAdaWebview.obtainFrameView(), TitleNViewUtil.getTitleNViewId(X5WebView.this.mAdaWebview.obtainFrameView()));
                        if (titleNViewObj instanceof ITitleNView) {
                            TitleNViewUtil.updateTitleNViewStatus((ITitleNView) titleNViewObj, X5WebView.this.mAdaWebview.obtainFrameView().obtainWebView(), (float) t, titleNView, (float) coverage);
                        }
                    }
                }
            }
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public boolean dispatchTouchEvent(MotionEvent ev, View view) {
            return X5WebView.this.super_dispatchTouchEvent(ev);
        }

        @Override // com.tencent.smtt.sdk.WebViewCallbackClient
        public boolean onInterceptTouchEvent(MotionEvent ev, View view) {
            if (!X5WebView.this.isChildSpeciaView(ev.getX(), ev.getY())) {
                return X5WebView.this.super_onInterceptTouchEvent(ev);
            }
            int action = ev.getActionMasked();
            float x = ev.getRawX();
            float y = ev.getRawY();
            if (action == 0) {
                X5WebView.this.mLastMotionY = y;
                X5WebView.this.mLastMotionX = x;
                X5WebView.this.mIsBeingDragged = false;
            } else if (action == 2) {
                float yDiff = y - X5WebView.this.mLastMotionY;
                if (Math.abs(yDiff) > Math.abs(x - X5WebView.this.mLastMotionX) && Math.abs(yDiff) > 20.0f) {
                    ev.setAction(0);
                    onTouchEvent(ev, view);
                    X5WebView.this.mIsBeingDragged = true;
                }
            }
            return X5WebView.this.mIsBeingDragged ? X5WebView.this.mIsBeingDragged : X5WebView.this.super_onInterceptTouchEvent(ev);
        }
    }
}
