package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.js.map.amap.adapter.DHMapView;
import io.dcloud.js.map.amap.adapter.IFJsOverlay;
import io.dcloud.js.map.amap.adapter.MapMarker;
import org.json.JSONArray;

class JsMapMarker extends JsMapObject implements IFJsOverlay {
    private MapMarker mMapMarker;

    public JsMapMarker(IWebview pWebview) {
        super(pWebview);
    }

    private void init(JsMapPoint pMapPoint) {
        MapMarker mapMarker = new MapMarker(pMapPoint.getMapPoint(), this.mWebview);
        this.mMapMarker = mapMarker;
        mapMarker.setUuid(this.mUUID);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void createObject(JSONArray pJsArgs) {
        init(JsMapManager.getJsMapManager().getMapPoint(this.mWebview, JSONUtil.getJSONObject(pJsArgs, 0)));
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void updateObject(String pStrEvent, JSONArray pJsArgs) {
        if ("setPoint".equals(pStrEvent)) {
            this.mMapMarker.setMapPoint(JsMapManager.getJsMapManager().getMapPoint(this.mWebview, JSONUtil.getJSONObject(pJsArgs, 0)).getMapPoint());
        } else if ("setLabel".equals(pStrEvent)) {
            this.mMapMarker.setLabel(JSONUtil.getString(pJsArgs, 0));
        } else if ("setBubble".equals(pStrEvent)) {
            this.mMapMarker.setBubble(JSONUtil.getString(pJsArgs, 0), JSONUtil.getString(pJsArgs, 1), pJsArgs.optBoolean(4));
        } else if ("setIcon".equals(pStrEvent)) {
            this.mMapMarker.setIcon(JSONUtil.getString(pJsArgs, 0));
        } else if ("setBubbleIcon".equals(pStrEvent)) {
            this.mMapMarker.setBubbleIcon(JSONUtil.getString(pJsArgs, 0));
        } else if ("setBubbleLabel".equals(pStrEvent)) {
            this.mMapMarker.setBubbleLabel(JSONUtil.getString(pJsArgs, 0));
        } else if ("hide".equals(pStrEvent)) {
            this.mMapMarker.hide();
        } else if (AbsoluteConst.EVENTS_WEBVIEW_SHOW.equals(pStrEvent)) {
            this.mMapMarker.show();
        } else if ("bringToTop".equals(pStrEvent)) {
            this.mMapMarker.bringToTop();
        } else if ("hideBubble".equals(pStrEvent)) {
            this.mMapMarker.hideBubble();
        } else if ("setIcons".equals(pStrEvent)) {
            this.mMapMarker.setIcons(JSONUtil.getJSONArray(pJsArgs, 0), pJsArgs.optInt(1));
        } else if ("setDraggable".equals(pStrEvent)) {
            this.mMapMarker.setDraggable(pJsArgs.optBoolean(0));
        } else if ("loadImage".equals(pStrEvent)) {
            this.mMapMarker.loadImage(JSONUtil.getString(pJsArgs, 0));
        } else if ("loadImageDataURL".equals(pStrEvent)) {
            this.mMapMarker.loadImageDataURL(JSONUtil.getString(pJsArgs, 0));
        }
    }

    @Override // io.dcloud.js.map.amap.adapter.IFJsOverlay
    public Object getMapOverlay() {
        return this.mMapMarker;
    }

    @Override // io.dcloud.js.map.amap.JsMapObject
    public void onAddToMapView(DHMapView pMapView) {
        super.onAddToMapView(pMapView);
        this.mMapMarker.initMapMarker(pMapView);
    }
}
