package io.dcloud.js.map.amap;

import android.content.Context;
import com.amap.api.maps.MapsInitializer;
import com.amap.api.services.district.DistrictSearchQuery;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IWaiter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.js.map.amap.adapter.DHMapUtil;
import org.json.JSONArray;
import org.json.JSONObject;

public class JsMapPluginImpl implements IWaiter, IFeature {
    JsMapManager mMapManager;

    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(IWebview pWebViewImpl, String pActionName, String[] pJsArgs) {
        String uuid;
        JsMapObject _jsMapObject;
        String _appid = pWebViewImpl.obtainApp().obtainAppId();
        final JSONArray _arr = JSONUtil.createJSONArray(pJsArgs[0]);
        Context context = pWebViewImpl.getContext();
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "Maps-" + pActionName);
        if ("createObject".equals(pActionName)) {
            String subActionName = JSONUtil.getString(_arr, 1);
            JsMapObject _jsMapObject2 = null;
            if ("mapview".equals(subActionName)) {
                _jsMapObject2 = new JsMapView(pWebViewImpl);
                if (_arr.length() > 3) {
                    _jsMapObject2.setJsId(JSONUtil.getString(_arr, 3));
                }
                this.mMapManager.putJsMapView(_appid, JSONUtil.getString(_arr, 0), (JsMapView) _jsMapObject2);
            } else if (Constant.Name.MARKER.equals(subActionName)) {
                _jsMapObject2 = new JsMapMarker(pWebViewImpl);
            } else if ("search".equals(subActionName)) {
                _jsMapObject2 = new JsMapSearch(pWebViewImpl);
            } else if (Constant.Name.POLYLINE.equals(subActionName)) {
                _jsMapObject2 = new JsMapPolyline(pWebViewImpl);
            } else if ("polygon".equals(subActionName)) {
                _jsMapObject2 = new JsMapPolygon(pWebViewImpl);
            } else if ("circle".equals(subActionName)) {
                _jsMapObject2 = new JsMapCircle(pWebViewImpl);
            }
            _jsMapObject2.setUUID(JSONUtil.getString(_arr, 0));
            _jsMapObject2.createObject(JSONUtil.getJSONArray(_arr, 2));
            this.mMapManager.putJsObject(JSONUtil.getString(_arr, 0), _jsMapObject2);
            return null;
        }
        String city = null;
        if ("updateObject".equals(pActionName)) {
            MessageHandler.sendMessage(new MessageHandler.IMessages() {
                /* class io.dcloud.js.map.amap.JsMapPluginImpl.AnonymousClass1 */

                @Override // io.dcloud.common.adapter.util.MessageHandler.IMessages
                public void execute(Object pArgs) {
                    JsMapObject _jsMapObject = JsMapPluginImpl.this.mMapManager.getJsObject(JSONUtil.getString(_arr, 0));
                    if (_jsMapObject != null) {
                        JSONArray _arrS = JSONUtil.getJSONArray(_arr, 1);
                        _jsMapObject.updateObject(JSONUtil.getString(_arrS, 0), JSONUtil.getJSONArray(_arrS, 1));
                    }
                }
            }, null);
            return null;
        } else if ("execMethod".equals(pActionName)) {
            JSONArray _arrs = JSONUtil.getJSONArray(_arr, 1);
            String subActionName2 = JSONUtil.getString(_arrs, 0);
            if ("openSysMap".equals(subActionName2)) {
                JSONArray __arrs__ = JSONUtil.getJSONArray(_arrs, 1);
                JSONObject _dst = JSONUtil.getJSONObject(__arrs__, 0);
                String _destLongitude = JSONUtil.getString(_dst, Constant.JSONKEY.LONGITUDE);
                String _destLatitude = JSONUtil.getString(_dst, Constant.JSONKEY.LATITUDE);
                String desp = JSONUtil.getString(__arrs__, 1);
                JSONObject _src = JSONUtil.getJSONObject(__arrs__, 2);
                DHMapUtil.openSysMap(pWebViewImpl, "", new String[][]{new String[]{_destLatitude, _destLongitude}, new String[]{JSONUtil.getString(_src, Constant.JSONKEY.LATITUDE), JSONUtil.getString(_src, Constant.JSONKEY.LONGITUDE)}}, desp);
                return null;
            } else if (!AbsoluteConst.EVENTS_CLOSE.equals(subActionName2) || (_jsMapObject = this.mMapManager.getJsObject((uuid = JSONUtil.getString(_arrs, 1)))) == null) {
                return null;
            } else {
                ((IFMapDispose) _jsMapObject).close();
                this.mMapManager.removeJsObject(pWebViewImpl.obtainApp().obtainAppId(), uuid);
                return null;
            }
        } else if ("geocode".equals(pActionName)) {
            String address = pJsArgs[0];
            JSONObject jsonObject = JSONUtil.createJSONObject(pJsArgs[1]);
            String coordType = jsonObject == null ? null : jsonObject.optString(AbsoluteConst.JSONKEY_MAP_COORD_TYPE);
            if (jsonObject != null) {
                city = jsonObject.optString(DistrictSearchQuery.KEYWORDS_CITY);
            }
            DHMapUtil.geocode(pWebViewImpl, address, coordType, city, pJsArgs[2]);
            return null;
        } else if ("reverseGeocode".equals(pActionName)) {
            JsMapPoint _point = JsMapManager.getJsMapManager().getMapPoint(pWebViewImpl, JSONUtil.createJSONObject(pJsArgs[0]));
            JSONObject jsonObject2 = JSONUtil.createJSONObject(pJsArgs[1]);
            String coordType2 = jsonObject2 == null ? null : jsonObject2.optString(AbsoluteConst.JSONKEY_MAP_COORD_TYPE);
            if (jsonObject2 != null) {
                city = jsonObject2.optString(DistrictSearchQuery.KEYWORDS_CITY);
            }
            DHMapUtil.reverseGeocode(pWebViewImpl, _point.getMapPoint(), coordType2, city, pJsArgs[2]);
            return null;
        } else if ("updateObjectSYNC".equals(pActionName)) {
            JsMapObject _jsMapObject3 = this.mMapManager.getJsObject(JSONUtil.getString(_arr, 0));
            if (_jsMapObject3 == null) {
                return null;
            }
            JSONArray _arrS = JSONUtil.getJSONArray(_arr, 1);
            return _jsMapObject3.updateObjectSYNC(JSONUtil.getString(_arrS, 0), JSONUtil.getJSONArray(_arrS, 1));
        } else if ("calculateDistance".equals(pActionName)) {
            DHMapUtil.calculateDistance(pWebViewImpl, JsMapManager.getJsMapManager().getMapPoint(pWebViewImpl, JSONUtil.createJSONObject(pJsArgs[0])).getMapPoint(), JsMapManager.getJsMapManager().getMapPoint(pWebViewImpl, JSONUtil.createJSONObject(pJsArgs[1])).getMapPoint(), pJsArgs[2]);
            return null;
        } else if ("calculateArea".equals(pActionName)) {
            JSONObject bounds = JSONUtil.createJSONObject(pJsArgs[0]);
            DHMapUtil.calculateArea(pWebViewImpl, JsMapManager.getJsMapManager().getMapPoint(pWebViewImpl, bounds.optJSONObject("southwest")).getMapPoint(), JsMapManager.getJsMapManager().getMapPoint(pWebViewImpl, bounds.optJSONObject("northease")).getMapPoint(), pJsArgs[1]);
            return null;
        } else if ("convertCoordinates".equals(pActionName)) {
            Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[2], DOMException.toJSON(-100, DOMException.toString("高德地图不支持该功能")), JSUtil.ERROR, true, false);
            return null;
        } else if ("getMapById".equals(pActionName)) {
            JsMapView jsMap = this.mMapManager.getJsMapViewById(_appid, JSONUtil.getString(_arr, 0));
            if (jsMap == null) {
                return null;
            }
            jsMap.setCallBackWebUuid(pWebViewImpl.getWebviewUUID());
            JSONObject jsonObject3 = jsMap.getJsJsonMap();
            if (jsonObject3 != null) {
                return JSUtil.wrapJsVar(jsonObject3);
            }
            return null;
        } else if (!"setStyles".equals(pActionName)) {
            return null;
        } else {
            String uuid2 = JSONUtil.getString(_arr, 0);
            JSONObject stylesJson = JSONUtil.getJSONObject(_arr, 1);
            JsMapView jsMap2 = this.mMapManager.getJsMapViewByUuid(_appid, uuid2);
            if (jsMap2 == null) {
                return null;
            }
            jsMap2.setStyles(stylesJson);
            return null;
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        Context context = pFeatureMgr.getContext();
        try {
            MapsInitializer.initialize(context);
            boolean shown = !AppRuntime.hasPrivacyForNotShown(context);
            PlatformUtil.invokeMethod("com.amap.api.maps.MapsInitializer", "updatePrivacyShow", null, new Class[]{Context.class, Boolean.TYPE, Boolean.TYPE}, new Object[]{context, true, Boolean.valueOf(shown)});
            PlatformUtil.invokeMethod("com.amap.api.maps.MapsInitializer", "updatePrivacyAgree", null, new Class[]{Context.class, Boolean.TYPE}, new Object[]{context, Boolean.valueOf(shown)});
        } catch (Exception e) {
            e.printStackTrace();
        }
        JsMapManager jsMapManager = JsMapManager.getJsMapManager();
        this.mMapManager = jsMapManager;
        jsMapManager.setFeatureMgr(pFeatureMgr);
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String pAppid) {
        this.mMapManager.dispose(pAppid);
    }

    @Override // io.dcloud.common.DHInterface.IWaiter
    public Object doForFeature(String actionType, Object args) {
        if (!actionType.equals("appendToFrameView")) {
            return null;
        }
        Object[] pArgs = (Object[]) args;
        AdaFrameView frameView = (AdaFrameView) pArgs[0];
        String appid = frameView.obtainApp().obtainAppId();
        JsMapView mapView = this.mMapManager.getJsMapViewByUuid(appid, (String) pArgs[1]);
        if (mapView == null) {
            return null;
        }
        mapView.appendToFrameView(frameView);
        return null;
    }
}
