package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.js.map.amap.adapter.DHMapView;
import io.dcloud.js.map.amap.adapter.IFJsOverlay;
import io.dcloud.js.map.amap.adapter.MapPoint;
import io.dcloud.js.map.amap.adapter.MapPolylineProxy;
import java.util.ArrayList;
import org.json.JSONArray;

class JsMapPolyline extends JsMapObject implements IFJsOverlay {
    private MapPolylineProxy mPolyline;

    protected JsMapPolyline(IWebview pWebview) {
        super(pWebview);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void createObject(JSONArray pJsArgs) {
        this.mPolyline = new MapPolylineProxy(jsArrToPointArr(JsMapManager.getJsMapManager().getJsToPointArry(this.mWebview, JSONUtil.getString(pJsArgs, 0))));
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void updateObject(String pStrEvent, JSONArray pJsArgs) {
        if ("setPath".equals(pStrEvent)) {
            this.mPolyline.setPath(jsArrToPointArr(JsMapManager.getJsMapManager().getJsToPointArry(this.mWebview, JSONUtil.getString(pJsArgs, 0))));
        } else if ("setStrokeColor".equals(pStrEvent)) {
            this.mPolyline.setStrokeColor(PdrUtil.stringToColor(JSONUtil.getString(pJsArgs, 0)));
        } else if ("setStrokeOpacity".equals(pStrEvent)) {
            this.mPolyline.setStrokeOpacity(PdrUtil.parseFloat(JSONUtil.getString(pJsArgs, 0), 0.0f));
        } else if ("setLineWidth".equals(pStrEvent)) {
            this.mPolyline.setLineWidth(PdrUtil.parseInt(JSONUtil.getString(pJsArgs, 0), 0));
        }
        if (this.mMapView != null) {
            this.mMapView.refreshDrawableState();
        }
    }

    private ArrayList<MapPoint> jsArrToPointArr(ArrayList<JsMapPoint> pArrayJsPoint) {
        ArrayList<MapPoint> _arrayPoint = new ArrayList<>();
        if (pArrayJsPoint != null && pArrayJsPoint.size() > 0) {
            for (int i = 0; i < pArrayJsPoint.size(); i++) {
                _arrayPoint.add(pArrayJsPoint.get(i).getMapPoint());
            }
        }
        return _arrayPoint;
    }

    @Override // io.dcloud.js.map.amap.adapter.IFJsOverlay
    public Object getMapOverlay() {
        return this.mPolyline;
    }

    @Override // io.dcloud.js.map.amap.JsMapObject
    public void onAddToMapView(DHMapView pMapView) {
        super.onAddToMapView(pMapView);
        this.mPolyline.initMapPolyline(pMapView);
    }
}
