package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.js.map.amap.adapter.DHMapView;
import io.dcloud.js.map.amap.adapter.MapSearch;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

class JsMapSearch extends JsMapObject {
    private MapSearch mMapSearch;

    public JsMapSearch(IWebview pWebview) {
        super(pWebview);
        this.mMapSearch = new MapSearch(pWebview);
    }

    /* access modifiers changed from: package-private */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void setUUID(String uuid) {
        super.setUUID(uuid);
        this.mMapSearch.mCallbackId = this.mUUID;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void createObject(JSONArray pJsArgs) {
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void updateObject(String pStrEvent, JSONArray pJsArgs) {
        Object _start;
        Object _end;
        Object _start2;
        Object _end2;
        Object _start3;
        Object _end3;
        try {
            if ("setPageCapacity".equals(pStrEvent)) {
                this.mMapSearch.setPageCapacity(pJsArgs.getString(0));
            } else if ("poiSearchInCity".equals(pStrEvent)) {
                this.mMapSearch.poiSearchInCity(pJsArgs.getString(0), pJsArgs.getString(1), pJsArgs.getString(2));
            } else if ("poiSearchNearBy".equals(pStrEvent)) {
                this.mMapSearch.poiSearchNearBy(pJsArgs.getString(0), JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(1)).getMapPoint(), pJsArgs.getString(2), pJsArgs.getString(3));
            } else if ("poiSearchInbounds".equals(pStrEvent)) {
                this.mMapSearch.poiSearchInbounds(pJsArgs.getString(0), JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(1)).getMapPoint(), JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(2)).getMapPoint(), pJsArgs.getString(3));
            } else if ("setTransitPolicy".equals(pStrEvent)) {
                this.mMapSearch.setTransitPolicy(pJsArgs.getString(0));
            } else if ("setDrivingPolicy".equals(pStrEvent)) {
                this.mMapSearch.setDrivingPolicy(pJsArgs.getString(0));
            } else if ("transitSearch".equals(pStrEvent)) {
                if (pJsArgs.get(0) instanceof JSONObject) {
                    _start3 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(0)).getMapPoint();
                } else {
                    _start3 = pJsArgs.getString(0);
                }
                if (pJsArgs.get(1) instanceof JSONObject) {
                    _end3 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(1)).getMapPoint();
                } else {
                    _end3 = pJsArgs.getString(1);
                }
                this.mMapSearch.transitSearch(_start3, _end3, pJsArgs.getString(2));
            } else if ("drivingSearch".equals(pStrEvent)) {
                if (pJsArgs.get(0) instanceof JSONObject) {
                    _start2 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(0)).getMapPoint();
                } else {
                    _start2 = pJsArgs.getString(0);
                }
                if (pJsArgs.get(2) instanceof JSONObject) {
                    _end2 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(2)).getMapPoint();
                } else {
                    _end2 = pJsArgs.getString(2);
                }
                this.mMapSearch.drivingSearch(_start2, pJsArgs.getString(1), _end2, pJsArgs.getString(3));
            } else if ("walkingSearch".equals(pStrEvent)) {
                if (pJsArgs.get(0) instanceof JSONObject) {
                    _start = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(0)).getMapPoint();
                } else {
                    _start = pJsArgs.getString(0);
                }
                if (pJsArgs.get(2) instanceof JSONObject) {
                    _end = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, pJsArgs.getJSONObject(2)).getMapPoint();
                } else {
                    _end = pJsArgs.getString(2);
                }
                this.mMapSearch.walkingSearch(_start, pJsArgs.getString(1), _end, pJsArgs.getString(3));
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    @Override // io.dcloud.js.map.amap.JsMapObject
    public void onAddToMapView(DHMapView pMapView) {
        super.onAddToMapView(pMapView);
        this.mMapSearch.setMapView(pMapView);
    }
}
