package io.dcloud.js.map.amap;

import com.alipay.sdk.m.u.i;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaUniWebView;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.PdrUtil;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class MapJsUtil {
    public static void execCallback(IWebview pWebViewImpl, String pCallbackId, String pMessage) {
        if (pWebViewImpl != null) {
            String jsFrom = "var p=((window.__html5plus__&&__html5plus__.isReady)?__html5plus__:(navigator.plus&&navigator.plus.isReady)?navigator.plus:window.plus);";
            if (pWebViewImpl instanceof AdaUniWebView) {
                jsFrom = AbsoluteConst.JS_RUNTIME_V8_BASE;
            }
            pWebViewImpl.executeScript(jsFrom + "p.maps.__bridge__.execCallback('" + pCallbackId + "'," + pMessage + ");");
        }
    }

    public static void create_Js_Var(StringBuffer pDestScript, String pJsVar, String pJsConstructor, String pJsConParams) {
        boolean emptyJsVar = PdrUtil.isEmpty(pJsVar);
        if (!emptyJsVar) {
            pDestScript.append("var ");
            pDestScript.append(pJsVar);
            pDestScript.append("=");
        }
        pDestScript.append("new ");
        pDestScript.append(pJsConstructor);
        pDestScript.append(Operators.BRACKET_START_STR);
        pDestScript.append(pJsConParams == null ? "" : pJsConParams);
        pDestScript.append(Operators.BRACKET_END_STR);
        if (!emptyJsVar) {
            pDestScript.append(i.b);
        }
    }

    public static String wrapJsEvalString(String pScript, String pJsVar) {
        StringBuffer sb = new StringBuffer();
        sb.append("(function(){");
        sb.append(pScript);
        sb.append(";return ");
        sb.append(pJsVar);
        sb.append(";})()");
        return sb.toString();
    }

    public static void assignJsVar(StringBuffer pDestScript, String pJsVar, String pJsVarProperty, String pJsAssignValue, boolean isString) {
        pDestScript.append(pJsVar);
        if (!PdrUtil.isEmpty(pJsVarProperty)) {
            pDestScript.append(Operators.DOT_STR);
            pDestScript.append(pJsVarProperty);
        }
        pDestScript.append("=");
        if (isString) {
            pDestScript.append("'");
            pDestScript.append(pJsAssignValue);
            pDestScript.append("'");
            pDestScript.append(i.b);
            return;
        }
        pDestScript.append(pJsAssignValue);
        pDestScript.append(i.b);
    }

    public static void assignJsVar(StringBuffer pDestScript, String pJsVar, String pJsVarProperty, String pJsAssignValue) {
        assignJsVar(pDestScript, pJsVar, pJsVarProperty, pJsAssignValue, true);
    }

    public static void assignJsVar(StringBuffer pDestScript, String pJsVar, String pJsVarProperty, double pJsAssignValue) {
        assignJsVar(pDestScript, pJsVar, pJsVarProperty, String.valueOf(pJsAssignValue), false);
    }

    public static void assignJsVar(StringBuffer pDestScript, String pJsVar, String pJsVarProperty, JSONArray pJsAssignValue) {
        StringBuffer sb = new StringBuffer(Operators.ARRAY_START_STR);
        try {
            int len = pJsAssignValue.length();
            for (int i = 0; i < len; i++) {
                sb.append(pJsAssignValue.getString(i));
                if (i != len - 1) {
                    sb.append(",");
                }
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        sb.append(Operators.ARRAY_END_STR);
        assignJsVar(pDestScript, pJsVar, pJsVarProperty, sb.toString(), false);
    }

    public static void assignJsVar(StringBuffer pDestScript, String pJsVar, String pJsVarProperty, JSONObject pJsAssignValue) {
        assignJsVar(pDestScript, pJsVar, pJsVarProperty, pJsAssignValue.toString(), false);
    }
}
