package io.dcloud.js.map.amap.adapter;

import android.content.Intent;
import android.net.Uri;
import android.text.TextUtils;
import com.amap.api.maps.AMapUtils;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.geocoder.GeocodeAddress;
import com.amap.api.services.geocoder.GeocodeQuery;
import com.amap.api.services.geocoder.GeocodeResult;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.amap.api.services.geocoder.RegeocodeAddress;
import com.amap.api.services.geocoder.RegeocodeQuery;
import com.amap.api.services.geocoder.RegeocodeResult;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSUtil;
import java.util.Locale;

public class DHMapUtil {
    public static void openSysMap(IWebview pWebView, String callbackId, String[][] points, String pDdes) {
        Uri _uri;
        if (pDdes != null) {
            try {
                _uri = Uri.parse("geo:" + points[0][0] + "," + points[0][1] + "?q=" + pDdes);
            } catch (Exception e) {
                e.printStackTrace();
                return;
            }
        } else {
            _uri = Uri.parse("geo:" + points[0][0] + "," + points[0][1]);
        }
        pWebView.getActivity().startActivity(new Intent("android.intent.action.VIEW", _uri));
    }

    public static void geocode(final IWebview webview, String address, final String coordType, String city, final String callBackId) {
        try {
            GeocodeSearch geocodeSearch = new GeocodeSearch(webview.getContext());
            geocodeSearch.setOnGeocodeSearchListener(new GeocodeSearch.OnGeocodeSearchListener() {
                /* class io.dcloud.js.map.amap.adapter.DHMapUtil.AnonymousClass1 */

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onRegeocodeSearched(RegeocodeResult arg0, int arg1) {
                }

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onGeocodeSearched(GeocodeResult result, int code) {
                    if (code == 1000) {
                        code = 0;
                    }
                    if (code == 0) {
                        if (result == null || result.getGeocodeAddressList() == null || result.getGeocodeAddressList().size() <= 0) {
                            Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString("对不起，没有搜索到相关数据！")), JSUtil.ERROR, true, false);
                            return;
                        }
                        GeocodeAddress GeoAddress = result.getGeocodeAddressList().get(0);
                        LatLonPoint point = GeoAddress.getLatLonPoint();
                        Deprecated_JSUtil.execCallback(webview, callBackId, String.format(Locale.ENGLISH, "{long:%f,lat:%f,addr:'%s',type:'%s'}", Double.valueOf(point.getLongitude()), Double.valueOf(point.getLatitude()), GeoAddress.getFormatAddress(), coordType), JSUtil.OK, true, false);
                    } else if (code == 27 || code == 1804) {
                        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-6, DOMException.toString(code, "Maps高德地图", "网络错误", AMapLink.AMapErrorLink)), JSUtil.ERROR, true, false);
                    } else if (code == 32 || code == 1001) {
                        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-6, DOMException.toString(code, "Maps高德地图", "key验证无效！", AMapLink.AMapErrorLink)), JSUtil.ERROR, true, false);
                    } else {
                        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString(code, "Maps高德地图", AMapException.AMAP_CLIENT_UNKNOWN_ERROR, AMapLink.AMapErrorLink)), JSUtil.ERROR, true, false);
                    }
                }
            });
            geocodeSearch.getFromLocationNameAsyn(new GeocodeQuery(address, city));
        } catch (Exception e) {
        }
    }

    public static void reverseGeocode(final IWebview webview, final MapPoint point, final String coordType, String city, final String callBackId) {
        try {
            GeocodeSearch geocodeSearch = new GeocodeSearch(webview.getContext());
            geocodeSearch.setOnGeocodeSearchListener(new GeocodeSearch.OnGeocodeSearchListener() {
                /* class io.dcloud.js.map.amap.adapter.DHMapUtil.AnonymousClass2 */

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onRegeocodeSearched(RegeocodeResult result, int rCode) {
                    if (rCode == 1000) {
                        rCode = 0;
                    }
                    if (rCode == 0) {
                        if (result == null || result.getRegeocodeAddress() == null || result.getRegeocodeAddress().getFormatAddress() == null) {
                            Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString("对不起，没有搜索到相关数据！")), JSUtil.ERROR, true, false);
                            return;
                        }
                        RegeocodeAddress address = result.getRegeocodeAddress();
                        Deprecated_JSUtil.execCallback(webview, callBackId, String.format(Locale.ENGLISH, "{long:%f,lat:%f,addr:'%s',type:'%s'}", Double.valueOf(MapPoint.this.getLongitude()), Double.valueOf(MapPoint.this.getLatitude()), address.getFormatAddress(), coordType), JSUtil.OK, true, false);
                    } else if (rCode == 27 || rCode == 1804) {
                        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-6, DOMException.toString(rCode, "Maps高德地图", "网络错误", AMapLink.AMapErrorLink)), JSUtil.ERROR, true, false);
                    } else if (rCode == 32 || rCode == 1001) {
                        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-6, DOMException.toString(rCode, "Maps高德地图", "key验证无效！", AMapLink.AMapErrorLink)), JSUtil.ERROR, true, false);
                    } else {
                        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString(rCode, "Maps高德地图", AMapException.AMAP_CLIENT_UNKNOWN_ERROR, AMapLink.AMapErrorLink)), JSUtil.ERROR, true, false);
                    }
                }

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onGeocodeSearched(GeocodeResult arg0, int arg1) {
                }
            });
            String latLonType = GeocodeSearch.AMAP;
            if (!TextUtils.isEmpty(coordType) && "wgs84".equals(coordType)) {
                latLonType = GeocodeSearch.GPS;
            }
            geocodeSearch.getFromLocationAsyn(new RegeocodeQuery(point.getLatLngPoint(), 3000.0f, latLonType));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void calculateDistance(IWebview webview, MapPoint sPoint, MapPoint ePoint, String callBackId) {
        try {
            float d = AMapUtils.calculateLineDistance(sPoint.getLatLng(), ePoint.getLatLng());
            if (d == 0.0f) {
                Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString("计算结果为0，请查看坐标是否正确")), JSUtil.ERROR, true, false);
            } else if (!TextUtils.isEmpty(callBackId)) {
                JSUtil.execCallback(webview, callBackId, (double) d, JSUtil.OK, true);
            }
        } catch (Exception e) {
            Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString("数据信息异常")), JSUtil.ERROR, true, false);
        }
    }

    public static void calculateArea(IWebview webview, MapPoint sPoint, MapPoint ePoint, String callBackId) {
        Deprecated_JSUtil.execCallback(webview, callBackId, DOMException.toJSON(-100, DOMException.toString("高德地图暂不支持面积计算")), JSUtil.ERROR, true, false);
    }
}
