package io.dcloud.js.map.amap.adapter;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.drawable.BitmapDrawable;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClient;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.AMapLocationListener;
import com.amap.api.maps.AMap;
import com.amap.api.maps.CameraUpdateFactory;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.TextureMapView;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.VisibleRegion;
import com.taobao.weex.common.Constants;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.common.util.language.LanguageUtil;
import io.dcloud.js.map.amap.IFMapDispose;
import io.dcloud.js.map.amap.JsMapManager;
import io.dcloud.js.map.amap.MapJsUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;

public class DHMapView extends TextureMapView implements IFMapDispose, AMap.OnMarkerClickListener, AMap.OnInfoWindowClickListener, AMap.OnCameraChangeListener, AMap.OnMarkerDragListener, AMap.InfoWindowAdapter, AMap.OnMapClickListener, AMap.OnMapLongClickListener, AMapLocationListener {
    static final String GET_USER_LOCATION_TEMPLATE = "{state:%s,point:%s}";
    public static final int MAPTYPE_NORMAL = 0;
    public static final int MAPTYPE_SATELLITE = 1;
    public static final int MAPTYPE_TRAFFIC = 1001;
    public static final int MAPTYPE_UNTRAFFIC = 1002;
    private static final String MAP_STATUS_CHANGE = "{ callbackType:'%s',center:{long:%f,lat:%f},northease:{long:%f,lat:%f},southwest:{long:%f,lat:%f},zoom:%f}";
    static final String PLUS_MAPS_POINT_TEMPLATE = "new plus.maps.Point(%s,%s)";
    private static final String POINT_CLICK_TEMPLATE = "{callbackType:'%s',payload:new plus.maps.Point(%f, %f)}";
    static final int SCAN_SPAN_TIME = 10000;
    private static final String T_GETBOUNDS = "{ northease:{longitude:%f,latitude:%f},southwest:{longitude:%f,latitude:%f}}";
    static int aaaaaaaaaaa = 0;
    private String flag = "";
    private boolean isLoctionReduction = false;
    private AMap mAMap = null;
    public boolean mAutoPopFromStack = false;
    LocationSource.OnLocationChangedListener mChangedListener;
    private MapMarker mClickMapMarker;
    AMapLocationClient mGULClient;
    public AMapLocationClientOption mLocationOption = null;
    LocationSource mLocationSource = new LocationSource() {
        /* class io.dcloud.js.map.amap.adapter.DHMapView.AnonymousClass3 */

        @Override // com.amap.api.maps.LocationSource
        public void deactivate() {
            if (DHMapView.this.mChangedListener != null) {
                DHMapView.this.mChangedListener = null;
            }
            DHMapView dHMapView = DHMapView.this;
            dHMapView.disposeClientResource(dHMapView.mSULClient);
        }

        @Override // com.amap.api.maps.LocationSource
        public void activate(LocationSource.OnLocationChangedListener arg0) {
            try {
                DHMapView.this.mChangedListener = arg0;
                DHMapView.this.mSULClient = new AMapLocationClient(DHMapView.this.getContext().getApplicationContext());
                DHMapView.this.mLocationOption = new AMapLocationClientOption();
                DHMapView.this.mLocationOption.setLocationMode(AMapLocationClientOption.AMapLocationMode.Hight_Accuracy);
                DHMapView.this.mSULClient.setLocationOption(DHMapView.this.mLocationOption);
                DHMapView.this.mSULClient.setLocationListener(new AMapLocationListener() {
                    /* class io.dcloud.js.map.amap.adapter.DHMapView.AnonymousClass3.AnonymousClass1 */

                    @Override // com.amap.api.location.AMapLocationListener
                    public void onLocationChanged(AMapLocation aMapLocation) {
                        if (PdrUtil.isEmpty(aMapLocation) || aMapLocation.getErrorCode() != 0) {
                            DHMapView.this.disposeClientResource(DHMapView.this.mSULClient);
                        } else if (DHMapView.this.mChangedListener != null) {
                            DHMapView.this.mChangedListener.onLocationChanged(aMapLocation);
                        }
                    }
                });
                DHMapView.this.mSULClient.startLocation();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    };
    private ArrayList<String> mMapCallBackWebUuids;
    private ArrayList<MapCircleProxy> mMapCircleProxyList;
    private ArrayList<MapRoute> mMapRoutes;
    private ArrayList<MapMarker> mMarkersOverlay;
    private ArrayList<MapPolygonProxy> mPolygonProxiesList;
    private ArrayList<MapPolylineProxy> mPolylineOptionsList;
    private LinearLayout mRootView;
    AMapLocationClient mSULClient;
    public String mUUID = null;
    protected IWebview mWebView;
    boolean show = false;
    String tGetUserLocCallbackId = null;
    IWebview tGetUserLocWebview = null;

    public DHMapView(Context pContext, IWebview pWebView, LatLng center, int zoom, int mapType, boolean traffic, boolean zoomControls, LinearLayout rootView) {
        super(pContext);
        StringBuilder sb = new StringBuilder();
        sb.append("我是编号：");
        int i = aaaaaaaaaaa;
        aaaaaaaaaaa = i + 1;
        sb.append(i);
        this.flag = sb.toString();
        this.mWebView = pWebView;
        this.mMapCallBackWebUuids = new ArrayList<>();
        this.mRootView = rootView;
        addMapCallBackWebUuid(pWebView.getWebviewUUID());
        onResume();
        initMap();
        if (center == null) {
            setZoom(zoom);
        } else {
            this.mAMap.moveCamera(CameraUpdateFactory.newLatLngZoom(center, (float) zoom));
        }
        this.mAMap.setTrafficEnabled(traffic);
        this.mAMap.setMapType(mapType);
        showZoomControls(zoomControls);
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        if (this.show) {
            super.dispatchDraw(canvas);
            return;
        }
        this.show = true;
        postDelayed(new Runnable() {
            /* class io.dcloud.js.map.amap.adapter.DHMapView.AnonymousClass1 */

            public void run() {
                DHMapView.this.invalidate();
            }
        }, 1);
    }

    public void initMap() {
        AMap map = getMap();
        this.mAMap = map;
        map.setOnMarkerClickListener(this);
        this.mAMap.setOnInfoWindowClickListener(this);
        this.mAMap.setOnCameraChangeListener(this);
        this.mAMap.setOnMarkerDragListener(this);
        this.mAMap.setInfoWindowAdapter(this);
        this.mAMap.setOnMapClickListener(this);
        this.mAMap.setOnMapLongClickListener(this);
        String language = LanguageUtil.getCurrentLocaleLanguage(getContext());
        if (TextUtils.isEmpty(language) || language.startsWith("zh")) {
            this.mAMap.setMapLanguage("zh_cn");
        } else {
            this.mAMap.setMapLanguage("en");
        }
        initMarkerOverlays();
        initUserLocationOverlay();
    }

    public void initMarkerOverlays() {
        Bitmap b = BitmapFactory.decodeStream(PlatformUtil.getResInputStream("res/point.png"));
        new BitmapDrawable(b).setBounds(0, 0, b.getWidth(), b.getHeight());
        this.mMarkersOverlay = new ArrayList<>();
        this.mPolylineOptionsList = new ArrayList<>();
        this.mPolygonProxiesList = new ArrayList<>();
        this.mMapCircleProxyList = new ArrayList<>();
        this.mMapRoutes = new ArrayList<>();
    }

    public void initUserLocationOverlay() {
    }

    @Override // io.dcloud.js.map.amap.IFMapDispose
    public void dispose() {
        this.mAMap.clear();
        clearMapCallBack();
    }

    @Override // io.dcloud.js.map.amap.IFMapDispose
    public void close() {
    }

    public void setCenter(MapPoint pCenter) {
        this.mAMap.animateCamera(CameraUpdateFactory.changeLatLng(pCenter.getLatLng()));
    }

    public void setZoom(int pZoom) {
        this.mAMap.moveCamera(CameraUpdateFactory.zoomTo((float) pZoom));
    }

    public void setCenterAndZoom(MapPoint pCenter, int pZoom) {
        this.mAMap.animateCamera(CameraUpdateFactory.newLatLngZoom(pCenter.getLatLng(), (float) pZoom));
    }

    /* access modifiers changed from: protected */
    public void setVisible(boolean pIsVisible) {
        if (pIsVisible) {
            this.mRootView.setVisibility(0);
            setVisibility(0);
            return;
        }
        this.mRootView.setVisibility(8);
        this.mRootView.post(new Runnable() {
            /* class io.dcloud.js.map.amap.adapter.DHMapView.AnonymousClass2 */

            public void run() {
                DHMapView.this.setVisibility(8);
            }
        });
    }

    public void addOverlay(Object pOverlay) {
        if (pOverlay instanceof MapMarker) {
            MapMarker pMarker = (MapMarker) pOverlay;
            this.mMarkersOverlay.add(pMarker);
            pMarker.checkPop();
        } else if (pOverlay instanceof MapPolylineProxy) {
            this.mPolylineOptionsList.add((MapPolylineProxy) pOverlay);
        } else if (pOverlay instanceof MapPolygonProxy) {
            this.mPolygonProxiesList.add((MapPolygonProxy) pOverlay);
        } else if (pOverlay instanceof MapRoute) {
            this.mMapRoutes.add((MapRoute) pOverlay);
        } else if (pOverlay instanceof MapCircleProxy) {
            this.mMapCircleProxyList.add((MapCircleProxy) pOverlay);
        }
    }

    public void removeOverlay(Object pOverlay) {
        if (pOverlay instanceof MapMarker) {
            MapMarker pMarker = (MapMarker) pOverlay;
            if (this.mMarkersOverlay.contains(pMarker) && pMarker.getMarker() != null) {
                pMarker.getMarker().remove();
                this.mMarkersOverlay.remove(pMarker);
            }
        } else if (pOverlay instanceof MapPolylineProxy) {
            MapPolylineProxy mapPolylineProxy = (MapPolylineProxy) pOverlay;
            if (mapPolylineProxy.getPolyline() != null) {
                mapPolylineProxy.getPolyline().remove();
                this.mPolylineOptionsList.remove(mapPolylineProxy);
            }
        } else if (pOverlay instanceof MapPolygonProxy) {
            MapPolygonProxy polygonProxy = (MapPolygonProxy) pOverlay;
            if (polygonProxy.getPolygon() != null) {
                polygonProxy.getPolygon().remove();
                this.mPolygonProxiesList.remove(polygonProxy);
            }
        } else if (pOverlay instanceof MapRoute) {
            MapRoute mapRoute = (MapRoute) pOverlay;
            mapRoute.removeFromMap();
            this.mMapRoutes.remove(mapRoute);
        } else if (pOverlay instanceof MapCircleProxy) {
            MapCircleProxy circleProxy = (MapCircleProxy) pOverlay;
            if (circleProxy.getCircle() != null) {
                circleProxy.getCircle().remove();
                this.mMapCircleProxyList.remove(circleProxy);
            }
        }
    }

    public void clearOverlays() {
        this.mAMap.clear();
        ArrayList<MapPolygonProxy> arrayList = this.mPolygonProxiesList;
        if (arrayList != null) {
            arrayList.clear();
            this.mPolylineOptionsList.clear();
            this.mMarkersOverlay.clear();
            this.mMapRoutes.clear();
        }
        refreshDrawableState();
    }

    public void showZoomControls(boolean pDisplay) {
        this.mAMap.getUiSettings().setZoomControlsEnabled(pDisplay);
    }

    public void setMapType(int pType) {
        if (pType == 0) {
            this.mAMap.setMapType(1);
        } else if (pType == 1) {
            this.mAMap.setMapType(2);
        } else if (pType == 1001) {
            this.mAMap.setTrafficEnabled(true);
        } else if (pType == 1002) {
            this.mAMap.setTrafficEnabled(false);
        }
    }

    public void showUserLocation(boolean pDisplay) {
        if (!pDisplay) {
            this.mAMap.setMyLocationEnabled(false);
            return;
        }
        this.mAMap.setLocationSource(this.mLocationSource);
        this.mAMap.setMyLocationEnabled(true);
        this.mAMap.setMyLocationType(1);
    }

    public void getUserLocation(IWebview webview, String callBackId) {
        this.tGetUserLocWebview = webview;
        this.tGetUserLocCallbackId = callBackId;
        AMapLocationClientOption aMapLocationClientOption = new AMapLocationClientOption();
        this.mLocationOption = aMapLocationClientOption;
        aMapLocationClientOption.setOnceLocation(true);
        this.mLocationOption.setOnceLocationLatest(true);
        try {
            AMapLocationClient aMapLocationClient = new AMapLocationClient(getContext().getApplicationContext());
            this.mGULClient = aMapLocationClient;
            aMapLocationClient.setLocationListener(this);
            this.mGULClient.startLocation();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.amap.api.location.AMapLocationListener
    public void onLocationChanged(AMapLocation aMapLocation) {
        String js;
        if (PdrUtil.isEmpty(aMapLocation)) {
            js = StringUtil.format(DOMException.JSON_ERROR_INFO, 17, DOMException.toString(17, "geolocation", DOMException.MSG_GEOLOCATION_PROVIDER_ERROR, (String) null));
        } else {
            js = String.format(GET_USER_LOCATION_TEMPLATE, Integer.valueOf(aMapLocation.getErrorCode()), String.format(Locale.ENGLISH, PLUS_MAPS_POINT_TEMPLATE, Double.valueOf(aMapLocation.getLongitude()), Double.valueOf(aMapLocation.getLatitude())));
        }
        MapJsUtil.execCallback(this.tGetUserLocWebview, this.tGetUserLocCallbackId, js);
        disposeClientResource(this.mGULClient);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void disposeClientResource(AMapLocationClient aMapLocationClient) {
        aMapLocationClient.stopLocation();
        aMapLocationClient.onDestroy();
    }

    public void getCurrentCenter(IWebview webview, String callBackId) {
        String js;
        LatLng latLng = this.mAMap.getCameraPosition().target;
        if (latLng != null) {
            js = StringUtil.format(GET_USER_LOCATION_TEMPLATE, 0, String.format(Locale.ENGLISH, PLUS_MAPS_POINT_TEMPLATE, Double.valueOf(latLng.longitude), Double.valueOf(latLng.latitude)));
        } else {
            js = StringUtil.format(GET_USER_LOCATION_TEMPLATE, -1, String.format(Locale.ENGLISH, PLUS_MAPS_POINT_TEMPLATE, 0, 0));
        }
        MapJsUtil.execCallback(webview, callBackId, js);
    }

    public static boolean isRightLocation(double lat, double lng) {
        return (lat == Double.MIN_VALUE || lng == Double.MIN_VALUE) ? false : true;
    }

    public void locationStop() {
        if (this.mChangedListener != null) {
            showUserLocation(false);
            this.isLoctionReduction = true;
        }
    }

    public void locationReStart() {
        if (this.isLoctionReduction) {
            showUserLocation(true);
            this.isLoctionReduction = false;
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        if (!this.mAutoPopFromStack) {
            super.onDetachedFromWindow();
        }
    }

    @Override // com.amap.api.maps.AMap.OnMarkerClickListener
    public boolean onMarkerClick(Marker arg0) {
        MapMarker mapMarker = getMapMarker(arg0);
        this.mClickMapMarker = mapMarker;
        if (mapMarker == null) {
            return true;
        }
        if (!TextUtils.isEmpty(mapMarker.getBubbleLabel())) {
            if (!this.mClickMapMarker.getMarker().isInfoWindowShown()) {
                this.mClickMapMarker.getMarker().showInfoWindow();
            } else {
                this.mClickMapMarker.getMarker().hideInfoWindow();
            }
        }
        MapJsUtil.execCallback(this.mClickMapMarker.getWebview(), this.mClickMapMarker.getUuid(), "{type:'markerclick'}");
        return true;
    }

    @Override // com.amap.api.maps.AMap.OnInfoWindowClickListener
    public void onInfoWindowClick(Marker arg0) {
        arg0.hideInfoWindow();
        MapMarker mapMarker = getMapMarker(arg0);
        if (mapMarker != null) {
            MapJsUtil.execCallback(mapMarker.getWebview(), mapMarker.getUuid(), "{type:'bubbleclick'}");
        }
    }

    private MapMarker getMapMarker(Marker marker) {
        ArrayList<MapMarker> arrayList = this.mMarkersOverlay;
        if (arrayList == null) {
            return null;
        }
        Iterator<MapMarker> it = arrayList.iterator();
        while (it.hasNext()) {
            MapMarker mapMarker = it.next();
            if (marker.equals(mapMarker.getMarker())) {
                return mapMarker;
            }
        }
        return null;
    }

    @Override // com.amap.api.maps.AMap.OnCameraChangeListener
    public void onCameraChange(CameraPosition arg0) {
    }

    @Override // com.amap.api.maps.AMap.OnCameraChangeListener
    public void onCameraChangeFinish(CameraPosition arg0) {
        try {
            VisibleRegion vr = this.mAMap.getProjection().getVisibleRegion();
            execCallBack(String.format(Locale.ENGLISH, MAP_STATUS_CHANGE, Constants.Event.CHANGE, Double.valueOf(arg0.target.longitude), Double.valueOf(arg0.target.latitude), Double.valueOf(vr.farRight.longitude), Double.valueOf(vr.farRight.latitude), Double.valueOf(vr.nearLeft.longitude), Double.valueOf(vr.nearLeft.latitude), Float.valueOf(arg0.zoom)));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.amap.api.maps.AMap.OnMarkerDragListener
    public void onMarkerDrag(Marker arg0) {
    }

    @Override // com.amap.api.maps.AMap.OnMarkerDragListener
    public void onMarkerDragEnd(Marker arg0) {
        MapMarker mapMarker = getMapMarker(arg0);
        if (mapMarker != null) {
            LatLng latLng = arg0.getPosition();
            MapJsUtil.execCallback(mapMarker.getWebview(), mapMarker.getUuid(), String.format(Locale.ENGLISH, "{type:'onDrag',pt:new plus.maps.Point(%f, %f)}", Double.valueOf(latLng.longitude), Double.valueOf(latLng.latitude)));
        }
    }

    @Override // com.amap.api.maps.AMap.OnMarkerDragListener
    public void onMarkerDragStart(Marker arg0) {
    }

    @Override // com.amap.api.maps.AMap.InfoWindowAdapter
    public View getInfoContents(Marker arg0) {
        return null;
    }

    @Override // com.amap.api.maps.AMap.InfoWindowAdapter
    public View getInfoWindow(Marker arg0) {
        MapMarker mapMarker = getMapMarker(arg0);
        this.mClickMapMarker = mapMarker;
        if (mapMarker == null) {
            return null;
        }
        if (!TextUtils.isEmpty(mapMarker.getLoadImageDataURL())) {
            ImageView imageView = new ImageView(getContext());
            this.mClickMapMarker.base64ToBitmap(imageView);
            return imageView;
        } else if (TextUtils.isEmpty(this.mClickMapMarker.getLoadImage())) {
            return new PopViewLayout(getContext(), this.mClickMapMarker.getBubbleLabel(), this.mClickMapMarker.getPopIcon());
        } else {
            ImageView imageView2 = new ImageView(getContext());
            this.mClickMapMarker.loadImageBitmap(imageView2);
            return imageView2;
        }
    }

    @Override // com.amap.api.maps.AMap.OnMapClickListener
    public void onMapClick(LatLng arg0) {
        MapMarker mapMarker = this.mClickMapMarker;
        if (mapMarker != null && mapMarker.getMarker().isInfoWindowShown()) {
            this.mClickMapMarker.getMarker().hideInfoWindow();
        }
        execCallBack(String.format(Locale.ENGLISH, POINT_CLICK_TEMPLATE, Constants.Event.CLICK, Double.valueOf(arg0.longitude), Double.valueOf(arg0.latitude)));
    }

    @Override // com.amap.api.maps.AMap.OnMapLongClickListener
    public void onMapLongClick(LatLng arg0) {
        execCallBack(String.format(Locale.ENGLISH, POINT_CLICK_TEMPLATE, Constants.Event.CLICK, Double.valueOf(arg0.longitude), Double.valueOf(arg0.latitude)));
    }

    public String getBounds() {
        VisibleRegion vr = this.mAMap.getProjection().getVisibleRegion();
        return String.format(Locale.ENGLISH, T_GETBOUNDS, Double.valueOf(vr.farRight.longitude), Double.valueOf(vr.farRight.latitude), Double.valueOf(vr.nearLeft.longitude), Double.valueOf(vr.nearLeft.latitude));
    }

    public void addMapCallBackWebUuid(String uuid) {
        if (!this.mMapCallBackWebUuids.contains(uuid)) {
            this.mMapCallBackWebUuids.add(uuid);
        }
    }

    public void clearMapCallBack() {
        ArrayList<String> arrayList = this.mMapCallBackWebUuids;
        if (arrayList != null) {
            arrayList.clear();
        }
    }

    private void execCallBack(String pMessage) {
        ArrayList<String> arrayList = this.mMapCallBackWebUuids;
        if (arrayList != null) {
            Iterator<String> it = arrayList.iterator();
            while (it.hasNext()) {
                IWebview webview = JsMapManager.getJsMapManager().findWebviewByUuid(this.mWebView, it.next());
                if (webview != null) {
                    MapJsUtil.execCallback(webview, this.mUUID, pMessage);
                }
            }
        }
    }
}
