package io.dcloud.js.map.amap.adapter;

import com.amap.api.maps.model.LatLng;
import com.amap.api.services.core.LatLonPoint;

public class MapPoint {
    private float mLatitude;
    private float mLongitude;

    public MapPoint(String pLatitude, String pLongitude) {
        this.mLongitude = Float.parseFloat(pLongitude);
        this.mLatitude = Float.parseFloat(pLatitude);
    }

    public double getLongitude() {
        return (double) this.mLongitude;
    }

    public void setLongitude(String pLongitude) {
        this.mLongitude = Float.parseFloat(pLongitude);
    }

    public double getLatitude() {
        return (double) this.mLatitude;
    }

    public void setLatitude(String pLatitude) {
        this.mLatitude = Float.parseFloat(pLatitude);
    }

    public LatLng getLatLng() {
        try {
            return new LatLng((double) this.mLatitude, (double) this.mLongitude);
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return new LatLng(39.90403d, 116.407525d);
        }
    }

    public LatLonPoint getLatLngPoint() {
        try {
            return new LatLonPoint((double) this.mLatitude, (double) this.mLongitude);
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return new LatLonPoint(39.90403d, 116.407525d);
        }
    }
}
