package io.dcloud.media;

import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IWaiter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.DHInterface.StandardFeature;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.media.video.VideoPlayerMgr;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class MediaFeatureImpl extends StandardFeature implements IWaiter {
    @Override // io.dcloud.common.DHInterface.IFeature, io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.StandardFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        super.init(pFeatureMgr, pFeatureName);
        VideoPlayerMgr.getInstance().initFeature(pFeatureMgr);
    }

    public void VideoPlayer(IWebview webview, JSONArray args) {
        boolean isCreate;
        JSONArray rectJa;
        AppRuntime.checkPrivacyComplianceAndPrompt(webview.getContext(), "Video-VideoPlayer");
        String id = JSONUtil.getString(args, 0);
        JSONArray rectJa2 = JSONUtil.getJSONArray(args, 1);
        JSONObject style = JSONUtil.getJSONObject(args, 2);
        if (rectJa2 == null || rectJa2.length() <= 0) {
            JSONArray rectJa3 = new JSONArray();
            try {
                rectJa3.put(0, JSONUtil.getString(style, "left"));
                rectJa3.put(1, JSONUtil.getString(style, "top"));
                rectJa3.put(2, JSONUtil.getString(style, "width"));
                rectJa3.put(3, JSONUtil.getString(style, "height"));
            } catch (JSONException e) {
            }
            rectJa = rectJa3;
            isCreate = true;
        } else {
            rectJa = rectJa2;
            isCreate = false;
        }
        VideoPlayerMgr.getInstance().createVideoPlayer(webview, id, rectJa, style, JSONUtil.getString(args, 3), isCreate);
    }

    public String getVideoPlayerById(IWebview webview, JSONArray args) {
        AppRuntime.checkPrivacyComplianceAndPrompt(webview.getContext(), "Video-getVideoPlayerById");
        return JSUtil.wrapJsVar(VideoPlayerMgr.getInstance().findVideoPlayer(JSONUtil.getString(args, 0)));
    }

    public void resize(IWebview webview, JSONArray args) {
        AppRuntime.checkPrivacyComplianceAndPrompt(webview.getContext(), "Video-resize");
        VideoPlayerMgr.getInstance().resize(webview, JSONUtil.getString(args, 0), JSONUtil.getJSONArray(args, 1));
    }

    public void VideoPlayer_play(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().play(JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_pause(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().pause(JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_stop(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().stop(JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_close(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().close(webview, JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_sendDanmu(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().sendDanmu(JSONUtil.getString(args, 0), JSONUtil.getJSONObject(args, 1));
    }

    public void VideoPlayer_seek(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().seekTo(JSONUtil.getString(args, 0), JSONUtil.getString(args, 1));
    }

    public void VideoPlayer_playbackRate(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().setPlayBackRate(JSONUtil.getString(args, 0), JSONUtil.getString(args, 1));
    }

    public void VideoPlayer_requestFullScreen(IWebview webview, JSONArray args) {
        String id = JSONUtil.getString(args, 0);
        String direction = JSONUtil.getString(args, 1);
        if (PdrUtil.isEmpty(direction)) {
            direction = "-90";
        }
        VideoPlayerMgr.getInstance().requestFullScreen(id, direction);
    }

    public void VideoPlayer_exitFullScreen(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().exitFullScreen(JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_show(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().show(JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_hide(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().hidden(JSONUtil.getString(args, 0));
    }

    public void VideoPlayer_setOptions(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().setOptions(JSONUtil.getString(args, 0), JSONUtil.getJSONObject(args, 1));
    }

    public void VideoPlayer_addEventListener(IWebview webview, JSONArray args) {
        VideoPlayerMgr.getInstance().addEventListener(webview, JSONUtil.getString(args, 0), JSONUtil.getString(args, 1), JSONUtil.getString(args, 2), JSONUtil.getString(args, 3));
    }

    @Override // io.dcloud.common.DHInterface.IFeature, io.dcloud.common.DHInterface.BaseFeature
    public void dispose(String pAppid) {
        super.dispose(pAppid);
        VideoPlayerMgr.getInstance().recovery();
    }

    @Override // io.dcloud.common.DHInterface.IWaiter
    public Object doForFeature(String actionType, Object args) {
        if (!"appendToFrameView".equals(actionType)) {
            return null;
        }
        Object[] pArgs = (Object[]) args;
        return VideoPlayerMgr.getInstance().appendVideoPlayer((String) pArgs[1], (AdaFrameView) pArgs[0]);
    }
}
