package io.dcloud.media.live;

import android.content.Context;
import android.os.Bundle;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFrameView;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.IWaiter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.DHInterface.StandardFeature;
import io.dcloud.common.adapter.ui.AdaFrameItem;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.media.live.push.LivePusher;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class LiveMediaFeatureImpl extends StandardFeature implements IWaiter, ISysEventListener {
    LivePusher activePusher = null;
    private Map<String, IFrameView> appendView = new HashMap();
    private AbsMgr featureMgr;
    JSONArray initOptions = null;
    private Map<String, Map<JSONArray, IWebview>> listeners = new HashMap();
    private Map<String, IWebview> previewMap = new HashMap();
    HashMap<String, LivePusher> pusherList = null;
    private Map<String, Map<IWebview, JSONObject>> pusherOptions = new HashMap();
    private Map<String, Map<String, Object>> startMap = new HashMap();

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onStart(Context pContext, Bundle pSavedInstanceState, String[] pRuntimeArgs) {
        super.onStart(pContext, pSavedInstanceState, pRuntimeArgs);
    }

    @Override // io.dcloud.common.DHInterface.IFeature, io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.StandardFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        super.init(pFeatureMgr, pFeatureName);
        this.featureMgr = pFeatureMgr;
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onPause() {
        super.onPause();
        LivePusher livePusher = this.activePusher;
        if (livePusher != null) {
            livePusher.pause(null, null);
        }
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onResume() {
        super.onResume();
        LivePusher livePusher = this.activePusher;
        if (livePusher != null) {
            livePusher.resume(null, null);
        }
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onStop() {
        super.onStop();
        LivePusher livePusher = this.activePusher;
        if (livePusher != null) {
            livePusher.stop(null, null);
        }
    }

    public void LivePusher(final IWebview pWebview, final JSONArray objectArray) {
        AppRuntime.checkPrivacyComplianceAndPrompt(pWebview.getContext(), "Video-LivePusher");
        final String pluginID = null;
        final LivePusher[] pusherObject = {null};
        objectArray.optJSONArray(1);
        if (objectArray != null) {
            pluginID = objectArray.optString(0);
        }
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject[0] = hashMap.get(pluginID);
        }
        if (pusherObject[0] == null) {
            PermissionUtil.StreamPermissionRequest request = new PermissionUtil.StreamPermissionRequest(pWebview.obtainApp()) {
                /* class io.dcloud.media.live.LiveMediaFeatureImpl.AnonymousClass1 */
                private List<String> gramtPermission = new ArrayList();

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onGranted(String streamPerName) {
                    this.gramtPermission.add(streamPerName);
                    if (this.gramtPermission.size() >= getSystemRequestPermission().length) {
                        pusherObject[0] = new LivePusher(pWebview, objectArray);
                        if (pusherObject[0] != null) {
                            if (LiveMediaFeatureImpl.this.pusherList == null) {
                                LiveMediaFeatureImpl.this.pusherList = new HashMap<>();
                            }
                            LiveMediaFeatureImpl.this.initOptions = objectArray;
                            LiveMediaFeatureImpl.this.pusherList.put(pluginID, pusherObject[0]);
                            pusherObject[0].setStatusListener(new LivePusherStateListener() {
                                /* class io.dcloud.media.live.LiveMediaFeatureImpl.AnonymousClass1.AnonymousClass1 */

                                @Override // io.dcloud.media.live.LivePusherStateListener
                                public void onRtmpStopped(String pusherid) {
                                    LiveMediaFeatureImpl.this.pusherList.remove(pusherid);
                                }
                            });
                        }
                        if (LiveMediaFeatureImpl.this.listeners.containsKey(pluginID)) {
                            Map<JSONArray, IWebview> callback = (Map) LiveMediaFeatureImpl.this.listeners.get(pluginID);
                            for (JSONArray array : callback.keySet()) {
                                pusherObject[0].addEventListener(callback.get(array), array);
                            }
                            LiveMediaFeatureImpl.this.listeners.remove(pluginID);
                        }
                        if (LiveMediaFeatureImpl.this.appendView.containsKey(pluginID)) {
                            LiveMediaFeatureImpl liveMediaFeatureImpl = LiveMediaFeatureImpl.this;
                            liveMediaFeatureImpl.appendLivePusher(pluginID, (IFrameView) liveMediaFeatureImpl.appendView.get(pluginID));
                            LiveMediaFeatureImpl.this.appendView.remove(pluginID);
                        }
                        if (LiveMediaFeatureImpl.this.previewMap.containsKey(pluginID)) {
                            pusherObject[0].preview((IWebview) LiveMediaFeatureImpl.this.previewMap.get(pluginID));
                            LiveMediaFeatureImpl.this.previewMap.remove(pluginID);
                        }
                        if (LiveMediaFeatureImpl.this.pusherOptions.containsKey(pluginID)) {
                            Map<IWebview, JSONObject> option = (Map) LiveMediaFeatureImpl.this.pusherOptions.get(pluginID);
                            for (IWebview key : option.keySet()) {
                                pusherObject[0].setOptions(key, option.get(key));
                            }
                            LiveMediaFeatureImpl.this.pusherOptions.remove(pluginID);
                        }
                        if (LiveMediaFeatureImpl.this.startMap.containsKey(pluginID)) {
                            if (!pusherObject[0].isInited) {
                                pusherObject[0].initLivePusher(pWebview, LiveMediaFeatureImpl.this.initOptions);
                            }
                            Map<String, Object> startItem = (Map) LiveMediaFeatureImpl.this.startMap.get(pluginID);
                            pusherObject[0].start((IWebview) startItem.get("webView"), (JSONArray) startItem.get("array"));
                            LiveMediaFeatureImpl.this.activePusher = pusherObject[0];
                            LiveMediaFeatureImpl.this.startMap.remove(pluginID);
                        }
                    }
                }

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onDenied(String streamPerName) {
                }
            };
            request.setRequestPermission("android.permission.CAMERA", "android.permission.RECORD_AUDIO");
            PermissionUtil.useSystemPermissions(pWebview.getActivity(), new String[]{"android.permission.CAMERA", "android.permission.RECORD_AUDIO"}, request);
        }
    }

    public String getLivePusherById(IWebview pWebview, JSONArray array) {
        AppRuntime.checkPrivacyComplianceAndPrompt(pWebview.getContext(), "Video-getLivePusherById");
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (hashMap == null) {
            return null;
        }
        Iterator<String> it = hashMap.keySet().iterator();
        while (it.hasNext()) {
            String key = it.next();
            if (this.pusherList.get(key).getUserId().equals(JSONUtil.getString(array, 0))) {
                try {
                    return JSUtil.wrapJsVar(new JSONObject("{uuid:'" + key + "'}"));
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }
        }
        return null;
    }

    public void start(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            if (!pusherObject.isInited) {
                pusherObject.initLivePusher(pWebview, this.initOptions);
            }
            pusherObject.start(pWebview, array);
            this.activePusher = pusherObject;
            return;
        }
        Map<String, Object> startparams = new HashMap<>();
        if (this.startMap.containsKey(pluginID)) {
            startparams = this.startMap.get(pluginID);
        }
        startparams.put("webView", pWebview);
        startparams.put("array", array);
        this.startMap.put(pluginID, startparams);
    }

    public void stop(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        JSONObject args = array.optJSONObject(1);
        if (pusherObject != null) {
            pusherObject.stop(pWebview, args);
            this.activePusher = null;
        }
    }

    public void preview(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.preview(pWebview);
        } else {
            this.previewMap.put(pluginID, pWebview);
        }
    }

    public void pause(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.pause(pWebview, array);
            this.activePusher = null;
        }
    }

    public void resume(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.resume(pWebview, array);
            this.activePusher = pusherObject;
        }
    }

    public void setOptions(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.setOptions(pWebview, array.optJSONObject(1));
            return;
        }
        Map<IWebview, JSONObject> options = new HashMap<>();
        if (this.pusherOptions.containsKey(pluginID)) {
            options = this.pusherOptions.get(pluginID);
        }
        options.put(pWebview, array.optJSONObject(1));
        this.pusherOptions.put(pluginID, options);
    }

    public void switchCamera(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.switchCamera(pWebview, array);
        }
    }

    public void snapshot(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.snapshot(pWebview, array);
        }
    }

    public void addEventListener(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.addEventListener(pWebview, array);
            return;
        }
        Map<JSONArray, IWebview> callbacks = new HashMap<>();
        if (this.listeners.containsKey(array.optString(0))) {
            callbacks = this.listeners.get(array.optString(0));
        }
        callbacks.put(array, pWebview);
        this.listeners.put(array.optString(0), callbacks);
    }

    public void resize(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.resize(pWebview, array);
        }
    }

    public void close(IWebview pWebview, JSONArray array) {
        LivePusher pusherObject = null;
        String pluginID = array.optString(0);
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || pluginID == null)) {
            pusherObject = hashMap.get(pluginID);
        }
        if (pusherObject != null) {
            pusherObject.destory(pluginID);
            pusherObject.removeFromFrame();
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature, io.dcloud.common.DHInterface.BaseFeature
    public void dispose(String pAppid) {
        super.dispose(pAppid);
        for (Map.Entry<String, LivePusher> entry : this.pusherList.entrySet()) {
            entry.getValue().destory(entry.getKey());
        }
    }

    public static JSONArray joinOptions(JSONArray mData, JSONArray array) {
        JSONArray resultArray = new JSONArray();
        try {
            JSONObject destJSONObj = deepMerge(mData.optJSONObject(2), array.optJSONObject(1));
            resultArray.put(mData.opt(0));
            resultArray.put(mData.opt(1));
            resultArray.put(destJSONObj);
            return resultArray;
        } catch (Exception e) {
            return mData;
        }
    }

    public static JSONObject deepMerge(JSONObject target, JSONObject source) throws JSONException {
        Iterator iterator = source.keys();
        while (iterator.hasNext()) {
            String key = iterator.next();
            Object value = source.getString(key);
            if (!target.has(key)) {
                target.put(key, value);
            } else if (value instanceof JSONObject) {
                deepMerge((JSONObject) value, target.getJSONObject(key));
            } else {
                target.put(key, value);
            }
        }
        return target;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private AdaFrameItem appendLivePusher(String id, IFrameView mFrameView) {
        LivePusher pusherObject = null;
        HashMap<String, LivePusher> hashMap = this.pusherList;
        if (!(hashMap == null || id == null)) {
            pusherObject = hashMap.get(id);
        }
        if (pusherObject != null) {
            if (!pusherObject.isInited) {
                pusherObject.initLivePusher(mFrameView.obtainWebView(), this.initOptions);
            }
            pusherObject.appendLivePusher("", mFrameView);
        } else if (id != null) {
            this.appendView.put(id, mFrameView);
        }
        return pusherObject;
    }

    @Override // io.dcloud.common.DHInterface.IWaiter
    public Object doForFeature(String actionType, Object args) {
        if (!"appendToFrameView".equals(actionType)) {
            return null;
        }
        Object[] pArgs = (Object[]) args;
        return appendLivePusher((String) pArgs[1], (AdaFrameView) pArgs[0]);
    }
}
