package io.dcloud.media.video.ijkplayer.danmaku;

import android.graphics.Color;
import com.taobao.weex.common.Constants;
import master.flame.danmaku.danmaku.model.BaseDanmaku;
import master.flame.danmaku.danmaku.model.android.Danmakus;
import master.flame.danmaku.danmaku.util.DanmakuUtils;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class StandardDanmaKuParser extends AcFunDanmakuParser {
    private int count = 0;

    /* access modifiers changed from: protected */
    @Override // io.dcloud.media.video.ijkplayer.danmaku.AcFunDanmakuParser
    public Danmakus doParse(JSONArray danmakuListData) {
        Danmakus danmakus = new Danmakus();
        if (danmakuListData == null) {
            return danmakus;
        }
        this.count = danmakuListData.length();
        for (int i = 0; i < this.count; i++) {
            try {
                JSONObject danmakuArray = danmakuListData.getJSONObject(i);
                if (danmakuArray != null) {
                    danmakus = _parse(danmakuArray, danmakus);
                }
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
        return danmakus;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.media.video.ijkplayer.danmaku.AcFunDanmakuParser
    public Danmakus _parse(JSONObject jsonObject, Danmakus danmakus) {
        if (danmakus == null) {
            danmakus = new Danmakus();
        }
        if (jsonObject == null || jsonObject.length() == 0) {
            return danmakus;
        }
        try {
            String text = jsonObject.optString("text", "....");
            String colorStr = jsonObject.getString("color");
            BaseDanmaku item = this.mContext.mDanmakuFactory.createDanmaku(1, this.mContext);
            if (item != null) {
                item.setTime(1000 * jsonObject.optLong(Constants.Value.TIME, 0));
                item.textSize = (this.mDispDensity - 0.6f) * 25.0f;
                int color = Color.parseColor(colorStr);
                item.textColor = color;
                int i = -16777216;
                if (color <= -16777216) {
                    i = -1;
                }
                item.textShadowColor = i;
                DanmakuUtils.fillText(item, text);
                item.setTimer(this.mTimer);
                danmakus.addItem(item);
            }
        } catch (JSONException e) {
        }
        return danmakus;
    }
}
