package io.dcloud.media.video.ijkplayer.utils;

import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import io.dcloud.feature.weex_amap.adapter.Constant;

public final class AnimHelper {
    private AnimHelper() {
        throw new AssertionError();
    }

    public static void doSlideRightIn(View view, int startX, int endX, int duration) {
        ObjectAnimator translationX = ObjectAnimator.ofFloat(view, "translationX", (float) startX, (float) endX);
        ObjectAnimator alpha = ObjectAnimator.ofFloat(view, Constant.JSONKEY.ALPHE, 0.0f, 1.0f);
        AnimatorSet set = new AnimatorSet();
        set.setDuration((long) duration);
        set.playTogether(translationX, alpha);
        set.start();
    }

    public static void doClipViewWidth(final View view, int srcWidth, int endWidth, int duration) {
        ValueAnimator valueAnimator = ValueAnimator.ofInt(srcWidth, endWidth).setDuration((long) duration);
        valueAnimator.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() {
            /* class io.dcloud.media.video.ijkplayer.utils.AnimHelper.AnonymousClass1 */

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                int width = ((Integer) valueAnimator.getAnimatedValue()).intValue();
                ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                layoutParams.width = width;
                view.setLayoutParams(layoutParams);
            }
        });
        valueAnimator.setInterpolator(new AccelerateInterpolator());
        valueAnimator.start();
    }

    public static void doClipViewHeight(final View view, int srcHeight, int endHeight, int duration) {
        ValueAnimator valueAnimator = ValueAnimator.ofInt(srcHeight, endHeight).setDuration((long) duration);
        valueAnimator.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() {
            /* class io.dcloud.media.video.ijkplayer.utils.AnimHelper.AnonymousClass2 */

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                int width = ((Integer) valueAnimator.getAnimatedValue()).intValue();
                ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                layoutParams.height = width;
                view.setLayoutParams(layoutParams);
            }
        });
        valueAnimator.setInterpolator(new AccelerateInterpolator());
        valueAnimator.start();
    }
}
