package io.dcloud.media.video.ijkplayer.utils;

import io.dcloud.common.util.StringUtil;
import java.text.SimpleDateFormat;
import java.util.Date;

public final class StringUtils {
    private StringUtils() {
        throw new AssertionError();
    }

    public static String generateTime(long time) {
        int totalSeconds = (int) (time / 1000);
        int seconds = totalSeconds % 60;
        int minutes = totalSeconds / 60;
        Object[] objArr = new Object[2];
        if (minutes > 99) {
            objArr[0] = Integer.valueOf(minutes);
            objArr[1] = Integer.valueOf(seconds);
            return StringUtil.format("%d:%02d", objArr);
        }
        objArr[0] = Integer.valueOf(minutes);
        objArr[1] = Integer.valueOf(seconds);
        return StringUtil.format("%02d:%02d", objArr);
    }

    public static String getFormatSize(int size) {
        long fileSize = (long) size;
        if (fileSize >= 0 && fileSize < 1024) {
            return fileSize + "Kb/s";
        } else if (fileSize >= 1024 && fileSize < 1048576) {
            return Long.toString(fileSize / 1024) + "KB/s";
        } else if (fileSize < 1048576 || fileSize >= 1073741824) {
            return "";
        } else {
            return Long.toString(fileSize / 1048576) + "MB/s";
        }
    }

    public static String getCurFormatTime() {
        return new SimpleDateFormat("HH:mm").format(new Date(System.currentTimeMillis()));
    }
}
