package io.dcloud.media.weex.weex_video.ijkplayer.danmaku;

import com.taobao.weex.ui.component.WXComponent;
import master.flame.danmaku.danmaku.model.BaseDanmaku;
import master.flame.danmaku.danmaku.model.android.Danmakus;
import master.flame.danmaku.danmaku.parser.BaseDanmakuParser;
import master.flame.danmaku.danmaku.parser.android.JSONSource;
import master.flame.danmaku.danmaku.util.DanmakuUtils;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class AcFunDanmakuParser extends BaseDanmakuParser {
    @Override // master.flame.danmaku.danmaku.parser.BaseDanmakuParser
    public Danmakus parse() {
        if (this.mDataSource == null || !(this.mDataSource instanceof JSONSource)) {
            return new Danmakus();
        }
        return doParse(((JSONSource) this.mDataSource).data());
    }

    /* access modifiers changed from: protected */
    public Danmakus doParse(JSONArray danmakuListData) {
        Danmakus danmakus = new Danmakus();
        if (danmakuListData == null || danmakuListData.length() == 0) {
            return danmakus;
        }
        for (int j = 0; j < danmakuListData.length(); j++) {
            try {
                JSONArray danmaList = danmakuListData.getJSONArray(j);
                if (danmaList.length() > 0) {
                    for (int i = 0; i < danmaList.length(); i++) {
                        JSONObject danmakuArray = danmaList.getJSONObject(i);
                        if (danmakuArray != null) {
                            danmakus = _parse(danmakuArray, danmakus);
                        }
                    }
                }
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
        return danmakus;
    }

    /* access modifiers changed from: protected */
    public Danmakus _parse(JSONObject jsonObject, Danmakus danmakus) {
        int type;
        if (danmakus == null) {
            danmakus = new Danmakus();
        }
        if (jsonObject == null || jsonObject.length() == 0) {
            return danmakus;
        }
        try {
            String[] values = jsonObject.getString("c").split(",");
            if (values.length > 0 && (type = Integer.parseInt(values[2])) != 7) {
                long time = (long) (Float.parseFloat(values[0]) * 1000.0f);
                int i = -16777216;
                int color = Integer.parseInt(values[1]) | -16777216;
                float textSize = Float.parseFloat(values[3]);
                BaseDanmaku item = this.mContext.mDanmakuFactory.createDanmaku(type, this.mContext);
                if (item != null) {
                    item.setTime(time);
                    item.textSize = (this.mDispDensity - 0.6f) * textSize;
                    item.textColor = color;
                    if (color <= -16777216) {
                        i = -1;
                    }
                    item.textShadowColor = i;
                    DanmakuUtils.fillText(item, jsonObject.optString(WXComponent.PROP_FS_MATCH_PARENT, "...."));
                    item.setTimer(this.mTimer);
                    danmakus.addItem(item);
                }
            }
        } catch (NumberFormatException | JSONException e) {
        }
        return danmakus;
    }
}
