package io.dcloud.media.weex.weex_video.ijkplayer.media;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.res.Configuration;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.drawable.LayerDrawable;
import android.media.AudioManager;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.SparseArray;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.OrientationEventListener;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import com.alipay.sdk.m.u.b;
import com.dcloud.android.v4.view.MotionEventCompat;
import com.igexin.push.f.r;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.ui.module.WXModalUIModule;
import com.taobao.weex.ui.view.gesture.WXGestureType;
import com.taobao.weex.utils.WXDataStructureUtil;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.feature.ui.navigator.QueryNotchTool;
import io.dcloud.feature.weex_media.R;
import io.dcloud.feature.weex_media.VideoPlayerView;
import io.dcloud.feature.weex_media.option.EnumPlayStrategy;
import io.dcloud.media.weex.weex_video.ijkplayer.OnPlayerChangedListener;
import io.dcloud.media.weex.weex_video.ijkplayer.VideoR;
import io.dcloud.media.weex.weex_video.ijkplayer.danmaku.BaseDanmakuConverter;
import io.dcloud.media.weex.weex_video.ijkplayer.danmaku.BiliDanmukuParser;
import io.dcloud.media.weex.weex_video.ijkplayer.danmaku.OnDanmakuListener;
import io.dcloud.media.weex.weex_video.ijkplayer.danmaku.StandardDanmaKuParser;
import io.dcloud.media.weex.weex_video.ijkplayer.utils.MotionEventUtils;
import io.dcloud.media.weex.weex_video.ijkplayer.utils.NetWorkUtils;
import io.dcloud.media.weex.weex_video.ijkplayer.utils.StringUtils;
import io.dcloud.media.weex.weex_video.ijkplayer.widgets.MarqueeTextView;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.Arrays;
import java.util.Map;
import master.flame.danmaku.controller.DrawHandler;
import master.flame.danmaku.controller.IDanmakuView;
import master.flame.danmaku.danmaku.loader.ILoader;
import master.flame.danmaku.danmaku.loader.IllegalDataException;
import master.flame.danmaku.danmaku.loader.android.DanmakuLoaderFactory;
import master.flame.danmaku.danmaku.model.BaseDanmaku;
import master.flame.danmaku.danmaku.model.DanmakuTimer;
import master.flame.danmaku.danmaku.model.android.DanmakuContext;
import master.flame.danmaku.danmaku.model.android.Danmakus;
import master.flame.danmaku.danmaku.parser.BaseDanmakuParser;
import master.flame.danmaku.danmaku.parser.IDataSource;
import org.json.JSONObject;
import tv.danmaku.ijk.media.player.IMediaPlayer;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

public class IjkPlayerView extends FrameLayout implements View.OnClickListener {
    private static final int DANMAKU_TAG_ACFUN = 702;
    private static final int DANMAKU_TAG_BILI = 701;
    private static final int DANMAKU_TAG_CUSTOM = 703;
    private static final int DEFAULT_HIDE_TIMEOUT = 5000;
    private static final int INTERRUPT_WHEN_PAUSE = 503;
    private static final int INTERRUPT_WHEN_PLAY = 502;
    private static final int INTERVAL_TIME = 1000;
    private static final int INVALID_VALUE = -1;
    private static final int MAX_VIDEO_SEEK = 1000;
    private static final int MSG_ENABLE_ORIENTATION = 10087;
    private static final int MSG_TRY_RELOAD = 10088;
    private static final int MSG_UPDATE_SEEK = 10086;
    private static final int MSG_UPDATE_TIME = 10099;
    private static final int NORMAL_STATUS = 501;
    private IMediaPlayer.OnBufferingUpdateListener bufferingUpdateListener;
    private VideoPlayerView.IOnPlayerViewChangeListener changeListener;
    private WXVContainer component;
    private boolean controlShowEnable;
    private int defaultDisplayCutoutMode;
    private float defaultScreenBrightness;
    private int defaultSystemUI;
    int duration;
    String fullCallFormat;
    private boolean isCenterPlayBtnVisibility;
    private boolean isFullScreenPageGesture;
    private boolean isLoadingVisibility;
    private boolean isMutePlayer;
    private boolean isPageGesture;
    private boolean isPlayBtnCenter;
    private boolean isPlayBtnVisibility;
    private boolean isProgressGesture;
    private boolean isRtmpUri;
    private boolean isShowProgress;
    private boolean isShowScreenLockButton;
    private int mAspectOptionsHeight;
    private Activity mAttachActivity;
    private AudioManager mAudioManager;
    private int mBasicOptionsWidth;
    private IMediaPlayer.OnCompletionListener mCompletionListener;
    private float mCurBrightness;
    private int mCurPosition;
    private int mCurVolume;
    private DanmakuContext mDanmakuContext;
    private BaseDanmakuConverter mDanmakuConverter;
    private OnDanmakuListener mDanmakuListener;
    private ILoader mDanmakuLoader;
    private BaseDanmakuParser mDanmakuParser;
    private int mDanmakuTag;
    private long mDanmakuTargetPosition;
    private int mDanmakuTextColor;
    private float mDanmakuTextSize;
    private int mDanmakuType;
    private IDanmakuView mDanmakuView;
    private String mDanmuList;
    private long mExitTime;
    private FrameLayout mFlTouchLayout;
    private FrameLayout mFlVideoBox;
    private LinearLayout mFullscreenTopBar;
    private GestureDetector mGestureDetector;
    private Handler mHandler;
    private Runnable mHideBarRunnable;
    private Runnable mHideTouchViewRunnable;
    private ImageView mIVMute;
    private IMediaPlayer.OnInfoListener mInfoListener;
    private int mInitHeight;
    private int mInterruptPosition;
    private boolean mIsAlwaysFullScreen;
    private boolean mIsBufferingStart;
    private boolean mIsDoubleTapEnable;
    private boolean mIsEnableDanmaku;
    private boolean mIsForbidOrientation;
    private boolean mIsForbidTouch;
    private boolean mIsFullscreen;
    private boolean mIsNeedRecoverScreen;
    private boolean mIsNetConnected;
    private boolean mIsNeverPlay;
    private boolean mIsPlayComplete;
    private boolean mIsReady;
    private boolean mIsRenderingStart;
    private boolean mIsScreenLocked;
    private boolean mIsSeeking;
    private boolean mIsShowBar;
    private ImageView mIvBack;
    private TextView mIvDanmakuControl;
    private ImageView mIvFullscreen;
    private ImageView mIvPlay;
    private ImageView mIvPlayCenter;
    private ImageView mIvPlayCircle;
    private ImageView mIvScreenLock;
    private LinearLayout mLlBottomBar;
    private ProgressBar mLoadingView;
    private int mMaxVolume;
    private int mMoreOptionsWidth;
    private NetBroadcastReceiver mNetReceiver;
    private OnPlayerChangedListener mOnPlayerChangedListener;
    private int mOrientation;
    private OrientationEventListener mOrientationListener;
    private IMediaPlayer.OnInfoListener mOutsideInfoListener;
    private GestureDetector.OnGestureListener mPlayerGestureListener;
    private SeekBar mPlayerSeek;
    public ImageView mPlayerThumb;
    private View.OnTouchListener mPlayerTouchListener;
    private ViewGroup.LayoutParams mRawParams;
    private ViewGroup mRootLayout;
    private Matrix mSaveMatrix;
    private ScreenBroadcastReceiver mScreenReceiver;
    private int mScreenUiVisibility;
    private final SeekBar.OnSeekBarChangeListener mSeekListener;
    private long mTargetPosition;
    private TextView mTvBrightness;
    private TextView mTvCurTime;
    private TextView mTvEndTime;
    private TextView mTvFastForward;
    private TextView mTvRecoverScreen;
    private MarqueeTextView mTvTitle;
    private TextView mTvVolume;
    private Matrix mVideoMatrix;
    private SparseArray<String> mVideoSource;
    private int mVideoStatus;
    private IjkVideoView mVideoView;
    private int mWidthPixels;
    private IMediaPlayer.OnBufferingUpdateListener onBufferingUpdateListener;
    public int orientation;
    private int originOrientation;
    private VideoPlayerView parentView;
    String[] rates;
    Runnable screenLockHideRunnable;
    String timeUpdateF;

    @Target({ElementType.FIELD, ElementType.PARAMETER})
    @Retention(RetentionPolicy.SOURCE)
    public @interface DanmakuTag {
    }

    public void setChangeListener(VideoPlayerView.IOnPlayerViewChangeListener viewChangeListener) {
        this.changeListener = viewChangeListener;
    }

    public IjkPlayerView(Context context) {
        this(context, null);
    }

    public IjkPlayerView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.mHandler = new Handler() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == IjkPlayerView.MSG_UPDATE_SEEK) {
                    int pos = IjkPlayerView.this._setProgress();
                    if (!IjkPlayerView.this.mIsSeeking && IjkPlayerView.this.mIsShowBar && IjkPlayerView.this.mVideoView.isPlaying()) {
                        sendMessageDelayed(obtainMessage(IjkPlayerView.MSG_UPDATE_SEEK), (long) (1000 - (pos % 1000)));
                    }
                } else if (msg.what == IjkPlayerView.MSG_ENABLE_ORIENTATION) {
                    if (IjkPlayerView.this.mOrientationListener != null) {
                        IjkPlayerView.this.mOrientationListener.enable();
                    }
                } else if (msg.what == IjkPlayerView.MSG_TRY_RELOAD) {
                    if (IjkPlayerView.this.mIsNetConnected) {
                        IjkPlayerView.this.reload();
                    }
                    sendMessageDelayed(obtainMessage(IjkPlayerView.MSG_TRY_RELOAD), b.a);
                } else if (msg.what == IjkPlayerView.MSG_UPDATE_TIME) {
                    IjkPlayerView.this.progressCallBack();
                    sendMessageDelayed(obtainMessage(IjkPlayerView.MSG_UPDATE_TIME), 250);
                }
            }
        };
        this.mIsForbidTouch = false;
        this.mIsDoubleTapEnable = false;
        this.mIsShowBar = true;
        this.mIsPlayComplete = false;
        this.mTargetPosition = -1;
        this.mCurPosition = -1;
        this.mCurVolume = -1;
        this.mCurBrightness = -1.0f;
        this.mIsNeverPlay = true;
        this.mIsForbidOrientation = true;
        this.mIsAlwaysFullScreen = false;
        this.mExitTime = 0;
        this.mVideoMatrix = new Matrix();
        this.mSaveMatrix = new Matrix();
        this.mIsNeedRecoverScreen = false;
        this.mIsReady = false;
        this.isRtmpUri = false;
        this.isPageGesture = false;
        this.isFullScreenPageGesture = true;
        this.isShowScreenLockButton = false;
        this.isProgressGesture = true;
        this.screenLockHideRunnable = new Runnable() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass2 */

            public void run() {
                IjkPlayerView.this.mIvScreenLock.setVisibility(8);
            }
        };
        this.isPlayBtnCenter = false;
        this.mSeekListener = new SeekBar.OnSeekBarChangeListener() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass3 */
            private long curPosition;

            public void onStartTrackingTouch(SeekBar bar) {
                IjkPlayerView.this.mIsSeeking = true;
                IjkPlayerView.this._showControlBar(3600000);
                IjkPlayerView.this.mHandler.removeMessages(IjkPlayerView.MSG_UPDATE_SEEK);
                this.curPosition = (long) IjkPlayerView.this.mVideoView.getCurrentPosition();
            }

            public void onProgressChanged(SeekBar bar, int progress, boolean fromUser) {
                String desc;
                if (fromUser) {
                    long duration = (long) IjkPlayerView.this.getDuration();
                    IjkPlayerView.this.mTargetPosition = (((long) progress) * duration) / 1000;
                    int deltaTime = (int) ((IjkPlayerView.this.mTargetPosition - this.curPosition) / 1000);
                    if (IjkPlayerView.this.mTargetPosition > this.curPosition) {
                        desc = StringUtils.generateTime(IjkPlayerView.this.mTargetPosition) + "/" + StringUtils.generateTime(duration) + "\n+" + deltaTime + DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_video_second_unit);
                    } else {
                        desc = StringUtils.generateTime(IjkPlayerView.this.mTargetPosition) + "/" + StringUtils.generateTime(duration) + "\n" + deltaTime + DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_video_second_unit);
                    }
                    IjkPlayerView.this._setFastForward(desc);
                }
            }

            public void onStopTrackingTouch(SeekBar bar) {
                IjkPlayerView.this._hideTouchView();
                IjkPlayerView.this.mIsSeeking = false;
                IjkPlayerView ijkPlayerView = IjkPlayerView.this;
                ijkPlayerView.seekTo((int) ijkPlayerView.mTargetPosition);
                IjkPlayerView.this.mTargetPosition = -1;
                IjkPlayerView.this._setProgress();
                IjkPlayerView.this._showControlBar(5000);
            }
        };
        this.mHideBarRunnable = new Runnable() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass4 */

            public void run() {
                IjkPlayerView.this._hideAllView(false);
            }
        };
        this.controlShowEnable = false;
        this.isShowProgress = true;
        this.isPlayBtnVisibility = true;
        this.isCenterPlayBtnVisibility = true;
        this.fullCallFormat = "{fullScreen:%b, direction:'%s'}";
        this.mOrientation = -90;
        this.orientation = 90;
        this.defaultSystemUI = 0;
        this.defaultDisplayCutoutMode = 0;
        this.rates = new String[]{"0.5", "0.8", "1.0", "1.25", "1.5", "2.0"};
        this.mPlayerGestureListener = new GestureDetector.SimpleOnGestureListener() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass7 */
            private boolean isDownTouch;
            private boolean isLandscape;
            private boolean isRecoverFromDanmaku;
            private boolean isVolume;

            public boolean onDown(MotionEvent e) {
                this.isDownTouch = true;
                this.isRecoverFromDanmaku = IjkPlayerView.this.recoverFromEditVideo();
                return super.onDown(e);
            }

            public boolean onScroll(MotionEvent e1, MotionEvent e2, float distanceX, float distanceY) {
                if (!IjkPlayerView.this.mIsForbidTouch && !IjkPlayerView.this.mIsNeverPlay) {
                    float mOldX = e1.getX();
                    float deltaY = e1.getY() - e2.getY();
                    float deltaX = mOldX - e2.getX();
                    if (this.isDownTouch) {
                        boolean z = true;
                        this.isLandscape = Math.abs(distanceX) >= Math.abs(distanceY);
                        if (mOldX <= ((float) IjkPlayerView.this.getResources().getDisplayMetrics().widthPixels) * 0.5f) {
                            z = false;
                        }
                        this.isVolume = z;
                        this.isDownTouch = false;
                    }
                    if (this.isLandscape) {
                        IjkPlayerView ijkPlayerView = IjkPlayerView.this;
                        ijkPlayerView._onProgressSlide((-deltaX) / ((float) ijkPlayerView.mVideoView.getWidth()));
                    } else {
                        float percent = deltaY / ((float) IjkPlayerView.this.mVideoView.getHeight());
                        if (this.isVolume) {
                            IjkPlayerView.this._onVolumeSlide(percent);
                        } else {
                            IjkPlayerView.this._onBrightnessSlide(percent);
                        }
                    }
                }
                return super.onScroll(e1, e2, distanceX, distanceY);
            }

            public boolean onSingleTapConfirmed(MotionEvent e) {
                if (!(IjkPlayerView.this.component == null || IjkPlayerView.this.component.getInstance() == null || !IjkPlayerView.this.component.getEvents().contains(Constants.Event.CLICK))) {
                    Map<String, Object> param = WXDataStructureUtil.newHashMapWithExpectedSize(1);
                    Map<String, Object> position = WXDataStructureUtil.newHashMapWithExpectedSize(4);
                    position.put(Constants.Name.X, Float.valueOf(WXViewUtils.getWebPxByWidth(0.0f, IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth())));
                    position.put(Constants.Name.Y, Float.valueOf(WXViewUtils.getWebPxByWidth(0.0f, IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth())));
                    position.put("width", Float.valueOf(WXViewUtils.getWebPxByWidth(IjkPlayerView.this.component.getLayoutWidth(), IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth())));
                    position.put("height", Float.valueOf(WXViewUtils.getWebPxByWidth(IjkPlayerView.this.component.getLayoutHeight(), IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth())));
                    param.put("position", position);
                    IjkPlayerView.this.component.fireEvent(Constants.Event.CLICK, param);
                }
                if (!(!IjkPlayerView.this.isFullscreen() || IjkPlayerView.this.component == null || IjkPlayerView.this.component.getInstance() == null)) {
                    JSONObject object = new JSONObject();
                    try {
                        object.put(WXGestureType.GestureInfo.SCREEN_X, (double) WXViewUtils.getWebPxByWidth(e.getX(), IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth()));
                        object.put(WXGestureType.GestureInfo.SCREEN_Y, (double) WXViewUtils.getWebPxByWidth(e.getY(), IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth()));
                        object.put("screenWidth", (double) WXViewUtils.getWebPxByWidth((float) IjkPlayerView.this.getWidth(), IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth()));
                        object.put("screenHeight", (double) WXViewUtils.getWebPxByWidth((float) IjkPlayerView.this.getHeight(), IjkPlayerView.this.component.getInstance().getInstanceViewPortWidth()));
                    } catch (Exception e2) {
                    }
                    IjkPlayerView.this.mOnPlayerChangedListener.onChanged("fullscreenclick", object.toString());
                }
                if (this.isRecoverFromDanmaku) {
                    return true;
                }
                IjkPlayerView.this._toggleControlBar();
                if (IjkPlayerView.this.mIsFullscreen) {
                    IjkPlayerView.this.showScreenLockView();
                }
                return true;
            }

            public boolean onDoubleTap(MotionEvent e) {
                if (!IjkPlayerView.this.mIsNeverPlay && !this.isRecoverFromDanmaku && !IjkPlayerView.this.mIsForbidTouch && IjkPlayerView.this.mIsDoubleTapEnable) {
                    IjkPlayerView.this._refreshHideRunnable();
                    IjkPlayerView.this._togglePlayStatus();
                }
                return true;
            }
        };
        this.mHideTouchViewRunnable = new Runnable() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass8 */

            public void run() {
                IjkPlayerView.this._hideTouchView();
            }
        };
        this.mPlayerTouchListener = new View.OnTouchListener() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass9 */
            private static final int INVALID_POINTER = 2;
            private static final int NORMAL = 1;
            private static final int ZOOM_AND_ROTATE = 3;
            private float degree = 0.0f;
            private int fingerFlag = -1;
            private PointF midPoint = new PointF(0.0f, 0.0f);
            private int mode = 1;
            private float oldDist;
            private float scale;

            public boolean onTouch(View v, MotionEvent event) {
                int actionMasked = MotionEventCompat.getActionMasked(event);
                if (actionMasked == 0) {
                    this.mode = 1;
                    IjkPlayerView.this.mHandler.removeCallbacks(IjkPlayerView.this.mHideBarRunnable);
                } else if (actionMasked != 2) {
                    if (actionMasked != 5) {
                        if (actionMasked == 6) {
                            if (this.mode == 3) {
                                IjkPlayerView ijkPlayerView = IjkPlayerView.this;
                                ijkPlayerView.mIsNeedRecoverScreen = ijkPlayerView.mVideoView.adjustVideoView(this.scale);
                                if (IjkPlayerView.this.mIsNeedRecoverScreen && IjkPlayerView.this.mIsShowBar) {
                                    IjkPlayerView.this.mTvRecoverScreen.setVisibility(0);
                                }
                            }
                            this.mode = 2;
                        }
                    } else if (event.getPointerCount() != 3 || !IjkPlayerView.this.mIsFullscreen) {
                        this.mode = 2;
                    } else {
                        IjkPlayerView.this._hideTouchView();
                        this.mode = 3;
                        MotionEventUtils.midPoint(this.midPoint, event);
                        int calcFingerFlag = MotionEventUtils.calcFingerFlag(event);
                        this.fingerFlag = calcFingerFlag;
                        this.degree = MotionEventUtils.rotation(event, calcFingerFlag);
                        this.oldDist = MotionEventUtils.calcSpacing(event, this.fingerFlag);
                        IjkPlayerView ijkPlayerView2 = IjkPlayerView.this;
                        ijkPlayerView2.mSaveMatrix = ijkPlayerView2.mVideoView.getVideoTransform();
                    }
                } else if (this.mode == 3) {
                    IjkPlayerView.this.mVideoView.setVideoRotation((int) (MotionEventUtils.rotation(event, this.fingerFlag) - this.degree));
                    IjkPlayerView.this.mVideoMatrix.set(IjkPlayerView.this.mSaveMatrix);
                    this.scale = MotionEventUtils.calcSpacing(event, this.fingerFlag) / this.oldDist;
                    Matrix matrix = IjkPlayerView.this.mVideoMatrix;
                    float f = this.scale;
                    matrix.postScale(f, f, this.midPoint.x, this.midPoint.y);
                    IjkPlayerView.this.mVideoView.setVideoTransform(IjkPlayerView.this.mVideoMatrix);
                }
                if (this.mode == 1 && !IjkPlayerView.this.mGestureDetector.onTouchEvent(event) && MotionEventCompat.getActionMasked(event) == 1) {
                    IjkPlayerView.this._endGesture();
                }
                return true;
            }
        };
        this.timeUpdateF = "{currentTime:%f,duration:%f}";
        this.duration = -1;
        this.isLoadingVisibility = true;
        this.isMutePlayer = false;
        this.mIsRenderingStart = false;
        this.mIsBufferingStart = false;
        this.mInfoListener = new IMediaPlayer.OnInfoListener() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass10 */

            @Override // tv.danmaku.ijk.media.player.IMediaPlayer.OnInfoListener
            public boolean onInfo(IMediaPlayer iMediaPlayer, int status, int extra) {
                IjkPlayerView.this._switchStatus(status);
                if (IjkPlayerView.this.mOutsideInfoListener == null) {
                    return true;
                }
                IjkPlayerView.this.mOutsideInfoListener.onInfo(iMediaPlayer, status, extra);
                return true;
            }
        };
        this.onBufferingUpdateListener = new IMediaPlayer.OnBufferingUpdateListener() {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass11 */

            @Override // tv.danmaku.ijk.media.player.IMediaPlayer.OnBufferingUpdateListener
            public void onBufferingUpdate(IMediaPlayer iMediaPlayer, int i) {
                if (IjkPlayerView.this.bufferingUpdateListener != null) {
                    IjkPlayerView.this.bufferingUpdateListener.onBufferingUpdate(iMediaPlayer, i);
                }
            }
        };
        this.mVideoSource = new SparseArray<>();
        this.mVideoStatus = 501;
        this.mDanmakuTag = 701;
        this.mIsEnableDanmaku = false;
        this.mDanmakuTextColor = -1;
        this.mDanmakuTextSize = -1.0f;
        this.mDanmakuType = 1;
        this.mBasicOptionsWidth = -1;
        this.mMoreOptionsWidth = -1;
        this.mDanmakuTargetPosition = -1;
        this.mDanmuList = "";
        this.mIsScreenLocked = false;
        _initView(context);
    }

    public IjkPlayerView(Context context, AttributeSet attrs, VideoPlayerView parentView2) {
        this(context, attrs);
        this.parentView = parentView2;
    }

    public void setComponent(WXVContainer container) {
        this.component = container;
    }

    private void _initView(Context context) {
        if (context instanceof Activity) {
            this.mAttachActivity = (Activity) context;
            View.inflate(context, VideoR.VIDEO_IJK_LAYOUT_PLAYER_VIEW, this);
            this.mVideoView = (IjkVideoView) findViewById(VideoR.VIDEO_IJK_ID_VIDEO_VIEW);
            this.mPlayerThumb = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_THUMB);
            this.mLoadingView = (ProgressBar) findViewById(VideoR.VIDEO_IJK_ID_PD_LOADING);
            this.mTvVolume = (TextView) findViewById(VideoR.VIDEO_IJK_ID_TV_VOLUME);
            this.mTvBrightness = (TextView) findViewById(VideoR.VIDEO_IJK_ID_TV_BRIGHTNESS);
            this.mTvFastForward = (TextView) findViewById(VideoR.VIDEO_IJK_ID_TV_FAST_FORWARD);
            this.mFlTouchLayout = (FrameLayout) findViewById(VideoR.VIDEO_IJK_ID_FL_TOUCH_LAYOUT);
            this.mIvBack = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_BACK);
            this.mTvTitle = (MarqueeTextView) findViewById(VideoR.VIDEO_IJK_ID_TV_TITLE);
            this.mFullscreenTopBar = (LinearLayout) findViewById(VideoR.VIDEO_IJK_ID_FULLSCREEN_TOP_BAR);
            this.mIvPlay = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_PLAY);
            this.mTvCurTime = (TextView) findViewById(VideoR.VIDEO_IJK_ID_TV_CUR_TIME);
            this.mPlayerSeek = (SeekBar) findViewById(VideoR.VIDEO_IJK_ID_PLAYER_SEEK);
            this.mTvEndTime = (TextView) findViewById(VideoR.VIDEO_IJK_ID_TV_END_TIME);
            this.mIvFullscreen = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_FULLSCREEN);
            this.mLlBottomBar = (LinearLayout) findViewById(VideoR.VIDEO_IJK_ID_LL_BOTTOM_BAR);
            this.mFlVideoBox = (FrameLayout) findViewById(VideoR.VIDEO_IJK_ID_FL_VIDEO_BOX);
            this.mIvPlayCircle = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_PLAY_CIRCLE);
            this.mTvRecoverScreen = (TextView) findViewById(VideoR.VIDEO_IJK_ID_TV_RECOVER_SCREEN);
            this.mIvDanmakuControl = (TextView) findViewById(VideoR.VIDEO_IJK_ID_IV_DANMAKU_CONTROL);
            this.mIVMute = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_MUTE);
            this.mIvPlayCenter = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_PLAY_CENTER);
            this.mIvScreenLock = (ImageView) findViewById(VideoR.VIDEO_IJK_ID_IV_SCREEN_LOCK);
            this.mAspectOptionsHeight = getResources().getDimensionPixelSize(VideoR.VIDEO_IJK_DIMEN_ASPECT_BNT_SIZE) * 4;
            _initReceiver();
            this.mIvPlay.setOnClickListener(this);
            this.mIvBack.setOnClickListener(this);
            this.mIvFullscreen.setOnClickListener(this);
            this.mIvPlayCircle.setOnClickListener(this);
            this.mTvRecoverScreen.setOnClickListener(this);
            this.mIVMute.setOnClickListener(this);
            this.mIvPlayCenter.setOnClickListener(this);
            setOnClickListener(this);
            this.mIvScreenLock.setOnClickListener(this);
            if (this.mIsForbidTouch) {
                this.mIvScreenLock.setImageResource(R.drawable.video_screen_lock);
                this.mIvScreenLock.setTag(1);
                return;
            }
            this.mIvScreenLock.setImageResource(R.drawable.video_screen_unlock);
            this.mIvScreenLock.setTag(0);
            return;
        }
        throw new IllegalArgumentException("Context must be Activity");
    }

    public void setVideoVisibility() {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView != null) {
            ijkVideoView.setVisibility(0);
        }
    }

    public void setIsShowScreenLockButton(boolean showScreenLockButton) {
        this.isShowScreenLockButton = showScreenLockButton;
    }

    public void showScreenLockView() {
        if (this.isShowScreenLockButton) {
            this.mIvScreenLock.setVisibility(0);
            getHandler().removeCallbacks(this.screenLockHideRunnable);
            getHandler().postDelayed(this.screenLockHideRunnable, 5000);
            return;
        }
        this.mIvScreenLock.setVisibility(8);
    }

    public void setmIsDoubleTapEnable(boolean mIsDoubleTapEnable2) {
        this.mIsDoubleTapEnable = mIsDoubleTapEnable2;
    }

    private void setSeekBarColor() {
        LayerDrawable drawable = (LayerDrawable) this.mPlayerSeek.getProgressDrawable();
        drawable.findDrawableByLayerId(16908288).setColorFilter(Color.parseColor("#ff00ff"), PorterDuff.Mode.SRC_ATOP);
        drawable.findDrawableByLayerId(16908303).setColorFilter(Color.parseColor("#ffff00"), PorterDuff.Mode.SRC_ATOP);
        drawable.findDrawableByLayerId(16908301).setColorFilter(Color.parseColor("#00ffff"), PorterDuff.Mode.SRC_ATOP);
        this.mPlayerSeek.getThumb().setColorFilter(Color.parseColor("#0000ff"), PorterDuff.Mode.SRC_ATOP);
    }

    private void _initMediaPlayer() {
        IjkMediaPlayer.loadLibrariesOnce(null);
        IjkMediaPlayer.native_profileBegin("libijkplayer.so");
        AudioManager audioManager = (AudioManager) this.mAttachActivity.getSystemService("audio");
        this.mAudioManager = audioManager;
        this.mMaxVolume = audioManager.getStreamMaxVolume(3);
        this.defaultScreenBrightness = this.mAttachActivity.getWindow().getAttributes().screenBrightness;
        this.mPlayerSeek.setMax(1000);
        this.mPlayerSeek.setOnSeekBarChangeListener(this.mSeekListener);
        this.mVideoView.setOnInfoListener(this.mInfoListener);
        this.mVideoView.setOnBufferingUpdateListener(this.onBufferingUpdateListener);
        this.mGestureDetector = new GestureDetector(this.mAttachActivity, this.mPlayerGestureListener);
        this.mFlVideoBox.setClickable(true);
        this.mFlVideoBox.setOnTouchListener(this.mPlayerTouchListener);
        if (!this.mIsForbidOrientation) {
            initOrientationEventListener();
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean changed, int left, int top, int right, int bottom) {
        super.onLayout(changed, left, top, right, bottom);
        if (this.mInitHeight == 0) {
            this.mInitHeight = getHeight();
            this.mWidthPixels = getResources().getDisplayMetrics().widthPixels;
        }
    }

    public void onResume() {
        if (this.mIsScreenLocked) {
            this.mIsScreenLocked = false;
        }
        this.mVideoView.setRender(2);
        this.mVideoView.resume();
        if (!this.mIsForbidTouch && !this.mIsForbidOrientation) {
            this.mOrientationListener.enable();
        }
        int i = this.mCurPosition;
        if (i != -1) {
            seekTo(i);
            this.mCurPosition = -1;
        }
    }

    public void onPause() {
        this.mCurPosition = this.mVideoView.getCurrentPosition();
        this.mVideoView.pause();
        this.mIvPlay.setSelected(false);
        this.mIvPlayCenter.setSelected(false);
        OrientationEventListener orientationEventListener = this.mOrientationListener;
        if (orientationEventListener != null) {
            orientationEventListener.disable();
        }
        _pauseDanmaku();
    }

    public int onDestroy() {
        int curPosition = this.mVideoView.getCurrentPosition();
        this.mVideoView.destroy();
        IjkMediaPlayer.native_profileEnd();
        IDanmakuView iDanmakuView = this.mDanmakuView;
        if (iDanmakuView != null) {
            iDanmakuView.release();
            this.mDanmakuView = null;
        }
        MarqueeTextView marqueeTextView = this.mTvTitle;
        if (marqueeTextView != null) {
            marqueeTextView.stopMotion();
        }
        this.mHandler.removeMessages(MSG_TRY_RELOAD);
        this.mHandler.removeMessages(MSG_UPDATE_SEEK);
        this.mHandler.removeMessages(MSG_UPDATE_TIME);
        this.mAttachActivity.unregisterReceiver(this.mScreenReceiver);
        this.mAttachActivity.unregisterReceiver(this.mNetReceiver);
        this.mAttachActivity.getWindow().clearFlags(128);
        setMutePlayer(false);
        this.mAudioManager.abandonAudioFocus(null);
        WindowManager.LayoutParams lp = this.mAttachActivity.getWindow().getAttributes();
        lp.screenBrightness = this.defaultScreenBrightness;
        this.mAttachActivity.getWindow().setAttributes(lp);
        return curPosition;
    }

    public boolean handleVolumeKey(int keyCode) {
        if (keyCode == 24) {
            _setVolume(true);
            return true;
        } else if (keyCode != 25) {
            return false;
        } else {
            _setVolume(false);
            return true;
        }
    }

    public boolean onBackPressed() {
        if (recoverFromEditVideo() || this.mIsAlwaysFullScreen) {
            return true;
        }
        if (!this.mIsFullscreen) {
            return false;
        }
        exitFullScreen();
        if (this.mIsForbidTouch) {
            this.mIsForbidTouch = false;
            _setControlBarVisible(this.mIsShowBar);
        }
        return true;
    }

    public IjkPlayerView init() {
        _initMediaPlayer();
        return this;
    }

    public IjkPlayerView switchVideoPath(String url) {
        return switchVideoPath(Uri.parse(url));
    }

    public IjkPlayerView switchVideoPath(Uri uri) {
        reset();
        _setControlBarVisible(true);
        this.duration = -1;
        return setVideoPath(uri);
    }

    public IjkPlayerView setVideoPath(String url) {
        return setVideoPath(Uri.parse(url));
    }

    public IjkPlayerView setPlayerRootView(ViewGroup rootView) {
        this.mRootLayout = rootView;
        return this;
    }

    public IjkPlayerView setVideoPath(Uri uri) {
        int i = 4;
        if (uri.toString().startsWith("rtmp:")) {
            this.isRtmpUri = true;
            this.mPlayerSeek.setEnabled(false);
            this.mPlayerSeek.setVisibility(4);
            this.mTvEndTime.setVisibility(4);
            this.mTvCurTime.setVisibility(4);
        } else {
            this.isRtmpUri = false;
            this.mPlayerSeek.setEnabled(true);
            SeekBar seekBar = this.mPlayerSeek;
            if (this.isShowProgress) {
                i = 0;
            }
            seekBar.setVisibility(i);
            this.mTvEndTime.setVisibility(0);
            this.mTvCurTime.setVisibility(0);
        }
        int i2 = this.mCurPosition;
        if (i2 != -1) {
            seekTo(i2);
            this.mCurPosition = -1;
        } else {
            seekTo(0);
        }
        this.mVideoView.setVideoURI(uri);
        return this;
    }

    public IjkPlayerView setVideoFileDescriptor(AssetsDataSourceProvider fd) {
        int i = this.mCurPosition;
        if (i != -1) {
            seekTo(i);
            this.mCurPosition = -1;
        } else {
            seekTo(0);
        }
        this.mVideoView.setVideoFileDescriptor(fd);
        return this;
    }

    public IjkPlayerView switchVideoFileDescriptor(AssetsDataSourceProvider fd) {
        reset();
        _setControlBarVisible(true);
        this.duration = -1;
        return setVideoFileDescriptor(fd);
    }

    public IjkPlayerView setTitle(String title) {
        this.mTvTitle.setText(title);
        return this;
    }

    public IjkPlayerView setHttpCacheEnable(boolean cacheEnable) {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView != null) {
            ijkVideoView.setIsHttpCacheOpen(cacheEnable);
        }
        return this;
    }

    public IjkPlayerView setHeader(String header) {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView != null) {
            ijkVideoView.setHeaderInfo(header);
        }
        return this;
    }

    public IjkPlayerView setFlowStrategy(EnumPlayStrategy intFlowStrategy) {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView != null) {
            ijkVideoView.setFlowStrategy(intFlowStrategy);
        }
        return this;
    }

    public void isMuteBtnShow(boolean isShow) {
        if (isShow) {
            this.mIVMute.setVisibility(0);
        } else {
            this.mIVMute.setVisibility(8);
        }
    }

    public void setPlayBtnPosition(String position) {
        boolean equals = position.equals("center");
        this.isPlayBtnCenter = equals;
        if (equals) {
            this.mIvPlay.setVisibility(8);
        } else if (this.isPlayBtnVisibility) {
            this.mIvPlayCenter.setVisibility(8);
            this.mIvPlay.setVisibility(0);
        }
    }

    public IjkPlayerView alwaysFullScreen() {
        this.mIsAlwaysFullScreen = true;
        fullScreen(this.mOrientation);
        this.mIvFullscreen.setVisibility(8);
        return this;
    }

    public void start() {
        if (this.mIsPlayComplete) {
            IDanmakuView iDanmakuView = this.mDanmakuView;
            if (iDanmakuView != null && iDanmakuView.isPrepared()) {
                this.mDanmakuView.seekTo(0L);
                this.mDanmakuView.pause();
            }
            this.mIsPlayComplete = false;
        }
        if (!this.mVideoView.isPlaying()) {
            this.mIvPlay.setSelected(true);
            this.mIvPlayCenter.setSelected(true);
            this.mVideoView.start();
            this.mHandler.sendEmptyMessage(MSG_UPDATE_SEEK);
            this.mHandler.sendEmptyMessage(MSG_UPDATE_TIME);
        }
        this.mIvPlayCircle.setVisibility(8);
        if (this.mIsNeverPlay) {
            this.mIsNeverPlay = false;
            if (this.mVideoView.getCurrentState() != 331) {
                setLoadingVisibility(0);
            }
            this.mIsShowBar = false;
            _loadDanmaku();
        }
        this.mAttachActivity.getWindow().addFlags(128);
    }

    public void hiddenLoaded(boolean isHidden) {
    }

    public void reload() {
        setLoadingVisibility(0);
        if (!this.mIsReady) {
            this.mVideoView.release(false);
            this.mVideoView.setRender(2);
            start();
        } else if (NetWorkUtils.isNetworkAvailable(this.mAttachActivity)) {
            this.mVideoView.reload();
            this.mVideoView.start();
            int i = this.mInterruptPosition;
            if (i > 0) {
                seekTo(i);
                this.mInterruptPosition = 0;
            }
        } else {
            OnPlayerChangedListener onPlayerChangedListener = this.mOnPlayerChangedListener;
            if (onPlayerChangedListener != null) {
                onPlayerChangedListener.onChanged("error", DOMException.MSG_NETWORK_ERROR);
                setLoadingVisibility(8);
                return;
            }
            return;
        }
        this.mHandler.removeMessages(MSG_UPDATE_SEEK);
        this.mHandler.sendEmptyMessage(MSG_UPDATE_SEEK);
        this.mHandler.removeMessages(MSG_UPDATE_TIME);
        this.mHandler.sendEmptyMessage(MSG_UPDATE_TIME);
    }

    public boolean isPlaying() {
        return this.mVideoView.isPlaying();
    }

    public void pause() {
        this.mCurPosition = this.mVideoView.getCurrentPosition();
        this.mIvPlay.setSelected(false);
        this.mIvPlayCenter.setSelected(false);
        if (this.mVideoView.isPlaying()) {
            this.mVideoView.pause();
        }
        this.mHandler.removeMessages(MSG_UPDATE_TIME);
        _pauseDanmaku();
        this.mAttachActivity.getWindow().clearFlags(128);
    }

    public void seekTo(int position) {
        if (!this.isRtmpUri) {
            this.mVideoView.seekTo(position);
            this.mDanmakuTargetPosition = (long) position;
        }
    }

    public void stop() {
        pause();
        this.mVideoView.stopPlayback();
    }

    public void reset() {
        IDanmakuView iDanmakuView;
        if (this.mIsEnableDanmaku && (iDanmakuView = this.mDanmakuView) != null) {
            iDanmakuView.release();
            this.mDanmakuView = null;
            this.mIsEnableDanmaku = false;
        }
        this.mIsNeverPlay = true;
        this.mCurPosition = 0;
        stop();
        this.mVideoView.setRender(2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _hideAllView(boolean isTouchLock) {
        this.mFlTouchLayout.setVisibility(8);
        this.mFullscreenTopBar.setVisibility(8);
        this.mTvTitle.stopMotion();
        this.mIvPlayCenter.setVisibility(8);
        if (this.mLlBottomBar.getVisibility() == 0) {
            this.mOnPlayerChangedListener.onChanged("controlstoggle", "{'show':false}");
        }
        this.mLlBottomBar.setVisibility(8);
        if (!isTouchLock) {
            this.mIsShowBar = false;
        }
        if (this.mIsNeedRecoverScreen) {
            this.mTvRecoverScreen.setVisibility(8);
        }
        if (this.mIvScreenLock.getVisibility() == 0) {
            this.mIvScreenLock.setVisibility(8);
        }
    }

    private void _setControlBarVisible(boolean isShowBar) {
        int i = 8;
        if (!this.controlShowEnable) {
            this.mLlBottomBar.setVisibility(8);
            this.mFullscreenTopBar.setVisibility(8);
            this.mTvTitle.stopMotion();
            if (this.mIsNeedRecoverScreen) {
                this.mTvRecoverScreen.setVisibility(8);
            }
        } else if (this.mIsNeverPlay) {
            if (this.mIvPlayCircle.getVisibility() != 0) {
                LinearLayout linearLayout = this.mLlBottomBar;
                if (isShowBar) {
                    i = 0;
                }
                linearLayout.setVisibility(i);
            }
        } else if (!this.mIsForbidTouch) {
            this.mLlBottomBar.setVisibility(isShowBar ? 0 : 8);
            if (this.isPlayBtnCenter && this.isPlayBtnVisibility) {
                this.mIvPlayCenter.setVisibility(isShowBar ? 0 : 8);
            }
            if (this.mIsFullscreen) {
                this.mFullscreenTopBar.setVisibility(isShowBar ? 0 : 8);
                if (isShowBar) {
                    this.mTvTitle.startMotion();
                } else {
                    this.mTvTitle.stopMotion();
                }
                if (this.mIsNeedRecoverScreen) {
                    TextView textView = this.mTvRecoverScreen;
                    if (isShowBar) {
                        i = 0;
                    }
                    textView.setVisibility(i);
                    return;
                }
                return;
            }
            this.mFullscreenTopBar.setVisibility(8);
            this.mTvTitle.stopMotion();
            if (this.mIsNeedRecoverScreen) {
                this.mTvRecoverScreen.setVisibility(8);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _toggleControlBar() {
        this.mIsShowBar = !this.mIsShowBar;
        OnPlayerChangedListener onPlayerChangedListener = this.mOnPlayerChangedListener;
        onPlayerChangedListener.onChanged("controlstoggle", "{'show':" + this.mIsShowBar + "}");
        _setControlBarVisible(this.mIsShowBar);
        this.mHandler.removeCallbacks(this.mHideBarRunnable);
        if (this.mIsShowBar) {
            this.mHandler.postDelayed(this.mHideBarRunnable, 5000);
            this.mHandler.sendEmptyMessage(MSG_UPDATE_SEEK);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _showControlBar(int timeout) {
        if (!this.mIsShowBar) {
            _setProgress();
            this.mIsShowBar = true;
        }
        _setControlBarVisible(true);
        this.mHandler.removeMessages(MSG_UPDATE_SEEK);
        this.mHandler.sendEmptyMessage(MSG_UPDATE_SEEK);
        this.mHandler.removeCallbacks(this.mHideBarRunnable);
        if (timeout != 0) {
            this.mHandler.postDelayed(this.mHideBarRunnable, (long) timeout);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _togglePlayStatus() {
        if (this.mVideoView.isPlaying()) {
            pause();
        } else {
            start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _refreshHideRunnable() {
        this.mHandler.removeCallbacks(this.mHideBarRunnable);
        this.mHandler.postDelayed(this.mHideBarRunnable, 5000);
    }

    private void _togglePlayerLock() {
        boolean z = !this.mIsForbidTouch;
        this.mIsForbidTouch = z;
        if (z) {
            OrientationEventListener orientationEventListener = this.mOrientationListener;
            if (orientationEventListener != null) {
                orientationEventListener.disable();
            }
            _hideAllView(true);
            return;
        }
        if (!this.mIsForbidOrientation) {
            this.mOrientationListener.enable();
        }
        this.mFullscreenTopBar.setVisibility(0);
        if (this.controlShowEnable) {
            this.mLlBottomBar.setVisibility(0);
        }
        if (this.mIsNeedRecoverScreen) {
            this.mTvRecoverScreen.setVisibility(0);
        }
    }

    public void setControls(boolean controlEnable) {
        this.controlShowEnable = controlEnable;
        this.mIsShowBar = controlEnable;
        OnPlayerChangedListener onPlayerChangedListener = this.mOnPlayerChangedListener;
        onPlayerChangedListener.onChanged("controlstoggle", "{'show':" + this.mIsShowBar + "}");
        _setControlBarVisible(this.mIsShowBar);
        if (this.mIsShowBar) {
            this.mHandler.sendEmptyMessage(MSG_UPDATE_SEEK);
        }
    }

    public void setPageGesture(boolean isPageGesture2) {
        this.isPageGesture = isPageGesture2;
    }

    public void setFullScreenPageGesture(boolean fullScreenPageGesture) {
        this.isFullScreenPageGesture = fullScreenPageGesture;
    }

    public void setProgressVisibility(boolean isShow) {
        if (this.mPlayerSeek != null && !this.isRtmpUri) {
            this.isShowProgress = isShow;
            this.mPlayerSeek.setVisibility(isShow ? 0 : 4);
        }
    }

    public void setFullscreenBntVisibility(boolean isShow) {
        if (this.mIvFullscreen != null) {
            this.mIvFullscreen.setVisibility(isShow ? 0 : 4);
        }
    }

    public void setPlayBntVisibility(boolean isShow) {
        if (this.mIvPlay != null) {
            this.isPlayBtnVisibility = isShow;
            int v = isShow ? 0 : 4;
            if (this.isPlayBtnCenter) {
                this.mIvPlayCenter.setVisibility(v);
            } else {
                this.mIvPlay.setVisibility(v);
            }
        }
    }

    public void setCenterPlayBtnVisibility(boolean isShow) {
        if (this.mIsNeverPlay && !isPlaying() && this.mIvPlayCircle != null) {
            this.isCenterPlayBtnVisibility = isShow;
            this.mIvPlayCircle.setVisibility(isShow ? 0 : 8);
        }
    }

    public void setIsEnableProgressGesture(boolean isProgressGesture2) {
        this.isProgressGesture = isProgressGesture2;
    }

    public void onClick(View v) {
        WXVContainer wXVContainer;
        _refreshHideRunnable();
        int id = v.getId();
        if (id == VideoR.VIDEO_IJK_ID_IV_BACK) {
            onBackPressed();
        } else if (id == VideoR.VIDEO_IJK_ID_IV_PLAY || id == VideoR.VIDEO_IJK_ID_IV_PLAY_CIRCLE || id == VideoR.VIDEO_IJK_ID_IV_PLAY_CENTER) {
            _togglePlayStatus();
        } else if (id == VideoR.VIDEO_IJK_ID_IV_FULLSCREEN) {
            _toggleFullScreen();
        } else if (id == VideoR.VIDEO_IJK_ID_IV_DANMAKU_CONTROL) {
            _toggleDanmakuShow();
        } else if (id == VideoR.VIDEO_IJK_ID_TV_RECOVER_SCREEN) {
            this.mVideoView.resetVideoView(true);
            this.mIsNeedRecoverScreen = false;
            this.mTvRecoverScreen.setVisibility(8);
        } else if (id == VideoR.VIDEO_IJK_ID_IV_MUTE) {
            boolean z = !this.isMutePlayer;
            this.isMutePlayer = z;
            setMutePlayer(z);
            this.mIVMute.setSelected(this.isMutePlayer);
        } else if (id == VideoR.VIDEO_IJK_ID_IV_SCREEN_LOCK) {
            if (this.isShowScreenLockButton) {
                if (((Integer) this.mIvScreenLock.getTag()).intValue() == 1) {
                    this.mIvScreenLock.setTag(0);
                    this.mIvScreenLock.setImageResource(R.drawable.video_screen_unlock);
                    this.mIsForbidTouch = true;
                } else {
                    this.mIvScreenLock.setTag(1);
                    this.mIvScreenLock.setImageResource(R.drawable.video_screen_lock);
                    this.mIsForbidTouch = false;
                }
                _togglePlayerLock();
                this.mIvScreenLock.setVisibility(0);
                getHandler().removeCallbacks(this.screenLockHideRunnable);
                getHandler().postDelayed(this.screenLockHideRunnable, 5000);
            }
        } else if (v == this && (wXVContainer = this.component) != null && wXVContainer.getEvents().contains(Constants.Event.CLICK)) {
            Map<String, Object> param = WXDataStructureUtil.newHashMapWithExpectedSize(1);
            Map<String, Object> position = WXDataStructureUtil.newHashMapWithExpectedSize(4);
            int[] location = new int[2];
            v.getLocationOnScreen(location);
            position.put(Constants.Name.X, Float.valueOf(WXViewUtils.getWebPxByWidth((float) location[0], this.component.getInstance().getInstanceViewPortWidthWithFloat())));
            position.put(Constants.Name.Y, Float.valueOf(WXViewUtils.getWebPxByWidth((float) location[1], this.component.getInstance().getInstanceViewPortWidthWithFloat())));
            position.put("width", Float.valueOf(WXViewUtils.getWebPxByWidth(this.component.getLayoutWidth(), this.component.getInstance().getInstanceViewPortWidthWithFloat())));
            position.put("height", Float.valueOf(WXViewUtils.getWebPxByWidth(this.component.getLayoutHeight(), this.component.getInstance().getInstanceViewPortWidthWithFloat())));
            param.put("position", position);
            this.component.fireEvent(Constants.Event.CLICK, param);
        }
    }

    public IjkPlayerView enableOrientation() {
        this.mIsForbidOrientation = false;
        if (this.mOrientationListener == null) {
            initOrientationEventListener();
        }
        this.mOrientationListener.enable();
        return this;
    }

    private void _toggleFullScreen() {
        IjkVideoView ijkVideoView;
        if (isFullscreen()) {
            exitFullScreen();
            return;
        }
        VideoPlayerView videoPlayerView = this.parentView;
        if (videoPlayerView != null) {
            int ori = videoPlayerView.getDirection();
            if (ori == Integer.MIN_VALUE && (ijkVideoView = this.mVideoView) != null) {
                ori = ijkVideoView.getVideoHeight() > this.mVideoView.getVideoWidth() ? 0 : -90;
            }
            this.mOrientation = ori;
        }
        fullScreen(this.mOrientation);
    }

    private void _setFullScreen(boolean isFullscreen) {
        String msg;
        this.mIsFullscreen = isFullscreen;
        this.mIvFullscreen.setSelected(isFullscreen);
        int i = 0;
        if (this.mOnPlayerChangedListener != null) {
            if (isFullscreen) {
                msg = StringUtil.format(this.fullCallFormat, true, Constants.Value.HORIZONTAL);
            } else {
                msg = StringUtil.format(this.fullCallFormat, false, "vertical");
            }
            this.mOnPlayerChangedListener.onChanged("fullscreenchange", msg);
        }
        _showControlBar(5000);
        if (!this.mIsNeedRecoverScreen) {
            return;
        }
        if (isFullscreen) {
            this.mVideoView.adjustVideoView(1.0f);
            TextView textView = this.mTvRecoverScreen;
            if (!this.mIsShowBar) {
                i = 8;
            }
            textView.setVisibility(i);
            return;
        }
        this.mVideoView.resetVideoView(false);
        this.mTvRecoverScreen.setVisibility(8);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _handleOrientation(int orientation2) {
        if (!this.mIsNeverPlay) {
            if (!this.mIsFullscreen || this.mIsAlwaysFullScreen) {
                if (orientation2 >= 60 && orientation2 <= 120) {
                    this.mAttachActivity.setRequestedOrientation(8);
                } else if (orientation2 >= 240 && orientation2 <= 300) {
                    this.mAttachActivity.setRequestedOrientation(0);
                }
            } else if ((orientation2 >= 0 && orientation2 <= 30) || orientation2 >= 330) {
                this.mAttachActivity.setRequestedOrientation(1);
            }
        }
    }

    private void _refreshOrientationEnable() {
        if (!this.mIsForbidOrientation) {
            this.mOrientationListener.disable();
            this.mHandler.removeMessages(MSG_ENABLE_ORIENTATION);
            this.mHandler.sendEmptyMessageDelayed(MSG_ENABLE_ORIENTATION, b.a);
        }
    }

    private void initOrientationEventListener() {
        this.mOrientationListener = new OrientationEventListener(this.mAttachActivity) {
            /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass5 */

            public void onOrientationChanged(int orientation) {
                IjkPlayerView.this._handleOrientation(orientation);
            }
        };
    }

    public boolean isFullscreen() {
        return this.mIsFullscreen;
    }

    public void fullScreen(int orientation2) {
        ViewGroup.LayoutParams fullParams;
        VideoPlayerView.IOnPlayerViewChangeListener iOnPlayerViewChangeListener = this.changeListener;
        if (iOnPlayerViewChangeListener != null) {
            iOnPlayerViewChangeListener.onChanged(true);
        }
        _refreshOrientationEnable();
        if (!this.mIsFullscreen) {
            this.originOrientation = this.mAttachActivity.getRequestedOrientation();
            this.orientation = orientation2;
            if (orientation2 == 0) {
                if (this.mAttachActivity.getRequestedOrientation() != 1) {
                    this.mAttachActivity.setRequestedOrientation(1);
                }
            } else if (orientation2 == 90) {
                if (this.mAttachActivity.getRequestedOrientation() != 8) {
                    this.mAttachActivity.setRequestedOrientation(8);
                }
            } else if (orientation2 == -90 && this.mAttachActivity.getRequestedOrientation() != 0) {
                this.mAttachActivity.setRequestedOrientation(0);
            }
            setNavigationBar(true);
            DisplayMetrics metrics = new DisplayMetrics();
            this.mAttachActivity.getWindowManager().getDefaultDisplay().getMetrics(metrics);
            ViewGroup.LayoutParams fullParams2 = getLayoutParams();
            this.mRawParams = fullParams2;
            if (fullParams2 instanceof RelativeLayout.LayoutParams) {
                fullParams = new RelativeLayout.LayoutParams(metrics.widthPixels, metrics.heightPixels);
            } else if (fullParams2 instanceof LinearLayout.LayoutParams) {
                fullParams = new LinearLayout.LayoutParams(metrics.widthPixels, metrics.heightPixels);
            } else if (fullParams2 instanceof FrameLayout.LayoutParams) {
                fullParams = new FrameLayout.LayoutParams(metrics.widthPixels, metrics.heightPixels);
            } else {
                new AlertDialog.Builder(getContext()).setMessage("nonsupport parent layout, please do it by yourself").setPositiveButton(WXModalUIModule.OK, new DialogInterface.OnClickListener() {
                    /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass6 */

                    public void onClick(DialogInterface dialog, int whichButton) {
                    }
                }).setCancelable(false).show();
                return;
            }
            setLayoutParams(fullParams);
            _setFullScreen(true);
            ViewGroup rootGroup = (ViewGroup) this.mAttachActivity.getWindow().getDecorView().findViewById(16908290);
            if ((rootGroup instanceof FrameLayout) && getParent() != rootGroup) {
                ((ViewGroup) getParent()).removeView(this);
                rootGroup.addView(this, new FrameLayout.LayoutParams(-1, -1));
            }
            if (Build.VERSION.SDK_INT >= 28 && QueryNotchTool.hasNotchInScreen(this.mAttachActivity)) {
                int statusBarHeight = DeviceInfo.getStatusHeight(getContext()) - PdrUtil.pxFromDp(10.0f, getContext().getResources().getDisplayMetrics());
                if (orientation2 == 0) {
                    this.mFullscreenTopBar.setPadding(0, statusBarHeight, 0, 0);
                    return;
                }
                this.mLlBottomBar.setPadding(statusBarHeight, 0, statusBarHeight, 0);
                this.mFullscreenTopBar.setPadding(statusBarHeight, 0, statusBarHeight, 0);
            }
        }
    }

    public void exitFullScreen() {
        _refreshOrientationEnable();
        VideoPlayerView.IOnPlayerViewChangeListener iOnPlayerViewChangeListener = this.changeListener;
        if (iOnPlayerViewChangeListener != null) {
            iOnPlayerViewChangeListener.onChanged(false);
        }
        if (this.mIsFullscreen) {
            int requestedOrientation = this.mAttachActivity.getRequestedOrientation();
            int i = this.originOrientation;
            if (requestedOrientation != i) {
                this.mAttachActivity.setRequestedOrientation(i);
            }
            setNavigationBar(false);
            setLayoutParams(this.mRawParams);
            if (getParent() != this.mRootLayout) {
                ((ViewGroup) getParent()).removeView(this);
                this.mRootLayout.addView(this, new FrameLayout.LayoutParams(-1, -1));
            }
            _setFullScreen(false);
            if (Build.VERSION.SDK_INT >= 28 && QueryNotchTool.hasNotchInScreen(this.mAttachActivity)) {
                this.mLlBottomBar.setPadding(0, 0, 0, 0);
                this.mFullscreenTopBar.setPadding(0, 0, 0, 0);
            }
        }
    }

    private void setNavigationBar(boolean show) {
        Window window = this.mAttachActivity.getWindow();
        View decorView = window.getDecorView();
        WindowManager.LayoutParams param = window.getAttributes();
        if (!show) {
            decorView.setSystemUiVisibility(this.defaultSystemUI);
            if (QueryNotchTool.hasNotchInScreen(this.mAttachActivity) && Build.VERSION.SDK_INT >= 28) {
                window.getAttributes().layoutInDisplayCutoutMode = this.defaultDisplayCutoutMode;
            }
        } else {
            this.defaultSystemUI = decorView.getSystemUiVisibility();
            this.mAttachActivity.getWindow().getDecorView().setSystemUiVisibility(5894);
            if (QueryNotchTool.hasNotchInScreen(this.mAttachActivity) && Build.VERSION.SDK_INT >= 28) {
                this.defaultDisplayCutoutMode = param.layoutInDisplayCutoutMode;
                param.layoutInDisplayCutoutMode = 1;
            }
        }
        window.setAttributes(param);
    }

    public void setScaleType(String aspect) {
        if (this.mVideoView != null) {
            char c = 65535;
            int hashCode = aspect.hashCode();
            if (hashCode != 3143043) {
                if (hashCode != 94852023) {
                    if (hashCode == 951526612 && aspect.equals("contain")) {
                        c = 0;
                    }
                } else if (aspect.equals(IApp.ConfigProperty.CONFIG_COVER)) {
                    c = 2;
                }
            } else if (aspect.equals("fill")) {
                c = 1;
            }
            if (c == 0) {
                this.mVideoView.setAspectRatio(0);
                this.mPlayerThumb.setScaleType(ImageView.ScaleType.FIT_CENTER);
            } else if (c == 1) {
                this.mVideoView.setAspectRatio(3);
                this.mPlayerThumb.setScaleType(ImageView.ScaleType.FIT_XY);
            } else if (c == 2) {
                this.mVideoView.setAspectRatio(1);
                this.mPlayerThumb.setScaleType(ImageView.ScaleType.CENTER_CROP);
            }
        }
    }

    public void playbackRate(String speed) {
        if (this.mVideoView == null) {
            return;
        }
        if (Arrays.binarySearch(this.rates, speed) >= 0) {
            this.mVideoView.setSpeed(Float.parseFloat(speed));
        } else {
            this.mVideoView.setSpeed(1.0f);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int _setProgress() {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView == null || this.mIsSeeking) {
            return 0;
        }
        int position = Math.max(ijkVideoView.getCurrentPosition(), this.mInterruptPosition);
        int duration2 = getDuration();
        if (duration2 > 0) {
            this.mPlayerSeek.setProgress((int) ((((long) position) * 1000) / ((long) duration2)));
        }
        this.mPlayerSeek.setSecondaryProgress(this.mVideoView.getBufferPercentage() * 10);
        this.mTvCurTime.setText(StringUtils.generateTime((long) position));
        this.mTvEndTime.setText(StringUtils.generateTime((long) duration2));
        return position;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void progressCallBack() {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView != null && !this.mIsSeeking && !this.mIsBufferingStart && this.mOnPlayerChangedListener != null) {
            this.mOnPlayerChangedListener.onChanged("timeupdate", StringUtil.format(this.timeUpdateF, Float.valueOf(((float) Math.max(ijkVideoView.getCurrentPosition(), this.mInterruptPosition)) / 1000.0f), Float.valueOf(((float) getDuration()) / 1000.0f)));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _setFastForward(String time) {
        if (this.mFlTouchLayout.getVisibility() == 8) {
            this.mFlTouchLayout.setVisibility(0);
        }
        if (this.mTvFastForward.getVisibility() == 8) {
            this.mTvFastForward.setVisibility(0);
        }
        this.mTvFastForward.setText(time);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _hideTouchView() {
        if (this.mFlTouchLayout.getVisibility() == 0) {
            this.mTvFastForward.setVisibility(8);
            this.mTvVolume.setVisibility(8);
            this.mTvBrightness.setVisibility(8);
            this.mFlTouchLayout.setVisibility(8);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _onProgressSlide(float percent) {
        String desc;
        if (!this.isRtmpUri && this.isProgressGesture) {
            int position = this.mVideoView.getCurrentPosition();
            long duration2 = (long) getDuration();
            long min = ((long) position) + ((long) (((float) Math.min(100000L, duration2 / 2)) * percent));
            this.mTargetPosition = min;
            if (min > duration2) {
                this.mTargetPosition = duration2;
            } else if (min <= 0) {
                this.mTargetPosition = 0;
            }
            long j = this.mTargetPosition;
            int i = (int) ((j - ((long) position)) / 1000);
            if (j > ((long) position)) {
                desc = StringUtils.generateTime(this.mTargetPosition) + "/" + StringUtils.generateTime(duration2);
            } else {
                desc = StringUtils.generateTime(this.mTargetPosition) + "/" + StringUtils.generateTime(duration2);
            }
            _setFastForward(desc);
        }
    }

    private void _setVolumeInfo(int volume) {
        if (this.mFlTouchLayout.getVisibility() == 8) {
            this.mFlTouchLayout.setVisibility(0);
        }
        if (this.mTvVolume.getVisibility() == 8) {
            this.mTvVolume.setVisibility(0);
        }
        TextView textView = this.mTvVolume;
        textView.setText(((volume * 100) / this.mMaxVolume) + "%");
    }

    public void setDuration(int duration2) {
        if (this.mIsNeverPlay && !isPlaying()) {
            if (duration2 > 0) {
                this.duration = duration2;
            } else {
                this.duration = -1;
            }
        }
    }

    public int getDuration() {
        if (this.duration <= -1) {
            this.duration = this.mVideoView.getDuration();
        }
        return this.duration;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _onVolumeSlide(float percent) {
        if (!this.isMutePlayer) {
            if (!this.mIsFullscreen && !this.isPageGesture) {
                return;
            }
            if (!this.mIsFullscreen || this.isFullScreenPageGesture) {
                if (this.mCurVolume == -1) {
                    int streamVolume = this.mAudioManager.getStreamVolume(3);
                    this.mCurVolume = streamVolume;
                    if (streamVolume < 0) {
                        this.mCurVolume = 0;
                    }
                }
                int i = this.mMaxVolume;
                int index = ((int) (((float) i) * percent)) + this.mCurVolume;
                if (index > i) {
                    index = this.mMaxVolume;
                } else if (index < 0) {
                    index = 0;
                }
                this.mAudioManager.setStreamVolume(3, index, 0);
                _setVolumeInfo(index);
            }
        }
    }

    public void setLoadingVisibility(boolean visible) {
        this.isLoadingVisibility = visible;
    }

    private void setLoadingVisibility(int visible) {
        this.mLoadingView.setVisibility(this.isLoadingVisibility ? visible : 8);
    }

    public void isUseMediaCodec(boolean isUse) {
        IjkVideoView ijkVideoView = this.mVideoView;
        if (ijkVideoView != null) {
            ijkVideoView.setmIsUsingMediaCodec(isUse);
        }
    }

    public void setMutePlayer(boolean isMute) {
        this.isMutePlayer = isMute;
        this.mIVMute.setSelected(isMute);
        this.mVideoView.setvolume(isMute ? 0.0f : 1.0f);
    }

    public boolean isMutePlayer() {
        return this.isMutePlayer;
    }

    private void _setVolume(boolean isIncrease) {
        int curVolume;
        if (!this.isMutePlayer) {
            int curVolume2 = this.mAudioManager.getStreamVolume(3);
            if (isIncrease) {
                curVolume = curVolume2 + (this.mMaxVolume / 15);
            } else {
                curVolume = curVolume2 - (this.mMaxVolume / 15);
            }
            if (curVolume > this.mMaxVolume) {
                curVolume = this.mMaxVolume;
            } else if (curVolume < 0) {
                curVolume = 0;
            }
            this.mAudioManager.setStreamVolume(3, curVolume, 0);
            _setVolumeInfo(curVolume);
            this.mHandler.removeCallbacks(this.mHideTouchViewRunnable);
            this.mHandler.postDelayed(this.mHideTouchViewRunnable, 1000);
        }
    }

    private void _setBrightnessInfo(float brightness) {
        if (this.mFlTouchLayout.getVisibility() == 8) {
            this.mFlTouchLayout.setVisibility(0);
        }
        if (this.mTvBrightness.getVisibility() == 8) {
            this.mTvBrightness.setVisibility(0);
        }
        TextView textView = this.mTvBrightness;
        textView.setText(Math.ceil((double) (100.0f * brightness)) + "%");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _onBrightnessSlide(float percent) {
        if (!this.mIsFullscreen && !this.isPageGesture) {
            return;
        }
        if (!this.mIsFullscreen || this.isFullScreenPageGesture) {
            if (this.mCurBrightness < 0.0f) {
                float f = this.mAttachActivity.getWindow().getAttributes().screenBrightness;
                this.mCurBrightness = f;
                if (f < 0.0f) {
                    this.mCurBrightness = 0.5f;
                } else if (f < 0.01f) {
                    this.mCurBrightness = 0.01f;
                }
            }
            WindowManager.LayoutParams attributes = this.mAttachActivity.getWindow().getAttributes();
            attributes.screenBrightness = this.mCurBrightness + percent;
            if (attributes.screenBrightness > 1.0f) {
                attributes.screenBrightness = 1.0f;
            } else if (attributes.screenBrightness < 0.01f) {
                attributes.screenBrightness = 0.01f;
            }
            _setBrightnessInfo(attributes.screenBrightness);
            this.mAttachActivity.getWindow().setAttributes(attributes);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _endGesture() {
        long j = this.mTargetPosition;
        if (j >= 0 && j != ((long) this.mVideoView.getCurrentPosition()) && getDuration() > 0) {
            seekTo((int) this.mTargetPosition);
            this.mPlayerSeek.setProgress((int) ((this.mTargetPosition * 1000) / ((long) getDuration())));
            this.mTargetPosition = -1;
        }
        _hideTouchView();
        _refreshHideRunnable();
        this.mCurVolume = -1;
        this.mCurBrightness = -1.0f;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void _switchStatus(int status) {
        Log.i("IjkPlayerView", "status " + status);
        if (status == 3) {
            this.mIsRenderingStart = true;
        } else if (status != 336) {
            if (status != 701) {
                if (status != 702) {
                    switch (status) {
                        case 331:
                            this.mInterruptPosition = Math.max(this.mVideoView.getInterruptPosition(), this.mInterruptPosition);
                            pause();
                            if (this.mVideoView.getDuration() != -1 || this.mIsReady) {
                                setLoadingVisibility(0);
                                this.mHandler.sendEmptyMessage(MSG_TRY_RELOAD);
                                return;
                            }
                            setLoadingVisibility(8);
                            this.mPlayerThumb.setVisibility(8);
                            this.mIvPlayCircle.setVisibility(8);
                            return;
                        case 332:
                            break;
                        case 333:
                            this.mIsReady = true;
                            return;
                        case 334:
                            this.mHandler.removeMessages(MSG_TRY_RELOAD);
                            if (this.mIsRenderingStart && !this.mIsBufferingStart && this.mVideoView.getCurrentPosition() > 0) {
                                _resumeDanmaku();
                                return;
                            }
                            return;
                        default:
                            return;
                    }
                }
            }
            this.mIsBufferingStart = true;
            _pauseDanmaku();
            if (!this.mIsNeverPlay) {
                setLoadingVisibility(0);
            }
            this.mHandler.removeMessages(MSG_TRY_RELOAD);
            return;
        } else {
            pause();
            if (this.mVideoView.getDuration() == -1 || this.mVideoView.getInterruptPosition() + 1000 < this.mVideoView.getDuration()) {
                this.mInterruptPosition = Math.max(this.mVideoView.getInterruptPosition(), this.mInterruptPosition);
                OnPlayerChangedListener onPlayerChangedListener = this.mOnPlayerChangedListener;
                if (onPlayerChangedListener != null) {
                    onPlayerChangedListener.onChanged("error", DOMException.MSG_NETWORK_ERROR);
                    return;
                }
                return;
            }
            this.mIsPlayComplete = true;
            IMediaPlayer.OnCompletionListener onCompletionListener = this.mCompletionListener;
            if (onCompletionListener != null) {
                onCompletionListener.onCompletion(this.mVideoView.getMediaPlayer());
                return;
            }
            return;
        }
        this.mIsBufferingStart = false;
        setLoadingVisibility(8);
        this.mPlayerThumb.setVisibility(8);
        if (this.mLlBottomBar.getVisibility() == 0 && !this.mIsShowBar) {
            this.mIsShowBar = true;
        }
        this.mHandler.removeMessages(MSG_UPDATE_SEEK);
        this.mHandler.sendEmptyMessage(MSG_UPDATE_SEEK);
        if (this.mVideoView.isPlaying() && this.mIsNetConnected) {
            this.mInterruptPosition = 0;
            _resumeDanmaku();
            if (!this.mIvPlay.isSelected()) {
                this.mVideoView.start();
                this.mIvPlay.setSelected(true);
                this.mIvPlayCenter.setSelected(true);
            }
        }
    }

    public void setOnPreparedListener(IMediaPlayer.OnPreparedListener l) {
        this.mVideoView.setOnPreparedListener(l);
    }

    public void setOnCompletionListener(IMediaPlayer.OnCompletionListener l) {
        this.mCompletionListener = l;
    }

    public void setOnErrorListener(IMediaPlayer.OnErrorListener l) {
        this.mVideoView.setOnErrorListener(l);
    }

    public void setOnInfoListener(IMediaPlayer.OnInfoListener l) {
        this.mOutsideInfoListener = l;
    }

    public IjkPlayerView setDanmakuListener(OnDanmakuListener danmakuListener) {
        this.mDanmakuListener = danmakuListener;
        return this;
    }

    public void setOnPlayerChangedListener(OnPlayerChangedListener listener) {
        this.mOnPlayerChangedListener = listener;
    }

    public void setOnBufferingUpdateListener(IMediaPlayer.OnBufferingUpdateListener bufferingUpdateListener2) {
        this.bufferingUpdateListener = bufferingUpdateListener2;
    }

    public int getCurPosition() {
        return this.mVideoView.getCurrentPosition();
    }

    public void setDirection(int orientation2) {
        this.mOrientation = orientation2;
    }

    public void setmDanmuList(String mDanmuList2) {
        this.mDanmuList = mDanmuList2;
    }

    private void _initDanmaku() {
        this.mDanmakuView = (IDanmakuView) findViewById(VideoR.VIDEO_IJK_ID_SV_DANMAKU);
        this.mIvDanmakuControl.setOnClickListener(this);
        this.mMoreOptionsWidth = getResources().getDimensionPixelOffset(VideoR.VIDEO_IJK_DIMEN_DANMAKU_INPUT_BTN_SIZE) * 12;
    }

    private void _loadDanmaku() {
        if (this.mIsEnableDanmaku) {
            this.mDanmakuContext = DanmakuContext.create();
            if (this.mDanmakuParser == null) {
                this.mDanmakuParser = new BaseDanmakuParser() {
                    /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass12 */

                    /* access modifiers changed from: protected */
                    @Override // master.flame.danmaku.danmaku.parser.BaseDanmakuParser
                    public Danmakus parse() {
                        return new Danmakus();
                    }
                };
            }
            try {
                setDanmakuSource(new ByteArrayInputStream(this.mDanmuList.getBytes(r.b)));
                this.mDanmakuView.setCallback(new DrawHandler.Callback() {
                    /* class io.dcloud.media.weex.weex_video.ijkplayer.media.IjkPlayerView.AnonymousClass13 */

                    @Override // master.flame.danmaku.controller.DrawHandler.Callback
                    public void prepared() {
                        if (IjkPlayerView.this.mVideoView.isPlaying() && !IjkPlayerView.this.mIsBufferingStart) {
                            IjkPlayerView.this.mDanmakuView.start();
                        }
                    }

                    @Override // master.flame.danmaku.controller.DrawHandler.Callback
                    public void updateTimer(DanmakuTimer timer) {
                    }

                    @Override // master.flame.danmaku.controller.DrawHandler.Callback
                    public void danmakuShown(BaseDanmaku danmaku) {
                    }

                    @Override // master.flame.danmaku.controller.DrawHandler.Callback
                    public void drawingFinished() {
                    }
                });
                this.mDanmakuView.enableDanmakuDrawingCache(true);
                this.mDanmakuView.prepare(this.mDanmakuParser, this.mDanmakuContext);
            } catch (UnsupportedEncodingException e) {
            }
        }
    }

    public IjkPlayerView enableDanmaku() {
        this.mIsEnableDanmaku = true;
        _initDanmaku();
        return this;
    }

    public void enableDanmaku(boolean isEnable) {
        this.mIsEnableDanmaku = isEnable;
        if (isEnable) {
            _initDanmaku();
        } else {
            this.mIvDanmakuControl.setVisibility(8);
        }
    }

    public void enableDanmuBtn(boolean isEnable) {
        if (!this.mIsEnableDanmaku) {
            this.mIvDanmakuControl.setVisibility(8);
        } else if (isEnable) {
            this.mIvDanmakuControl.setVisibility(0);
        } else {
            this.mIvDanmakuControl.setVisibility(8);
        }
    }

    public IjkPlayerView setDanmakuSource(InputStream stream) {
        if (stream == null) {
            return this;
        }
        if (this.mIsEnableDanmaku) {
            if (this.mDanmakuLoader == null) {
                this.mDanmakuLoader = DanmakuLoaderFactory.create(DanmakuLoaderFactory.TAG_ACFUN);
            }
            try {
                this.mDanmakuLoader.load(stream);
            } catch (IllegalDataException e) {
                e.printStackTrace();
            }
            IDataSource<?> dataSource = this.mDanmakuLoader.getDataSource();
            StandardDanmaKuParser standardDanmaKuParser = new StandardDanmaKuParser();
            this.mDanmakuParser = standardDanmaKuParser;
            standardDanmaKuParser.load(dataSource);
            return this;
        }
        throw new RuntimeException("Danmaku is disable, use enableDanmaku() first");
    }

    public IjkPlayerView setDanmakuSource(String uri) {
        if (TextUtils.isEmpty(uri)) {
            return this;
        }
        if (this.mIsEnableDanmaku) {
            if (this.mDanmakuLoader == null) {
                this.mDanmakuLoader = DanmakuLoaderFactory.create(DanmakuLoaderFactory.TAG_BILI);
            }
            try {
                this.mDanmakuLoader.load(uri);
            } catch (IllegalDataException e) {
                e.printStackTrace();
            }
            IDataSource<?> dataSource = this.mDanmakuLoader.getDataSource();
            BiliDanmukuParser biliDanmukuParser = new BiliDanmukuParser();
            this.mDanmakuParser = biliDanmukuParser;
            biliDanmukuParser.load(dataSource);
            return this;
        }
        throw new RuntimeException("Danmaku is disable, use enableDanmaku() first");
    }

    public IjkPlayerView setDanmakuCustomParser(BaseDanmakuParser parser, ILoader loader, BaseDanmakuConverter converter) {
        this.mDanmakuParser = parser;
        this.mDanmakuLoader = loader;
        this.mDanmakuConverter = converter;
        return this;
    }

    public IjkPlayerView showOrHideDanmaku(boolean isShow) {
        if (isShow) {
            this.mIvDanmakuControl.setSelected(false);
            this.mDanmakuView.show();
        } else {
            this.mIvDanmakuControl.setSelected(true);
            this.mDanmakuView.hide();
        }
        return this;
    }

    public void sendDanmaku(JSONObject text, boolean isLive) {
        BaseDanmaku danmaku;
        if (this.mIsEnableDanmaku && !TextUtils.isEmpty(text.optString("text")) && this.mDanmakuView.isPrepared() && (danmaku = this.mDanmakuContext.mDanmakuFactory.createDanmaku(this.mDanmakuType)) != null && this.mDanmakuView != null) {
            if (this.mDanmakuTextSize == -1.0f) {
                this.mDanmakuTextSize = (this.mDanmakuParser.getDisplayer().getDensity() - 0.6f) * 25.0f;
            }
            danmaku.text = text.optString("text", "....");
            danmaku.padding = 5;
            danmaku.isLive = isLive;
            danmaku.priority = 0;
            danmaku.textSize = this.mDanmakuTextSize;
            danmaku.textColor = Color.parseColor(text.optString("color", "#ffffff"));
            danmaku.setTime(this.mDanmakuView.getCurrentTime() + 500);
            this.mDanmakuView.addDanmaku(danmaku);
            OnDanmakuListener onDanmakuListener = this.mDanmakuListener;
            if (onDanmakuListener != null) {
                BaseDanmakuConverter baseDanmakuConverter = this.mDanmakuConverter;
                if (baseDanmakuConverter != null) {
                    onDanmakuListener.onDataObtain(baseDanmakuConverter.convertDanmaku(danmaku));
                } else {
                    onDanmakuListener.onDataObtain(danmaku);
                }
            }
        }
    }

    public void editVideo() {
        if (this.mVideoView.isPlaying()) {
            pause();
            this.mVideoStatus = 502;
        } else {
            this.mVideoStatus = 503;
        }
        _hideAllView(false);
    }

    public boolean recoverFromEditVideo() {
        if (this.mVideoStatus == 501) {
            return false;
        }
        if (this.mIsFullscreen) {
            _recoverScreen();
        }
        if (this.mVideoStatus == 502) {
            start();
        }
        this.mVideoStatus = 501;
        return true;
    }

    public void clearDanma() {
        IDanmakuView iDanmakuView = this.mDanmakuView;
        if (iDanmakuView != null && iDanmakuView.isPrepared()) {
            this.mDanmakuView.clearDanmakusOnScreen();
        }
    }

    private void _resumeDanmaku() {
        IDanmakuView iDanmakuView = this.mDanmakuView;
        if (iDanmakuView != null && iDanmakuView.isPrepared() && this.mDanmakuView.isPaused()) {
            long j = this.mDanmakuTargetPosition;
            if (j != -1) {
                this.mDanmakuView.seekTo(Long.valueOf(j));
                this.mDanmakuTargetPosition = -1;
                return;
            }
            this.mDanmakuView.resume();
        }
    }

    private void _pauseDanmaku() {
        IDanmakuView iDanmakuView = this.mDanmakuView;
        if (iDanmakuView != null && iDanmakuView.isPrepared()) {
            this.mDanmakuView.pause();
        }
    }

    private void _toggleDanmakuShow() {
        if (this.mIvDanmakuControl.isSelected()) {
            showOrHideDanmaku(true);
        } else {
            showOrHideDanmaku(false);
        }
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        this.mOnPlayerChangedListener.onChanged("onConfigurationChanged", null);
    }

    private void _recoverScreen() {
    }

    public boolean onInterceptTouchEvent(MotionEvent ev) {
        if (isFullscreen() || !this.mIsForbidTouch || this.mIvPlayCircle.getVisibility() == 0) {
            return super.onInterceptTouchEvent(ev);
        }
        return true;
    }

    private void _toggleMoreColorOptions() {
    }

    private void _initReceiver() {
        this.mScreenReceiver = new ScreenBroadcastReceiver();
        this.mNetReceiver = new NetBroadcastReceiver();
        this.mAttachActivity.registerReceiver(this.mScreenReceiver, new IntentFilter("android.intent.action.SCREEN_OFF"));
        this.mAttachActivity.registerReceiver(this.mNetReceiver, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
    }

    /* access modifiers changed from: private */
    public class ScreenBroadcastReceiver extends BroadcastReceiver {
        private ScreenBroadcastReceiver() {
        }

        public void onReceive(Context context, Intent intent) {
            if ("android.intent.action.SCREEN_OFF".equals(intent.getAction())) {
                IjkPlayerView.this.mIsScreenLocked = true;
            }
        }
    }

    public class NetBroadcastReceiver extends BroadcastReceiver {
        public NetBroadcastReceiver() {
        }

        public void onReceive(Context context, Intent intent) {
            if ("android.net.conn.CONNECTIVITY_CHANGE".equals(intent.getAction())) {
                IjkPlayerView ijkPlayerView = IjkPlayerView.this;
                ijkPlayerView.mIsNetConnected = NetWorkUtils.isNetworkAvailable(ijkPlayerView.mAttachActivity);
            }
        }
    }
}
