package io.dcloud.media.weex.weex_video.ijkplayer.media;

import com.igexin.push.core.b;
import com.taobao.weex.el.parse.Operators;
import tv.danmaku.ijk.media.player.IMediaPlayer;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;
import tv.danmaku.ijk.media.player.MediaPlayerProxy;
import tv.danmaku.ijk.media.player.TextureMediaPlayer;

public class MediaPlayerCompat {
    public static String getName(IMediaPlayer mp) {
        if (mp == null) {
            return b.m;
        }
        if (!(mp instanceof TextureMediaPlayer)) {
            return mp.getClass().getSimpleName();
        }
        StringBuilder sb = new StringBuilder("TextureMediaPlayer <");
        IMediaPlayer internalMediaPlayer = ((TextureMediaPlayer) mp).getInternalMediaPlayer();
        if (internalMediaPlayer == null) {
            sb.append("null>");
        } else {
            sb.append(internalMediaPlayer.getClass().getSimpleName());
            sb.append(Operators.G);
        }
        return sb.toString();
    }

    public static IjkMediaPlayer getIjkMediaPlayer(IMediaPlayer mp) {
        if (mp == null) {
            return null;
        }
        if (mp instanceof IjkMediaPlayer) {
            return (IjkMediaPlayer) mp;
        }
        if (!(mp instanceof MediaPlayerProxy) || !(((MediaPlayerProxy) mp).getInternalMediaPlayer() instanceof IjkMediaPlayer)) {
            return null;
        }
        return (IjkMediaPlayer) ((MediaPlayerProxy) mp).getInternalMediaPlayer();
    }

    public static void selectTrack(IMediaPlayer mp, int stream) {
        IjkMediaPlayer ijkMediaPlayer = getIjkMediaPlayer(mp);
        if (ijkMediaPlayer != null) {
            ijkMediaPlayer.selectTrack(stream);
        }
    }

    public static void deselectTrack(IMediaPlayer mp, int stream) {
        IjkMediaPlayer ijkMediaPlayer = getIjkMediaPlayer(mp);
        if (ijkMediaPlayer != null) {
            ijkMediaPlayer.deselectTrack(stream);
        }
    }

    public static int getSelectedTrack(IMediaPlayer mp, int trackType) {
        IjkMediaPlayer ijkMediaPlayer = getIjkMediaPlayer(mp);
        if (ijkMediaPlayer == null) {
            return -1;
        }
        return ijkMediaPlayer.getSelectedTrack(trackType);
    }
}
