package io.dcloud.weex;

import android.text.TextUtils;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.util.AppConsoleLogUtil;
import io.dcloud.feature.uniapp.utils.AbsLogLevel;

public class ConsoleLogUtils {
    public static void consoleLog(String tag, String msg, AbsLogLevel level) {
        String msg2;
        if (!TextUtils.isEmpty(tag) && "jsLog".equals(tag) && checkLog(msg)) {
            String name = "DEBUG";
            if (msg.endsWith("__ERROR")) {
                name = "ERROR";
                msg2 = msg.replace("__ERROR", "");
            } else if (msg.endsWith("__LOG")) {
                name = "LOG";
                msg2 = msg.replace("__LOG", "");
            } else if (msg.endsWith("__INFO")) {
                name = "INFO";
                msg2 = msg.replace("__INFO", "");
            } else if (msg.endsWith("__WARN")) {
                name = "WARN";
                msg2 = msg.replace("__WARN", "");
            } else {
                msg2 = msg.replace("__DEBUG", "");
            }
            msg2.trim();
            if (msg2.startsWith("v8performance")) {
                WXDotDataUtil.setValue("initJSEngineTime", msg2.replace("v8performance:", ""));
            } else if (msg2.startsWith("JSCPerformance")) {
                WXDotDataUtil.setValue("initJSEngineTime", msg2.replace("JSCPerformance:", ""));
            } else {
                AppConsoleLogUtil.DCLog(msg2, name);
            }
        }
    }

    private static boolean checkLog(String msg) {
        if (msg.contains("Start windmill weex-vue-plugin")) {
            return false;
        }
        if (!msg.contains("has been registered already!")) {
            return true;
        }
        Logger.i(msg);
        return false;
    }
}
