package io.dcloud.weex;

import android.content.Context;
import android.text.TextUtils;
import android.util.Base64;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.InputStreamReader;
import org.json.JSONObject;

public class DCFileUtils {
    public static InputStream loadWeexAsset(String path, Context context) {
        InputStream inputStream = AppRuntime.loadWeexAsset(path, context);
        if (inputStream != null) {
            return inputStream;
        }
        if (path.startsWith("uni-jsframework") && path.endsWith(".js")) {
            InputStream io2 = null;
            try {
                io2 = context.getAssets().open(path);
            } catch (FileNotFoundException e) {
                try {
                    WeexInstanceMgr.self().setJSFKFileNotFound(true);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
            if (io2 != null) {
                WeexInstanceMgr.self().setJSFKFileNotFound(false);
                BufferedReader reader = new BufferedReader(new InputStreamReader(io2));
                JSONObject object = new JSONObject(reader.readLine().substring(2));
                BaseInfo.uniVersionV3 = object.optString("version");
                String encode = object.optString("encode");
                if (!TextUtils.isEmpty(encode) && encode.equals("base64")) {
                    String js = reader.readLine();
                    while (true) {
                        String tempStr = reader.readLine();
                        if (tempStr == null) {
                            break;
                        }
                        js = js + tempStr;
                    }
                    inputStream = new ByteArrayInputStream(Base64.decode(js, 0));
                }
            } else {
                WeexInstanceMgr.self().setJSFKFileNotFound(true);
            }
        }
        return inputStream;
    }

    public static String getAssetPath(String path) {
        if (!TextUtils.isEmpty(path) && path.equals("weex-main-jsfm.js")) {
            String devPath = "uni-jsframework";
            if (WeexInstanceMgr.self().getVueVersion() == 3) {
                devPath = devPath + "-vue3";
            }
            if (BaseInfo.SyncDebug) {
                path = devPath + "-dev.js";
            } else {
                path = devPath + ".js";
            }
            if (PlatformUtil.getResInputStream(path) == null && BaseInfo.SyncDebug) {
                path = devPath + ".js";
            }
            Logger.i("DCFileUtils", "getAssetPath---------" + path);
        }
        return path;
    }
}
