package master.flame.danmaku.danmaku.model;

public class FTDanmaku extends BaseDanmaku {
    private float[] RECT = null;
    private int mLastDispWidth;
    private float mLastLeft;
    private float mLastPaintWidth;
    private float x = 0.0f;
    protected float y = -1.0f;

    public FTDanmaku(Duration duration) {
        this.duration = duration;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public void layout(IDisplayer displayer, float x2, float y2) {
        if (this.mTimer != null) {
            long deltaDuration = this.mTimer.currMillisecond - getActualTime();
            if (deltaDuration <= 0 || deltaDuration >= this.duration.value) {
                setVisibility(false);
                this.y = -1.0f;
                this.x = (float) displayer.getWidth();
            } else if (!isShown()) {
                this.x = getLeft(displayer);
                this.y = y2;
                setVisibility(true);
            }
        }
    }

    /* access modifiers changed from: protected */
    public float getLeft(IDisplayer displayer) {
        if (this.mLastDispWidth == displayer.getWidth() && this.mLastPaintWidth == this.paintWidth) {
            return this.mLastLeft;
        }
        float left = (((float) displayer.getWidth()) - this.paintWidth) / 2.0f;
        this.mLastDispWidth = displayer.getWidth();
        this.mLastPaintWidth = this.paintWidth;
        this.mLastLeft = left;
        return left;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public float[] getRectAtTime(IDisplayer displayer, long time) {
        if (!isMeasured()) {
            return null;
        }
        float left = getLeft(displayer);
        if (this.RECT == null) {
            this.RECT = new float[4];
        }
        float[] fArr = this.RECT;
        fArr[0] = left;
        fArr[1] = this.y;
        fArr[2] = this.paintWidth + left;
        this.RECT[3] = this.y + this.paintHeight;
        return this.RECT;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public float getLeft() {
        return this.x;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public float getTop() {
        return this.y;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public float getRight() {
        return this.x + this.paintWidth;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public float getBottom() {
        return this.y + this.paintHeight;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku
    public int getType() {
        return 5;
    }
}
