package master.flame.danmaku.danmaku.model;

public class L2RDanmaku extends R2LDanmaku {
    public L2RDanmaku(Duration duration) {
        super(duration);
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public void layout(IDisplayer displayer, float x, float y) {
        if (this.mTimer != null) {
            long currMS = this.mTimer.currMillisecond;
            long deltaDuration = currMS - getActualTime();
            if (deltaDuration <= 0 || deltaDuration >= this.duration.value) {
                this.mLastTime = currMS;
            } else {
                this.x = getAccurateLeft(displayer, currMS);
                if (!isShown()) {
                    this.y = y;
                    setVisibility(true);
                }
                this.mLastTime = currMS;
                return;
            }
        }
        setVisibility(false);
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public float[] getRectAtTime(IDisplayer displayer, long time) {
        if (!isMeasured()) {
            return null;
        }
        float left = getAccurateLeft(displayer, time);
        if (this.RECT == null) {
            this.RECT = new float[4];
        }
        this.RECT[0] = left;
        this.RECT[1] = this.y;
        this.RECT[2] = this.paintWidth + left;
        this.RECT[3] = this.y + this.paintHeight;
        return this.RECT;
    }

    /* access modifiers changed from: protected */
    @Override // master.flame.danmaku.danmaku.model.R2LDanmaku
    public float getAccurateLeft(IDisplayer displayer, long currTime) {
        long elapsedTime = currTime - getActualTime();
        if (elapsedTime >= this.duration.value) {
            return (float) displayer.getWidth();
        }
        return (this.mStepX * ((float) elapsedTime)) - this.paintWidth;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public float getLeft() {
        return this.x;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public float getTop() {
        return this.y;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public float getRight() {
        return this.x + this.paintWidth;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public float getBottom() {
        return this.y + this.paintHeight;
    }

    @Override // master.flame.danmaku.danmaku.model.BaseDanmaku, master.flame.danmaku.danmaku.model.R2LDanmaku
    public int getType() {
        return 6;
    }
}
