package master.flame.danmaku.danmaku.model.android;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.text.TextPaint;
import master.flame.danmaku.danmaku.model.BaseDanmaku;
import master.flame.danmaku.danmaku.model.IDrawingCache;
import master.flame.danmaku.danmaku.model.android.AndroidDisplayer;

public abstract class BaseCacheStuffer {
    protected Proxy mProxy;

    public static abstract class Proxy {
        public abstract void prepareDrawing(BaseDanmaku baseDanmaku, boolean z);

        public abstract void releaseResource(BaseDanmaku baseDanmaku);
    }

    public abstract void clearCaches();

    public abstract void drawDanmaku(BaseDanmaku baseDanmaku, Canvas canvas, float f, float f2, boolean z, AndroidDisplayer.DisplayerConfig displayerConfig);

    public abstract void measure(BaseDanmaku baseDanmaku, TextPaint textPaint, boolean z);

    public void prepare(BaseDanmaku danmaku, boolean fromWorkerThread) {
        Proxy proxy = this.mProxy;
        if (proxy != null) {
            proxy.prepareDrawing(danmaku, fromWorkerThread);
        }
    }

    public boolean drawCache(BaseDanmaku danmaku, Canvas canvas, float left, float top, Paint alphaPaint, TextPaint paint) {
        DrawingCacheHolder holder;
        IDrawingCache<?> cache = danmaku.getDrawingCache();
        if (cache == null || (holder = (DrawingCacheHolder) cache.get()) == null) {
            return false;
        }
        return holder.draw(canvas, left, top, alphaPaint);
    }

    public void clearCache(BaseDanmaku danmaku) {
    }

    public void setProxy(Proxy adapter) {
        this.mProxy = adapter;
    }

    public void releaseResource(BaseDanmaku danmaku) {
        Proxy proxy = this.mProxy;
        if (proxy != null) {
            proxy.releaseResource(danmaku);
        }
    }
}
