package org.repackage.com.zui.opendeviceidlibrary;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import org.repackage.com.zui.deviceidservice.IDeviceidInterface;

public class OpenDeviceId {
    private static String c = "OpenDeviceId library";
    private static boolean d = false;
    private Context a = null;
    private IDeviceidInterface b;
    private ServiceConnection e;
    private CallBack f = null;

    public interface CallBack<T> {
        void a(T t, OpenDeviceId openDeviceId);
    }

    public int a(Context context, CallBack<String> callBack) {
        if (context != null) {
            this.a = context;
            this.f = callBack;
            this.e = new ServiceConnection() {
                /* class org.repackage.com.zui.opendeviceidlibrary.OpenDeviceId.AnonymousClass1 */

                public synchronized void onServiceConnected(ComponentName componentName, IBinder iBinder) {
                    OpenDeviceId.this.b = IDeviceidInterface.Stub.a(iBinder);
                    if (OpenDeviceId.this.f != null) {
                        OpenDeviceId.this.f.a("Deviceid Service Connected", OpenDeviceId.this);
                    }
                    OpenDeviceId.this.a((OpenDeviceId) "Service onServiceConnected");
                }

                public void onServiceDisconnected(ComponentName componentName) {
                    OpenDeviceId.this.b = null;
                    OpenDeviceId.this.a((OpenDeviceId) "Service onServiceDisconnected");
                }
            };
            Intent intent = new Intent();
            intent.setClassName("org.repackage.com.zui.deviceidservice", "org.repackage.com.zui.deviceidservice.DeviceidService");
            if (this.a.bindService(intent, this.e, 1)) {
                a("bindService Successful!");
                return 1;
            }
            a("bindService Failed!");
            return -1;
        }
        throw new NullPointerException("Context can not be null.");
    }

    public String a() {
        if (this.a != null) {
            try {
                if (this.b != null) {
                    return this.b.a();
                }
                return null;
            } catch (RemoteException e2) {
                b("getOAID error, RemoteException!");
                e2.printStackTrace();
                return null;
            }
        } else {
            b("Context is null.");
            throw new IllegalArgumentException("Context is null, must be new OpenDeviceId first");
        }
    }

    public String b() {
        if (this.a != null) {
            try {
                if (this.b != null) {
                    return this.b.b();
                }
                return null;
            } catch (RemoteException e2) {
                b("getUDID error, RemoteException!");
                e2.printStackTrace();
                return null;
            } catch (Exception e3) {
                b("getUDID error, Exception!");
                e3.printStackTrace();
                return null;
            }
        } else {
            b("Context is null.");
            throw new IllegalArgumentException("Context is null, must be new OpenDeviceId first");
        }
    }

    public boolean c() {
        try {
            if (this.b == null) {
                return false;
            }
            a("Device support opendeviceid");
            return this.b.c();
        } catch (RemoteException e2) {
            b("isSupport error, RemoteException!");
            return false;
        }
    }

    public String d() {
        Context context = this.a;
        if (context != null) {
            String packageName = context.getPackageName();
            a("liufeng, getVAID package：" + packageName);
            if (packageName == null || packageName.equals("")) {
                a("input package is null!");
                return null;
            }
            try {
                if (this.b != null) {
                    return this.b.a(packageName);
                }
                return null;
            } catch (RemoteException e2) {
                b("getVAID error, RemoteException!");
                e2.printStackTrace();
                return null;
            }
        } else {
            a("Context is null.");
            throw new IllegalArgumentException("Context is null, must be new OpenDeviceId first");
        }
    }

    public String e() {
        Context context = this.a;
        if (context != null) {
            String packageName = context.getPackageName();
            a("liufeng, getAAID package：" + packageName);
            if (packageName == null || packageName.equals("")) {
                a("input package is null!");
                return null;
            }
            try {
                if (this.b == null) {
                    return null;
                }
                String b2 = this.b.b(packageName);
                if ((b2 == null || "".equals(b2)) && this.b.c(packageName)) {
                    return this.b.b(packageName);
                }
                return b2;
            } catch (RemoteException e2) {
                b("getAAID error, RemoteException!");
                return null;
            }
        } else {
            a("Context is null.");
            throw new IllegalArgumentException("Context is null, must be new OpenDeviceId first");
        }
    }

    public void f() {
        try {
            this.a.unbindService(this.e);
            a("unBind Service successful");
        } catch (IllegalArgumentException e2) {
            b("unBind Service exception");
        }
        this.b = null;
    }

    public void a(boolean z) {
        d = z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str) {
        if (d) {
            Log.i(c, str);
        }
    }

    private void b(String str) {
        if (d) {
            Log.e(c, str);
        }
    }
}
