package tv.danmaku.ijk.media.player.misc;

import android.media.MediaFormat;
import com.igexin.push.core.b;
import com.taobao.weex.el.parse.Operators;

public class AndroidMediaFormat implements IMediaFormat {
    private final MediaFormat mMediaFormat;

    public AndroidMediaFormat(MediaFormat mediaFormat) {
        this.mMediaFormat = mediaFormat;
    }

    @Override // tv.danmaku.ijk.media.player.misc.IMediaFormat
    public int getInteger(String name) {
        MediaFormat mediaFormat = this.mMediaFormat;
        if (mediaFormat == null) {
            return 0;
        }
        return mediaFormat.getInteger(name);
    }

    @Override // tv.danmaku.ijk.media.player.misc.IMediaFormat
    public String getString(String name) {
        MediaFormat mediaFormat = this.mMediaFormat;
        if (mediaFormat == null) {
            return null;
        }
        return mediaFormat.getString(name);
    }

    public String toString() {
        StringBuilder out = new StringBuilder(128);
        out.append(getClass().getName());
        out.append(Operators.BLOCK_START);
        MediaFormat mediaFormat = this.mMediaFormat;
        if (mediaFormat != null) {
            out.append(mediaFormat.toString());
        } else {
            out.append(b.m);
        }
        out.append(Operators.BLOCK_END);
        return out.toString();
    }
}
