package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import java.io.IOException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;

public class MapSerializer extends SerializeFilterable implements ObjectSerializer {
    private static final int NON_STRINGKEY_AS_STRING = SerializerFeature.of(new SerializerFeature[]{SerializerFeature.BrowserCompatible, SerializerFeature.WriteNonStringKeyAsString, SerializerFeature.BrowserSecure});
    public static MapSerializer instance = new MapSerializer();

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public void write(JSONSerializer serializer, Object object, Object fieldName, Type fieldType, int features) throws IOException {
        write(serializer, object, fieldName, fieldType, features, false);
    }

    /* JADX INFO: Multiple debug info for r2v3 java.util.List: [D('preFilters' java.util.List<com.alibaba.fastjson.serializer.PropertyPreFilter>), D('propertyFilters' java.util.List<com.alibaba.fastjson.serializer.PropertyFilter>)] */
    /* JADX INFO: Multiple debug info for r2v5 java.util.List: [D('nameFilters' java.util.List<com.alibaba.fastjson.serializer.NameFilter>), D('propertyFilters' java.util.List<com.alibaba.fastjson.serializer.PropertyFilter>)] */
    /* JADX WARNING: Removed duplicated region for block: B:148:0x0236  */
    /* JADX WARNING: Removed duplicated region for block: B:163:0x027f A[Catch:{ all -> 0x037c }] */
    /* JADX WARNING: Removed duplicated region for block: B:171:0x02ba A[Catch:{ all -> 0x037c }] */
    /* JADX WARNING: Removed duplicated region for block: B:178:0x02d2 A[Catch:{ all -> 0x037c }] */
    /* JADX WARNING: Removed duplicated region for block: B:192:0x0300 A[Catch:{ all -> 0x037c }] */
    /* JADX WARNING: Removed duplicated region for block: B:193:0x030e A[Catch:{ all -> 0x037c }] */
    public void write(JSONSerializer serializer, Object object, Object fieldName, Type fieldType, int features, boolean unwrapped) throws IOException {
        Map<?, ?> map;
        SerialContext parent;
        Throwable th;
        Class<?> preClazz;
        Iterator<Map.Entry<?, ?>> it;
        Object entryKey;
        Object value;
        Object entryKey2;
        Class<?> preClazz2;
        ObjectSerializer preWriter;
        ObjectSerializer preWriter2;
        Type valueType;
        Object value2;
        Map<?, ?> map2;
        MapSerializer mapSerializer = this;
        SerializeWriter out = serializer.out;
        if (object == null) {
            out.writeNull();
            return;
        }
        Map<?, ?> map3 = (Map) object;
        int mapSortFieldMask = SerializerFeature.MapSortField.mask;
        if ((out.features & mapSortFieldMask) == 0 && (features & mapSortFieldMask) == 0) {
            map = map3;
        } else {
            if (map3 instanceof JSONObject) {
                map2 = ((JSONObject) map3).getInnerMap();
            } else {
                map2 = map3;
            }
            if (!(map2 instanceof SortedMap) && !(map2 instanceof LinkedHashMap)) {
                try {
                    map = new TreeMap<>((Map<? extends Object, ? extends Object>) map2);
                } catch (Exception e) {
                }
            }
            map = map2;
        }
        if (serializer.containsReference(object)) {
            serializer.writeReference(object);
            return;
        }
        SerialContext parent2 = serializer.context;
        serializer.setContext(parent2, object, fieldName, 0);
        if (!unwrapped) {
            try {
                out.write(123);
            } catch (Throwable th2) {
                th = th2;
                parent = parent2;
            }
        }
        try {
            serializer.incrementIndent();
            boolean first = true;
            if (out.isEnabled(SerializerFeature.WriteClassName)) {
                String typeKey = serializer.config.typeKey;
                Class<?> mapClass = map.getClass();
                if (!((mapClass == JSONObject.class || mapClass == HashMap.class || mapClass == LinkedHashMap.class) && map.containsKey(typeKey))) {
                    out.writeFieldName(typeKey);
                    out.writeString(object.getClass().getName());
                    first = false;
                }
            }
            Iterator<Map.Entry<?, ?>> it2 = map.entrySet().iterator();
            Class<?> preClazz3 = null;
            ObjectSerializer preWriter3 = null;
            boolean first2 = first;
            while (it2.hasNext()) {
                Map.Entry entry = it2.next();
                Object value3 = entry.getValue();
                Object entryKey3 = entry.getKey();
                List<PropertyPreFilter> preFilters = serializer.propertyPreFilters;
                if (preFilters != null && preFilters.size() > 0) {
                    if (entryKey3 == null || (entryKey3 instanceof String)) {
                        if (!mapSerializer.applyName(serializer, object, (String) entryKey3)) {
                            it = it2;
                            preClazz = preClazz3;
                            parent = parent2;
                            parent2 = parent;
                            it2 = it;
                            preClazz3 = preClazz;
                            mapSerializer = this;
                        }
                    } else if ((entryKey3.getClass().isPrimitive() || (entryKey3 instanceof Number)) && !mapSerializer.applyName(serializer, object, JSON.toJSONString(entryKey3))) {
                        it = it2;
                        preClazz = preClazz3;
                        parent = parent2;
                        parent2 = parent;
                        it2 = it;
                        preClazz3 = preClazz;
                        mapSerializer = this;
                    }
                }
                List<PropertyPreFilter> preFilters2 = mapSerializer.propertyPreFilters;
                if (preFilters2 != null && preFilters2.size() > 0) {
                    if (entryKey3 == null || (entryKey3 instanceof String)) {
                        if (!mapSerializer.applyName(serializer, object, (String) entryKey3)) {
                            it = it2;
                            preClazz = preClazz3;
                            parent = parent2;
                            parent2 = parent;
                            it2 = it;
                            preClazz3 = preClazz;
                            mapSerializer = this;
                        }
                    } else if ((entryKey3.getClass().isPrimitive() || (entryKey3 instanceof Number)) && !mapSerializer.applyName(serializer, object, JSON.toJSONString(entryKey3))) {
                        it = it2;
                        preClazz = preClazz3;
                        parent = parent2;
                        parent2 = parent;
                        it2 = it;
                        preClazz3 = preClazz;
                        mapSerializer = this;
                    }
                }
                List<PropertyFilter> propertyFilters = serializer.propertyFilters;
                if (propertyFilters != null && propertyFilters.size() > 0) {
                    if (entryKey3 == null || (entryKey3 instanceof String)) {
                        if (!mapSerializer.apply(serializer, object, (String) entryKey3, value3)) {
                            it = it2;
                            preClazz = preClazz3;
                            parent = parent2;
                            parent2 = parent;
                            it2 = it;
                            preClazz3 = preClazz;
                            mapSerializer = this;
                        }
                    } else if ((entryKey3.getClass().isPrimitive() || (entryKey3 instanceof Number)) && !mapSerializer.apply(serializer, object, JSON.toJSONString(entryKey3), value3)) {
                        it = it2;
                        preClazz = preClazz3;
                        parent = parent2;
                        parent2 = parent;
                        it2 = it;
                        preClazz3 = preClazz;
                        mapSerializer = this;
                    }
                }
                List<PropertyFilter> propertyFilters2 = mapSerializer.propertyFilters;
                if (propertyFilters2 != null && propertyFilters2.size() > 0) {
                    if (entryKey3 == null || (entryKey3 instanceof String)) {
                        if (!mapSerializer.apply(serializer, object, (String) entryKey3, value3)) {
                            it = it2;
                            preClazz = preClazz3;
                            parent = parent2;
                            parent2 = parent;
                            it2 = it;
                            preClazz3 = preClazz;
                            mapSerializer = this;
                        }
                    } else if ((entryKey3.getClass().isPrimitive() || (entryKey3 instanceof Number)) && !mapSerializer.apply(serializer, object, JSON.toJSONString(entryKey3), value3)) {
                        it = it2;
                        preClazz = preClazz3;
                        parent = parent2;
                        parent2 = parent;
                        it2 = it;
                        preClazz3 = preClazz;
                        mapSerializer = this;
                    }
                }
                List<PropertyFilter> propertyFilters3 = serializer.nameFilters;
                if (propertyFilters3 != null && propertyFilters3.size() > 0) {
                    if (entryKey3 == null || (entryKey3 instanceof String)) {
                        entryKey3 = mapSerializer.processKey(serializer, object, (String) entryKey3, value3);
                    } else if (entryKey3.getClass().isPrimitive() || (entryKey3 instanceof Number)) {
                        entryKey3 = mapSerializer.processKey(serializer, object, JSON.toJSONString(entryKey3), value3);
                    }
                }
                List<NameFilter> nameFilters = mapSerializer.nameFilters;
                if (nameFilters != null && nameFilters.size() > 0) {
                    if (entryKey3 == null || (entryKey3 instanceof String)) {
                        entryKey = mapSerializer.processKey(serializer, object, (String) entryKey3, value3);
                        if (entryKey == null) {
                            it = it2;
                            entryKey2 = entryKey;
                            value2 = value3;
                            preClazz = preClazz3;
                            parent = parent2;
                        } else if (entryKey instanceof String) {
                            it = it2;
                            entryKey2 = entryKey;
                            value2 = value3;
                            preClazz = preClazz3;
                            parent = parent2;
                        } else {
                            if (!((entryKey instanceof Map) || (entryKey instanceof Collection))) {
                                it = it2;
                                entryKey2 = entryKey;
                                preClazz = preClazz3;
                                parent = parent2;
                                try {
                                    value = processValue(serializer, null, object, JSON.toJSONString(entryKey), value3, features);
                                } catch (Throwable th3) {
                                    th = th3;
                                    serializer.context = parent;
                                    throw th;
                                }
                            } else {
                                it = it2;
                                entryKey2 = entryKey;
                                value = value3;
                                preClazz = preClazz3;
                                parent = parent2;
                            }
                            if (value != null || SerializerFeature.isEnabled(out.features, features, SerializerFeature.WriteMapNullValue)) {
                                if (!(entryKey2 instanceof String)) {
                                    String key = (String) entryKey2;
                                    if (!first2) {
                                        out.write(44);
                                    }
                                    if (out.isEnabled(SerializerFeature.PrettyFormat)) {
                                        serializer.println();
                                    }
                                    out.writeFieldName(key, true);
                                } else {
                                    if (!first2) {
                                        out.write(44);
                                    }
                                    if ((out.isEnabled(NON_STRINGKEY_AS_STRING) || SerializerFeature.isEnabled(features, SerializerFeature.WriteNonStringKeyAsString)) && !(entryKey2 instanceof Enum)) {
                                        serializer.write(JSON.toJSONString(entryKey2));
                                    } else {
                                        serializer.write(entryKey2);
                                    }
                                    out.write(58);
                                }
                                first2 = false;
                                if (value != null) {
                                    out.writeNull();
                                    parent2 = parent;
                                    it2 = it;
                                    preClazz3 = preClazz;
                                    mapSerializer = this;
                                } else {
                                    Class<?> clazz = value.getClass();
                                    if (clazz != preClazz) {
                                        preClazz2 = clazz;
                                        preWriter = serializer.getObjectWriter(clazz);
                                    } else {
                                        preWriter = preWriter3;
                                        preClazz2 = preClazz;
                                    }
                                    if (!SerializerFeature.isEnabled(features, SerializerFeature.WriteClassName) || !(preWriter instanceof JavaBeanSerializer)) {
                                        preWriter2 = preWriter;
                                        preWriter2.write(serializer, value, entryKey2, null, features);
                                    } else {
                                        if (fieldType instanceof ParameterizedType) {
                                            Type[] actualTypeArguments = ((ParameterizedType) fieldType).getActualTypeArguments();
                                            if (actualTypeArguments.length == 2) {
                                                valueType = actualTypeArguments[1];
                                                preWriter2 = preWriter;
                                                ((JavaBeanSerializer) preWriter).writeNoneASM(serializer, value, entryKey2, valueType, features);
                                            }
                                        }
                                        valueType = null;
                                        preWriter2 = preWriter;
                                        ((JavaBeanSerializer) preWriter).writeNoneASM(serializer, value, entryKey2, valueType, features);
                                    }
                                    parent2 = parent;
                                    preClazz3 = preClazz2;
                                    preWriter3 = preWriter2;
                                    it2 = it;
                                    mapSerializer = this;
                                }
                            }
                            parent2 = parent;
                            it2 = it;
                            preClazz3 = preClazz;
                            mapSerializer = this;
                        }
                        value = processValue(serializer, null, object, (String) entryKey2, value2, features);
                        if (!(entryKey2 instanceof String)) {
                        }
                        first2 = false;
                        if (value != null) {
                        }
                    } else if (entryKey3.getClass().isPrimitive() || (entryKey3 instanceof Number)) {
                        entryKey = mapSerializer.processKey(serializer, object, JSON.toJSONString(entryKey3), value3);
                        if (entryKey == null) {
                        }
                        value = processValue(serializer, null, object, (String) entryKey2, value2, features);
                        if (!(entryKey2 instanceof String)) {
                        }
                        first2 = false;
                        if (value != null) {
                        }
                    }
                }
                entryKey = entryKey3;
                if (entryKey == null) {
                }
                value = processValue(serializer, null, object, (String) entryKey2, value2, features);
                if (!(entryKey2 instanceof String)) {
                }
                first2 = false;
                if (value != null) {
                }
            }
            serializer.context = parent2;
            serializer.decrementIdent();
            if (out.isEnabled(SerializerFeature.PrettyFormat) && map.size() > 0) {
                serializer.println();
            }
            if (!unwrapped) {
                out.write(125);
            }
        } catch (Throwable th4) {
            th = th4;
            parent = parent2;
            serializer.context = parent;
            throw th;
        }
    }
}
