package com.amap.api.col.p0003l;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.location.Location;
import android.opengl.EGL14;
import android.opengl.EGLContext;
import android.opengl.GLES20;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.Pair;
import android.util.Size;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import com.amap.api.col.p0003l.cu;
import com.amap.api.col.p0003l.ef;
import com.amap.api.col.p0003l.fo;
import com.amap.api.col.p0003l.k;
import com.amap.api.maps.AMap;
import com.amap.api.maps.AMapException;
import com.amap.api.maps.CameraUpdate;
import com.amap.api.maps.CustomRenderer;
import com.amap.api.maps.InfoWindowAnimationManager;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.MapsInitializer;
import com.amap.api.maps.Projection;
import com.amap.api.maps.UiSettings;
import com.amap.api.maps.interfaces.IGlOverlayLayer;
import com.amap.api.maps.model.AMapCameraInfo;
import com.amap.api.maps.model.AMapGestureListener;
import com.amap.api.maps.model.Arc;
import com.amap.api.maps.model.ArcOptions;
import com.amap.api.maps.model.BaseOptions;
import com.amap.api.maps.model.BaseOverlay;
import com.amap.api.maps.model.BuildingOverlay;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.Circle;
import com.amap.api.maps.model.CircleOptions;
import com.amap.api.maps.model.CrossOverlay;
import com.amap.api.maps.model.CrossOverlayOptions;
import com.amap.api.maps.model.CustomMapStyleOptions;
import com.amap.api.maps.model.GL3DModel;
import com.amap.api.maps.model.GL3DModelOptions;
import com.amap.api.maps.model.GLTFOverlay;
import com.amap.api.maps.model.GLTFOverlayOptions;
import com.amap.api.maps.model.GroundOverlay;
import com.amap.api.maps.model.GroundOverlayOptions;
import com.amap.api.maps.model.HeatMapGridLayer;
import com.amap.api.maps.model.HeatMapGridLayerOptions;
import com.amap.api.maps.model.HeatMapLayer;
import com.amap.api.maps.model.HeatMapLayerOptions;
import com.amap.api.maps.model.HeatmapTileProvider;
import com.amap.api.maps.model.IndoorBuildingInfo;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.MVTTileOverlay;
import com.amap.api.maps.model.MVTTileOverlayOptions;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.MarkerOptions;
import com.amap.api.maps.model.MultiPointItem;
import com.amap.api.maps.model.MultiPointOverlay;
import com.amap.api.maps.model.MultiPointOverlayOptions;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.maps.model.MyTrafficStyle;
import com.amap.api.maps.model.NavigateArrow;
import com.amap.api.maps.model.NavigateArrowOptions;
import com.amap.api.maps.model.Poi;
import com.amap.api.maps.model.Polygon;
import com.amap.api.maps.model.PolygonOptions;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import com.amap.api.maps.model.RouteOverlay;
import com.amap.api.maps.model.Text;
import com.amap.api.maps.model.TextOptions;
import com.amap.api.maps.model.TileOverlay;
import com.amap.api.maps.model.TileOverlayOptions;
import com.amap.api.maps.model.TileProvider;
import com.amap.api.maps.model.particle.ParticleOverlay;
import com.amap.api.maps.model.particle.ParticleOverlayOptions;
import com.autonavi.amap.api.mapcore.IGLMapState;
import com.autonavi.amap.mapcore.AbstractCameraUpdateMessage;
import com.autonavi.amap.mapcore.DPoint;
import com.autonavi.amap.mapcore.IPoint;
import com.autonavi.amap.mapcore.VirtualEarthProjection;
import com.autonavi.base.ae.gmap.AMapAppRequestParam;
import com.autonavi.base.ae.gmap.GLMapEngine;
import com.autonavi.base.ae.gmap.GLMapRender;
import com.autonavi.base.ae.gmap.GLMapState;
import com.autonavi.base.ae.gmap.MapPoi;
import com.autonavi.base.ae.gmap.bean.NativeTextGenerate;
import com.autonavi.base.ae.gmap.gesture.EAMapPlatformGestureInfo;
import com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay;
import com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay;
import com.autonavi.base.ae.gmap.gloverlay.GLOverlayBundle;
import com.autonavi.base.ae.gmap.gloverlay.GLTextureProperty;
import com.autonavi.base.ae.gmap.listener.AMapWidgetListener;
import com.autonavi.base.ae.gmap.style.StyleItem;
import com.autonavi.base.amap.api.mapcore.BaseOverlayImp;
import com.autonavi.base.amap.api.mapcore.IAMapDelegate;
import com.autonavi.base.amap.api.mapcore.IGLSurfaceView;
import com.autonavi.base.amap.api.mapcore.IProjectionDelegate;
import com.autonavi.base.amap.api.mapcore.IUiSettingsDelegate;
import com.autonavi.base.amap.mapcore.AeUtil;
import com.autonavi.base.amap.mapcore.FPoint;
import com.autonavi.base.amap.mapcore.FileUtil;
import com.autonavi.base.amap.mapcore.MapConfig;
import com.autonavi.base.amap.mapcore.Rectangle;
import com.autonavi.base.amap.mapcore.interfaces.IAMapListener;
import com.autonavi.base.amap.mapcore.message.AbstractGestureMapMessage;
import com.autonavi.base.amap.mapcore.tools.GLConvertUtil;
import com.igexin.push.f.r;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.uc.crashsdk.export.LogType;
import com.umeng.analytics.pro.bg;
import java.io.File;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

/* renamed from: com.amap.api.col.3l.l  reason: invalid package */
/* compiled from: AMapDelegateImp */
public final class l implements cu.a, k.a, IAMapDelegate, IAMapListener {
    private boolean A;
    private final IGLSurfaceView B;
    private ei C;
    private final IGlOverlayLayer D;
    private boolean E;
    private int F;
    private AtomicBoolean G;
    private boolean H;
    private boolean I;
    private boolean J;
    private cl K;
    private LocationSource L;
    private boolean M;
    private boolean N;
    private Marker O;
    private GLTFOverlay P;
    private boolean Q;
    private boolean R;
    private boolean S;
    private boolean T;
    private int U;
    private boolean V;
    private boolean W;
    private Rect X;
    private int Y;
    private MyTrafficStyle Z;
    protected boolean a;
    private Lock aA;
    private int aB;
    private int aC;
    private int aD;
    private b aE;
    private cq aF;
    private AMap.OnMultiPointClickListener aG;
    private k aH;
    private long aI;
    private a aJ;
    private a aK;
    private a aL;
    private a aM;
    private a aN;
    private a aO;
    private a aP;
    private a aQ;
    private a aR;
    private a aS;
    private a aT;
    private a aU;
    private a aV;
    private Runnable aW;
    private a aX;
    private com.autonavi.extra.b aY;
    private String aZ;
    private Thread aa;
    private Thread ab;
    private v ac;
    private boolean ad;
    private boolean ae;
    private int af;
    private CustomRenderer ag;
    private int ah;
    private int ai;
    private List<ac> aj;
    private cs ak;
    private cu al;
    private long am;
    private GLMapRender an;
    private z ao;
    private boolean ap;
    private float aq;
    private float ar;
    private float as;
    private boolean at;
    private boolean au;
    private boolean av;
    private volatile boolean aw;
    private volatile boolean ax;
    private boolean ay;
    private boolean az;
    protected MapConfig b;
    private String ba;
    private boolean bb;
    private boolean bc;
    private int bd;
    private EAMapPlatformGestureInfo be;
    private long bf;
    private au bg;
    private IPoint[] bh;
    protected au c;
    Cdo d;
    protected Context e;
    protected GLMapEngine f;
    public int g;
    public int h;
    boolean i;
    protected final Handler j;
    Point k;
    protected String l;
    float[] m;
    float[] n;
    float[] o;
    float[] p;
    String q;
    String r;
    int s;
    private p t;
    private q u;
    private AMapGestureListener v;
    private av w;
    private UiSettings x;
    private IProjectionDelegate y;
    private final ag z;

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapWidgetListener(AMapWidgetListener aMapWidgetListener) {
        try {
            if (this.u != null) {
                this.u.a(AMapWidgetListener.class.hashCode(), aMapWidgetListener);
            }
        } catch (Throwable th) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(CameraPosition cameraPosition) {
        if (this.b.getMapLanguage().equals("en")) {
            boolean c2 = c(cameraPosition);
            if (c2 != this.W) {
                this.W = c2;
                b(this.F, c2);
            }
        } else if (!this.W) {
            this.W = true;
            b(this.F, true);
        }
    }

    private boolean c(CameraPosition cameraPosition) {
        if (cameraPosition.zoom < 6.0f) {
            return false;
        }
        if (cameraPosition.isAbroad) {
            return true;
        }
        MapConfig mapConfig = this.b;
        if (mapConfig == null) {
            return false;
        }
        try {
            return !dq.a(mapConfig.getGeoRectangle().getClipRect());
        } catch (Throwable th) {
            th.printStackTrace();
            dx.a(th);
            return false;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setVisibilityEx(int i2) {
        IGLSurfaceView iGLSurfaceView = this.B;
        if (iGLSurfaceView != null) {
            try {
                iGLSurfaceView.setVisibility(i2);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onActivityPause() {
        this.H = true;
        c(this.F);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onActivityResume() {
        this.H = false;
        d(this.F);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void queueEvent(Runnable runnable) {
        long j2;
        try {
            j2 = Thread.currentThread().getId();
        } catch (Throwable th) {
            dx.a(th);
            gn.b(th, "AMapdelegateImp", "queueEvent");
            return;
        }
        if (j2 != -1 && j2 == this.am) {
            runnable.run();
        } else if (this.f != null) {
            this.B.queueEvent(runnable);
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.amap.api.col.3l.l$a */
    /* compiled from: AMapDelegateImp */
    public static abstract class a implements Runnable {
        boolean b;
        boolean c;
        int d;
        int e;
        int f;
        int g;
        int h;
        byte[] i;
        MyTrafficStyle j;

        private a() {
            this.b = false;
            this.c = false;
            this.g = 0;
            this.h = 0;
        }

        /* synthetic */ a(byte b2) {
            this();
        }

        public void run() {
            this.b = false;
        }
    }

    public l(IGLSurfaceView iGLSurfaceView, Context context) {
        this(iGLSurfaceView, context, false);
    }

    public l(IGLSurfaceView iGLSurfaceView, Context context, boolean z2) {
        boolean z3;
        this.t = null;
        this.u = new q();
        this.a = false;
        this.A = false;
        this.E = false;
        this.G = new AtomicBoolean(false);
        this.H = false;
        this.b = new MapConfig(true);
        this.I = false;
        this.J = false;
        this.M = false;
        this.N = false;
        this.O = null;
        this.P = null;
        this.Q = false;
        this.R = false;
        this.S = false;
        this.T = false;
        this.U = 0;
        this.V = true;
        this.W = true;
        this.X = new Rect();
        this.Y = 1;
        this.Z = null;
        this.ad = false;
        this.ae = false;
        this.af = 0;
        this.ah = -1;
        this.ai = -1;
        this.aj = new ArrayList();
        this.d = null;
        this.am = -1;
        this.ap = false;
        this.aq = 0.0f;
        this.ar = 1.0f;
        this.as = 1.0f;
        this.at = true;
        this.au = false;
        this.av = false;
        this.aw = false;
        this.ax = false;
        this.ay = false;
        this.az = false;
        this.aA = new ReentrantLock();
        this.aB = 0;
        this.i = true;
        this.j = new Handler(Looper.getMainLooper()) {
            /* class com.amap.api.col.p0003l.l.AnonymousClass1 */

            public final void handleMessage(Message message) {
                el f;
                if (message != null && !l.this.G.get()) {
                    try {
                        int i = message.what;
                        if (i != 2) {
                            int i2 = 0;
                            switch (i) {
                                case 10:
                                    CameraPosition cameraPosition = (CameraPosition) message.obj;
                                    try {
                                        List<AMap.OnCameraChangeListener> a2 = l.this.u.a(AMap.OnCameraChangeListener.class.hashCode());
                                        if (!(cameraPosition == null || a2 == null || a2.size() <= 0)) {
                                            synchronized (a2) {
                                                for (AMap.OnCameraChangeListener onCameraChangeListener : a2) {
                                                    onCameraChangeListener.onCameraChange(cameraPosition);
                                                }
                                            }
                                        }
                                    } catch (Throwable th) {
                                        dx.a(th);
                                    }
                                    l.this.b.addChangedCounter();
                                    return;
                                case 11:
                                    try {
                                        CameraPosition cameraPosition2 = l.this.getCameraPosition();
                                        if (!(cameraPosition2 == null || l.this.C == null)) {
                                            l.this.C.a(cameraPosition2);
                                        }
                                        l.this.b((l) cameraPosition2);
                                        if (l.this.av) {
                                            l.this.av = false;
                                            if (l.this.D != null) {
                                                l.this.D.setFlingState(false);
                                            }
                                            l.this.b();
                                        }
                                        if (l.this.T) {
                                            l.this.redrawInfoWindow();
                                            l.this.T = false;
                                        }
                                        l.this.a(cameraPosition2);
                                        return;
                                    } catch (Throwable th2) {
                                        gn.b(th2, "AMapDelegateImp", "CameraUpdateFinish");
                                        dx.a(th2);
                                        return;
                                    }
                                case 12:
                                    if (l.this.C != null) {
                                        l.this.C.a(Float.valueOf(l.this.getZoomLevel()));
                                        return;
                                    }
                                    return;
                                case 13:
                                    if (l.this.C != null) {
                                        l.this.C.h();
                                        return;
                                    }
                                    return;
                                case 14:
                                    try {
                                        List<AMap.OnMapTouchListener> a3 = l.this.u.a(AMap.OnMapTouchListener.class.hashCode());
                                        if (a3 != null && a3.size() > 0) {
                                            synchronized (a3) {
                                                for (AMap.OnMapTouchListener onMapTouchListener : a3) {
                                                    onMapTouchListener.onTouch((MotionEvent) message.obj);
                                                }
                                            }
                                            return;
                                        }
                                        return;
                                    } catch (Throwable th3) {
                                        gn.b(th3, "AMapDelegateImp", "onTouchHandler");
                                        th3.printStackTrace();
                                        return;
                                    }
                                case 15:
                                    Bitmap bitmap = (Bitmap) message.obj;
                                    int i3 = message.arg1;
                                    ArrayList arrayList = null;
                                    if (bitmap == null || l.this.C == null) {
                                        try {
                                            List a4 = l.this.u.a(AMap.onMapPrintScreenListener.class.hashCode());
                                            ArrayList arrayList2 = a4 != null ? new ArrayList(a4) : null;
                                            List a5 = l.this.u.a(AMap.OnMapScreenShotListener.class.hashCode());
                                            ArrayList arrayList3 = a5 != null ? new ArrayList(a5) : null;
                                            l.this.u.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()));
                                            l.this.u.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()));
                                            if (arrayList2 != null && arrayList2.size() > 0) {
                                                synchronized (arrayList2) {
                                                    for (int i4 = 0; i4 < arrayList2.size(); i4++) {
                                                        ((AMap.onMapPrintScreenListener) arrayList2.get(i4)).onMapPrint(null);
                                                    }
                                                }
                                            }
                                            if (arrayList3 != null && arrayList3.size() > 0) {
                                                synchronized (arrayList3) {
                                                    while (i2 < arrayList3.size()) {
                                                        ((AMap.OnMapScreenShotListener) arrayList3.get(i2)).onMapScreenShot(null);
                                                        ((AMap.OnMapScreenShotListener) arrayList3.get(i2)).onMapScreenShot(null, i3);
                                                        i2++;
                                                    }
                                                }
                                                return;
                                            }
                                            return;
                                        } catch (Throwable th4) {
                                            th4.printStackTrace();
                                            return;
                                        }
                                    } else {
                                        Canvas canvas = new Canvas(bitmap);
                                        if (l.this.V && (f = l.this.C.f()) != null) {
                                            f.onDraw(canvas);
                                        }
                                        l.this.C.a(canvas);
                                        try {
                                            List a6 = l.this.u.a(AMap.onMapPrintScreenListener.class.hashCode());
                                            ArrayList arrayList4 = a6 != null ? new ArrayList(a6) : null;
                                            List a7 = l.this.u.a(AMap.OnMapScreenShotListener.class.hashCode());
                                            if (a7 != null) {
                                                arrayList = new ArrayList(a7);
                                            }
                                            l.this.u.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()));
                                            l.this.u.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()));
                                            if (arrayList4 != null && arrayList4.size() > 0) {
                                                synchronized (arrayList4) {
                                                    for (int i5 = 0; i5 < arrayList4.size(); i5++) {
                                                        ((AMap.onMapPrintScreenListener) arrayList4.get(i5)).onMapPrint(new BitmapDrawable(l.this.e.getResources(), bitmap));
                                                    }
                                                }
                                            }
                                            if (arrayList != null && arrayList.size() > 0) {
                                                synchronized (arrayList) {
                                                    while (i2 < arrayList.size()) {
                                                        ((AMap.OnMapScreenShotListener) arrayList.get(i2)).onMapScreenShot(bitmap);
                                                        ((AMap.OnMapScreenShotListener) arrayList.get(i2)).onMapScreenShot(bitmap, i3);
                                                        i2++;
                                                    }
                                                }
                                                return;
                                            }
                                            return;
                                        } catch (Throwable th5) {
                                            th5.printStackTrace();
                                            return;
                                        }
                                    }
                                case 16:
                                    try {
                                        List a8 = l.this.u.a(AMap.OnMapLoadedListener.class.hashCode());
                                        if (a8 != null) {
                                            synchronized (a8) {
                                                while (i2 < a8.size()) {
                                                    ((AMap.OnMapLoadedListener) a8.get(i2)).onMapLoaded();
                                                    i2++;
                                                }
                                            }
                                        }
                                    } catch (Throwable th6) {
                                        gn.b(th6, "AMapDelegateImp", "onMapLoaded");
                                        th6.printStackTrace();
                                        dx.a(th6);
                                    }
                                    if (l.this.C != null) {
                                        l.this.C.i();
                                        return;
                                    }
                                    return;
                                case 17:
                                    if (l.this.f.isInMapAnimation(l.this.F) && l.this.D != null) {
                                        l.this.D.setFlingState(false);
                                        return;
                                    }
                                    return;
                                case 18:
                                    if (l.this.w != null) {
                                        l.this.w.b();
                                        return;
                                    }
                                    return;
                                case 19:
                                    List<AMap.OnMapClickListener> a9 = l.this.u.a(AMap.OnMapClickListener.class.hashCode());
                                    if (a9 != null) {
                                        DPoint obtain = DPoint.obtain();
                                        l.this.getPixel2LatLng(message.arg1, message.arg2, obtain);
                                        try {
                                            synchronized (a9) {
                                                for (AMap.OnMapClickListener onMapClickListener : a9) {
                                                    onMapClickListener.onMapClick(new LatLng(obtain.y, obtain.x));
                                                }
                                            }
                                            obtain.recycle();
                                            return;
                                        } catch (Throwable th7) {
                                            gn.b(th7, "AMapDelegateImp", "OnMapClickListener.onMapClick");
                                            th7.printStackTrace();
                                            return;
                                        }
                                    } else {
                                        return;
                                    }
                                case 20:
                                    try {
                                        List a10 = l.this.u.a(AMap.OnPOIClickListener.class.hashCode());
                                        if (a10 != null && a10.size() > 0) {
                                            synchronized (a10) {
                                                while (i2 < a10.size()) {
                                                    ((AMap.OnPOIClickListener) a10.get(i2)).onPOIClick((Poi) message.obj);
                                                    i2++;
                                                }
                                            }
                                            return;
                                        }
                                        return;
                                    } catch (Throwable th8) {
                                        gn.b(th8, "AMapDelegateImp", "OnPOIClickListener.onPOIClick");
                                        th8.printStackTrace();
                                        return;
                                    }
                                default:
                                    return;
                            }
                        } else {
                            StringBuilder sb = new StringBuilder();
                            sb.append("Key验证失败：[");
                            if (message.obj != null) {
                                sb.append(message.obj);
                            } else {
                                sb.append(fh.b);
                            }
                            sb.append(Operators.ARRAY_END_STR);
                            Log.w("amapsdk", sb.toString());
                        }
                    } catch (Throwable th9) {
                        gn.b(th9, "AMapDelegateImp", "handleMessage");
                        th9.printStackTrace();
                    }
                }
            }
        };
        this.aJ = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass11 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setTrafficEnabled(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aK = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass21 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setCenterToPixel(l.this.aC, l.this.aD);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aL = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass32 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                l.this.a(this.f, this.d, this.e);
            }
        };
        this.aM = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass38 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                l.this.setMapCustomEnable(this.c);
            }
        };
        this.aN = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass39 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                l.this.a(this.f, this.c);
            }
        };
        this.aO = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass40 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setMapTextEnable(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aP = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass41 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setRoadArrowEnable(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aQ = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass42 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setNaviLabelEnable(this.c, this.g, this.h);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aR = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass2 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setConstructingRoadEnable(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aS = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass3 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setTrafficStyleWithTextureData(this.i);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aT = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass4 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setTrafficStyleWithTexture(this.i, this.j);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        };
        this.aU = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass5 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                l.this.b(this.f, this.c);
            }
        };
        this.aV = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass6 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                try {
                    l.this.setIndoorEnabled(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aW = new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass7 */

            public final void run() {
                el f;
                if (l.this.C != null && (f = l.this.C.f()) != null) {
                    f.c();
                }
            }
        };
        this.aX = new a() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass8 */

            @Override // com.amap.api.col.p0003l.l.a
            public final void run() {
                super.run();
                l.this.c(this.f, this.c);
            }
        };
        this.aZ = "";
        this.ba = "";
        this.bb = false;
        this.bc = false;
        this.bd = 0;
        this.be = new EAMapPlatformGestureInfo();
        this.k = new Point();
        this.bf = 0;
        this.l = null;
        this.bg = null;
        this.m = new float[16];
        this.n = new float[16];
        this.o = new float[16];
        this.bh = null;
        this.p = new float[12];
        this.q = "precision highp float;\nattribute vec3 aVertex;//顶点数组,三维坐标\nuniform mat4 aMVPMatrix;//mvp矩阵\nvoid main(){\n  gl_Position = aMVPMatrix * vec4(aVertex, 1.0);\n}";
        this.r = "//有颜色 没有纹理\nprecision highp float;\nvoid main(){\n  gl_FragColor = vec4(1.0,0,0,1.0);\n}";
        this.s = -1;
        this.e = context;
        fp a2 = fo.a(context, dx.a());
        if (a2.a == fo.c.SuccessCode) {
            dz.a(context);
            dz.a(dy.c, "init map delegate");
        }
        com.autonavi.extra.b bVar = new com.autonavi.extra.b();
        this.aY = bVar;
        bVar.a();
        this.aY.b();
        gn.a(this.e);
        dl.a().a(this.e);
        w.b = fg.c(context);
        dc.a(this.e);
        this.ao = new z(this);
        GLMapRender gLMapRender = new GLMapRender(this);
        this.an = gLMapRender;
        this.B = iGLSurfaceView;
        iGLSurfaceView.setRenderer(gLMapRender);
        this.D = new aa(this, this.e);
        this.f = new GLMapEngine(this.e, this);
        this.C = new eh(this.e, this, this.D);
        this.z = new ag(this);
        this.C.a(new c(this, (byte) 0));
        this.aE = new b();
        this.B.setRenderMode(0);
        this.an.setRenderFps(15.0f);
        this.f.setMapListener(this);
        this.y = new ad(this);
        this.t = new p(this);
        av avVar = new av(this.e);
        this.w = avVar;
        avVar.a(this.C);
        this.w.b(new cn(this.D, context));
        this.aa = new t(this.e, this);
        this.L = new aw(this.e);
        this.ak = new cs(this.e, this);
        cu cuVar = new cu(this.e);
        this.al = cuVar;
        cuVar.a(this);
        a(z2);
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            z3 = mapConfig.isAbroadEnable();
        } else {
            z3 = false;
        }
        k kVar = new k(this, this.e, z3);
        this.aH = kVar;
        kVar.a(this);
        if (a2.a != fo.c.SuccessCode) {
            this.b.setMapEnable(false);
        }
        this.F = this.f.getEngineIDWithType(1);
    }

    private void a(boolean z2) {
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            Object j2 = bVar.j();
            if (j2 != null && (j2 instanceof Boolean)) {
                MapConfig mapConfig = this.b;
                if (mapConfig != null) {
                    mapConfig.setAbroadEnable(z2 && ((Boolean) j2).booleanValue());
                }
                if (z2 && ((Boolean) j2).booleanValue()) {
                    MapsInitializer.setSupportRecycleView(false);
                }
            }
            Object j3 = this.aY.j();
            if (j3 != null && (j3 instanceof Boolean)) {
                this.C.a(((Boolean) j3).booleanValue());
            }
            Object j4 = this.aY.j();
            if (j3 != null && (j3 instanceof Integer)) {
                this.af = ((Integer) j4).intValue();
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final com.autonavi.extra.b getAMapExtraInterfaceManager() {
        return this.aY;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IGlOverlayLayer getGlOverlayLayer() {
        return this.D;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapEnable(boolean z2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setMapEnable(z2);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final GLMapEngine getGLMapEngine() {
        return this.f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setGestureStatus(int i2, int i3) {
        if (this.aB == 0 || i3 != 5) {
            this.aB = i3;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getPreciseLevel(int i2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getSZ();
        }
        return 0.0f;
    }

    private float c() {
        if (this.b != null) {
            return getMapConfig().getSZ();
        }
        return 0.0f;
    }

    private boolean a(int i2, int i3) {
        AbstractCameraUpdateMessage abstractCameraUpdateMessage;
        if (!this.aw || ((float) ((int) c())) >= this.b.getMaxZoomLevel()) {
            return false;
        }
        try {
            if (this.I || this.z.isZoomInByScreenCenter()) {
                abstractCameraUpdateMessage = al.a(1.0f, (Point) null);
            } else {
                this.k.x = i2;
                this.k.y = i3;
                abstractCameraUpdateMessage = al.a(1.0f, this.k);
            }
            animateCamera(abstractCameraUpdateMessage);
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "onDoubleTap");
            th.printStackTrace();
        }
        resetRenderTime();
        return true;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void zoomOut(int i2) {
        if (this.aw && ((float) ((int) c())) > this.b.getMinZoomLevel()) {
            try {
                animateCamera(al.b());
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "onDoubleTap");
                th.printStackTrace();
            }
            resetRenderTime();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isLockMapCameraDegree(int i2) {
        return false;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isLockMapAngle(int i2) {
        return g(i2);
    }

    private void d() {
        if (this.aw) {
            this.ao.a();
            this.ap = true;
            this.au = true;
            try {
                stopAnimation();
            } catch (RemoteException e2) {
            }
        }
    }

    private void e() {
        this.ap = true;
        this.au = false;
        if (this.R) {
            this.R = false;
        }
        if (this.Q) {
            this.Q = false;
        }
        if (this.S) {
            this.S = false;
        }
        try {
            if (this.M) {
                List a2 = this.u.a(AMap.OnMarkerDragListener.class.hashCode());
                if (!(a2 == null || a2.size() <= 0 || this.O == null)) {
                    synchronized (a2) {
                        for (int i2 = 0; i2 < a2.size(); i2++) {
                            ((AMap.OnMarkerDragListener) a2.get(i2)).onMarkerDragEnd(this.O);
                        }
                    }
                    this.O = null;
                }
                this.M = false;
            }
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "OnMarkerDragListener.onMarkerDragEnd");
            th.printStackTrace();
        }
        if (this.N) {
            if (this.P != null) {
                this.P = null;
            }
            this.N = false;
        }
    }

    private void a(MotionEvent motionEvent) throws RemoteException {
        if (this.M && this.O != null) {
            int x2 = (int) motionEvent.getX();
            int y2 = (int) (motionEvent.getY() - 60.0f);
            if (this.O.getPosition() != null) {
                DPoint obtain = DPoint.obtain();
                getPixel2LatLng(x2, y2, obtain);
                LatLng latLng = new LatLng(obtain.y, obtain.x);
                obtain.recycle();
                this.O.setPosition(latLng);
                try {
                    List a2 = this.u.a(AMap.OnMarkerDragListener.class.hashCode());
                    if (a2 != null && a2.size() > 0) {
                        synchronized (a2) {
                            for (int i2 = 0; i2 < a2.size(); i2++) {
                                ((AMap.OnMarkerDragListener) a2.get(i2)).onMarkerDrag(this.O);
                            }
                        }
                    }
                } catch (Throwable th) {
                }
            }
        }
    }

    private void b(MotionEvent motionEvent) {
        if (this.N && this.P != null) {
            int x2 = (int) motionEvent.getX();
            int y2 = (int) (motionEvent.getY() - 60.0f);
            if (this.P.getLatlng() != null) {
                DPoint obtain = DPoint.obtain();
                getPixel2LatLng(x2, y2, obtain);
                LatLng latLng = new LatLng(obtain.y, obtain.x);
                obtain.recycle();
                this.P.setLatLng(latLng);
            }
        }
    }

    private void b(boolean z2) {
        this.at = z2;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void clearTileCache() {
        this.D.clearTileCache();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final GLMapState getMapProjection() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getMapState(this.F);
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showMyLocationOverlay(Location location) throws RemoteException {
        if (location != null) {
            try {
                if (this.E) {
                    if (this.L != null) {
                        if (this.K == null) {
                            this.K = new cl(this, this.e);
                        }
                        if (!(location.getLongitude() == 0.0d || location.getLatitude() == 0.0d)) {
                            this.K.a(location);
                        }
                        List a2 = this.u.a(AMap.OnMyLocationChangeListener.class.hashCode());
                        if (a2 != null && a2.size() > 0) {
                            synchronized (a2) {
                                for (int i2 = 0; i2 < a2.size(); i2++) {
                                    ((AMap.OnMyLocationChangeListener) a2.get(i2)).onMyLocationChange(location);
                                }
                            }
                        }
                        resetRenderTime();
                        return;
                    }
                }
                if (this.K != null) {
                    this.K.c();
                }
                this.K = null;
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "showMyLocationOverlay");
                th.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean removeGLOverlay(String str) throws RemoteException {
        resetRenderTime();
        return this.D.removeOverlay(str);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean removeGLModel(String str) {
        try {
            this.D.removeOverlay(str);
            return false;
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "removeGLModel");
            th.printStackTrace();
            return false;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeGLOverlayIndex() {
        this.D.changeOverlayIndex();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float checkZoomLevel(float f2) throws RemoteException {
        return dx.a(this.b, f2);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void latlon2Geo(double d2, double d3, IPoint iPoint) {
        Point latLongToPixels = VirtualEarthProjection.latLongToPixels(d2, d3, 20);
        iPoint.x = latLongToPixels.x;
        iPoint.y = latLongToPixels.y;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void geo2Map(int i2, int i3, FPoint fPoint) {
        fPoint.x = (float) ((int) (((double) i2) - this.b.getSX()));
        fPoint.y = (float) ((int) (((double) i3) - this.b.getSY()));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void geo2Latlng(int i2, int i3, DPoint dPoint) {
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong((long) i2, (long) i3, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        pixelsToLatLong.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getZoomLevel() {
        return c();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IUiSettingsDelegate getUiSettings() {
        return this.z;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IProjectionDelegate getProjection() throws RemoteException {
        return this.y;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final k getCustomStyleManager() {
        return this.aH;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final AMap.OnCameraChangeListener getOnCameraChangeListener() throws RemoteException {
        try {
            List a2 = this.u.a(AMap.OnCameraChangeListener.class.hashCode());
            if (a2 == null) {
                if (a2.size() != 0) {
                    return (AMap.OnCameraChangeListener) a2.get(0);
                }
            }
            return null;
        } catch (Throwable th) {
            return null;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showInfoWindow(BaseOverlayImp baseOverlayImp) throws RemoteException {
        av avVar;
        if (baseOverlayImp != null && (avVar = this.w) != null) {
            try {
                avVar.a(baseOverlayImp);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showInfoWindow(BaseOverlay baseOverlay) throws RemoteException {
        av avVar;
        if (baseOverlay != null && (avVar = this.w) != null) {
            try {
                avVar.a(baseOverlay);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void hideInfoWindow() {
        av avVar = this.w;
        if (avVar != null) {
            avVar.c();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getLatLng2Map(double d2, double d3, FPoint fPoint) {
        IPoint obtain = IPoint.obtain();
        latlon2Geo(d2, d3, obtain);
        geo2Map(obtain.x, obtain.y, fPoint);
        obtain.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getPixel2LatLng(int i2, int i3, DPoint dPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (!this.G.get() && this.aw && (gLMapEngine = this.f) != null && (mapState = gLMapEngine.getMapState(this.F)) != null) {
            IPoint obtain = IPoint.obtain();
            mapState.screenToP20Point(i2, i3, obtain);
            DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong((long) obtain.x, (long) obtain.y, 20);
            dPoint.x = pixelsToLatLong.x;
            dPoint.y = pixelsToLatLong.y;
            obtain.recycle();
            pixelsToLatLong.recycle();
        }
    }

    private void a(GLMapState gLMapState, int i2, int i3, DPoint dPoint) {
        if (this.aw && this.f != null) {
            Point point = new Point();
            gLMapState.screenToP20Point(i2, i3, point);
            DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong((long) point.x, (long) point.y, 20);
            dPoint.x = pixelsToLatLong.x;
            dPoint.y = pixelsToLatLong.y;
            pixelsToLatLong.recycle();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getLatLng2Pixel(double d2, double d3, IPoint iPoint) {
        if (!this.G.get() && this.aw && this.f != null) {
            try {
                Point latLongToPixels = VirtualEarthProjection.latLongToPixels(d2, d3, 20);
                FPoint obtain = FPoint.obtain();
                a(latLongToPixels.x, latLongToPixels.y, obtain);
                if (obtain.x == -10000.0f && obtain.y == -10000.0f) {
                    GLMapState gLMapState = (GLMapState) this.f.getNewMapState(this.F);
                    gLMapState.setCameraDegree(0.0f);
                    gLMapState.recalculate();
                    gLMapState.p20ToScreenPoint(latLongToPixels.x, latLongToPixels.y, obtain);
                    gLMapState.recycle();
                }
                iPoint.x = (int) obtain.x;
                iPoint.y = (int) obtain.y;
                obtain.recycle();
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getPixel2Geo(int i2, int i3, IPoint iPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (!this.G.get() && this.aw && (gLMapEngine = this.f) != null && (mapState = gLMapEngine.getMapState(this.F)) != null) {
            mapState.screenToP20Point(i2, i3, iPoint);
        }
    }

    private void a(int i2, int i3, FPoint fPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (!this.G.get() && this.aw && (gLMapEngine = this.f) != null && (mapState = gLMapEngine.getMapState(this.F)) != null) {
            mapState.p20ToScreenPoint(i2, i3, fPoint);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void redrawInfoWindow() {
        if (!this.G.get() && this.aw) {
            this.j.sendEmptyMessage(18);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final av getInfoWindowDelegate() {
        return this.w;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showZoomControlsEnabled(boolean z2) {
        ei eiVar;
        if (!this.G.get() && (eiVar = this.C) != null) {
            eiVar.b(Boolean.valueOf(z2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showIndoorSwitchControlsEnabled(boolean z2) {
        ei eiVar;
        if (!this.G.get() && (eiVar = this.C) != null) {
            eiVar.a(Boolean.valueOf(z2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showMyLocationButtonEnabled(boolean z2) {
        ei eiVar;
        if (!this.G.get() && (eiVar = this.C) != null) {
            eiVar.c(Boolean.valueOf(z2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showCompassEnabled(boolean z2) {
        ei eiVar;
        if (!this.G.get() && (eiVar = this.C) != null) {
            eiVar.d(Boolean.valueOf(z2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showScaleEnabled(boolean z2) {
        ei eiVar;
        if (!this.G.get() && (eiVar = this.C) != null) {
            eiVar.e(Boolean.valueOf(z2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setZoomPosition(int i2) {
        ei eiVar;
        if (!this.G.get() && (eiVar = this.C) != null) {
            eiVar.a(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Rect getRect() {
        return this.X;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final LatLngBounds getMapBounds(LatLng latLng, float f2, float f3, float f4) {
        int mapWidth = getMapWidth();
        int mapHeight = getMapHeight();
        if (mapWidth <= 0 || mapHeight <= 0 || this.G.get()) {
            return null;
        }
        float a2 = dx.a(this.b, f2);
        GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
        if (latLng != null) {
            IPoint obtain = IPoint.obtain();
            latlon2Geo(latLng.latitude, latLng.longitude, obtain);
            gLMapState.setCameraDegree(f4);
            gLMapState.setMapAngle(f3);
            gLMapState.setMapGeoCenter((double) obtain.x, (double) obtain.y);
            gLMapState.setMapZoomer(a2);
            gLMapState.recalculate();
            obtain.recycle();
        }
        DPoint obtain2 = DPoint.obtain();
        a(gLMapState, 0, 0, obtain2);
        LatLng latLng2 = new LatLng(obtain2.y, obtain2.x, false);
        a(gLMapState, mapWidth, mapHeight, obtain2);
        LatLng latLng3 = new LatLng(obtain2.y, obtain2.x, false);
        obtain2.recycle();
        gLMapState.recycle();
        return LatLngBounds.builder().include(latLng3).include(latLng2).build();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onResume() {
        try {
            this.an.setRenderFps(15.0f);
            this.B.setRenderMode(0);
            if (this.D != null) {
                this.D.setFlingState(true);
            }
            if (this.K != null) {
                this.K.b();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onPause() {
        f();
        IGlOverlayLayer iGlOverlayLayer = this.D;
        if (iGlOverlayLayer != null) {
            iGlOverlayLayer.setFlingState(false);
        }
    }

    private void f() {
        GLMapState gLMapState;
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null && (gLMapState = (GLMapState) gLMapEngine.getNewMapState(this.F)) != null) {
            IPoint obtain = IPoint.obtain();
            gLMapState.recalculate();
            gLMapState.getMapGeoCenter(obtain);
            this.b.setSX((double) obtain.x);
            this.b.setSY((double) obtain.y);
            this.b.setSZ(gLMapState.getMapZoomer());
            this.b.setSC(gLMapState.getCameraDegree());
            this.b.setSR(gLMapState.getMapAngle());
            gLMapState.recycle();
            obtain.recycle();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.H || !this.aw || !this.at) {
            return false;
        }
        this.be.mGestureState = 3;
        this.be.mGestureType = 8;
        EAMapPlatformGestureInfo eAMapPlatformGestureInfo = this.be;
        eAMapPlatformGestureInfo.mLocation = new float[]{motionEvent.getX(), motionEvent.getY()};
        getEngineIDWithGestureInfo(this.be);
        l();
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            m();
            d();
        } else if (action == 1) {
            e();
        }
        if (motionEvent.getAction() == 2 && this.M) {
            try {
                a(motionEvent);
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "onDragMarker");
                th.printStackTrace();
            }
            return true;
        } else if (motionEvent.getAction() != 2 || !this.N) {
            if (this.ap) {
                try {
                    this.ao.a(motionEvent);
                } catch (Throwable th2) {
                    th2.printStackTrace();
                }
            }
            try {
                List a2 = this.u.a(AMap.OnMapTouchListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    this.j.removeMessages(14);
                    Message obtainMessage = this.j.obtainMessage();
                    obtainMessage.what = 14;
                    obtainMessage.obj = MotionEvent.obtain(motionEvent);
                    obtainMessage.sendToTarget();
                }
            } catch (Throwable th3) {
            }
            return true;
        } else {
            try {
                b(motionEvent);
            } catch (Throwable th4) {
                gn.b(th4, "AMapDelegateImp", "onDragGLTF");
                th4.printStackTrace();
            }
            return true;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void pixel2Map(int i2, int i3, PointF pointF) {
        if (this.aw && !this.H && this.f != null) {
            IPoint obtain = IPoint.obtain();
            getPixel2Geo(i2, i3, obtain);
            pointF.x = ((float) obtain.x) - ((float) this.b.getSX());
            pointF.y = ((float) obtain.y) - ((float) this.b.getSY());
            obtain.recycle();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void map2Geo(float f2, float f3, IPoint iPoint) {
        iPoint.x = (int) (((double) f2) + this.b.getSX());
        iPoint.y = (int) (((double) f3) + this.b.getSY());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float toMapLenWithWin(int i2) {
        GLMapEngine gLMapEngine;
        if (!this.aw || this.H || (gLMapEngine = this.f) == null) {
            return 0.0f;
        }
        return gLMapEngine.getMapState(this.F).getGLUnitWithWin(i2);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final CameraPosition getCameraPositionPrj(boolean z2) {
        LatLng latLng;
        try {
            if (this.b == null) {
                return null;
            }
            if (!this.aw || this.H || this.f == null) {
                DPoint obtain = DPoint.obtain();
                geo2Latlng((int) this.b.getSX(), (int) this.b.getSY(), obtain);
                LatLng latLng2 = new LatLng(obtain.y, obtain.x);
                obtain.recycle();
                return CameraPosition.builder().target(latLng2).bearing(this.b.getSR()).tilt(this.b.getSC()).zoom(this.b.getSZ()).build();
            }
            if (z2) {
                DPoint obtain2 = DPoint.obtain();
                getPixel2LatLng(this.b.getAnchorX(), this.b.getAnchorY(), obtain2);
                latLng = new LatLng(obtain2.y, obtain2.x, false);
                obtain2.recycle();
            } else {
                latLng = g();
            }
            return CameraPosition.builder().target(latLng).bearing(this.b.getSR()).tilt(this.b.getSC()).zoom(this.b.getSZ()).build();
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    private LatLng g() {
        MapConfig mapConfig = this.b;
        if (mapConfig == null) {
            return null;
        }
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(mapConfig.getSX(), this.b.getSY(), 20);
        LatLng latLng = new LatLng(pixelsToLatLong.y, pixelsToLatLong.x, false);
        pixelsToLatLong.recycle();
        return latLng;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isUseAnchor() {
        return this.I;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Point getWaterMarkerPositon() {
        ei eiVar = this.C;
        if (eiVar != null) {
            return eiVar.a();
        }
        return new Point();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final View getGLMapView() {
        IGLSurfaceView iGLSurfaceView = this.B;
        if (iGLSurfaceView instanceof View) {
            return (View) iGLSurfaceView;
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean canShowIndoorSwitch() {
        au auVar;
        if (getZoomLevel() < 17.0f || (auVar = this.c) == null || auVar.g == null) {
            return false;
        }
        FPoint obtain = FPoint.obtain();
        a(this.c.g.x, this.c.g.y, obtain);
        if (this.X.contains((int) obtain.x, (int) obtain.y)) {
            return true;
        }
        return false;
    }

    private synchronized void h() {
        synchronized (this.aj) {
            int size = this.aj.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.aj.get(i2).a().recycle();
            }
            this.aj.clear();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getLogoPosition() {
        try {
            return this.z.getLogoPosition();
        } catch (RemoteException e2) {
            gn.b(e2, "AMapDelegateImp", "getLogoPosition");
            e2.printStackTrace();
            return 0;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoPosition(int i2) {
        ei eiVar = this.C;
        if (eiVar != null) {
            eiVar.b(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoBottomMargin(int i2) {
        ei eiVar = this.C;
        if (eiVar != null) {
            eiVar.c(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoLeftMargin(int i2) {
        ei eiVar = this.C;
        if (eiVar != null) {
            eiVar.d(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getLogoMarginRate(int i2) {
        ei eiVar = this.C;
        if (eiVar != null) {
            return eiVar.a(i2);
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoMarginRate(int i2, float f2) {
        ei eiVar = this.C;
        if (eiVar != null) {
            eiVar.a(Integer.valueOf(i2), Float.valueOf(f2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getMaskLayerType() {
        return this.ah;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void post(Runnable runnable) {
        IGLSurfaceView iGLSurfaceView = this.B;
        if (iGLSurfaceView != null) {
            iGLSurfaceView.post(runnable);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onLongPress(int i2, MotionEvent motionEvent) {
        int i3 = 0;
        try {
            this.Q = false;
            b(i2);
            BaseOverlay hitBaseOverlay = this.D.getHitBaseOverlay(motionEvent, 1);
            if (hitBaseOverlay instanceof Marker) {
                this.O = (Marker) hitBaseOverlay;
            }
            BaseOverlay hitBaseOverlay2 = this.D.getHitBaseOverlay(motionEvent, 3);
            if (hitBaseOverlay2 instanceof GLTFOverlay) {
                this.P = (GLTFOverlay) hitBaseOverlay2;
            }
            if (this.O != null && this.O.isDraggable()) {
                LatLng position = this.O.getPosition();
                if (position != null) {
                    IPoint obtain = IPoint.obtain();
                    getLatLng2Pixel(position.latitude, position.longitude, obtain);
                    obtain.y -= 60;
                    DPoint obtain2 = DPoint.obtain();
                    getPixel2LatLng(obtain.x, obtain.y, obtain2);
                    this.O.setPosition(new LatLng(obtain2.y, obtain2.x));
                    this.D.set2Top(this.O.getId());
                    try {
                        List a2 = this.u.a(AMap.OnMarkerDragListener.class.hashCode());
                        if (a2 != null && a2.size() > 0) {
                            synchronized (a2) {
                                while (i3 < a2.size()) {
                                    ((AMap.OnMarkerDragListener) a2.get(i3)).onMarkerDragStart(this.O);
                                    i3++;
                                }
                            }
                        }
                    } catch (Throwable th) {
                        gn.b(th, "AMapDelegateImp", "onMarkerDragStart");
                        th.printStackTrace();
                    }
                    this.M = true;
                    obtain.recycle();
                    obtain2.recycle();
                }
            } else if (this.P == null || !this.P.isDraggable()) {
                List a3 = this.u.a(AMap.OnMapLongClickListener.class.hashCode());
                if (a3 != null && a3.size() > 0) {
                    DPoint obtain3 = DPoint.obtain();
                    getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain3);
                    synchronized (a3) {
                        while (i3 < a3.size()) {
                            ((AMap.OnMapLongClickListener) a3.get(i3)).onMapLongClick(new LatLng(obtain3.y, obtain3.x));
                            i3++;
                        }
                    }
                    this.R = true;
                    obtain3.recycle();
                }
            } else {
                LatLng latlng = this.P.getLatlng();
                if (latlng != null) {
                    IPoint obtain4 = IPoint.obtain();
                    getLatLng2Pixel(latlng.latitude, latlng.longitude, obtain4);
                    obtain4.y -= 60;
                    DPoint obtain5 = DPoint.obtain();
                    getPixel2LatLng(obtain4.x, obtain4.y, obtain5);
                    this.P.setLatLng(new LatLng(obtain5.y, obtain5.x));
                    this.D.set2Top(this.P.getId());
                    this.N = true;
                    obtain4.recycle();
                    obtain5.recycle();
                }
            }
            this.an.resetTickCount(30);
        } catch (Throwable th2) {
            gn.b(th2, "AMapDelegateImp", "onLongPress");
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean onDoubleTap(int i2, MotionEvent motionEvent) {
        if (!this.aw) {
            return false;
        }
        a((int) motionEvent.getX(), (int) motionEvent.getY());
        return false;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean onSingleTapConfirmed(int i2, MotionEvent motionEvent) {
        if (!this.aw) {
            return false;
        }
        try {
            b(i2);
            if (h(motionEvent) || e(motionEvent) || g(motionEvent)) {
                return true;
            }
            d(motionEvent);
            if (f(motionEvent)) {
                return true;
            }
            c(motionEvent);
            return true;
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "onSingleTapUp");
            th.printStackTrace();
            return true;
        }
    }

    private void c(final MotionEvent motionEvent) {
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass9 */

            public final void run() {
                try {
                    l.this.f.addGestureSingleTapMessage(motionEvent.getX(), motionEvent.getY());
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    private void a(final double d2, final double d3) {
        this.j.post(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass10 */

            public final void run() {
                Message obtain = Message.obtain();
                obtain.what = 19;
                obtain.arg1 = (int) d2;
                obtain.arg2 = (int) d3;
                l.this.j.sendMessage(obtain);
            }
        });
    }

    private boolean d(MotionEvent motionEvent) {
        try {
            List<AMap.OnPolylineClickListener> a2 = this.u.a(AMap.OnPolylineClickListener.class.hashCode());
            if (a2 != null && a2.size() > 0) {
                DPoint obtain = DPoint.obtain();
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
                LatLng latLng = new LatLng(obtain.y, obtain.x);
                obtain.recycle();
                Polyline hitOverlay = this.D.getHitOverlay(latLng, 2);
                if (hitOverlay != null) {
                    synchronized (a2) {
                        for (AMap.OnPolylineClickListener onPolylineClickListener : a2) {
                            onPolylineClickListener.onPolylineClick(hitOverlay);
                        }
                    }
                    return false;
                }
            }
        } catch (Throwable th) {
        }
        return false;
    }

    private boolean e(MotionEvent motionEvent) throws RemoteException {
        boolean z2;
        LatLng position;
        DPoint obtain = DPoint.obtain();
        getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
        LatLng latLng = new LatLng(obtain.y, obtain.x);
        obtain.recycle();
        boolean z3 = true;
        BaseOverlay hitBaseOverlay = this.D.getHitBaseOverlay(latLng, 1);
        if (!(hitBaseOverlay instanceof Marker) || !((Marker) hitBaseOverlay).getId().contains("MARKER")) {
            z2 = false;
        } else {
            z2 = true;
        }
        if (z2) {
            try {
                Marker marker = (Marker) hitBaseOverlay;
                this.D.set2Top(marker.getId());
                List<AMap.OnMarkerClickListener> a2 = this.u.a(AMap.OnMarkerClickListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    synchronized (a2) {
                        if (a2.size() == 1) {
                            boolean onMarkerClick = ((AMap.OnMarkerClickListener) a2.get(0)).onMarkerClick(marker);
                            if (onMarkerClick) {
                                return true;
                            }
                            z3 = onMarkerClick;
                        } else {
                            boolean z4 = false;
                            for (AMap.OnMarkerClickListener onMarkerClickListener : a2) {
                                z4 |= onMarkerClickListener.onMarkerClick(marker);
                            }
                            if (z4) {
                                return true;
                            }
                            z3 = z4;
                        }
                    }
                }
                this.D.showInfoWindow(marker.getId());
                if (!marker.isViewMode() && (position = marker.getPosition()) != null) {
                    IPoint obtain2 = IPoint.obtain();
                    latlon2Geo(position.latitude, position.longitude, obtain2);
                    moveCamera(al.a(obtain2));
                }
                return z3;
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "onMarkerTap");
                th.printStackTrace();
            }
        }
        return false;
    }

    private boolean f(MotionEvent motionEvent) {
        DPoint obtain = DPoint.obtain();
        getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
        LatLng latLng = new LatLng(obtain.y, obtain.x);
        obtain.recycle();
        BaseOverlay hitBaseOverlay = this.D.getHitBaseOverlay(latLng, 3);
        if (!(hitBaseOverlay instanceof GLTFOverlay)) {
            return false;
        }
        GLTFOverlay gLTFOverlay = (GLTFOverlay) hitBaseOverlay;
        if (!gLTFOverlay.isClickable()) {
            return false;
        }
        try {
            this.D.set2Top(gLTFOverlay.getId());
            gLTFOverlay.tapClick();
            return true;
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "onGLTFTap");
            th.printStackTrace();
            return false;
        }
    }

    private boolean g(MotionEvent motionEvent) {
        if (!(this.D == null || this.aG == null)) {
            DPoint obtain = DPoint.obtain();
            if (this.f != null) {
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
                MultiPointItem multiPointItem = this.D.getMultiPointItem(new LatLng(obtain.y, obtain.x));
                if (multiPointItem == null) {
                    return false;
                }
                boolean onPointClick = this.aG.onPointClick(multiPointItem);
                obtain.recycle();
                return onPointClick;
            }
        }
        return false;
    }

    private boolean h(MotionEvent motionEvent) throws RemoteException {
        try {
            List a2 = this.u.a(AMap.OnInfoWindowClickListener.class.hashCode());
            BaseOverlay a3 = this.w.a(motionEvent);
            if (a3 == null || !(a3 instanceof Marker)) {
                return false;
            }
            synchronized (a2) {
                for (int i2 = 0; i2 < a2.size(); i2++) {
                    ((AMap.OnInfoWindowClickListener) a2.get(i2)).onInfoWindowClick((Marker) a3);
                }
            }
            return true;
        } catch (Throwable th) {
            return false;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void drawFrame(GL10 gl10) {
        if (!this.G.get() && this.f != null && EGL14.eglGetCurrentContext() != EGL14.EGL_NO_CONTEXT) {
            MapConfig mapConfig = this.b;
            if (mapConfig == null || mapConfig.isMapEnable()) {
                a(this.F);
                this.f.renderAMap();
                this.f.pushRendererState();
                k kVar = this.aH;
                if (kVar != null) {
                    kVar.a();
                }
                i();
                k();
                if (!this.ay) {
                    this.ay = true;
                }
                this.f.popRendererState();
                if (Cdo.a()) {
                    try {
                        if (this.B instanceof o) {
                            if (this.d == null) {
                                this.d = new Cdo();
                            }
                            this.d.e();
                            if (this.d.f() && !this.d.d()) {
                                if (this.d.a(((o) this.B).getBitmap())) {
                                    if (Cdo.b()) {
                                        removecache();
                                    }
                                    if (Cdo.c()) {
                                        Cdo.g();
                                    }
                                    dz.b(dy.g, "pure screen: found pure check");
                                }
                            }
                        }
                    } catch (Throwable th) {
                        gn.b(th, "AMapDelegateImp", "PureScreenCheckTool.checkBlackScreen");
                    }
                }
            } else {
                GLES20.glClear(LogType.UNEXP_RESTART);
            }
        }
    }

    private void a(int i2) {
        int i3 = this.ai;
        if (i3 != -1) {
            this.an.setRenderFps((float) i3);
            resetRenderTime();
        } else if (this.f.isInMapAction(i2) || this.au) {
            this.an.setRenderFps(40.0f);
        } else if (this.f.isInMapAnimation(i2)) {
            this.an.setRenderFps(30.0f);
            this.an.resetTickCount(15);
        } else if (this.D.isGLTFAnimated()) {
            this.an.setRenderFps(30.0f);
            this.an.resetTickCount(15);
        } else {
            this.an.setRenderFps(15.0f);
        }
        if (this.b.isWorldMapEnable() != MapsInitializer.isLoadWorldGridMap()) {
            b();
            this.b.setWorldMapEnable(MapsInitializer.isLoadWorldGridMap());
        }
    }

    private void i() {
        if (this.U > 0) {
            boolean canStopMapRender = this.f.canStopMapRender(this.F);
            if (!canStopMapRender) {
                int i2 = this.U - 1;
                this.U = i2;
                if (i2 > 0) {
                    this.f.renderAMap();
                    return;
                }
            }
            this.U = 0;
            Message obtainMessage = this.j.obtainMessage(15, this.f.getScreenShot(this.F, 0, 0, getMapWidth(), getMapHeight()));
            obtainMessage.arg1 = canStopMapRender ? 1 : 0;
            obtainMessage.sendToTarget();
        }
    }

    private void j() {
        GLMapState mapState;
        List a2;
        List a3;
        List a4;
        if (!this.G.get() && (mapState = this.f.getMapState(this.F)) != null) {
            mapState.getViewMatrix(this.b.getViewMatrix());
            mapState.getProjectionMatrix(this.b.getProjectionMatrix());
            this.b.updateFinalMatrix();
            DPoint mapGeoCenter = mapState.getMapGeoCenter();
            this.b.setSX(mapGeoCenter.x);
            this.b.setSY(mapGeoCenter.y);
            this.b.setSZ(mapState.getMapZoomer());
            this.b.setSC(mapState.getCameraDegree());
            this.b.setSR(mapState.getMapAngle());
            this.b.setSkyHeight(mapState.getSkyHeight());
            if (this.b.isMapStateChange()) {
                DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(mapGeoCenter.x, mapGeoCenter.y, 20);
                CameraPosition cameraPosition = new CameraPosition(new LatLng(pixelsToLatLong.y, pixelsToLatLong.x, false), this.b.getSZ(), this.b.getSC(), this.b.getSR());
                pixelsToLatLong.recycle();
                Message obtainMessage = this.j.obtainMessage();
                obtainMessage.what = 10;
                obtainMessage.obj = cameraPosition;
                this.j.sendMessage(obtainMessage);
                boolean z2 = true;
                this.av = true;
                redrawInfoWindow();
                try {
                    if (this.z.isZoomControlsEnabled() && this.b.isNeedUpdateZoomControllerState() && (a4 = this.u.a(AMapWidgetListener.class.hashCode())) != null && a4.size() > 0) {
                        synchronized (a4) {
                            for (int i2 = 0; i2 < a4.size(); i2++) {
                                ((AMapWidgetListener) a4.get(i2)).invalidateZoomController(this.b.getSZ());
                            }
                        }
                    }
                    if (this.b.getChangeGridRatio() != 1.0d) {
                        b();
                    }
                    if (!this.z.isCompassEnabled() || (!this.b.isTiltChanged() && !this.b.isBearingChanged())) {
                        z2 = false;
                    }
                    if (z2 && (a3 = this.u.a(AMapWidgetListener.class.hashCode())) != null && a3.size() > 0) {
                        synchronized (a3) {
                            for (int i3 = 0; i3 < a3.size(); i3++) {
                                ((AMapWidgetListener) a3.get(i3)).invalidateCompassView();
                            }
                        }
                    }
                    if (this.z.isScaleControlsEnabled() && (a2 = this.u.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                        synchronized (a2) {
                            for (int i4 = 0; i4 < a2.size(); i4++) {
                                ((AMapWidgetListener) a2.get(i4)).invalidateScaleView();
                            }
                        }
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            } else if (!this.au && this.f.getAnimateionsCount() == 0 && this.f.getStateMessageCount() == 0) {
                onChangeFinish();
            }
        }
    }

    private void k() {
        if (!this.J) {
            this.j.sendEmptyMessage(16);
            this.J = true;
            b();
        }
        long j2 = this.bf;
        if (j2 < 2) {
            this.bf = j2 + 1;
            return;
        }
        final ed d2 = this.C.d();
        if (d2 != null && d2.getVisibility() != 8) {
            du.a(this.e, System.currentTimeMillis() - this.aI);
            this.j.post(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass12 */

                public final void run() {
                    if (!l.this.H) {
                        try {
                            if (l.this.c != null) {
                                l.this.setIndoorBuildingInfo(l.this.c);
                            }
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                        d2.a();
                    }
                }
            });
            this.f.setStyleChangeGradualEnable(this.F, true);
        }
    }

    /* access modifiers changed from: package-private */
    public final void b() {
        this.j.obtainMessage(17, 1, 0).sendToTarget();
    }

    private void b(final int i2) {
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass13 */

            public final void run() {
                if (l.this.aw && l.this.f != null) {
                    l.this.f.setHighlightSubwayEnable(i2, false);
                }
            }
        });
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getMapAngle(int i2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getSR();
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getGeoCenter(int i2, IPoint iPoint) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            iPoint.x = (int) mapConfig.getSX();
            iPoint.y = (int) this.b.getSY();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getCameraDegree(int i2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getSC();
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void addGestureMapMessage(int i2, AbstractGestureMapMessage abstractGestureMapMessage) {
        if (this.aw && this.f != null) {
            try {
                abstractGestureMapMessage.isUseAnchor = this.I;
                abstractGestureMapMessage.anchorX = this.b.getAnchorX();
                abstractGestureMapMessage.anchorY = this.b.getAnchorY();
                this.f.addGestureMessage(i2, abstractGestureMapMessage, this.z.isGestureScaleByMapCenter(), this.b.getAnchorX(), this.b.getAnchorY());
            } catch (RemoteException e2) {
            }
        }
    }

    private void c(int i2) {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.renderPause();
        }
        f(i2);
    }

    private void d(int i2) {
        f(i2);
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.renderResume();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void resetRenderTimeLongLong() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(30);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void resetRenderTime() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(2);
        }
    }

    private void l() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(2);
        }
    }

    private void m() {
        GLMapRender gLMapRender;
        if (this.aw && (gLMapRender = this.an) != null && !gLMapRender.isRenderPause()) {
            requestRender();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void requestRender() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null && !gLMapRender.isRenderPause()) {
            this.B.requestRender();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeMapLogo(int i2, boolean z2) {
        if (!this.G.get()) {
            try {
                List a2 = this.u.a(AMapWidgetListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    this.C.g(Boolean.valueOf(!z2));
                }
            } catch (Throwable th) {
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getRenderMode() {
        return this.B.getRenderMode();
    }

    private void n() {
        if (!this.ad) {
            try {
                this.aa.setName("AuthThread");
                this.aa.start();
                this.ad = true;
            } catch (Throwable th) {
                th.printStackTrace();
                dx.a(th);
            }
        }
    }

    private void o() {
        if (!this.ae) {
            try {
                if (this.ab == null) {
                    this.ab = new r(this.e, this);
                }
                this.ab.setName("AuthProThread");
                this.ab.start();
                this.ae = true;
            } catch (Throwable th) {
                th.printStackTrace();
                dx.a(th);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getMapZoomScale() {
        return this.ar;
    }

    public final synchronized void a(int i2, int i3, int i4) {
        a(i2, i3, i4, false, null);
    }

    private synchronized void a(final int i2, final int i3, final int i4, final boolean z2, final StyleItem[] styleItemArr) {
        if (!this.ax || !this.aw || !this.a) {
            this.aL.f = i2;
            this.aL.d = i3;
            this.aL.e = i4;
            this.aL.b = true;
            return;
        }
        e(i4);
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass14 */

            public final void run() {
                try {
                    l.this.f.setMapModeAndStyle(i2, i3, i4, z2, styleItemArr);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    private void e(int i2) {
        ei eiVar = this.C;
        if (eiVar == null) {
            return;
        }
        if (i2 == 0) {
            if (eiVar.b()) {
                this.C.g(Boolean.FALSE);
                this.C.c();
            }
        } else if (!eiVar.b()) {
            this.C.g(Boolean.TRUE);
            this.C.c();
        }
    }

    private void f(final int i2) {
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass15 */

            public final void run() {
                try {
                    l.this.f.clearAllMessages(i2);
                    l.this.f.clearAnimations(i2, true);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    public final void a(final int i2, final boolean z2) {
        if (!this.aw || !this.ax) {
            this.aN.c = z2;
            this.aN.b = true;
            this.aN.f = i2;
            return;
        }
        resetRenderTime();
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass16 */

            public final void run() {
                try {
                    l.this.f.setBuildingEnable(i2, z2);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    public final void b(final int i2, final boolean z2) {
        if (!this.aw || !this.ax) {
            this.aU.c = z2;
            this.aU.b = true;
            this.aU.f = i2;
            return;
        }
        resetRenderTime();
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass17 */

            public final void run() {
                if (l.this.f != null) {
                    if (z2) {
                        l.this.f.setAllContentEnable(i2, true);
                    } else {
                        l.this.f.setAllContentEnable(i2, false);
                    }
                    l.this.f.setSimple3DEnable(i2, false);
                }
            }
        });
    }

    public final void c(final int i2, final boolean z2) {
        if (!this.aw || !this.ax) {
            this.aX.c = z2;
            this.aX.b = true;
            this.aX.f = i2;
            return;
        }
        resetRenderTime();
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass18 */

            public final void run() {
                try {
                    if (z2) {
                        l.this.f.setBuildingTextureEnable(i2, true);
                    } else {
                        l.this.f.setBuildingTextureEnable(i2, false);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final synchronized void createSurface(int i2, GL10 gl10, EGLConfig eGLConfig) {
        dz.a(dy.c, "createSurface");
        this.aI = System.currentTimeMillis();
        if (this.Y == 3) {
            this.C.d().a(ed.b);
        } else {
            this.C.d().a(ed.a);
        }
        this.ax = false;
        this.g = this.B.getWidth();
        this.h = this.B.getHeight();
        this.az = false;
        try {
            AeUtil.loadLib(this.e);
            dz.a(dy.c, "load lib complete");
            AeUtil.initCrashHandle(this.e);
            GLMapEngine.InitParam initResource = AeUtil.initResource(this.e);
            dz.a(dy.c, "load res complete");
            this.f.createAMapInstance(initResource);
            dz.a(dy.c, "create engine complete");
            this.aF = new cq();
            dz.a(dy.c, "init shader complete");
            if (this.aY != null) {
                this.aY.i();
            }
            this.aw = true;
            this.l = gl10.glGetString(7937);
        } catch (Throwable th) {
            dx.a(th);
            gn.b(th, "AMapDElegateImp", "createSurface");
            String str = dy.c;
            dz.b(str, "createSurface failed " + th.getMessage());
            Context context = this.e;
            du.b(context, "init failed:" + th.getMessage());
        }
        if (fo.a(this.e, dx.a()).a == fo.c.SuccessCode) {
            n();
        }
        if (MapsInitializer.isTerrainEnable() && this.ac == null) {
            v vVar = new v(this.e, this);
            this.ac = vVar;
            vVar.a(0);
        }
        if (this.ag != null) {
            this.ag.onSurfaceCreated(gl10, eGLConfig);
        }
        if (this.aY != null) {
            this.aY.c();
        }
        this.D.onCreateAMapInstance();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeSurface(int i2, GL10 gl10, int i3, int i4) {
        WindowManager windowManager;
        String str = dy.c;
        dz.a(str, "changeSurface " + i3 + Operators.SPACE_STR + i4);
        this.az = false;
        if (!this.aw) {
            createSurface(i2, gl10, null);
        }
        z zVar = this.ao;
        if (!(zVar == null || this.e == null || ((this.g == zVar.b() && this.h == this.ao.c()) || (windowManager = (WindowManager) this.e.getSystemService("window")) == null))) {
            Display defaultDisplay = windowManager.getDefaultDisplay();
            DisplayMetrics displayMetrics = new DisplayMetrics();
            if (defaultDisplay != null) {
                defaultDisplay.getRealMetrics(displayMetrics);
                this.ao.a(displayMetrics.widthPixels, displayMetrics.heightPixels);
            }
        }
        this.g = i3;
        this.h = i4;
        this.X = new Rect(0, 0, i3, i4);
        this.F = a(i2, new Rect(0, 0, this.g, this.h), this.g, this.h);
        dz.a(dy.c, "create engine with frame complete");
        if (!this.ax) {
            MapConfig mapConfig = this.b;
            if (mapConfig != null) {
                mapConfig.setMapZoomScale(this.ar);
                this.b.setMapWidth(i3);
                this.b.setMapHeight(i4);
            }
            this.f.setIndoorEnable(this.F, false);
            this.f.setSimple3DEnable(this.F, false);
            this.f.setStyleChangeGradualEnable(this.F, false);
            this.f.initMapOpenLayer("{\"bounds\" : [{\"x2\" : 235405312,\"x1\" : 188874751,\"y2\" : 85065727,\"y1\" : 122421247}],\"sublyr\" : [{\"type\" : 4,\"sid\" : 9000006,\"zlevel\" : 2}],\"id\" : 9006,\"minzoom\" : 6,\"update_period\" : 90,\"maxzoom\" : 20,\"cachemode\" : 2,\"url\" : \"http://mpsapi.amap.com/ws/mps/lyrdata/ugc/\"}");
            GLMapEngine.InitParam initParam = new GLMapEngine.InitParam();
            AeUtil.initIntersectionRes(this.e, initParam);
            this.f.setVectorOverlayPath(initParam.mIntersectionResPath);
        }
        synchronized (this) {
            this.ax = true;
        }
        if (!this.I) {
            this.b.setAnchorX(i3 >> 1);
            this.b.setAnchorY(i4 >> 1);
        } else {
            this.b.setAnchorX(Math.max(1, Math.min(this.aC, i3 - 1)));
            this.b.setAnchorY(Math.max(1, Math.min(this.aD, i4 - 1)));
        }
        this.f.setProjectionCenter(this.F, this.b.getAnchorX(), this.b.getAnchorY());
        this.a = true;
        if (this.aU.b) {
            this.aU.run();
        }
        if (this.aL.b) {
            this.aL.run();
        }
        if (this.aM.b) {
            this.aM.run();
        }
        if (this.aJ.b) {
            this.aJ.run();
        }
        if (this.aN.b) {
            this.aN.run();
        }
        if (this.aX.b) {
            this.aX.run();
        }
        if (this.aO.b) {
            this.aO.run();
        }
        if (this.aP.b) {
            this.aP.run();
        }
        if (this.aQ.b) {
            this.aQ.run();
        }
        if (this.aV.b) {
            this.aV.run();
        }
        if (this.aK.b) {
            this.aK.run();
        }
        if (this.aR.b) {
            this.aR.run();
        }
        a aVar = this.aS;
        if (aVar != null) {
            aVar.run();
        }
        a aVar2 = this.aT;
        if (aVar2 != null) {
            aVar2.run();
        }
        CustomRenderer customRenderer = this.ag;
        if (customRenderer != null) {
            customRenderer.onSurfaceChanged(gl10, i3, i4);
        }
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.d();
        }
        Handler handler = this.j;
        if (handler != null) {
            handler.post(this.aW);
        }
        redrawInfoWindow();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void destroySurface(int i2) {
        this.aA.lock();
        try {
            if (this.aw) {
                EGL14.eglGetCurrentContext();
                EGLContext eGLContext = EGL14.EGL_NO_CONTEXT;
                r();
                if (this.f != null) {
                    if (this.f.getOverlayBundle(this.F) != null) {
                        this.f.getOverlayBundle(this.F).removeAll(true);
                    }
                    this.f.destroyAMapEngine();
                    this.f = null;
                    if (this.bd > 0) {
                        du.a(this.e, this.bd);
                    }
                    dz.a(dy.c, "destroy engine complete");
                }
                if (this.aY != null) {
                    this.aY.f();
                }
            }
            this.aw = false;
            this.ax = false;
            this.az = false;
        } catch (Throwable th) {
            dx.a(th);
        } finally {
            this.aA.unlock();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Context getContext() {
        return this.e;
    }

    private int a(int i2, Rect rect, int i3, int i4) {
        int i5;
        int i6;
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine == null || i2 < 0) {
            i5 = 0;
        } else {
            i5 = gLMapEngine.getEngineIDWithType(i2);
            if (!this.f.isEngineCreated(i5)) {
                if (Build.VERSION.SDK_INT >= 4) {
                    i6 = this.e.getResources().getDisplayMetrics().densityDpi;
                } else {
                    i6 = 0;
                }
                float f2 = this.e.getResources().getDisplayMetrics().density;
                NativeTextGenerate.getInstance().setDensity(f2);
                GLMapEngine.MapViewInitParam mapViewInitParam = new GLMapEngine.MapViewInitParam();
                mapViewInitParam.engineId = i5;
                mapViewInitParam.x = rect.left;
                mapViewInitParam.y = rect.top;
                mapViewInitParam.width = rect.width();
                mapViewInitParam.height = rect.height();
                mapViewInitParam.screenWidth = i3;
                mapViewInitParam.screenHeight = i4;
                mapViewInitParam.screenScale = f2;
                mapViewInitParam.textScale = this.as * f2;
                mapViewInitParam.mapZoomScale = this.ar;
                mapViewInitParam.taskThreadCount = 3;
                this.f.createAMapEngineWithFrame(mapViewInitParam);
                GLMapState mapState = this.f.getMapState(i5);
                mapState.setMapZoomer(this.b.getSZ());
                mapState.setCameraDegree(this.b.getSC());
                mapState.setMapAngle(this.b.getSR());
                mapState.setMapGeoCenter(this.b.getSX(), this.b.getSY());
                this.f.setMapState(i5, mapState);
                this.ar = mapState.calMapZoomScalefactor(i3, i4, i6);
                this.f.setOvelayBundle(i5, new GLOverlayBundle<>(i5, this));
            } else {
                a(i5, rect.left, rect.top, rect.width(), rect.height(), i3, i4);
            }
        }
        this.G.set(false);
        return i5;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getEngineIDWithGestureInfo(EAMapPlatformGestureInfo eAMapPlatformGestureInfo) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getEngineIDWithGestureInfo(eAMapPlatformGestureInfo);
        }
        return this.F;
    }

    private void a(int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.setServiceViewRect(i2, i3, i4, i5, i6, i7, i8);
        }
    }

    private boolean g(int i2) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getSrvViewStateBoolValue(i2, 7);
        }
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final CameraPosition getCameraPosition() throws RemoteException {
        return getCameraPositionPrj(this.I);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getMaxZoomLevel() {
        try {
            if (this.b != null) {
                return this.b.getMaxZoomLevel();
            }
            return 20.0f;
        } catch (Throwable th) {
            dx.a(th);
            return 20.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getMinZoomLevel() {
        try {
            if (this.b != null) {
                return this.b.getMinZoomLevel();
            }
            return 3.0f;
        } catch (Throwable th) {
            dx.a(th);
            return 3.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void moveCamera(CameraUpdate cameraUpdate) throws RemoteException {
        if (cameraUpdate != null) {
            try {
                moveCamera(cameraUpdate.getCameraUpdateFactoryDelegate());
            } catch (Throwable th) {
                dx.a(th);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void moveCamera(AbstractCameraUpdateMessage abstractCameraUpdateMessage) throws RemoteException {
        if (this.f != null && !this.G.get()) {
            try {
                if (this.H && this.f.getStateMessageCount() > 0) {
                    AbstractCameraUpdateMessage c2 = al.c();
                    c2.nowType = AbstractCameraUpdateMessage.Type.changeGeoCenterZoomTiltBearing;
                    c2.geoPoint = new DPoint(this.b.getSX(), this.b.getSY());
                    c2.zoom = this.b.getSZ();
                    c2.bearing = this.b.getSR();
                    c2.tilt = this.b.getSC();
                    this.f.addMessage(abstractCameraUpdateMessage, false);
                    while (this.f.getStateMessageCount() > 0) {
                        AbstractCameraUpdateMessage stateMessage = this.f.getStateMessage();
                        if (stateMessage != null) {
                            stateMessage.mergeCameraUpdateDelegate(c2);
                        }
                    }
                    abstractCameraUpdateMessage = c2;
                }
            } catch (Throwable th) {
                dx.a(th);
            }
            resetRenderTime();
            this.f.clearAnimations(this.F, false);
            abstractCameraUpdateMessage.isChangeFinished = true;
            a(abstractCameraUpdateMessage);
            this.f.addMessage(abstractCameraUpdateMessage, false);
        }
    }

    private void a(AbstractCameraUpdateMessage abstractCameraUpdateMessage) {
        abstractCameraUpdateMessage.isUseAnchor = this.I;
        if (this.I) {
            abstractCameraUpdateMessage.anchorX = this.b.getAnchorX();
            abstractCameraUpdateMessage.anchorY = this.b.getAnchorY();
        }
        if (abstractCameraUpdateMessage.width == 0) {
            abstractCameraUpdateMessage.width = getMapWidth();
        }
        if (abstractCameraUpdateMessage.height == 0) {
            abstractCameraUpdateMessage.height = getMapHeight();
        }
        abstractCameraUpdateMessage.mapConfig = this.b;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCamera(CameraUpdate cameraUpdate) throws RemoteException {
        if (cameraUpdate != null) {
            animateCamera(cameraUpdate.getCameraUpdateFactoryDelegate());
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void animateCamera(AbstractCameraUpdateMessage abstractCameraUpdateMessage) throws RemoteException {
        animateCameraWithDurationAndCallback(abstractCameraUpdateMessage, 250, (AMap.CancelableCallback) null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCameraWithCallback(CameraUpdate cameraUpdate, AMap.CancelableCallback cancelableCallback) throws RemoteException {
        if (cameraUpdate != null) {
            animateCameraWithDurationAndCallback(cameraUpdate, 250, cancelableCallback);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCameraWithDurationAndCallback(CameraUpdate cameraUpdate, long j2, AMap.CancelableCallback cancelableCallback) {
        if (cameraUpdate != null) {
            animateCameraWithDurationAndCallback(cameraUpdate.getCameraUpdateFactoryDelegate(), j2, cancelableCallback);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void animateCameraWithDurationAndCallback(AbstractCameraUpdateMessage abstractCameraUpdateMessage, long j2, AMap.CancelableCallback cancelableCallback) {
        if (abstractCameraUpdateMessage != null && !this.G.get() && this.f != null) {
            abstractCameraUpdateMessage.mCallback = cancelableCallback;
            abstractCameraUpdateMessage.mDuration = j2;
            if (this.H || getMapHeight() == 0 || getMapWidth() == 0) {
                try {
                    moveCamera(abstractCameraUpdateMessage);
                    if (abstractCameraUpdateMessage.mCallback != null) {
                        abstractCameraUpdateMessage.mCallback.onFinish();
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                    dx.a(th);
                }
            } else {
                try {
                    this.f.interruptAnimation();
                    resetRenderTime();
                    a(abstractCameraUpdateMessage);
                    this.f.addMessage(abstractCameraUpdateMessage, true);
                } catch (Throwable th2) {
                    dx.a(th2);
                    th2.printStackTrace();
                }
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void stopAnimation() throws RemoteException {
        try {
            if (this.f != null) {
                this.f.interruptAnimation();
            }
            resetRenderTime();
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Polyline addPolyline(PolylineOptions polylineOptions) throws RemoteException {
        if (polylineOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            String createId = this.D.createId("POLYLINE");
            return (Polyline) this.D.addOverlayObject(createId, new Polyline(this.D, polylineOptions, createId), polylineOptions);
        } catch (Throwable th) {
            dx.a(th);
            String str = dy.d;
            dz.a(str, "addPolyline failed " + th.getMessage(), polylineOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final BuildingOverlay addBuildingOverlay() {
        try {
            du.h(this.e);
            String createId = this.D.createId("BUILDINGOVERLAY");
            BuildingOverlay buildingOverlay = new BuildingOverlay(this.D, createId);
            Field declaredField = buildingOverlay.getClass().getDeclaredField("buildingOverlayTotalOptions");
            if (declaredField == null) {
                return null;
            }
            resetRenderTime();
            declaredField.setAccessible(true);
            Object obj = declaredField.get(buildingOverlay);
            if (this.D == null || !(obj instanceof BaseOptions)) {
                return buildingOverlay;
            }
            return (BuildingOverlay) this.D.addOverlayObject(createId, buildingOverlay, (BaseOptions) obj);
        } catch (Exception e2) {
            e2.printStackTrace();
            dx.a(e2);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GL3DModel addGLModel(GL3DModelOptions gL3DModelOptions) {
        resetRenderTime();
        String createId = this.D.createId("GL3DMODEL");
        GL3DModel gL3DModel = new GL3DModel(this.D, gL3DModelOptions, createId);
        this.D.addOverlayObject(createId, gL3DModel, gL3DModelOptions);
        return gL3DModel;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final ParticleOverlay addParticleOverlay(ParticleOverlayOptions particleOverlayOptions) {
        if (particleOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            du.c(this.e);
            String createId = this.D.createId("PARTICLEOVERLAY");
            return (ParticleOverlay) this.D.addOverlayObject(createId, new ParticleOverlay(this.D, particleOverlayOptions, createId), particleOverlayOptions);
        } catch (Throwable th) {
            dx.a(th);
            th.printStackTrace();
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final NavigateArrow addNavigateArrow(NavigateArrowOptions navigateArrowOptions) throws RemoteException {
        if (navigateArrowOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            NavigateArrowOptions clone = navigateArrowOptions.clone();
            String createId = this.D.createId("NAVIGATEARROW");
            NavigateArrow navigateArrow = new NavigateArrow(this.D, clone, createId);
            if (this.D != null) {
                return (NavigateArrow) this.D.addOverlayObject(createId, navigateArrow, clone);
            }
            return navigateArrow;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Polygon addPolygon(PolygonOptions polygonOptions) throws RemoteException {
        if (polygonOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            PolygonOptions clone = polygonOptions.clone();
            String createId = this.D.createId("POLYGON");
            Polygon polygon = new Polygon(this.D, clone, createId);
            if (this.D != null) {
                return (Polygon) this.D.addOverlayObject(createId, polygon, clone);
            }
            return polygon;
        } catch (Throwable th) {
            dx.a(th);
            String str = dy.d;
            dz.a(str, "addPolygon failed " + th.getMessage(), polygonOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Circle addCircle(CircleOptions circleOptions) throws RemoteException {
        if (circleOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            CircleOptions clone = circleOptions.clone();
            String createId = this.D.createId("CIRCLE");
            Circle circle = new Circle(this.D, clone, createId);
            if (this.D != null) {
                return (Circle) this.D.addOverlayObject(createId, circle, clone);
            }
            return circle;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Arc addArc(ArcOptions arcOptions) throws RemoteException {
        if (arcOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            ArcOptions clone = arcOptions.clone();
            String createId = this.D.createId("ARC");
            Arc arc = new Arc(this.D, clone, createId);
            if (this.D != null) {
                return (Arc) this.D.addOverlayObject(createId, arc, clone);
            }
            return arc;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GroundOverlay addGroundOverlay(GroundOverlayOptions groundOverlayOptions) throws RemoteException {
        if (groundOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            GroundOverlayOptions clone = groundOverlayOptions.clone();
            String createId = this.D.createId("GROUNDOVERLAY");
            GroundOverlay groundOverlay = new GroundOverlay(this.D, clone, createId);
            if (this.D != null) {
                return (GroundOverlay) this.D.addOverlayObject(createId, groundOverlay, clone);
            }
            return groundOverlay;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MultiPointOverlay addMultiPointOverlay(MultiPointOverlayOptions multiPointOverlayOptions) throws RemoteException {
        if (multiPointOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            MultiPointOverlayOptions clone = multiPointOverlayOptions.clone();
            String createId = this.D.createId("MULTIOVERLAY");
            MultiPointOverlay multiPointOverlay = new MultiPointOverlay(this.D, clone, createId);
            if (this.D != null) {
                return (MultiPointOverlay) this.D.addOverlayObject(createId, multiPointOverlay, clone);
            }
            return multiPointOverlay;
        } catch (Throwable th) {
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Marker addMarker(MarkerOptions markerOptions) throws RemoteException {
        try {
            resetRenderTime();
            MarkerOptions clone = markerOptions.clone();
            String createId = this.D.createId("MARKER");
            Marker marker = new Marker(this.D, clone, createId);
            this.D.addOverlayObject(createId, marker, clone);
            return marker;
        } catch (Throwable th) {
            dx.a(th);
            String str = dy.d;
            dz.a(str, "addMarker failed " + th.getMessage(), markerOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Text addText(TextOptions textOptions) throws RemoteException {
        try {
            resetRenderTime();
            String createId = this.D.createId("TEXT");
            TextOptions clone = textOptions.clone();
            MarkerOptions a2 = co.a(clone);
            Marker marker = new Marker(this.D, a2, createId);
            marker.setObject(clone.getObject());
            this.D.addOverlayObject(createId, marker, a2);
            return new Text(marker, clone);
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final ArrayList<Marker> addMarkers(ArrayList<MarkerOptions> arrayList, boolean z2) throws RemoteException {
        try {
            resetRenderTime();
            ArrayList<Marker> arrayList2 = new ArrayList<>();
            final LatLngBounds.Builder builder = LatLngBounds.builder();
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                MarkerOptions markerOptions = arrayList.get(i2);
                if (arrayList.get(i2) != null) {
                    arrayList2.add(addMarker(markerOptions));
                    if (markerOptions.getPosition() != null) {
                        builder.include(markerOptions.getPosition());
                    }
                }
            }
            if (z2 && arrayList2.size() > 0) {
                getMainHandler().postDelayed(new Runnable() {
                    /* class com.amap.api.col.p0003l.l.AnonymousClass19 */

                    public final void run() {
                        try {
                            l.this.moveCamera(al.a(builder.build(), 50));
                        } catch (Throwable th) {
                        }
                    }
                }, 50);
            }
            return arrayList2;
        } catch (Throwable th) {
            dx.a(th);
            String str = dy.d;
            dz.a(str, "addMarkers failed " + th.getMessage(), arrayList);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final TileOverlay addTileOverlay(TileOverlayOptions tileOverlayOptions) throws RemoteException {
        try {
            TileProvider tileProvider = tileOverlayOptions.getTileProvider();
            if (tileProvider != null && (tileProvider instanceof HeatmapTileProvider)) {
                du.a(this.e);
            }
            String createId = this.D.createId("TILEOVERLAY");
            TileOverlay tileOverlay = new TileOverlay(this.D, tileOverlayOptions, createId);
            this.D.addOverlayObject(createId, tileOverlay, tileOverlayOptions);
            return tileOverlay;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MVTTileOverlay addMVTTileOverlay(MVTTileOverlayOptions mVTTileOverlayOptions) throws RemoteException {
        try {
            if (!x.a().b() || x.a().a("feature_mvt")) {
                String createId = this.D.createId("MVTTILEOVERLAY");
                MVTTileOverlay mVTTileOverlay = new MVTTileOverlay(this.D, mVTTileOverlayOptions, createId);
                this.D.addOverlayObject(createId, mVTTileOverlay, mVTTileOverlayOptions);
                return mVTTileOverlay;
            }
            dx.a(new AMapException(AMapException.FEATURE_MVT_NOT_SUPPORT));
            return null;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final HeatMapLayer addHeatMapLayer(HeatMapLayerOptions heatMapLayerOptions) throws RemoteException {
        try {
            resetRenderTime();
            if (heatMapLayerOptions == null) {
                return null;
            }
            String createId = this.D.createId("HEATMAPLAYER");
            return (HeatMapLayer) this.D.addOverlayObject(createId, new HeatMapLayer(this.D, heatMapLayerOptions, createId), heatMapLayerOptions);
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final HeatMapGridLayer addHeatMapGridLayer(HeatMapGridLayerOptions heatMapGridLayerOptions) throws RemoteException {
        try {
            resetRenderTime();
            if (heatMapGridLayerOptions == null) {
                return null;
            }
            String createId = this.D.createId("HEATMAPGRIDLAYER");
            return (HeatMapGridLayer) this.D.addOverlayObject(createId, new HeatMapGridLayer(this.D, heatMapGridLayerOptions, createId), heatMapGridLayerOptions);
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GLTFOverlay addGLTFOverlay(GLTFOverlayOptions gLTFOverlayOptions) throws RemoteException {
        try {
            if (!x.a().b() || x.a().a("feature_gltf")) {
                resetRenderTime();
                GLTFOverlayOptions clone = gLTFOverlayOptions.clone();
                String createId = this.D.createId("GLTFOVERLAY");
                GLTFOverlay gLTFOverlay = new GLTFOverlay(this.D, clone, createId);
                this.D.addOverlayObject(createId, gLTFOverlay, clone);
                return gLTFOverlay;
            }
            dx.a(new AMapException(AMapException.FEATURE_GLTF_NOT_SUPPORT));
            return null;
        } catch (Throwable th) {
            dx.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void clear() throws RemoteException {
        try {
            clear(false);
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "clear");
            dx.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void clear(boolean z2) throws RemoteException {
        try {
            hideInfoWindow();
            String str = null;
            String str2 = "";
            if (this.K != null) {
                if (z2) {
                    str = this.K.d();
                    str2 = this.K.e();
                } else {
                    this.K.f();
                }
            }
            this.D.clear(str, str2);
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass20 */

                public final void run() {
                    if (l.this.f != null && !l.this.G.get()) {
                        l.this.f.removeNativeAllOverlay(l.this.F);
                    }
                }
            });
            resetRenderTime();
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "clear");
            dx.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapType() throws RemoteException {
        return this.Y;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapType(int i2) throws RemoteException {
        MapConfig mapConfig;
        if (i2 != this.Y || ((mapConfig = this.b) != null && mapConfig.isCustomStyleEnable())) {
            this.Y = i2;
            h(i2);
        }
    }

    private void h(int i2) {
        int i3;
        this.Y = i2;
        int i4 = 3;
        if (i2 == 1) {
            i3 = 0;
            i4 = 0;
        } else if (i2 == 2) {
            i3 = 0;
            i4 = 1;
        } else if (i2 == 3) {
            i3 = 1;
            i4 = 0;
        } else if (i2 == 4) {
            i3 = 0;
            i4 = 2;
        } else if (i2 == 5) {
            i3 = 0;
        } else {
            try {
                this.Y = 1;
                i3 = 0;
                i4 = 0;
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "setMaptype");
                th.printStackTrace();
                dx.a(th);
                return;
            }
        }
        this.b.setMapStyleMode(i4);
        this.b.setMapStyleTime(i3);
        if (this.b.isCustomStyleEnable()) {
            if (this.aH == null || !this.aH.d()) {
                a(this.F, i4, i3);
                this.b.setCustomStyleEnable(false);
            } else {
                this.aH.e();
            }
            this.z.setLogoEnable(true);
        } else {
            if (this.b.getMapLanguage().equals("en")) {
                setMapLanguage("zh_cn");
            }
            a(this.F, i4, i3);
        }
        resetRenderTime();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isTrafficEnabled() throws RemoteException {
        return this.b.isTrafficEnabled();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficEnabled(final boolean z2) throws RemoteException {
        try {
            if (!this.aw || this.G.get()) {
                this.aJ.c = z2;
                this.aJ.b = true;
                this.aJ.f = this.F;
                return;
            }
            queueEvent(new Runnable(z2) {
                /* class com.amap.api.col.p0003l.l.AnonymousClass22 */
                final /* synthetic */ boolean a;

                {
                    this.a = r2;
                }

                public final void run() {
                    try {
                        if (l.this.b.isTrafficEnabled() != this.a) {
                            l.this.b.setTrafficEnabled(z2);
                            l.this.an.setTrafficMode(this.a);
                            l.this.f.setTrafficEnable(l.this.F, this.a);
                            l.this.resetRenderTime();
                        }
                    } catch (Throwable th) {
                        th.printStackTrace();
                        dx.a(th);
                    }
                }
            });
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isIndoorEnabled() throws RemoteException {
        return this.b.isIndoorEnable();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setIndoorEnabled(final boolean z2) throws RemoteException {
        List a2;
        try {
            if (!this.aw || this.G.get()) {
                this.aV.c = z2;
                this.aV.b = true;
                this.aV.f = this.F;
                return;
            }
            this.b.setIndoorEnable(z2);
            resetRenderTime();
            if (!z2) {
                if (this.f != null) {
                    this.f.setIndoorEnable(this.F, false);
                }
                this.b.maxZoomLevel = this.b.isSetLimitZoomLevel() ? this.b.getMaxZoomLevel() : 20.0f;
                try {
                    if (this.z.isZoomControlsEnabled() && (a2 = this.u.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                        synchronized (a2) {
                            for (int i2 = 0; i2 < a2.size(); i2++) {
                                ((AMapWidgetListener) a2.get(i2)).invalidateZoomController(this.b.getSZ());
                            }
                        }
                    }
                } catch (Throwable th) {
                }
            } else if (this.f != null) {
                this.f.setIndoorEnable(this.F, true);
            }
            du.c(this.e, z2);
            if (this.z.isIndoorSwitchEnabled()) {
                this.j.post(new Runnable() {
                    /* class com.amap.api.col.p0003l.l.AnonymousClass23 */

                    public final void run() {
                        if (z2) {
                            l.this.showIndoorSwitchControlsEnabled(true);
                        } else if (l.this.C != null) {
                            l.this.C.i(Boolean.FALSE);
                        }
                    }
                });
            }
        } catch (Throwable th2) {
            dx.a(th2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void set3DBuildingEnabled(boolean z2) throws RemoteException {
        try {
            c(this.F);
            a(this.F, z2);
            d(this.F);
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isMyLocationEnabled() throws RemoteException {
        return this.E;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationEnabled(boolean z2) throws RemoteException {
        if (!this.G.get()) {
            try {
                if (this.C != null) {
                    if (this.L == null) {
                        this.C.h(Boolean.FALSE);
                    } else if (z2) {
                        this.L.activate(this.t);
                        this.C.h(Boolean.TRUE);
                        if (this.K == null) {
                            this.K = new cl(this, this.e);
                        }
                    } else {
                        if (this.K != null) {
                            this.K.c();
                            this.K = null;
                        }
                        this.L.deactivate();
                    }
                }
                if (!z2) {
                    this.z.setMyLocationButtonEnabled(z2);
                }
                this.E = z2;
                resetRenderTime();
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "setMyLocationEnabled");
                th.printStackTrace();
                dx.a(th);
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setLoadOfflineData(final boolean z2) throws RemoteException {
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass24 */

            public final void run() {
                if (l.this.f != null) {
                    l.this.f.setOfflineDataEnable(l.this.F, z2);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationStyle(MyLocationStyle myLocationStyle) throws RemoteException {
        if (!this.G.get()) {
            try {
                if (this.K == null) {
                    this.K = new cl(this, this.e);
                }
                if (this.K != null) {
                    if (myLocationStyle.getInterval() < 1000) {
                        myLocationStyle.interval(1000);
                    }
                    if (this.L != null && (this.L instanceof aw)) {
                        ((aw) this.L).a(myLocationStyle.getInterval());
                        ((aw) this.L).a(myLocationStyle.getMyLocationType());
                    }
                    this.K.a(myLocationStyle);
                }
            } catch (Throwable th) {
                dx.a(th);
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationType(int i2) throws RemoteException {
        try {
            if (this.K != null && this.K.a() != null) {
                this.K.a().myLocationType(i2);
                setMyLocationStyle(this.K.a());
            }
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final List<Marker> getMapScreenMarkers() throws RemoteException {
        if (!dx.a(getMapWidth(), getMapHeight())) {
            return new ArrayList();
        }
        if (this.G.get()) {
            return new ArrayList();
        }
        return this.D.getMapScreenMarkers();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapTextEnable(final boolean z2) throws RemoteException {
        try {
            if (!this.aw || !this.ax) {
                this.aO.c = z2;
                this.aO.b = true;
                this.aO.f = this.F;
                return;
            }
            resetRenderTime();
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass25 */

                public final void run() {
                    try {
                        l.this.f.setLabelEnable(l.this.F, z2);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRoadArrowEnable(final boolean z2) throws RemoteException {
        try {
            if (!this.aw || !this.ax) {
                this.aP.c = z2;
                this.aP.b = true;
                this.aP.f = this.F;
                return;
            }
            resetRenderTime();
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass26 */

                public final void run() {
                    try {
                        l.this.f.setRoadArrowEnable(l.this.F, z2);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setNaviLabelEnable(final boolean z2, final int i2, final int i3) throws RemoteException {
        try {
            if (!this.aw || !this.ax) {
                this.aQ.c = z2;
                this.aQ.g = i2;
                this.aQ.h = i3;
                this.aQ.b = true;
                this.aQ.f = this.F;
                return;
            }
            resetRenderTime();
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass27 */

                public final void run() {
                    try {
                        l.this.f.setNaviLabelEnable(l.this.F, z2, i2, i3);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setConstructingRoadEnable(final boolean z2) {
        try {
            if (!this.aw || !this.ax) {
                this.aR.c = z2;
                this.aR.b = true;
                this.aR.f = this.F;
                return;
            }
            resetRenderTime();
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass28 */

                public final void run() {
                    try {
                        l.this.f.setMapOpenLayerEnable(z2);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficStyleWithTexture(final byte[] bArr, final MyTrafficStyle myTrafficStyle) {
        if (!this.G.get()) {
            try {
                if (!this.aw || !this.ax || bArr == null || myTrafficStyle == null) {
                    this.aT.i = bArr;
                    this.aT.j = myTrafficStyle;
                    this.aT.b = true;
                    this.aT.f = this.F;
                    return;
                }
                resetRenderTime();
                queueEvent(new Runnable() {
                    /* class com.amap.api.col.p0003l.l.AnonymousClass29 */

                    public final void run() {
                        try {
                            l.this.f.setTrafficStyleWithTexture(l.this.F, bArr, myTrafficStyle);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } catch (Exception e2) {
                dx.a(e2);
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficStyleWithTextureData(final byte[] bArr) {
        if (!this.G.get()) {
            try {
                if (!this.aw || !this.ax || bArr == null) {
                    this.aS.i = bArr;
                    this.aS.b = true;
                    this.aS.f = this.F;
                    return;
                }
                resetRenderTime();
                queueEvent(new Runnable() {
                    /* class com.amap.api.col.p0003l.l.AnonymousClass30 */

                    public final void run() {
                        try {
                            l.this.f.setTrafficStyleWithTextureData(l.this.F, bArr);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } catch (Throwable th) {
                dx.a(th);
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Location getMyLocation() throws RemoteException {
        if (this.L != null) {
            return this.t.a;
        }
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setLocationSource(LocationSource locationSource) throws RemoteException {
        try {
            if (!this.G.get()) {
                if (this.L != null && (this.L instanceof aw)) {
                    this.L.deactivate();
                }
                this.L = locationSource;
                if (locationSource != null) {
                    this.C.h(Boolean.TRUE);
                } else {
                    this.C.h(Boolean.FALSE);
                }
            }
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "setLocationSource");
            th.printStackTrace();
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationRotateAngle(float f2) throws RemoteException {
        try {
            if (this.K != null) {
                this.K.a(f2);
            }
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final UiSettings getAMapUiSettings() throws RemoteException {
        if (this.x == null) {
            this.x = new UiSettings(this.z);
        }
        return this.x;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Projection getAMapProjection() throws RemoteException {
        return new Projection(this.y);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMapClickListener.class.hashCode(), onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMapTouchListener.class.hashCode(), onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnPOIClickListener.class.hashCode(), onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMapLongClickListener.class.hashCode(), onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMarkerClickListener.class.hashCode(), onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnPolylineClickListener.class.hashCode(), onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMarkerDragListener.class.hashCode(), onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMaploadedListener(AMap.OnMapLoadedListener onMapLoadedListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMapLoadedListener.class.hashCode(), onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnCameraChangeListener.class.hashCode(), onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnInfoWindowClickListener.class.hashCode(), onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnIndoorBuildingActiveListener.class.hashCode(), onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMyLocationChangeListener(AMap.OnMyLocationChangeListener onMyLocationChangeListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(AMap.OnMyLocationChangeListener.class.hashCode(), onMyLocationChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setInfoWindowAdapter(AMap.InfoWindowAdapter infoWindowAdapter) throws RemoteException {
        av avVar;
        if (!this.G.get() && (avVar = this.w) != null) {
            avVar.a(infoWindowAdapter);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setInfoWindowAdapter(AMap.CommonInfoWindowAdapter commonInfoWindowAdapter) throws RemoteException {
        av avVar;
        if (!this.G.get() && (avVar = this.w) != null) {
            avVar.a(commonInfoWindowAdapter);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMultiPointClickListener(AMap.OnMultiPointClickListener onMultiPointClickListener) {
        this.aG = onMultiPointClickListener;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getMapContentApprovalNumber() {
        MapConfig mapConfig = this.b;
        if (mapConfig == null || mapConfig.isCustomStyleEnable()) {
            return null;
        }
        du.d(this.e);
        String a2 = dn.a(this.e, "approval_number", bg.A, "");
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        return "GS(2021)5875号 | GS(2020)2189号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getSatelliteImageApprovalNumber() {
        du.e(this.e);
        String a2 = dn.a(this.e, "approval_number", "si", "");
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        return "GS(2021)1328号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getTerrainApprovalNumber() {
        du.f(this.e);
        String a2 = dn.a(this.e, "approval_number", "te", "");
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        return "GS(2021)6352号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapLanguage(String str) {
        MapConfig mapConfig;
        if (!TextUtils.isEmpty(str) && (mapConfig = this.b) != null && !mapConfig.isCustomStyleEnable() && !this.b.getMapLanguage().equals(str)) {
            if (!str.equals("en")) {
                this.b.setMapLanguage("zh_cn");
                this.af = 0;
            } else {
                if (this.Y != 1) {
                    try {
                        setMapType(1);
                    } catch (Throwable th) {
                        dx.a(th);
                        th.printStackTrace();
                    }
                }
                this.b.setMapLanguage("en");
                this.af = -10000;
            }
            try {
                b(getCameraPosition());
            } catch (Throwable th2) {
                dx.a(th2);
                th2.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setWorldVectorMapStyle(String str) {
        if (!a(false, true) && !TextUtils.isEmpty(str) && this.b != null && !this.ba.equals(str)) {
            this.ba = str;
            com.autonavi.extra.b bVar = this.aY;
            if (bVar != null) {
                bVar.i();
            }
            resetRenderTime();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getWorldVectorMapStyle() {
        return this.ba;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getCurrentWorldVectorMapStyle() {
        try {
            if (this.aY == null) {
                return "";
            }
            Object j2 = this.aY.j();
            if (j2 instanceof String) {
                return (String) j2;
            }
            return "";
        } catch (Throwable th) {
            dx.a(th);
            return "";
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void accelerateNetworkInChinese(boolean z2) {
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            Boolean.valueOf(z2);
            bVar.i();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getWorldVectorMapLanguage() {
        return this.aZ;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getMapPrintScreen(AMap.onMapPrintScreenListener onmapprintscreenlistener) {
        try {
            this.u.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()), onmapprintscreenlistener);
            this.U = 20;
            this.V = true;
            resetRenderTime();
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getMapScreenShot(AMap.OnMapScreenShotListener onMapScreenShotListener, boolean z2) {
        try {
            this.u.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()), onMapScreenShotListener);
            this.U = 20;
            this.V = z2;
            resetRenderTime();
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getScalePerPixel() throws RemoteException {
        try {
            return ((float) ((((Math.cos((getCameraPosition().target.latitude * 3.141592653589793d) / 180.0d) * 2.0d) * 3.141592653589793d) * 6378137.0d) / (Math.pow(2.0d, (double) getZoomLevel()) * 256.0d))) * getMapZoomScale();
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", "getScalePerPixel");
            dx.a(th);
            th.printStackTrace();
            return 0.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRunLowFrame(boolean z2) {
        if (!z2) {
            try {
                if (this.ai == -1) {
                    m();
                }
            } catch (Throwable th) {
                dx.a(th);
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removecache() throws RemoteException {
        removecache(null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removecache(AMap.OnCacheRemoveListener onCacheRemoveListener) throws RemoteException {
        if (this.j != null && this.f != null) {
            try {
                d dVar = new d(this.e, onCacheRemoveListener);
                this.j.removeCallbacks(dVar);
                this.j.post(dVar);
            } catch (Throwable th) {
                gn.b(th, "AMapDelegateImp", "removecache");
                th.printStackTrace();
                dx.a(th);
            }
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.amap.api.col.3l.l$d */
    /* compiled from: AMapDelegateImp */
    public class d implements Runnable {
        private Context b;
        private AMap.OnCacheRemoveListener c;

        public d(Context context, AMap.OnCacheRemoveListener onCacheRemoveListener) {
            this.b = context;
            this.c = onCacheRemoveListener;
        }

        /* JADX WARNING: Removed duplicated region for block: B:20:0x0047  */
        public final void run() {
            Throwable th;
            boolean z;
            boolean z2;
            boolean z3 = true;
            try {
                Context applicationContext = this.b.getApplicationContext();
                String c2 = dx.c(applicationContext);
                String a2 = dx.a(applicationContext);
                File file = new File(c2);
                if (file.exists()) {
                    z = FileUtil.deleteFile(file);
                } else {
                    z = true;
                }
                if (z) {
                    try {
                        if (FileUtil.deleteFile(new File(a2))) {
                            z2 = true;
                            if (!z2 || !dx.e(applicationContext)) {
                                z3 = false;
                            }
                            if (l.this.D != null) {
                                l.this.D.clearTileCache();
                            }
                            if (l.this.f != null && this.c != null) {
                                this.c.onRemoveCacheFinish(z3);
                                return;
                            }
                            return;
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        z3 = z;
                        try {
                            dx.a(th);
                            gn.b(th, "AMapDelegateImp", "RemoveCacheRunnable");
                            try {
                                if (l.this.f != null && this.c != null) {
                                    this.c.onRemoveCacheFinish(false);
                                    return;
                                }
                                return;
                            } catch (Throwable th3) {
                                th3.printStackTrace();
                                return;
                            }
                        } catch (Throwable th4) {
                            th4.printStackTrace();
                        }
                    }
                }
                z2 = false;
                z3 = false;
                if (l.this.D != null) {
                }
                try {
                    if (l.this.f != null) {
                        return;
                    }
                    return;
                } catch (Throwable th5) {
                    th5.printStackTrace();
                    return;
                }
            } catch (Throwable th6) {
                th = th6;
                dx.a(th);
                gn.b(th, "AMapDelegateImp", "RemoveCacheRunnable");
                if (l.this.f != null) {
                    return;
                }
                return;
            }
            throw th;
        }

        public final boolean equals(Object obj) {
            return obj instanceof d;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomRenderer(CustomRenderer customRenderer) throws RemoteException {
        this.ag = customRenderer;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCenterToPixel(int i2, int i3) throws RemoteException {
        this.I = true;
        this.aC = i2;
        this.aD = i3;
        if (this.ax && this.aw) {
            if (this.b.getAnchorX() != this.aC || this.b.getAnchorY() != this.aD) {
                this.b.setAnchorX(this.aC);
                this.b.setAnchorY(this.aD);
                queueEvent(new Runnable() {
                    /* class com.amap.api.col.p0003l.l.AnonymousClass31 */

                    public final void run() {
                        try {
                            l.this.b.setAnchorX(Math.max(0, Math.min(l.this.aC, l.this.g)));
                            l.this.b.setAnchorY(Math.max(0, Math.min(l.this.aD, l.this.h)));
                            l.this.f.setProjectionCenter(l.this.F, l.this.b.getAnchorX(), l.this.b.getAnchorY());
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapTextZIndex(int i2) throws RemoteException {
        this.af = i2;
        this.i = false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapTextZIndex() throws RemoteException {
        return this.af;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void reloadMap() {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRenderFps(int i2) {
        if (i2 == -1) {
            try {
                this.ai = i2;
            } catch (Throwable th) {
                dx.a(th);
                th.printStackTrace();
                return;
            }
        } else {
            this.ai = Math.max(10, Math.min(i2, 40));
        }
        du.g(this.e);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setIndoorBuildingInfo(IndoorBuildingInfo indoorBuildingInfo) throws RemoteException {
        if (!this.G.get() && indoorBuildingInfo != null && indoorBuildingInfo.activeFloorName != null && indoorBuildingInfo.poiid != null) {
            this.c = (au) indoorBuildingInfo;
            resetRenderTime();
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass33 */

                public final void run() {
                    if (l.this.f != null) {
                        l.this.f.setIndoorBuildingToBeActive(l.this.F, l.this.c.activeFloorName, l.this.c.activeFloorIndex, l.this.c.poiid);
                    }
                }
            });
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setAMapGestureListener(AMapGestureListener aMapGestureListener) {
        z zVar = this.ao;
        if (zVar != null) {
            this.v = aMapGestureListener;
            zVar.a(aMapGestureListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getZoomToSpanLevel(LatLng latLng, LatLng latLng2) {
        try {
            MapConfig mapConfig = getMapConfig();
            if (latLng == null || latLng2 == null || !this.aw || this.G.get()) {
                return mapConfig.getSZ();
            }
            Pair<Float, IPoint> a2 = dx.a(mapConfig, 0, 0, 0, 0, new LatLngBounds.Builder().include(latLng).include(latLng2).build(), getMapWidth(), getMapHeight());
            if (a2 != null) {
                return ((Float) a2.first).floatValue();
            }
            GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
            float mapZoomer = gLMapState.getMapZoomer();
            gLMapState.recycle();
            return mapZoomer;
        } catch (Throwable th) {
            dx.a(th);
            return 0.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Pair<Float, LatLng> calculateZoomToSpanLevel(int i2, int i3, int i4, int i5, LatLng latLng, LatLng latLng2) {
        if (latLng != null && latLng2 != null && i2 == i3 && i3 == i4 && i4 == i5 && latLng.latitude == latLng2.latitude && latLng.longitude == latLng2.longitude) {
            return new Pair<>(Float.valueOf(getMaxZoomLevel()), latLng);
        }
        MapConfig mapConfig = getMapConfig();
        if (latLng == null || latLng2 == null || !this.aw || this.G.get()) {
            DPoint obtain = DPoint.obtain();
            GLMapState.geo2LonLat((long) ((int) mapConfig.getSX()), (long) ((int) mapConfig.getSY()), obtain);
            Pair<Float, LatLng> pair = new Pair<>(Float.valueOf(mapConfig.getSZ()), new LatLng(obtain.y, obtain.x));
            obtain.recycle();
            return pair;
        }
        LatLngBounds.Builder builder = new LatLngBounds.Builder();
        builder.include(latLng);
        builder.include(latLng2);
        GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
        Pair<Float, IPoint> a2 = dx.a(mapConfig, i2, i3, i4, i5, builder.build(), getMapWidth(), getMapHeight());
        gLMapState.recycle();
        if (a2 == null) {
            return null;
        }
        DPoint obtain2 = DPoint.obtain();
        GLMapState.geo2LonLat((long) ((IPoint) a2.second).x, (long) ((IPoint) a2.second).y, obtain2);
        Pair<Float, LatLng> pair2 = new Pair<>(a2.first, new LatLng(obtain2.y, obtain2.x));
        obtain2.recycle();
        return pair2;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final InfoWindowAnimationManager getInfoWindowAnimationManager() {
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMaskLayerParams(int i2, int i3, int i4, int i5, int i6, long j2) {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMaxZoomLevel(float f2) {
        this.b.setMaxZoomLevel(f2);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMinZoomLevel(float f2) {
        this.b.setMinZoomLevel(f2);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void resetMinMaxZoomPreference() {
        List a2;
        this.b.resetMinMaxZoomPreference();
        try {
            if (this.z.isZoomControlsEnabled() && this.b.isNeedUpdateZoomControllerState() && (a2 = this.u.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                synchronized (a2) {
                    for (int i2 = 0; i2 < a2.size(); i2++) {
                        ((AMapWidgetListener) a2.get(i2)).invalidateZoomController(this.b.getSZ());
                    }
                }
            }
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapStatusLimits(LatLngBounds latLngBounds) {
        try {
            this.b.setLimitLatLngBounds(latLngBounds);
            p();
        } catch (Throwable th) {
            th.printStackTrace();
            dx.a(th);
        }
    }

    private static boolean a(LatLngBounds latLngBounds) {
        if (latLngBounds == null || latLngBounds.northeast == null || latLngBounds.southwest == null) {
            return false;
        }
        return true;
    }

    private void p() {
        try {
            LatLngBounds limitLatLngBounds = this.b.getLimitLatLngBounds();
            if (this.f != null && a(limitLatLngBounds)) {
                GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
                IPoint obtain = IPoint.obtain();
                GLMapState.lonlat2Geo(limitLatLngBounds.northeast.longitude, limitLatLngBounds.northeast.latitude, obtain);
                IPoint obtain2 = IPoint.obtain();
                GLMapState.lonlat2Geo(limitLatLngBounds.southwest.longitude, limitLatLngBounds.southwest.latitude, obtain2);
                this.b.setLimitIPoints(new IPoint[]{obtain, obtain2});
                gLMapState.recycle();
                return;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.b.setLimitIPoints(null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Handler getMainHandler() {
        return this.j;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onChangeFinish() {
        Message obtainMessage = this.j.obtainMessage();
        obtainMessage.what = 11;
        this.j.sendMessage(obtainMessage);
    }

    /* access modifiers changed from: protected */
    public final void a(CameraPosition cameraPosition) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null && mapConfig.getChangedCounter() != 0) {
            try {
                if (!this.au && this.f.getAnimateionsCount() == 0 && this.f.getStateMessageCount() == 0) {
                    if (this.v != null) {
                        this.v.onMapStable();
                    }
                    if (this.B.isEnabled()) {
                        try {
                            List<AMap.OnCameraChangeListener> a2 = this.u.a(AMap.OnCameraChangeListener.class.hashCode());
                            if (!(a2 == null || a2.size() == 0)) {
                                if (cameraPosition == null) {
                                    try {
                                        cameraPosition = getCameraPosition();
                                    } catch (Throwable th) {
                                        gn.b(th, "AMapDelegateImp", "cameraChangeFinish");
                                        th.printStackTrace();
                                    }
                                }
                                synchronized (a2) {
                                    for (AMap.OnCameraChangeListener onCameraChangeListener : a2) {
                                        onCameraChangeListener.onCameraChangeFinish(cameraPosition);
                                    }
                                }
                            }
                        } catch (Throwable th2) {
                        }
                        this.b.resetChangedCounter();
                    }
                }
            } catch (Throwable th3) {
                th3.printStackTrace();
                dx.a(th3);
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setZoomScaleParam(float f2) {
        this.ar = f2;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onFling() {
        IGlOverlayLayer iGlOverlayLayer = this.D;
        if (iGlOverlayLayer != null) {
            iGlOverlayLayer.setFlingState(true);
        }
        this.T = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapWidth() {
        return this.g;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapHeight() {
        return this.h;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getCameraAngle() {
        return getCameraDegree(this.F);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getSkyHeight() {
        return this.b.getSkyHeight();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isMaploaded() {
        return this.J;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final MapConfig getMapConfig() {
        return this.b;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final View getView() throws RemoteException {
        ei eiVar = this.C;
        if (eiVar != null) {
            return eiVar.j();
        }
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setZOrderOnTop(boolean z2) throws RemoteException {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onIndoorBuildingActivity(int i2, byte[] bArr) {
        au auVar;
        if (bArr != null) {
            try {
                if (bArr.length > 0) {
                    auVar = new au();
                    byte b2 = bArr[0];
                    auVar.a = new String(bArr, 1, b2, r.b);
                    int i3 = b2 + 1;
                    int i4 = i3 + 1;
                    byte b3 = bArr[i3];
                    auVar.b = new String(bArr, i4, b3, r.b);
                    int i5 = i4 + b3;
                    int i6 = i5 + 1;
                    byte b4 = bArr[i5];
                    auVar.activeFloorName = new String(bArr, i6, b4, r.b);
                    int i7 = i6 + b4;
                    auVar.activeFloorIndex = GLConvertUtil.getInt(bArr, i7);
                    int i8 = i7 + 4;
                    int i9 = i8 + 1;
                    byte b5 = bArr[i8];
                    auVar.poiid = new String(bArr, i9, b5, r.b);
                    int i10 = i9 + b5;
                    int i11 = i10 + 1;
                    byte b6 = bArr[i10];
                    auVar.h = new String(bArr, i11, b6, r.b);
                    int i12 = i11 + b6;
                    auVar.c = GLConvertUtil.getInt(bArr, i12);
                    int i13 = i12 + 4;
                    auVar.floor_indexs = new int[auVar.c];
                    auVar.floor_names = new String[auVar.c];
                    auVar.d = new String[auVar.c];
                    for (int i14 = 0; i14 < auVar.c; i14++) {
                        auVar.floor_indexs[i14] = GLConvertUtil.getInt(bArr, i13);
                        int i15 = i13 + 4;
                        int i16 = i15 + 1;
                        byte b7 = bArr[i15];
                        if (b7 > 0) {
                            auVar.floor_names[i14] = new String(bArr, i16, b7, r.b);
                            i16 += b7;
                        }
                        i13 = i16 + 1;
                        byte b8 = bArr[i16];
                        if (b8 > 0) {
                            auVar.d[i14] = new String(bArr, i13, b8, r.b);
                            i13 += b8;
                        }
                    }
                    auVar.e = GLConvertUtil.getInt(bArr, i13);
                    int i17 = i13 + 4;
                    if (auVar.e > 0) {
                        auVar.f = new int[auVar.e];
                        for (int i18 = 0; i18 < auVar.e; i18++) {
                            auVar.f[i18] = GLConvertUtil.getInt(bArr, i17);
                            i17 += 4;
                        }
                    }
                    this.bg = auVar;
                    post(new Runnable() {
                        /* class com.amap.api.col.p0003l.l.AnonymousClass34 */

                        public final void run() {
                            if (l.this.aE != null) {
                                l.this.aE.a(l.this.bg);
                            }
                        }
                    });
                }
            } catch (Throwable th) {
                dx.a(th);
                th.printStackTrace();
                return;
            }
        }
        auVar = null;
        this.bg = auVar;
        post(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass34 */

            public final void run() {
                if (l.this.aE != null) {
                    l.this.aE.a(l.this.bg);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final AMapCameraInfo getCamerInfo() {
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void destroy() {
        this.G.set(true);
        dz.a(dy.c, "destroy map");
        try {
            if (this.L != null) {
                this.L.deactivate();
            }
            this.L = null;
            this.aE = null;
            if (this.an != null) {
                this.an.renderPause();
            }
            h();
            if (this.aa != null) {
                this.aa.interrupt();
                this.aa = null;
            }
            if (this.ab != null) {
                this.ab.interrupt();
                this.ab = null;
            }
            if (this.ac != null) {
                this.ac.a();
                this.ac = null;
            }
            if (this.ak != null) {
                this.ak.a();
                this.ak = null;
            }
            if (this.al != null) {
                this.al.a((cu.a) null);
                this.al.a();
                this.al = null;
            }
            dl.b();
            if (this.f != null) {
                this.f.setMapListener(null);
                this.f.releaseNetworkState();
                queueEvent(new Runnable() {
                    /* class com.amap.api.col.p0003l.l.AnonymousClass35 */

                    public final void run() {
                        try {
                            l.this.destroySurface(l.this.F);
                            if (l.this.D != null) {
                                l.this.D.destroy();
                            }
                        } catch (Throwable th) {
                            th.printStackTrace();
                            dx.a(th);
                        }
                    }
                });
                int i2 = 0;
                while (this.f != null) {
                    int i3 = i2 + 1;
                    if (i2 >= 50) {
                        break;
                    }
                    try {
                        Thread.sleep(20);
                    } catch (InterruptedException e2) {
                        dx.a(e2);
                    }
                    i2 = i3;
                }
            }
            if (this.B != null) {
                try {
                    this.B.onDetachedGLThread();
                } catch (Exception e3) {
                    e3.printStackTrace();
                    dx.a(e3);
                }
            }
            if (this.C != null) {
                this.C.g();
                this.C = null;
            }
            if (this.K != null) {
                this.K.c();
                this.K = null;
            }
            this.L = null;
            this.t = null;
            q();
            this.Z = null;
            dz.a();
            gn.b();
        } catch (Throwable th) {
            gn.b(th, "AMapDelegateImp", Constants.Event.SLOT_LIFECYCLE.DESTORY);
            dx.a(th);
            th.printStackTrace();
        }
    }

    private void q() {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a();
        }
    }

    /* renamed from: com.amap.api.col.3l.l$c */
    /* compiled from: AMapDelegateImp */
    private class c implements ef.a {
        private c() {
        }

        /* synthetic */ c(l lVar, byte b) {
            this();
        }

        @Override // com.amap.api.col.p0003l.ef.a
        public final void a(int i) {
            if (l.this.c != null) {
                l.this.c.activeFloorIndex = l.this.c.floor_indexs[i];
                l.this.c.activeFloorName = l.this.c.floor_names[i];
                try {
                    l.this.setIndoorBuildingInfo(l.this.c);
                } catch (RemoteException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.amap.api.col.3l.l$b */
    /* compiled from: AMapDelegateImp */
    public class b {
        b() {
        }

        public final void a(au auVar) {
            List a2;
            List a3;
            if (l.this.b != null && l.this.b.isIndoorEnable()) {
                final ef e = l.this.C.e();
                float f = 20.0f;
                if (auVar == null) {
                    try {
                        List a4 = l.this.u.a(AMap.OnIndoorBuildingActiveListener.class.hashCode());
                        if (a4 != null && a4.size() > 0) {
                            synchronized (a4) {
                                for (int i = 0; i < a4.size(); i++) {
                                    ((AMap.OnIndoorBuildingActiveListener) a4.get(i)).OnIndoorBuilding(auVar);
                                }
                            }
                        }
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                    if (l.this.c != null) {
                        l.this.c.g = null;
                    }
                    if (e.b()) {
                        l.this.j.post(new Runnable() {
                            /* class com.amap.api.col.p0003l.l.b.AnonymousClass1 */

                            public final void run() {
                                e.a(false);
                            }
                        });
                    }
                    l.this.b.maxZoomLevel = l.this.b.isSetLimitZoomLevel() ? l.this.b.getMaxZoomLevel() : 20.0f;
                    try {
                        if (l.this.z.isZoomControlsEnabled() && (a3 = l.this.u.a(AMapWidgetListener.class.hashCode())) != null && a3.size() > 0) {
                            synchronized (a3) {
                                for (int i2 = 0; i2 < a3.size(); i2++) {
                                    ((AMapWidgetListener) a3.get(i2)).invalidateZoomController(l.this.b.getSZ());
                                }
                            }
                            return;
                        }
                        return;
                    } catch (Throwable th2) {
                        th2.printStackTrace();
                    }
                }
                if (auVar != null && auVar.floor_indexs != null && auVar.floor_names != null && auVar.floor_indexs.length == auVar.floor_names.length) {
                    int i3 = 0;
                    while (true) {
                        if (i3 >= auVar.floor_indexs.length) {
                            break;
                        } else if (auVar.activeFloorIndex == auVar.floor_indexs[i3]) {
                            auVar.activeFloorName = auVar.floor_names[i3];
                            break;
                        } else {
                            i3++;
                        }
                    }
                }
                if (auVar == null || l.this.c == null || l.this.c.activeFloorIndex == auVar.activeFloorIndex || !e.b()) {
                    if (auVar != null && (l.this.c == null || !l.this.c.poiid.equals(auVar.poiid) || l.this.c.g == null)) {
                        l.this.c = auVar;
                        if (l.this.b != null) {
                            if (l.this.c.g == null) {
                                l.this.c.g = new Point();
                            }
                            DPoint mapGeoCenter = l.this.b.getMapGeoCenter();
                            if (mapGeoCenter != null) {
                                l.this.c.g.x = (int) mapGeoCenter.x;
                                l.this.c.g.y = (int) mapGeoCenter.y;
                            }
                        }
                    }
                    try {
                        List a5 = l.this.u.a(AMap.OnIndoorBuildingActiveListener.class.hashCode());
                        if (a5 != null && a5.size() > 0) {
                            synchronized (a5) {
                                for (int i4 = 0; i4 < a5.size(); i4++) {
                                    ((AMap.OnIndoorBuildingActiveListener) a5.get(i4)).OnIndoorBuilding(auVar);
                                }
                            }
                        }
                        MapConfig mapConfig = l.this.b;
                        if (l.this.b.isSetLimitZoomLevel()) {
                            f = l.this.b.getMaxZoomLevel();
                        }
                        mapConfig.maxZoomLevel = f;
                        if (l.this.z.isZoomControlsEnabled() && (a2 = l.this.u.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                            synchronized (a2) {
                                for (int i5 = 0; i5 < a2.size(); i5++) {
                                    ((AMapWidgetListener) a2.get(i5)).invalidateZoomController(l.this.b.getSZ());
                                }
                            }
                        }
                        if (l.this.z.isIndoorSwitchEnabled()) {
                            if (!e.b()) {
                                l.this.z.setIndoorSwitchEnabled(true);
                            }
                            l.this.j.post(new Runnable() {
                                /* class com.amap.api.col.p0003l.l.b.AnonymousClass2 */

                                public final void run() {
                                    try {
                                        e.a(l.this.c.floor_names);
                                        e.a(l.this.c.activeFloorName);
                                        if (!e.b()) {
                                            e.a(true);
                                        }
                                    } catch (Throwable th) {
                                        th.printStackTrace();
                                    }
                                }
                            });
                        } else if (!l.this.z.isIndoorSwitchEnabled() && e.b()) {
                            l.this.z.setIndoorSwitchEnabled(false);
                        }
                    } catch (Throwable th3) {
                        th3.printStackTrace();
                    }
                }
            }
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void beforeDrawLabel(int i2, GLMapState gLMapState) {
        j();
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.bd = this.D.draw(0, this.af, this.i) ? this.bd : this.bd + 1;
        GLMapEngine gLMapEngine2 = this.f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterDrawLabel(int i2, GLMapState gLMapState) {
        j();
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.e();
        }
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.bd = this.D.draw(1, this.af, this.i) ? this.bd : this.bd + 1;
        GLMapEngine gLMapEngine2 = this.f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterRendererOver(int i2, GLMapState gLMapState) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.D.draw(2, this.af, this.i);
        GLMapEngine gLMapEngine2 = this.f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
        CustomRenderer customRenderer = this.ag;
        if (customRenderer != null) {
            customRenderer.onDrawFrame(null);
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterDrawFrame(int i2, GLMapState gLMapState) {
        float mapZoomer = gLMapState.getMapZoomer();
        GLMapEngine gLMapEngine = this.f;
        if (!(gLMapEngine != null && (gLMapEngine.isInMapAction(i2) || this.f.isInMapAnimation(i2)))) {
            int i3 = this.ai;
            if (i3 != -1) {
                this.an.setRenderFps((float) i3);
            } else {
                this.an.setRenderFps(15.0f);
            }
            if (this.aq != mapZoomer) {
                this.aq = mapZoomer;
            }
        }
        if (!this.az) {
            this.az = true;
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterAnimation() {
        redrawInfoWindow();
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void onMapPOIClick(MapPoi mapPoi) {
        List a2;
        MapConfig mapConfig = this.b;
        if ((mapConfig != null || mapConfig.isTouchPoiEnable()) && (a2 = this.u.a(AMap.OnPOIClickListener.class.hashCode())) != null && a2.size() > 0 && mapPoi != null) {
            Message obtain = Message.obtain();
            obtain.what = 20;
            obtain.obj = new Poi(mapPoi.getName(), new LatLng(mapPoi.getLatitude(), mapPoi.getLongitude()), mapPoi.getPoiid());
            this.j.sendMessage(obtain);
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void onMapBlankClick(double d2, double d3) {
        a(d2, d3);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long createGLOverlay(int i2) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.createOverlay(this.F, i2);
        }
        return 0;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long getGlOverlayMgrPtr() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getGlOverlayMgrPtr(this.F);
        }
        return 0;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final CrossOverlay addCrossVector(CrossOverlayOptions crossOverlayOptions) {
        if (crossOverlayOptions == null || crossOverlayOptions.getRes() == null) {
            return null;
        }
        final CrossVectorOverlay crossVectorOverlay = new CrossVectorOverlay(this.F, getContext(), this);
        if (crossOverlayOptions != null) {
            crossVectorOverlay.setAttribute(crossOverlayOptions.getAttribute());
        }
        queueEvent(new Runnable() {
            /* class com.amap.api.col.p0003l.l.AnonymousClass36 */

            public final void run() {
                GLOverlayBundle overlayBundle;
                if (l.this.f != null && (overlayBundle = l.this.f.getOverlayBundle(l.this.F)) != null) {
                    overlayBundle.addOverlay(crossVectorOverlay);
                }
            }
        });
        crossVectorOverlay.resumeMarker(crossOverlayOptions.getRes());
        return new CrossOverlay(crossOverlayOptions, crossVectorOverlay);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final RouteOverlay addNaviRouteOverlay() {
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void addOverlayTexture(int i2, GLTextureProperty gLTextureProperty) {
        GLOverlayBundle overlayBundle;
        try {
            if (this.f != null && (overlayBundle = this.f.getOverlayBundle(i2)) != null && gLTextureProperty != null) {
                if (gLTextureProperty.mBitmap != null) {
                    this.f.addOverlayTexture(i2, gLTextureProperty);
                    overlayBundle.addOverlayTextureItem(gLTextureProperty.mId, gLTextureProperty.mAnchor, gLTextureProperty.mXRatio, gLTextureProperty.mYRatio, gLTextureProperty.mBitmap.getWidth(), gLTextureProperty.mBitmap.getHeight());
                }
            }
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int createOverlayTexture(int i2, Bitmap bitmap) {
        try {
            if (this.f == null || bitmap == null) {
                return -1;
            }
            return this.f.createOverlayTexture(i2, bitmap);
        } catch (Throwable th) {
            dx.a(th);
        }
        return -1;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onAMapAppResourceRequest(AMapAppRequestParam aMapAppRequestParam) {
        q qVar = this.u;
        if (qVar != null) {
            for (AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener : qVar.a(AMap.AMapAppResourceRequestListener.class.hashCode())) {
                if (aMapAppResourceRequestListener != null) {
                    aMapAppResourceRequestListener.onRequest(aMapAppRequestParam);
                }
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setTerrainAuth(boolean z2) {
        GLMapEngine gLMapEngine;
        if (!this.G.get() && (gLMapEngine = this.f) != null) {
            gLMapEngine.setTerrainAuth(z2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStylePath(String str) {
        if (!TextUtils.isEmpty(str) && !str.equals(this.b.getCustomStylePath())) {
            this.b.setCustomStylePath(str);
            this.A = true;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStyleID(String str) {
        if (!TextUtils.isEmpty(str) && !str.equals(this.b.getCustomStyleID())) {
            this.b.setCustomStyleID(str);
            this.A = true;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomTextureResourcePath(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.b.setCustomTextureResourcePath(str);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStyle(CustomMapStyleOptions customMapStyleOptions) {
        if (customMapStyleOptions != null) {
            try {
                if (!a(true, false)) {
                    if (customMapStyleOptions.isEnable() && !(customMapStyleOptions.getStyleId() == null && customMapStyleOptions.getStyleTexturePath() == null && customMapStyleOptions.getStyleTextureData() == null && customMapStyleOptions.getStyleResDataPath() == null && customMapStyleOptions.getStyleResData() == null)) {
                        o();
                    }
                    this.aH.c();
                    this.aH.a(customMapStyleOptions);
                    if (this.aY != null) {
                        this.aY.i();
                    }
                } else {
                    return;
                }
            } catch (Throwable th) {
                dx.a(th);
                return;
            }
        }
        resetRenderTime();
    }

    @Override // com.amap.api.col.p0003l.k.a
    public final void a() {
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.i();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MyLocationStyle getMyLocationStyle() throws RemoteException {
        cl clVar = this.K;
        if (clVar != null) {
            return clVar.a();
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void reloadMapCustomStyle() {
        k kVar = this.aH;
        if (kVar != null) {
            kVar.b();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapCustomEnable(boolean z2, boolean z3) {
        boolean z4;
        if (!this.aw || this.G.get()) {
            this.aM.b = true;
            this.aM.c = z2;
            return;
        }
        if (z3) {
            z4 = z3;
        } else {
            z4 = false;
        }
        if (!TextUtils.isEmpty(this.b.getCustomStylePath()) || !TextUtils.isEmpty(this.b.getCustomStyleID())) {
            if (z2) {
                try {
                    if (this.b.isProFunctionAuthEnable() && !TextUtils.isEmpty(this.b.getCustomStyleID()) && this.ak != null) {
                        this.ak.a(this.b.getCustomStyleID());
                        this.ak.b();
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                    dx.a(th);
                    return;
                }
            }
            if (z3 || this.A || (this.b.isCustomStyleEnable() ^ z2)) {
                a(z2, (byte[]) null, z4);
            }
            this.A = false;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapCustomEnable(boolean z2) {
        if (z2) {
            o();
        }
        setMapCustomEnable(z2, false);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setCustomMapStyle(boolean z2, byte[] bArr) {
        a(z2, bArr, false);
    }

    private void a(boolean z2, byte[] bArr, boolean z3) {
        da daVar;
        try {
            this.b.setCustomStyleEnable(z2);
            boolean z4 = false;
            if (this.b.isHideLogoEnable()) {
                this.z.setLogoEnable(!z2);
            }
            if (z2) {
                c(this.F, true);
                cz czVar = new cz();
                if (!(this.Z == null || this.Z.getTrafficRoadBackgroundColor() == -1)) {
                    czVar.a(this.Z.getTrafficRoadBackgroundColor());
                }
                if (this.b.isProFunctionAuthEnable() && !TextUtils.isEmpty(this.b.getCustomTextureResourcePath())) {
                    z4 = true;
                }
                StyleItem[] styleItemArr = null;
                if (bArr != null) {
                    daVar = czVar.a(bArr, z4);
                    if (!(daVar == null || (styleItemArr = daVar.c()) == null)) {
                        this.b.setUseProFunction(true);
                    }
                } else {
                    daVar = null;
                }
                if (styleItemArr == null && (daVar = czVar.a(this.b.getCustomStylePath(), z4)) != null) {
                    styleItemArr = daVar.c();
                }
                if (czVar.a() != 0) {
                    this.b.setCustomBackgroundColor(czVar.a());
                }
                if (daVar == null || daVar.d() == null) {
                    a(styleItemArr, z3);
                } else if (this.al != null) {
                    this.al.a((String) daVar.d());
                    this.al.a(daVar);
                    this.al.b();
                }
            } else {
                c(this.F, false);
                a(this.F, this.b.getMapStyleMode(), this.b.getMapStyleTime());
            }
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.amap.api.col.p0003l.cu.a
    public final void a(String str, da daVar) {
        setCustomTextureResourcePath(str);
        if (this.b.isCustomStyleEnable() && daVar != null) {
            a(daVar.c(), false);
        }
    }

    private void a(StyleItem[] styleItemArr, boolean z2) {
        if (z2 || (styleItemArr != null && styleItemArr.length > 0)) {
            a(this.F, 0, 0, true, styleItemArr);
            du.a(this.e, true);
            return;
        }
        du.a(this.e, false);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void removeEngineGLOverlay(final BaseMapOverlay baseMapOverlay) {
        if (this.f != null) {
            queueEvent(new Runnable() {
                /* class com.amap.api.col.p0003l.l.AnonymousClass37 */

                public final void run() {
                    l.this.f.getOverlayBundle(l.this.F).removeOverlay(baseMapOverlay);
                }
            });
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float[] getFinalMatrix() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getMvpMatrix();
        }
        return this.m;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final String createId(String str) {
        IGlOverlayLayer iGlOverlayLayer = this.D;
        if (iGlOverlayLayer != null) {
            return iGlOverlayLayer.createId(str);
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showLogoEnabled(boolean z2) {
        if (!this.G.get()) {
            this.C.f(Boolean.valueOf(z2));
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float[] getViewMatrix() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getViewMatrix();
        }
        return this.n;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float[] getProjectionMatrix() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getProjectionMatrix();
        }
        return this.o;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void changeSurface(GL10 gl10, int i2, int i3) {
        try {
            changeSurface(1, gl10, i2, i3);
        } catch (Throwable th) {
            th.printStackTrace();
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void createSurface(GL10 gl10, EGLConfig eGLConfig) {
        try {
            this.am = Thread.currentThread().getId();
        } catch (Throwable th) {
            th.printStackTrace();
            dx.a(th);
        }
        try {
            createSurface(1, gl10, eGLConfig);
        } catch (Throwable th2) {
            th2.printStackTrace();
            dx.a(th2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void renderSurface(GL10 gl10) {
        drawFrame(gl10);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean canStopMapRender() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine == null) {
            return true;
        }
        gLMapEngine.canStopMapRender(this.F);
        return true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getLatLngRect(DPoint[] dPointArr) {
        try {
            Rectangle geoRectangle = this.b.getGeoRectangle();
            if (geoRectangle != null) {
                IPoint[] clipRect = geoRectangle.getClipRect();
                for (int i2 = 0; i2 < 4; i2++) {
                    GLMapState.geo2LonLat((long) clipRect[i2].x, (long) clipRect[i2].y, dPointArr[i2]);
                }
            }
        } catch (Throwable th) {
            dx.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void checkMapState(IGLMapState iGLMapState) {
        if (this.b != null && !this.G.get()) {
            LatLngBounds limitLatLngBounds = this.b.getLimitLatLngBounds();
            if (limitLatLngBounds != null) {
                try {
                    IPoint[] limitIPoints = this.b.getLimitIPoints();
                    if (limitIPoints == null) {
                        IPoint obtain = IPoint.obtain();
                        GLMapState.lonlat2Geo(limitLatLngBounds.northeast.longitude, limitLatLngBounds.northeast.latitude, obtain);
                        IPoint obtain2 = IPoint.obtain();
                        GLMapState.lonlat2Geo(limitLatLngBounds.southwest.longitude, limitLatLngBounds.southwest.latitude, obtain2);
                        IPoint[] iPointArr = {obtain, obtain2};
                        this.b.setLimitIPoints(iPointArr);
                        limitIPoints = iPointArr;
                    }
                    float a2 = dx.a(this.b, limitIPoints[0].x, limitIPoints[0].y, limitIPoints[1].x, limitIPoints[1].y, getMapWidth(), getMapHeight());
                    float mapZoomer = iGLMapState.getMapZoomer();
                    if (this.b.isSetLimitZoomLevel()) {
                        float maxZoomLevel = this.b.getMaxZoomLevel();
                        float minZoomLevel = this.b.getMinZoomLevel();
                        float max = Math.max(a2, Math.min(mapZoomer, maxZoomLevel));
                        if (a2 <= maxZoomLevel) {
                            maxZoomLevel = max;
                        }
                        if (maxZoomLevel < minZoomLevel) {
                            a2 = minZoomLevel;
                        } else {
                            a2 = maxZoomLevel;
                        }
                    } else if (a2 <= 0.0f || mapZoomer >= a2) {
                        a2 = mapZoomer;
                    }
                    iGLMapState.setMapZoomer(a2);
                    IPoint obtain3 = IPoint.obtain();
                    iGLMapState.getMapGeoCenter(obtain3);
                    int[] a3 = dx.a(limitIPoints[0].x, limitIPoints[0].y, limitIPoints[1].x, limitIPoints[1].y, this.b, iGLMapState, obtain3.x, obtain3.y);
                    iGLMapState.setMapGeoCenter((double) a3[0], (double) a3[1]);
                    obtain3.recycle();
                } catch (Throwable th) {
                    dx.a(th);
                }
            } else if (this.b.isSetLimitZoomLevel()) {
                iGLMapState.setMapZoomer(Math.max(this.b.getMinZoomLevel(), Math.min(iGLMapState.getMapZoomer(), this.b.getMaxZoomLevel())));
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRenderMode(int i2) {
        try {
            if (this.B != null) {
                this.B.setRenderMode(i2);
            }
        } catch (Throwable th) {
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeSize(int i2, int i3) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            this.g = i2;
            this.h = i3;
            mapConfig.setMapWidth(i2);
            this.b.setMapHeight(i3);
        }
    }

    public final Size a(Size size) {
        Size size2 = new Size(getMapWidth(), getMapHeight());
        a(getNativeEngineID(), 0, 0, size.getWidth(), size.getHeight(), size.getWidth(), size.getHeight());
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(size.getWidth(), size.getHeight());
        getGLMapView().setLayoutParams(layoutParams);
        this.C.f().setLayoutParams(layoutParams);
        changeSize(size.getWidth(), size.getHeight());
        b(false);
        return size2;
    }

    public final void b(Size size) {
        a(getNativeEngineID(), 0, 0, size.getWidth(), size.getHeight(), size.getWidth(), size.getHeight());
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-1, -1);
        getGLMapView().setLayoutParams(layoutParams);
        this.C.f().setLayoutParams(layoutParams);
        changeSize(size.getWidth(), size.getHeight());
        b(true);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setHideLogoEnble(boolean z2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setHideLogoEnble(z2);
            if (this.b.isCustomStyleEnable()) {
                this.z.setLogoEnable(!z2);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeLogoIconStyle(String str, boolean z2, int i2) {
        ei eiVar = this.C;
        if (eiVar != null) {
            eiVar.a(str, Boolean.valueOf(z2), Integer.valueOf(i2));
        }
        ag agVar = this.z;
        if (agVar != null) {
            agVar.requestRefreshLogo();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void refreshLogo() {
        ei eiVar = this.C;
        if (eiVar != null) {
            eiVar.c();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getUnitLengthByZoom(int i2) {
        GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
        gLMapState.setMapZoomer((float) i2);
        gLMapState.recalculate();
        float gLUnitWithWin = gLMapState.getGLUnitWithWin(1);
        gLMapState.recycle();
        return gLUnitWithWin;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTouchPoiEnable(boolean z2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setTouchPoiEnable(z2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isTouchPoiEnable() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.isTouchPoiEnable();
        }
        return true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getSY() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return (int) mapConfig.getSY();
        }
        return -1;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getSX() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return (int) mapConfig.getSX();
        }
        return -1;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long getNativeMapController() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getNativeMapController(this.F);
        }
        return 0;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getNativeEngineID() {
        return this.F;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnCameraChangeListener.class.hashCode()), onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapClickListener.class.hashCode()), onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMarkerDragListener.class.hashCode()), onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapLoadedListener(AMap.OnMapLoadedListener onMapLoadedListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapLoadedListener.class.hashCode()), onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapTouchListener.class.hashCode()), onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMarkerClickListener.class.hashCode()), onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnPolylineClickListener.class.hashCode()), onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnPOIClickListener.class.hashCode()), onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapLongClickListener.class.hashCode()), onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnInfoWindowClickListener.class.hashCode()), onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnIndoorBuildingActiveListener.class.hashCode()), onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMyLocationChangeListener(AMap.OnMyLocationChangeListener onMyLocationChangeListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMyLocationChangeListener.class.hashCode()), onMyLocationChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnCameraChangeListener.class.hashCode()), onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapClickListener.class.hashCode()), onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMarkerDragListener.class.hashCode()), onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapLoadedListener(AMap.OnMapLoadedListener onMapLoadedListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapLoadedListener.class.hashCode()), onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapTouchListener.class.hashCode()), onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMarkerClickListener.class.hashCode()), onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnPolylineClickListener.class.hashCode()), onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnPOIClickListener.class.hashCode()), onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapLongClickListener.class.hashCode()), onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnInfoWindowClickListener.class.hashCode()), onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnIndoorBuildingActiveListener.class.hashCode()), onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMyLocationChangeListener(AMap.OnMyLocationChangeListener onMyLocationChangeListener) throws RemoteException {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMyLocationChangeListener.class.hashCode()), onMyLocationChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addAMapAppResourceListener(AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.AMapAppResourceRequestListener.class.hashCode()), aMapAppResourceRequestListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeAMapAppResourceListener(AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener) {
        q qVar = this.u;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.AMapAppResourceRequestListener.class.hashCode()), aMapAppResourceRequestListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void loadWorldVectorMap(boolean z2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setAbroadEnable(z2);
        }
    }

    private boolean a(boolean z2, boolean z3) {
        if (z2) {
            if (this.bc) {
                dd.a("setCustomMapStyle 和 setWorldVectorMapStyle 不能同时使用，setCustomMapStyle将不会生效");
                return true;
            }
            this.bb = true;
        }
        if (!z3) {
            return false;
        }
        if (this.bb) {
            dd.a("setCustomMapStyle 和 setWorldVectorMapStyle 不能同时使用，setWorldVectorMapStyle将不会生效");
            return true;
        }
        this.bc = true;
        return false;
    }

    private void r() {
        cq cqVar = this.aF;
        if (cqVar != null) {
            cqVar.a();
            this.aF = null;
        }
    }
}
