package com.amap.api.col.s;

import android.content.Context;
import com.alipay.sdk.m.u.i;
import com.amap.api.col.s.ai;
import com.amap.api.col.s.ak;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.core.ServiceSettings;
import com.amap.api.services.core.SuggestionCity;
import com.amap.api.services.poisearch.PoiResult;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: PoiSearchKeywordsHandler */
public final class ab extends y<af, PoiResult> {
    private int k = 0;
    private boolean l = false;
    private List<String> m = new ArrayList();
    private List<SuggestionCity> n = new ArrayList();

    public ab(Context context, af afVar) {
        super(context, afVar);
    }

    @Override // com.amap.api.col.s.dm
    public final String h() {
        String str = i.a() + "/place";
        if (((af) this.b).b == null) {
            return str + "/text?";
        } else if (((af) this.b).b.getShape().equals("Bound")) {
            String str2 = str + "/around?";
            this.l = true;
            return str2;
        } else if (!((af) this.b).b.getShape().equals("Rectangle") && !((af) this.b).b.getShape().equals("Polygon")) {
            return str;
        } else {
            return str + "/polygon?";
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: e */
    public PoiResult a(String str) throws AMapException {
        ArrayList<PoiItem> arrayList;
        ArrayList<PoiItem> arrayList2 = new ArrayList<>();
        if (str == null) {
            return PoiResult.createPagedResult(((af) this.b).a, ((af) this.b).b, this.m, this.n, ((af) this.b).a.getPageSize(), this.k, arrayList2);
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            this.k = jSONObject.optInt("count");
            arrayList2 = r.c(jSONObject);
            if (!jSONObject.has("suggestion")) {
                return PoiResult.createPagedResult(((af) this.b).a, ((af) this.b).b, this.m, this.n, ((af) this.b).a.getPageSize(), this.k, arrayList2);
            }
            JSONObject optJSONObject = jSONObject.optJSONObject("suggestion");
            if (optJSONObject == null) {
                return PoiResult.createPagedResult(((af) this.b).a, ((af) this.b).b, this.m, this.n, ((af) this.b).a.getPageSize(), this.k, arrayList2);
            }
            this.n = r.a(optJSONObject);
            this.m = r.b(optJSONObject);
            arrayList = arrayList2;
            return PoiResult.createPagedResult(((af) this.b).a, ((af) this.b).b, this.m, this.n, ((af) this.b).a.getPageSize(), this.k, arrayList);
        } catch (JSONException e) {
            j.a(e, "PoiSearchKeywordHandler", "paseJSONJSONException");
        } catch (Exception e2) {
            j.a(e2, "PoiSearchKeywordHandler", "paseJSONException");
            arrayList = arrayList2;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final String a_() {
        return a(true);
    }

    private String a(boolean z) {
        List<LatLonPoint> polyGonList;
        StringBuilder sb = new StringBuilder();
        sb.append("output=json");
        if (((af) this.b).b != null) {
            if (((af) this.b).b.getShape().equals("Bound")) {
                if (z) {
                    double a = j.a(((af) this.b).b.getCenter().getLongitude());
                    double a2 = j.a(((af) this.b).b.getCenter().getLatitude());
                    sb.append("&location=");
                    sb.append(a + "," + a2);
                }
                sb.append("&radius=");
                sb.append(((af) this.b).b.getRange());
                sb.append("&sortrule=");
                sb.append(b(((af) this.b).b.isDistanceSort()));
            } else if (((af) this.b).b.getShape().equals("Rectangle")) {
                LatLonPoint lowerLeft = ((af) this.b).b.getLowerLeft();
                LatLonPoint upperRight = ((af) this.b).b.getUpperRight();
                double a3 = j.a(lowerLeft.getLatitude());
                double a4 = j.a(lowerLeft.getLongitude());
                double a5 = j.a(upperRight.getLatitude());
                double a6 = j.a(upperRight.getLongitude());
                sb.append("&polygon=" + a4 + "," + a3 + i.b + a6 + "," + a5);
            } else if (((af) this.b).b.getShape().equals("Polygon") && (polyGonList = ((af) this.b).b.getPolyGonList()) != null && polyGonList.size() > 0) {
                sb.append("&polygon=" + j.a(polyGonList));
            }
        }
        String city = ((af) this.b).a.getCity();
        if (!c(city)) {
            String b = b(city);
            sb.append("&city=");
            sb.append(b);
        }
        String b2 = b(((af) this.b).a.getQueryString());
        if (!c(b2)) {
            sb.append("&keywords=");
            sb.append(b2);
        }
        sb.append("&offset=");
        sb.append(((af) this.b).a.getPageSize());
        sb.append("&page=");
        sb.append(((af) this.b).a.getPageNum());
        String building = ((af) this.b).a.getBuilding();
        if (building != null && building.trim().length() > 0) {
            sb.append("&building=");
            sb.append(((af) this.b).a.getBuilding());
        }
        String b3 = b(((af) this.b).a.getCategory());
        if (!c(b3)) {
            sb.append("&types=");
            sb.append(b3);
        }
        if (!c(((af) this.b).a.getExtensions())) {
            sb.append("&extensions=");
            sb.append(((af) this.b).a.getExtensions());
        } else {
            sb.append("&extensions=base");
        }
        sb.append("&key=");
        sb.append(br.f(this.e));
        if (((af) this.b).a.getCityLimit()) {
            sb.append("&citylimit=true");
        } else {
            sb.append("&citylimit=false");
        }
        if (((af) this.b).a.isRequireSubPois()) {
            sb.append("&children=1");
        } else {
            sb.append("&children=0");
        }
        if (this.l) {
            if (((af) this.b).a.isSpecial()) {
                sb.append("&special=1");
            } else {
                sb.append("&special=0");
            }
        }
        if (((af) this.b).b == null && ((af) this.b).a.getLocation() != null) {
            sb.append("&sortrule=");
            sb.append(b(((af) this.b).a.isDistanceSort()));
            double a7 = j.a(((af) this.b).a.getLocation().getLongitude());
            double a8 = j.a(((af) this.b).a.getLocation().getLatitude());
            sb.append("&location=");
            sb.append(a7 + "," + a8);
        }
        return sb.toString();
    }

    private static String b(boolean z) {
        if (z) {
            return "distance";
        }
        return "weight";
    }

    private static ak j() {
        aj a = ai.a().a("regeo");
        if (a == null) {
            return null;
        }
        return (ak) a;
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a
    public final ai.b d() {
        double d;
        ai.b bVar = new ai.b();
        if (this.l) {
            ak j = j();
            if (j != null) {
                d = j.a();
            } else {
                d = 0.0d;
            }
            bVar.a = h() + a(false) + "language=" + ServiceSettings.getInstance().getLanguage();
            if (((af) this.b).b.getShape().equals("Bound")) {
                bVar.b = new ak.a(j.a(((af) this.b).b.getCenter().getLatitude()), j.a(((af) this.b).b.getCenter().getLongitude()), d);
            }
        } else {
            bVar.a = h() + a_() + "language=" + ServiceSettings.getInstance().getLanguage();
        }
        return bVar;
    }
}
