package com.amap.api.col.s;

import android.content.Context;
import android.text.TextUtils;
import com.alipay.sdk.m.u.i;
import com.amap.api.col.s.ai;
import com.amap.api.col.s.ak;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItemV2;
import com.amap.api.services.core.ServiceSettings;
import com.amap.api.services.poisearch.PoiResultV2;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: PoiSearchKeywordsHandlerV2 */
public final class ac extends y<ag, PoiResultV2> {
    private int k = 0;
    private boolean l = false;

    public ac(Context context, ag agVar) {
        super(context, agVar);
    }

    @Override // com.amap.api.col.s.dm
    public final String h() {
        String str = i.c() + "/place";
        if (((ag) this.b).b == null) {
            return str + "/text?";
        } else if (((ag) this.b).b.getShape().equals("Bound")) {
            String str2 = str + "/around?";
            this.l = true;
            return str2;
        } else if (!((ag) this.b).b.getShape().equals("Rectangle") && !((ag) this.b).b.getShape().equals("Polygon")) {
            return str;
        } else {
            return str + "/polygon?";
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: e */
    public PoiResultV2 a(String str) throws AMapException {
        ArrayList<PoiItemV2> arrayList = new ArrayList<>();
        if (str == null) {
            return PoiResultV2.createPagedResult(((ag) this.b).a, ((ag) this.b).b, this.k, arrayList);
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            this.k = jSONObject.optInt("count");
            arrayList = r.d(jSONObject);
        } catch (JSONException e) {
            j.a(e, "PoiSearchKeywordHandler", "paseJSONJSONException");
        } catch (Exception e2) {
            j.a(e2, "PoiSearchKeywordHandler", "paseJSONException");
        }
        return PoiResultV2.createPagedResult(((ag) this.b).a, ((ag) this.b).b, this.k, arrayList);
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final String a_() {
        return a(true);
    }

    private String a(boolean z) {
        List<LatLonPoint> polyGonList;
        StringBuilder sb = new StringBuilder();
        sb.append("output=json");
        if (((ag) this.b).b != null) {
            if (((ag) this.b).b.getShape().equals("Bound")) {
                if (z) {
                    double a = j.a(((ag) this.b).b.getCenter().getLongitude());
                    double a2 = j.a(((ag) this.b).b.getCenter().getLatitude());
                    sb.append("&location=");
                    sb.append(a + "," + a2);
                }
                sb.append("&radius=");
                sb.append(((ag) this.b).b.getRange());
                sb.append("&sortrule=");
                sb.append(b(((ag) this.b).b.isDistanceSort()));
            } else if (((ag) this.b).b.getShape().equals("Rectangle")) {
                LatLonPoint lowerLeft = ((ag) this.b).b.getLowerLeft();
                LatLonPoint upperRight = ((ag) this.b).b.getUpperRight();
                double a3 = j.a(lowerLeft.getLatitude());
                double a4 = j.a(lowerLeft.getLongitude());
                double a5 = j.a(upperRight.getLatitude());
                double a6 = j.a(upperRight.getLongitude());
                sb.append("&polygon=" + a4 + "," + a3 + i.b + a6 + "," + a5);
            } else if (((ag) this.b).b.getShape().equals("Polygon") && (polyGonList = ((ag) this.b).b.getPolyGonList()) != null && polyGonList.size() > 0) {
                sb.append("&polygon=" + j.a(polyGonList));
            }
        }
        String city = ((ag) this.b).a.getCity();
        if (!c(city)) {
            String b = b(city);
            sb.append("&region=");
            sb.append(b);
        }
        String b2 = b(((ag) this.b).a.getQueryString());
        if (!c(b2)) {
            sb.append("&keywords=");
            sb.append(b2);
        }
        sb.append("&page_size=");
        sb.append(((ag) this.b).a.getPageSize());
        sb.append("&page_num=");
        sb.append(((ag) this.b).a.getPageNum());
        String building = ((ag) this.b).a.getBuilding();
        if (building != null && building.trim().length() > 0) {
            sb.append("&building=");
            sb.append(((ag) this.b).a.getBuilding());
        }
        String b3 = b(((ag) this.b).a.getCategory());
        if (!c(b3)) {
            sb.append("&types=");
            sb.append(b3);
        }
        String a7 = a(((ag) this.b).a.getShowFields());
        if (a7 != null) {
            sb.append("&show_fields=");
            sb.append(a7);
        }
        sb.append("&key=");
        sb.append(br.f(this.e));
        if (((ag) this.b).a.getCityLimit()) {
            sb.append("&citylimit=true");
        } else {
            sb.append("&citylimit=false");
        }
        if (this.l) {
            if (((ag) this.b).a.isSpecial()) {
                sb.append("&special=1");
            } else {
                sb.append("&special=0");
            }
        }
        String channel = ((ag) this.b).a.getChannel();
        if (!TextUtils.isEmpty(channel)) {
            sb.append("&channel=");
            sb.append(channel);
        }
        if (((ag) this.b).b == null && ((ag) this.b).a.getLocation() != null) {
            sb.append("&sortrule=");
            sb.append(b(((ag) this.b).a.isDistanceSort()));
            double a8 = j.a(((ag) this.b).a.getLocation().getLongitude());
            double a9 = j.a(((ag) this.b).a.getLocation().getLatitude());
            sb.append("&location=");
            sb.append(a8 + "," + a9);
        }
        return sb.toString();
    }

    private static String b(boolean z) {
        if (z) {
            return "distance";
        }
        return "weight";
    }

    private static ak j() {
        aj a = ai.a().a("regeo");
        if (a == null) {
            return null;
        }
        return (ak) a;
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a
    public final ai.b d() {
        double d;
        ai.b bVar = new ai.b();
        if (this.l) {
            ak j = j();
            if (j != null) {
                d = j.a();
            } else {
                d = 0.0d;
            }
            bVar.a = h() + a(false) + "language=" + ServiceSettings.getInstance().getLanguage();
            if (((ag) this.b).b.getShape().equals("Bound")) {
                bVar.b = new ak.a(j.a(((ag) this.b).b.getCenter().getLatitude()), j.a(((ag) this.b).b.getCenter().getLongitude()), d);
            }
        } else {
            bVar.a = h() + a_() + "language=" + ServiceSettings.getInstance().getLanguage();
        }
        return bVar;
    }
}
