package com.amap.api.col.s;

import android.content.Context;
import android.text.TextUtils;
import com.alipay.sdk.m.s.a;
import com.alipay.sdk.m.u.i;
import com.amap.api.services.cloud.CloudItem;
import com.amap.api.services.cloud.CloudItemDetail;
import com.amap.api.services.cloud.CloudResult;
import com.amap.api.services.cloud.CloudSearch;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.district.DistrictSearchQuery;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: CloudSearchKeywordsHandler */
public final class h extends f<CloudSearch.Query, CloudResult> {
    private int k = 0;

    public h(Context context, CloudSearch.Query query) {
        super(context, query);
    }

    @Override // com.amap.api.col.s.dm
    public final String h() {
        String str = i.e() + "/datasearch";
        String shape = ((CloudSearch.Query) this.b).getBound().getShape();
        if (shape.equals("Bound")) {
            return str + "/around";
        } else if (shape.equals("Polygon") || shape.equals("Rectangle")) {
            return str + "/polygon";
        } else if (!shape.equals(CloudSearch.SearchBound.LOCAL_SHAPE)) {
            return str;
        } else {
            return str + "/local";
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: c */
    public CloudResult a(String str) throws AMapException {
        ArrayList<CloudItem> arrayList = null;
        if (str == null || str.equals("")) {
            return CloudResult.createPagedResult((CloudSearch.Query) this.b, this.k, ((CloudSearch.Query) this.b).getBound(), ((CloudSearch.Query) this.b).getPageSize(), null);
        }
        try {
            arrayList = d(new JSONObject(str));
        } catch (JSONException e) {
            e.printStackTrace();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return CloudResult.createPagedResult((CloudSearch.Query) this.b, this.k, ((CloudSearch.Query) this.b).getBound(), ((CloudSearch.Query) this.b).getPageSize(), arrayList);
    }

    private ArrayList<CloudItem> d(JSONObject jSONObject) throws JSONException {
        ArrayList<CloudItem> arrayList = new ArrayList<>();
        JSONArray a = a(jSONObject);
        if (a == null) {
            return arrayList;
        }
        this.k = b(jSONObject);
        for (int i = 0; i < a.length(); i++) {
            JSONObject optJSONObject = a.optJSONObject(i);
            CloudItemDetail c = c(optJSONObject);
            a(c, optJSONObject);
            arrayList.add(c);
        }
        return arrayList;
    }

    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b, com.amap.api.col.s.dm
    public final Map<String, String> e() {
        Hashtable hashtable = new Hashtable(16);
        hashtable.put("key", br.f(this.e));
        hashtable.put("output", "json");
        if (((CloudSearch.Query) this.b).getBound() != null) {
            if (((CloudSearch.Query) this.b).getBound().getShape().equals("Bound")) {
                double a = j.a(((CloudSearch.Query) this.b).getBound().getCenter().getLongitude());
                double a2 = j.a(((CloudSearch.Query) this.b).getBound().getCenter().getLatitude());
                hashtable.put("center", a + "," + a2);
                StringBuilder sb = new StringBuilder();
                sb.append(((CloudSearch.Query) this.b).getBound().getRange());
                hashtable.put(Constant.Name.RADIUS, sb.toString());
            } else if (((CloudSearch.Query) this.b).getBound().getShape().equals("Rectangle")) {
                LatLonPoint lowerLeft = ((CloudSearch.Query) this.b).getBound().getLowerLeft();
                LatLonPoint upperRight = ((CloudSearch.Query) this.b).getBound().getUpperRight();
                double a3 = j.a(lowerLeft.getLatitude());
                double a4 = j.a(lowerLeft.getLongitude());
                double a5 = j.a(upperRight.getLatitude());
                double a6 = j.a(upperRight.getLongitude());
                hashtable.put("polygon", a4 + "," + a3 + i.b + a6 + "," + a5);
            } else if (((CloudSearch.Query) this.b).getBound().getShape().equals("Polygon")) {
                List<LatLonPoint> polyGonList = ((CloudSearch.Query) this.b).getBound().getPolyGonList();
                if (polyGonList != null && polyGonList.size() > 0) {
                    hashtable.put("polygon", j.a(polyGonList, i.b));
                }
            } else if (((CloudSearch.Query) this.b).getBound().getShape().equals(CloudSearch.SearchBound.LOCAL_SHAPE)) {
                hashtable.put(DistrictSearchQuery.KEYWORDS_CITY, ((CloudSearch.Query) this.b).getBound().getCity());
            }
        }
        hashtable.put("layerId", ((CloudSearch.Query) this.b).getTableID());
        if (!j.a(j())) {
            hashtable.put("sortrule", j());
        }
        String z = z();
        if (!j.a(z)) {
            hashtable.put(Constants.Name.FILTER, z);
        }
        String queryString = ((CloudSearch.Query) this.b).getQueryString();
        if (queryString == null || "".equals(queryString)) {
            hashtable.put("keywords", "");
        } else {
            hashtable.put("keywords", queryString);
        }
        StringBuilder sb2 = new StringBuilder();
        sb2.append(((CloudSearch.Query) this.b).getPageSize());
        hashtable.put(Constants.Name.PAGE_SIZE, sb2.toString());
        StringBuilder sb3 = new StringBuilder();
        sb3.append(((CloudSearch.Query) this.b).getPageNum());
        hashtable.put("pageNum", sb3.toString());
        String a7 = bu.a();
        String a8 = bu.a(this.e, a7, a(hashtable));
        hashtable.put("ts", a7);
        hashtable.put("scode", a8);
        return hashtable;
    }

    private static String e(String str) {
        if (str != null) {
            return str.replace(Operators.AND, "%26%26");
        }
        return str;
    }

    private static String f(String str) {
        if (str != null) {
            return str.replace("%26%26", Operators.AND);
        }
        return str;
    }

    private static String a(Map<String, String> map) {
        return g(b(map));
    }

    private static String g(String str) {
        try {
            if (TextUtils.isEmpty(str)) {
                return "";
            }
            str = e(str);
            String[] split = str.split(a.n);
            Arrays.sort(split);
            StringBuffer stringBuffer = new StringBuffer();
            for (String str2 : split) {
                stringBuffer.append(str2);
                stringBuffer.append(a.n);
            }
            String f = f(stringBuffer.toString());
            if (f.length() > 1) {
                return (String) f.subSequence(0, f.length() - 1);
            }
            return str;
        } catch (Throwable th) {
            cp.a(th, "ut", "sPa");
        }
    }

    private static String b(Map<String, String> map) {
        if (map == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : map.entrySet()) {
            if (sb.length() > 0) {
                sb.append(a.n);
            }
            sb.append(entry.getKey());
            sb.append("=");
            sb.append(entry.getValue());
        }
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final String a_() {
        return null;
    }

    private String j() {
        if (((CloudSearch.Query) this.b).getSortingrules() != null) {
            return ((CloudSearch.Query) this.b).getSortingrules().toString();
        }
        return "";
    }

    private String z() {
        StringBuffer stringBuffer = new StringBuffer();
        String filterString = ((CloudSearch.Query) this.b).getFilterString();
        String filterNumString = ((CloudSearch.Query) this.b).getFilterNumString();
        stringBuffer.append(filterString);
        if (!j.a(filterString) && !j.a(filterNumString)) {
            stringBuffer.append(Operators.AND);
        }
        stringBuffer.append(filterNumString);
        return stringBuffer.toString();
    }
}
