package com.amap.api.maps;

import android.content.Context;
import com.amap.api.col.p0003l.am;
import com.amap.api.col.p0003l.dq;
import com.amap.api.col.p0003l.du;
import com.amap.api.col.p0003l.gn;
import com.amap.api.maps.model.LatLng;
import com.amap.api.services.geocoder.GeocodeSearch;

public class CoordinateConverter {
    private static final String TAG = "CoordinateConverter";
    private CoordType coordType = null;
    private Context ctx;
    private LatLng sourceLatLng = null;

    public enum CoordType {
        BAIDU,
        MAPBAR,
        GPS,
        MAPABC,
        SOSOMAP,
        ALIYUN,
        GOOGLE
    }

    public CoordinateConverter(Context context) {
        this.ctx = context;
    }

    public CoordinateConverter from(CoordType coordType2) {
        this.coordType = coordType2;
        return this;
    }

    public CoordinateConverter coord(LatLng latLng) {
        this.sourceLatLng = latLng;
        return this;
    }

    public LatLng convert() {
        LatLng latLng = null;
        if (this.coordType == null || this.sourceLatLng == null) {
            return null;
        }
        String str = "";
        try {
            switch (AnonymousClass1.a[this.coordType.ordinal()]) {
                case 1:
                    latLng = am.a(this.sourceLatLng);
                    str = "baidu";
                    break;
                case 2:
                    latLng = am.b(this.ctx, this.sourceLatLng);
                    str = "mapbar";
                    break;
                case 3:
                    str = "mapabc";
                    latLng = this.sourceLatLng;
                    break;
                case 4:
                    str = "sosomap";
                    latLng = this.sourceLatLng;
                    break;
                case 5:
                    str = "aliyun";
                    latLng = this.sourceLatLng;
                    break;
                case 6:
                    str = "google";
                    latLng = this.sourceLatLng;
                    break;
                case 7:
                    str = GeocodeSearch.GPS;
                    latLng = am.a(this.ctx, this.sourceLatLng);
                    break;
            }
            du.a(this.ctx, str);
            return latLng;
        } catch (Throwable th) {
            th.printStackTrace();
            gn.b(th, TAG, "convert");
            return this.sourceLatLng;
        }
    }

    /* renamed from: com.amap.api.maps.CoordinateConverter$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] a;

        static {
            int[] iArr = new int[CoordType.values().length];
            a = iArr;
            try {
                iArr[CoordType.BAIDU.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                a[CoordType.MAPBAR.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                a[CoordType.MAPABC.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                a[CoordType.SOSOMAP.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            try {
                a[CoordType.ALIYUN.ordinal()] = 5;
            } catch (NoSuchFieldError e5) {
            }
            try {
                a[CoordType.GOOGLE.ordinal()] = 6;
            } catch (NoSuchFieldError e6) {
            }
            try {
                a[CoordType.GPS.ordinal()] = 7;
            } catch (NoSuchFieldError e7) {
            }
        }
    }

    public static boolean isAMapDataAvailable(double d, double d2) {
        return dq.a(d, d2);
    }
}
