package com.coremedia.iso.boxes.mdat;

import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

public class DummyMap<K, V> implements Map<K, V> {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    HashSet<K> keys = new HashSet<>();
    V value;

    public DummyMap(V value2) {
        this.value = value2;
    }

    public Comparator<? super K> comparator() {
        return null;
    }

    public void addKeys(K[] keys2) {
        Collections.addAll(this.keys, keys2);
    }

    public int size() {
        return this.keys.size();
    }

    public boolean isEmpty() {
        return this.keys.isEmpty();
    }

    public boolean containsKey(Object key) {
        return this.keys.contains(key);
    }

    public boolean containsValue(Object value2) {
        return this.value == value2;
    }

    @Override // java.util.Map
    public V get(Object key) {
        if (this.keys.contains(key)) {
            return this.value;
        }
        return null;
    }

    @Override // java.util.Map
    public V put(K key, V v) {
        this.keys.add(key);
        return this.value;
    }

    @Override // java.util.Map
    public V remove(Object key) {
        V v = get(key);
        this.keys.remove(key);
        return v;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.HashSet<K> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.Map
    public void putAll(Map<? extends K, ? extends V> m) {
        Iterator<? extends K> it = m.keySet().iterator();
        while (it.hasNext()) {
            this.keys.add(it.next());
        }
    }

    public void clear() {
        this.keys.clear();
    }

    @Override // java.util.Map
    public Set<K> keySet() {
        return this.keys;
    }

    @Override // java.util.Map
    public Collection<V> values() {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        throw new UnsupportedOperationException();
    }
}
