package com.dcloud.zxing2;

import com.dcloud.zxing2.aztec.AztecWriter;
import com.dcloud.zxing2.common.BitMatrix;
import com.dcloud.zxing2.datamatrix.DataMatrixWriter;
import com.dcloud.zxing2.oned.CodaBarWriter;
import com.dcloud.zxing2.oned.Code128Writer;
import com.dcloud.zxing2.oned.Code39Writer;
import com.dcloud.zxing2.oned.Code93Writer;
import com.dcloud.zxing2.oned.EAN13Writer;
import com.dcloud.zxing2.oned.EAN8Writer;
import com.dcloud.zxing2.oned.ITFWriter;
import com.dcloud.zxing2.oned.UPCAWriter;
import com.dcloud.zxing2.oned.UPCEWriter;
import com.dcloud.zxing2.pdf417.PDF417Writer;
import com.dcloud.zxing2.qrcode.QRCodeWriter;
import java.util.Map;

public final class MultiFormatWriter implements Writer {

    /* access modifiers changed from: package-private */
    /* renamed from: com.dcloud.zxing2.MultiFormatWriter$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$dcloud$zxing2$BarcodeFormat;

        static {
            int[] iArr = new int[BarcodeFormat.values().length];
            $SwitchMap$com$dcloud$zxing2$BarcodeFormat = iArr;
            try {
                iArr[BarcodeFormat.EAN_8.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.UPC_E.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.EAN_13.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.UPC_A.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.QR_CODE.ordinal()] = 5;
            } catch (NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.CODE_39.ordinal()] = 6;
            } catch (NoSuchFieldError e6) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.CODE_93.ordinal()] = 7;
            } catch (NoSuchFieldError e7) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.CODE_128.ordinal()] = 8;
            } catch (NoSuchFieldError e8) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.ITF.ordinal()] = 9;
            } catch (NoSuchFieldError e9) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.PDF_417.ordinal()] = 10;
            } catch (NoSuchFieldError e10) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.CODABAR.ordinal()] = 11;
            } catch (NoSuchFieldError e11) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.DATA_MATRIX.ordinal()] = 12;
            } catch (NoSuchFieldError e12) {
            }
            try {
                $SwitchMap$com$dcloud$zxing2$BarcodeFormat[BarcodeFormat.AZTEC.ordinal()] = 13;
            } catch (NoSuchFieldError e13) {
            }
        }
    }

    @Override // com.dcloud.zxing2.Writer
    public BitMatrix encode(String str, BarcodeFormat barcodeFormat, int i, int i2) throws WriterException {
        return encode(str, barcodeFormat, i, i2, null);
    }

    @Override // com.dcloud.zxing2.Writer
    public BitMatrix encode(String str, BarcodeFormat barcodeFormat, int i, int i2, Map<EncodeHintType, ?> map) throws WriterException {
        AztecWriter aztecWriter;
        switch (AnonymousClass1.$SwitchMap$com$dcloud$zxing2$BarcodeFormat[barcodeFormat.ordinal()]) {
            case 1:
                aztecWriter = new EAN8Writer();
                break;
            case 2:
                aztecWriter = new UPCEWriter();
                break;
            case 3:
                aztecWriter = new EAN13Writer();
                break;
            case 4:
                aztecWriter = new UPCAWriter();
                break;
            case 5:
                aztecWriter = new QRCodeWriter();
                break;
            case 6:
                aztecWriter = new Code39Writer();
                break;
            case 7:
                aztecWriter = new Code93Writer();
                break;
            case 8:
                aztecWriter = new Code128Writer();
                break;
            case 9:
                aztecWriter = new ITFWriter();
                break;
            case 10:
                aztecWriter = new PDF417Writer();
                break;
            case 11:
                aztecWriter = new CodaBarWriter();
                break;
            case 12:
                aztecWriter = new DataMatrixWriter();
                break;
            case 13:
                aztecWriter = new AztecWriter();
                break;
            default:
                throw new IllegalArgumentException("No encoder available for format " + barcodeFormat);
        }
        return aztecWriter.encode(str, barcodeFormat, i, i2, map);
    }
}
