package com.github.faucamp.simplertmp.amf;

import java.io.IOException;
import java.io.InputStream;

public class AmfDecoder {
    public static AmfData readFrom(InputStream in) throws IOException {
        AmfData amfData;
        AmfType amfType = AmfType.valueOf((byte) in.read());
        switch (AnonymousClass1.$SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[amfType.ordinal()]) {
            case 1:
                amfData = new AmfNumber();
                break;
            case 2:
                amfData = new AmfBoolean();
                break;
            case 3:
                amfData = new AmfString();
                break;
            case 4:
                amfData = new AmfObject();
                break;
            case 5:
                return new AmfNull();
            case 6:
                return new AmfUndefined();
            case 7:
                amfData = new AmfMap();
                break;
            case 8:
                amfData = new AmfArray();
                break;
            default:
                throw new IOException("Unknown/unimplemented AMF data type: " + amfType);
        }
        amfData.readFrom(in);
        return amfData;
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.github.faucamp.simplertmp.amf.AmfDecoder$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType;

        static {
            int[] iArr = new int[AmfType.values().length];
            $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType = iArr;
            try {
                iArr[AmfType.NUMBER.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.BOOLEAN.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.STRING.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.OBJECT.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.NULL.ordinal()] = 5;
            } catch (NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.UNDEFINED.ordinal()] = 6;
            } catch (NoSuchFieldError e6) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.MAP.ordinal()] = 7;
            } catch (NoSuchFieldError e7) {
            }
            try {
                $SwitchMap$com$github$faucamp$simplertmp$amf$AmfType[AmfType.ARRAY.ordinal()] = 8;
            } catch (NoSuchFieldError e8) {
            }
        }
    }
}
