package com.google.android.exoplayer2.f.b;

import android.util.Log;
import com.google.android.exoplayer2.f.e;
import com.google.android.exoplayer2.j.k;
import com.google.android.exoplayer2.j.t;
import io.dcloud.common.DHInterface.IApp;
import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Locale;
import net.lingala.zip4j.util.InternalZipConstants;

/* compiled from: Id3Decoder */
public final class g implements com.google.android.exoplayer2.f.b {
    public static final int a = t.g("ID3");
    private final a b;

    /* compiled from: Id3Decoder */
    public interface a {
        boolean a(int i, int i2, int i3, int i4, int i5);
    }

    public g() {
        this(null);
    }

    public g(a aVar) {
        this.b = aVar;
    }

    @Override // com.google.android.exoplayer2.f.b
    public com.google.android.exoplayer2.f.a a(e eVar) {
        ByteBuffer byteBuffer = eVar.b;
        return a(byteBuffer.array(), byteBuffer.limit());
    }

    public com.google.android.exoplayer2.f.a a(byte[] bArr, int i) {
        ArrayList arrayList = new ArrayList();
        k kVar = new k(bArr, i);
        b a2 = a(kVar);
        if (a2 == null) {
            return null;
        }
        int d = kVar.d();
        int i2 = a2.a == 2 ? 6 : 10;
        int i3 = a2.c;
        if (a2.b) {
            i3 = f(kVar, a2.c);
        }
        kVar.b(d + i3);
        boolean z = false;
        if (!a(kVar, a2.a, i2, false)) {
            if (a2.a != 4 || !a(kVar, 4, i2, true)) {
                Log.w("Id3Decoder", "Failed to validate ID3 tag with majorVersion=" + a2.a);
                return null;
            }
            z = true;
        }
        while (kVar.b() >= i2) {
            h a3 = a(a2.a, kVar, z, i2, this.b);
            if (a3 != null) {
                arrayList.add(a3);
            }
        }
        return new com.google.android.exoplayer2.f.a(arrayList);
    }

    private static b a(k kVar) {
        if (kVar.b() < 10) {
            Log.w("Id3Decoder", "Data too short to be an ID3 tag");
            return null;
        }
        int k = kVar.k();
        if (k != a) {
            Log.w("Id3Decoder", "Unexpected first three bytes of ID3 tag header: " + k);
            return null;
        }
        int g = kVar.g();
        boolean z = true;
        kVar.d(1);
        int g2 = kVar.g();
        int s = kVar.s();
        if (g == 2) {
            if ((g2 & 64) != 0) {
                Log.w("Id3Decoder", "Skipped ID3 tag with majorVersion=2 and undefined compression scheme");
                return null;
            }
        } else if (g == 3) {
            if ((g2 & 64) != 0) {
                int n = kVar.n();
                kVar.d(n);
                s -= n + 4;
            }
        } else if (g == 4) {
            if ((g2 & 64) != 0) {
                int s2 = kVar.s();
                kVar.d(s2 - 4);
                s -= s2;
            }
            if ((g2 & 16) != 0) {
                s -= 10;
            }
        } else {
            Log.w("Id3Decoder", "Skipped ID3 tag with unsupported majorVersion=" + g);
            return null;
        }
        if (g >= 4 || (g2 & 128) == 0) {
            z = false;
        }
        return new b(g, z, s);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x004c, code lost:
        return false;
     */
    private static boolean a(k kVar, int i, int i2, boolean z) {
        int i3;
        long j;
        int i4;
        boolean z2;
        boolean z3;
        int d = kVar.d();
        while (true) {
            try {
                int i5 = 1;
                if (kVar.b() >= i2) {
                    if (i >= 3) {
                        i4 = kVar.n();
                        j = kVar.l();
                        i3 = kVar.h();
                    } else {
                        i4 = kVar.k();
                        j = (long) kVar.k();
                        i3 = 0;
                    }
                    if (i4 != 0 || j != 0 || i3 != 0) {
                        if (i == 4 && !z) {
                            if ((8421504 & j) != 0) {
                                break;
                            }
                            j = (((j >> 24) & 255) << 21) | (j & 255) | (((j >> 8) & 255) << 7) | (((j >> 16) & 255) << 14);
                        }
                        if (i == 4) {
                            z3 = (i3 & 64) != 0;
                            z2 = (i3 & 1) != 0;
                        } else if (i == 3) {
                            z3 = (i3 & 32) != 0;
                            z2 = (i3 & 128) != 0;
                        } else {
                            z3 = false;
                            z2 = false;
                        }
                        if (!z3) {
                            i5 = 0;
                        }
                        if (z2) {
                            i5 += 4;
                        }
                        if (j < ((long) i5) || ((long) kVar.b()) < j) {
                            break;
                        }
                        kVar.d((int) j);
                    } else {
                        break;
                    }
                } else {
                    break;
                }
            } finally {
                kVar.c(d);
            }
        }
        kVar.c(d);
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:131:0x019b, code lost:
        if (r13 == 67) goto L_0x019d;
     */
    private static h a(int i, k kVar, boolean z, int i2, a aVar) {
        int i3;
        int i4;
        int i5;
        String str;
        boolean z2;
        boolean z3;
        boolean z4;
        boolean z5;
        boolean z6;
        h hVar;
        int g = kVar.g();
        int g2 = kVar.g();
        int g3 = kVar.g();
        int g4 = i >= 3 ? kVar.g() : 0;
        if (i == 4) {
            int t = kVar.t();
            if (!z) {
                i3 = (((t >> 24) & 255) << 21) | (t & 255) | (((t >> 8) & 255) << 7) | (((t >> 16) & 255) << 14);
            } else {
                i3 = t;
            }
        } else if (i == 3) {
            i3 = kVar.t();
        } else {
            i3 = kVar.k();
        }
        int h = i >= 3 ? kVar.h() : 0;
        if (g == 0 && g2 == 0 && g3 == 0 && g4 == 0 && i3 == 0 && h == 0) {
            kVar.c(kVar.c());
            return null;
        }
        int d = kVar.d() + i3;
        if (d > kVar.c()) {
            Log.w("Id3Decoder", "Frame size exceeds remaining tag data");
            kVar.c(kVar.c());
            return null;
        }
        if (aVar != null) {
            str = "Id3Decoder";
            i5 = d;
            i4 = h;
            if (!aVar.a(i, g, g2, g3, g4)) {
                kVar.c(i5);
                return null;
            }
        } else {
            str = "Id3Decoder";
            i5 = d;
            i4 = h;
        }
        if (i == 3) {
            z5 = (i4 & 128) != 0;
            z4 = (i4 & 64) != 0;
            z6 = (i4 & 32) != 0;
            z2 = z5;
            z3 = false;
        } else if (i == 4) {
            boolean z7 = (i4 & 64) != 0;
            boolean z8 = (i4 & 8) != 0;
            boolean z9 = (i4 & 4) != 0;
            z3 = (i4 & 2) != 0;
            z6 = z7;
            z5 = (i4 & 1) != 0;
            z2 = z8;
            z4 = z9;
        } else {
            z6 = false;
            z5 = false;
            z4 = false;
            z3 = false;
            z2 = false;
        }
        if (z2 || z4) {
            Log.w(str, "Skipping unsupported compressed or encrypted frame");
            kVar.c(i5);
            return null;
        }
        if (z6) {
            i3--;
            kVar.d(1);
        }
        if (z5) {
            i3 -= 4;
            kVar.d(4);
        }
        if (z3) {
            i3 = f(kVar, i3);
        }
        if (g == 84 && g2 == 88 && g3 == 88 && (i == 2 || g4 == 88)) {
            try {
                hVar = a(kVar, i3);
            } catch (UnsupportedEncodingException e) {
                Log.w(str, "Unsupported character encoding");
                kVar.c(i5);
                return null;
            } catch (Throwable th) {
                kVar.c(i5);
                throw th;
            }
        } else if (g == 84) {
            hVar = a(kVar, i3, a(i, g, g2, g3, g4));
        } else if (g == 87 && g2 == 88 && g3 == 88 && (i == 2 || g4 == 88)) {
            hVar = b(kVar, i3);
        } else if (g == 87) {
            hVar = b(kVar, i3, a(i, g, g2, g3, g4));
        } else if (g == 80 && g2 == 82 && g3 == 73 && g4 == 86) {
            hVar = c(kVar, i3);
        } else if (g == 71 && g2 == 69 && g3 == 79 && (g4 == 66 || i == 2)) {
            hVar = d(kVar, i3);
        } else {
            if (i == 2) {
                if (g == 80 && g2 == 73 && g3 == 67) {
                }
                if (g != 67 && g2 == 79 && g3 == 77 && (g4 == 77 || i == 2)) {
                    hVar = e(kVar, i3);
                } else if (g != 67 && g2 == 72 && g3 == 65 && g4 == 80) {
                    hVar = a(kVar, i3, i, z, i2, aVar);
                } else if (g != 67 && g2 == 84 && g3 == 79 && g4 == 67) {
                    hVar = b(kVar, i3, i, z, i2, aVar);
                } else {
                    hVar = c(kVar, i3, a(i, g, g2, g3, g4));
                }
            } else {
                if (g == 65) {
                    if (g2 == 80) {
                        if (g3 == 73) {
                        }
                    }
                }
                if (g != 67) {
                }
                if (g != 67) {
                }
                if (g != 67) {
                }
                hVar = c(kVar, i3, a(i, g, g2, g3, g4));
            }
            hVar = a(kVar, i3, i);
        }
        if (hVar == null) {
            Log.w(str, "Failed to decode frame: id=" + a(i, g, g2, g3, g4) + ", frameSize=" + i3);
        }
        kVar.c(i5);
        return hVar;
    }

    private static j a(k kVar, int i) throws UnsupportedEncodingException {
        String str;
        if (i < 1) {
            return null;
        }
        int g = kVar.g();
        String a2 = a(g);
        int i2 = i - 1;
        byte[] bArr = new byte[i2];
        kVar.a(bArr, 0, i2);
        int a3 = a(bArr, 0, g);
        String str2 = new String(bArr, 0, a3, a2);
        int b2 = a3 + b(g);
        if (b2 < i2) {
            str = new String(bArr, b2, a(bArr, b2, g) - b2, a2);
        } else {
            str = "";
        }
        return new j("TXXX", str2, str);
    }

    private static j a(k kVar, int i, String str) throws UnsupportedEncodingException {
        if (i < 1) {
            return null;
        }
        int g = kVar.g();
        String a2 = a(g);
        int i2 = i - 1;
        byte[] bArr = new byte[i2];
        kVar.a(bArr, 0, i2);
        return new j(str, null, new String(bArr, 0, a(bArr, 0, g), a2));
    }

    private static k b(k kVar, int i) throws UnsupportedEncodingException {
        String str;
        if (i < 1) {
            return null;
        }
        int g = kVar.g();
        String a2 = a(g);
        int i2 = i - 1;
        byte[] bArr = new byte[i2];
        kVar.a(bArr, 0, i2);
        int a3 = a(bArr, 0, g);
        String str2 = new String(bArr, 0, a3, a2);
        int b2 = a3 + b(g);
        if (b2 < i2) {
            str = new String(bArr, b2, b(bArr, b2) - b2, InternalZipConstants.AES_HASH_CHARSET);
        } else {
            str = "";
        }
        return new k("WXXX", str2, str);
    }

    private static k b(k kVar, int i, String str) throws UnsupportedEncodingException {
        byte[] bArr = new byte[i];
        kVar.a(bArr, 0, i);
        return new k(str, null, new String(bArr, 0, b(bArr, 0), InternalZipConstants.AES_HASH_CHARSET));
    }

    private static i c(k kVar, int i) throws UnsupportedEncodingException {
        byte[] bArr;
        byte[] bArr2 = new byte[i];
        kVar.a(bArr2, 0, i);
        int b2 = b(bArr2, 0);
        String str = new String(bArr2, 0, b2, InternalZipConstants.AES_HASH_CHARSET);
        int i2 = b2 + 1;
        if (i2 < i) {
            bArr = Arrays.copyOfRange(bArr2, i2, i);
        } else {
            bArr = new byte[0];
        }
        return new i(str, bArr);
    }

    private static f d(k kVar, int i) throws UnsupportedEncodingException {
        int g = kVar.g();
        String a2 = a(g);
        int i2 = i - 1;
        byte[] bArr = new byte[i2];
        kVar.a(bArr, 0, i2);
        int b2 = b(bArr, 0);
        String str = new String(bArr, 0, b2, InternalZipConstants.AES_HASH_CHARSET);
        int i3 = b2 + 1;
        int a3 = a(bArr, i3, g);
        String str2 = new String(bArr, i3, a3 - i3, a2);
        int b3 = a3 + b(g);
        int a4 = a(bArr, b3, g);
        return new f(str, str2, new String(bArr, b3, a4 - b3, a2), Arrays.copyOfRange(bArr, a4 + b(g), i2));
    }

    private static a a(k kVar, int i, int i2) throws UnsupportedEncodingException {
        int i3;
        String str;
        int g = kVar.g();
        String a2 = a(g);
        int i4 = i - 1;
        byte[] bArr = new byte[i4];
        kVar.a(bArr, 0, i4);
        if (i2 == 2) {
            str = "image/" + t.d(new String(bArr, 0, 3, InternalZipConstants.AES_HASH_CHARSET));
            if (str.equals("image/jpg")) {
                str = "image/jpeg";
                i3 = 2;
            } else {
                i3 = 2;
            }
        } else {
            i3 = b(bArr, 0);
            String d = t.d(new String(bArr, 0, i3, InternalZipConstants.AES_HASH_CHARSET));
            if (d.indexOf(47) == -1) {
                str = "image/" + d;
            } else {
                str = d;
            }
        }
        int i5 = bArr[i3 + 1] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
        int i6 = i3 + 2;
        int a3 = a(bArr, i6, g);
        return new a(str, new String(bArr, i6, a3 - i6, a2), i5, Arrays.copyOfRange(bArr, a3 + b(g), i4));
    }

    private static e e(k kVar, int i) throws UnsupportedEncodingException {
        String str;
        if (i < 4) {
            return null;
        }
        int g = kVar.g();
        String a2 = a(g);
        byte[] bArr = new byte[3];
        kVar.a(bArr, 0, 3);
        String str2 = new String(bArr, 0, 3);
        int i2 = i - 4;
        byte[] bArr2 = new byte[i2];
        kVar.a(bArr2, 0, i2);
        int a3 = a(bArr2, 0, g);
        String str3 = new String(bArr2, 0, a3, a2);
        int b2 = a3 + b(g);
        if (b2 < i2) {
            str = new String(bArr2, b2, a(bArr2, b2, g) - b2, a2);
        } else {
            str = "";
        }
        return new e(str2, str3, str);
    }

    private static c a(k kVar, int i, int i2, boolean z, int i3, a aVar) throws UnsupportedEncodingException {
        long j;
        long j2;
        int d = kVar.d();
        int b2 = b(kVar.a, d);
        String str = new String(kVar.a, d, b2 - d, InternalZipConstants.AES_HASH_CHARSET);
        kVar.c(b2 + 1);
        int n = kVar.n();
        int n2 = kVar.n();
        long l = kVar.l();
        if (l == InternalZipConstants.ZIP_64_SIZE_LIMIT) {
            j = -1;
        } else {
            j = l;
        }
        long l2 = kVar.l();
        if (l2 == InternalZipConstants.ZIP_64_SIZE_LIMIT) {
            j2 = -1;
        } else {
            j2 = l2;
        }
        ArrayList arrayList = new ArrayList();
        int i4 = d + i;
        while (kVar.d() < i4) {
            h a2 = a(i2, kVar, z, i3, aVar);
            if (a2 != null) {
                arrayList.add(a2);
            }
        }
        h[] hVarArr = new h[arrayList.size()];
        arrayList.toArray(hVarArr);
        return new c(str, n, n2, j, j2, hVarArr);
    }

    private static d b(k kVar, int i, int i2, boolean z, int i3, a aVar) throws UnsupportedEncodingException {
        int d = kVar.d();
        int b2 = b(kVar.a, d);
        String str = new String(kVar.a, d, b2 - d, InternalZipConstants.AES_HASH_CHARSET);
        kVar.c(b2 + 1);
        int g = kVar.g();
        boolean z2 = (g & 2) != 0;
        boolean z3 = (g & 1) != 0;
        int g2 = kVar.g();
        String[] strArr = new String[g2];
        for (int i4 = 0; i4 < g2; i4++) {
            int d2 = kVar.d();
            int b3 = b(kVar.a, d2);
            strArr[i4] = new String(kVar.a, d2, b3 - d2, InternalZipConstants.AES_HASH_CHARSET);
            kVar.c(b3 + 1);
        }
        ArrayList arrayList = new ArrayList();
        int i5 = d + i;
        while (kVar.d() < i5) {
            h a2 = a(i2, kVar, z, i3, aVar);
            if (a2 != null) {
                arrayList.add(a2);
            }
        }
        h[] hVarArr = new h[arrayList.size()];
        arrayList.toArray(hVarArr);
        return new d(str, z2, z3, strArr, hVarArr);
    }

    private static b c(k kVar, int i, String str) {
        byte[] bArr = new byte[i];
        kVar.a(bArr, 0, i);
        return new b(str, bArr);
    }

    private static int f(k kVar, int i) {
        byte[] bArr = kVar.a;
        int d = kVar.d();
        while (true) {
            int i2 = d + 1;
            if (i2 >= i) {
                return i;
            }
            if ((bArr[d] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) == 255 && bArr[i2] == 0) {
                System.arraycopy(bArr, d + 2, bArr, i2, (i - d) - 2);
                i--;
            }
            d = i2;
        }
    }

    private static String a(int i) {
        if (i == 1) {
            return "UTF-16";
        }
        if (i == 2) {
            return "UTF-16BE";
        }
        if (i != 3) {
            return InternalZipConstants.AES_HASH_CHARSET;
        }
        return "UTF-8";
    }

    private static String a(int i, int i2, int i3, int i4, int i5) {
        if (i == 2) {
            return String.format(Locale.US, "%c%c%c", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i4));
        }
        return String.format(Locale.US, "%c%c%c%c", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i4), Integer.valueOf(i5));
    }

    private static int a(byte[] bArr, int i, int i2) {
        int b2 = b(bArr, i);
        if (i2 == 0 || i2 == 3) {
            return b2;
        }
        while (b2 < bArr.length - 1) {
            if (b2 % 2 == 0 && bArr[b2 + 1] == 0) {
                return b2;
            }
            b2 = b(bArr, b2 + 1);
        }
        return bArr.length;
    }

    private static int b(byte[] bArr, int i) {
        while (i < bArr.length) {
            if (bArr[i] == 0) {
                return i;
            }
            i++;
        }
        return bArr.length;
    }

    private static int b(int i) {
        return (i == 0 || i == 3) ? 1 : 2;
    }

    /* access modifiers changed from: private */
    /* compiled from: Id3Decoder */
    public static final class b {
        private final int a;
        private final boolean b;
        private final int c;

        public b(int i, boolean z, int i2) {
            this.a = i;
            this.b = z;
            this.c = i2;
        }
    }
}
