package com.google.android.exoplayer2.g.d;

import android.text.Layout;
import android.util.Log;
import com.google.android.exoplayer2.g.b;
import com.google.android.exoplayer2.g.f;
import com.google.android.exoplayer2.j.c;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.j.u;
import com.meizu.cloud.pushsdk.constants.PushConstants;
import com.meizu.cloud.pushsdk.notification.model.BrightRemindSetting;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.ui.component.WXBasicComponentType;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.richtext.node.SpanNode;
import com.umeng.analytics.pro.bg;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;

/* compiled from: TtmlDecoder */
public final class a extends b {
    private static final Pattern a = Pattern.compile("^([0-9][0-9]+):([0-9][0-9]):([0-9][0-9])(?:(\\.[0-9]+)|:([0-9][0-9])(?:\\.([0-9]+))?)?$");
    private static final Pattern b = Pattern.compile("^([0-9]+(?:\\.[0-9]+)?)(h|m|s|ms|f|t)$");
    private static final Pattern c = Pattern.compile("^(([0-9]*.)?[0-9]+)(px|em|%)$");
    private static final Pattern d = Pattern.compile("^(\\d+\\.?\\d*?)% (\\d+\\.?\\d*?)%$");
    private static final C0069a e = new C0069a(30.0f, 1, 1);
    private final XmlPullParserFactory f;

    public a() {
        super("TtmlDecoder");
        try {
            XmlPullParserFactory newInstance = XmlPullParserFactory.newInstance();
            this.f = newInstance;
            newInstance.setNamespaceAware(true);
        } catch (XmlPullParserException e2) {
            throw new RuntimeException("Couldn't create XmlPullParserFactory instance", e2);
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public f a(byte[] bArr, int i, boolean z) throws f {
        try {
            XmlPullParser newPullParser = this.f.newPullParser();
            HashMap hashMap = new HashMap();
            HashMap hashMap2 = new HashMap();
            f fVar = null;
            hashMap2.put("", new c(null));
            int i2 = 0;
            newPullParser.setInput(new ByteArrayInputStream(bArr, 0, i), null);
            LinkedList linkedList = new LinkedList();
            C0069a aVar = e;
            for (int eventType = newPullParser.getEventType(); eventType != 1; eventType = newPullParser.getEventType()) {
                b bVar = (b) linkedList.peekLast();
                if (i2 == 0) {
                    String name = newPullParser.getName();
                    if (eventType == 2) {
                        if (PushConstants.PUSH_NOTIFICATION_CREATE_TIMES_TAMP.equals(name)) {
                            aVar = a(newPullParser);
                        }
                        if (!b(name)) {
                            Log.i("TtmlDecoder", "Ignoring unsupported tag: " + newPullParser.getName());
                            i2++;
                        } else if ("head".equals(name)) {
                            a(newPullParser, hashMap, hashMap2);
                        } else {
                            try {
                                b a2 = a(newPullParser, bVar, hashMap2, aVar);
                                linkedList.addLast(a2);
                                if (bVar != null) {
                                    bVar.a(a2);
                                }
                            } catch (f e2) {
                                Log.w("TtmlDecoder", "Suppressing parser error", e2);
                                i2++;
                            }
                        }
                    } else if (eventType == 4) {
                        bVar.a(b.a(newPullParser.getText()));
                    } else if (eventType == 3) {
                        if (newPullParser.getName().equals(PushConstants.PUSH_NOTIFICATION_CREATE_TIMES_TAMP)) {
                            fVar = new f((b) linkedList.getLast(), hashMap, hashMap2);
                        }
                        linkedList.removeLast();
                    }
                } else if (eventType == 2) {
                    i2++;
                } else if (eventType == 3) {
                    i2--;
                }
                newPullParser.next();
            }
            return fVar;
        } catch (XmlPullParserException e3) {
            throw new f("Unable to decode source", e3);
        } catch (IOException e4) {
            throw new IllegalStateException("Unexpected error when reading input.", e4);
        }
    }

    private C0069a a(XmlPullParser xmlPullParser) throws f {
        int i;
        String attributeValue = xmlPullParser.getAttributeValue("http://www.w3.org/ns/ttml#parameter", "frameRate");
        if (attributeValue != null) {
            i = Integer.parseInt(attributeValue);
        } else {
            i = 30;
        }
        float f2 = 1.0f;
        String attributeValue2 = xmlPullParser.getAttributeValue("http://www.w3.org/ns/ttml#parameter", "frameRateMultiplier");
        if (attributeValue2 != null) {
            String[] split = attributeValue2.split(Operators.SPACE_STR);
            if (split.length == 2) {
                f2 = ((float) Integer.parseInt(split[0])) / ((float) Integer.parseInt(split[1]));
            } else {
                throw new f("frameRateMultiplier doesn't have 2 parts");
            }
        }
        int i2 = e.b;
        String attributeValue3 = xmlPullParser.getAttributeValue("http://www.w3.org/ns/ttml#parameter", "subFrameRate");
        if (attributeValue3 != null) {
            i2 = Integer.parseInt(attributeValue3);
        }
        int i3 = e.c;
        String attributeValue4 = xmlPullParser.getAttributeValue("http://www.w3.org/ns/ttml#parameter", "tickRate");
        if (attributeValue4 != null) {
            i3 = Integer.parseInt(attributeValue4);
        }
        return new C0069a(((float) i) * f2, i2, i3);
    }

    private Map<String, e> a(XmlPullParser xmlPullParser, Map<String, e> map, Map<String, c> map2) throws IOException, XmlPullParserException {
        c b2;
        do {
            xmlPullParser.next();
            if (u.b(xmlPullParser, "style")) {
                String c2 = u.c(xmlPullParser, "style");
                e a2 = a(xmlPullParser, new e());
                if (c2 != null) {
                    for (String str : a(c2)) {
                        a2.a(map.get(str));
                    }
                }
                if (a2.i() != null) {
                    map.put(a2.i(), a2);
                }
            } else if (u.b(xmlPullParser, "region") && (b2 = b(xmlPullParser)) != null) {
                map2.put(b2.a, b2);
            }
        } while (!u.a(xmlPullParser, "head"));
        return map;
    }

    private c b(XmlPullParser xmlPullParser) {
        float f2;
        float f3;
        int i;
        float f4;
        String c2 = u.c(xmlPullParser, "id");
        if (c2 == null) {
            return null;
        }
        String c3 = u.c(xmlPullParser, "origin");
        float f5 = 0.0f;
        if (c3 != null) {
            Matcher matcher = d.matcher(c3);
            if (matcher.matches()) {
                try {
                    float parseFloat = Float.parseFloat(matcher.group(1)) / 100.0f;
                    f2 = Float.parseFloat(matcher.group(2)) / 100.0f;
                    f5 = parseFloat;
                } catch (NumberFormatException e2) {
                    Log.w("TtmlDecoder", "Ignoring region with malformed origin: " + c3);
                    return null;
                }
            } else {
                Log.w("TtmlDecoder", "Ignoring region with unsupported origin: " + c3);
                return null;
            }
        } else {
            f2 = 0.0f;
        }
        String c4 = u.c(xmlPullParser, "extent");
        float f6 = 1.0f;
        if (c4 != null) {
            Matcher matcher2 = d.matcher(c4);
            if (matcher2.matches()) {
                try {
                    f6 = Float.parseFloat(matcher2.group(1)) / 100.0f;
                    f3 = Float.parseFloat(matcher2.group(2)) / 100.0f;
                } catch (NumberFormatException e3) {
                    Log.w("TtmlDecoder", "Ignoring region with malformed extent: " + c3);
                    return null;
                }
            } else {
                Log.w("TtmlDecoder", "Ignoring region with unsupported extent: " + c3);
                return null;
            }
        } else {
            f3 = 1.0f;
        }
        String c5 = u.c(xmlPullParser, "displayAlign");
        if (c5 != null) {
            String lowerCase = c5.toLowerCase();
            char c6 = 65535;
            int hashCode = lowerCase.hashCode();
            if (hashCode != -1364013995) {
                if (hashCode == 92734940 && lowerCase.equals("after")) {
                    c6 = 1;
                }
            } else if (lowerCase.equals("center")) {
                c6 = 0;
            }
            if (c6 == 0) {
                f4 = f2 + (f3 / 2.0f);
                i = 1;
            } else if (c6 == 1) {
                f4 = f2 + f3;
                i = 2;
            }
            return new c(c2, f5, f4, 0, i, f6);
        }
        f4 = f2;
        i = 0;
        return new c(c2, f5, f4, 0, i, f6);
    }

    private String[] a(String str) {
        return str.split("\\s+");
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private e a(XmlPullParser xmlPullParser, e eVar) {
        char c2;
        int attributeCount = xmlPullParser.getAttributeCount();
        for (int i = 0; i < attributeCount; i++) {
            String attributeValue = xmlPullParser.getAttributeValue(i);
            String attributeName = xmlPullParser.getAttributeName(i);
            char c3 = 65535;
            switch (attributeName.hashCode()) {
                case -1550943582:
                    if (attributeName.equals(Constants.Name.FONT_STYLE)) {
                        c2 = 6;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1224696685:
                    if (attributeName.equals(Constants.Name.FONT_FAMILY)) {
                        c2 = 3;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1065511464:
                    if (attributeName.equals(Constants.Name.TEXT_ALIGN)) {
                        c2 = 7;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -879295043:
                    if (attributeName.equals(Constants.Name.TEXT_DECORATION)) {
                        c2 = '\b';
                        break;
                    }
                    c2 = 65535;
                    break;
                case -734428249:
                    if (attributeName.equals(Constants.Name.FONT_WEIGHT)) {
                        c2 = 5;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 3355:
                    if (attributeName.equals("id")) {
                        c2 = 0;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 94842723:
                    if (attributeName.equals("color")) {
                        c2 = 2;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 365601008:
                    if (attributeName.equals(Constants.Name.FONT_SIZE)) {
                        c2 = 4;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 1287124693:
                    if (attributeName.equals("backgroundColor")) {
                        c2 = 1;
                        break;
                    }
                    c2 = 65535;
                    break;
                default:
                    c2 = 65535;
                    break;
            }
            switch (c2) {
                case 0:
                    if ("style".equals(xmlPullParser.getName())) {
                        eVar = a(eVar).b(attributeValue);
                        break;
                    } else {
                        break;
                    }
                case 1:
                    eVar = a(eVar);
                    try {
                        eVar.b(c.a(attributeValue));
                        break;
                    } catch (IllegalArgumentException e2) {
                        Log.w("TtmlDecoder", "Failed parsing background value: " + attributeValue);
                        break;
                    }
                case 2:
                    eVar = a(eVar);
                    try {
                        eVar.a(c.a(attributeValue));
                        break;
                    } catch (IllegalArgumentException e3) {
                        Log.w("TtmlDecoder", "Failed parsing color value: " + attributeValue);
                        break;
                    }
                case 3:
                    eVar = a(eVar).a(attributeValue);
                    break;
                case 4:
                    try {
                        eVar = a(eVar);
                        a(attributeValue, eVar);
                        break;
                    } catch (f e4) {
                        Log.w("TtmlDecoder", "Failed parsing fontSize value: " + attributeValue);
                        break;
                    }
                case 5:
                    eVar = a(eVar).c(Constants.Value.BOLD.equalsIgnoreCase(attributeValue));
                    break;
                case 6:
                    eVar = a(eVar).d(Constants.Value.ITALIC.equalsIgnoreCase(attributeValue));
                    break;
                case 7:
                    String d2 = t.d(attributeValue);
                    switch (d2.hashCode()) {
                        case -1364013995:
                            if (d2.equals("center")) {
                                c3 = 4;
                                break;
                            }
                            break;
                        case 100571:
                            if (d2.equals("end")) {
                                c3 = 3;
                                break;
                            }
                            break;
                        case 3317767:
                            if (d2.equals("left")) {
                                c3 = 0;
                                break;
                            }
                            break;
                        case 108511772:
                            if (d2.equals("right")) {
                                c3 = 2;
                                break;
                            }
                            break;
                        case 109757538:
                            if (d2.equals("start")) {
                                c3 = 1;
                                break;
                            }
                            break;
                    }
                    if (c3 != 0) {
                        if (c3 != 1) {
                            if (c3 != 2) {
                                if (c3 != 3) {
                                    if (c3 != 4) {
                                        break;
                                    } else {
                                        eVar = a(eVar).a(Layout.Alignment.ALIGN_CENTER);
                                        break;
                                    }
                                } else {
                                    eVar = a(eVar).a(Layout.Alignment.ALIGN_OPPOSITE);
                                    break;
                                }
                            } else {
                                eVar = a(eVar).a(Layout.Alignment.ALIGN_OPPOSITE);
                                break;
                            }
                        } else {
                            eVar = a(eVar).a(Layout.Alignment.ALIGN_NORMAL);
                            break;
                        }
                    } else {
                        eVar = a(eVar).a(Layout.Alignment.ALIGN_NORMAL);
                        break;
                    }
                case '\b':
                    String d3 = t.d(attributeValue);
                    switch (d3.hashCode()) {
                        case -1461280213:
                            if (d3.equals("nounderline")) {
                                c3 = 3;
                                break;
                            }
                            break;
                        case -1026963764:
                            if (d3.equals("underline")) {
                                c3 = 2;
                                break;
                            }
                            break;
                        case 913457136:
                            if (d3.equals("nolinethrough")) {
                                c3 = 1;
                                break;
                            }
                            break;
                        case 1679736913:
                            if (d3.equals("linethrough")) {
                                c3 = 0;
                                break;
                            }
                            break;
                    }
                    if (c3 != 0) {
                        if (c3 != 1) {
                            if (c3 != 2) {
                                if (c3 != 3) {
                                    break;
                                } else {
                                    eVar = a(eVar).b(false);
                                    break;
                                }
                            } else {
                                eVar = a(eVar).b(true);
                                break;
                            }
                        } else {
                            eVar = a(eVar).a(false);
                            break;
                        }
                    } else {
                        eVar = a(eVar).a(true);
                        break;
                    }
            }
        }
        return eVar;
    }

    private e a(e eVar) {
        return eVar == null ? new e() : eVar;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private b a(XmlPullParser xmlPullParser, b bVar, Map<String, c> map, C0069a aVar) throws f {
        long j;
        long j2;
        char c2;
        int attributeCount = xmlPullParser.getAttributeCount();
        e a2 = a(xmlPullParser, (e) null);
        String[] strArr = null;
        String str = "";
        long j3 = -9223372036854775807L;
        long j4 = -9223372036854775807L;
        long j5 = -9223372036854775807L;
        for (int i = 0; i < attributeCount; i++) {
            String attributeName = xmlPullParser.getAttributeName(i);
            String attributeValue = xmlPullParser.getAttributeValue(i);
            switch (attributeName.hashCode()) {
                case -934795532:
                    if (attributeName.equals("region")) {
                        c2 = 4;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 99841:
                    if (attributeName.equals("dur")) {
                        c2 = 2;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 100571:
                    if (attributeName.equals("end")) {
                        c2 = 1;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 93616297:
                    if (attributeName.equals("begin")) {
                        c2 = 0;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 109780401:
                    if (attributeName.equals("style")) {
                        c2 = 3;
                        break;
                    }
                    c2 = 65535;
                    break;
                default:
                    c2 = 65535;
                    break;
            }
            if (c2 == 0) {
                j3 = a(attributeValue, aVar);
            } else if (c2 == 1) {
                j4 = a(attributeValue, aVar);
            } else if (c2 == 2) {
                j5 = a(attributeValue, aVar);
            } else if (c2 == 3) {
                String[] a3 = a(attributeValue);
                if (a3.length > 0) {
                    strArr = a3;
                }
            } else if (c2 == 4) {
                if (map.containsKey(attributeValue)) {
                    str = attributeValue;
                }
            }
        }
        if (bVar == null || bVar.d == -9223372036854775807L) {
            j = j3;
        } else {
            if (j3 != -9223372036854775807L) {
                j3 += bVar.d;
            }
            if (j4 != -9223372036854775807L) {
                j4 += bVar.d;
                j = j3;
            } else {
                j = j3;
            }
        }
        if (j4 == -9223372036854775807L) {
            if (j5 != -9223372036854775807L) {
                j2 = j + j5;
            } else if (!(bVar == null || bVar.e == -9223372036854775807L)) {
                j2 = bVar.e;
            }
            return b.a(xmlPullParser.getName(), j, j2, a2, strArr, str);
        }
        j2 = j4;
        return b.a(xmlPullParser.getName(), j, j2, a2, strArr, str);
    }

    private static boolean b(String str) {
        return str.equals(PushConstants.PUSH_NOTIFICATION_CREATE_TIMES_TAMP) || str.equals("head") || str.equals("body") || str.equals(WXBasicComponentType.DIV) || str.equals("p") || str.equals(SpanNode.NODE_TYPE) || str.equals(BrightRemindSetting.BRIGHT_REMIND) || str.equals("style") || str.equals("styling") || str.equals(Constants.Name.LAYOUT) || str.equals("region") || str.equals("metadata") || str.equals("smpte:image") || str.equals("smpte:data") || str.equals("smpte:information");
    }

    private static void a(String str, e eVar) throws f {
        Matcher matcher;
        String[] split = str.split("\\s+");
        if (split.length == 1) {
            matcher = c.matcher(str);
        } else if (split.length == 2) {
            matcher = c.matcher(split[1]);
            Log.w("TtmlDecoder", "Multiple values in fontSize attribute. Picking the second value for vertical font size and ignoring the first.");
        } else {
            throw new f("Invalid number of entries for fontSize: " + split.length + Operators.DOT_STR);
        }
        if (matcher.matches()) {
            String group = matcher.group(3);
            char c2 = 65535;
            int hashCode = group.hashCode();
            if (hashCode != 37) {
                if (hashCode != 3240) {
                    if (hashCode == 3592 && group.equals("px")) {
                        c2 = 0;
                    }
                } else if (group.equals("em")) {
                    c2 = 1;
                }
            } else if (group.equals("%")) {
                c2 = 2;
            }
            if (c2 == 0) {
                eVar.c(1);
            } else if (c2 == 1) {
                eVar.c(2);
            } else if (c2 == 2) {
                eVar.c(3);
            } else {
                throw new f("Invalid unit for fontSize: '" + group + "'.");
            }
            eVar.a(Float.valueOf(matcher.group(1)).floatValue());
            return;
        }
        throw new f("Invalid expression for fontSize: '" + str + "'.");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:33:0x00be, code lost:
        if (r14.equals("s") != false) goto L_0x00ea;
     */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x010b  */
    private static long a(String str, C0069a aVar) throws f {
        Matcher matcher = a.matcher(str);
        char c2 = 2;
        if (matcher.matches()) {
            double parseLong = ((double) (Long.parseLong(matcher.group(1)) * 3600)) + ((double) (Long.parseLong(matcher.group(2)) * 60)) + ((double) Long.parseLong(matcher.group(3)));
            String group = matcher.group(4);
            double d2 = 0.0d;
            double parseDouble = parseLong + (group != null ? Double.parseDouble(group) : 0.0d);
            String group2 = matcher.group(5);
            double parseLong2 = parseDouble + (group2 != null ? (double) (((float) Long.parseLong(group2)) / aVar.a) : 0.0d);
            String group3 = matcher.group(6);
            if (group3 != null) {
                d2 = (((double) Long.parseLong(group3)) / ((double) aVar.b)) / ((double) aVar.a);
            }
            return (long) ((parseLong2 + d2) * 1000000.0d);
        }
        Matcher matcher2 = b.matcher(str);
        if (matcher2.matches()) {
            double parseDouble2 = Double.parseDouble(matcher2.group(1));
            String group4 = matcher2.group(2);
            int hashCode = group4.hashCode();
            if (hashCode != 102) {
                if (hashCode != 104) {
                    if (hashCode != 109) {
                        if (hashCode != 3494) {
                            if (hashCode != 115) {
                                if (hashCode == 116 && group4.equals(bg.aI)) {
                                    c2 = 5;
                                    if (c2 != 0) {
                                        parseDouble2 *= 3600.0d;
                                    } else if (c2 == 1) {
                                        parseDouble2 *= 60.0d;
                                    } else if (c2 == 3) {
                                        parseDouble2 /= 1000.0d;
                                    } else if (c2 == 4) {
                                        parseDouble2 /= (double) aVar.a;
                                    } else if (c2 == 5) {
                                        parseDouble2 /= (double) aVar.c;
                                    }
                                    return (long) (parseDouble2 * 1000000.0d);
                                }
                            }
                        } else if (group4.equals("ms")) {
                            c2 = 3;
                            if (c2 != 0) {
                            }
                            return (long) (parseDouble2 * 1000000.0d);
                        }
                    } else if (group4.equals(WXComponent.PROP_FS_MATCH_PARENT)) {
                        c2 = 1;
                        if (c2 != 0) {
                        }
                        return (long) (parseDouble2 * 1000000.0d);
                    }
                } else if (group4.equals(bg.aG)) {
                    c2 = 0;
                    if (c2 != 0) {
                    }
                    return (long) (parseDouble2 * 1000000.0d);
                }
            } else if (group4.equals("f")) {
                c2 = 4;
                if (c2 != 0) {
                }
                return (long) (parseDouble2 * 1000000.0d);
            }
            c2 = 65535;
            if (c2 != 0) {
            }
            return (long) (parseDouble2 * 1000000.0d);
        }
        throw new f("Malformed time expression: " + str);
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.exoplayer2.g.d.a$a  reason: collision with other inner class name */
    /* compiled from: TtmlDecoder */
    public static final class C0069a {
        final float a;
        final int b;
        final int c;

        C0069a(float f, int i, int i2) {
            this.a = f;
            this.b = i;
            this.c = i2;
        }
    }
}
