package com.google.android.exoplayer2.source.dash.a;

import android.net.Uri;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import android.util.Pair;
import com.coremedia.iso.boxes.sampleentry.SubtitleSampleEntry;
import com.google.android.exoplayer2.b;
import com.google.android.exoplayer2.c.a;
import com.google.android.exoplayer2.i.t;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.s;
import com.google.android.exoplayer2.j.u;
import com.google.android.exoplayer2.n;
import com.google.android.exoplayer2.source.dash.a.h;
import com.umeng.analytics.pro.bg;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.ExifInterface;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.xml.sax.helpers.DefaultHandler;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;

/* compiled from: DashManifestParser */
public class c extends DefaultHandler implements t.a<b> {
    private static final Pattern a = Pattern.compile("(\\d+)(?:/(\\d+))?");
    private static final Pattern b = Pattern.compile("CC([1-4])=.*");
    private static final Pattern c = Pattern.compile("([1-9]|[1-5][0-9]|6[0-3])=.*");
    private final String d;
    private final XmlPullParserFactory e;

    public c() {
        this(null);
    }

    public c(String str) {
        this.d = str;
        try {
            this.e = XmlPullParserFactory.newInstance();
        } catch (XmlPullParserException e2) {
            throw new RuntimeException("Couldn't create XmlPullParserFactory instance", e2);
        }
    }

    /* renamed from: a */
    public b b(Uri uri, InputStream inputStream) throws IOException {
        try {
            XmlPullParser newPullParser = this.e.newPullParser();
            newPullParser.setInput(inputStream, null);
            if (newPullParser.next() == 2 && "MPD".equals(newPullParser.getName())) {
                return a(newPullParser, uri.toString());
            }
            throw new n("inputStream does not contain a valid media presentation description");
        } catch (XmlPullParserException e2) {
            throw new n(e2);
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0164 A[LOOP:0: B:20:0x0069->B:63:0x0164, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x0128 A[SYNTHETIC] */
    public b a(XmlPullParser xmlPullParser, String str) throws XmlPullParserException, IOException {
        k kVar;
        long j;
        String str2;
        long c2 = c(xmlPullParser, "availabilityStartTime", -9223372036854775807L);
        long b2 = b(xmlPullParser, "mediaPresentationDuration", -9223372036854775807L);
        long b3 = b(xmlPullParser, "minBufferTime", -9223372036854775807L);
        String attributeValue = xmlPullParser.getAttributeValue(null, "type");
        boolean z = attributeValue != null && attributeValue.equals("dynamic");
        long b4 = z ? b(xmlPullParser, "minimumUpdatePeriod", -9223372036854775807L) : -9223372036854775807L;
        long b5 = z ? b(xmlPullParser, "timeShiftBufferDepth", -9223372036854775807L) : -9223372036854775807L;
        long b6 = z ? b(xmlPullParser, "suggestedPresentationDelay", -9223372036854775807L) : -9223372036854775807L;
        ArrayList arrayList = new ArrayList();
        long j2 = z ? -9223372036854775807L : 0;
        boolean z2 = false;
        boolean z3 = false;
        Uri uri = null;
        String str3 = str;
        k kVar2 = null;
        while (true) {
            xmlPullParser.next();
            if (!u.b(xmlPullParser, "BaseURL")) {
                if (u.b(xmlPullParser, "UTCTiming")) {
                    kVar = a(xmlPullParser);
                } else if (u.b(xmlPullParser, "Location")) {
                    uri = Uri.parse(xmlPullParser.nextText());
                    kVar = kVar2;
                } else if (!u.b(xmlPullParser, "Period") || z3) {
                    str2 = str3;
                    j = j2;
                } else {
                    Pair<d, Long> a2 = a(xmlPullParser, str3, j2);
                    d dVar = (d) a2.first;
                    if (dVar.b != -9223372036854775807L) {
                        long longValue = ((Long) a2.second).longValue();
                        long j3 = longValue == -9223372036854775807L ? -9223372036854775807L : dVar.b + longValue;
                        arrayList.add(dVar);
                        j2 = j3;
                        str3 = str3;
                        kVar = kVar2;
                    } else if (z) {
                        kVar = kVar2;
                        str3 = str3;
                        j2 = j2;
                        z3 = true;
                    } else {
                        throw new n("Unable to determine start of period " + arrayList.size());
                    }
                }
                if (u.a(xmlPullParser, "MPD")) {
                }
            } else if (!z2) {
                str3 = c(xmlPullParser, str3);
                kVar = kVar2;
                z2 = true;
                if (u.a(xmlPullParser, "MPD")) {
                    if (b2 == -9223372036854775807L) {
                        if (j2 != -9223372036854775807L) {
                            b2 = j2;
                        } else if (!z) {
                            throw new n("Unable to determine duration of static manifest.");
                        }
                    }
                    if (!arrayList.isEmpty()) {
                        return a(c2, b2, b3, z, b4, b5, b6, kVar, uri, arrayList);
                    }
                    throw new n("No periods found.");
                }
                kVar2 = kVar;
            } else {
                str2 = str3;
                j = j2;
            }
            kVar = kVar2;
            str3 = str2;
            j2 = j;
            if (u.a(xmlPullParser, "MPD")) {
            }
        }
    }

    /* access modifiers changed from: protected */
    public b a(long j, long j2, long j3, boolean z, long j4, long j5, long j6, k kVar, Uri uri, List<d> list) {
        return new b(j, j2, j3, z, j4, j5, j6, kVar, uri, list);
    }

    /* access modifiers changed from: protected */
    public k a(XmlPullParser xmlPullParser) {
        return a(xmlPullParser.getAttributeValue(null, "schemeIdUri"), xmlPullParser.getAttributeValue(null, "value"));
    }

    /* access modifiers changed from: protected */
    public k a(String str, String str2) {
        return new k(str, str2);
    }

    /* access modifiers changed from: protected */
    public Pair<d, Long> a(XmlPullParser xmlPullParser, String str, long j) throws XmlPullParserException, IOException {
        String attributeValue = xmlPullParser.getAttributeValue(null, "id");
        long b2 = b(xmlPullParser, "start", j);
        long b3 = b(xmlPullParser, "duration", -9223372036854775807L);
        ArrayList arrayList = new ArrayList();
        boolean z = false;
        h hVar = null;
        do {
            xmlPullParser.next();
            if (u.b(xmlPullParser, "BaseURL")) {
                if (!z) {
                    str = c(xmlPullParser, str);
                    z = true;
                }
            } else if (u.b(xmlPullParser, "AdaptationSet")) {
                arrayList.add(a(xmlPullParser, str, hVar));
            } else if (u.b(xmlPullParser, "SegmentBase")) {
                hVar = a(xmlPullParser, (h.e) null);
            } else if (u.b(xmlPullParser, "SegmentList")) {
                hVar = a(xmlPullParser, (h.b) null);
            } else if (u.b(xmlPullParser, "SegmentTemplate")) {
                hVar = a(xmlPullParser, (h.c) null);
            }
        } while (!u.a(xmlPullParser, "Period"));
        return Pair.create(a(attributeValue, b2, arrayList), Long.valueOf(b3));
    }

    /* access modifiers changed from: protected */
    public d a(String str, long j, List<a> list) {
        return new d(str, j, list);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x024c A[LOOP:0: B:1:0x005f->B:51:0x024c, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x021f A[EDGE_INSN: B:52:0x021f->B:45:0x021f ?: BREAK  , SYNTHETIC] */
    public a a(XmlPullParser xmlPullParser, String str, h hVar) throws XmlPullParserException, IOException {
        ArrayList arrayList;
        int i;
        String str2;
        String str3;
        ArrayList<a.C0058a> arrayList2;
        String str4;
        ArrayList<g> arrayList3;
        ArrayList arrayList4;
        XmlPullParser xmlPullParser2;
        String str5;
        int i2;
        XmlPullParser xmlPullParser3 = xmlPullParser;
        int a2 = a(xmlPullParser3, "id", -1);
        int b2 = b(xmlPullParser);
        String str6 = null;
        String attributeValue = xmlPullParser3.getAttributeValue(null, "mimeType");
        String attributeValue2 = xmlPullParser3.getAttributeValue(null, "codecs");
        int a3 = a(xmlPullParser3, "width", -1);
        int a4 = a(xmlPullParser3, "height", -1);
        float a5 = a(xmlPullParser3, -1.0f);
        int a6 = a(xmlPullParser3, "audioSamplingRate", -1);
        String str7 = AbsoluteConst.JSON_KEY_LANG;
        String attributeValue3 = xmlPullParser3.getAttributeValue(null, str7);
        ArrayList<a.C0058a> arrayList5 = new ArrayList<>();
        ArrayList<g> arrayList6 = new ArrayList<>();
        ArrayList arrayList7 = new ArrayList();
        ArrayList arrayList8 = new ArrayList();
        String str8 = str;
        h.e eVar = hVar;
        int i3 = b2;
        String str9 = attributeValue3;
        int i4 = -1;
        boolean z = false;
        int i5 = 0;
        while (true) {
            xmlPullParser.next();
            if (u.b(xmlPullParser3, "BaseURL")) {
                if (!z) {
                    z = true;
                    str8 = c(xmlPullParser3, str8);
                    str4 = str9;
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList3 = arrayList6;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser3;
                    if (u.a(xmlPullParser2, "AdaptationSet")) {
                        break;
                    }
                    arrayList7 = arrayList;
                    xmlPullParser3 = xmlPullParser2;
                    a2 = i;
                    arrayList6 = arrayList3;
                    arrayList5 = arrayList2;
                    str9 = str4;
                    str7 = str3;
                    str6 = str2;
                    arrayList8 = arrayList4;
                } else {
                    str4 = str9;
                    i2 = i3;
                    str5 = str8;
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList3 = arrayList6;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser3;
                }
            } else if (u.b(xmlPullParser3, "ContentProtection")) {
                a.C0058a c2 = c(xmlPullParser);
                if (c2 != null) {
                    arrayList5.add(c2);
                }
                str4 = str9;
                i2 = i3;
                str5 = str8;
                arrayList4 = arrayList8;
                arrayList = arrayList7;
                arrayList3 = arrayList6;
                arrayList2 = arrayList5;
                str3 = str7;
                str2 = str6;
                i = a2;
                xmlPullParser2 = xmlPullParser3;
            } else {
                if (u.b(xmlPullParser3, "ContentComponent")) {
                    str4 = c(str9, xmlPullParser3.getAttributeValue(str6, str7));
                    i3 = a(i3, b(xmlPullParser));
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList3 = arrayList6;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser3;
                } else if (u.b(xmlPullParser3, "Role")) {
                    i5 |= f(xmlPullParser);
                    str4 = str9;
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList3 = arrayList6;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser3;
                } else if (u.b(xmlPullParser3, "AudioChannelConfiguration")) {
                    i4 = k(xmlPullParser);
                    str4 = str9;
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList3 = arrayList6;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser3;
                } else if (u.b(xmlPullParser3, "Accessibility")) {
                    arrayList7.add(e(xmlPullParser));
                    str4 = str9;
                    i2 = i3;
                    str5 = str8;
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList3 = arrayList6;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser3;
                } else if (u.b(xmlPullParser3, "Representation")) {
                    str4 = str9;
                    arrayList = arrayList7;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    a a7 = a(xmlPullParser, str8, attributeValue, attributeValue2, a3, a4, a5, i4, a6, str4, i5, arrayList, eVar);
                    int a8 = a(i3, a(a7.a));
                    arrayList4 = arrayList8;
                    arrayList4.add(a7);
                    i3 = a8;
                    str8 = str8;
                    arrayList3 = arrayList6;
                    xmlPullParser2 = xmlPullParser;
                } else {
                    str4 = str9;
                    str5 = str8;
                    arrayList4 = arrayList8;
                    arrayList = arrayList7;
                    arrayList2 = arrayList5;
                    str3 = str7;
                    str2 = str6;
                    i = a2;
                    xmlPullParser2 = xmlPullParser;
                    i2 = i3;
                    if (u.b(xmlPullParser2, "SegmentBase")) {
                        eVar = a(xmlPullParser2, (h.e) eVar);
                        i3 = i2;
                        str8 = str5;
                        arrayList3 = arrayList6;
                    } else if (u.b(xmlPullParser2, "SegmentList")) {
                        eVar = a(xmlPullParser2, (h.b) eVar);
                        i3 = i2;
                        str8 = str5;
                        arrayList3 = arrayList6;
                    } else if (u.b(xmlPullParser2, "SegmentTemplate")) {
                        eVar = a(xmlPullParser2, (h.c) eVar);
                        i3 = i2;
                        str8 = str5;
                        arrayList3 = arrayList6;
                    } else if (u.b(xmlPullParser2, "InbandEventStream")) {
                        arrayList3 = arrayList6;
                        arrayList3.add(d(xmlPullParser));
                    } else {
                        arrayList3 = arrayList6;
                        if (u.b(xmlPullParser)) {
                            g(xmlPullParser);
                        }
                    }
                }
                if (u.a(xmlPullParser2, "AdaptationSet")) {
                }
            }
            i3 = i2;
            str8 = str5;
            if (u.a(xmlPullParser2, "AdaptationSet")) {
            }
        }
        ArrayList arrayList9 = new ArrayList(arrayList4.size());
        for (int i6 = 0; i6 < arrayList4.size(); i6++) {
            arrayList9.add(a((a) arrayList4.get(i6), this.d, arrayList2, arrayList3));
        }
        return a(i, i3, arrayList9, arrayList);
    }

    /* access modifiers changed from: protected */
    public a a(int i, int i2, List<f> list, List<g> list2) {
        return new a(i, i2, list, list2);
    }

    /* access modifiers changed from: protected */
    public int b(XmlPullParser xmlPullParser) {
        String attributeValue = xmlPullParser.getAttributeValue(null, "contentType");
        if (TextUtils.isEmpty(attributeValue)) {
            return -1;
        }
        if ("audio".equals(attributeValue)) {
            return 1;
        }
        if ("video".equals(attributeValue)) {
            return 2;
        }
        if ("text".equals(attributeValue)) {
            return 3;
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public int a(j jVar) {
        String str = jVar.f;
        if (TextUtils.isEmpty(str)) {
            return -1;
        }
        if (com.google.android.exoplayer2.j.h.b(str)) {
            return 2;
        }
        if (com.google.android.exoplayer2.j.h.a(str)) {
            return 1;
        }
        if (a(str)) {
            return 3;
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public a.C0058a c(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        boolean equals = "urn:uuid:9a04f079-9840-4286-ab92-e65be0885f95".equals(xmlPullParser.getAttributeValue(null, "schemeIdUri"));
        byte[] bArr = null;
        UUID uuid = null;
        boolean z = false;
        do {
            xmlPullParser.next();
            if (bArr == null && u.b(xmlPullParser, "cenc:pssh") && xmlPullParser.next() == 4) {
                bArr = Base64.decode(xmlPullParser.getText(), 0);
                uuid = com.google.android.exoplayer2.d.d.h.a(bArr);
                if (uuid == null) {
                    Log.w("MpdParser", "Skipping malformed cenc:pssh data");
                    bArr = null;
                }
            } else if (bArr == null && equals && u.b(xmlPullParser, "mspr:pro") && xmlPullParser.next() == 4) {
                bArr = com.google.android.exoplayer2.d.d.h.a(b.e, Base64.decode(xmlPullParser.getText(), 0));
                uuid = b.e;
            } else if (u.b(xmlPullParser, "widevine:license")) {
                String attributeValue = xmlPullParser.getAttributeValue(null, "robustness_level");
                z = attributeValue != null && attributeValue.startsWith("HW");
            }
        } while (!u.a(xmlPullParser, "ContentProtection"));
        if (bArr != null) {
            return new a.C0058a(uuid, "video/mp4", bArr, z);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public g d(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        return b(xmlPullParser, "InbandEventStream");
    }

    /* access modifiers changed from: protected */
    public g e(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        return b(xmlPullParser, "Accessibility");
    }

    /* access modifiers changed from: protected */
    public int f(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        String b2 = b(xmlPullParser, "schemeIdUri", (String) null);
        String b3 = b(xmlPullParser, "value", (String) null);
        do {
            xmlPullParser.next();
        } while (!u.a(xmlPullParser, "Role"));
        return (!"urn:mpeg:dash:role:2011".equals(b2) || !"main".equals(b3)) ? 0 : 1;
    }

    /* access modifiers changed from: protected */
    public void g(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x011c A[LOOP:0: B:1:0x0054->B:34:0x011c, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00f3 A[EDGE_INSN: B:35:0x00f3->B:28:0x00f3 ?: BREAK  , SYNTHETIC] */
    public a a(XmlPullParser xmlPullParser, String str, String str2, String str3, int i, int i2, float f, int i3, int i4, String str4, int i5, List<g> list, h hVar) throws XmlPullParserException, IOException {
        h.e eVar;
        String str5;
        String attributeValue = xmlPullParser.getAttributeValue(null, "id");
        int a2 = a(xmlPullParser, "bandwidth", -1);
        String b2 = b(xmlPullParser, "mimeType", str2);
        String b3 = b(xmlPullParser, "codecs", str3);
        int a3 = a(xmlPullParser, "width", i);
        int a4 = a(xmlPullParser, "height", i2);
        float a5 = a(xmlPullParser, f);
        int a6 = a(xmlPullParser, "audioSamplingRate", i4);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        String str6 = str;
        int i6 = i3;
        h hVar2 = hVar;
        boolean z = false;
        while (true) {
            xmlPullParser.next();
            if (!u.b(xmlPullParser, "BaseURL")) {
                if (u.b(xmlPullParser, "AudioChannelConfiguration")) {
                    i6 = k(xmlPullParser);
                    str5 = str6;
                    eVar = hVar2;
                } else if (u.b(xmlPullParser, "SegmentBase")) {
                    str5 = str6;
                    eVar = a(xmlPullParser, (h.e) hVar2);
                    i6 = i6;
                } else if (u.b(xmlPullParser, "SegmentList")) {
                    str5 = str6;
                    eVar = a(xmlPullParser, (h.b) hVar2);
                    i6 = i6;
                } else if (u.b(xmlPullParser, "SegmentTemplate")) {
                    str5 = str6;
                    eVar = a(xmlPullParser, (h.c) hVar2);
                    i6 = i6;
                } else if (u.b(xmlPullParser, "ContentProtection")) {
                    a.C0058a c2 = c(xmlPullParser);
                    if (c2 != null) {
                        arrayList.add(c2);
                    }
                } else if (u.b(xmlPullParser, "InbandEventStream")) {
                    arrayList2.add(d(xmlPullParser));
                }
                if (u.a(xmlPullParser, "Representation")) {
                }
            } else if (!z) {
                i6 = i6;
                str5 = c(xmlPullParser, str6);
                eVar = hVar2;
                z = true;
                if (u.a(xmlPullParser, "Representation")) {
                    break;
                }
                str6 = str5;
                hVar2 = eVar;
            }
            i6 = i6;
            str5 = str6;
            eVar = hVar2;
            if (u.a(xmlPullParser, "Representation")) {
            }
        }
        return new a(a(attributeValue, b2, a3, a4, a5, i6, a6, a2, str4, i5, list, b3), str5, eVar != null ? eVar : new h.e(), arrayList, arrayList2);
    }

    /* access modifiers changed from: protected */
    public j a(String str, String str2, int i, int i2, float f, int i3, int i4, int i5, String str3, int i6, List<g> list, String str4) {
        int i7;
        String b2 = b(str2, str4);
        if (b2 != null) {
            if (com.google.android.exoplayer2.j.h.b(b2)) {
                return j.a(str, str2, b2, str4, i5, i, i2, f, (List<byte[]>) null, i6);
            }
            if (com.google.android.exoplayer2.j.h.a(b2)) {
                return j.a(str, str2, b2, str4, i5, i3, i4, (List<byte[]>) null, i6, str3);
            }
            if (a(b2)) {
                if ("application/cea-608".equals(b2)) {
                    i7 = a(list);
                } else if ("application/cea-708".equals(b2)) {
                    i7 = b(list);
                } else {
                    i7 = -1;
                }
                return j.a(str, str2, b2, str4, i5, i6, str3, i7);
            }
        }
        return j.b(str, str2, b2, str4, i5, i6, str3);
    }

    /* access modifiers changed from: protected */
    public f a(a aVar, String str, ArrayList<a.C0058a> arrayList, ArrayList<g> arrayList2) {
        j jVar;
        j jVar2 = aVar.a;
        ArrayList<a.C0058a> arrayList3 = aVar.d;
        arrayList3.addAll(arrayList);
        if (!arrayList3.isEmpty()) {
            jVar = jVar2.a(new com.google.android.exoplayer2.c.a(arrayList3));
        } else {
            jVar = jVar2;
        }
        ArrayList<g> arrayList4 = aVar.e;
        arrayList4.addAll(arrayList2);
        return f.a(str, -1, jVar, aVar.b, aVar.c, arrayList4);
    }

    /* access modifiers changed from: protected */
    public h.e a(XmlPullParser xmlPullParser, h.e eVar) throws XmlPullParserException, IOException {
        long j;
        long j2;
        long d2 = d(xmlPullParser, "timescale", eVar != null ? eVar.b : 1);
        long j3 = 0;
        long d3 = d(xmlPullParser, "presentationTimeOffset", eVar != null ? eVar.c : 0);
        long j4 = eVar != null ? eVar.d : 0;
        if (eVar != null) {
            j3 = eVar.e;
        }
        e eVar2 = null;
        String attributeValue = xmlPullParser.getAttributeValue(null, "indexRange");
        if (attributeValue != null) {
            String[] split = attributeValue.split("-");
            long parseLong = Long.parseLong(split[0]);
            j = (Long.parseLong(split[1]) - parseLong) + 1;
            j2 = parseLong;
        } else {
            j = j3;
            j2 = j4;
        }
        if (eVar != null) {
            eVar2 = eVar.a;
        }
        do {
            xmlPullParser.next();
            if (u.b(xmlPullParser, "Initialization")) {
                eVar2 = i(xmlPullParser);
            }
        } while (!u.a(xmlPullParser, "SegmentBase"));
        return a(eVar2, d2, d3, j2, j);
    }

    /* access modifiers changed from: protected */
    public h.e a(e eVar, long j, long j2, long j3, long j4) {
        return new h.e(eVar, j, j2, j3, j4);
    }

    /* access modifiers changed from: protected */
    public h.b a(XmlPullParser xmlPullParser, h.b bVar) throws XmlPullParserException, IOException {
        List<e> list;
        List<h.d> list2;
        e eVar;
        long d2 = d(xmlPullParser, "timescale", bVar != null ? bVar.b : 1);
        long d3 = d(xmlPullParser, "presentationTimeOffset", bVar != null ? bVar.c : 0);
        long d4 = d(xmlPullParser, "duration", bVar != null ? bVar.e : -9223372036854775807L);
        int a2 = a(xmlPullParser, "startNumber", bVar != null ? bVar.d : 1);
        List<e> list3 = null;
        e eVar2 = null;
        List<h.d> list4 = null;
        do {
            xmlPullParser.next();
            if (u.b(xmlPullParser, "Initialization")) {
                eVar2 = i(xmlPullParser);
            } else if (u.b(xmlPullParser, "SegmentTimeline")) {
                list4 = h(xmlPullParser);
            } else if (u.b(xmlPullParser, "SegmentURL")) {
                if (list3 == null) {
                    list3 = new ArrayList<>();
                }
                list3.add(j(xmlPullParser));
            }
        } while (!u.a(xmlPullParser, "SegmentList"));
        if (bVar != null) {
            if (eVar2 == null) {
                eVar2 = bVar.a;
            }
            if (list4 == null) {
                list4 = bVar.f;
            }
            if (list3 == null) {
                list3 = bVar.g;
            }
            list = list3;
            eVar = eVar2;
            list2 = list4;
        } else {
            list = list3;
            eVar = eVar2;
            list2 = list4;
        }
        return a(eVar, d2, d3, a2, d4, list2, list);
    }

    /* access modifiers changed from: protected */
    public h.b a(e eVar, long j, long j2, int i, long j3, List<h.d> list, List<e> list2) {
        return new h.b(eVar, j, j2, i, j3, list, list2);
    }

    /* access modifiers changed from: protected */
    public h.c a(XmlPullParser xmlPullParser, h.c cVar) throws XmlPullParserException, IOException {
        List<h.d> list;
        e eVar;
        long d2 = d(xmlPullParser, "timescale", cVar != null ? cVar.b : 1);
        long d3 = d(xmlPullParser, "presentationTimeOffset", cVar != null ? cVar.c : 0);
        long d4 = d(xmlPullParser, "duration", cVar != null ? cVar.e : -9223372036854775807L);
        int a2 = a(xmlPullParser, "startNumber", cVar != null ? cVar.d : 1);
        e eVar2 = null;
        j a3 = a(xmlPullParser, "media", cVar != null ? cVar.h : null);
        j a4 = a(xmlPullParser, "initialization", cVar != null ? cVar.g : null);
        List<h.d> list2 = null;
        do {
            xmlPullParser.next();
            if (u.b(xmlPullParser, "Initialization")) {
                eVar2 = i(xmlPullParser);
            } else if (u.b(xmlPullParser, "SegmentTimeline")) {
                list2 = h(xmlPullParser);
            }
        } while (!u.a(xmlPullParser, "SegmentTemplate"));
        if (cVar != null) {
            if (eVar2 == null) {
                eVar2 = cVar.a;
            }
            if (list2 == null) {
                list2 = cVar.f;
            }
            eVar = eVar2;
            list = list2;
        } else {
            eVar = eVar2;
            list = list2;
        }
        return a(eVar, d2, d3, a2, d4, list, a4, a3);
    }

    /* access modifiers changed from: protected */
    public h.c a(e eVar, long j, long j2, int i, long j3, List<h.d> list, j jVar, j jVar2) {
        return new h.c(eVar, j, j2, i, j3, list, jVar, jVar2);
    }

    /* access modifiers changed from: protected */
    public List<h.d> h(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        ArrayList arrayList = new ArrayList();
        long j = 0;
        do {
            xmlPullParser.next();
            if (u.b(xmlPullParser, ExifInterface.LATITUDE_SOUTH)) {
                j = d(xmlPullParser, bg.aI, j);
                long d2 = d(xmlPullParser, "d", -9223372036854775807L);
                int a2 = a(xmlPullParser, "r", 0) + 1;
                for (int i = 0; i < a2; i++) {
                    arrayList.add(a(j, d2));
                    j += d2;
                }
            }
        } while (!u.a(xmlPullParser, "SegmentTimeline"));
        return arrayList;
    }

    /* access modifiers changed from: protected */
    public h.d a(long j, long j2) {
        return new h.d(j, j2);
    }

    /* access modifiers changed from: protected */
    public j a(XmlPullParser xmlPullParser, String str, j jVar) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        if (attributeValue != null) {
            return j.a(attributeValue);
        }
        return jVar;
    }

    /* access modifiers changed from: protected */
    public e i(XmlPullParser xmlPullParser) {
        return a(xmlPullParser, "sourceURL", AbsoluteConst.PULL_REFRESH_RANGE);
    }

    /* access modifiers changed from: protected */
    public e j(XmlPullParser xmlPullParser) {
        return a(xmlPullParser, "media", "mediaRange");
    }

    /* access modifiers changed from: protected */
    public e a(XmlPullParser xmlPullParser, String str, String str2) {
        long j;
        long j2;
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        String attributeValue2 = xmlPullParser.getAttributeValue(null, str2);
        if (attributeValue2 != null) {
            String[] split = attributeValue2.split("-");
            long parseLong = Long.parseLong(split[0]);
            if (split.length == 2) {
                j = (Long.parseLong(split[1]) - parseLong) + 1;
                j2 = parseLong;
            } else {
                j = -1;
                j2 = parseLong;
            }
        } else {
            j = -1;
            j2 = 0;
        }
        return a(attributeValue, j2, j);
    }

    /* access modifiers changed from: protected */
    public e a(String str, long j, long j2) {
        return new e(str, j, j2);
    }

    /* access modifiers changed from: protected */
    public int k(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        int i = -1;
        if ("urn:mpeg:dash:23003:3:audio_channel_configuration:2011".equals(b(xmlPullParser, "schemeIdUri", (String) null))) {
            i = a(xmlPullParser, "value", -1);
        }
        do {
            xmlPullParser.next();
        } while (!u.a(xmlPullParser, "AudioChannelConfiguration"));
        return i;
    }

    private static String b(String str, String str2) {
        if (com.google.android.exoplayer2.j.h.a(str)) {
            return com.google.android.exoplayer2.j.h.e(str2);
        }
        if (com.google.android.exoplayer2.j.h.b(str)) {
            return com.google.android.exoplayer2.j.h.d(str2);
        }
        if (a(str)) {
            return str;
        }
        if (!"application/mp4".equals(str)) {
            if ("application/x-rawcc".equals(str) && str2 != null) {
                if (str2.contains("cea708")) {
                    return "application/cea-708";
                }
                if (str2.contains("eia608") || str2.contains("cea608")) {
                    return "application/cea-608";
                }
            }
            return null;
        } else if (SubtitleSampleEntry.TYPE1.equals(str2)) {
            return "application/ttml+xml";
        } else {
            if ("wvtt".equals(str2)) {
                return "application/x-mp4-vtt";
            }
        }
        return null;
    }

    private static boolean a(String str) {
        return com.google.android.exoplayer2.j.h.c(str) || "application/ttml+xml".equals(str) || "application/x-mp4-vtt".equals(str) || "application/cea-708".equals(str) || "application/cea-608".equals(str);
    }

    private static String c(String str, String str2) {
        if (str == null) {
            return str2;
        }
        if (str2 == null) {
            return str;
        }
        com.google.android.exoplayer2.j.a.b(str.equals(str2));
        return str;
    }

    private static int a(int i, int i2) {
        if (i == -1) {
            return i2;
        }
        if (i2 == -1) {
            return i;
        }
        com.google.android.exoplayer2.j.a.b(i == i2);
        return i;
    }

    protected static g b(XmlPullParser xmlPullParser, String str) throws XmlPullParserException, IOException {
        String b2 = b(xmlPullParser, "schemeIdUri", (String) null);
        String b3 = b(xmlPullParser, "value", (String) null);
        do {
            xmlPullParser.next();
        } while (!u.a(xmlPullParser, str));
        return new g(b2, b3);
    }

    protected static int a(List<g> list) {
        for (int i = 0; i < list.size(); i++) {
            g gVar = list.get(i);
            if ("urn:scte:dash:cc:cea-608:2015".equals(gVar.a) && gVar.b != null) {
                Matcher matcher = b.matcher(gVar.b);
                if (matcher.matches()) {
                    return Integer.parseInt(matcher.group(1));
                }
                Log.w("MpdParser", "Unable to parse CEA-608 channel number from: " + gVar.b);
            }
        }
        return -1;
    }

    protected static int b(List<g> list) {
        for (int i = 0; i < list.size(); i++) {
            g gVar = list.get(i);
            if ("urn:scte:dash:cc:cea-708:2015".equals(gVar.a) && gVar.b != null) {
                Matcher matcher = c.matcher(gVar.b);
                if (matcher.matches()) {
                    return Integer.parseInt(matcher.group(1));
                }
                Log.w("MpdParser", "Unable to parse CEA-708 service block number from: " + gVar.b);
            }
        }
        return -1;
    }

    protected static float a(XmlPullParser xmlPullParser, float f) {
        String attributeValue = xmlPullParser.getAttributeValue(null, "frameRate");
        if (attributeValue == null) {
            return f;
        }
        Matcher matcher = a.matcher(attributeValue);
        if (!matcher.matches()) {
            return f;
        }
        int parseInt = Integer.parseInt(matcher.group(1));
        String group = matcher.group(2);
        if (!TextUtils.isEmpty(group)) {
            return ((float) parseInt) / ((float) Integer.parseInt(group));
        }
        return (float) parseInt;
    }

    protected static long b(XmlPullParser xmlPullParser, String str, long j) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        if (attributeValue == null) {
            return j;
        }
        return com.google.android.exoplayer2.j.t.e(attributeValue);
    }

    protected static long c(XmlPullParser xmlPullParser, String str, long j) throws n {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        if (attributeValue == null) {
            return j;
        }
        return com.google.android.exoplayer2.j.t.f(attributeValue);
    }

    protected static String c(XmlPullParser xmlPullParser, String str) throws XmlPullParserException, IOException {
        xmlPullParser.next();
        return s.b(str, xmlPullParser.getText());
    }

    protected static int a(XmlPullParser xmlPullParser, String str, int i) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue == null ? i : Integer.parseInt(attributeValue);
    }

    protected static long d(XmlPullParser xmlPullParser, String str, long j) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue == null ? j : Long.parseLong(attributeValue);
    }

    protected static String b(XmlPullParser xmlPullParser, String str, String str2) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue == null ? str2 : attributeValue;
    }

    /* access modifiers changed from: private */
    /* compiled from: DashManifestParser */
    public static final class a {
        public final j a;
        public final String b;
        public final h c;
        public final ArrayList<a.C0058a> d;
        public final ArrayList<g> e;

        public a(j jVar, String str, h hVar, ArrayList<a.C0058a> arrayList, ArrayList<g> arrayList2) {
            this.a = jVar;
            this.b = str;
            this.c = hVar;
            this.d = arrayList;
            this.e = arrayList2;
        }
    }
}
