package com.google.android.exoplayer2.source.hls.a;

import android.net.Uri;
import com.google.android.exoplayer2.i.t;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.n;
import com.google.android.exoplayer2.source.hls.a.a;
import com.google.android.exoplayer2.source.hls.a.b;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.Queue;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: HlsPlaylistParser */
public final class d implements t.a<c> {
    private static final Pattern a = Pattern.compile("BANDWIDTH=(\\d+)\\b");
    private static final Pattern b = Pattern.compile("CODECS=\"(.+?)\"");
    private static final Pattern c = Pattern.compile("RESOLUTION=(\\d+x\\d+)");
    private static final Pattern d = Pattern.compile("#EXT-X-TARGETDURATION:(\\d+)\\b");
    private static final Pattern e = Pattern.compile("#EXT-X-VERSION:(\\d+)\\b");
    private static final Pattern f = Pattern.compile("#EXT-X-PLAYLIST-TYPE:(.+)\\b");
    private static final Pattern g = Pattern.compile("#EXT-X-MEDIA-SEQUENCE:(\\d+)\\b");
    private static final Pattern h = Pattern.compile("#EXTINF:([\\d\\.]+)\\b");
    private static final Pattern i = Pattern.compile("TIME-OFFSET=(-?[\\d\\.]+)\\b");
    private static final Pattern j = Pattern.compile("#EXT-X-BYTERANGE:(\\d+(?:@\\d+)?)\\b");
    private static final Pattern k = Pattern.compile("BYTERANGE=\"(\\d+(?:@\\d+)?)\\b\"");
    private static final Pattern l = Pattern.compile("METHOD=(NONE|AES-128)");
    private static final Pattern m = Pattern.compile("URI=\"(.+?)\"");
    private static final Pattern n = Pattern.compile("IV=([^,.*]+)");
    private static final Pattern o = Pattern.compile("TYPE=(AUDIO|VIDEO|SUBTITLES|CLOSED-CAPTIONS)");
    private static final Pattern p = Pattern.compile("LANGUAGE=\"(.+?)\"");
    private static final Pattern q = Pattern.compile("NAME=\"(.+?)\"");
    private static final Pattern r = Pattern.compile("INSTREAM-ID=\"((?:CC|SERVICE)\\d+)\"");
    private static final Pattern s = b("AUTOSELECT");
    private static final Pattern t = b("DEFAULT");
    private static final Pattern u = b("FORCED");

    /* renamed from: a */
    public c b(Uri uri, InputStream inputStream) throws IOException {
        String trim;
        c a2;
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        LinkedList linkedList = new LinkedList();
        try {
            if (a(bufferedReader)) {
                while (true) {
                    String readLine = bufferedReader.readLine();
                    if (readLine != null) {
                        trim = readLine.trim();
                        if (!trim.isEmpty()) {
                            if (trim.startsWith("#EXT-X-STREAM-INF")) {
                                linkedList.add(trim);
                                a2 = a(new a(linkedList, bufferedReader), uri.toString());
                                break;
                            } else if (trim.startsWith("#EXT-X-TARGETDURATION") || trim.startsWith("#EXT-X-MEDIA-SEQUENCE") || trim.startsWith("#EXTINF") || trim.startsWith("#EXT-X-KEY") || trim.startsWith("#EXT-X-BYTERANGE") || trim.equals("#EXT-X-DISCONTINUITY") || trim.equals("#EXT-X-DISCONTINUITY-SEQUENCE") || trim.equals("#EXT-X-ENDLIST")) {
                                linkedList.add(trim);
                                a2 = b(new a(linkedList, bufferedReader), uri.toString());
                            } else {
                                linkedList.add(trim);
                            }
                        }
                    } else {
                        com.google.android.exoplayer2.j.t.a(bufferedReader);
                        throw new n("Failed to parse the playlist, could not identify any tags.");
                    }
                }
                linkedList.add(trim);
                a2 = b(new a(linkedList, bufferedReader), uri.toString());
                return a2;
            }
            throw new com.google.android.exoplayer2.source.n("Input does not start with the #EXTM3U header.", uri);
        } finally {
            com.google.android.exoplayer2.j.t.a(bufferedReader);
        }
    }

    private static boolean a(BufferedReader bufferedReader) throws IOException {
        int read = bufferedReader.read();
        if (read == 239) {
            if (!(bufferedReader.read() == 187 && bufferedReader.read() == 191)) {
                return false;
            }
            read = bufferedReader.read();
        }
        int a2 = a(bufferedReader, true, read);
        int length = "#EXTM3U".length();
        for (int i2 = 0; i2 < length; i2++) {
            if (a2 != "#EXTM3U".charAt(i2)) {
                return false;
            }
            a2 = bufferedReader.read();
        }
        return com.google.android.exoplayer2.j.t.a(a(bufferedReader, false, a2));
    }

    private static int a(BufferedReader bufferedReader, boolean z, int i2) throws IOException {
        while (i2 != -1 && Character.isWhitespace(i2) && (z || !com.google.android.exoplayer2.j.t.a(i2))) {
            i2 = bufferedReader.read();
        }
        return i2;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v3, types: [java.util.List] */
    /* JADX WARNING: Unknown variable types count: 1 */
    private static a a(a aVar, String str) throws IOException {
        ArrayList arrayList;
        int i2;
        int i3;
        int i4;
        String str2;
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        ArrayList arrayList4 = new ArrayList();
        ArrayList arrayList5 = null;
        j jVar = null;
        boolean z = false;
        while (aVar.a()) {
            String b2 = aVar.b();
            int i5 = -1;
            if (b2.startsWith("#EXT-X-MEDIA")) {
                int a2 = a(b2);
                String d2 = d(b2, m);
                String a3 = a(b2, q);
                String d3 = d(b2, p);
                String a4 = a(b2, o);
                int hashCode = a4.hashCode();
                if (hashCode != -959297733) {
                    if (hashCode != -333210994) {
                        if (hashCode == 62628790 && a4.equals("AUDIO")) {
                            i5 = 0;
                        }
                    } else if (a4.equals("CLOSED-CAPTIONS")) {
                        i5 = 2;
                    }
                } else if (a4.equals("SUBTITLES")) {
                    i5 = 1;
                }
                if (i5 == 0) {
                    j a5 = j.a(a3, "application/x-mpegURL", (String) null, (String) null, -1, -1, -1, (List<byte[]>) null, a2, d3);
                    if (d2 == null) {
                        jVar = a5;
                    } else {
                        arrayList3.add(new a.C0074a(d2, a5));
                    }
                } else if (i5 == 1) {
                    arrayList4.add(new a.C0074a(d2, j.a(a3, "application/x-mpegURL", "text/vtt", (String) null, -1, a2, d3)));
                } else if (i5 == 2) {
                    String a6 = a(b2, r);
                    if (a6.startsWith("CC")) {
                        i4 = Integer.parseInt(a6.substring(2));
                        str2 = "application/cea-608";
                    } else {
                        i4 = Integer.parseInt(a6.substring(7));
                        str2 = "application/cea-708";
                    }
                    if (arrayList5 == null) {
                        arrayList5 = new ArrayList();
                    }
                    arrayList5.add(j.a(a3, (String) null, str2, (String) null, -1, a2, d3, i4));
                }
            } else if (b2.startsWith("#EXT-X-STREAM-INF")) {
                int b3 = b(b2, a);
                String d4 = d(b2, b);
                String d5 = d(b2, c);
                z |= b2.contains("CLOSED-CAPTIONS=NONE");
                if (d5 != null) {
                    String[] split = d5.split(Constants.Name.X);
                    int parseInt = Integer.parseInt(split[0]);
                    int parseInt2 = Integer.parseInt(split[1]);
                    if (parseInt <= 0 || parseInt2 <= 0) {
                        parseInt2 = -1;
                    } else {
                        i5 = parseInt;
                    }
                    i2 = parseInt2;
                    i3 = i5;
                } else {
                    i3 = -1;
                    i2 = -1;
                }
                arrayList2.add(new a.C0074a(aVar.b(), j.a(Integer.toString(arrayList2.size()), "application/x-mpegURL", (String) null, d4, b3, i3, i2, -1.0f, (List<byte[]>) null, 0)));
            }
        }
        if (z) {
            arrayList = Collections.emptyList();
        } else {
            arrayList = arrayList5;
        }
        return new a(str, arrayList2, arrayList3, arrayList4, jVar, arrayList);
    }

    private static int a(String str) {
        int i2 = 0;
        int i3 = (a(str, t, false) ? 1 : 0) | (a(str, u, false) ? 2 : 0);
        if (a(str, s, false)) {
            i2 = 4;
        }
        return i3 | i2;
    }

    private static b b(a aVar, String str) throws IOException {
        String str2;
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        char c2 = 0;
        long j2 = -9223372036854775807L;
        long j3 = -9223372036854775807L;
        long j4 = 0;
        long j5 = 0;
        long j6 = 0;
        long j7 = 0;
        int i2 = 0;
        int i3 = 0;
        boolean z = false;
        int i4 = 0;
        int i5 = 0;
        int i6 = 1;
        boolean z2 = false;
        b.a aVar2 = null;
        int i7 = 0;
        long j8 = -1;
        boolean z3 = false;
        String str3 = null;
        String str4 = null;
        while (aVar.a()) {
            String b2 = aVar.b();
            if (b2.startsWith("#EXT-X-PLAYLIST-TYPE")) {
                String a2 = a(b2, f);
                if ("VOD".equals(a2)) {
                    i3 = 1;
                } else if ("EVENT".equals(a2)) {
                    i3 = 2;
                } else {
                    throw new n("Illegal playlist type: " + a2);
                }
            } else if (b2.startsWith("#EXT-X-START")) {
                j2 = (long) (c(b2, i) * 1000000.0d);
            } else if (b2.startsWith("#EXT-X-MAP")) {
                String a3 = a(b2, m);
                String d2 = d(b2, k);
                if (d2 != null) {
                    String[] split = d2.split("@");
                    j8 = Long.parseLong(split[c2]);
                    if (split.length > 1) {
                        j5 = Long.parseLong(split[1]);
                    }
                }
                aVar2 = new b.a(a3, j5, j8);
                j5 = 0;
                j8 = -1;
            } else if (b2.startsWith("#EXT-X-TARGETDURATION")) {
                j3 = 1000000 * ((long) b(b2, d));
            } else if (b2.startsWith("#EXT-X-MEDIA-SEQUENCE")) {
                i7 = b(b2, g);
                i5 = i7;
            } else if (b2.startsWith("#EXT-X-VERSION")) {
                i6 = b(b2, e);
            } else if (b2.startsWith("#EXTINF")) {
                j7 = (long) (c(b2, h) * 1000000.0d);
            } else if (b2.startsWith("#EXT-X-KEY")) {
                z3 = "AES-128".equals(a(b2, l));
                if (z3) {
                    str4 = a(b2, m);
                    str3 = d(b2, n);
                } else {
                    str3 = null;
                    str4 = null;
                }
            } else if (b2.startsWith("#EXT-X-BYTERANGE")) {
                String[] split2 = a(b2, j).split("@");
                j8 = Long.parseLong(split2[c2]);
                if (split2.length > 1) {
                    j5 = Long.parseLong(split2[1]);
                }
            } else if (b2.startsWith("#EXT-X-DISCONTINUITY-SEQUENCE")) {
                i4 = Integer.parseInt(b2.substring(b2.indexOf(58) + 1));
                z = true;
            } else if (b2.equals("#EXT-X-DISCONTINUITY")) {
                i2++;
            } else {
                if (b2.startsWith("#EXT-X-PROGRAM-DATE-TIME")) {
                    if (j4 == 0) {
                        j4 = com.google.android.exoplayer2.b.b(com.google.android.exoplayer2.j.t.f(b2.substring(b2.indexOf(58) + 1))) - j6;
                    }
                } else if (b2.startsWith("#EXT-X-DATERANGE")) {
                    arrayList2.add(b2);
                } else if (!b2.startsWith("#")) {
                    if (!z3) {
                        str2 = null;
                    } else if (str3 != null) {
                        str2 = str3;
                    } else {
                        str2 = Integer.toHexString(i7);
                    }
                    int i8 = i7 + 1;
                    int i9 = (j8 > -1 ? 1 : (j8 == -1 ? 0 : -1));
                    if (i9 == 0) {
                        j5 = 0;
                    }
                    arrayList.add(new b.a(b2, j7, i2, j6, z3, str4, str2, j5, j8));
                    j6 += j7;
                    if (i9 != 0) {
                        j5 += j8;
                    }
                    i7 = i8;
                    j7 = 0;
                    j8 = -1;
                    c2 = 0;
                } else if (b2.equals("#EXT-X-ENDLIST")) {
                    c2 = 0;
                    z2 = true;
                }
                c2 = 0;
            }
        }
        return new b(i3, str, j2, j4, z, i4, i5, i6, j3, z2, j4 != 0, aVar2, arrayList, arrayList2);
    }

    private static String a(String str, Pattern pattern) throws n {
        Matcher matcher = pattern.matcher(str);
        if (matcher.find() && matcher.groupCount() == 1) {
            return matcher.group(1);
        }
        throw new n("Couldn't match " + pattern.pattern() + " in " + str);
    }

    private static int b(String str, Pattern pattern) throws n {
        return Integer.parseInt(a(str, pattern));
    }

    private static double c(String str, Pattern pattern) throws n {
        return Double.parseDouble(a(str, pattern));
    }

    private static String d(String str, Pattern pattern) {
        Matcher matcher = pattern.matcher(str);
        if (matcher.find()) {
            return matcher.group(1);
        }
        return null;
    }

    private static boolean a(String str, Pattern pattern, boolean z) {
        Matcher matcher = pattern.matcher(str);
        if (matcher.find()) {
            return matcher.group(1).equals("YES");
        }
        return z;
    }

    private static Pattern b(String str) {
        return Pattern.compile(str + "=(" + "NO" + "|" + "YES" + Operators.BRACKET_END_STR);
    }

    /* access modifiers changed from: private */
    /* compiled from: HlsPlaylistParser */
    public static class a {
        private final BufferedReader a;
        private final Queue<String> b;
        private String c;

        public a(Queue<String> queue, BufferedReader bufferedReader) {
            this.b = queue;
            this.a = bufferedReader;
        }

        public boolean a() throws IOException {
            String trim;
            if (this.c != null) {
                return true;
            }
            if (!this.b.isEmpty()) {
                this.c = this.b.poll();
                return true;
            }
            do {
                String readLine = this.a.readLine();
                this.c = readLine;
                if (readLine == null) {
                    return false;
                }
                trim = readLine.trim();
                this.c = trim;
            } while (trim.isEmpty());
            return true;
        }

        public String b() throws IOException {
            if (!a()) {
                return null;
            }
            String str = this.c;
            this.c = null;
            return str;
        }
    }
}
