package com.taobao.gcanvas.util;

import com.umeng.analytics.pro.cv;

public final class GCanvasBase64 {
    public static byte[] decode(byte[] in) {
        return decode(in, in.length);
    }

    /* JADX INFO: Multiple debug info for r1v1 byte[]: [D('result' byte[]), D('outIndex' int)] */
    public static byte[] decode(byte[] in, int len) {
        byte b;
        byte b2;
        int bits;
        int length = (len / 4) * 3;
        if (length == 0) {
            return new byte[0];
        }
        byte[] out = new byte[length];
        int pad = 0;
        int len2 = len;
        while (true) {
            byte chr = in[len2 - 1];
            b = 10;
            if (chr != 10) {
                b2 = cv.k;
                if (!(chr == 13 || chr == 32 || chr == 9)) {
                    if (chr != 61) {
                        break;
                    }
                    pad++;
                }
            }
            len2--;
        }
        int outIndex = 0;
        int inIndex = 0;
        int quantum = 0;
        int i = 0;
        while (i < len2) {
            byte chr2 = in[i];
            if (!(chr2 == b || chr2 == b2 || chr2 == 32 || chr2 == 9)) {
                if (chr2 >= 65 && chr2 <= 90) {
                    bits = chr2 - 65;
                } else if (chr2 >= 97 && chr2 <= 122) {
                    bits = chr2 - 71;
                } else if (chr2 >= 48 && chr2 <= 57) {
                    bits = chr2 + 4;
                } else if (chr2 == 43) {
                    bits = 62;
                } else if (chr2 != 47) {
                    return null;
                } else {
                    bits = 63;
                }
                int quantum2 = ((byte) bits) | (quantum << 6);
                if (inIndex % 4 == 3) {
                    int outIndex2 = outIndex + 1;
                    out[outIndex] = (byte) (quantum2 >> 16);
                    int outIndex3 = outIndex2 + 1;
                    out[outIndex2] = (byte) (quantum2 >> 8);
                    out[outIndex3] = (byte) quantum2;
                    outIndex = outIndex3 + 1;
                }
                inIndex++;
                quantum = quantum2;
            }
            i++;
            b = 10;
            b2 = cv.k;
        }
        if (pad > 0) {
            int quantum3 = quantum << (pad * 6);
            int outIndex4 = outIndex + 1;
            out[outIndex] = (byte) (quantum3 >> 16);
            if (pad == 1) {
                outIndex = outIndex4 + 1;
                out[outIndex4] = (byte) (quantum3 >> 8);
            } else {
                outIndex = outIndex4;
            }
        }
        byte[] result = new byte[outIndex];
        System.arraycopy(out, 0, result, 0, outIndex);
        return result;
    }
}
