package com.taobao.weex.adapter;

import android.content.Context;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.ui.component.WXComponent;

public class ClassLoaderAdapter {
    /* JADX DEBUG: Type inference failed for r0v2. Raw type applied. Possible types: java.lang.Class<?>, java.lang.Class<? extends com.taobao.weex.common.WXModule> */
    public Class<? extends WXModule> getModuleClass(String name, String className, Context context) {
        try {
            return context.getClassLoader().loadClass(className);
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }

    /* JADX DEBUG: Type inference failed for r0v3. Raw type applied. Possible types: java.lang.Class<?>, java.lang.Class<? extends com.taobao.weex.ui.component.WXComponent> */
    public Class<? extends WXComponent> getComponentClass(String name, String className, WXSDKInstance instance) {
        try {
            return instance.getContext().getClassLoader().loadClass(className);
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }
}
