package com.taobao.weex.el.parse;

import com.xiaomi.mipush.sdk.Constants;

/* access modifiers changed from: package-private */
public class Operator extends Token {
    public Token first;
    public Token second;
    public Token self;

    public Operator(String operator, int type) {
        super(operator, type);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.taobao.weex.el.parse.Token
    public Object execute(Object context) {
        char c;
        String op = getToken();
        boolean z = false;
        switch (op.hashCode()) {
            case 33:
                if (op.equals(Operators.AND_NOT)) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 37:
                if (op.equals("%")) {
                    c = 18;
                    break;
                }
                c = 65535;
                break;
            case 42:
                if (op.equals("*")) {
                    c = 16;
                    break;
                }
                c = 65535;
                break;
            case 43:
                if (op.equals(Operators.PLUS)) {
                    c = 14;
                    break;
                }
                c = 65535;
                break;
            case 45:
                if (op.equals("-")) {
                    c = 15;
                    break;
                }
                c = 65535;
                break;
            case 46:
                if (op.equals(Operators.DOT_STR)) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 47:
                if (op.equals("/")) {
                    c = 17;
                    break;
                }
                c = 65535;
                break;
            case 60:
                if (op.equals(Operators.L)) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 62:
                if (op.equals(Operators.G)) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case 63:
                if (op.equals(Operators.CONDITION_IF_STRING)) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 91:
                if (op.equals(Operators.ARRAY_START_STR)) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 1084:
                if (op.equals(Operators.NOT_EQUAL2)) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 1216:
                if (op.equals(Operators.AND)) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case 1921:
                if (op.equals(Operators.LE)) {
                    c = '\r';
                    break;
                }
                c = 65535;
                break;
            case 1952:
                if (op.equals(Operators.EQUAL2)) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 1983:
                if (op.equals(Operators.GE)) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case 3968:
                if (op.equals(Operators.OR)) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case 33665:
                if (op.equals(Operators.NOT_EQUAL)) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 60573:
                if (op.equals(Operators.EQUAL)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
            case 1:
                return Operators.dot(this.first, this.second, context);
            case 2:
            case 3:
                return Boolean.valueOf(Operators.isEquals(this.first, this.second, context));
            case 4:
            case 5:
                return Boolean.valueOf(!Operators.isEquals(this.first, this.second, context));
            case 6:
                return Operators.condition(this.self, this.first, this.second, context);
            case 7:
                return Boolean.valueOf(!Operators.tokenTrue(this.self, context));
            case '\b':
                if (Operators.tokenTrue(this.first, context) && Operators.tokenTrue(this.second, context)) {
                    z = true;
                }
                return Boolean.valueOf(z);
            case '\t':
                if (Operators.tokenTrue(this.first, context) || Operators.tokenTrue(this.second, context)) {
                    z = true;
                }
                return Boolean.valueOf(z);
            case '\n':
                if (Operators.tokenNumber(this.first, context) > Operators.tokenNumber(this.second, context)) {
                    z = true;
                }
                return Boolean.valueOf(z);
            case 11:
                if (Operators.tokenNumber(this.first, context) >= Operators.tokenNumber(this.second, context)) {
                    z = true;
                }
                return Boolean.valueOf(z);
            case '\f':
                if (Operators.tokenNumber(this.first, context) < Operators.tokenNumber(this.second, context)) {
                    z = true;
                }
                return Boolean.valueOf(z);
            case '\r':
                if (Operators.tokenNumber(this.first, context) <= Operators.tokenNumber(this.second, context)) {
                    z = true;
                }
                return Boolean.valueOf(z);
            case 14:
                return Operators.plus(this.first, this.second, context);
            case 15:
                return Operators.sub(this.first, this.second, context);
            case 16:
                return Operators.mul(this.first, this.second, context);
            case 17:
                return Operators.div(this.first, this.second, context);
            case 18:
                return Operators.mod(this.first, this.second, context);
            default:
                throw new IllegalArgumentException(op + " operator is not supported");
        }
    }

    @Override // com.taobao.weex.el.parse.Token
    public String toString() {
        if (Operators.AND_NOT.equals(getToken())) {
            return "{!" + this.self + "}";
        } else if (this.self == null) {
            return Operators.BLOCK_START_STR + this.first + getToken() + this.second + "}";
        } else {
            return Operators.BLOCK_START_STR + this.self + getToken() + this.first + Constants.COLON_SEPARATOR + this.second + "}";
        }
    }
}
