package com.taobao.weex.ui.component;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.widget.FrameLayout;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.annotation.Component;
import com.taobao.weex.common.Constants;
import com.taobao.weex.common.WXRuntimeException;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.view.WXCircleIndicator;
import com.taobao.weex.utils.WXResourceUtils;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.weex.extend.DCWXSlider;

@Component(lazyload = false)
public class WXIndicator extends WXComponent<WXCircleIndicator> {
    @Deprecated
    public WXIndicator(WXSDKInstance instance, WXVContainer parent, String instanceId, boolean isLazy, BasicComponentData basicComponentData) {
        this(instance, parent, isLazy, basicComponentData);
    }

    public WXIndicator(WXSDKInstance instance, WXVContainer parent, boolean isLazy, BasicComponentData basicComponentData) {
        super(instance, parent, isLazy, basicComponentData);
    }

    /* access modifiers changed from: protected */
    public void setHostLayoutParams(WXCircleIndicator host, int width, int height, int left, int right, int top, int bottom) {
        FrameLayout.LayoutParams params = new FrameLayout.LayoutParams(width, height);
        setMarginsSupportRTL(params, left, top, right, bottom);
        host.setLayoutParams(params);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public WXCircleIndicator initComponentHostView(Context context) {
        WXCircleIndicator view = new WXCircleIndicator(context);
        if ((getParent() instanceof WXSlider) || (getParent() instanceof DCWXSlider)) {
            return view;
        }
        if (!WXEnvironment.isApkDebugable()) {
            return null;
        }
        throw new WXRuntimeException("WXIndicator initView error.");
    }

    /* access modifiers changed from: protected */
    public void onHostViewInitialized(WXCircleIndicator host) {
        super.onHostViewInitialized((View) host);
        if (getParent() instanceof WXSlider) {
            ((WXSlider) getParent()).addIndicator(this);
        } else if (getParent() instanceof DCWXSlider) {
            ((DCWXSlider) getParent()).addIndicator(this);
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0038  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0059  */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        char c;
        int hashCode = key.hashCode();
        if (hashCode != 1177488820) {
            if (hashCode != 1873297717) {
                if (hashCode == 2127804432 && key.equals(Constants.Name.ITEM_COLOR)) {
                    c = 0;
                    if (c != 0) {
                        String item_color = WXUtils.getString(param, null);
                        if (item_color != null) {
                            setItemColor(item_color);
                        }
                        return true;
                    } else if (c == 1) {
                        String selected_color = WXUtils.getString(param, null);
                        if (selected_color != null) {
                            setItemSelectedColor(selected_color);
                        }
                        return true;
                    } else if (c != 2) {
                        return super.setProperty(key, param);
                    } else {
                        Integer item_size = WXUtils.getInteger(param, null);
                        if (item_size != null) {
                            setItemSize(item_size.intValue());
                        }
                        return true;
                    }
                }
            } else if (key.equals(Constants.Name.ITEM_SELECTED_COLOR)) {
                c = 1;
                if (c != 0) {
                }
            }
        } else if (key.equals(Constants.Name.ITEM_SIZE)) {
            c = 2;
            if (c != 0) {
            }
        }
        c = 65535;
        if (c != 0) {
        }
    }

    @WXComponentProp(name = Constants.Name.ITEM_COLOR)
    public void setItemColor(String itemColor) {
        int colorInt;
        if (!TextUtils.isEmpty(itemColor) && (colorInt = WXResourceUtils.getColor(itemColor)) != Integer.MIN_VALUE) {
            ((WXCircleIndicator) getHostView()).setPageColor(colorInt);
            ((WXCircleIndicator) getHostView()).forceLayout();
            ((WXCircleIndicator) getHostView()).requestLayout();
        }
    }

    @WXComponentProp(name = Constants.Name.ITEM_SELECTED_COLOR)
    public void setItemSelectedColor(String itemSelectedColor) {
        int colorInt;
        if (!TextUtils.isEmpty(itemSelectedColor) && (colorInt = WXResourceUtils.getColor(itemSelectedColor)) != Integer.MIN_VALUE) {
            ((WXCircleIndicator) getHostView()).setFillColor(colorInt);
            ((WXCircleIndicator) getHostView()).forceLayout();
            ((WXCircleIndicator) getHostView()).requestLayout();
        }
    }

    @WXComponentProp(name = Constants.Name.ITEM_SIZE)
    public void setItemSize(int itemSize) {
        if (itemSize >= 0) {
            ((WXCircleIndicator) getHostView()).setRadius(WXViewUtils.getRealPxByWidth((float) itemSize, getInstance().getInstanceViewPortWidthWithFloat()) / 2.0f);
            ((WXCircleIndicator) getHostView()).forceLayout();
            ((WXCircleIndicator) getHostView()).requestLayout();
        }
    }

    public void setShowIndicators(boolean show) {
        if (getHostView() != null) {
            if (show) {
                ((WXCircleIndicator) getHostView()).setVisibility(0);
            } else {
                ((WXCircleIndicator) getHostView()).setVisibility(8);
            }
        }
    }
}
