package com.taobao.weex.ui.component;

import android.content.Context;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.annotation.Component;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.view.refresh.circlebar.CircleProgressBar;
import com.taobao.weex.utils.WXResourceUtils;
import com.taobao.weex.utils.WXUtils;

@Component(lazyload = false)
public class WXLoadingIndicator extends WXComponent<CircleProgressBar> {
    private static final String ANIMATING = "animating";

    public WXLoadingIndicator(WXSDKInstance instance, WXVContainer parent, boolean isLazy, BasicComponentData basicComponentData) {
        super(instance, parent, isLazy, basicComponentData);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public CircleProgressBar initComponentHostView(Context context) {
        return new CircleProgressBar(context);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0038  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0065  */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        char c;
        int hashCode = key.hashCode();
        if (hashCode != 93090825) {
            if (hashCode != 94842723) {
                if (hashCode == 1118509918 && key.equals("animating")) {
                    c = 1;
                    if (c != 0) {
                        String color = WXUtils.getString(param, null);
                        if (color != null) {
                            setColor(color);
                        }
                        return true;
                    } else if (c == 1) {
                        Boolean result = WXUtils.getBoolean(param, null);
                        if (result != null) {
                            setAnimating(result.booleanValue());
                        }
                        return true;
                    } else if (c != 2) {
                        return super.setProperty(key, param);
                    } else {
                        ((CircleProgressBar) getHostView()).setShowArrow(WXUtils.getBoolean(param, true).booleanValue());
                        return true;
                    }
                }
            } else if (key.equals("color")) {
                c = 0;
                if (c != 0) {
                }
            }
        } else if (key.equals("arrow")) {
            c = 2;
            if (c != 0) {
            }
        }
        c = 65535;
        if (c != 0) {
        }
    }

    @WXComponentProp(name = "color")
    public void setColor(String color) {
        if (color != null && !color.equals("")) {
            ((CircleProgressBar) getHostView()).setColorSchemeColors(WXResourceUtils.getColor(color, -65536));
        }
    }

    @WXComponentProp(name = "animating")
    public void setAnimating(boolean animating) {
        if (animating) {
            ((CircleProgressBar) getHostView()).start();
        } else {
            ((CircleProgressBar) getHostView()).stop();
        }
    }

    private void setAnimatingSp(boolean animating) {
        if (animating) {
            ((CircleProgressBar) getHostView()).start();
        } else {
            ((CircleProgressBar) getHostView()).stop();
        }
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        if (getHostView() != null) {
            ((CircleProgressBar) getHostView()).destory();
        }
    }
}
