package com.taobao.weex.ui.component.list;

import androidx.recyclerview.widget.RecyclerView;
import com.taobao.weex.ui.view.listview.adapter.TransformItemDecoration;
import com.taobao.weex.utils.WXLogUtils;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RecyclerTransform {
    private static final String TAG = "RecyclerTransform";
    public static final String TRANSFORM = "transform";
    private static final Pattern transformPattern = Pattern.compile("([a-z]+)\\(([0-9\\.]+),?([0-9\\.]+)?\\)");

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public static RecyclerView.ItemDecoration parseTransforms(int orientation, String raw) {
        if (raw == null) {
            return null;
        }
        Matcher matcher = transformPattern.matcher(raw);
        int rotate = 0;
        float opacity = 0.0f;
        int translateY = 0;
        int translateX = 0;
        float scaleY = 0.0f;
        float scaleX = 0.0f;
        while (true) {
            char c = 0;
            boolean z = true;
            if (matcher.find()) {
                String match = matcher.group();
                String name = matcher.group(1);
                try {
                    switch (name.hashCode()) {
                        case -1267206133:
                            if (name.equals("opacity")) {
                                c = 2;
                                break;
                            }
                            c = 65535;
                            break;
                        case -925180581:
                            if (name.equals("rotate")) {
                                c = 3;
                                break;
                            }
                            c = 65535;
                            break;
                        case 109250890:
                            if (name.equals("scale")) {
                                break;
                            }
                            c = 65535;
                            break;
                        case 1052832078:
                            if (name.equals("translate")) {
                                c = 1;
                                break;
                            }
                            c = 65535;
                            break;
                        default:
                            c = 65535;
                            break;
                    }
                    if (c == 0) {
                        scaleX = Float.parseFloat(matcher.group(2));
                        scaleY = Float.parseFloat(matcher.group(3));
                    } else if (c == 1) {
                        translateX = Integer.parseInt(matcher.group(2));
                        translateY = Integer.parseInt(matcher.group(3));
                    } else if (c == 2) {
                        opacity = Float.parseFloat(matcher.group(2));
                    } else if (c != 3) {
                        WXLogUtils.e(TAG, "Invaild transform expression:" + match);
                    } else {
                        rotate = Integer.parseInt(matcher.group(2));
                    }
                } catch (NumberFormatException e) {
                    WXLogUtils.e("", e);
                    WXLogUtils.e(TAG, "Invaild transform expression:" + match);
                }
            } else {
                if (orientation != 1) {
                    z = false;
                }
                return new TransformItemDecoration(z, opacity, translateX, translateY, rotate, scaleX, scaleY);
            }
        }
    }
}
