package com.taobao.weex.ui.component.list.template;

import android.os.AsyncTask;
import android.os.Looper;
import android.os.MessageQueue;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.ui.component.list.WXCell;
import java.util.Iterator;

/* access modifiers changed from: package-private */
public class AsyncCellLoadTask extends AsyncTask<Void, Void, Void> {
    private WXCell source;
    private String template;
    private WXRecyclerTemplateList templateList;

    public AsyncCellLoadTask(String template2, WXCell source2, WXRecyclerTemplateList templateList2) {
        this.template = template2;
        this.source = source2;
        this.templateList = templateList2;
    }

    /* access modifiers changed from: protected */
    public Void doInBackground(Void... params) {
        TemplateCache cellCache = this.templateList.getTemplatesCache().get(this.template);
        if (cellCache == null || cellCache.cells == null) {
            return null;
        }
        while (cellCache.cells.size() < this.templateList.getTemplateCacheSize()) {
            System.currentTimeMillis();
            WXCell component = (WXCell) this.templateList.copyComponentFromSourceCell(this.source);
            WXEnvironment.isOpenDebugLog();
            if (component == null || isDestory()) {
                return null;
            }
            cellCache.cells.add(component);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0007, code lost:
        r0 = r4.templateList.getTemplatesCache().get(r4.template);
     */
    public void onPostExecute(Void aVoid) {
        final TemplateCache cellCache;
        if (isDestory() || cellCache == null) {
            return;
        }
        if (cellCache.cells == null || cellCache.cells.size() == 0) {
            cellCache.isLoadIng = false;
            return;
        }
        Looper.myQueue().addIdleHandler(new MessageQueue.IdleHandler() {
            /* class com.taobao.weex.ui.component.list.template.AsyncCellLoadTask.AnonymousClass1 */

            public boolean queueIdle() {
                if (AsyncCellLoadTask.this.isDestory()) {
                    return false;
                }
                Iterator<WXCell> iterator = cellCache.cells.iterator();
                while (iterator.hasNext()) {
                    WXCell component = iterator.next();
                    if (component.isLazy()) {
                        WXRecyclerTemplateList unused = AsyncCellLoadTask.this.templateList;
                        WXRecyclerTemplateList.doCreateCellViewBindData(component, AsyncCellLoadTask.this.template, true);
                        return iterator.hasNext();
                    }
                }
                return false;
            }
        });
        cellCache.isLoadIng = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isDestory() {
        if (this.source.getInstance() == null || this.source.getInstance().isDestroy()) {
            return true;
        }
        return this.templateList.isDestoryed();
    }

    public void startTask() {
        executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
    }
}
