package com.taobao.weex.ui.component.pesudo;

import androidx.collection.ArrayMap;
import com.taobao.weex.common.Constants;
import java.util.Map;

public class PesudoStatus {
    static final int CLASS_ACTIVE = 0;
    static final int CLASS_DISABLED = 3;
    static final int CLASS_ENABLED = 2;
    static final int CLASS_FOCUS = 1;
    private static final int SET = 1;
    private static final int UNSET = 0;
    private int[] mStatuses = new int[4];

    public PesudoStatus() {
        int i = 0;
        while (true) {
            int[] iArr = this.mStatuses;
            if (i < iArr.length) {
                iArr[i] = 0;
                i++;
            } else {
                return;
            }
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public void setStatus(String clzName, boolean status) {
        char c;
        switch (clzName.hashCode()) {
            case -1487344704:
                if (clzName.equals(Constants.PSEUDO.ACTIVE)) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1482202954:
                if (clzName.equals(Constants.PSEUDO.DISABLED)) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 689157575:
                if (clzName.equals(Constants.PSEUDO.ENABLED)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 1758095582:
                if (clzName.equals(Constants.PSEUDO.FOCUS)) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        if (c == 0) {
            setStatus(0, status);
        } else if (c == 1) {
            setStatus(3, status);
        } else if (c == 2) {
            setStatus(2, status);
        } else if (c == 3) {
            setStatus(1, status);
        }
    }

    /* access modifiers changed from: package-private */
    public void setStatus(int clz, boolean status) {
        this.mStatuses[clz] = status ? 1 : 0;
    }

    public boolean isSet(int clz) {
        return this.mStatuses[clz] == 1;
    }

    public String getStatuses() {
        StringBuilder sb = new StringBuilder();
        if (isSet(0)) {
            sb.append(Constants.PSEUDO.ACTIVE);
        }
        if (isSet(3)) {
            sb.append(Constants.PSEUDO.DISABLED);
        }
        if (isSet(1) && !isSet(3)) {
            sb.append(Constants.PSEUDO.FOCUS);
        }
        if (sb.length() == 0) {
            return null;
        }
        return sb.toString();
    }

    public Map<String, Object> updateStatusAndGetUpdateStyles(String clzName, boolean status, Map<String, Map<String, Object>> pesudoStyles, Map<String, Object> originalStyles) {
        String prevStatusesStr = getStatuses();
        setStatus(clzName, status);
        Map<String, Object> updateStyles = pesudoStyles.get(getStatuses());
        Map<? extends String, ? extends Object> prevUpdateStyles = pesudoStyles.get(prevStatusesStr);
        Map<String, Object> resultStyles = new ArrayMap<>();
        if (prevUpdateStyles != null) {
            resultStyles.putAll(prevUpdateStyles);
        }
        for (String key : resultStyles.keySet()) {
            resultStyles.put(key, originalStyles.containsKey(key) ? originalStyles.get(key) : "");
        }
        if (updateStyles != null) {
            for (Map.Entry<String, Object> entry : updateStyles.entrySet()) {
                resultStyles.put(entry.getKey(), entry.getValue());
            }
        }
        return resultStyles;
    }
}
