package com.taobao.weex.ui.view.border;

import android.graphics.LinearGradient;
import android.graphics.Shader;
import com.taobao.weex.dom.CSSShorthand;

/* access modifiers changed from: package-private */
public enum BorderStyle {
    SOLID,
    DASHED,
    DOTTED;

    /* access modifiers changed from: package-private */
    /* renamed from: com.taobao.weex.ui.view.border.BorderStyle$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$taobao$weex$ui$view$border$BorderStyle;

        static {
            int[] iArr = new int[BorderStyle.values().length];
            $SwitchMap$com$taobao$weex$ui$view$border$BorderStyle = iArr;
            try {
                iArr[BorderStyle.DOTTED.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$taobao$weex$ui$view$border$BorderStyle[BorderStyle.DASHED.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
        }
    }

    /* access modifiers changed from: package-private */
    public Shader getLineShader(float borderWidth, int borderColor, CSSShorthand.EDGE edge) {
        int i = AnonymousClass1.$SwitchMap$com$taobao$weex$ui$view$border$BorderStyle[ordinal()];
        if (i != 1) {
            if (i != 2) {
                return null;
            }
        } else if (edge == CSSShorthand.EDGE.LEFT || edge == CSSShorthand.EDGE.RIGHT) {
            return new LinearGradient(0.0f, 0.0f, 0.0f, borderWidth * 2.0f, new int[]{borderColor, 0}, new float[]{0.5f, 0.5f}, Shader.TileMode.REPEAT);
        } else if (edge == CSSShorthand.EDGE.TOP || edge == CSSShorthand.EDGE.BOTTOM) {
            return new LinearGradient(0.0f, 0.0f, borderWidth * 2.0f, 0.0f, new int[]{borderColor, 0}, new float[]{0.5f, 0.5f}, Shader.TileMode.REPEAT);
        }
        if (edge == CSSShorthand.EDGE.LEFT || edge == CSSShorthand.EDGE.RIGHT) {
            return new LinearGradient(0.0f, 0.0f, 0.0f, borderWidth * 6.0f, new int[]{borderColor, 0}, new float[]{0.5f, 0.5f}, Shader.TileMode.REPEAT);
        } else if (edge != CSSShorthand.EDGE.TOP && edge != CSSShorthand.EDGE.BOTTOM) {
            return null;
        } else {
            return new LinearGradient(0.0f, 0.0f, 6.0f * borderWidth, 0.0f, new int[]{borderColor, 0}, new float[]{0.5f, 0.5f}, Shader.TileMode.REPEAT);
        }
    }
}
