package com.taobao.weex.utils;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;

public class WXInterception {

    private interface Intercepted {
    }

    private WXInterception() {
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> T proxy(Object delegatee, Class<T> interface_class, InterceptionHandler<T> handler) throws IllegalArgumentException {
        if (delegatee instanceof Intercepted) {
            return delegatee;
        }
        handler.setDelegate(delegatee);
        return (T) Proxy.newProxyInstance(WXInterception.class.getClassLoader(), new Class[]{interface_class, Intercepted.class}, handler);
    }

    public static <T> T proxy(Object delegatee, InterceptionHandler<T> handler, Class<?>... interfaces) throws IllegalArgumentException {
        handler.setDelegate(delegatee);
        return (T) Proxy.newProxyInstance(WXInterception.class.getClassLoader(), interfaces, handler);
    }

    public static abstract class InterceptionHandler<T> implements InvocationHandler {
        private T mDelegate;

        @Override // java.lang.reflect.InvocationHandler
        public Object invoke(Object proxy, Method method, Object[] args) throws Throwable {
            try {
                return method.invoke(delegate(), args);
            } catch (IllegalArgumentException e) {
                WXLogUtils.e("", e);
                return null;
            } catch (IllegalAccessException e2) {
                WXLogUtils.e("", e2);
                return null;
            } catch (InvocationTargetException e3) {
                throw e3.getTargetException();
            }
        }

        /* access modifiers changed from: protected */
        public T delegate() {
            return this.mDelegate;
        }

        /* access modifiers changed from: package-private */
        public void setDelegate(T delegate) {
            this.mDelegate = delegate;
        }
    }
}
