package com.tencent.liteav.audio.impl.Record;

import android.content.Context;
import android.media.AudioManager;
import android.media.AudioRecord;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import java.lang.ref.WeakReference;

/* compiled from: TXCAudioSysRecord */
public class f implements Runnable {
    private static final String a = ("AudioCenter:" + f.class.getSimpleName());
    private static f b = null;
    private Context c;
    private int d = 48000;
    private int e = 1;
    private int f = 16;
    private int g = 0;
    private AudioRecord h;
    private byte[] i = null;
    private WeakReference<h> j;
    private Thread k = null;
    private boolean l = false;

    public static f a() {
        if (b == null) {
            synchronized (f.class) {
                if (b == null) {
                    b = new f();
                }
            }
        }
        return b;
    }

    private f() {
    }

    public synchronized void a(h hVar) {
        if (hVar == null) {
            this.j = null;
        } else {
            this.j = new WeakReference<>(hVar);
        }
    }

    public void a(Context context, int i2, int i3, int i4, int i5) {
        b();
        this.c = context;
        this.d = i2;
        this.e = i3;
        this.f = i4;
        this.g = i5;
        this.l = true;
        Thread thread = new Thread(this, "AudioSysRecord Thread");
        this.k = thread;
        thread.start();
    }

    public void b() {
        this.l = false;
        long currentTimeMillis = System.currentTimeMillis();
        Thread thread = this.k;
        if (!(thread == null || !thread.isAlive() || Thread.currentThread().getId() == this.k.getId())) {
            try {
                this.k.join();
            } catch (Exception e2) {
                e2.printStackTrace();
                String str = a;
                TXCLog.e(str, "record stop Exception: " + e2.getMessage());
            }
        }
        String str2 = a;
        TXCLog.i(str2, "stop record cost time(MS): " + (System.currentTimeMillis() - currentTimeMillis));
        this.k = null;
    }

    public synchronized boolean c() {
        return this.l;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x009d  */
    private void d() {
        int i2;
        int i3;
        AudioRecord audioRecord;
        IllegalArgumentException e2;
        int i4 = this.d;
        int i5 = this.e;
        int i6 = this.f;
        int i7 = this.g;
        int i8 = 4;
        TXCLog.i(a, String.format("audio record sampleRate = %d, channels = %d, bits = %d, aectype = %d", Integer.valueOf(i4), Integer.valueOf(i5), Integer.valueOf(i6), Integer.valueOf(i7)));
        if (i5 == 1) {
            i2 = 16;
        } else {
            i2 = 12;
        }
        if (i6 == 8) {
            i3 = 3;
        } else {
            i3 = 2;
        }
        int minBufferSize = AudioRecord.getMinBufferSize(i4, i2, i3);
        if (i7 == 1) {
            try {
                TXCLog.i(a, "audio record type: system aec");
                if (this.c != null) {
                    ((AudioManager) this.c.getSystemService("audio")).setMode(3);
                }
                i8 = minBufferSize;
                try {
                    this.h = new AudioRecord(7, i4, i2, i3, minBufferSize * 2);
                } catch (IllegalArgumentException e3) {
                    e2 = e3;
                    e2.printStackTrace();
                    audioRecord = this.h;
                    if (audioRecord == null) {
                    }
                    TXCLog.e(a, "audio record: initialize the mic failed.");
                    e();
                    a(-1, "open mic failed!");
                }
            } catch (IllegalArgumentException e4) {
                e2 = e4;
                i8 = minBufferSize;
                e2.printStackTrace();
                audioRecord = this.h;
                if (audioRecord == null) {
                }
                TXCLog.e(a, "audio record: initialize the mic failed.");
                e();
                a(-1, "open mic failed!");
            }
        } else {
            i8 = minBufferSize;
            TXCLog.i(a, "audio record type: system normal");
            this.h = new AudioRecord(1, i4, i2, i3, i8 * 2);
        }
        audioRecord = this.h;
        if (audioRecord == null && audioRecord.getState() == 1) {
            int i9 = ((i5 * 1024) * i6) / 8;
            if (i9 > i8) {
                this.i = new byte[i8];
            } else {
                this.i = new byte[i9];
            }
            TXCLog.i(a, String.format("audio record: mic open rate=%dHZ, channels=%d, bits=%d, buffer=%d/%d, state=%d", Integer.valueOf(i4), Integer.valueOf(i5), Integer.valueOf(i6), Integer.valueOf(i8), Integer.valueOf(this.i.length), Integer.valueOf(this.h.getState())));
            AudioRecord audioRecord2 = this.h;
            if (audioRecord2 != null) {
                try {
                    audioRecord2.startRecording();
                } catch (Exception e5) {
                    e5.printStackTrace();
                    TXCLog.e(a, "mic startRecording failed.");
                    a(-1, "start recording failed!");
                }
            }
        } else {
            TXCLog.e(a, "audio record: initialize the mic failed.");
            e();
            a(-1, "open mic failed!");
        }
    }

    private void e() {
        if (this.h != null) {
            TXCLog.i(a, "stop mic");
            try {
                this.h.setRecordPositionUpdateListener(null);
                this.h.stop();
                this.h.release();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        this.h = null;
        this.i = null;
    }

    private void a(byte[] bArr, int i2, long j2) {
        h hVar;
        synchronized (this) {
            if (this.j != null) {
                hVar = this.j.get();
            } else {
                hVar = null;
            }
        }
        if (hVar != null) {
            hVar.onAudioRecordPCM(bArr, i2, j2);
        } else {
            TXCLog.e(a, "onRecordPcmData:no callback");
        }
    }

    private void a(int i2, String str) {
        h hVar;
        synchronized (this) {
            if (this.j != null) {
                hVar = this.j.get();
            } else {
                hVar = null;
            }
        }
        if (hVar != null) {
            hVar.onAudioRecordError(i2, str);
        } else {
            TXCLog.e(a, "onRecordError:no callback");
        }
    }

    private void f() {
        h hVar;
        synchronized (this) {
            if (this.j != null) {
                hVar = this.j.get();
            } else {
                hVar = null;
            }
        }
        if (hVar != null) {
            hVar.onAudioRecordStart();
        } else {
            TXCLog.e(a, "onRecordStart:no callback");
        }
    }

    private void g() {
        h hVar;
        synchronized (this) {
            if (this.j != null) {
                hVar = this.j.get();
            } else {
                hVar = null;
            }
        }
        if (hVar != null) {
            hVar.onAudioRecordStop();
        } else {
            TXCLog.e(a, "onRecordStop:no callback");
        }
    }

    public void run() {
        if (!this.l) {
            TXCLog.w(a, "audio record: abandom start audio sys record thread!");
            return;
        }
        f();
        d();
        int i2 = 0;
        int i3 = 0;
        while (this.l && !Thread.interrupted() && this.h != null && i2 <= 5) {
            System.currentTimeMillis();
            AudioRecord audioRecord = this.h;
            byte[] bArr = this.i;
            int read = audioRecord.read(bArr, i3, bArr.length - i3);
            byte[] bArr2 = this.i;
            if (read == bArr2.length - i3) {
                a(bArr2, bArr2.length, TXCTimeUtil.getTimeTick());
                i2 = 0;
                i3 = 0;
            } else if (read <= 0) {
                String str = a;
                TXCLog.e(str, "read pcm eror, len =" + read);
                i2++;
            } else {
                i3 += read;
            }
        }
        e();
        if (i2 > 5) {
            a(-1, "read data failed!");
        } else {
            g();
        }
    }
}
