package com.tencent.liteav.audio.impl;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothHeadset;
import android.bluetooth.BluetoothProfile;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.AudioManager;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import com.baidu.speech.utils.AsrError;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCEventRecorderProxy;
import com.tencent.liteav.basic.util.b;
import io.dcloud.common.constant.AbsoluteConst;
import java.util.ArrayList;
import java.util.List;

/* compiled from: TXCAudioRouteMgr */
public class a implements e {
    private final String a;
    private int b;
    private Context c;
    private boolean d;
    private BroadcastReceiver e;
    private BluetoothProfile.ServiceListener f;
    private BluetoothHeadset g;
    private List<d> h;
    private Handler i;
    private boolean j;
    private int k;
    private boolean l;
    private com.tencent.liteav.basic.module.a m;
    private boolean n;
    private String o;
    private int p;
    private boolean q;
    private List<String> r;
    private List<String> s;
    private AudioManager t;

    /* access modifiers changed from: private */
    /* renamed from: com.tencent.liteav.audio.impl.a$a  reason: collision with other inner class name */
    /* compiled from: TXCAudioRouteMgr */
    public static class C0097a {
        private static final a a = new a();
    }

    public static void a(String str) {
        TXCTraeJNI.nativeSetTraeConfig(str);
    }

    static {
        b.f();
    }

    public static a a() {
        return C0097a.a;
    }

    private a() {
        this.a = "AudioCenter:" + a.class.getSimpleName();
        this.b = 1;
        this.k = 0;
        this.m = null;
        this.n = false;
        this.p = 0;
        this.o = "18446744073709551615";
        com.tencent.liteav.basic.module.a aVar = new com.tencent.liteav.basic.module.a();
        this.m = aVar;
        aVar.setID(this.o);
        this.h = new ArrayList();
        b();
    }

    private void b() {
        this.r = new ArrayList();
        this.s = new ArrayList();
        this.r.add("HUAWEI");
        this.s.add("EVA-AL00");
    }

    private boolean c() {
        String str = "";
        String str2 = Build.MANUFACTURER == null ? str : Build.MANUFACTURER;
        if (Build.MODEL != null) {
            str = Build.MODEL;
        }
        if (!this.r.contains(str2) || !this.s.contains(str)) {
            return false;
        }
        String str3 = this.a;
        TXCLog.i(str3, "manufacturer = " + str2 + ", model = " + str + " need MODE_NORMAL for BT Mic");
        return true;
    }

    public void a(Context context) {
        if (this.d) {
            TXCLog.e(this.a, "init, but has inited, ignore!");
            return;
        }
        TXCLog.i(this.a, "init");
        if (this.c == null) {
            this.c = context.getApplicationContext();
        }
        if (this.t == null) {
            this.t = (AudioManager) context.getSystemService("audio");
        }
        if (this.i == null) {
            this.i = new Handler(Looper.getMainLooper());
        }
        this.t = (AudioManager) context.getSystemService("audio");
        this.i = new Handler(Looper.getMainLooper());
        c.a().a(this.c);
        c.a().a(this);
        if (this.e == null) {
            this.e = new BroadcastReceiver() {
                /* class com.tencent.liteav.audio.impl.a.AnonymousClass1 */

                public void onReceive(Context context, Intent intent) {
                    String action = intent.getAction();
                    String str = a.this.a;
                    TXCLog.i(str, "onReceive, action = " + action);
                    if (action.equals("android.intent.action.HEADSET_PLUG")) {
                        a.this.b((a) intent);
                    } else if (action.equals("android.bluetooth.headset.profile.action.CONNECTION_STATE_CHANGED")) {
                        int intExtra = intent.getIntExtra("android.bluetooth.profile.extra.STATE", -1);
                        BluetoothDevice bluetoothDevice = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                        a.this.d((a) intExtra);
                    } else if (action.equals("android.bluetooth.headset.profile.action.AUDIO_STATE_CHANGED")) {
                        a.this.a((a) intent);
                    }
                }
            };
        }
        if (this.f == null) {
            this.f = new BluetoothProfile.ServiceListener() {
                /* class com.tencent.liteav.audio.impl.a.AnonymousClass2 */

                public void onServiceConnected(int i, BluetoothProfile bluetoothProfile) {
                    String str = a.this.a;
                    TXCLog.i(str, "onServiceConnected, profile = " + i);
                    if (i != 1) {
                        TXCLog.e(a.this.a, "profile not HEADSET, ignore");
                        return;
                    }
                    a.this.g = (BluetoothHeadset) bluetoothProfile;
                    a.this.d();
                }

                public void onServiceDisconnected(int i) {
                    String str = a.this.a;
                    TXCLog.i(str, "onServiceDisconnected, profile = " + i);
                    if (i != 1) {
                        TXCLog.e(a.this.a, "profile not HEADSET, ignore");
                        return;
                    }
                    a.this.g = null;
                    a aVar = a.this;
                    aVar.b(aVar.k);
                }
            };
        }
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.intent.action.HEADSET_PLUG");
        intentFilter.addAction("android.bluetooth.headset.profile.action.CONNECTION_STATE_CHANGED");
        intentFilter.addAction("android.bluetooth.headset.profile.action.AUDIO_STATE_CHANGED");
        this.c.registerReceiver(this.e, intentFilter);
        try {
            BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
            if (defaultAdapter != null) {
                defaultAdapter.getProfileProxy(this.c, this.f, 1);
            }
        } catch (Exception e2) {
            String str = this.a;
            TXCLog.e(str, "BluetoothAdapter getProfileProxy: " + e2);
        }
        this.d = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void d() {
        int i2;
        if (this.g != null) {
            List<BluetoothDevice> list = null;
            try {
                list = this.g.getConnectedDevices();
            } catch (Exception e2) {
                String str = this.a;
                TXCLog.e(str, "getConnectedDevices exception = " + e2);
                this.g = null;
            }
            if (list == null || list.size() == 0) {
                TXCLog.e(this.a, "checkBTHeadsetState, btDevices is empty!");
                return;
            }
            try {
                i2 = this.g.getConnectionState(list.get(0));
            } catch (Exception e3) {
                String str2 = this.a;
                TXCLog.e(str2, "checkBTHeadsetState, getConnectionState exception: " + e3);
                i2 = -1;
            }
            if (i2 != -1) {
                d(i2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void d(int i2) {
        if (i2 == 0) {
            this.t.stopBluetoothSco();
            this.t.setBluetoothScoOn(false);
            TXCLog.i(this.a, "processBTHeadsetState, disconnected");
            b(this.k);
            this.i.removeCallbacksAndMessages(null);
        } else if (i2 == 2) {
            if (!this.l) {
                TXCLog.w(this.a, "processBTHeadsetState connected, record is not running");
            } else if (this.b == 2) {
                TXCLog.w(this.a, "processBTHeadsetState connected, sco is connecting, ignore");
            } else {
                this.t.stopBluetoothSco();
                this.t.setBluetoothScoOn(false);
                if (!this.t.isBluetoothScoAvailableOffCall()) {
                    TXCLog.e(this.a, "checkBTHeadsetState connected, not support BTHeadset sco");
                    return;
                }
                TXCLog.i(this.a, "processBTHeadsetState connected, delay to startBluetoothSco");
                this.b = 2;
                this.i.postDelayed(new Runnable() {
                    /* class com.tencent.liteav.audio.impl.a.AnonymousClass3 */

                    public void run() {
                        try {
                            a.this.t.startBluetoothSco();
                        } catch (NullPointerException e) {
                            String str = a.this.a;
                            TXCLog.i(str, "checkBTHeadsetState, startBluetoothSco exception = " + e);
                            e.printStackTrace();
                        }
                    }
                }, 1000);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Intent intent) {
        int intExtra = intent.getIntExtra("android.bluetooth.profile.extra.STATE", -1);
        String str = this.a;
        TXCLog.i(str, "processAudioState state " + intExtra + " (ps: 10--DISCONNECTED; 11--CONNECTING; 12--CONNECTED), thread id = " + Thread.currentThread().getId());
        if (intExtra == 12) {
            TXCLog.i(this.a, "SCO connected, yeah!");
            this.b = 3;
            a(true, true);
            this.i.removeCallbacksAndMessages(null);
            this.t.setBluetoothScoOn(true);
            b(this.k);
        } else if (intExtra != 11 && intExtra == 10) {
            this.b = 1;
            b(this.k);
            a(false, false);
            if (this.q) {
                TXCLog.i(this.a, "processAudioState, mNeedRestartScoWithHangUp");
                this.q = false;
                d();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(Intent intent) {
        if (intent.hasExtra("state")) {
            int intExtra = intent.getIntExtra("state", 0);
            if (intExtra == 0) {
                this.j = false;
                a(false, false);
                b(this.k);
                TXCLog.i(this.a, "pull out wired headset");
            } else if (1 == intExtra) {
                this.j = true;
                a(true, false);
                b(this.k);
                TXCLog.i(this.a, "insert wired headset");
            }
        }
    }

    public synchronized void a(int i2) {
        if (this.t != null) {
            if (this.b != 2) {
                try {
                    if (this.j) {
                        if (this.t.getMode() == 0) {
                            TXCLog.w(this.a, "setMode, mIsWiredHeadsetOn, audioMode is MODE_NORMAL, ignore");
                            return;
                        }
                        this.t.setMode(0);
                        TXCLog.i(this.a, "setMode, is wiredHeadsetOn, set MODE_NORMA");
                    } else if (this.g == null || this.b != 3 || c()) {
                        if (this.t.getMode() == 0) {
                            TXCLog.w(this.a, "setMode, audioMode is MODE_NORMAL, ignore");
                            return;
                        }
                        String str = this.a;
                        TXCLog.i(str, "【TXSDK-TRAE-LOG】 michael setMode = " + i2);
                        TXCLog.i(this.a, "【TXSDK-TRAE-LOG】 michael info don't change trae mode");
                        this.t.setMode(i2);
                    } else if (this.t.getMode() == 3) {
                        TXCLog.w(this.a, "setMode, bluetoothHeadset on, audioMode is MODE_IN_COMMUNICATION, ignore");
                    } else {
                        this.t.setMode(3);
                        TXCLog.i(this.a, "setMode, bluetoothHeadset on, set mode MODE_IN_COMMUNICATION");
                    }
                } catch (Exception e2) {
                }
            }
        }
    }

    public synchronized void b(int i2) {
        this.k = i2;
        a(0);
        if (this.j) {
            this.t.setSpeakerphoneOn(false);
            TXCLog.i(this.a, "setAudioRoute, is wiredHeadsetOn, set speakerphoneOn false");
        } else if (this.g == null || this.b != 3) {
            String str = this.a;
            StringBuilder sb = new StringBuilder();
            sb.append("setAudioRoute, only phone, mSpeakerOn = ");
            sb.append(this.k == 0 ? AbsoluteConst.TRUE : AbsoluteConst.FALSE);
            TXCLog.i(str, sb.toString());
            if (this.k == 0) {
                this.t.setSpeakerphoneOn(true);
            } else {
                this.t.setSpeakerphoneOn(false);
            }
        } else {
            this.t.setSpeakerphoneOn(false);
            TXCLog.i(this.a, "setAudioRoute, is bluetoothHeadset connect and isBluetoothScoOn true, set speakerphoneOn false");
        }
    }

    public void a(boolean z) {
        String str = this.a;
        TXCLog.i(str, "setRecordRunning = " + z);
        this.l = z;
        if (!z) {
            TXCLog.w(this.a, "processBTHeadsetState, record is not running");
            int i2 = this.b;
            if (i2 == 3 || i2 == 2) {
                this.i.postDelayed(new Runnable() {
                    /* class com.tencent.liteav.audio.impl.a.AnonymousClass4 */

                    public void run() {
                        try {
                            a.this.t.stopBluetoothSco();
                            a.this.t.setBluetoothScoOn(false);
                        } catch (NullPointerException e) {
                            String str = a.this.a;
                            TXCLog.i(str, "checkBTHeadsetState, startBluetoothSco exception = " + e);
                            e.printStackTrace();
                        }
                    }
                }, 1000);
                return;
            }
            return;
        }
        d();
    }

    public synchronized void a(d dVar) {
        if (dVar != null) {
            this.h.add(dVar);
            if (this.j) {
                dVar.OnHeadsetState(true);
            } else if (this.g != null && this.t != null && this.b == 3) {
                dVar.OnHeadsetState(true);
            }
        }
    }

    public synchronized void b(d dVar) {
        if (dVar != null) {
            this.h.remove(dVar);
        }
    }

    private synchronized void a(boolean z, boolean z2) {
        int i2;
        if (!z) {
            i2 = 0;
        } else if (!z2) {
            i2 = 1;
        } else {
            i2 = 2;
        }
        this.m.setStatusValue(AsrError.ERROR_WAKEUP_MODEL_EXCEPTION, Integer.valueOf(i2));
        TXCEventRecorderProxy.a("18446744073709551615", 1001, i2, -1, "", 0);
        for (d dVar : this.h) {
            dVar.OnHeadsetState(z);
        }
    }

    @Override // com.tencent.liteav.audio.impl.e
    public void c(int i2) {
        String str = this.a;
        TXCLog.i(str, "onCallStateChanged, state = " + i2);
        if (!this.t.isBluetoothScoAvailableOffCall()) {
            TXCLog.e(this.a, "not support BTHeadset sco");
        } else if (i2 == 0) {
            if (this.b != 1 || this.g == null) {
                if (this.p == 2) {
                    this.q = true;
                }
                this.p = 0;
                return;
            }
            this.p = 0;
            TXCLog.i(this.a, "to restartBluetoothSco");
            d();
        } else if (i2 == 1) {
            this.p = 1;
        } else if (i2 == 2) {
            this.p = i2;
        }
    }
}
