package com.tencent.liteav.basic.util;

import android.app.ActivityManager;
import android.content.Context;
import android.graphics.Bitmap;
import android.media.MediaFormat;
import android.media.MediaMetadataRetriever;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Bundle;
import android.os.Debug;
import android.os.Process;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Log;
import androidtranscoder.format.MediaFormatExtraConstants;
import com.meizu.cloud.pushsdk.constants.PushConstants;
import com.taobao.weex.el.parse.Operators;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.datareport.TXCDRApi;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.ugc.TXRecordCommon;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.UUID;
import net.ossrs.yasea.SrsFlvMuxer;

/* compiled from: TXCSystemUtil */
public class b {
    public static long a = 0;
    private static float b = 0.0f;
    private static float c = 0.0f;
    private static float d = 0.0f;
    private static float e = 0.0f;
    private static float f = 0.0f;
    private static float g = 0.0f;
    private static boolean h = true;
    private static int[] i = new int[2];
    private static long j = 0;
    private static String k = "";
    private static int l = 0;
    private static long m = 0;
    private static final Object n = new Object();
    private static boolean o = false;
    private static int[] p = {96000, 88200, 64000, 48000, 44100, 32000, 24000, SrsFlvMuxer.SrsCodecAudioSampleRate.R22050, 16000, 12000, SrsFlvMuxer.SrsCodecAudioSampleRate.R11025, TXRecordCommon.AUDIO_SAMPLERATE_8000, 7350};

    private static long h() {
        try {
            int myPid = Process.myPid();
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream("/proc/" + myPid + "/stat")), 1000);
            String readLine = bufferedReader.readLine();
            bufferedReader.close();
            String[] split = readLine.split(Operators.SPACE_STR);
            if (split == null || TextUtils.isEmpty(split[13])) {
                return 0;
            }
            return Long.parseLong(split[13]) + Long.parseLong(split[14]) + Long.parseLong(split[15]) + Long.parseLong(split[16]);
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x008b  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0092  */
    private static void i() {
        long j2;
        long j3;
        Exception e2;
        long j4 = 0;
        if (Build.VERSION.SDK_INT < 26) {
            try {
                BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream("/proc/stat")), 1000);
                String readLine = bufferedReader.readLine();
                bufferedReader.close();
                String[] split = readLine.split(Operators.SPACE_STR);
                if (split == null || split.length < 9) {
                    j2 = 0;
                } else {
                    j3 = Long.parseLong(split[2]) + Long.parseLong(split[3]) + Long.parseLong(split[4]) + Long.parseLong(split[6]) + Long.parseLong(split[5]) + Long.parseLong(split[7]) + Long.parseLong(split[8]);
                    try {
                        j2 = Long.parseLong(split[5]) + Long.parseLong(split[6]);
                        j4 = j3;
                    } catch (Exception e3) {
                        e2 = e3;
                        e2.printStackTrace();
                        j2 = 0;
                        j4 = j3;
                        if (h) {
                        }
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                j3 = 0;
                e2.printStackTrace();
                j2 = 0;
                j4 = j3;
                if (h) {
                }
            }
        } else {
            j2 = 0;
        }
        if (h) {
            b = (float) j4;
            f = (float) j2;
            return;
        }
        c = (float) j4;
        g = (float) j2;
    }

    public static int[] a() {
        float f2;
        if (j != 0 && TXCTimeUtil.getTimeTick() - j < 2000) {
            return i;
        }
        int[] iArr = new int[2];
        if (h) {
            d = (float) h();
            i();
            h = false;
            iArr[0] = 0;
            iArr[1] = 0;
            return iArr;
        }
        e = (float) h();
        i();
        float f3 = c;
        float f4 = b;
        float f5 = 0.0f;
        if (f3 != f4) {
            f5 = ((e - d) * 100.0f) / (f3 - f4);
            f2 = (((f3 - f4) - (g - f)) * 100.0f) / (f3 - f4);
        } else {
            f2 = 0.0f;
        }
        b = c;
        d = e;
        f = g;
        iArr[0] = (int) (f5 * 10.0f);
        iArr[1] = (int) (f2 * 10.0f);
        int[] iArr2 = i;
        iArr2[0] = iArr[0];
        iArr2[1] = iArr[1];
        j = TXCTimeUtil.getTimeTick();
        return iArr;
    }

    public static int b() {
        try {
            if (m != 0 && TXCTimeUtil.getTimeTick() - m < 10000) {
                return l;
            }
            Debug.MemoryInfo memoryInfo = new Debug.MemoryInfo();
            Debug.getMemoryInfo(memoryInfo);
            int totalPss = memoryInfo.getTotalPss();
            m = TXCTimeUtil.getTimeTick();
            l = totalPss / 1024;
            return l;
        } catch (Exception e2) {
        }
    }

    public static boolean a(Context context) {
        if (context == null) {
            return false;
        }
        try {
            ActivityManager activityManager = (ActivityManager) context.getSystemService(PushConstants.INTENT_ACTIVITY_NAME);
            if (activityManager.getRunningTasks(1) == null) {
                TXCLog.e("TXCSystemUtil", "running task is null, ams is abnormal!!!");
                return false;
            }
            ActivityManager.RunningTaskInfo runningTaskInfo = activityManager.getRunningTasks(1).get(0);
            if (runningTaskInfo != null && runningTaskInfo.topActivity != null) {
                return !runningTaskInfo.topActivity.getPackageName().equals(context.getPackageName());
            }
            TXCLog.e("TXCSystemUtil", "failed to get RunningTaskInfo");
            return false;
        } catch (Exception e2) {
            return false;
        }
    }

    public static String b(Context context) {
        return TXCDRApi.getSimulateIDFA(context);
    }

    public static String c(Context context) {
        if (context != null) {
            try {
                return context.getPackageManager().getPackageInfo(context.getPackageName(), 0).packageName;
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return "";
    }

    public static int d(Context context) {
        if (context == null) {
            return 255;
        }
        TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
        if (activeNetworkInfo == null || !activeNetworkInfo.isConnected()) {
            return 255;
        }
        if (activeNetworkInfo.getType() == 9) {
            return 5;
        }
        if (activeNetworkInfo.getType() == 1) {
            return 1;
        }
        if (activeNetworkInfo.getType() != 0) {
            return 255;
        }
        switch (telephonyManager.getNetworkType()) {
            case 1:
            case 2:
            case 4:
            case 7:
            case 11:
                return 4;
            case 3:
            case 5:
            case 6:
            case 8:
            case 9:
            case 10:
            case 12:
            case 14:
            case 15:
                return 3;
            case 13:
            default:
                return 2;
        }
    }

    public static String c() {
        return Build.MODEL;
    }

    public static String d() {
        return Build.VERSION.RELEASE;
    }

    public static String e() {
        return UUID.randomUUID().toString();
    }

    public static String e(Context context) {
        return TXCDRApi.getDevUUID(context, TXCDRApi.getSimulateIDFA(context));
    }

    public static void a(WeakReference<a> weakReference, String str, int i2, String str2) {
        Bundle bundle = new Bundle();
        bundle.putString("EVT_USERID", str);
        bundle.putInt("EVT_ID", i2);
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        if (str2 != null) {
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str2);
        }
        a(weakReference, i2, bundle);
    }

    public static void a(WeakReference<a> weakReference, int i2, String str) {
        Bundle bundle = new Bundle();
        bundle.putInt("EVT_ID", i2);
        bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
        if (str != null) {
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
        }
        a(weakReference, i2, bundle);
    }

    public static void a(WeakReference<a> weakReference, int i2, Bundle bundle) {
        a aVar;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.onNotifyEvent(i2, bundle);
        }
    }

    public static void a(WeakReference<a> weakReference, String str, int i2, Bundle bundle) {
        a aVar;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            bundle.putString("EVT_USERID", str);
            aVar.onNotifyEvent(i2, bundle);
        }
    }

    public static com.tencent.liteav.basic.d.a a(int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8 = i2 * i5;
        int i9 = i3 * i4;
        if (i8 >= i9) {
            i6 = i9 / i5;
            i7 = i3;
        } else {
            i7 = i8 / i4;
            i6 = i2;
        }
        int i10 = 0;
        int i11 = i2 > i6 ? (i2 - i6) >> 1 : 0;
        if (i3 > i7) {
            i10 = (i3 - i7) >> 1;
        }
        return new com.tencent.liteav.basic.d.a(i11, i10, i6, i7);
    }

    public static boolean f() {
        boolean z;
        synchronized (n) {
            if (!o) {
                a("stlport_shared");
                a("saturn");
                a("txffmpeg");
                o = a("liteavsdk");
                Log.w("NativeLoad", "load library success " + o);
            }
            z = o;
        }
        return z;
    }

    public static boolean a(String str) {
        try {
            System.loadLibrary(str);
            return true;
        } catch (Error e2) {
            Log.d("NativeLoad", "load library : " + e2.toString());
            return b(k, str);
        } catch (Exception e3) {
            Log.d("NativeLoad", "load library : " + e3.toString());
            return b(k, str);
        }
    }

    private static boolean b(String str, String str2) {
        try {
            if (TextUtils.isEmpty(str)) {
                return false;
            }
            System.load(str + "/lib" + str2 + ".so");
            return true;
        } catch (Error e2) {
            Log.d("NativeLoad", "load library : " + e2.toString());
            return false;
        } catch (Exception e3) {
            Log.d("NativeLoad", "load library : " + e3.toString());
            return false;
        }
    }

    public static void b(String str) {
        k = str;
    }

    public static String g() {
        return k;
    }

    public static int a(int i2) {
        int i3 = 0;
        while (true) {
            int[] iArr = p;
            if (i3 < iArr.length && iArr[i3] != i2) {
                i3++;
            }
        }
        if (i3 >= p.length) {
            return -1;
        }
        return i3;
    }

    public static MediaFormat a(int i2, int i3, int i4) {
        int a2 = a(i2);
        ByteBuffer allocate = ByteBuffer.allocate(2);
        allocate.put(0, (byte) ((i4 << 3) | (a2 >> 1)));
        allocate.put(1, (byte) (((a2 & 1) << 7) | (i3 << 3)));
        MediaFormat createAudioFormat = MediaFormat.createAudioFormat("audio/mp4a-latm", i2, i3);
        createAudioFormat.setInteger("channel-count", i3);
        createAudioFormat.setInteger("sample-rate", i2);
        createAudioFormat.setByteBuffer(MediaFormatExtraConstants.KEY_AVC_SPS, allocate);
        return createAudioFormat;
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x0064 A[SYNTHETIC, Splitter:B:34:0x0064] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x006e  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0075 A[SYNTHETIC, Splitter:B:43:0x0075] */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x007f  */
    public static boolean a(String str, String str2) {
        Throwable th;
        MediaMetadataRetriever mediaMetadataRetriever;
        Exception e2;
        Bitmap frameAtTime;
        FileOutputStream fileOutputStream;
        if (str == null || str2 == null) {
            return false;
        }
        FileOutputStream fileOutputStream2 = null;
        try {
            if (!new File(str).exists()) {
                return false;
            }
            mediaMetadataRetriever = new MediaMetadataRetriever();
            try {
                mediaMetadataRetriever.setDataSource(str);
                frameAtTime = mediaMetadataRetriever.getFrameAtTime();
                File file = new File(str2);
                if (file.exists()) {
                    file.delete();
                }
                fileOutputStream = new FileOutputStream(file);
            } catch (Exception e3) {
                e2 = e3;
                try {
                    e2.printStackTrace();
                    if (fileOutputStream2 != null) {
                    }
                    if (mediaMetadataRetriever != null) {
                    }
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                }
            }
            try {
                frameAtTime.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream);
                fileOutputStream.flush();
                try {
                    fileOutputStream.close();
                } catch (IOException e4) {
                    e4.printStackTrace();
                }
                mediaMetadataRetriever.release();
                return true;
            } catch (Exception e5) {
                e2 = e5;
                fileOutputStream2 = fileOutputStream;
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream2 = fileOutputStream;
                if (fileOutputStream2 != null) {
                }
                if (mediaMetadataRetriever != null) {
                }
                throw th;
            }
        } catch (Exception e6) {
            e2 = e6;
            mediaMetadataRetriever = null;
            e2.printStackTrace();
            if (fileOutputStream2 != null) {
                try {
                    fileOutputStream2.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            if (mediaMetadataRetriever != null) {
                mediaMetadataRetriever.release();
            }
            return false;
        } catch (Throwable th4) {
            th = th4;
            mediaMetadataRetriever = null;
            if (fileOutputStream2 != null) {
                try {
                    fileOutputStream2.close();
                } catch (IOException e8) {
                    e8.printStackTrace();
                }
            }
            if (mediaMetadataRetriever != null) {
                mediaMetadataRetriever.release();
            }
            throw th;
        }
    }

    private static void a(String str, MediaFormat mediaFormat, byte[] bArr, int i2, int i3) {
        int i4 = i3 - i2;
        ByteBuffer allocate = ByteBuffer.allocate(i4);
        allocate.put(bArr, i2, i4);
        allocate.position(0);
        mediaFormat.setByteBuffer(str, allocate);
    }

    public static MediaFormat a(byte[] bArr, int i2, int i3) {
        int i4;
        MediaFormat createVideoFormat = MediaFormat.createVideoFormat("video/avc", i2, i3);
        int i5 = 0;
        int i6 = 0;
        boolean z = false;
        boolean z2 = false;
        int i7 = 0;
        while (true) {
            int i8 = i5 + 3;
            if (i8 < bArr.length) {
                if (bArr[i5] == 0 && bArr[i5 + 1] == 0 && bArr[i5 + 2] == 1) {
                    i4 = 3;
                } else {
                    i4 = 0;
                }
                if (bArr[i5] == 0 && bArr[i5 + 1] == 0 && bArr[i5 + 2] == 0 && bArr[i8] == 1) {
                    i4 = 4;
                }
                if (i4 > 0) {
                    if (i6 == 0) {
                        i5 += i4;
                        i6 = i4;
                    } else {
                        int i9 = bArr[i6] & 31;
                        if (i9 == 7) {
                            a(MediaFormatExtraConstants.KEY_AVC_SPS, createVideoFormat, bArr, i6, i5);
                            z = true;
                        } else if (i9 == 8) {
                            a(MediaFormatExtraConstants.KEY_AVC_PPS, createVideoFormat, bArr, i6, i5);
                            z2 = true;
                        }
                        i6 = i5 + i4;
                        if (z && z2) {
                            return createVideoFormat;
                        }
                        i7 = i5;
                        i5 = i6;
                    }
                }
                i5++;
            } else {
                int i10 = bArr[i6] & 31;
                if (z && i10 == 8) {
                    a(MediaFormatExtraConstants.KEY_AVC_PPS, createVideoFormat, bArr, i6, i7);
                    return createVideoFormat;
                } else if (!z2 || i10 != 7) {
                    return null;
                } else {
                    a(MediaFormatExtraConstants.KEY_AVC_SPS, createVideoFormat, bArr, i6, i7);
                    return createVideoFormat;
                }
            }
        }
    }

    public static int a(byte[] bArr) {
        if (bArr == null || bArr.length == 0) {
            return 0;
        }
        int length = bArr.length / 2;
        short[] sArr = new short[length];
        ByteBuffer.wrap(bArr).order(ByteOrder.LITTLE_ENDIAN).asShortBuffer().get(sArr);
        float f2 = 0.0f;
        for (int i2 = 0; i2 < length; i2++) {
            float f3 = (float) sArr[i2];
            if (Math.abs(f3) > f2) {
                f2 = Math.abs(f3);
            }
            f2 = Math.min(f2 / 32768.0f, 1.0f) * 100.0f;
        }
        return (int) f2;
    }
}
