package com.tencent.liteav.renderer;

import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.TXSVideoFrame;
import java.lang.ref.WeakReference;
import java.util.LinkedList;
import java.util.Queue;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCGLRender */
public class a extends e implements SurfaceTexture.OnFrameAvailableListener {
    private TXSVideoFrame A;
    private TXCYuvTextureRender B;
    private final Queue<Runnable> C = new LinkedList();
    g a;
    AbstractC0102a b;
    AbstractC0102a c;
    private final int p = 0;
    private final int q = 0;
    private final int r = 0;
    private final int s = 0;
    private Object t = new Object();
    private b u;
    private SurfaceTexture v;
    private c w;
    private boolean x;
    private float[] y = new float[16];
    private c z;

    /* renamed from: com.tencent.liteav.renderer.a$a  reason: collision with other inner class name */
    /* compiled from: TXCGLRender */
    public interface AbstractC0102a {
        void onTextureProcess(int i, int i2, int i3);
    }

    public void a(g gVar) {
        this.a = gVar;
    }

    public void a(AbstractC0102a aVar) {
        TXCYuvTextureRender tXCYuvTextureRender;
        this.b = aVar;
        if (aVar != null && (tXCYuvTextureRender = this.B) != null) {
            tXCYuvTextureRender.setHasFrameBuffer(this.h, this.i);
        }
    }

    public void b(AbstractC0102a aVar) {
        TXCYuvTextureRender tXCYuvTextureRender;
        this.c = aVar;
        if (aVar != null && (tXCYuvTextureRender = this.B) != null) {
            tXCYuvTextureRender.setHasFrameBuffer(this.h, this.i);
        }
    }

    @Override // com.tencent.liteav.renderer.e
    public void a(TXSVideoFrame tXSVideoFrame, int i, int i2, int i3) {
        synchronized (this) {
            this.A = tXSVideoFrame;
        }
        super.a(tXSVideoFrame, i, i2, i3);
        b bVar = this.u;
        if (bVar != null) {
            bVar.c();
        }
    }

    @Override // com.tencent.liteav.renderer.e
    public void a(int i, int i2, int i3, boolean z2, int i4) {
        GLES20.glViewport(0, 0, k(), l());
        c cVar = this.z;
        if (cVar != null) {
            cVar.a(i, z2, i4);
        }
        super.a(i, i2, i3, z2, i4);
        b bVar = this.u;
        if (bVar != null) {
            bVar.c();
        }
    }

    @Override // com.tencent.liteav.renderer.e
    public SurfaceTexture a() {
        return this.v;
    }

    public EGLContext b() {
        EGLContext a2;
        synchronized (this.t) {
            a2 = this.u != null ? this.u.a() : null;
        }
        return a2;
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void a(SurfaceTexture surfaceTexture) {
        g();
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void b(SurfaceTexture surfaceTexture) {
        h();
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void a(int i, int i2) {
        super.a(i, i2);
        TXCYuvTextureRender tXCYuvTextureRender = this.B;
        if (tXCYuvTextureRender != null) {
            tXCYuvTextureRender.setVideoSize(i, i2);
        }
        c cVar = this.w;
        if (cVar != null) {
            cVar.a(i, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        TXCYuvTextureRender tXCYuvTextureRender;
        TXCLog.w("TXCVideoRender", "play:vrender: TXCGLRender initTextureRender");
        s();
        if (this.e != null) {
            this.e.a(this.f, this.g);
            this.e.b(this.h, this.i);
        }
        c cVar = this.w;
        if (cVar != null) {
            cVar.b();
            SurfaceTexture surfaceTexture = new SurfaceTexture(this.w.a());
            this.v = surfaceTexture;
            surfaceTexture.setOnFrameAvailableListener(this);
        }
        TXCYuvTextureRender tXCYuvTextureRender2 = this.B;
        if (tXCYuvTextureRender2 != null) {
            tXCYuvTextureRender2.createTexture();
        }
        if (!(this.b == null || (tXCYuvTextureRender = this.B) == null)) {
            tXCYuvTextureRender.setHasFrameBuffer(this.h, this.i);
        }
        c cVar2 = this.z;
        if (cVar2 != null) {
            cVar2.b();
        }
        if (this.n != null) {
            this.n.onSurfaceTextureAvailable(this.v);
        }
    }

    private void s() {
        this.w = new c(true);
        this.B = new TXCYuvTextureRender();
        this.z = new c(false);
    }

    /* access modifiers changed from: package-private */
    public void d() {
        try {
            if (this.n != null) {
                this.n.onSurfaceTextureDestroy(this.v);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        c cVar = this.w;
        if (cVar != null) {
            cVar.c();
            this.w = null;
        }
        TXCYuvTextureRender tXCYuvTextureRender = this.B;
        if (tXCYuvTextureRender != null) {
            tXCYuvTextureRender.onSurfaceDestroy();
            this.B = null;
        }
        c cVar2 = this.z;
        if (cVar2 != null) {
            cVar2.c();
            this.z = null;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean e() {
        do {
        } while (a(this.C));
        return t();
    }

    /* access modifiers changed from: package-private */
    public SurfaceTexture f() {
        if (this.d != null) {
            return this.d.getSurfaceTexture();
        }
        return null;
    }

    @Override // com.tencent.liteav.renderer.e
    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void g() {
        synchronized (this.t) {
            if (this.u == null) {
                b bVar = new b(new WeakReference(this));
                this.u = bVar;
                bVar.start();
                this.u.c();
                TXCLog.w("TXCVideoRender", "play:vrender: start render thread id " + getID() + ", " + this);
            } else {
                TXCLog.w("TXCVideoRender", "play:vrender: render thread is running " + getID() + ", " + this);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.tencent.liteav.renderer.e
    public void h() {
        synchronized (this.t) {
            if (this.u != null) {
                this.u.b();
                this.u.c();
                this.u = null;
                TXCLog.w("TXCVideoRender", "play:vrender: quit render thread id" + getID() + ", " + this);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x001a, code lost:
        android.opengl.GLES20.glViewport(0, 0, k(), l());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0029, code lost:
        if (r10.k != 1) goto L_0x0030;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002b, code lost:
        r4 = b();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0030, code lost:
        r4 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0031, code lost:
        if (r0 == false) goto L_0x0083;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0033, code lost:
        r0 = r10.v;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0035, code lost:
        if (r0 == null) goto L_0x0041;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0037, code lost:
        r0.updateTexImage();
        r10.v.getTransformMatrix(r10.y);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0041, code lost:
        r0 = r10.a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0043, code lost:
        if (r0 == null) goto L_0x0053;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0045, code lost:
        r1 = r10.w;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0047, code lost:
        if (r1 == null) goto L_0x005c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0049, code lost:
        r0.a(r1.a(), r10.y);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0053, code lost:
        r0 = r10.w;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0055, code lost:
        if (r0 == null) goto L_0x005c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0057, code lost:
        r0.a(r10.v);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x005c, code lost:
        r0 = r10.c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x005e, code lost:
        if (r0 == null) goto L_0x0071;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0060, code lost:
        r0.onTextureProcess(r10.w.a(), m(), n());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0073, code lost:
        if (r10.k != 1) goto L_0x00ce;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0075, code lost:
        r0 = r10.w;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0077, code lost:
        if (r0 == null) goto L_0x00ce;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0079, code lost:
        a(r4, r0.a(), r10.y, true);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0083, code lost:
        if (r3 == null) goto L_0x00ce;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x0085, code lost:
        r0 = r10.B;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x0087, code lost:
        if (r0 == null) goto L_0x00ce;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x008d, code lost:
        if (r10.b == null) goto L_0x00aa;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x008f, code lost:
        r0.setHasFrameBuffer(r10.h, r10.i);
        r0 = r10.B.drawToTexture(r3);
        r10.b.onTextureProcess(r0, m(), n());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x00ac, code lost:
        if (r10.k != 0) goto L_0x00b3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00ae, code lost:
        r10.B.drawFrame(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00b3, code lost:
        r0 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00b6, code lost:
        if (r10.k != 1) goto L_0x00ce;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00b8, code lost:
        if (r0 != -1) goto L_0x00c9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00ba, code lost:
        r10.B.setHasFrameBuffer(r10.h, r10.i);
        r0 = r10.B.drawToTexture(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00c9, code lost:
        a(r4, r0, (float[]) null, false);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00ce, code lost:
        return true;
     */
    private boolean t() {
        TXSVideoFrame tXSVideoFrame;
        boolean z2;
        synchronized (this) {
            if (this.x) {
                z2 = this.x;
                this.x = false;
                tXSVideoFrame = null;
            } else if (this.A == null) {
                return false;
            } else {
                TXSVideoFrame tXSVideoFrame2 = this.A;
                this.A = null;
                tXSVideoFrame = tXSVideoFrame2;
                z2 = false;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0014, code lost:
        r0.run();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0018, code lost:
        return true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0011, code lost:
        if (r0 != null) goto L_0x0014;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0013, code lost:
        return false;
     */
    private boolean a(Queue<Runnable> queue) {
        synchronized (queue) {
            if (queue.isEmpty()) {
                return false;
            }
            Runnable poll = queue.poll();
        }
    }

    public void onFrameAvailable(SurfaceTexture surfaceTexture) {
        synchronized (this) {
            this.x = true;
        }
    }

    @Override // java.lang.Object, com.tencent.liteav.basic.module.a
    public void finalize() throws Throwable {
        super.finalize();
        TXCLog.w("TXCVideoRender", "play:vrender: quit render thread when finalize");
        try {
            h();
        } catch (Exception e) {
        }
    }
}
