package com.tencent.open.utils;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Proxy;
import android.os.Build;
import android.os.Bundle;
import android.os.SystemClock;
import android.text.TextUtils;
import com.tencent.connect.auth.QQToken;
import com.tencent.connect.common.Constants;
import com.tencent.open.a.f;
import com.tencent.open.a.g;
import com.tencent.open.b.h;
import com.tencent.open.log.SLog;
import com.tencent.open.log.d;
import com.tencent.tauth.IRequestListener;
import java.io.CharConversionException;
import java.io.EOFException;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InvalidClassException;
import java.io.InvalidObjectException;
import java.io.NotActiveException;
import java.io.NotSerializableException;
import java.io.OptionalDataException;
import java.io.StreamCorruptedException;
import java.io.SyncFailedException;
import java.io.UTFDataFormatException;
import java.io.UnsupportedEncodingException;
import java.io.WriteAbortedException;
import java.net.BindException;
import java.net.ConnectException;
import java.net.HttpRetryException;
import java.net.MalformedURLException;
import java.net.NoRouteToHostException;
import java.net.PortUnreachableException;
import java.net.ProtocolException;
import java.net.SocketTimeoutException;
import java.net.URLEncoder;
import java.net.UnknownHostException;
import java.net.UnknownServiceException;
import java.nio.channels.ClosedChannelException;
import java.nio.channels.FileLockInterruptionException;
import java.nio.charset.MalformedInputException;
import java.nio.charset.UnmappableCharacterException;
import java.util.HashMap;
import java.util.InvalidPropertiesFormatException;
import java.util.Map;
import java.util.zip.ZipException;
import javax.net.ssl.SSLHandshakeException;
import javax.net.ssl.SSLKeyException;
import javax.net.ssl.SSLPeerUnverifiedException;
import javax.net.ssl.SSLProtocolException;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: ProGuard */
public class HttpUtils {
    private HttpUtils() {
    }

    /* compiled from: ProGuard */
    public static class HttpStatusException extends Exception {
        public static final String ERROR_INFO = "http status code error:";
        public final int statusCode;

        public HttpStatusException(String str) {
            super(str);
            this.statusCode = -1;
        }

        public HttpStatusException(int i) {
            super(ERROR_INFO + i);
            this.statusCode = i;
        }
    }

    /* compiled from: ProGuard */
    public static class NetworkUnavailableException extends Exception {
        public static final String ERROR_INFO = "network unavailable";

        public NetworkUnavailableException(String str) {
            super(str);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x00fa, code lost:
        r0 = -4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x010b, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x010c, code lost:
        r17 = r0;
        r0 = r1;
        r1 = r12;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x012c, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x012e, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x012f, code lost:
        r0.printStackTrace();
        com.tencent.open.b.h.a().a(r13, r15, 0, 0, -4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0140, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0141, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x0142, code lost:
        r0.printStackTrace();
        com.tencent.open.b.h.a().a(r13, r15, 0, 0, getErrorCodeFromException(r0));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x0156, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x0157, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0158, code lost:
        r0.printStackTrace();
        com.tencent.open.b.h.a().a(r13, r15, 0, 0, -3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x0169, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x017c, code lost:
        r15 = android.os.SystemClock.elapsedRealtime();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x0181, code lost:
        if (r1 >= r14) goto L_0x0183;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x0183, code lost:
        r1 = r0;
        r6 = r15;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x0192, code lost:
        com.tencent.open.b.h.a().a(r13, r15, 0, 0, -8);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x019b, code lost:
        throw r17;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x010b A[ExcHandler: SocketTimeoutException (r0v15 'e' java.net.SocketTimeoutException A[CUSTOM_DECLARE]), Splitter:B:16:0x00ea] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x012e A[ExcHandler: JSONException (r0v12 'e' org.json.JSONException A[CUSTOM_DECLARE]), Splitter:B:12:0x00ca] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0141 A[ExcHandler: IOException (r0v11 'e' java.io.IOException A[CUSTOM_DECLARE]), Splitter:B:12:0x00ca] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0157 A[ExcHandler: MalformedURLException (r0v10 'e' java.net.MalformedURLException A[CUSTOM_DECLARE]), Splitter:B:12:0x00ca] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x017c  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x0192 A[SYNTHETIC] */
    public static JSONObject request(QQToken qQToken, Context context, String str, Bundle bundle, String str2) throws IOException, JSONException, NetworkUnavailableException, HttpStatusException {
        String str3;
        String str4;
        long j;
        int i;
        long j2;
        long j3;
        JSONObject jSONObject;
        int i2;
        JSONObject jSONObject2;
        JSONObject jSONObject3;
        g a2;
        int i3;
        SLog.i("openSDK_LOG.HttpUtils", "OpenApi request");
        if (m.b(context)) {
            if (!str.toLowerCase().startsWith("http")) {
                str4 = j.a().a(context, "https://openmobile.qq.com/") + str;
                str3 = j.a().a(context, "https://openmobile.qq.com/") + str;
            } else {
                str4 = str;
                str3 = str4;
            }
            a(context, qQToken, str);
            JSONObject jSONObject4 = null;
            long elapsedRealtime = SystemClock.elapsedRealtime();
            int i4 = 0;
            int a3 = i.a(context, qQToken.getAppId()).a("Common_HttpRetryCount");
            SLog.v("OpenConfig_test", "config 1:Common_HttpRetryCount            config_value:" + a3 + "   appid:" + qQToken.getAppId() + "     url:" + str3);
            int i5 = a3 == 0 ? 3 : a3;
            SLog.v("OpenConfig_test", "config 1:Common_HttpRetryCount            result_value:" + i5 + "   appid:" + qQToken.getAppId() + "     url:" + str3);
            j = elapsedRealtime;
            while (true) {
                int i6 = i4 + 1;
                try {
                    a2 = a(str4, str2, bundle);
                    int d = a2.d();
                    SLog.i("openSDK_LOG.HttpUtils", "request statusCode " + d);
                    if (d == 200) {
                        jSONObject = m.d(a2.a());
                        i3 = jSONObject.getInt("ret");
                        break;
                    }
                    jSONObject3 = jSONObject4;
                    i2 = i6;
                    h.a().a(str3, j, 0, 0, d);
                    throw new HttpStatusException(d);
                } catch (SocketTimeoutException e) {
                    SocketTimeoutException e2 = e;
                    jSONObject3 = jSONObject4;
                    i2 = i6;
                    SocketTimeoutException socketTimeoutException = e2;
                    jSONObject2 = jSONObject3;
                    socketTimeoutException.printStackTrace();
                    i = -8;
                    j3 = 0;
                    j2 = 0;
                    if (i2 < i5) {
                    }
                } catch (MalformedURLException e3) {
                } catch (IOException e4) {
                } catch (JSONException e5) {
                }
                i4 = i2;
                jSONObject4 = jSONObject2;
            }
            h.a().a(str3, r6, j3, j2, i);
            return jSONObject;
        }
        throw new NetworkUnavailableException(NetworkUnavailableException.ERROR_INFO);
        i = i3;
        j2 = (long) a2.b();
        j3 = (long) a2.c();
        long j4 = j;
        h.a().a(str3, j4, j3, j2, i);
        return jSONObject;
    }

    public static void requestAsync(final QQToken qQToken, final Context context, final String str, final Bundle bundle, final String str2, final IRequestListener iRequestListener) {
        SLog.i("openSDK_LOG.HttpUtils", "OpenApi requestAsync");
        l.a(new Runnable() {
            /* class com.tencent.open.utils.HttpUtils.AnonymousClass1 */

            public void run() {
                try {
                    JSONObject request = HttpUtils.request(qQToken, context, str, bundle, str2);
                    if (iRequestListener != null) {
                        iRequestListener.onComplete(request);
                        SLog.i("openSDK_LOG.HttpUtils", "OpenApi onComplete");
                    }
                } catch (MalformedURLException e2) {
                    IRequestListener iRequestListener = iRequestListener;
                    if (iRequestListener != null) {
                        iRequestListener.onMalformedURLException(e2);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync MalformedURLException" + e2.toString());
                    }
                } catch (SocketTimeoutException e3) {
                    IRequestListener iRequestListener2 = iRequestListener;
                    if (iRequestListener2 != null) {
                        iRequestListener2.onSocketTimeoutException(e3);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync onSocketTimeoutException" + e3.toString());
                    }
                } catch (NetworkUnavailableException e4) {
                    IRequestListener iRequestListener3 = iRequestListener;
                    if (iRequestListener3 != null) {
                        iRequestListener3.onNetworkUnavailableException(e4);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync onNetworkUnavailableException" + e4.toString());
                    }
                } catch (HttpStatusException e5) {
                    IRequestListener iRequestListener4 = iRequestListener;
                    if (iRequestListener4 != null) {
                        iRequestListener4.onHttpStatusException(e5);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync onHttpStatusException" + e5.toString());
                    }
                } catch (IOException e6) {
                    IRequestListener iRequestListener5 = iRequestListener;
                    if (iRequestListener5 != null) {
                        iRequestListener5.onIOException(e6);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync IOException" + e6.toString());
                    }
                } catch (JSONException e7) {
                    IRequestListener iRequestListener6 = iRequestListener;
                    if (iRequestListener6 != null) {
                        iRequestListener6.onJSONException(e7);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync JSONException" + e7.toString());
                    }
                } catch (Exception e8) {
                    IRequestListener iRequestListener7 = iRequestListener;
                    if (iRequestListener7 != null) {
                        iRequestListener7.onUnknowException(e8);
                        SLog.e("openSDK_LOG.HttpUtils", "OpenApi requestAsync onUnknowException" + e8.toString());
                    }
                }
            }
        });
    }

    private static void a(Context context, QQToken qQToken, String str) {
        if (str.indexOf("add_share") > -1 || str.indexOf("upload_pic") > -1 || str.indexOf("add_topic") > -1 || str.indexOf("set_user_face") > -1 || str.indexOf("add_t") > -1 || str.indexOf("add_pic_t") > -1 || str.indexOf("add_pic_url") > -1 || str.indexOf("add_video") > -1) {
            com.tencent.connect.a.a.a(context, qQToken, "requireApi", str);
        }
    }

    public static int getErrorCodeFromException(IOException iOException) {
        if (iOException instanceof CharConversionException) {
            return -20;
        }
        if (iOException instanceof MalformedInputException) {
            return -21;
        }
        if (iOException instanceof UnmappableCharacterException) {
            return -22;
        }
        if (iOException instanceof ClosedChannelException) {
            return -24;
        }
        if (iOException instanceof EOFException) {
            return -26;
        }
        if (iOException instanceof FileLockInterruptionException) {
            return -27;
        }
        if (iOException instanceof FileNotFoundException) {
            return -28;
        }
        if (iOException instanceof HttpRetryException) {
            return -29;
        }
        if (iOException instanceof SocketTimeoutException) {
            return -8;
        }
        if (iOException instanceof InvalidPropertiesFormatException) {
            return -30;
        }
        if (iOException instanceof MalformedURLException) {
            return -3;
        }
        if (iOException instanceof InvalidClassException) {
            return -33;
        }
        if (iOException instanceof InvalidObjectException) {
            return -34;
        }
        if (iOException instanceof NotActiveException) {
            return -35;
        }
        if (iOException instanceof NotSerializableException) {
            return -36;
        }
        if (iOException instanceof OptionalDataException) {
            return -37;
        }
        if (iOException instanceof StreamCorruptedException) {
            return -38;
        }
        if (iOException instanceof WriteAbortedException) {
            return -39;
        }
        if (iOException instanceof ProtocolException) {
            return -40;
        }
        if (iOException instanceof SSLHandshakeException) {
            return -41;
        }
        if (iOException instanceof SSLKeyException) {
            return -42;
        }
        if (iOException instanceof SSLPeerUnverifiedException) {
            return -43;
        }
        if (iOException instanceof SSLProtocolException) {
            return -44;
        }
        if (iOException instanceof BindException) {
            return -45;
        }
        if (iOException instanceof ConnectException) {
            return -46;
        }
        if (iOException instanceof NoRouteToHostException) {
            return -47;
        }
        if (iOException instanceof PortUnreachableException) {
            return -48;
        }
        if (iOException instanceof SyncFailedException) {
            return -49;
        }
        if (iOException instanceof UTFDataFormatException) {
            return -50;
        }
        if (iOException instanceof UnknownHostException) {
            return -51;
        }
        if (iOException instanceof UnknownServiceException) {
            return -52;
        }
        if (iOException instanceof UnsupportedEncodingException) {
            return -53;
        }
        if (iOException instanceof ZipException) {
            return -54;
        }
        return -2;
    }

    private static g a(String str, String str2, Bundle bundle) throws IOException {
        Bundle bundle2;
        if (bundle != null) {
            bundle2 = new Bundle(bundle);
        } else {
            bundle2 = new Bundle();
        }
        if (str2.equalsIgnoreCase(Constants.HTTP_GET)) {
            Map<String, String> a2 = a(bundle2);
            Bundle b = d.b(bundle2);
            if (b != bundle2) {
                SLog.i("openSDK_LOG.HttpUtils", "-->openUrl encodedParam =" + b.toString() + " -- url = " + str);
            } else {
                SLog.i("openSDK_LOG.HttpUtils", "-->openUrl encodedParam =" + a2.toString() + " -- url = " + str);
            }
            return f.a().a(str, a2);
        } else if (str2.equalsIgnoreCase(Constants.HTTP_POST)) {
            Map<String, String> a3 = a(bundle2);
            Map<String, byte[]> b2 = b(bundle2);
            if (b2 == null || b2.size() == 0) {
                return f.a().b(str, a3);
            }
            SLog.w("openSDK_LOG.HttpUtils", "openUrl: has binary " + b2.size());
            return f.a().a(str, a3, b2);
        } else {
            SLog.e("openSDK_LOG.HttpUtils", "openUrl: http method " + str2 + " is not supported.");
            throw new IOException("http method is not supported.");
        }
    }

    public static String encodeUrl(Bundle bundle) {
        return encodeUrl(a(bundle));
    }

    public static String encodeUrl(Map<String, String> map) {
        if (map == null || map.size() == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder();
        boolean z = true;
        for (String str : map.keySet()) {
            if (z) {
                z = false;
            } else {
                sb.append(com.alipay.sdk.m.s.a.n);
            }
            sb.append(URLEncoder.encode(str));
            sb.append("=");
            sb.append(URLEncoder.encode(map.get(str)));
        }
        return sb.toString();
    }

    private static Map<String, String> a(Bundle bundle) {
        HashMap hashMap = new HashMap();
        if (bundle == null || bundle.size() == 0) {
            return hashMap;
        }
        for (String str : bundle.keySet()) {
            Object obj = bundle.get(str);
            if (!(obj instanceof String) && !(obj instanceof String[])) {
                SLog.w("openSDK_LOG.HttpUtils", "parseBundleToMap: the type " + obj.getClass() + " is unsupported");
            } else if (obj instanceof String[]) {
                String[] strArr = (String[]) obj;
                StringBuilder sb = new StringBuilder();
                for (int i = 0; i < strArr.length; i++) {
                    if (i != 0) {
                        sb.append(",");
                    }
                    sb.append(strArr[i]);
                }
                hashMap.put(str, sb.toString());
            } else {
                hashMap.put(str, (String) obj);
            }
        }
        return hashMap;
    }

    private static Map<String, byte[]> b(Bundle bundle) {
        HashMap hashMap = new HashMap(0);
        if (bundle == null || bundle.size() == 0) {
            return hashMap;
        }
        for (String str : bundle.keySet()) {
            Object obj = bundle.get(str);
            if (obj instanceof byte[]) {
                hashMap.put(str, (byte[]) obj);
            }
        }
        return hashMap;
    }

    public static a getProxy(Context context) {
        ConnectivityManager connectivityManager;
        NetworkInfo networkInfo;
        if (context == null || (connectivityManager = (ConnectivityManager) context.getSystemService("connectivity")) == null) {
            return null;
        }
        try {
            networkInfo = connectivityManager.getActiveNetworkInfo();
        } catch (Exception e) {
            networkInfo = null;
        }
        if (networkInfo != null && networkInfo.getType() == 0) {
            String b = b(context);
            int a2 = a(context);
            if (!TextUtils.isEmpty(b) && a2 >= 0) {
                return new a(b, a2);
            }
        }
        return null;
    }

    /* compiled from: ProGuard */
    public static class a {
        public final String a;
        public final int b;

        private a(String str, int i) {
            this.a = str;
            this.b = i;
        }
    }

    private static int a(Context context) {
        if (Build.VERSION.SDK_INT >= 11) {
            String property = System.getProperty("http.proxyPort");
            if (!TextUtils.isEmpty(property)) {
                try {
                    return Integer.parseInt(property);
                } catch (NumberFormatException e) {
                }
            }
            return -1;
        } else if (context == null) {
            return Proxy.getDefaultPort();
        } else {
            int port = Proxy.getPort(context);
            if (port < 0) {
                return Proxy.getDefaultPort();
            }
            return port;
        }
    }

    private static String b(Context context) {
        if (Build.VERSION.SDK_INT >= 11) {
            return System.getProperty("http.proxyHost");
        }
        if (context == null) {
            return Proxy.getDefaultHost();
        }
        String host = Proxy.getHost(context);
        if (TextUtils.isEmpty(host)) {
            return Proxy.getDefaultHost();
        }
        return host;
    }
}
