package com.umeng.analytics.process;

import android.content.ComponentName;
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import com.umeng.analytics.pro.q;
import com.umeng.analytics.process.DBFileTraversalUtil;
import com.umeng.analytics.process.a;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMWorkDispatch;
import com.umeng.commonsdk.statistics.AnalyticsConstants;
import com.umeng.commonsdk.utils.FileLockCallback;
import com.umeng.commonsdk.utils.FileLockUtil;
import com.umeng.commonsdk.utils.UMUtils;
import com.xiaomi.mipush.sdk.Constants;
import java.io.File;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;

public class UMProcessDBHelper {
    private static UMProcessDBHelper mInstance;
    private InsertEventCallback ekvCallBack = new InsertEventCallback();
    private Context mContext;
    private FileLockUtil mFileLock = new FileLockUtil();

    /* access modifiers changed from: private */
    public class InsertEventCallback implements FileLockCallback {
        private InsertEventCallback() {
        }

        @Override // com.umeng.commonsdk.utils.FileLockCallback
        public boolean onFileLock(String str) {
            return false;
        }

        @Override // com.umeng.commonsdk.utils.FileLockCallback
        public boolean onFileLock(File file, int i) {
            return false;
        }

        @Override // com.umeng.commonsdk.utils.FileLockCallback
        public boolean onFileLock(String str, Object obj) {
            if (TextUtils.isEmpty(str)) {
                return true;
            }
            if (str.startsWith(a.c)) {
                str = str.replaceFirst(a.c, "");
            }
            UMProcessDBHelper.this.insertEvents(str.replace(a.d, ""), (JSONArray) obj);
            return true;
        }
    }

    private UMProcessDBHelper() {
    }

    private UMProcessDBHelper(Context context) {
        com.umeng.common.a.a().a(context);
    }

    public static UMProcessDBHelper getInstance(Context context) {
        if (mInstance == null) {
            synchronized (UMProcessDBHelper.class) {
                if (mInstance == null) {
                    mInstance = new UMProcessDBHelper(context);
                }
            }
        }
        UMProcessDBHelper uMProcessDBHelper = mInstance;
        uMProcessDBHelper.mContext = context;
        return uMProcessDBHelper;
    }

    public void createDBByProcess(String str) {
        try {
            c.a(this.mContext).a(str);
            c.a(this.mContext).b(str);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void insertEventsInSubProcess(String str, JSONArray jSONArray) {
        if (AnalyticsConstants.SUB_PROCESS_EVENT && !TextUtils.isEmpty(str)) {
            File file = new File(b.b(this.mContext, str));
            if (file.exists()) {
                this.mFileLock.doFileOperateion(file, this.ekvCallBack, jSONArray);
            } else {
                insertEvents(str, jSONArray);
            }
        }
    }

    public void insertEvents(String str, JSONArray jSONArray) {
        if (AnalyticsConstants.SUB_PROCESS_EVENT && !TextUtils.isEmpty(str)) {
            insertEvents_(str, datasAdapter(str, jSONArray));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void processToMain(String str) {
        if (dbIsExists(str)) {
            List<a> readEventByProcess = readEventByProcess(str);
            if (!readEventByProcess.isEmpty() && insertEvents_(a.h, readEventByProcess)) {
                deleteEventDatas(str, null, readEventByProcess);
            }
        }
    }

    /* JADX WARN: Type inference failed for: r0v3, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r0v9, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r0v14, types: [java.lang.Throwable] */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x0179  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x017e A[SYNTHETIC, Splitter:B:66:0x017e] */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0198  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x019d A[SYNTHETIC, Splitter:B:76:0x019d] */
    public JSONObject readMainEvents(long j, List<Integer> list) {
        SQLiteDatabase sQLiteDatabase;
        Throwable th;
        Cursor cursor;
        JSONArray jSONArray;
        JSONObject jSONObject = new JSONObject();
        SQLiteDatabase sQLiteDatabase2 = null;
        r4 = null;
        Cursor cursor2 = null;
        try {
            sQLiteDatabase = c.a(this.mContext).a(a.h);
            try {
                sQLiteDatabase.beginTransaction();
                Cursor query = sQLiteDatabase.query(a.AbstractC0120a.a, null, null, null, null, null, null);
                if (query != null) {
                    JSONObject jSONObject2 = new JSONObject();
                    String str = "";
                    while (query.moveToNext()) {
                        int i = query.getInt(query.getColumnIndex("id"));
                        int i2 = query.getInt(query.getColumnIndex("__t"));
                        String string = query.getString(query.getColumnIndex("__i"));
                        String string2 = query.getString(query.getColumnIndex("__s"));
                        String string3 = query.getString(query.getColumnIndex(a.AbstractC0120a.f));
                        String string4 = query.getString(query.getColumnIndex("__av"));
                        if (!TextUtils.isEmpty(string)) {
                            if (TextUtils.isEmpty(str)) {
                                str = string4;
                            }
                            if (!TextUtils.isEmpty(string2) && i2 == 2049) {
                                JSONObject jSONObject3 = new JSONObject(com.umeng.common.a.a().b(string2));
                                String optString = jSONObject3.optString("pn");
                                if (TextUtils.isEmpty(optString) || "unknown".equals(optString)) {
                                    jSONObject3.put("pn", this.mContext.getPackageName() + Constants.COLON_SEPARATOR + string3);
                                }
                                if (jSONObject2.has(string)) {
                                    jSONArray = jSONObject2.optJSONArray(string);
                                } else {
                                    jSONArray = new JSONArray();
                                }
                                if (q.a(jSONObject3) + q.a(jSONArray) > j || !str.equalsIgnoreCase(string4)) {
                                    break;
                                }
                                list.add(Integer.valueOf(i));
                                jSONArray.put(jSONObject3);
                                jSONObject2.put(string, jSONArray);
                            }
                        }
                    }
                    if (jSONObject2.length() > 0) {
                        JSONArray jSONArray2 = new JSONArray();
                        Iterator<String> keys = jSONObject2.keys();
                        while (keys.hasNext()) {
                            JSONObject jSONObject4 = new JSONObject();
                            String next = keys.next();
                            jSONObject4.put(next, new JSONArray(jSONObject2.optString(next)));
                            if (jSONObject4.length() > 0) {
                                jSONArray2.put(jSONObject4);
                            }
                        }
                        if (jSONArray2.length() > 0) {
                            jSONObject.put("ekv", jSONArray2);
                        }
                    }
                }
                sQLiteDatabase.setTransactionSuccessful();
                if (query != null) {
                    query.close();
                }
                if (sQLiteDatabase != null) {
                    try {
                        sQLiteDatabase.endTransaction();
                    } catch (Throwable th2) {
                    }
                }
            } catch (Exception e) {
                cursor = null;
                sQLiteDatabase2 = sQLiteDatabase;
                try {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建子进程事件数据异常，清除数据库数据。");
                    sQLiteDatabase2.execSQL("delete from __et_p");
                    sQLiteDatabase2.setTransactionSuccessful();
                    if (cursor != null) {
                        cursor.close();
                    }
                    if (sQLiteDatabase2 != null) {
                        try {
                            sQLiteDatabase2.endTransaction();
                        } catch (Throwable th3) {
                        }
                    }
                    c.a(this.mContext).b(a.h);
                    return jSONObject;
                } catch (Throwable th4) {
                    th = th4;
                    sQLiteDatabase = sQLiteDatabase2;
                    cursor2 = cursor;
                    if (cursor2 != null) {
                    }
                    if (sQLiteDatabase != null) {
                    }
                    c.a(this.mContext).b(a.h);
                    throw th;
                }
            } catch (Throwable th5) {
                th = th5;
                if (cursor2 != null) {
                    cursor2.close();
                }
                if (sQLiteDatabase != null) {
                    try {
                        sQLiteDatabase.endTransaction();
                    } catch (Throwable th6) {
                    }
                }
                c.a(this.mContext).b(a.h);
                throw th;
            }
        } catch (Exception e2) {
            cursor = null;
            UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 构建子进程事件数据异常，清除数据库数据。");
            sQLiteDatabase2.execSQL("delete from __et_p");
            sQLiteDatabase2.setTransactionSuccessful();
            if (cursor != null) {
            }
            if (sQLiteDatabase2 != null) {
            }
            c.a(this.mContext).b(a.h);
            return jSONObject;
        } catch (Throwable th7) {
            th = th7;
            sQLiteDatabase = null;
            if (cursor2 != null) {
            }
            if (sQLiteDatabase != null) {
            }
            c.a(this.mContext).b(a.h);
            throw th;
        }
        c.a(this.mContext).b(a.h);
        return jSONObject;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0049, code lost:
        if (0 == 0) goto L_0x004e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x004b, code lost:
        r1.endTransaction();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x004e, code lost:
        com.umeng.analytics.process.c.a(r7.mContext).b(com.umeng.analytics.process.a.h);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0058, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0035, code lost:
        if (r1 != null) goto L_0x004b;
     */
    public void deleteMainProcessEventDatasByIds(List<Integer> list) {
        SQLiteDatabase sQLiteDatabase = null;
        try {
            sQLiteDatabase = c.a(this.mContext).a(a.h);
            sQLiteDatabase.beginTransaction();
            Iterator<Integer> it = list.iterator();
            while (it.hasNext()) {
                sQLiteDatabase.delete(a.AbstractC0120a.a, "id=?", new String[]{String.valueOf(it.next())});
            }
            sQLiteDatabase.setTransactionSuccessful();
        } catch (Exception e) {
        } catch (Throwable th) {
            if (0 != 0) {
                sQLiteDatabase.endTransaction();
            }
            c.a(this.mContext).b(a.h);
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0059  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0069  */
    public void deleteEventDatas(String str, String str2, List<a> list) {
        Throwable th;
        SQLiteDatabase sQLiteDatabase;
        if (!TextUtils.isEmpty(str)) {
            SQLiteDatabase sQLiteDatabase2 = null;
            try {
                sQLiteDatabase = c.a(this.mContext).a(str);
                try {
                    sQLiteDatabase.beginTransaction();
                    int size = list.size();
                    if (list == null || size <= 0) {
                        sQLiteDatabase.delete(a.AbstractC0120a.a, null, null);
                    } else {
                        for (int i = 0; i < size; i++) {
                            sQLiteDatabase.execSQL("delete from __et_p where rowid=" + list.get(i).a);
                        }
                    }
                    sQLiteDatabase.setTransactionSuccessful();
                    if (sQLiteDatabase != null) {
                        sQLiteDatabase.endTransaction();
                    }
                } catch (Exception e) {
                    sQLiteDatabase2 = sQLiteDatabase;
                    if (sQLiteDatabase2 != null) {
                    }
                    c.a(this.mContext).b(str);
                } catch (Throwable th2) {
                    th = th2;
                    if (sQLiteDatabase != null) {
                    }
                    c.a(this.mContext).b(str);
                    throw th;
                }
            } catch (Exception e2) {
                if (sQLiteDatabase2 != null) {
                    sQLiteDatabase2.endTransaction();
                }
                c.a(this.mContext).b(str);
            } catch (Throwable th3) {
                sQLiteDatabase = null;
                th = th3;
                if (sQLiteDatabase != null) {
                    sQLiteDatabase.endTransaction();
                }
                c.a(this.mContext).b(str);
                throw th;
            }
            c.a(this.mContext).b(str);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0088, code lost:
        r9 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0089, code lost:
        r0 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:?, code lost:
        r0.endTransaction();
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0088 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:8:0x001d] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0091 A[SYNTHETIC, Splitter:B:29:0x0091] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00a5 A[SYNTHETIC, Splitter:B:37:0x00a5] */
    private boolean insertEvents_(String str, List<a> list) {
        if (TextUtils.isEmpty(str) || list == null || list.isEmpty()) {
            return true;
        }
        SQLiteDatabase sQLiteDatabase = null;
        try {
            SQLiteDatabase a2 = c.a(this.mContext).a(str);
            try {
                a2.beginTransaction();
                for (a aVar : list) {
                    ContentValues contentValues = new ContentValues();
                    contentValues.put("__i", aVar.b);
                    contentValues.put("__e", aVar.c);
                    contentValues.put("__t", Integer.valueOf(aVar.e));
                    contentValues.put(a.AbstractC0120a.f, aVar.f);
                    contentValues.put("__av", aVar.g);
                    contentValues.put("__vc", aVar.h);
                    contentValues.put("__s", aVar.d);
                    a2.insert(a.AbstractC0120a.a, null, contentValues);
                }
                a2.setTransactionSuccessful();
                if (a2 != null) {
                    try {
                        a2.endTransaction();
                    } catch (Throwable th) {
                    }
                }
                c.a(this.mContext).b(str);
                return true;
            } catch (Exception e) {
                sQLiteDatabase = a2;
                if (sQLiteDatabase != null) {
                }
                c.a(this.mContext).b(str);
                return false;
            } catch (Throwable th2) {
            }
        } catch (Exception e2) {
            if (sQLiteDatabase != null) {
                try {
                    sQLiteDatabase.endTransaction();
                } catch (Throwable th3) {
                }
            }
            c.a(this.mContext).b(str);
            return false;
        } catch (Throwable th4) {
            Throwable th5 = th4;
            if (sQLiteDatabase != null) {
            }
            c.a(this.mContext).b(str);
            throw th5;
        }
    }

    private List<a> datasAdapter(String str, JSONArray jSONArray) {
        ArrayList arrayList = new ArrayList();
        if (TextUtils.isEmpty(str)) {
            return arrayList;
        }
        for (int i = 0; i < jSONArray.length(); i++) {
            try {
                JSONObject jSONObject = jSONArray.getJSONObject(i);
                a aVar = new a();
                aVar.c = jSONObject.optString("id");
                aVar.g = UMUtils.getAppVersionName(this.mContext);
                aVar.h = UMUtils.getAppVersionCode(this.mContext);
                aVar.b = jSONObject.optString("__i");
                aVar.e = jSONObject.optInt("__t");
                aVar.f = str;
                if (jSONObject.has("ds")) {
                    jSONObject.remove("ds");
                }
                jSONObject.put("ds", getDataSource());
                jSONObject.remove("__i");
                jSONObject.remove("__t");
                aVar.d = com.umeng.common.a.a().a(jSONObject.toString());
                jSONObject.remove("ds");
                arrayList.add(aVar);
            } catch (Exception e) {
            }
        }
        return arrayList;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0060, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0061, code lost:
        r3 = r14;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0063, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0064, code lost:
        r5 = null;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0060 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:6:0x002f] */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x008d A[SYNTHETIC, Splitter:B:41:0x008d] */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x0095 A[Catch:{ Exception -> 0x0091 }] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00a7 A[SYNTHETIC, Splitter:B:50:0x00a7] */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00af A[Catch:{ Exception -> 0x00ab }] */
    public JSONObject readVersionInfoFromColumId(Integer num) {
        SQLiteDatabase sQLiteDatabase;
        Throwable th;
        JSONObject jSONObject;
        Exception e;
        Cursor cursor = null;
        r3 = null;
        JSONObject jSONObject2 = null;
        cursor = null;
        cursor = null;
        try {
            sQLiteDatabase = c.a(this.mContext).a(a.h);
            try {
                sQLiteDatabase.beginTransaction();
                Cursor query = sQLiteDatabase.query(a.AbstractC0120a.a, null, "rowid=?", new String[]{String.valueOf(num)}, null, null, null);
                if (query != null) {
                    try {
                        if (query.moveToNext()) {
                            jSONObject = new JSONObject();
                            String string = query.getString(query.getColumnIndex("__av"));
                            String string2 = query.getString(query.getColumnIndex("__vc"));
                            if (!TextUtils.isEmpty(string)) {
                                jSONObject.put("__av", string);
                            }
                            if (!TextUtils.isEmpty(string2)) {
                                jSONObject.put("__vc", string2);
                            }
                            jSONObject2 = jSONObject;
                        }
                    } catch (Exception e2) {
                        e = e2;
                        cursor = query;
                        try {
                            e.printStackTrace();
                            if (cursor != null) {
                            }
                            if (sQLiteDatabase != null) {
                            }
                            c.a(this.mContext).b(a.h);
                            return jSONObject;
                        } catch (Throwable th2) {
                            th = th2;
                            if (cursor != null) {
                                try {
                                    cursor.close();
                                } catch (Exception e3) {
                                    c.a(this.mContext).b(a.h);
                                    throw th;
                                }
                            }
                            if (sQLiteDatabase != null) {
                                sQLiteDatabase.endTransaction();
                            }
                            c.a(this.mContext).b(a.h);
                            throw th;
                        }
                    } catch (Throwable th3) {
                    }
                }
                if (query != null) {
                    try {
                        query.close();
                    } catch (Exception e4) {
                    }
                }
                if (sQLiteDatabase != null) {
                    sQLiteDatabase.endTransaction();
                }
                c.a(this.mContext).b(a.h);
                return jSONObject2;
            } catch (Exception e5) {
                e = e5;
                jSONObject = null;
                e.printStackTrace();
                if (cursor != null) {
                    try {
                        cursor.close();
                    } catch (Exception e6) {
                        c.a(this.mContext).b(a.h);
                        return jSONObject;
                    }
                }
                if (sQLiteDatabase != null) {
                    sQLiteDatabase.endTransaction();
                }
                c.a(this.mContext).b(a.h);
                return jSONObject;
            }
        } catch (Exception e7) {
            e = e7;
            sQLiteDatabase = null;
            jSONObject = null;
            e.printStackTrace();
            if (cursor != null) {
            }
            if (sQLiteDatabase != null) {
            }
            c.a(this.mContext).b(a.h);
            return jSONObject;
        } catch (Throwable th4) {
            th = th4;
            sQLiteDatabase = null;
            if (cursor != null) {
            }
            if (sQLiteDatabase != null) {
            }
            c.a(this.mContext).b(a.h);
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x00b1 A[SYNTHETIC, Splitter:B:28:0x00b1] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00b9 A[Catch:{ Exception -> 0x00b5 }] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00cc A[SYNTHETIC, Splitter:B:39:0x00cc] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00d4 A[Catch:{ Exception -> 0x00d0 }] */
    private List<a> readEventByProcess(String str) {
        SQLiteDatabase sQLiteDatabase;
        Throwable th;
        Cursor cursor;
        Exception e;
        ArrayList arrayList = new ArrayList();
        Cursor cursor2 = null;
        try {
            sQLiteDatabase = c.a(this.mContext).a(str);
            try {
                sQLiteDatabase.beginTransaction();
                cursor = sQLiteDatabase.query(a.AbstractC0120a.a, null, null, null, null, null, null);
                if (cursor != null) {
                    while (cursor.moveToNext()) {
                        try {
                            a aVar = new a();
                            aVar.a = cursor.getInt(0);
                            aVar.b = cursor.getString(cursor.getColumnIndex("__i"));
                            aVar.c = cursor.getString(cursor.getColumnIndex("__e"));
                            aVar.d = cursor.getString(cursor.getColumnIndex("__s"));
                            aVar.e = cursor.getInt(cursor.getColumnIndex("__t"));
                            aVar.f = cursor.getString(cursor.getColumnIndex(a.AbstractC0120a.f));
                            aVar.g = cursor.getString(cursor.getColumnIndex("__av"));
                            aVar.h = cursor.getString(cursor.getColumnIndex("__vc"));
                            arrayList.add(aVar);
                        } catch (Exception e2) {
                            e = e2;
                            try {
                                e.printStackTrace();
                                if (cursor != null) {
                                    try {
                                        cursor.close();
                                    } catch (Exception e3) {
                                    }
                                }
                                if (sQLiteDatabase != null) {
                                    sQLiteDatabase.endTransaction();
                                }
                                c.a(this.mContext).b(str);
                                return arrayList;
                            } catch (Throwable th2) {
                                th = th2;
                                cursor2 = cursor;
                                if (cursor2 != null) {
                                }
                                if (sQLiteDatabase != null) {
                                }
                                c.a(this.mContext).b(str);
                                throw th;
                            }
                        }
                    }
                }
                if (cursor != null) {
                    try {
                        cursor.close();
                    } catch (Exception e4) {
                    }
                }
                if (sQLiteDatabase != null) {
                    sQLiteDatabase.endTransaction();
                }
            } catch (Exception e5) {
                cursor = null;
                e = e5;
                e.printStackTrace();
                if (cursor != null) {
                }
                if (sQLiteDatabase != null) {
                }
                c.a(this.mContext).b(str);
                return arrayList;
            } catch (Throwable th3) {
                th = th3;
                if (cursor2 != null) {
                }
                if (sQLiteDatabase != null) {
                }
                c.a(this.mContext).b(str);
                throw th;
            }
        } catch (Exception e6) {
            cursor = null;
            e = e6;
            sQLiteDatabase = null;
            e.printStackTrace();
            if (cursor != null) {
            }
            if (sQLiteDatabase != null) {
            }
            c.a(this.mContext).b(str);
            return arrayList;
        } catch (Throwable th4) {
            th = th4;
            sQLiteDatabase = null;
            if (cursor2 != null) {
                try {
                    cursor2.close();
                } catch (Exception e7) {
                    c.a(this.mContext).b(str);
                    throw th;
                }
            }
            if (sQLiteDatabase != null) {
                sQLiteDatabase.endTransaction();
            }
            c.a(this.mContext).b(str);
            throw th;
        }
        c.a(this.mContext).b(str);
        return arrayList;
    }

    private boolean dbIsExists(String str) {
        try {
            if (new File(b.b(this.mContext, str)).exists()) {
                return true;
            }
            return false;
        } catch (Throwable th) {
            return false;
        }
    }

    /* access modifiers changed from: private */
    public class a implements Serializable {
        int a;
        String b;
        String c;
        String d;
        int e;
        String f;
        String g;
        String h;

        private a() {
        }
    }

    /* access modifiers changed from: private */
    public class ProcessToMainCallback implements FileLockCallback {
        private ProcessToMainCallback() {
        }

        @Override // com.umeng.commonsdk.utils.FileLockCallback
        public boolean onFileLock(String str) {
            if (TextUtils.isEmpty(str)) {
                return true;
            }
            if (str.startsWith(a.c)) {
                str = str.replaceFirst(a.c, "");
            }
            UMProcessDBHelper.this.processToMain(str.replace(a.d, ""));
            return true;
        }

        @Override // com.umeng.commonsdk.utils.FileLockCallback
        public boolean onFileLock(File file, int i) {
            return false;
        }

        @Override // com.umeng.commonsdk.utils.FileLockCallback
        public boolean onFileLock(String str, Object obj) {
            return false;
        }
    }

    public void processDBToMain() {
        try {
            DBFileTraversalUtil.traverseDBFiles(b.a(this.mContext), new ProcessToMainCallback(), new DBFileTraversalUtil.a() {
                /* class com.umeng.analytics.process.UMProcessDBHelper.AnonymousClass1 */

                @Override // com.umeng.analytics.process.DBFileTraversalUtil.a
                public void a() {
                    if (AnalyticsConstants.SUB_PROCESS_EVENT) {
                        UMWorkDispatch.sendEvent(UMProcessDBHelper.this.mContext, UMProcessDBDatasSender.UM_PROCESS_CONSTRUCTMESSAGE, UMProcessDBDatasSender.getInstance(UMProcessDBHelper.this.mContext), null);
                    }
                }
            });
        } catch (Exception e) {
        }
    }

    private int getDataSource() {
        return 0;
    }

    private boolean processIsService(Context context) {
        try {
            if (context.getPackageManager().getServiceInfo(new ComponentName(context, this.mContext.getClass()), 0) != null) {
                return true;
            }
            return false;
        } catch (Exception e) {
        }
    }
}
