package com.umeng.commonsdk.stateless;

import android.content.Context;
import android.text.TextUtils;
import com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher;
import com.tencent.connect.common.Constants;
import com.umeng.analytics.pro.bg;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.statistics.SdkVersion;
import com.umeng.commonsdk.statistics.b;
import com.umeng.commonsdk.statistics.common.DataHelper;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.statistics.common.ULog;
import com.umeng.commonsdk.vchannel.a;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.net.NetWork;
import java.io.File;
import java.io.OutputStream;
import java.net.URL;
import java.security.SecureRandom;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLHandshakeException;
import org.apache.http.conn.ssl.SSLSocketFactory;

/* compiled from: UMSLNetWorkSenderHelper */
public class c {
    private String a = "10.0.0.172";
    private int b = 80;
    private Context c;

    public c(Context context) {
        this.c = context;
    }

    private void a() {
        String imprintProperty = UMEnvelopeBuild.imprintProperty(this.c, "sl_domain_p", "");
        if (!TextUtils.isEmpty(imprintProperty)) {
            a.i = DataHelper.assembleStatelessURL(imprintProperty);
        }
    }

    private void b() {
        String imprintProperty = UMEnvelopeBuild.imprintProperty(this.c, "sl_domain_p", "");
        String imprintProperty2 = UMEnvelopeBuild.imprintProperty(this.c, "oversea_sl_domain_p", "");
        if (!TextUtils.isEmpty(imprintProperty)) {
            a.h = DataHelper.assembleStatelessURL(imprintProperty);
        }
        if (!TextUtils.isEmpty(imprintProperty2)) {
            a.k = DataHelper.assembleStatelessURL(imprintProperty2);
        }
        a.i = a.k;
        if (TextUtils.isEmpty(b.b)) {
            return;
        }
        if (b.b.startsWith("460") || b.b.startsWith("461")) {
            a.i = a.h;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x011c A[SYNTHETIC, Splitter:B:34:0x011c] */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0123  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0133 A[SYNTHETIC, Splitter:B:43:0x0133] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x013a  */
    public boolean a(byte[] bArr, String str, String str2, String str3) {
        HttpsURLConnection httpsURLConnection;
        SSLHandshakeException e;
        Throwable th;
        boolean z = false;
        if (bArr == null || str == null) {
            ULog.i("walle", "[stateless] sendMessage, envelopeByte == null || path == null ");
            return false;
        }
        if (SdkVersion.SDK_TYPE == 0) {
            a();
        } else {
            a.h = a.k;
            b();
        }
        String str4 = a.i;
        if (!a.c.equalsIgnoreCase(str)) {
            str2 = str4;
        }
        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> 无状态收数域名：" + str2);
        OutputStream outputStream = null;
        try {
            httpsURLConnection = (HttpsURLConnection) new URL(str2 + File.separator + str).openConnection();
            try {
                httpsURLConnection.setHostnameVerifier(SSLSocketFactory.STRICT_HOSTNAME_VERIFIER);
                SSLContext instance = SSLContext.getInstance("TLS");
                instance.init(null, null, new SecureRandom());
                httpsURLConnection.setSSLSocketFactory(instance.getSocketFactory());
                httpsURLConnection.setRequestProperty("X-Umeng-UTC", String.valueOf(System.currentTimeMillis()));
                httpsURLConnection.setRequestProperty("Msg-Type", "envelope/json");
                httpsURLConnection.setRequestProperty(NetWork.CONTENT_TYPE, bg.aQ + str3);
                httpsURLConnection.setRequestProperty("SM-IMP", "1");
                httpsURLConnection.setRequestProperty(IWebview.USER_AGENT, DeviceConfig.getCustomAgt());
                httpsURLConnection.setConnectTimeout(HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT);
                httpsURLConnection.setReadTimeout(HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT);
                httpsURLConnection.setRequestMethod(Constants.HTTP_POST);
                httpsURLConnection.setDoOutput(true);
                httpsURLConnection.setDoInput(true);
                httpsURLConnection.setUseCaches(false);
                OutputStream outputStream2 = httpsURLConnection.getOutputStream();
                outputStream2.write(bArr);
                outputStream2.flush();
                httpsURLConnection.connect();
                if (httpsURLConnection.getResponseCode() == 200) {
                    UMRTLog.i(UMRTLog.RTLOG_TAG, "--->>> send stateless message success : " + a.i + "/" + str);
                    z = true;
                }
                if (outputStream2 != null) {
                    try {
                        outputStream2.close();
                    } catch (Exception e2) {
                    }
                }
                if (httpsURLConnection != null) {
                    try {
                        UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> stateless: disconnect connection.");
                        httpsURLConnection.disconnect();
                    } catch (Throwable th2) {
                    }
                }
            } catch (SSLHandshakeException e3) {
                e = e3;
                MLog.e("SSLHandshakeException, Failed to send message.", e);
                if (0 != 0) {
                }
                if (httpsURLConnection != null) {
                }
                return z;
            } catch (Throwable th3) {
                th = th3;
                try {
                    MLog.e("Exception,Failed to send message.", th);
                    if (0 != 0) {
                    }
                    if (httpsURLConnection != null) {
                    }
                    return z;
                } catch (Throwable th4) {
                }
            }
        } catch (SSLHandshakeException e4) {
            e = e4;
            httpsURLConnection = null;
            MLog.e("SSLHandshakeException, Failed to send message.", e);
            if (0 != 0) {
                try {
                    outputStream.close();
                } catch (Exception e5) {
                }
            }
            if (httpsURLConnection != null) {
                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> stateless: disconnect connection.");
                httpsURLConnection.disconnect();
            }
            return z;
        } catch (Throwable th5) {
            th = th5;
            httpsURLConnection = null;
            MLog.e("Exception,Failed to send message.", th);
            if (0 != 0) {
                try {
                    outputStream.close();
                } catch (Exception e6) {
                }
            }
            if (httpsURLConnection != null) {
                UMRTLog.e(UMRTLog.RTLOG_TAG, "--->>> stateless: disconnect connection.");
                httpsURLConnection.disconnect();
            }
            return z;
        }
        return z;
        throw th;
    }
}
