package com.umeng.pagesdk;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.observer.IConfigCallback;
import com.efs.sdk.pa.config.ConfigManager;
import java.util.Map;
import java.util.Random;

public class PageConfigManger {
    public static final String APM_FPSPERF_COLLECT_INTERVAL = "apm_pageperf_collect_interval";
    public static final String APM_FPSPERF_COLLECT_INTERVAL_TOGETHER = "apm_pageperf_collect_interval_together";
    public static final String APM_FPSPERF_COLLECT_MAX_PERIOD_SEC = "apm_pageperf_collect_max_period_sec";
    private final String a = "PageConfigManager";
    private Context b;
    private EfsReporter c;
    private int d = 100;
    private final int e = 0;
    private int f;
    private boolean g = false;

    /* JADX WARNING: Removed duplicated region for block: B:75:0x0145  */
    /* JADX WARNING: Removed duplicated region for block: B:79:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    public PageConfigManger(Context context, EfsReporter efsReporter) {
        SharedPreferences sharedPreferences;
        SharedPreferences.Editor edit;
        SharedPreferences.Editor edit2;
        SharedPreferences.Editor edit3;
        SharedPreferences.Editor edit4;
        SharedPreferences.Editor edit5;
        Context applicationContext = context.getApplicationContext();
        this.b = applicationContext;
        this.c = efsReporter;
        SharedPreferences sharedPreferences2 = applicationContext.getSharedPreferences("efs_page", 0);
        if (sharedPreferences2 != null) {
            this.f = sharedPreferences2.getInt("apm_pageperf_sampling_rate_last", 0);
        }
        SharedPreferences sharedPreferences3 = this.b.getSharedPreferences("efs_page", 0);
        int i = sharedPreferences3 != null ? sharedPreferences3.getInt("apm_pageperf_sampling_rate", -1) : -1;
        this.c.getAllSdkConfig(new String[]{"apm_pageperf_sampling_rate", APM_FPSPERF_COLLECT_INTERVAL, APM_FPSPERF_COLLECT_INTERVAL_TOGETHER, APM_FPSPERF_COLLECT_MAX_PERIOD_SEC}, new IConfigCallback() {
            /* class com.umeng.pagesdk.PageConfigManger.AnonymousClass1 */

            @Override // com.efs.sdk.base.observer.IConfigCallback
            public final void onChange(Map<String, Object> map) {
                SharedPreferences.Editor edit;
                try {
                    SharedPreferences sharedPreferences = PageConfigManger.this.b.getSharedPreferences("efs_page", 0);
                    if (sharedPreferences != null && (edit = sharedPreferences.edit()) != null && map != null) {
                        Object obj = map.get("apm_pageperf_sampling_rate");
                        if (obj != null) {
                            edit.putInt("apm_pageperf_sampling_rate", Integer.parseInt(obj.toString()));
                        }
                        Object obj2 = map.get(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL);
                        if (obj2 != null) {
                            edit.putFloat(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL, Float.parseFloat(obj2.toString()) * 1000.0f);
                        }
                        Object obj3 = map.get(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL_TOGETHER);
                        if (obj3 != null) {
                            edit.putInt(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL_TOGETHER, Integer.parseInt(obj3.toString()));
                        }
                        Object obj4 = map.get(PageConfigManger.APM_FPSPERF_COLLECT_MAX_PERIOD_SEC);
                        if (obj4 != null) {
                            edit.putLong(PageConfigManger.APM_FPSPERF_COLLECT_MAX_PERIOD_SEC, Long.parseLong(obj4.toString()) * 1000);
                        }
                        edit.commit();
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
        if (i != -1) {
            this.d = i;
        }
        SharedPreferences sharedPreferences4 = this.b.getSharedPreferences("efs_page", 0);
        long j = sharedPreferences4 != null ? sharedPreferences4.getLong(ConfigManager.FLAG_PA_FORE_CHECK_TIME, 0) : 0;
        boolean z = sharedPreferences4 != null ? sharedPreferences4.getBoolean(ConfigManager.FLAG_PA_CHECK_IN_STATE, false) : false;
        int i2 = this.d;
        boolean z2 = true;
        if (i2 == 0) {
            if (!(!z || sharedPreferences4 == null || (edit5 = sharedPreferences4.edit()) == null)) {
                edit5.putBoolean(ConfigManager.FLAG_PA_CHECK_IN_STATE, false);
                edit5.commit();
            }
            if (!(j == 0 || sharedPreferences4 == null || (edit4 = sharedPreferences4.edit()) == null)) {
                edit4.putLong(ConfigManager.FLAG_PA_FORE_CHECK_TIME, 0);
                edit4.commit();
            }
        } else {
            boolean z3 = i2 != this.f;
            Long valueOf = Long.valueOf(j);
            int i3 = this.d;
            Long valueOf2 = Long.valueOf(System.currentTimeMillis());
            Long valueOf3 = Long.valueOf(valueOf2.longValue() - valueOf.longValue());
            if (z && valueOf3.longValue() < 86400000 && !z3) {
                if (PageManger.isDebug) {
                    Log.d("PageConfigManager", "check in page rate. check in allready.");
                }
                this.g = z2;
                sharedPreferences = this.b.getSharedPreferences("efs_page", 0);
                if (sharedPreferences == null) {
                    return;
                }
                return;
            } else if (valueOf3.longValue() >= 86400000 || z3) {
                if (!(i3 != 0 && (i3 == 100 || new Random().nextInt(100) <= i3))) {
                    if (PageManger.isDebug) {
                        Log.d("PageConfigManager", "check in page rate. random not check in!");
                    }
                    z2 = false;
                } else if (PageManger.isDebug) {
                    Log.d("PageConfigManager", "check in page rate. random check in");
                }
                SharedPreferences sharedPreferences5 = this.b.getSharedPreferences("efs_page", 0);
                if (!(sharedPreferences5 == null || (edit3 = sharedPreferences5.edit()) == null)) {
                    edit3.putBoolean(ConfigManager.FLAG_PA_CHECK_IN_STATE, z2);
                    edit3.commit();
                }
                if (!(sharedPreferences5 == null || (edit2 = sharedPreferences5.edit()) == null)) {
                    edit2.putLong(ConfigManager.FLAG_PA_FORE_CHECK_TIME, valueOf2.longValue());
                    edit2.commit();
                }
                this.g = z2;
                sharedPreferences = this.b.getSharedPreferences("efs_page", 0);
                if (sharedPreferences == null && (edit = sharedPreferences.edit()) != null) {
                    edit.putInt("apm_pageperf_sampling_rate_last", this.d);
                    edit.commit();
                    return;
                }
                return;
            } else if (PageManger.isDebug) {
                Log.d("PageConfigManager", "check in page rate. un repeat check in 24 hour!");
            }
        }
        z2 = false;
        this.g = z2;
        sharedPreferences = this.b.getSharedPreferences("efs_page", 0);
        if (sharedPreferences == null) {
        }
    }

    public boolean enableTracer() {
        return this.g;
    }
}
