package com.xiaomi.mipush.sdk;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.text.TextUtils;
import com.taobao.weex.el.parse.Operators;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.gh;
import com.xiaomi.push.gl;
import com.xiaomi.push.gu;
import com.xiaomi.push.hh;
import com.xiaomi.push.ht;
import com.xiaomi.push.service.ag;
import com.xiaomi.push.service.bc;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class MiTinyDataClient {
    public static final String PENDING_REASON_APPID = "com.xiaomi.xmpushsdk.tinydataPending.appId";
    public static final String PENDING_REASON_CHANNEL = "com.xiaomi.xmpushsdk.tinydataPending.channel";
    public static final String PENDING_REASON_INIT = "com.xiaomi.xmpushsdk.tinydataPending.init";

    public static class a {
        private static volatile a a;

        /* renamed from: a  reason: collision with other field name */
        private Context f4a;

        /* renamed from: a  reason: collision with other field name */
        private C0136a f5a = new C0136a();

        /* renamed from: a  reason: collision with other field name */
        private Boolean f6a;

        /* renamed from: a  reason: collision with other field name */
        private String f7a;

        /* renamed from: a  reason: collision with other field name */
        private final ArrayList<gl> f8a = new ArrayList<>();

        /* renamed from: com.xiaomi.mipush.sdk.MiTinyDataClient$a$a  reason: collision with other inner class name */
        public class C0136a {

            /* renamed from: a  reason: collision with other field name */
            private final Runnable f9a = new ab(this);

            /* renamed from: a  reason: collision with other field name */
            public final ArrayList<gl> f10a = new ArrayList<>();

            /* renamed from: a  reason: collision with other field name */
            private ScheduledFuture<?> f11a;

            /* renamed from: a  reason: collision with other field name */
            private ScheduledThreadPoolExecutor f12a = new ScheduledThreadPoolExecutor(1);

            public C0136a() {
            }

            private void a() {
                if (this.f11a == null) {
                    this.f11a = this.f12a.scheduleAtFixedRate(this.f9a, 1000, 1000, TimeUnit.MILLISECONDS);
                }
            }

            /* access modifiers changed from: private */
            public void b() {
                gl remove = this.f10a.remove(0);
                for (hh hhVar : bc.a(Arrays.asList(remove), a.this.f4a.getPackageName(), b.m29a(a.this.f4a).m30a(), 30720)) {
                    b.c("MiTinyDataClient Send item by PushServiceClient.sendMessage(XmActionNotification)." + remove.i);
                    ao.a(a.this.f4a).a((ht) hhVar, gh.Notification, true, (gu) null);
                }
            }

            public void a(gl glVar) {
                this.f12a.execute(new aa(this, glVar));
            }
        }

        public static a a() {
            if (a == null) {
                synchronized (a.class) {
                    if (a == null) {
                        a = new a();
                    }
                }
            }
            return a;
        }

        private void a(gl glVar) {
            synchronized (this.f8a) {
                if (!this.f8a.contains(glVar)) {
                    this.f8a.add(glVar);
                    if (this.f8a.size() > 100) {
                        this.f8a.remove(0);
                    }
                }
            }
        }

        private boolean a(Context context) {
            if (!ao.a(context).m22a()) {
                return true;
            }
            try {
                PackageInfo packageInfo = context.getPackageManager().getPackageInfo("com.xiaomi.xmsf", 4);
                return packageInfo != null && packageInfo.versionCode >= 108;
            } catch (Exception e) {
                return false;
            }
        }

        private boolean b(Context context) {
            return b.m29a(context).m30a() == null && !a(this.f4a);
        }

        private boolean b(gl glVar) {
            if (bc.a(glVar, false)) {
                return false;
            }
            if (this.f6a.booleanValue()) {
                b.c("MiTinyDataClient Send item by PushServiceClient.sendTinyData(ClientUploadDataItem)." + glVar.i);
                ao.a(this.f4a).a(glVar);
                return true;
            }
            this.f5a.a(glVar);
            return true;
        }

        /* renamed from: a  reason: collision with other method in class */
        public void m4a(Context context) {
            if (context == null) {
                b.a("context is null, MiTinyDataClientImp.init() failed.");
                return;
            }
            this.f4a = context;
            this.f6a = Boolean.valueOf(a(context));
            b(MiTinyDataClient.PENDING_REASON_INIT);
        }

        public synchronized void a(String str) {
            if (TextUtils.isEmpty(str)) {
                b.a("channel is null, MiTinyDataClientImp.setChannel(String) failed.");
                return;
            }
            this.f7a = str;
            b(MiTinyDataClient.PENDING_REASON_CHANNEL);
        }

        /* renamed from: a  reason: collision with other method in class */
        public boolean m5a() {
            return this.f4a != null;
        }

        /* renamed from: a  reason: collision with other method in class */
        public synchronized boolean m6a(gl glVar) {
            String str;
            boolean z = false;
            if (glVar == null) {
                return false;
            }
            if (bc.a(glVar, true)) {
                return false;
            }
            boolean z2 = TextUtils.isEmpty(glVar.a) && TextUtils.isEmpty(this.f7a);
            boolean z3 = !m5a();
            if (this.f4a == null || b(this.f4a)) {
                z = true;
            }
            if (z3 || z2 || z) {
                if (z2) {
                    str = "MiTinyDataClient Pending " + glVar.c + " reason is com.xiaomi.xmpushsdk.tinydataPending.channel";
                } else if (z3) {
                    str = "MiTinyDataClient Pending " + glVar.c + " reason is com.xiaomi.xmpushsdk.tinydataPending.init";
                } else {
                    if (z) {
                        str = "MiTinyDataClient Pending " + glVar.c + " reason is com.xiaomi.xmpushsdk.tinydataPending.appId";
                    }
                    a(glVar);
                    return true;
                }
                b.c(str);
                a(glVar);
                return true;
            }
            b.c("MiTinyDataClient Send item immediately." + glVar.i);
            if (TextUtils.isEmpty(glVar.i)) {
                glVar.i = ag.a();
            }
            if (TextUtils.isEmpty(glVar.a)) {
                glVar.a = this.f7a;
            }
            if (TextUtils.isEmpty(glVar.h)) {
                glVar.h = this.f4a.getPackageName();
            }
            if (glVar.e <= 0) {
                glVar.b(System.currentTimeMillis());
            }
            return b(glVar);
        }

        public void b(String str) {
            b.c("MiTinyDataClient.processPendingList(" + str + Operators.BRACKET_END_STR);
            ArrayList arrayList = new ArrayList();
            synchronized (this.f8a) {
                arrayList.addAll(this.f8a);
                this.f8a.clear();
            }
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                m6a((gl) it.next());
            }
        }
    }

    public static void init(Context context, String str) {
        if (context == null) {
            b.a("context is null, MiTinyDataClient.init(Context, String) failed.");
            return;
        }
        a.a().m4a(context);
        if (TextUtils.isEmpty(str)) {
            b.a("channel is null or empty, MiTinyDataClient.init(Context, String) failed.");
        } else {
            a.a().a(str);
        }
    }

    public static boolean upload(Context context, gl glVar) {
        b.c("MiTinyDataClient.upload " + glVar.i);
        if (!a.a().m5a()) {
            a.a().m4a(context);
        }
        return a.a().m6a(glVar);
    }

    public static boolean upload(Context context, String str, String str2, long j, String str3) {
        gl glVar = new gl();
        glVar.g = str;
        glVar.c = str2;
        glVar.a(j);
        glVar.b = str3;
        glVar.a(true);
        glVar.a = "push_sdk_channel";
        return upload(context, glVar);
    }

    public static boolean upload(String str, String str2, long j, String str3) {
        gl glVar = new gl();
        glVar.g = str;
        glVar.c = str2;
        glVar.a(j);
        glVar.b = str3;
        return a.a().m6a(glVar);
    }
}
