package com.xiaomi.push;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Build;
import android.os.Bundle;
import android.service.notification.StatusBarNotification;
import android.text.TextUtils;
import android.widget.RemoteViews;
import com.taobao.weex.common.Constants;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.service.aa;
import com.xiaomi.push.service.ab;
import com.xiaomi.push.service.o;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public abstract class dr extends dp {
    private int a;
    private String b;
    RemoteViews d;
    public boolean e;
    protected Bitmap f;
    protected CharSequence g;
    protected CharSequence h;
    protected Map<String, String> i;
    private boolean j;
    private ArrayList<Notification.Action> k;
    private int l;

    public dr(Context context, int i2, String str) {
        super(context);
        this.k = new ArrayList<>();
        boolean z = false;
        this.l = 0;
        this.b = str;
        this.a = i2;
        Resources resources = this.c.getResources();
        if (f() && g()) {
            z = true;
        }
        this.j = z;
        int a2 = a(resources, z ? b() : a(), Constants.Name.LAYOUT, this.c.getPackageName());
        if (a2 != 0) {
            this.d = new RemoteViews(this.c.getPackageName(), a2);
            this.e = c();
            return;
        }
        b.a("create RemoteViews failed, no such layout resource was found");
    }

    public dr(Context context, String str) {
        this(context, 0, str);
    }

    /* access modifiers changed from: private */
    /* renamed from: a */
    public dr addAction(Notification.Action action) {
        if (action != null) {
            this.k.add(action);
        }
        this.l++;
        return this;
    }

    protected static Bitmap b(Bitmap bitmap) {
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        paint.setAntiAlias(true);
        Rect rect = new Rect(0, 0, bitmap.getWidth(), bitmap.getHeight());
        canvas.drawRoundRect(new RectF(rect), 30.0f, 30.0f, paint);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC_IN));
        canvas.drawBitmap(bitmap, rect, rect, paint);
        if (!bitmap.isRecycled()) {
            bitmap.recycle();
        }
        return createBitmap;
    }

    protected static boolean b(int i2) {
        return ((((double) Color.red(i2)) * 0.299d) + (((double) Color.green(i2)) * 0.587d)) + (((double) Color.blue(i2)) * 0.114d) < 192.0d;
    }

    private boolean f() {
        return !TextUtils.isEmpty(b()) && !TextUtils.isEmpty(this.b);
    }

    private boolean g() {
        List<StatusBarNotification> c;
        if (Build.VERSION.SDK_INT >= 20 && (c = aa.a(this.c, this.b).c()) != null && !c.isEmpty()) {
            Iterator<StatusBarNotification> it = c.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                StatusBarNotification next = it.next();
                if (next.getId() == this.a) {
                    Notification notification = next.getNotification();
                    if (notification != null && !notification.extras.getBoolean("mipush.customCopyLayout", true)) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public final int a(float f2) {
        return (int) ((f2 * this.c.getResources().getDisplayMetrics().density) + 0.5f);
    }

    @Override // com.xiaomi.push.dp
    public final dp a(Map<String, String> map) {
        this.i = map;
        return this;
    }

    /* renamed from: a */
    public final dr addAction(int i2, CharSequence charSequence, PendingIntent pendingIntent) {
        addAction(new Notification.Action(i2, charSequence, pendingIntent));
        return this;
    }

    /* renamed from: a */
    public dr setLargeIcon(Bitmap bitmap) {
        this.f = bitmap;
        return this;
    }

    /* access modifiers changed from: protected */
    public abstract String a();

    /* access modifiers changed from: protected */
    public final void a(int i2) {
        Bitmap a2 = o.a(ez.h(this.c, this.b));
        if (a2 != null) {
            this.d.setImageViewBitmap(i2, a2);
            return;
        }
        int g2 = ez.g(this.c, this.b);
        if (g2 != 0) {
            this.d.setImageViewResource(i2, g2);
        }
    }

    /* access modifiers changed from: protected */
    public abstract String b();

    /* access modifiers changed from: protected */
    public abstract boolean c();

    /* access modifiers changed from: protected */
    @Override // com.xiaomi.push.dp
    public void d() {
        super.d();
        Bundle bundle = new Bundle();
        boolean z = false;
        if (f()) {
            bundle.putBoolean("mipush.customCopyLayout", this.j);
        } else {
            bundle.putBoolean("mipush.customCopyLayout", false);
        }
        bundle.putBoolean("miui.customHeight", false);
        bundle.putBoolean("mipush.customNotification", true);
        bundle.putInt("mipush.customLargeIconId", dp.a(this.c.getResources(), "large_icon", "id", this.c.getPackageName()));
        if (this.k.size() > 0) {
            Notification.Action[] actionArr = new Notification.Action[this.k.size()];
            this.k.toArray(actionArr);
            bundle.putParcelableArray("mipush.customActions", actionArr);
        }
        Map<String, String> map = this.i;
        if (map != null && Boolean.parseBoolean(map.get("custom_builder_set_title"))) {
            z = true;
        }
        if (z || !ab.a(this.c.getContentResolver())) {
            super.setContentTitle(this.g);
            super.setContentText(this.h);
        } else {
            bundle.putCharSequence("mipush.customTitle", this.g);
            bundle.putCharSequence("mipush.customContent", this.h);
        }
        addExtras(bundle);
    }

    /* access modifiers changed from: protected */
    public final void e() {
        super.setContentTitle(this.g);
        super.setContentText(this.h);
        Bitmap bitmap = this.f;
        if (bitmap != null) {
            super.setLargeIcon(bitmap);
        }
    }

    public /* synthetic */ Notification.Builder setContentText(CharSequence charSequence) {
        this.h = charSequence;
        return this;
    }

    public /* synthetic */ Notification.Builder setContentTitle(CharSequence charSequence) {
        this.g = charSequence;
        return this;
    }
}
