package com.xiaomi.push.service;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.Icon;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.service.notification.StatusBarNotification;
import android.text.TextUtils;
import android.util.Pair;
import android.widget.RemoteViews;
import com.autonavi.amap.mapcore.AMapEngineUtils;
import com.baidu.speech.utils.analysis.Analysis;
import com.taobao.weex.common.Constants;
import com.xiaomi.push.Cdo;
import com.xiaomi.push.ah;
import com.xiaomi.push.dn;
import com.xiaomi.push.dp;
import com.xiaomi.push.dq;
import com.xiaomi.push.ez;
import com.xiaomi.push.gh;
import com.xiaomi.push.gu;
import com.xiaomi.push.he;
import com.xiaomi.push.ib;
import com.xiaomi.push.iy;
import com.xiaomi.push.k;
import com.xiaomi.push.service.z;
import io.dcloud.common.adapter.util.DeviceInfo;
import java.lang.reflect.Method;
import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import org.json.JSONException;
import org.json.JSONObject;

public final class o {
    public static long a = 0;
    private static final LinkedList<Pair<Integer, he>> b = new LinkedList<>();
    private static ExecutorService c = Executors.newCachedThreadPool();
    private static volatile w d;

    /* access modifiers changed from: package-private */
    public static class a implements Callable<Bitmap> {
        private String a;
        private Context b;
        private boolean c;

        public a(String str, Context context, boolean z) {
            this.b = context;
            this.a = str;
            this.c = z;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // java.util.concurrent.Callable
        public final /* synthetic */ Bitmap call() {
            if (TextUtils.isEmpty(this.a)) {
                com.xiaomi.channel.commonutils.logger.b.a("Failed get online picture/icon resource cause picUrl is empty");
                return null;
            } else if (this.a.startsWith("http")) {
                return z.a(this.b, this.a, this.c).a;
            } else {
                Bitmap a2 = z.a(this.b, this.a);
                if (a2 != null) {
                    return a2;
                }
                com.xiaomi.channel.commonutils.logger.b.a("Failed get online picture/icon resource");
                return a2;
            }
        }
    }

    public static class b {
        Notification a;
        long b = 0;
    }

    public static class c {
        public String a;
        public long b = 0;
        public boolean c = false;
    }

    private static int a(Context context, String str, String str2) {
        if (str.equals(context.getPackageName())) {
            return context.getResources().getIdentifier(str2, "drawable", str);
        }
        return 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x009c  */
    private static PendingIntent a(Context context, he heVar, String str, byte[] bArr, int i, int i2, boolean z) {
        Intent intent;
        int i3 = d(heVar) ? 1000 : b(heVar) ? 3000 : -1;
        gu guVar = heVar.h;
        String str2 = guVar != null ? guVar.a : "";
        boolean b2 = b(heVar);
        if (guVar == null || TextUtils.isEmpty(guVar.g)) {
            if (b2) {
                intent.setComponent(new ComponentName("com.xiaomi.xmsf", "com.xiaomi.mipush.sdk.PushMessageHandler"));
            } else {
                intent = new Intent("com.xiaomi.mipush.RECEIVE_MESSAGE");
                intent.setComponent(new ComponentName(str, "com.xiaomi.mipush.sdk.PushMessageHandler"));
            }
            intent.putExtra("mipush_payload", bArr);
            intent.putExtra("mipush_notified", true);
            intent.addCategory(String.valueOf(i));
            intent.addCategory(String.valueOf(str2));
            intent.putExtra("notification_click_button", i2);
            intent.putExtra("messageId", str2);
            intent.putExtra("eventMessageType", i3);
            if (b2 || !z) {
                a(context, intent, heVar, guVar, str2, i2);
                return Build.VERSION.SDK_INT >= 31 ? PendingIntent.getService(context, 0, intent, 167772160) : PendingIntent.getService(context, 0, intent, AMapEngineUtils.HALF_MAX_P20_WIDTH);
            }
            Intent intent2 = new Intent();
            intent2.setComponent(a(str));
            intent2.addFlags(276824064);
            intent2.putExtra("mipush_serviceIntent", intent);
            intent2.addCategory(String.valueOf(i));
            intent2.addCategory(String.valueOf(str2));
            intent2.addCategory(String.valueOf(i2));
            a(context, intent2, heVar, guVar, str2, i2);
            try {
                Method declaredMethod = intent2.getClass().getDeclaredMethod("addMiuiFlags", Integer.TYPE);
                declaredMethod.setAccessible(true);
                declaredMethod.invoke(intent2, 2);
            } catch (Exception e) {
                com.xiaomi.channel.commonutils.logger.b.b("insert flags error ".concat(String.valueOf(e)));
            }
            return Build.VERSION.SDK_INT >= 31 ? PendingIntent.getActivity(context, 0, intent2, 167772160) : PendingIntent.getActivity(context, 0, intent2, AMapEngineUtils.HALF_MAX_P20_WIDTH);
        }
        Intent intent3 = new Intent("android.intent.action.VIEW");
        intent3.setData(Uri.parse(guVar.g));
        try {
            String protocol = new URL(guVar.g).getProtocol();
            if (!"http".equals(protocol)) {
                if (!"https".equals(protocol)) {
                    intent3.setPackage(str);
                    intent3.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
                    intent3.putExtra("messageId", str2);
                    intent3.putExtra("eventMessageType", i3);
                    return Build.VERSION.SDK_INT < 31 ? PendingIntent.getActivity(context, 0, intent3, 167772160) : PendingIntent.getActivity(context, 0, intent3, AMapEngineUtils.HALF_MAX_P20_WIDTH);
                }
            }
            ab.a(context, str, intent3);
        } catch (MalformedURLException e2) {
            com.xiaomi.channel.commonutils.logger.b.a("meet URL exception : " + guVar.g);
            intent3.setPackage(str);
        }
        intent3.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
        intent3.putExtra("messageId", str2);
        intent3.putExtra("eventMessageType", i3);
        if (Build.VERSION.SDK_INT < 31) {
        }
    }

    private static PendingIntent a(Context context, String str, he heVar, byte[] bArr, int i, int i2) {
        Map<String, String> map = heVar.h.j;
        if (map == null) {
            return null;
        }
        boolean a2 = a(context, heVar, str);
        if (a2) {
            return a(context, heVar, str, bArr, i, i2, a2);
        }
        Intent c2 = c(context, str, map, i2);
        if (c2 == null) {
            return null;
        }
        return PendingIntent.getActivity(context, 0, c2, Build.VERSION.SDK_INT >= 31 ? 167772160 : AMapEngineUtils.HALF_MAX_P20_WIDTH);
    }

    private static ComponentName a(String str) {
        return new ComponentName(str, "com.xiaomi.mipush.sdk.NotificationClickedActivity");
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x013c  */
    public static Intent a(Context context, String str, Map<String, String> map, int i) {
        Intent intent;
        String str2;
        MalformedURLException e;
        Intent intent2;
        Intent intent3;
        URISyntaxException e2;
        if (map == null) {
            return null;
        }
        if (i != 0) {
            return c(context, str, map, i);
        }
        if (!map.containsKey("notify_effect")) {
            return null;
        }
        String str3 = map.get("notify_effect");
        int i2 = -1;
        String str4 = map.get("intent_flag");
        try {
            if (!TextUtils.isEmpty(str4)) {
                i2 = Integer.parseInt(str4);
            }
        } catch (NumberFormatException e3) {
            com.xiaomi.channel.commonutils.logger.b.d("Cause by intent_flag: " + e3.getMessage());
        }
        if (an.a.equals(str3)) {
            try {
                intent = context.getPackageManager().getLaunchIntentForPackage(str);
            } catch (Exception e4) {
                com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e4.getMessage());
            }
        } else {
            if (an.b.equals(str3)) {
                if (map.containsKey("intent_uri")) {
                    String str5 = map.get("intent_uri");
                    if (str5 != null) {
                        try {
                            intent3 = Intent.parseUri(str5, 1);
                            try {
                                intent3.setPackage(str);
                            } catch (URISyntaxException e5) {
                                e2 = e5;
                                com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e2.getMessage());
                                intent = intent3;
                                if (intent != null) {
                                }
                                return null;
                            }
                        } catch (URISyntaxException e6) {
                            e2 = e6;
                            intent3 = null;
                            com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e2.getMessage());
                            intent = intent3;
                            if (intent != null) {
                            }
                            return null;
                        }
                        intent = intent3;
                    }
                } else if (map.containsKey("class_name")) {
                    intent2 = new Intent();
                    intent2.setComponent(new ComponentName(str, map.get("class_name")));
                }
                intent = null;
            } else {
                if (an.c.equals(str3) && (str2 = map.get("web_uri")) != null) {
                    String trim = str2.trim();
                    if (!trim.startsWith(DeviceInfo.HTTP_PROTOCOL) && !trim.startsWith(DeviceInfo.HTTPS_PROTOCOL)) {
                        trim = DeviceInfo.HTTP_PROTOCOL.concat(String.valueOf(trim));
                    }
                    try {
                        String protocol = new URL(trim).getProtocol();
                        if ("http".equals(protocol) || "https".equals(protocol)) {
                            intent2 = new Intent("android.intent.action.VIEW");
                            try {
                                intent2.setData(Uri.parse(trim));
                                ab.a(context, str, intent2);
                            } catch (MalformedURLException e7) {
                                e = e7;
                            }
                        }
                    } catch (MalformedURLException e8) {
                        e = e8;
                        intent2 = null;
                        com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e.getMessage());
                        intent = intent2;
                        if (intent != null) {
                        }
                        return null;
                    }
                }
                intent = null;
            }
            intent = intent2;
        }
        if (intent != null) {
            if (i2 >= 0) {
                intent.setFlags(i2);
            }
            if (intent != null) {
                int flags = intent.getFlags() & -2 & -3 & -65;
                if (Build.VERSION.SDK_INT >= 21) {
                    flags &= -129;
                }
                intent.setFlags(flags);
            }
            intent.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
            try {
                if (context.getPackageManager().resolveActivity(intent, 65536) != null) {
                    return intent;
                }
                if (Build.VERSION.SDK_INT >= 30 && !ib.a(context) && an.c.equals(str3)) {
                    return intent;
                }
                com.xiaomi.channel.commonutils.logger.b.a("not resolve activity:".concat(String.valueOf(intent)));
            } catch (Exception e9) {
                com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e9.getMessage());
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:52:0x0103  */
    private static Intent a(Context context, String str, Map<String, String> map, String str2, String str3, String str4, String str5) {
        Intent intent;
        Intent intent2;
        MalformedURLException e;
        Intent intent3;
        URISyntaxException e2;
        String str6 = map.get(str2);
        if (TextUtils.isEmpty(str6)) {
            return null;
        }
        if (an.a.equals(str6)) {
            try {
                intent = context.getPackageManager().getLaunchIntentForPackage(str);
            } catch (Exception e3) {
                com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e3.getMessage());
            }
        } else {
            if (an.b.equals(str6)) {
                if (map.containsKey(str3)) {
                    String str7 = map.get(str3);
                    if (str7 != null) {
                        try {
                            intent3 = Intent.parseUri(str7, 1);
                            try {
                                intent3.setPackage(str);
                            } catch (URISyntaxException e4) {
                                e2 = e4;
                                com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e2.getMessage());
                                intent = intent3;
                                if (intent != null) {
                                }
                                return null;
                            }
                        } catch (URISyntaxException e5) {
                            e2 = e5;
                            intent3 = null;
                            com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e2.getMessage());
                            intent = intent3;
                            if (intent != null) {
                            }
                            return null;
                        }
                        intent = intent3;
                    }
                } else if (map.containsKey(str4)) {
                    intent2 = new Intent();
                    intent2.setComponent(new ComponentName(str, map.get(str4)));
                }
                intent = null;
            } else {
                if (an.c.equals(str6)) {
                    String str8 = map.get(str5);
                    if (!TextUtils.isEmpty(str8)) {
                        String trim = str8.trim();
                        if (!trim.startsWith(DeviceInfo.HTTP_PROTOCOL) && !trim.startsWith(DeviceInfo.HTTPS_PROTOCOL)) {
                            trim = DeviceInfo.HTTP_PROTOCOL.concat(String.valueOf(trim));
                        }
                        try {
                            String protocol = new URL(trim).getProtocol();
                            if ("http".equals(protocol) || "https".equals(protocol)) {
                                intent2 = new Intent("android.intent.action.VIEW");
                                try {
                                    intent2.setData(Uri.parse(trim));
                                    ab.a(context, str, intent2);
                                } catch (MalformedURLException e6) {
                                    e = e6;
                                }
                            }
                        } catch (MalformedURLException e7) {
                            e = e7;
                            intent2 = null;
                            com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e.getMessage());
                            intent = intent2;
                            if (intent != null) {
                            }
                            return null;
                        }
                    }
                }
                intent = null;
            }
            intent = intent2;
        }
        if (intent != null) {
            intent.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
            try {
                if (context.getPackageManager().resolveActivity(intent, 65536) != null) {
                    return intent;
                }
                if (Build.VERSION.SDK_INT >= 30 && !ib.a(context) && an.c.equals(str6)) {
                    return intent;
                }
                com.xiaomi.channel.commonutils.logger.b.a("not resolve activity:" + intent + "for buttons");
            } catch (Exception e8) {
                com.xiaomi.channel.commonutils.logger.b.d("Cause: " + e8.getMessage());
            }
        }
        return null;
    }

    private static Bitmap a(Context context, int i) {
        return a(context.getResources().getDrawable(i));
    }

    /* JADX INFO: finally extract failed */
    private static Bitmap a(Context context, String str, boolean z) {
        Future submit = c.submit(new a(str, context, z));
        try {
            Bitmap bitmap = (Bitmap) submit.get(180, TimeUnit.SECONDS);
            if (bitmap != null) {
                return bitmap;
            }
            submit.cancel(true);
            return bitmap;
        } catch (InterruptedException | ExecutionException | TimeoutException e) {
            com.xiaomi.channel.commonutils.logger.b.a(e);
            submit.cancel(true);
            return null;
        } catch (Throwable th) {
            submit.cancel(true);
            throw th;
        }
    }

    public static Bitmap a(Drawable drawable) {
        if (drawable instanceof BitmapDrawable) {
            return ((BitmapDrawable) drawable).getBitmap();
        }
        int intrinsicWidth = drawable.getIntrinsicWidth();
        int i = 1;
        if (intrinsicWidth <= 0) {
            intrinsicWidth = 1;
        }
        int intrinsicHeight = drawable.getIntrinsicHeight();
        if (intrinsicHeight > 0) {
            i = intrinsicHeight;
        }
        Bitmap createBitmap = Bitmap.createBitmap(intrinsicWidth, i, Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        drawable.setBounds(0, 0, canvas.getWidth(), canvas.getHeight());
        drawable.draw(canvas);
        return createBitmap;
    }

    private static RemoteViews a(Context context, he heVar) {
        gu guVar = heVar.h;
        String a2 = a(heVar);
        if (!(guVar == null || guVar.j == null)) {
            Map<String, String> map = guVar.j;
            String str = map.get("layout_name");
            String str2 = map.get("layout_value");
            if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
                try {
                    Resources resourcesForApplication = context.getPackageManager().getResourcesForApplication(a2);
                    int identifier = resourcesForApplication.getIdentifier(str, Constants.Name.LAYOUT, a2);
                    if (identifier == 0) {
                        return null;
                    }
                    RemoteViews remoteViews = new RemoteViews(a2, identifier);
                    try {
                        JSONObject jSONObject = new JSONObject(str2);
                        if (jSONObject.has("text")) {
                            JSONObject jSONObject2 = jSONObject.getJSONObject("text");
                            Iterator<String> keys = jSONObject2.keys();
                            while (keys.hasNext()) {
                                String next = keys.next();
                                String string = jSONObject2.getString(next);
                                int identifier2 = resourcesForApplication.getIdentifier(next, "id", a2);
                                if (identifier2 > 0) {
                                    remoteViews.setTextViewText(identifier2, string);
                                }
                            }
                        }
                        if (jSONObject.has("image")) {
                            JSONObject jSONObject3 = jSONObject.getJSONObject("image");
                            Iterator<String> keys2 = jSONObject3.keys();
                            while (keys2.hasNext()) {
                                String next2 = keys2.next();
                                String string2 = jSONObject3.getString(next2);
                                int identifier3 = resourcesForApplication.getIdentifier(next2, "id", a2);
                                int identifier4 = resourcesForApplication.getIdentifier(string2, "drawable", a2);
                                if (identifier3 > 0) {
                                    remoteViews.setImageViewResource(identifier3, identifier4);
                                }
                            }
                        }
                        if (jSONObject.has(Constants.Value.TIME)) {
                            JSONObject jSONObject4 = jSONObject.getJSONObject(Constants.Value.TIME);
                            Iterator<String> keys3 = jSONObject4.keys();
                            while (keys3.hasNext()) {
                                String next3 = keys3.next();
                                String string3 = jSONObject4.getString(next3);
                                if (string3.length() == 0) {
                                    string3 = "yy-MM-dd hh:mm";
                                }
                                int identifier5 = resourcesForApplication.getIdentifier(next3, "id", a2);
                                if (identifier5 > 0) {
                                    remoteViews.setTextViewText(identifier5, new SimpleDateFormat(string3).format(new Date(System.currentTimeMillis())));
                                }
                            }
                        }
                        return remoteViews;
                    } catch (JSONException e) {
                        com.xiaomi.channel.commonutils.logger.b.a(e);
                        return null;
                    }
                } catch (PackageManager.NameNotFoundException e2) {
                    com.xiaomi.channel.commonutils.logger.b.a(e2);
                }
            }
        }
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v62, resolved type: android.graphics.Bitmap */
    /* JADX DEBUG: Multi-variable search result rejected for r4v16, resolved type: int */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v19 */
    /* JADX WARN: Type inference failed for: r4v20 */
    /* JADX WARNING: Code restructure failed: missing block: B:116:0x0307, code lost:
        if (r1 > 0) goto L_0x02f2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x007f, code lost:
        if (android.text.TextUtils.isEmpty(r3) == false) goto L_0x0081;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x005c, code lost:
        if (android.text.TextUtils.isEmpty(r3) == false) goto L_0x0081;
     */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x02c5  */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x02cd  */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x02eb  */
    /* JADX WARNING: Removed duplicated region for block: B:113:0x02fe  */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x0310  */
    /* JADX WARNING: Removed duplicated region for block: B:133:0x038a  */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x03a4  */
    /* JADX WARNING: Removed duplicated region for block: B:143:0x03b0  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x03b6  */
    /* JADX WARNING: Removed duplicated region for block: B:148:0x03be  */
    /* JADX WARNING: Removed duplicated region for block: B:149:0x03c1  */
    /* JADX WARNING: Removed duplicated region for block: B:151:0x03d0  */
    /* JADX WARNING: Removed duplicated region for block: B:154:0x03d7  */
    /* JADX WARNING: Removed duplicated region for block: B:179:0x048b  */
    /* JADX WARNING: Removed duplicated region for block: B:192:0x04e0  */
    /* JADX WARNING: Removed duplicated region for block: B:195:0x04ec  */
    /* JADX WARNING: Removed duplicated region for block: B:255:0x069a  */
    /* JADX WARNING: Removed duplicated region for block: B:276:0x0728  */
    private static b a(Context context, he heVar, byte[] bArr, RemoteViews remoteViews, PendingIntent pendingIntent, int i) {
        Object obj;
        String str;
        String str2;
        gu guVar;
        String str3;
        dp dpVar;
        dq dqVar;
        Map<String, String> map;
        String str4;
        String a2;
        String a3;
        boolean z;
        Bitmap a4;
        boolean z2;
        boolean z3;
        String str5;
        boolean z4;
        long currentTimeMillis;
        boolean z5;
        b bVar;
        int i2;
        gu guVar2;
        Object a5;
        char c2;
        int i3;
        boolean z6;
        Bitmap bitmap;
        int i4;
        Object obj2;
        StringBuilder sb;
        String str6;
        String str7;
        b bVar2 = new b();
        gu guVar3 = heVar.h;
        String a6 = a(heVar);
        Map<String, String> map2 = guVar3.j;
        String str8 = guVar3.d;
        String str9 = guVar3.e;
        Map<String, String> map3 = guVar3.j;
        if (map3 != null) {
            int intValue = Float.valueOf((((float) context.getResources().getDisplayMetrics().widthPixels) / context.getResources().getDisplayMetrics().density) + 0.5f).intValue();
            if (intValue <= 320) {
                String str10 = map3.get("title_short");
                if (!TextUtils.isEmpty(str10)) {
                    str8 = str10;
                }
                str7 = map3.get("description_short");
            } else if (intValue > 360) {
                String str11 = map3.get("title_long");
                if (!TextUtils.isEmpty(str11)) {
                    str8 = str11;
                }
                str7 = map3.get("description_long");
            }
            str9 = str7;
        }
        String[] strArr = {str8, str9};
        if (remoteViews != null) {
            dpVar = new dp(context);
            dpVar.setCustomContentView(remoteViews);
        } else if (map2 == null || !map2.containsKey("notification_style_type")) {
            obj = "notification_style_type";
            str = "4";
            str2 = "3";
            guVar = guVar3;
            str3 = null;
            dpVar = new dp(context);
            a(dpVar, context, heVar.f, heVar, bArr, i);
            dpVar.setContentTitle(strArr[0]);
            dpVar.setContentText(strArr[1]);
            long currentTimeMillis2 = System.currentTimeMillis();
            dpVar.setWhen(currentTimeMillis2);
            a2 = a(map2, "notification_show_when");
            if (!TextUtils.isEmpty(a2)) {
                dpVar.setShowWhen(Boolean.parseBoolean(a2));
            } else if (Build.VERSION.SDK_INT >= 24) {
                dpVar.setShowWhen(true);
            }
            dpVar.setContentIntent(pendingIntent);
            int a7 = a(context, a6, "mipush_small_notification");
            int a8 = a(context, a6, "mipush_notification");
            if (ib.a(context)) {
                if (a7 <= 0 || a8 <= 0) {
                    a(context, a6, dpVar, map2);
                    if (Build.VERSION.SDK_INT >= 23) {
                        if (map2 == null) {
                            obj2 = str3;
                            i4 = 1;
                        } else {
                            i4 = 1;
                            obj2 = a(context, map2.get("notification_small_icon_uri"), true);
                        }
                        if (obj2 != null) {
                            Object[] objArr = new Object[i4];
                            objArr[0] = obj2;
                            Object a9 = ah.a("android.graphics.drawable.Icon", "createWithBitmap", objArr);
                            if (a9 != null) {
                                Object[] objArr2 = new Object[i4];
                                objArr2[0] = a9;
                                ah.a((Object) dpVar, "setSmallIcon", objArr2);
                                Bundle bundle = new Bundle();
                                bundle.putBoolean("miui.isGrayscaleIcon", i4);
                                dpVar.addExtras(bundle);
                                dpVar.a(a(map2, "notification_small_icon_color"));
                            } else {
                                sb = new StringBuilder("failed te get small icon with url:");
                                str6 = map2.get("notification_small_icon_uri");
                            }
                        } else {
                            sb = new StringBuilder("failed to get small icon url:");
                            str6 = a(map2, "notification_small_icon_uri");
                        }
                        sb.append(str6);
                        com.xiaomi.channel.commonutils.logger.b.a(sb.toString());
                        dpVar.a(a(map2, "notification_small_icon_color"));
                    }
                    a3 = a(map2, "__dynamic_icon_uri");
                    boolean z7 = !Boolean.parseBoolean(a(map2, "__adiom")) || !ib.a();
                    if (!TextUtils.isEmpty(a3) && z7) {
                        if (!a3.startsWith("http")) {
                            z.b a10 = z.a(context, a3, true);
                            bitmap = a10.a;
                            bVar2.b = a10.b;
                        } else {
                            bitmap = z.a(context, a3);
                        }
                        if (bitmap != null) {
                            dpVar.setLargeIcon(bitmap);
                            z = true;
                            a4 = map2 == null ? str3 : a(context, map2.get("notification_large_icon_uri"), true);
                            if (a4 != null) {
                                dpVar.setLargeIcon(a4);
                            }
                            if (map2 != null || Build.VERSION.SDK_INT < 24) {
                                str5 = str3;
                                z4 = false;
                                z3 = false;
                                z2 = true;
                            } else {
                                String str12 = map2.get("notification_group");
                                boolean parseBoolean = Boolean.parseBoolean(map2.get("notification_is_summary"));
                                boolean parseBoolean2 = Boolean.parseBoolean(map2.get("notification_group_disable_default"));
                                if (TextUtils.isEmpty(str12) && (ib.a() || !parseBoolean2)) {
                                    str12 = a(heVar);
                                }
                                ah.a((Object) dpVar, "setGroupSummary", Boolean.valueOf(parseBoolean));
                                String str13 = map2.get(obj);
                                if (!"com.xiaomi.xmsf".equals(context.getPackageName()) || (!str.equals(str13) && !str2.equals(str13))) {
                                    z3 = false;
                                } else {
                                    str12 = a(heVar) + "_custom_" + currentTimeMillis2;
                                    z3 = true;
                                }
                                z2 = true;
                                str5 = str12;
                                z4 = parseBoolean;
                            }
                            dpVar.setAutoCancel(z2);
                            currentTimeMillis = System.currentTimeMillis();
                            if (map2 != null && map2.containsKey("ticker")) {
                                dpVar.setTicker(map2.get("ticker"));
                            }
                            if (currentTimeMillis - a > 10000) {
                                a = currentTimeMillis;
                                guVar2 = guVar;
                                i2 = guVar2.f;
                                if (d(context, a6)) {
                                    i2 = context.getSharedPreferences("pref_notify_type", 0).getInt(a6, Integer.MAX_VALUE);
                                }
                                dpVar.setDefaults(i2);
                                if (!(map2 == null || (i2 & 1) == 0)) {
                                    String str14 = map2.get("sound_uri");
                                    if (!TextUtils.isEmpty(str14)) {
                                        bVar = bVar2;
                                        z5 = z;
                                        if (str14.startsWith("android.resource://".concat(String.valueOf(a6)))) {
                                            dpVar.setDefaults(i2 ^ 1);
                                            dpVar.setSound(Uri.parse(str14));
                                        }
                                    }
                                }
                                z5 = z;
                                bVar = bVar2;
                            } else {
                                z5 = z;
                                bVar = bVar2;
                                guVar2 = guVar;
                                i2 = -100;
                            }
                            if (map2 == null && Build.VERSION.SDK_INT >= 26) {
                                aa a11 = aa.a(context, a6);
                                int c3 = c(map2);
                                if (c3 > 0) {
                                    ah.a((Object) dpVar, "setTimeoutAfter", Long.valueOf((long) (c3 * 1000)));
                                }
                                x.a(guVar2);
                                String str15 = map2.get("channel_id");
                                if (!TextUtils.isEmpty(str15) || context.getApplicationInfo().targetSdkVersion >= 26) {
                                    String f = (map2 == null || TextUtils.isEmpty(map2.get("channel_name"))) ? ez.f(context, a6) : map2.get("channel_name");
                                    int d2 = d(map2);
                                    int i5 = guVar2.f;
                                    String str16 = map2.get("channel_description");
                                    String str17 = map2.get("sound_uri");
                                    String str18 = map2.get("channel_perm");
                                    if (!(map2 == null || dpVar == null || !ib.a(context))) {
                                        String str19 = map2.get("notification_top_repeat");
                                        if (!TextUtils.isEmpty(str19)) {
                                            z6 = Boolean.parseBoolean(str19);
                                            com.xiaomi.channel.commonutils.logger.b.c("top notification' repeat is ".concat(String.valueOf(z6)));
                                        } else {
                                            z6 = false;
                                        }
                                        if (z6) {
                                            int max = Math.max(0, iy.a(map2.get("notification_top_period"), 0));
                                            int max2 = Math.max(0, iy.a(map2.get("notification_top_frequency"), 0));
                                            if (max <= 0 || max2 > max) {
                                                com.xiaomi.channel.commonutils.logger.b.d("set top notification failed - period:" + max + " frequency:" + max2);
                                            } else {
                                                dpVar.setPriority(2);
                                                Bundle bundle2 = new Bundle();
                                                bundle2.putLong("mipush_org_when", currentTimeMillis2);
                                                bundle2.putBoolean("mipush_n_top_flag", true);
                                                if (max2 > 0) {
                                                    bundle2.putInt("mipush_n_top_fre", max2);
                                                }
                                                bundle2.putInt("mipush_n_top_prd", max);
                                                dpVar.addExtras(bundle2);
                                            }
                                        }
                                    }
                                    ah.a((Object) dpVar, "setChannelId", x.a(a11, str15, f, str16, i5, d2, str17, str18));
                                    if (i2 == -100 && ab.a(map2)) {
                                        ab.a(dpVar, z4);
                                    }
                                    if ("pulldown".equals(ab.a((Object) map2)) && ab.a(map2) && Objects.equals(map2.get("pull_down_pop_type"), "0")) {
                                        ab.a(dpVar, z4);
                                    }
                                    if (Analysis.Item.TYPE_TTS.equals(ab.a((Object) map2)) && ab.a(map2)) {
                                        ab.a(dpVar, z4);
                                    }
                                }
                                String str20 = map2.get("background_color");
                                if (!TextUtils.isEmpty(str20)) {
                                    try {
                                        int parseInt = Integer.parseInt(str20);
                                        dpVar.setOngoing(true);
                                        dpVar.setColor(parseInt);
                                        ah.a((Object) dpVar, "setColorized", Boolean.TRUE);
                                    } catch (Exception e) {
                                        com.xiaomi.channel.commonutils.logger.b.a(e);
                                    }
                                }
                            } else if (map2 != null && Build.VERSION.SDK_INT < 26) {
                                ah.a((Object) dpVar, "setPriority", Integer.valueOf(e(map2)));
                            }
                            if (str5 != null) {
                                if (!z3) {
                                    y.a();
                                    if (y.b() && y.a(context)) {
                                        long currentTimeMillis3 = System.currentTimeMillis();
                                        Bundle extras = dpVar.getExtras();
                                        extras.putString("push_src_group_name", str5);
                                        extras.putLong("push_src_group_time", currentTimeMillis3);
                                        c2 = 0;
                                        i3 = 1;
                                        str5 = String.format("pushmask_%s_%s", Long.valueOf(currentTimeMillis3), str5);
                                        Object[] objArr3 = new Object[i3];
                                        objArr3[c2] = str5;
                                        ah.a((Object) dpVar, "setGroup", objArr3);
                                    }
                                }
                                i3 = 1;
                                c2 = 0;
                                Object[] objArr32 = new Object[i3];
                                objArr32[c2] = str5;
                                ah.a((Object) dpVar, "setGroup", objArr32);
                            }
                            if (ib.d() && "com.xiaomi.xmsf".equals(context.getPackageName())) {
                                ah.a("miui.util.NotificationHelper", "setTargetPkg", context, dpVar, a(heVar));
                            }
                            Notification notification = dpVar.getNotification();
                            if (z5 && ib.a() && (a5 = ah.a(notification, "extraNotification")) != null) {
                                ah.a(a5, "setCustomizedIcon", Boolean.TRUE);
                            }
                            if (map2 != null) {
                                if (notification.extras == null) {
                                    notification.extras = new Bundle();
                                }
                                if (!TextUtils.isEmpty(map2.get("enable_keyguard"))) {
                                    ab.b(notification, Boolean.parseBoolean(map2.get("enable_keyguard")));
                                }
                                if (!TextUtils.isEmpty(map2.get("enable_float"))) {
                                    ab.a(notification, Boolean.parseBoolean(map2.get("enable_float")));
                                }
                                if (!TextUtils.isEmpty(map2.get("float_small_win")) && "0".equals(map2.get("float_small_win")) && ez.i(context, a6)) {
                                    ab.a(notification, false);
                                }
                                int a12 = iy.a(map2.get("section_is_prr"), -1);
                                int a13 = iy.a(map2.get("section_prr_cl"), -1);
                                if (a12 >= 0 && a13 >= 0) {
                                    ab.a(notification, a12, a13);
                                }
                            }
                            bVar.a = notification;
                            return bVar;
                        }
                    }
                    z = false;
                    if (map2 == null) {
                    }
                    if (a4 != null) {
                    }
                    if (map2 != null) {
                    }
                    str5 = str3;
                    z4 = false;
                    z3 = false;
                    z2 = true;
                    dpVar.setAutoCancel(z2);
                    currentTimeMillis = System.currentTimeMillis();
                    dpVar.setTicker(map2.get("ticker"));
                    if (currentTimeMillis - a > 10000) {
                    }
                    if (map2 == null) {
                    }
                    ah.a((Object) dpVar, "setPriority", Integer.valueOf(e(map2)));
                    if (str5 != null) {
                    }
                    ah.a("miui.util.NotificationHelper", "setTargetPkg", context, dpVar, a(heVar));
                    Notification notification2 = dpVar.getNotification();
                    ah.a(a5, "setCustomizedIcon", Boolean.TRUE);
                    if (map2 != null) {
                    }
                    bVar.a = notification2;
                    return bVar;
                }
                dpVar.setSmallIcon(a7);
            } else if (a7 > 0) {
                dpVar.setSmallIcon(a7);
            } else {
                a(context, a6, dpVar, map2);
            }
            dpVar.setLargeIcon(a(context, a8));
            if (Build.VERSION.SDK_INT >= 23) {
            }
            a3 = a(map2, "__dynamic_icon_uri");
            if (!Boolean.parseBoolean(a(map2, "__adiom"))) {
            }
            if (!a3.startsWith("http")) {
            }
            if (bitmap != null) {
            }
            z = false;
            if (map2 == null) {
            }
            if (a4 != null) {
            }
            if (map2 != null) {
            }
            str5 = str3;
            z4 = false;
            z3 = false;
            z2 = true;
            dpVar.setAutoCancel(z2);
            currentTimeMillis = System.currentTimeMillis();
            dpVar.setTicker(map2.get("ticker"));
            if (currentTimeMillis - a > 10000) {
            }
            if (map2 == null) {
            }
            ah.a((Object) dpVar, "setPriority", Integer.valueOf(e(map2)));
            if (str5 != null) {
            }
            ah.a("miui.util.NotificationHelper", "setTargetPkg", context, dpVar, a(heVar));
            Notification notification22 = dpVar.getNotification();
            ah.a(a5, "setCustomizedIcon", Boolean.TRUE);
            if (map2 != null) {
            }
            bVar.a = notification22;
            return bVar;
        } else {
            String str21 = strArr[1];
            String a14 = a(heVar);
            Map<String, String> map4 = heVar.h.j;
            String str22 = map4.get("notification_style_type");
            dp b2 = (!ib.a(context) || d == null) ? null : d.b();
            if (b2 != null) {
                b2.a(map4);
                dpVar = b2;
            } else {
                if ("2".equals(str22)) {
                    dpVar = new dp(context);
                    Bitmap a15 = TextUtils.isEmpty(map4.get("notification_bigPic_uri")) ? null : a(context, map4.get("notification_bigPic_uri"), false);
                    if (a15 == null) {
                        com.xiaomi.channel.commonutils.logger.b.a("can not get big picture.");
                        str4 = null;
                    } else {
                        Notification.BigPictureStyle bigPictureStyle = new Notification.BigPictureStyle(dpVar);
                        bigPictureStyle.bigPicture(a15);
                        bigPictureStyle.setSummaryText(str21);
                        str4 = null;
                        bigPictureStyle.bigLargeIcon((Bitmap) null);
                        dpVar.setStyle(bigPictureStyle);
                    }
                    str3 = str4;
                    obj = "notification_style_type";
                    str = "4";
                    str2 = "3";
                    guVar = guVar3;
                } else if ("1".equals(str22)) {
                    dpVar = new dp(context);
                    dpVar.setStyle(new Notification.BigTextStyle().bigText(str21));
                } else if (!"4".equals(str22) || !ib.a()) {
                    if (!"3".equals(str22) || !ib.a()) {
                        obj = "notification_style_type";
                        str = "4";
                        str2 = "3";
                        guVar = guVar3;
                        str3 = null;
                        dqVar = new dp(context);
                    } else {
                        dq dqVar2 = new dq(context, i, a14);
                        if (!TextUtils.isEmpty(map4.get("notification_colorful_button_text"))) {
                            str3 = null;
                            obj = "notification_style_type";
                            str = "4";
                            str2 = "3";
                            guVar = guVar3;
                            map = map4;
                            PendingIntent a16 = a(context, a14, heVar, bArr, i, 4);
                            if (a16 != null) {
                                dqVar2.a(map.get("notification_colorful_button_text"), a16).b(map.get("notification_colorful_button_bg_color"));
                            }
                        } else {
                            obj = "notification_style_type";
                            str = "4";
                            str2 = "3";
                            guVar = guVar3;
                            str3 = null;
                            map = map4;
                        }
                        if (!TextUtils.isEmpty(map.get("notification_colorful_bg_color"))) {
                            dqVar2.c(map.get("notification_colorful_bg_color"));
                        } else if (!TextUtils.isEmpty(map.get("notification_colorful_bg_image_uri"))) {
                            Bitmap a17 = a(context, map.get("notification_colorful_bg_image_uri"), false);
                            if (dqVar2.e && a17 != null) {
                                if (a17.getWidth() != 984 || a17.getHeight() < 177 || a17.getHeight() > 207) {
                                    com.xiaomi.channel.commonutils.logger.b.a("colorful notification bg image resolution error, must [984*177, 984*207]");
                                } else {
                                    dqVar2.a = a17;
                                }
                            }
                        }
                        dqVar2.a(map);
                        dqVar = dqVar2;
                    }
                    dpVar = dqVar;
                } else {
                    Cdo doVar = new Cdo(context, a14);
                    if (!TextUtils.isEmpty(map4.get("notification_banner_image_uri"))) {
                        Bitmap a18 = a(context, map4.get("notification_banner_image_uri"), false);
                        if (doVar.e && a18 != null) {
                            if (a18.getWidth() != 984 || 184 > a18.getHeight() || a18.getHeight() > 1678) {
                                com.xiaomi.channel.commonutils.logger.b.a("colorful notification banner image resolution error, must belong to [984*184, 984*1678]");
                            } else {
                                doVar.a = a18;
                            }
                        }
                    }
                    if (!TextUtils.isEmpty(map4.get("notification_banner_icon_uri"))) {
                        Bitmap a19 = a(context, map4.get("notification_banner_icon_uri"), false);
                        if (doVar.e && a19 != null) {
                            doVar.b = a19;
                        }
                    }
                    doVar.a(map4);
                    dpVar = doVar;
                }
                a(dpVar, context, heVar.f, heVar, bArr, i);
                dpVar.setContentTitle(strArr[0]);
                dpVar.setContentText(strArr[1]);
                long currentTimeMillis22 = System.currentTimeMillis();
                dpVar.setWhen(currentTimeMillis22);
                a2 = a(map2, "notification_show_when");
                if (!TextUtils.isEmpty(a2)) {
                }
                dpVar.setContentIntent(pendingIntent);
                int a72 = a(context, a6, "mipush_small_notification");
                int a82 = a(context, a6, "mipush_notification");
                if (ib.a(context)) {
                }
                dpVar.setLargeIcon(a(context, a82));
                if (Build.VERSION.SDK_INT >= 23) {
                }
                a3 = a(map2, "__dynamic_icon_uri");
                if (!Boolean.parseBoolean(a(map2, "__adiom"))) {
                }
                if (!a3.startsWith("http")) {
                }
                if (bitmap != null) {
                }
                z = false;
                if (map2 == null) {
                }
                if (a4 != null) {
                }
                if (map2 != null) {
                }
                str5 = str3;
                z4 = false;
                z3 = false;
                z2 = true;
                dpVar.setAutoCancel(z2);
                currentTimeMillis = System.currentTimeMillis();
                dpVar.setTicker(map2.get("ticker"));
                if (currentTimeMillis - a > 10000) {
                }
                if (map2 == null) {
                }
                ah.a((Object) dpVar, "setPriority", Integer.valueOf(e(map2)));
                if (str5 != null) {
                }
                ah.a("miui.util.NotificationHelper", "setTargetPkg", context, dpVar, a(heVar));
                Notification notification222 = dpVar.getNotification();
                ah.a(a5, "setCustomizedIcon", Boolean.TRUE);
                if (map2 != null) {
                }
                bVar.a = notification222;
                return bVar;
            }
        }
        obj = "notification_style_type";
        str = "4";
        str2 = "3";
        guVar = guVar3;
        str3 = null;
        a(dpVar, context, heVar.f, heVar, bArr, i);
        dpVar.setContentTitle(strArr[0]);
        dpVar.setContentText(strArr[1]);
        long currentTimeMillis222 = System.currentTimeMillis();
        dpVar.setWhen(currentTimeMillis222);
        a2 = a(map2, "notification_show_when");
        if (!TextUtils.isEmpty(a2)) {
        }
        dpVar.setContentIntent(pendingIntent);
        int a722 = a(context, a6, "mipush_small_notification");
        int a822 = a(context, a6, "mipush_notification");
        if (ib.a(context)) {
        }
        dpVar.setLargeIcon(a(context, a822));
        if (Build.VERSION.SDK_INT >= 23) {
        }
        a3 = a(map2, "__dynamic_icon_uri");
        if (!Boolean.parseBoolean(a(map2, "__adiom"))) {
        }
        if (!a3.startsWith("http")) {
        }
        if (bitmap != null) {
        }
        z = false;
        if (map2 == null) {
        }
        if (a4 != null) {
        }
        if (map2 != null) {
        }
        str5 = str3;
        z4 = false;
        z3 = false;
        z2 = true;
        dpVar.setAutoCancel(z2);
        currentTimeMillis = System.currentTimeMillis();
        dpVar.setTicker(map2.get("ticker"));
        if (currentTimeMillis - a > 10000) {
        }
        if (map2 == null) {
        }
        ah.a((Object) dpVar, "setPriority", Integer.valueOf(e(map2)));
        if (str5 != null) {
        }
        ah.a("miui.util.NotificationHelper", "setTargetPkg", context, dpVar, a(heVar));
        Notification notification2222 = dpVar.getNotification();
        ah.a(a5, "setCustomizedIcon", Boolean.TRUE);
        if (map2 != null) {
        }
        bVar.a = notification2222;
        return bVar;
    }

    public static c a(Context context, he heVar, byte[] bArr) {
        Map<String, String> map;
        int i;
        int i2;
        String str;
        c cVar = new c();
        ez.b a2 = ez.a(context, a(heVar), true);
        gu guVar = heVar.h;
        String str2 = null;
        if (guVar != null) {
            i = guVar.i;
            map = guVar.j;
        } else {
            map = null;
            i = 0;
        }
        String a3 = a(heVar);
        if (!TextUtils.isEmpty(a3)) {
            i += (a3.hashCode() / 10) * 10;
        }
        if (!ib.a(context) || a2 != ez.b.NOT_ALLOWED) {
            if (ib.a(context) && d != null) {
                w wVar = d;
                a(heVar);
                if (wVar.a()) {
                    if (guVar != null) {
                        dn.a(context.getApplicationContext()).a(heVar.f, g(heVar), guVar.a, "14:" + a(heVar));
                    }
                    str = "Do not notify because card notification is canceled or sequence incorrect";
                }
            }
            RemoteViews a4 = a(context, heVar);
            String str3 = heVar.f;
            PendingIntent a5 = a(context, heVar, str3, bArr, i, 0, a(context, heVar, str3));
            if (a5 == null) {
                if (guVar != null) {
                    dn.a(context.getApplicationContext()).a(heVar.f, g(heVar), guVar.a, com.tencent.connect.common.Constants.VIA_REPORT_TYPE_SHARE_TO_QZONE);
                }
                str = "The click PendingIntent is null. ";
            } else {
                b a6 = a(context, heVar, bArr, a4, a5, i);
                cVar.b = a6.b;
                cVar.a = a(heVar);
                Notification notification = a6.a;
                if (ib.a()) {
                    if (!TextUtils.isEmpty(guVar.a)) {
                        notification.extras.putString("message_id", guVar.a);
                    }
                    notification.extras.putString("local_paid", heVar.e);
                    ab.a(map, notification.extras, "msg_busi_type");
                    ab.a(map, notification.extras, "disable_notification_flags");
                    String str4 = guVar.k == null ? null : guVar.k.get("score_info");
                    if (!TextUtils.isEmpty(str4)) {
                        notification.extras.putString("score_info", str4);
                    }
                    notification.extras.putString("pushUid", a(guVar.j, "n_stats_expose"));
                    int i3 = -1;
                    if (d(heVar)) {
                        i3 = 1000;
                    } else if (b(heVar)) {
                        i3 = 3000;
                    }
                    notification.extras.putString("eventMessageType", String.valueOf(i3));
                    notification.extras.putString("target_package", a(heVar));
                }
                String str5 = guVar.j == null ? null : guVar.j.get("message_count");
                if (ib.a() && str5 != null) {
                    try {
                        ab.a(notification, Integer.parseInt(str5));
                    } catch (NumberFormatException e) {
                        if (guVar != null) {
                            dn.a(context.getApplicationContext()).b(heVar.f, g(heVar), guVar.a, com.tencent.connect.common.Constants.VIA_SHARE_TYPE_PUBLISHVIDEO);
                        }
                        com.xiaomi.channel.commonutils.logger.b.d("fail to set message count. ".concat(String.valueOf(e)));
                    }
                }
                String a7 = a(heVar);
                ab.a(notification, a7);
                aa a8 = aa.a(context, a7);
                ib.a(context);
                if (!ib.a(context) || d == null || !d.c()) {
                    i2 = i;
                    a8.a(i2, notification);
                    cVar.c = true;
                    com.xiaomi.channel.commonutils.logger.b.a("notification: " + guVar.a + " is notifyied");
                } else {
                    com.xiaomi.channel.commonutils.logger.b.b("consume this notificaiton by agent");
                    i2 = i;
                }
                if (ib.a() && ib.a(context)) {
                    y a9 = y.a();
                    if (y.b()) {
                        if (y.a(context)) {
                            try {
                                y.a(context, i2, notification);
                            } catch (Exception e2) {
                                com.xiaomi.channel.commonutils.logger.b.a("group notify handle restore error ".concat(String.valueOf(e2)));
                            }
                        }
                        if (y.b(context)) {
                            try {
                                a9.b(context, i2, notification);
                            } catch (Exception e3) {
                                com.xiaomi.channel.commonutils.logger.b.a("group notify handle auto error ".concat(String.valueOf(e3)));
                            }
                        }
                    }
                    String str6 = guVar.a;
                    if (ib.a(context) && notification != null && notification.extras.getBoolean("mipush_n_top_flag", false)) {
                        bg.a(context, a7, i2, str6, notification);
                    }
                }
                if (b(heVar)) {
                    dn.a(context.getApplicationContext()).a(heVar.f, g(heVar), guVar.a, 3002, null);
                }
                if (d(heVar)) {
                    dn.a(context.getApplicationContext()).a(heVar.f, g(heVar), guVar.a, 1002, null);
                }
                if (Build.VERSION.SDK_INT < 26) {
                    if (guVar != null) {
                        str2 = guVar.a;
                    }
                    k a10 = k.a(context);
                    int c2 = c(guVar.j);
                    if (c2 > 0 && !TextUtils.isEmpty(str2)) {
                        String concat = "n_timeout_".concat(String.valueOf(str2));
                        a10.a(concat);
                        a10.a((k.a) new p(concat, a8, i2), c2);
                    }
                }
                Pair<Integer, he> pair = new Pair<>(Integer.valueOf(i2), heVar);
                synchronized (b) {
                    b.add(pair);
                    if (b.size() > 100) {
                        b.remove();
                    }
                }
                return cVar;
            }
        } else {
            if (guVar != null) {
                dn.a(context.getApplicationContext()).a(heVar.f, g(heVar), guVar.a, "10:" + a(heVar));
            }
            str = "Do not notify because user block " + a(heVar) + "‘s notification";
        }
        com.xiaomi.channel.commonutils.logger.b.a(str);
        return cVar;
    }

    public static String a(he heVar) {
        gu guVar;
        if (!(!"com.xiaomi.xmsf".equals(heVar.f) || (guVar = heVar.h) == null || guVar.j == null)) {
            String str = guVar.j.get("miui_package_name");
            if (!TextUtils.isEmpty(str)) {
                return str;
            }
        }
        return heVar.f;
    }

    public static String a(Map<String, String> map, int i) {
        String format = i == 0 ? "notify_effect" : b(map) ? String.format("cust_btn_%s_ne", Integer.valueOf(i)) : i == 1 ? "notification_style_button_left_notify_effect" : i == 2 ? "notification_style_button_mid_notify_effect" : i == 3 ? "notification_style_button_right_notify_effect" : i == 4 ? "notification_colorful_button_notify_effect" : null;
        if (map == null || format == null) {
            return null;
        }
        return map.get(format);
    }

    private static String a(Map<String, String> map, String str) {
        if (map != null) {
            return map.get(str);
        }
        return null;
    }

    private static void a(Context context, Intent intent, he heVar, gu guVar, String str, int i) {
        if (heVar != null && guVar != null && !TextUtils.isEmpty(str)) {
            String a2 = a(guVar.j, i);
            if (TextUtils.isEmpty(a2)) {
                return;
            }
            if (an.a.equals(a2) || an.b.equals(a2) || an.c.equals(a2)) {
                intent.putExtra("messageId", str);
                intent.putExtra("local_paid", heVar.e);
                if (!TextUtils.isEmpty(heVar.f)) {
                    intent.putExtra("target_package", heVar.f);
                }
                intent.putExtra("job_key", a(guVar.j, "jobkey"));
                intent.putExtra(i + "_target_component", b(context, heVar.f, guVar.j, i));
            }
        }
    }

    public static void a(Context context, String str) {
        a(context, str, -1, -1);
    }

    public static void a(Context context, String str, int i) {
        a(context, str, i, -1);
    }

    public static void a(Context context, String str, int i, int i2) {
        boolean z;
        if (context != null && !TextUtils.isEmpty(str) && i >= -1) {
            aa a2 = aa.a(context, str);
            List<StatusBarNotification> c2 = a2.c();
            if (!iy.a(c2)) {
                LinkedList linkedList = new LinkedList();
                int i3 = 0;
                if (i == -1) {
                    z = true;
                } else {
                    i3 = ((str.hashCode() / 10) * 10) + i;
                    z = false;
                }
                Iterator<StatusBarNotification> it = c2.iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    StatusBarNotification next = it.next();
                    if (!TextUtils.isEmpty(String.valueOf(next.getId()))) {
                        int id = next.getId();
                        if (z) {
                            linkedList.add(next);
                            a2.a(id);
                        } else if (i3 == id) {
                            bz.a(context, next, i2);
                            linkedList.add(next);
                            a2.a(id);
                            break;
                        }
                    }
                }
                a(context, linkedList);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x002f  */
    /* JADX WARNING: Removed duplicated region for block: B:17:? A[RETURN, SYNTHETIC] */
    private static void a(Context context, String str, dp dpVar, Map<String, String> map) {
        boolean z;
        int a2;
        if (!ib.a(context)) {
            String a3 = a(map, "fcm_icon_uri");
            String a4 = a(map, "fcm_icon_color");
            if (!TextUtils.isEmpty(a3) && !TextUtils.isEmpty(a4) && (a2 = a(context, str, a3)) > 0) {
                z = true;
                dpVar.setSmallIcon(a2);
                dpVar.a(a4);
                if (!z) {
                    return;
                }
                if (Build.VERSION.SDK_INT >= 23) {
                    dpVar.setSmallIcon(Icon.createWithResource(str, ab.a(context, str)));
                    return;
                } else {
                    dpVar.setSmallIcon(e(context, str));
                    return;
                }
            }
        }
        z = false;
        if (!z) {
        }
    }

    public static void a(Context context, String str, String str2, String str3) {
        if (!(context == null || TextUtils.isEmpty(str) || TextUtils.isEmpty(str2) || TextUtils.isEmpty(str3))) {
            aa a2 = aa.a(context, str);
            List<StatusBarNotification> c2 = a2.c();
            if (!iy.a(c2)) {
                LinkedList linkedList = new LinkedList();
                for (StatusBarNotification statusBarNotification : c2) {
                    Notification notification = statusBarNotification.getNotification();
                    if (notification != null && !TextUtils.isEmpty(String.valueOf(statusBarNotification.getId()))) {
                        int id = statusBarNotification.getId();
                        String a3 = ab.a(notification);
                        String b2 = ab.b(notification);
                        if (!TextUtils.isEmpty(a3) && !TextUtils.isEmpty(b2) && a(a3, str2) && a(b2, str3)) {
                            linkedList.add(statusBarNotification);
                            a2.a(id);
                        }
                    }
                }
                a(context, linkedList);
            }
        }
    }

    public static void a(Context context, LinkedList<? extends Object> linkedList) {
        if (linkedList != null && linkedList.size() > 0) {
            bc.a(context, "category_clear_notification", "clear_notification", (long) linkedList.size(), "");
        }
    }

    private static void a(dp dpVar, Context context, String str, he heVar, byte[] bArr, int i) {
        PendingIntent a2;
        PendingIntent a3;
        PendingIntent a4;
        PendingIntent a5;
        Map<String, String> map = heVar.h.j;
        if (!(TextUtils.equals("3", map.get("notification_style_type")) || TextUtils.equals("4", map.get("notification_style_type")))) {
            if (b(map)) {
                for (int i2 = 1; i2 <= 3; i2++) {
                    String str2 = map.get(String.format("cust_btn_%s_n", Integer.valueOf(i2)));
                    if (!TextUtils.isEmpty(str2) && (a5 = a(context, str, heVar, bArr, i, i2)) != null) {
                        dpVar.addAction(0, str2, a5);
                    }
                }
                return;
            }
            if (!TextUtils.isEmpty(map.get("notification_style_button_left_name")) && (a4 = a(context, str, heVar, bArr, i, 1)) != null) {
                dpVar.addAction(0, map.get("notification_style_button_left_name"), a4);
            }
            if (!TextUtils.isEmpty(map.get("notification_style_button_mid_name")) && (a3 = a(context, str, heVar, bArr, i, 2)) != null) {
                dpVar.addAction(0, map.get("notification_style_button_mid_name"), a3);
            }
            if (!(TextUtils.isEmpty(map.get("notification_style_button_right_name")) || (a2 = a(context, str, heVar, bArr, i, 3)) == null)) {
                dpVar.addAction(0, map.get("notification_style_button_right_name"), a2);
            }
        }
    }

    public static boolean a() {
        return ez.a();
    }

    private static boolean a(Context context, he heVar, String str) {
        if (heVar != null && heVar.h != null && heVar.h.j != null && !TextUtils.isEmpty(str)) {
            return Boolean.parseBoolean(heVar.h.j.get("use_clicked_activity")) && ch.a(context, a(str));
        }
        com.xiaomi.channel.commonutils.logger.b.a("should clicked activity params are null.");
        return false;
    }

    private static boolean a(gu guVar) {
        if (guVar == null) {
            return false;
        }
        String str = guVar.a;
        return !TextUtils.isEmpty(str) && str.length() == 22 && "satuigmo".indexOf(str.charAt(0)) >= 0;
    }

    private static boolean a(String str, String str2) {
        return TextUtils.isEmpty(str) || str2.contains(str);
    }

    public static boolean a(Map<String, String> map) {
        if (map == null || !map.containsKey("notify_foreground")) {
            return true;
        }
        return "1".equals(map.get("notify_foreground"));
    }

    public static boolean a(boolean z) {
        return ib.a() && !z && ez.a();
    }

    private static int b(Context context, String str, Map<String, String> map, int i) {
        ComponentName a2;
        Intent a3 = a(context, str, map, i);
        if (a3 == null || (a2 = ch.a(context, a3)) == null) {
            return 0;
        }
        return a2.hashCode();
    }

    public static void b(Context context, String str) {
        if (!ib.a(context) || d == null || TextUtils.isEmpty(str)) {
        }
    }

    static void b(Context context, String str, int i) {
        context.getSharedPreferences("pref_notify_type", 0).edit().putInt(str, i).commit();
    }

    public static boolean b(he heVar) {
        gu guVar = heVar.h;
        return a(guVar) && guVar.l;
    }

    private static boolean b(Map<String, String> map) {
        if (map != null) {
            return com.tencent.connect.common.Constants.VIA_SHARE_TYPE_INFO.equals(map.get("notification_style_type"));
        }
        com.xiaomi.channel.commonutils.logger.b.a("meta extra is null");
        return false;
    }

    private static int c(Map<String, String> map) {
        String str = map == null ? null : map.get("timeout");
        if (TextUtils.isEmpty(str)) {
            return 0;
        }
        try {
            return Integer.parseInt(str);
        } catch (Exception e) {
            return 0;
        }
    }

    private static Intent c(Context context, String str, Map<String, String> map, int i) {
        if (b(map)) {
            return a(context, str, map, String.format("cust_btn_%s_ne", Integer.valueOf(i)), String.format("cust_btn_%s_iu", Integer.valueOf(i)), String.format("cust_btn_%s_ic", Integer.valueOf(i)), String.format("cust_btn_%s_wu", Integer.valueOf(i)));
        } else if (i == 1) {
            return a(context, str, map, "notification_style_button_left_notify_effect", "notification_style_button_left_intent_uri", "notification_style_button_left_intent_class", "notification_style_button_left_web_uri");
        } else {
            if (i == 2) {
                return a(context, str, map, "notification_style_button_mid_notify_effect", "notification_style_button_mid_intent_uri", "notification_style_button_mid_intent_class", "notification_style_button_mid_web_uri");
            }
            if (i == 3) {
                return a(context, str, map, "notification_style_button_right_notify_effect", "notification_style_button_right_intent_uri", "notification_style_button_right_intent_class", "notification_style_button_right_web_uri");
            }
            if (i != 4) {
                return null;
            }
            return a(context, str, map, "notification_colorful_button_notify_effect", "notification_colorful_button_intent_uri", "notification_colorful_button_intent_class", "notification_colorful_button_web_uri");
        }
    }

    static void c(Context context, String str) {
        context.getSharedPreferences("pref_notify_type", 0).edit().remove(str).commit();
    }

    public static boolean c(he heVar) {
        gu guVar = heVar.h;
        return a(guVar) && guVar.h == 1 && !b(heVar);
    }

    private static int d(Map<String, String> map) {
        if (map == null) {
            return 3;
        }
        String str = map.get("channel_importance");
        if (TextUtils.isEmpty(str)) {
            return 3;
        }
        try {
            com.xiaomi.channel.commonutils.logger.b.c("importance=".concat(String.valueOf(str)));
            return Integer.parseInt(str);
        } catch (Exception e) {
            com.xiaomi.channel.commonutils.logger.b.d("parsing channel importance error: ".concat(String.valueOf(e)));
            return 3;
        }
    }

    static boolean d(Context context, String str) {
        return context.getSharedPreferences("pref_notify_type", 0).contains(str);
    }

    public static boolean d(he heVar) {
        gu guVar = heVar.h;
        return a(guVar) && guVar.h == 0 && !b(heVar);
    }

    private static int e(Context context, String str) {
        int a2 = a(context, str, "mipush_notification");
        int a3 = a(context, str, "mipush_small_notification");
        if (a2 <= 0) {
            a2 = a3 <= 0 ? context.getApplicationInfo().icon : a3;
        }
        return a2 == 0 ? context.getApplicationInfo().logo : a2;
    }

    private static int e(Map<String, String> map) {
        if (map == null) {
            return 0;
        }
        String str = map.get("notification_priority");
        if (TextUtils.isEmpty(str)) {
            return 0;
        }
        try {
            com.xiaomi.channel.commonutils.logger.b.c("priority=".concat(String.valueOf(str)));
            return Integer.parseInt(str);
        } catch (Exception e) {
            com.xiaomi.channel.commonutils.logger.b.d("parsing notification priority error: ".concat(String.valueOf(e)));
            return 0;
        }
    }

    public static boolean e(he heVar) {
        return heVar.a == gh.Registration;
    }

    public static boolean f(he heVar) {
        return b(heVar) || d(heVar) || c(heVar);
    }

    public static String g(he heVar) {
        return b(heVar) ? "E100002" : d(heVar) ? "E100000" : c(heVar) ? "E100001" : e(heVar) ? "E100003" : "";
    }
}
