package io.dcloud;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.text.TextUtils;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.IntentConst;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.IOUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.language.LanguageUtil;
import io.dcloud.feature.internal.sdk.SDK;
import java.io.File;
import java.io.InputStream;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import org.json.JSONObject;

public class PandoraEntry extends Activity {

    class a implements Runnable {
        a() {
        }

        public void run() {
            PandoraEntry.this.finish();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x007f A[Catch:{ Exception -> 0x009a }, RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0080 A[Catch:{ Exception -> 0x009a }] */
    private void a(Intent intent) {
        try {
            String str = BaseInfo.sDefaultBootApp + "/www/manifest.json";
            InputStream inputStream = null;
            if (SDK.isUniMPSDK()) {
                File file = new File(BaseInfo.sCacheFsAppsPath + str);
                if (file.exists()) {
                    inputStream = DHFile.getInputStream(file);
                } else {
                    inputStream = getResources().getAssets().open(str);
                }
            } else {
                File externalFilesDir = getExternalFilesDir(Environment.DIRECTORY_PICTURES);
                File file2 = new File(externalFilesDir.getAbsolutePath().replace("files/Pictures", "apps/") + str);
                if (file2.exists()) {
                    inputStream = DHFile.getInputStream(file2);
                }
                if (inputStream == null) {
                    String iOUtil = IOUtil.toString(inputStream);
                    if (!TextUtils.isEmpty(iOUtil)) {
                        intent.putExtra(IntentConst.INTENT_ORIENTATION, PdrUtil.getConfigOrientation(new JSONObject(iOUtil)));
                        return;
                    }
                    return;
                }
                return;
            }
            if (inputStream == null) {
            }
        } catch (Exception e) {
        }
    }

    /* access modifiers changed from: protected */
    public void attachBaseContext(Context context) {
        if (Build.VERSION.SDK_INT < 26) {
            super.attachBaseContext(context);
        } else {
            super.attachBaseContext(LanguageUtil.updateContextLanguageAfterO(context, false));
        }
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        if (Build.VERSION.SDK_INT == 26 && a()) {
            a(this);
        }
        super.onCreate(bundle);
        Intent intent = getIntent();
        AndroidResources.initAndroidResources(getApplication());
        BaseInfo.parseControl();
        if (SDK.isUniMPSDK() && intent.hasExtra("appid")) {
            BaseInfo.sDefaultBootApp = intent.getStringExtra("appid");
        }
        if (SDK.isUniMPSDK()) {
            a(intent);
        } else if (BaseInfo.SyncDebug) {
            a(intent);
        }
        if (!intent.hasExtra(IntentConst.START_FROM_TO_CLASS) || !SDK.isUniMPSDK()) {
            intent.putExtra(IntentConst.WEBAPP_SHORT_CUT_CLASS_NAME, PandoraEntry.class.getName());
            intent.setClass(this, PandoraEntryActivity.class);
        } else {
            String stringExtra = intent.getStringExtra(IntentConst.START_FROM_TO_CLASS);
            if (!TextUtils.isEmpty(stringExtra) && stringExtra.startsWith("io.dcloud.feature.sdk.multi")) {
                intent.setClassName(getPackageName(), stringExtra);
                intent.removeExtra(IntentConst.START_FROM_TO_CLASS);
            }
        }
        startActivity(intent);
        overridePendingTransition(0, 0);
        if (SDK.isUniMPSDK()) {
            finish();
        } else {
            new Handler().postDelayed(new a(), 20);
        }
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        overridePendingTransition(0, 0);
        super.onPause();
    }

    private static void a(Activity activity) {
        try {
            Field declaredField = Activity.class.getDeclaredField("mActivityInfo");
            declaredField.setAccessible(true);
            ((ActivityInfo) declaredField.get(activity)).screenOrientation = -1;
        } catch (Exception e) {
        }
    }

    private boolean a() {
        boolean z = false;
        try {
            TypedArray obtainStyledAttributes = obtainStyledAttributes((int[]) Class.forName("com.android.internal.R$styleable").getField(AbsoluteConst.FEATURE_WINDOW).get(null));
            Method method = ActivityInfo.class.getMethod("isTranslucentOrFloating", TypedArray.class);
            method.setAccessible(true);
            boolean booleanValue = ((Boolean) method.invoke(null, obtainStyledAttributes)).booleanValue();
            try {
                method.setAccessible(false);
                return booleanValue;
            } catch (Exception e) {
                z = booleanValue;
            }
        } catch (Exception e2) {
            return z;
        }
    }
}
