package io.dcloud.feature.payment.alipay;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import com.alipay.sdk.app.PayTask;
import com.alipay.sdk.m.k.b;
import com.alipay.sdk.m.u.i;
import com.alipay.sdk.m.u.l;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.constant.DOMException;
import io.dcloud.feature.payment.AbsPaymentChannel;
import io.dcloud.feature.payment.IPaymentListener;
import io.dcloud.feature.payment.PaymentResult;
import java.util.Map;
import org.json.JSONObject;

public class AliPay extends AbsPaymentChannel {
    private static final int SDK_PAY_FLAG = 1;
    static String TAG = "AliPay";
    boolean DEBUG = false;
    private boolean isPayV2 = false;
    private Handler mHandler = new Handler() {
        /* class io.dcloud.feature.payment.alipay.AliPay.AnonymousClass2 */

        /* JADX INFO: Multiple debug info for r5v10 java.lang.String: [D('imemoEnd' int), D('tradeStatus' java.lang.String)] */
        /* JADX INFO: Multiple debug info for r0v18 java.lang.String: [D('params0' java.lang.String[]), D('signature' java.lang.String)] */
        public void handleMessage(Message msg) {
            String tradeStatus;
            String tradeStatus2;
            String tradeStatus3;
            String result;
            String str;
            String signature = "sign=\"";
            if (msg.what == 1) {
                String signature2 = null;
                String url = null;
                String tradeno = null;
                JSONObject rawDataJson = null;
                try {
                    if (!AliPay.this.isPayV2) {
                        String strRet = (String) msg.obj;
                        String tradeStatus4 = strRet.substring(strRet.indexOf("resultStatus=") + "resultStatus={".length(), strRet.indexOf("};memo="));
                        rawDataJson = new JSONObject();
                        String tradeStatus5 = tradeStatus4;
                        rawDataJson.put(l.a, tradeStatus5);
                        if (tradeStatus5.equals("9000")) {
                            String memo = strRet.substring(strRet.indexOf("memo={") + "memo={".length(), strRet.indexOf("};result"));
                            rawDataJson.put(l.b, memo);
                            int imemoStart = strRet.indexOf(i.c) + i.c.length();
                            int imemoEnd = strRet.length() - 1;
                            String result2 = strRet.substring(imemoStart, imemoEnd);
                            rawDataJson.put("result", result2);
                            String[] params = result2.split("\\&");
                            if (params == null || params.length <= 0) {
                                tradeStatus3 = tradeStatus5;
                                tradeStatus = memo;
                            } else {
                                int len = params.length;
                                int i = 0;
                                while (i < len) {
                                    String param = params[i];
                                    if (param.indexOf("=") <= 0) {
                                        str = signature;
                                        result = result2;
                                    } else if (param.indexOf(signature) >= 0) {
                                        str = signature;
                                        signature2 = param.substring(signature.length(), param.length() - 1);
                                        result = result2;
                                    } else {
                                        str = signature;
                                        String[] params0 = param.split("\\=");
                                        if (params0.length >= 2) {
                                            result = result2;
                                            if ("notify_url".equals(params0[0])) {
                                                url = params0[1].substring(1, params0[1].length() - 1);
                                            } else if (b.A0.equals(params0[0])) {
                                                tradeno = params0[1].substring(1, params0[1].length() - 1);
                                            }
                                        } else {
                                            result = result2;
                                        }
                                    }
                                    i++;
                                    imemoEnd = imemoEnd;
                                    tradeStatus5 = tradeStatus5;
                                    signature = str;
                                    result2 = result;
                                }
                                tradeStatus3 = tradeStatus5;
                                tradeStatus = memo;
                            }
                        } else {
                            tradeStatus3 = tradeStatus5;
                            tradeStatus = null;
                        }
                        tradeStatus2 = tradeStatus3;
                    } else {
                        Map<String, String> mapRet = (Map) msg.obj;
                        tradeStatus2 = mapRet.get(l.a);
                        if ("9000".equals(tradeStatus2)) {
                            rawDataJson = new JSONObject();
                            rawDataJson.put(l.a, tradeStatus2);
                            tradeStatus = mapRet.get(l.b);
                            rawDataJson.put(l.b, tradeStatus);
                            String result3 = mapRet.get("result");
                            rawDataJson.put("result", result3);
                            if (result3 != null) {
                                JSONObject resultJson = new JSONObject(result3);
                                signature2 = resultJson.optString("sign");
                                JSONObject responseJson = resultJson.optJSONObject("alipay_trade_app_pay_response");
                                if (responseJson != null) {
                                    url = "";
                                    tradeno = responseJson.optString(b.B0);
                                }
                            }
                        } else {
                            tradeStatus = null;
                        }
                    }
                    if ("9000".equals(tradeStatus2)) {
                        PaymentResult pr = new PaymentResult(AliPay.this);
                        pr.description = !TextUtils.isEmpty(tradeStatus) ? tradeStatus : null;
                        pr.url = !TextUtils.isEmpty(url) ? url : null;
                        pr.tradeno = !TextUtils.isEmpty(tradeno) ? tradeno : null;
                        pr.signature = !TextUtils.isEmpty(signature2) ? signature2 : null;
                        pr.rawDataJson = rawDataJson.toString();
                        AliPay.this.mListener.onSuccess(pr);
                    } else {
                        int state = IPaymentListener.CODE_UNKNOWN;
                        String error_msg = null;
                        if (tradeStatus2 == null || tradeStatus2.equals("4000")) {
                            state = IPaymentListener.CODE_UNKNOWN;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_unknown);
                        } else if (tradeStatus2.equals("4001")) {
                            state = IPaymentListener.CODE_DATA_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_data_format_error);
                        } else if (tradeStatus2.equals("4003")) {
                            state = IPaymentListener.CODE_ACCOUNT_STATUS_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_account_locked);
                        } else if (tradeStatus2.equals("4004")) {
                            state = IPaymentListener.CODE_ACCOUNT_STATUS_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_user_unbind_account);
                        } else if (tradeStatus2.equals("4005")) {
                            state = IPaymentListener.CODE_ACCOUNT_STATUS_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_bind_fail);
                        } else if (tradeStatus2.equals("4006")) {
                            state = IPaymentListener.CODE_PAY_OPTION_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_pay_order_fail);
                        } else if (tradeStatus2.equals("4010")) {
                            state = IPaymentListener.CODE_ACCOUNT_STATUS_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_bind_account_again);
                        } else if (tradeStatus2.equals("6000")) {
                            state = IPaymentListener.CODE_PAY_SERVER_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_alipay_service_upgrading);
                        } else if (tradeStatus2.equals("6001")) {
                            state = IPaymentListener.CODE_USER_CANCEL;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_user_cancel_pay);
                        } else if (tradeStatus2.equals("6002")) {
                            state = IPaymentListener.CODE_NETWORK_ERROR;
                            error_msg = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_error_msg_network_error);
                        }
                        AliPay.this.mListener.onError(-100, DOMException.toString(state, AliPay.this.getFullDescription(), error_msg, (String) null));
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                    AliPay.this.mListener.onError(-100, DOMException.toString((int) IPaymentListener.CODE_UNKNOWN, AliPay.this.getFullDescription(), e.getMessage(), (String) null));
                }
            }
            super.handleMessage(msg);
        }
    };

    /* access modifiers changed from: protected */
    @Override // io.dcloud.feature.payment.AbsPaymentChannel
    public void request(final String payInfo) {
        new Thread(new Runnable() {
            /* class io.dcloud.feature.payment.alipay.AliPay.AnonymousClass1 */

            public void run() {
                Object result;
                AliPay.this.isPayV2 = !payInfo.contains("mobile.securitypay.pay");
                PayTask payTask = new PayTask(AliPay.this.mWebview.getActivity());
                if (!AliPay.this.isPayV2) {
                    result = payTask.pay(payInfo, true);
                } else {
                    result = payTask.payV2(payInfo, true);
                }
                Message msg = new Message();
                msg.what = 1;
                msg.obj = result;
                AliPay.this.mHandler.sendMessage(msg);
            }
        }).start();
    }

    @Override // io.dcloud.feature.payment.AbsPaymentChannel
    public void init(Context context) {
        super.init(context);
        this.description = DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_alipay_plugin_name);
        this.serviceReady = true;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.feature.payment.AbsPaymentChannel
    public void installService() {
    }
}
