package io.dcloud.feature.statistics;

import android.content.Context;
import io.dcloud.common.DHInterface.BaseFeature;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.JSUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.json.JSONArray;

public class StatisticsFeatureImpl extends BaseFeature {
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.dcloud.common.DHInterface.BaseFeature
    public String execute(IWebview pWebViewImpl, String pActionName, JSONArray pJsArgs) {
        Context context = pWebViewImpl.getContext();
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "statistic-" + pActionName);
        char c = 65535;
        try {
            switch (pActionName.hashCode()) {
                case 31423958:
                    if (pActionName.equals("eventTrig")) {
                        c = 0;
                        break;
                    }
                    break;
                case 278093793:
                    if (pActionName.equals("eventEnd")) {
                        c = 3;
                        break;
                    }
                    break;
                case 394127950:
                    if (pActionName.equals("eventDuration")) {
                        c = 1;
                        break;
                    }
                    break;
                case 973271528:
                    if (pActionName.equals("eventStart")) {
                        c = 2;
                        break;
                    }
                    break;
            }
            if (c == 0) {
                eventTrig(pWebViewImpl, pJsArgs);
                return null;
            } else if (c != 1) {
                return null;
            } else {
                eventDuration(pWebViewImpl, pJsArgs);
                return null;
            }
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public void eventTrig(IWebview webview, JSONArray args) throws Exception {
        for (AbsStatisticsModule module : findModules(webview, args)) {
            module.eventTrig(webview, args);
        }
    }

    public void eventDuration(IWebview webview, JSONArray args) throws Exception {
        for (AbsStatisticsModule module : findModules(webview, args)) {
            module.eventDuration(webview, args);
        }
    }

    public void eventStart(IWebview webview, JSONArray args) {
    }

    public void eventEnd(IWebview webview, JSONArray args) {
    }

    private List<AbsStatisticsModule> findModules(IWebview webview, JSONArray args) {
        loadModules();
        if (this.mModules == null || this.mModules.isEmpty()) {
            JSUtil.execCallback(webview, args.optString(1), DOMException.toJSON((int) DOMException.CODE_STATISTICS_SERVICE_INVALID, DOMException.MSG_STATISTICS_SERVICE_INVALID), JSUtil.ERROR, false);
            return new ArrayList();
        }
        List<AbsStatisticsModule> absStatisticsModules = new ArrayList<>();
        Iterator it = this.mModules.iterator();
        while (it.hasNext()) {
            absStatisticsModules.add((AbsStatisticsModule) ((BaseFeature.BaseModule) it.next()));
        }
        return absStatisticsModules;
    }
}
