package io.dcloud.feature.weex_amap.adapter.ground;

import android.graphics.Bitmap;
import android.net.Uri;
import android.text.TextUtils;
import com.alibaba.fastjson.JSONObject;
import com.amap.api.maps.model.BitmapDescriptor;
import com.amap.api.maps.model.BitmapDescriptorFactory;
import com.amap.api.maps.model.GroundOverlay;
import com.amap.api.maps.model.GroundOverlayOptions;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.component.WXImage;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.feature.uniapp.bridge.UniJSCallback;
import io.dcloud.feature.uniapp.utils.UniUtils;
import io.dcloud.feature.uniapp.utils.bitmap.BitmapLoadCallback;
import io.dcloud.feature.weex.adapter.FrescoLoadUtil;
import io.dcloud.feature.weex_amap.R;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.feature.weex_amap.adapter.MapAbsMgr;
import io.dcloud.feature.weex_amap.adapter.WXMapView;
import java.util.HashMap;
import java.util.Map;

public class GroundMgr extends MapAbsMgr {
    HashMap<String, GroundOverlay> mGroundCaches = new HashMap<>();

    public GroundMgr(WXSDKInstance instance, WXMapView map) {
        super(instance, map);
    }

    public void addGroundOverlay(JSONObject ops, UniJSCallback callback) {
        editGroundOverlay(ops, callback);
    }

    public void updateGroundOverlay(JSONObject ops, UniJSCallback callback) {
        editGroundOverlay(ops, callback);
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:4:0x0025 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v30 */
    private void editGroundOverlay(JSONObject ops, UniJSCallback callback) {
        UniJSCallback uniJSCallback;
        Map map;
        Exception e;
        boolean isAddToMap;
        boolean visible;
        float opacityv;
        String str = "visible";
        Map hashMap = new HashMap();
        try {
            if (ops.containsKey("id")) {
                try {
                    if (ops.containsKey("src") && ops.containsKey("bounds")) {
                        String id = ops.getString("id");
                        if (this.mGroundCaches.containsKey(id)) {
                            isAddToMap = false;
                        } else {
                            isAddToMap = true;
                        }
                        String src = ops.getString("src");
                        JSONObject boundsJson = ops.getJSONObject("bounds");
                        if (ops.containsKey(str)) {
                            try {
                                visible = ops.getBooleanValue(str);
                            } catch (Exception e2) {
                                e = e2;
                                map = hashMap;
                                uniJSCallback = callback;
                                e.printStackTrace();
                                map.put("type", Constants.Event.FAIL);
                                map.put("msg", e.getMessage());
                                uniJSCallback.invoke(map);
                            }
                        } else {
                            visible = true;
                        }
                        int zIndex = UniUtils.getInteger(ops.get(Constant.JSONKEY.ZINDEX), 1).intValue();
                        if (ops.containsKey("opacity")) {
                            float opacityv2 = ops.getFloatValue("opacity");
                            if (opacityv2 >= 1.0f) {
                                opacityv = 0.0f;
                            } else if (opacityv2 <= 0.0f) {
                                opacityv = 1.0f;
                            } else {
                                opacityv = 1.0f - opacityv2;
                            }
                        } else {
                            opacityv = 0.0f;
                        }
                        LatLngBounds lngBounds = getBounds(boundsJson);
                        if (lngBounds == null) {
                            hashMap.put("type", Constants.Event.FAIL);
                            hashMap.put("msg", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_bounds_create_fail));
                            callback.invoke(hashMap);
                            return;
                        }
                        if (isAddToMap) {
                            try {
                                GroundOverlayOptions options = new GroundOverlayOptions();
                                options.visible(visible);
                                options.transparency(opacityv);
                                options.zIndex((float) zIndex);
                                options.positionFromBounds(lngBounds);
                                loadImageToIcon(id, src, options, null, callback);
                            } catch (Exception e3) {
                                e = e3;
                                uniJSCallback = callback;
                                map = hashMap;
                                e.printStackTrace();
                                map.put("type", Constants.Event.FAIL);
                                map.put("msg", e.getMessage());
                                uniJSCallback.invoke(map);
                            }
                        } else {
                            GroundOverlay current = this.mGroundCaches.get(id);
                            current.setVisible(visible);
                            current.setTransparency(opacityv);
                            current.setZIndex((float) zIndex);
                            current.setPositionFromBounds(lngBounds);
                            str = hashMap;
                            try {
                                loadImageToIcon(id, src, null, current, callback);
                            } catch (Exception e4) {
                                e = e4;
                                uniJSCallback = callback;
                                map = str;
                                e.printStackTrace();
                                map.put("type", Constants.Event.FAIL);
                                map.put("msg", e.getMessage());
                                uniJSCallback.invoke(map);
                            }
                        }
                        return;
                    }
                } catch (Exception e5) {
                    e = e5;
                    map = hashMap;
                    uniJSCallback = callback;
                    e.printStackTrace();
                    map.put("type", Constants.Event.FAIL);
                    map.put("msg", e.getMessage());
                    uniJSCallback.invoke(map);
                }
            }
            Map map2 = hashMap;
            map2.put("type", Constants.Event.FAIL);
            map2.put("msg", DCLoudApplicationImpl.self().getContext().getString(R.string.dcloud_feature_weex_amap_msg_bounds_cannot_null));
            uniJSCallback = callback;
            try {
                uniJSCallback.invoke(map2);
            } catch (Exception e6) {
                e = e6;
                map = map2;
            }
        } catch (Exception e7) {
            e = e7;
            map = hashMap;
            uniJSCallback = callback;
            e.printStackTrace();
            map.put("type", Constants.Event.FAIL);
            map.put("msg", e.getMessage());
            uniJSCallback.invoke(map);
        }
    }

    public void removeGroundOverlay(String id, UniJSCallback callback) {
        Map<String, Object> params = new HashMap<>();
        try {
            if (this.mGroundCaches != null && this.mGroundCaches.size() > 0 && !TextUtils.isEmpty(id) && this.mGroundCaches.containsKey(id)) {
                this.mGroundCaches.remove(id).remove();
            }
            params.put("type", WXImage.SUCCEED);
            callback.invoke(params);
        } catch (Exception e) {
            e.printStackTrace();
            params.put("type", Constants.Event.FAIL);
            params.put("msg", e.getMessage());
            callback.invoke(params);
        }
    }

    private void loadImageToIcon(final String id, String src, final GroundOverlayOptions options, final GroundOverlay current, final UniJSCallback callback) {
        FrescoLoadUtil.getInstance().loadImageBitmap(this.mInstance.getContext(), this.mInstance.rewriteUri(Uri.parse(src), "image").toString(), new BitmapLoadCallback<Bitmap>() {
            /* class io.dcloud.feature.weex_amap.adapter.ground.GroundMgr.AnonymousClass1 */

            public void onSuccess(String url, Bitmap result) {
                BitmapDescriptor descriptor = BitmapDescriptorFactory.fromBitmap(result);
                GroundOverlay groundOverlay = current;
                if (groundOverlay != null) {
                    groundOverlay.setImage(descriptor);
                    return;
                }
                GroundOverlayOptions groundOverlayOptions = options;
                if (groundOverlayOptions != null) {
                    groundOverlayOptions.image(descriptor);
                    GroundOverlay groundOverlay2 = GroundMgr.this.mMap.getMap().addGroundOverlay(options);
                    if (groundOverlay2 != null) {
                        GroundMgr.this.mGroundCaches.put(id, groundOverlay2);
                        if (callback != null) {
                            Map<String, Object> params = new HashMap<>();
                            params.put("type", WXImage.SUCCEED);
                            callback.invoke(params);
                            return;
                        }
                        return;
                    }
                    Map<String, Object> params2 = new HashMap<>();
                    params2.put("type", Constants.Event.FAIL);
                    callback.invoke(params2);
                }
            }

            @Override // io.dcloud.feature.uniapp.utils.bitmap.BitmapLoadCallback
            public void onFailure(String url, Throwable throwable) {
                Map<String, Object> params = new HashMap<>();
                params.put("type", Constants.Event.FAIL);
                callback.invoke(params);
            }
        });
    }

    private LatLngBounds getBounds(JSONObject boundsJson) {
        if (boundsJson == null || !boundsJson.containsKey("southwest") || !boundsJson.containsKey("northeast")) {
            return null;
        }
        JSONObject southwestJson = boundsJson.getJSONObject("southwest");
        JSONObject northeastJson = boundsJson.getJSONObject("northeast");
        if (southwestJson == null || northeastJson == null || !southwestJson.containsKey(Constant.JSONKEY.LATITUDE) || !southwestJson.containsKey(Constant.JSONKEY.LONGITUDE) || !northeastJson.containsKey(Constant.JSONKEY.LATITUDE) || !northeastJson.containsKey(Constant.JSONKEY.LONGITUDE)) {
            return null;
        }
        return new LatLngBounds(new LatLng(southwestJson.getDoubleValue(Constant.JSONKEY.LATITUDE), southwestJson.getDoubleValue(Constant.JSONKEY.LONGITUDE)), new LatLng(northeastJson.getDoubleValue(Constant.JSONKEY.LATITUDE), northeastJson.getDoubleValue(Constant.JSONKEY.LONGITUDE)));
    }

    public void destroy() {
        HashMap<String, GroundOverlay> hashMap = this.mGroundCaches;
        if (hashMap != null && hashMap.size() > 0) {
            for (String key : this.mGroundCaches.keySet()) {
                GroundOverlay overlay = this.mGroundCaches.get(key);
                if (overlay != null && overlay.isVisible()) {
                    overlay.remove();
                }
            }
        }
        this.mGroundCaches.clear();
    }
}
