package io.dcloud.feature.x5;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.ClipData;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.net.Uri;
import android.os.Build;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.widget.EditText;
import androidx.core.content.FileProvider;
import com.taobao.weex.el.parse.Operators;
import com.tencent.smtt.export.external.interfaces.ConsoleMessage;
import com.tencent.smtt.export.external.interfaces.GeolocationPermissionsCallback;
import com.tencent.smtt.export.external.interfaces.JsPromptResult;
import com.tencent.smtt.export.external.interfaces.JsResult;
import com.tencent.smtt.sdk.ValueCallback;
import com.tencent.smtt.sdk.WebChromeClient;
import com.tencent.smtt.sdk.WebStorage;
import com.tencent.smtt.sdk.WebView;
import com.xiaomi.mipush.sdk.Constants;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.ITitleNView;
import io.dcloud.common.adapter.ui.AdaWebview;
import io.dcloud.common.adapter.ui.FileChooseDialog;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.adapter.util.UEH;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.StringConst;
import io.dcloud.common.util.AppConsoleLogUtil;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.TitleNViewUtil;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class X5WebJsEvent extends WebChromeClient {
    static final String TAG = "webview";
    FileChooseDialog dialog;
    AdaWebview mAdaWebview = null;
    private Bitmap mDefaultVideoPoster = null;
    DialogListener mListener = null;
    ValueCallback<Uri> mUploadMessage;
    ValueCallback<Uri[]> mUploadMessage21Level;
    private boolean rptJsErr = true;

    X5WebJsEvent(AdaWebview pWebview) {
        this.mAdaWebview = pWebview;
        pWebview.mProgressIntValue = 0;
        this.rptJsErr = BaseInfo.getCmitInfo(BaseInfo.sLastRunApp).rptJse;
    }

    private boolean isUrlWhiteListed(String url) {
        return true;
    }

    private boolean isCallbackId(String str) {
        return str != null && str.startsWith(IApp.ConfigProperty.CONFIG_PLUS);
    }

    private void handleMessage(JsPromptResult result, AdaWebview _webView, String service, String action, String message, boolean async) {
        result.confirm(this.mAdaWebview.execScript(service, action, JSONUtil.createJSONArray(message), async));
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0086  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x00c5  */
    @Override // com.tencent.smtt.sdk.WebChromeClient
    public boolean onJsPrompt(WebView view, String url, String message, String defaultValue, final JsPromptResult result) {
        boolean reqOk;
        JSONException e;
        String str;
        CharSequence charSequence;
        CharSequence charSequence2;
        int i;
        JSONException e2;
        if (this.mAdaWebview == null) {
            return false;
        }
        if (isUrlWhiteListed(url)) {
            reqOk = true;
        } else {
            reqOk = false;
        }
        if (reqOk && defaultValue != null && defaultValue.length() > 3 && defaultValue.substring(0, 4).equals("pdr:")) {
            try {
                JSONArray array = new JSONArray(defaultValue.substring(4));
                charSequence2 = "\\\"";
                try {
                    charSequence = "\"";
                    i = 4;
                    str = "pdr:";
                    try {
                        handleMessage(result, this.mAdaWebview, array.getString(0), array.getString(1), message, array.getBoolean(2));
                    } catch (JSONException e3) {
                        e2 = e3;
                    }
                } catch (JSONException e4) {
                    e2 = e4;
                    str = "pdr:";
                    i = 4;
                    charSequence = "\"";
                    if (PdrUtil.isEquals(defaultValue, defaultValue.replace(charSequence2, charSequence))) {
                    }
                }
            } catch (JSONException e5) {
                e2 = e5;
                str = "pdr:";
                charSequence2 = "\\\"";
                i = 4;
                charSequence = "\"";
                if (PdrUtil.isEquals(defaultValue, defaultValue.replace(charSequence2, charSequence))) {
                    String message2 = message.replace(charSequence2, charSequence);
                    String message3 = message2.substring(1, message2.length() - 1);
                    String defaultValue2 = defaultValue.replace(charSequence2, charSequence).substring(i);
                    onJsPrompt(view, url, message3, str + defaultValue2.substring(1, defaultValue2.length() - 1), result);
                    return true;
                }
                e2.printStackTrace();
                Logger.e(TAG, "onJsPrompt js->native message=" + message + ";defaultValue=" + defaultValue);
                return true;
            }
            return true;
        } else if (this.mAdaWebview.mReceiveJSValue_android42 == null || !reqOk || defaultValue == null || defaultValue.length() <= 5 || !defaultValue.substring(0, 5).equals("sync:")) {
            final AlertDialog dlg = new AlertDialog.Builder(this.mAdaWebview.getActivity()).create();
            dlg.setMessage(message);
            dlg.setTitle(this.mAdaWebview.getAppName());
            final EditText input = new EditText(this.mAdaWebview.getActivity());
            if (defaultValue != null) {
                input.setText(defaultValue);
                input.setSelection(0, defaultValue.length());
                DeviceInfo.showIME(input);
            }
            dlg.setView(input);
            dlg.setButton(StringConst.getString(17039370), new DialogInterface.OnClickListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass1 */

                public void onClick(DialogInterface dialog, int which) {
                    result.confirm(input.getText().toString());
                }
            });
            dlg.setButton2(StringConst.getString(17039360), new DialogInterface.OnClickListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int which) {
                    result.cancel();
                }
            });
            dlg.setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass3 */

                public boolean onKey(DialogInterface dialog, int keyCode, KeyEvent event) {
                    if (AndroidResources.sIMEAlive || event.getAction() != 0 || keyCode != 4) {
                        return false;
                    }
                    dlg.dismiss();
                    result.cancel();
                    return true;
                }
            });
            dlg.show();
            return true;
        } else {
            try {
                JSONArray array2 = new JSONArray(defaultValue.substring(5));
                try {
                    result.confirm(this.mAdaWebview.mReceiveJSValue_android42.__js__call__native__(array2.getString(0), array2.getString(1)));
                    return true;
                } catch (JSONException e6) {
                    e = e6;
                }
            } catch (JSONException e7) {
                e = e7;
                if (!PdrUtil.isEquals(defaultValue, defaultValue.replace("\\\"", "\""))) {
                    String message4 = message.replace("\\\"", "\"");
                    String message5 = message4.substring(1, message4.length() - 1);
                    String defaultValue3 = defaultValue.replace("\\\"", "\"").substring(4);
                    onJsPrompt(view, url, message5, "pdr:" + defaultValue3.substring(1, defaultValue3.length() - 1), result);
                    return true;
                }
                e.printStackTrace();
                Logger.e(TAG, "onJsPrompt js->native message=" + message + ";defaultValue=" + defaultValue);
                return true;
            }
        }
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public boolean onJsAlert(WebView view, String url, String message, final JsResult result) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview == null || PdrUtil.isEmpty(adaWebview.getAppName())) {
            return super.onJsAlert(view, url, message, result);
        }
        final AlertDialog mAlert = new AlertDialog.Builder(this.mAdaWebview.getActivity()).create();
        mAlert.setTitle(this.mAdaWebview.getAppName());
        mAlert.setMessage(message);
        if (this.mListener == null) {
            this.mListener = new DialogListener();
        }
        this.mListener.mResult = result;
        mAlert.setButton(StringConst.getString(17039370), this.mListener);
        mAlert.setCanceledOnTouchOutside(false);
        mAlert.setOnKeyListener(new DialogInterface.OnKeyListener() {
            /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass4 */

            public boolean onKey(DialogInterface dialog, int keyCode, KeyEvent event) {
                if (event.getAction() != 1 || keyCode != 4) {
                    return false;
                }
                result.cancel();
                mAlert.dismiss();
                return true;
            }
        });
        mAlert.show();
        return true;
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public boolean onJsConfirm(WebView view, String url, String message, final JsResult result) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview == null || PdrUtil.isEmpty(adaWebview.getAppName())) {
            return super.onJsConfirm(view, url, message, result);
        }
        try {
            final AlertDialog dlg = new AlertDialog.Builder(this.mAdaWebview.getActivity()).create();
            dlg.setMessage(message);
            dlg.setTitle(this.mAdaWebview.getAppName());
            dlg.setButton(StringConst.getString(17039370), new DialogInterface.OnClickListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass5 */

                public void onClick(DialogInterface dialog, int which) {
                    result.confirm();
                }
            });
            dlg.setButton2(StringConst.getString(17039360), new DialogInterface.OnClickListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass6 */

                public void onClick(DialogInterface dialog, int which) {
                    result.cancel();
                }
            });
            dlg.setOnCancelListener(new DialogInterface.OnCancelListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass7 */

                public void onCancel(DialogInterface dialog) {
                    result.cancel();
                }
            });
            dlg.setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass8 */

                public boolean onKey(DialogInterface dialog, int keyCode, KeyEvent event) {
                    if (event.getAction() != 0 || keyCode != 4) {
                        return false;
                    }
                    result.cancel();
                    dlg.dismiss();
                    return true;
                }
            });
            dlg.show();
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return super.onJsConfirm(view, url, message, result);
        }
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public boolean onShowFileChooser(WebView webView, ValueCallback<Uri[]> uploadMsg, WebChromeClient.FileChooserParams fileChooserParams) {
        openFileChooserLogic(null, uploadMsg, fileChooserParams.getAcceptTypes() != null ? fileChooserParams.getAcceptTypes()[0] : null, "", fileChooserParams);
        return true;
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void openFileChooser(ValueCallback<Uri> uploadMsg, String acceptType, String capture) {
        openFileChooserLogic(uploadMsg, acceptType, capture);
    }

    private void openFileChooserLogic(ValueCallback<Uri> uploadMsg, String acceptType, String capture) {
        openFileChooserLogic(uploadMsg, null, acceptType, capture, null);
    }

    private void openFileChooserLogic(final ValueCallback<Uri> uploadMsg, final ValueCallback<Uri[]> uploadMsg21Level, final String acceptType, final String capture, final WebChromeClient.FileChooserParams fileChooserParams) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null) {
            PermissionUtil.usePermission(adaWebview.getActivity(), "webview-x5", PermissionUtil.PMS_STORAGE, 2, new PermissionUtil.Request() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass9 */

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onGranted(String perName) {
                    X5WebJsEvent.this.showOpenFileChooser(uploadMsg, uploadMsg21Level, acceptType, capture, fileChooserParams);
                }

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onDenied(String perName) {
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showOpenFileChooser(ValueCallback<Uri> uploadMsg, ValueCallback<Uri[]> uploadMsg21Level, String acceptType, String capture, WebChromeClient.FileChooserParams fileChooserParams) {
        this.mUploadMessage = uploadMsg;
        this.mUploadMessage21Level = uploadMsg21Level;
        Intent i = new Intent("android.intent.action.GET_CONTENT");
        i.addCategory("android.intent.category.OPENABLE");
        if (!PdrUtil.isEmpty(acceptType)) {
            i.setType(acceptType);
        } else {
            i.setType("*/*");
        }
        if (fileChooserParams != null && fileChooserParams.getMode() == 1) {
            i.putExtra("android.intent.extra.ALLOW_MULTIPLE", true);
        }
        this.dialog = new FileChooseDialog(this.mAdaWebview.getActivity(), this.mAdaWebview.getActivity(), i);
        this.mAdaWebview.obtainFrameView().obtainApp().registerSysEventListener(new ISysEventListener() {
            /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass10 */

            @Override // io.dcloud.common.DHInterface.ISysEventListener
            public boolean onExecute(ISysEventListener.SysEventType pEventType, Object pArgs) {
                Object[] _args = (Object[]) pArgs;
                int requestCode = ((Integer) _args[0]).intValue();
                int resultCode = ((Integer) _args[1]).intValue();
                if (X5WebJsEvent.this.dialog != null) {
                    X5WebJsEvent.this.dialog.dismiss();
                }
                X5WebJsEvent.this.mAdaWebview.obtainFrameView().obtainApp().unregisterSysEventListener(this, ISysEventListener.SysEventType.onActivityResult);
                Uri uri = null;
                if (resultCode != 0) {
                    if (pEventType == ISysEventListener.SysEventType.onActivityResult) {
                        Intent i = (Intent) _args[2];
                        List<Uri> dataList = new ArrayList<>();
                        if (requestCode == 1) {
                            if (i.getClipData() != null) {
                                ClipData data = i.getClipData();
                                for (int j = 0; j < data.getItemCount(); j++) {
                                    Uri uri2 = data.getItemAt(j).getUri();
                                    if (uri2 != null && "content".equals(uri2.getScheme())) {
                                        dataList.add(getUri(uri2));
                                    }
                                }
                            } else {
                                Uri value = i.getData();
                                if (value != null && "content".equals(value.getScheme())) {
                                    value = getUri(value);
                                }
                                dataList.add(value);
                                Logger.i(X5WebJsEvent.TAG, "openFileChooserLogic  OnActivityResult url=" + value);
                            }
                        } else if (requestCode == 2 && X5WebJsEvent.this.dialog.uris != null) {
                            Iterator<File> it = X5WebJsEvent.this.dialog.uris.iterator();
                            while (true) {
                                if (!it.hasNext()) {
                                    break;
                                }
                                File u = it.next();
                                if (u.exists()) {
                                    Activity activity = X5WebJsEvent.this.mAdaWebview.getActivity();
                                    dataList.add(FileProvider.getUriForFile(activity, X5WebJsEvent.this.mAdaWebview.getActivity().getPackageName() + ".dc.fileprovider", u));
                                    break;
                                }
                            }
                        }
                        Uri[] uris = null;
                        if (dataList.size() > 0) {
                            uris = (Uri[]) dataList.toArray(new Uri[dataList.size()]);
                        }
                        if (X5WebJsEvent.this.mUploadMessage21Level != null) {
                            X5WebJsEvent.this.mUploadMessage21Level.onReceiveValue(uris);
                        } else if (X5WebJsEvent.this.mUploadMessage != null) {
                            ValueCallback<Uri> valueCallback = X5WebJsEvent.this.mUploadMessage;
                            if (!dataList.isEmpty()) {
                                uri = dataList.get(0);
                            }
                            valueCallback.onReceiveValue(uri);
                        }
                        return true;
                    }
                }
                if (X5WebJsEvent.this.mUploadMessage21Level != null) {
                    X5WebJsEvent.this.mUploadMessage21Level.onReceiveValue(null);
                } else if (X5WebJsEvent.this.mUploadMessage != null) {
                    X5WebJsEvent.this.mUploadMessage.onReceiveValue(null);
                }
                return false;
            }

            private Uri getUri(Uri value) {
                Cursor cursor = X5WebJsEvent.this.mAdaWebview.getContext().getContentResolver().query(value, new String[]{"_data"}, null, null, null);
                if (cursor != null) {
                    if (Build.VERSION.SDK_INT < 29 && cursor.moveToFirst()) {
                        try {
                            int columnIndex = cursor.getColumnIndexOrThrow("_data");
                            if (columnIndex > -1) {
                                String uriString = cursor.getString(columnIndex);
                                value = Uri.parse(uriString);
                                if (PdrUtil.isEmpty(value.getScheme())) {
                                    String scheme = uriString.startsWith("/") ? DeviceInfo.FILE_PROTOCOL : "file:///";
                                    value = Uri.parse(scheme + uriString);
                                }
                            }
                        } catch (Exception e) {
                        }
                    }
                    cursor.close();
                }
                return value;
            }
        }, ISysEventListener.SysEventType.onActivityResult);
        try {
            this.dialog.show();
            this.dialog.setOnCancelListener(new DialogInterface.OnCancelListener() {
                /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass11 */

                public void onCancel(DialogInterface dialog) {
                    try {
                        if (X5WebJsEvent.this.mUploadMessage21Level != null) {
                            X5WebJsEvent.this.mUploadMessage21Level.onReceiveValue(null);
                        } else if (X5WebJsEvent.this.mUploadMessage != null) {
                            X5WebJsEvent.this.mUploadMessage.onReceiveValue(null);
                        }
                    } catch (Exception e) {
                    }
                }
            });
        } catch (Exception e) {
            Logger.e("openFileChooserLogic Exception");
        }
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onProgressChanged(WebView view, int newProgress) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null) {
            if (newProgress < 20 && !adaWebview.unReceiveTitle) {
                this.mAdaWebview.unReceiveTitle = true;
            }
            this.mAdaWebview.mProgressIntValue = newProgress;
            this.mAdaWebview.dispatchWebviewStateEvent(3, Integer.valueOf(newProgress));
            this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_PROGRESS_CHANGED, Integer.valueOf(newProgress));
            super.onProgressChanged(view, newProgress);
        }
    }

    public void releaseDefaultVideoPoster() {
        Bitmap bitmap = this.mDefaultVideoPoster;
        if (bitmap != null) {
            bitmap.recycle();
            this.mDefaultVideoPoster = null;
        }
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public Bitmap getDefaultVideoPoster() {
        return super.getDefaultVideoPoster();
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public boolean onConsoleMessage(ConsoleMessage consoleMessage) {
        handleConsoleMessage(consoleMessage);
        return true;
    }

    private void handleConsoleMessage(ConsoleMessage consoleMessage) {
        String commitmsg;
        if (this.mAdaWebview != null) {
            String message = consoleMessage.message();
            if (!isFilterConsoleMessage(message)) {
                int lineNumber = consoleMessage.lineNumber();
                String sourceID = consoleMessage.sourceId();
                String name = consoleMessage.messageLevel().name();
                ConsoleMessage.MessageLevel level = consoleMessage.messageLevel();
                String t_sourceID = sourceID;
                if (PdrUtil.isEmpty(t_sourceID)) {
                    commitmsg = message;
                    AppConsoleLogUtil.DCLog(commitmsg, name);
                } else {
                    try {
                        t_sourceID = this.mAdaWebview.getDCWebView().convertRelPath(t_sourceID);
                    } catch (Exception e) {
                    }
                    commitmsg = message + " at " + t_sourceID + Constants.COLON_SEPARATOR + lineNumber;
                    AppConsoleLogUtil.DCLog(commitmsg, name);
                }
                boolean needReport = false;
                JSONObject uniStatistics = JSONUtil.createJSONObject(AppRuntime.getUniStatistics());
                if (uniStatistics != null) {
                    needReport = PdrUtil.isEquals("2", JSONUtil.getString(uniStatistics, "version")) && JSONUtil.getBoolean(uniStatistics, "enable");
                }
                if (needReport && this.rptJsErr && level == ConsoleMessage.MessageLevel.ERROR && this.mAdaWebview.obtainApp() != null && !BaseInfo.isBase(this.mAdaWebview.getContext()) && this.mAdaWebview.obtainApp().isUniApp()) {
                    JSONObject argumentJson = this.mAdaWebview.mFrameView.obtainFrameOptions().mUniPageUrl;
                    String url = this.mAdaWebview.getDCWebView().getUrl();
                    if (argumentJson != null && argumentJson.has("path")) {
                        url = argumentJson.optString("path");
                        if (argumentJson.has("query")) {
                            String query = argumentJson.optString("query");
                            if (!TextUtils.isEmpty(query)) {
                                url = url + Operators.CONDITION_IF_STRING + query;
                            }
                        }
                    }
                    UEH.commitUncatchException(this.mAdaWebview.getContext(), url, commitmsg, 2);
                }
            }
        }
    }

    private boolean isFilterConsoleMessage(String message) {
        if (PdrUtil.isEmpty(message)) {
            return false;
        }
        if (!message.contains("viewport-fit") && !message.contains("Ignored attempt to cancel a touchend event with cancelable=false")) {
            return false;
        }
        return true;
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onExceededDatabaseQuota(String url, String databaseIdentifier, long currentQuota, long estimatedSize, long totalUsedQuota, WebStorage.QuotaUpdater quotaUpdater) {
        Logger.i(TAG, "onExceededDatabaseQuota url=" + url);
        quotaUpdater.updateQuota(2 * estimatedSize);
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onReachedMaxAppCacheSize(long requiredStorage, long quota, WebStorage.QuotaUpdater quotaUpdater) {
        Logger.i(TAG, "onReachedMaxAppCacheSize");
        super.onReachedMaxAppCacheSize(requiredStorage, quota, quotaUpdater);
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onGeolocationPermissionsShowPrompt(final String origin, final GeolocationPermissionsCallback callback) {
        if (this.mAdaWebview != null) {
            Logger.i(TAG, "onGeolocationPermissionsShowPrompt origin=" + origin);
            IApp app = this.mAdaWebview.obtainFrameView().obtainApp();
            if (app != null) {
                PermissionUtil.usePermission(this.mAdaWebview.getActivity(), "webview-x5", PermissionUtil.PMS_LOCATION, 2, new PermissionUtil.StreamPermissionRequest(app) {
                    /* class io.dcloud.feature.x5.X5WebJsEvent.AnonymousClass12 */

                    @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                    public void onGranted(String streamPerName) {
                        callback.invoke(origin, true, false);
                    }

                    @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                    public void onDenied(String streamPerName) {
                        callback.invoke(origin, false, false);
                    }
                });
            }
        }
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onGeolocationPermissionsHidePrompt() {
        Logger.i(TAG, "onGeolocationPermissionsHidePrompt");
        super.onGeolocationPermissionsHidePrompt();
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onRequestFocus(WebView view) {
        Logger.i(TAG, "onRequestFocus");
        super.onRequestFocus(view);
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onReceivedTouchIconUrl(WebView view, String url, boolean precomposed) {
        Logger.d("super.onReceivedTouchIconUrl(view, url, precomposed");
        super.onReceivedTouchIconUrl(view, url, precomposed);
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public boolean onJsBeforeUnload(WebView view, String url, String message, JsResult result) {
        return super.onJsBeforeUnload(view, url, message, result);
    }

    @Override // com.tencent.smtt.sdk.WebChromeClient
    public void onReceivedTitle(WebView view, String title) {
        AdaWebview adaWebview = this.mAdaWebview;
        if (adaWebview != null) {
            adaWebview.unReceiveTitle = false;
            this.mAdaWebview.dispatchWebviewStateEvent(4, title);
            this.mAdaWebview.mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_TITLE_UPDATE, title);
            this.mAdaWebview.getDCWebView().setPageTitle(title);
            Logger.i(TAG, "onReceivedTitle title=" + title);
            this.mAdaWebview.mLoadCompleted = true;
            updateTitleNViewTitle(title);
            initUniLoadUrl();
            super.onReceivedTitle(view, title);
        }
    }

    private void initUniLoadUrl() {
        if (!this.mAdaWebview.isDisposed() && this.mAdaWebview.obtainApp() != null && BaseInfo.isUniAppAppid(this.mAdaWebview.obtainApp()) && !BaseInfo.isWeexUniJs(this.mAdaWebview.obtainApp())) {
        }
    }

    private void updateTitleNViewTitle(String webViewTitle) {
        JSONObject titleNView = this.mAdaWebview.mFrameView.obtainFrameOptions().titleNView;
        if (titleNView != null) {
            Object titleObj = null;
            try {
                if (titleNView.has("titleText")) {
                    titleObj = titleNView.get("titleText");
                } else if (titleNView.has("titletext")) {
                    titleObj = titleNView.get("titletext");
                }
                if (titleObj == null || !(titleObj instanceof String)) {
                    String titleColor = titleNView.optString("titleColor");
                    if (TextUtils.isEmpty(titleColor)) {
                        titleColor = titleNView.optString("titlecolor");
                    }
                    String titleSize = titleNView.optString("titleSize");
                    if (TextUtils.isEmpty(titleSize)) {
                        titleSize = titleNView.optString("titlesize");
                    }
                    String titleOverflow = titleNView.optString("titleOverflow");
                    String iconpath = titleNView.optString("titleIcon");
                    String iconRadius = titleNView.optString("titleIconRadius");
                    String subtitleText = titleNView.optString("subtitleText");
                    String subtitleColor = titleNView.optString("subtitleColor");
                    String subtitleSize = titleNView.optString("subtitleSize");
                    String subtitleOverflow = titleNView.optString("subtitleOverflow");
                    String titleIconWidth = titleNView.optString("titleIconWidth");
                    if (!TextUtils.isEmpty(webViewTitle) && !TextUtils.isEmpty(titleColor) && !TextUtils.isEmpty(titleSize)) {
                        Object titleNViewObj = TitleNViewUtil.getTitleNView(this.mAdaWebview.mFrameView.obtainWindowMgr(), this.mAdaWebview.mFrameView.obtainWebView(), this.mAdaWebview.mFrameView, TitleNViewUtil.getTitleNViewId(this.mAdaWebview.obtainFrameView()));
                        if (titleNViewObj instanceof ITitleNView) {
                            ITitleNView nview = (ITitleNView) titleNViewObj;
                            if (Constant.TRANSPARENT.equals(titleNView.optString("type")) && !TextUtils.isEmpty(titleColor) && Color.alpha(nview.getTitleColor()) == 0) {
                                titleColor = TitleNViewUtil.changeColorAlpha(titleColor, 0.0f);
                            }
                            TitleNViewUtil.drawTitle(this.mAdaWebview.mFrameView, nview, webViewTitle, titleColor, titleSize, titleOverflow, titleNView.optString("titleAlign"), iconpath, iconRadius, subtitleText, subtitleColor, subtitleSize, subtitleOverflow, titleIconWidth);
                        }
                    }
                }
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    class DialogListener implements DialogInterface.OnClickListener {
        JsResult mResult = null;

        DialogListener() {
        }

        public void onClick(DialogInterface dialog, int which) {
            this.mResult.cancel();
        }
    }
}
