package io.dcloud.js.map.amap;

import com.coremedia.iso.boxes.UserBox;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.js.map.amap.adapter.DHMapFrameItem;
import io.dcloud.js.map.amap.adapter.IFJsOverlay;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

class JsMapView extends JsMapObject implements IFMapDispose {
    private String id;
    private DHMapFrameItem mMapFrameItem;

    public JsMapView(IWebview pWebViewImpl) {
        super(pWebViewImpl);
        this.mMapFrameItem = new DHMapFrameItem(pWebViewImpl.getContext(), pWebViewImpl, this);
        Logger.d(Logger.MAP_TAG, "JsMapView create DHMapFrameItem");
    }

    /* access modifiers changed from: package-private */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void setUUID(String uuid) {
        super.setUUID(uuid);
        this.mMapFrameItem.mUUID = uuid;
    }

    private void init(String id2, String jsId) {
        this.id = id2;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void updateObject(String pStrEvent, final JSONArray pJsArgs) {
        char c;
        IWebview cWebview;
        switch (pStrEvent.hashCode()) {
            case -1535342826:
                if (pStrEvent.equals("getUserLocation")) {
                    c = '\r';
                    break;
                }
                c = 65535;
                break;
            case -1247967704:
                if (pStrEvent.equals("addRoute")) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case -934437708:
                if (pStrEvent.equals("resize")) {
                    c = 15;
                    break;
                }
                c = 65535;
                break;
            case -698030266:
                if (pStrEvent.equals("showZoomControls")) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case -496402379:
                if (pStrEvent.equals("centerAndZoom")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -484563980:
                if (pStrEvent.equals("setMapType")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case -250507203:
                if (pStrEvent.equals("showUserLocation")) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case -208419952:
                if (pStrEvent.equals("clearOverlays")) {
                    c = 14;
                    break;
                }
                c = 65535;
                break;
            case 3202370:
                if (pStrEvent.equals("hide")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 3529469:
                if (pStrEvent.equals(AbsoluteConst.EVENTS_WEBVIEW_SHOW)) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 104204076:
                if (pStrEvent.equals("removeOverlay")) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 108404047:
                if (pStrEvent.equals("reset")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 117384023:
                if (pStrEvent.equals("setCenter")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 653489016:
                if (pStrEvent.equals("getCurrentCenter")) {
                    c = 16;
                    break;
                }
                c = 65535;
                break;
            case 816946287:
                if (pStrEvent.equals("addOverlay")) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case 1906355003:
                if (pStrEvent.equals("setTraffic")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 1985172309:
                if (pStrEvent.equals("setZoom")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                this.mMapFrameItem.centerAndZoom(JsMapManager.getJsMapManager().getMapPoint(this.mWebview, JSONUtil.getJSONObject(pJsArgs, 0)).getMapPoint(), JSONUtil.getString(pJsArgs, 1));
                return;
            case 1:
                this.mMapFrameItem.setCenter(JsMapManager.getJsMapManager().getMapPoint(this.mWebview, JSONUtil.getJSONObject(pJsArgs, 0)).getMapPoint());
                return;
            case 2:
                this.mMapFrameItem.setZoom(JSONUtil.getString(pJsArgs, 0));
                return;
            case 3:
                this.mMapFrameItem.reset();
                return;
            case 4:
                this.mMapFrameItem.show();
                return;
            case 5:
                this.mMapFrameItem.hide();
                return;
            case 6:
                this.mMapFrameItem.setMapType(JSONUtil.getString(pJsArgs, 0));
                return;
            case 7:
                this.mMapFrameItem.setTraffic(Boolean.parseBoolean(JSONUtil.getString(pJsArgs, 0)));
                return;
            case '\b':
                PermissionUtil.usePermission(this.mWebview.getActivity(), "amap", PermissionUtil.PMS_LOCATION, 2, new PermissionUtil.StreamPermissionRequest(this.mWebview.obtainApp()) {
                    /* class io.dcloud.js.map.amap.JsMapView.AnonymousClass1 */

                    @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                    public void onGranted(String streamPerName) {
                        if (PermissionUtil.PMS_LOCATION.equals(streamPerName)) {
                            JsMapView.this.mMapFrameItem.setShowUserLocation(JSONUtil.getString(pJsArgs, 0));
                        }
                    }

                    @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                    public void onDenied(String streamPerName) {
                    }
                });
                return;
            case '\t':
                this.mMapFrameItem.setShowZoomControls(JSONUtil.getString(pJsArgs, 0));
                return;
            case '\n':
                JsMapObject _jsMapObj = JsMapManager.getJsMapManager().getJsObject(JSONUtil.getString(pJsArgs, 0));
                if (_jsMapObj instanceof IFJsOverlay) {
                    _jsMapObj.onAddToMapView(this.mMapFrameItem.getMapView());
                    this.mMapFrameItem.addOverlay(((IFJsOverlay) _jsMapObj).getMapOverlay());
                    return;
                }
                return;
            case 11:
                JsMapObject _jsMapObj2 = JsMapManager.getJsMapManager().getJsObject(JSONUtil.getString(pJsArgs, 0));
                if (_jsMapObj2 instanceof IFJsOverlay) {
                    this.mMapFrameItem.addOverlay(((IFJsOverlay) _jsMapObj2).getMapOverlay());
                    return;
                }
                return;
            case '\f':
                JsMapObject _jsMapObj3 = JsMapManager.getJsMapManager().getJsObject(JSONUtil.getString(pJsArgs, 0));
                if (_jsMapObj3 instanceof IFJsOverlay) {
                    this.mMapFrameItem.removeOverlay(((IFJsOverlay) _jsMapObj3).getMapOverlay());
                    return;
                }
                return;
            case '\r':
                final String callBackId = JSONUtil.getString(pJsArgs, 0);
                PermissionUtil.usePermission(this.mWebview.getActivity(), "amap", PermissionUtil.PMS_LOCATION, 2, new PermissionUtil.StreamPermissionRequest(this.mWebview.obtainApp()) {
                    /* class io.dcloud.js.map.amap.JsMapView.AnonymousClass2 */

                    @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                    public void onGranted(String streamPerName) {
                        IWebview cWebview;
                        if (!PermissionUtil.PMS_LOCATION.equals(streamPerName)) {
                            return;
                        }
                        if (pJsArgs.length() <= 1 || (cWebview = JsMapManager.getJsMapManager().findWebviewByUuid(JsMapView.this.mWebview, JSONUtil.getString(pJsArgs, 1))) == null) {
                            JsMapView.this.mMapFrameItem.getUserLocation(JsMapView.this.mWebview, callBackId);
                        } else {
                            JsMapView.this.mMapFrameItem.getUserLocation(cWebview, callBackId);
                        }
                    }

                    @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                    public void onDenied(String streamPerName) {
                        Deprecated_JSUtil.execCallback(JsMapView.this.mWebview, callBackId, DOMException.toJSON(22, DOMException.MSG_GEOLOCATION_PERMISSION_ERROR), JSUtil.ERROR, true, false);
                    }
                });
                return;
            case 14:
                this.mMapFrameItem.clearOverlays();
                return;
            case 15:
                this.mMapFrameItem.resize(pJsArgs);
                return;
            case 16:
                String callBackId2 = JSONUtil.getString(pJsArgs, 0);
                if (pJsArgs.length() <= 1 || (cWebview = JsMapManager.getJsMapManager().findWebviewByUuid(this.mWebview, JSONUtil.getString(pJsArgs, 1))) == null) {
                    this.mMapFrameItem.getCurrentCenter(this.mWebview, callBackId2);
                    return;
                } else {
                    this.mMapFrameItem.getCurrentCenter(cWebview, callBackId2);
                    return;
                }
            default:
                return;
        }
    }

    public void setMapView(DHMapFrameItem pMapFrameItem) {
        this.mMapFrameItem = pMapFrameItem;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void createObject(JSONArray pJsArgs) {
        this.mMapFrameItem.createMap(pJsArgs);
        if (pJsArgs.length() > 4) {
            appendToFrameView((AdaFrameView) this.mWebview.obtainFrameView());
        }
    }

    @Override // io.dcloud.js.map.amap.IFMapDispose
    public void dispose() {
        this.mMapFrameItem.dispose();
    }

    @Override // io.dcloud.js.map.amap.IFMapDispose
    public void close() {
        this.mMapFrameItem.close();
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public String updateObjectSYNC(String pStrEvent, JSONArray pJsArgs) {
        String ret = super.updateObjectSYNC(pStrEvent, pJsArgs);
        if ("getBounds".equals(pStrEvent)) {
            return Deprecated_JSUtil.wrapJsVar(this.mMapFrameItem.getBounds(), false);
        }
        return ret;
    }

    public void appendToFrameView(AdaFrameView frameView) {
        this.mMapFrameItem.appendToFrameView(frameView);
    }

    public JSONObject getJsJsonMap() {
        JSONObject object = new JSONObject();
        DHMapFrameItem dHMapFrameItem = this.mMapFrameItem;
        if (dHMapFrameItem == null) {
            return null;
        }
        try {
            object.put(UserBox.TYPE, dHMapFrameItem.mUUID);
            object.put("options", this.mMapFrameItem.getMapOptions());
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return object;
    }

    public void setStyles(JSONObject styles) {
        DHMapFrameItem dHMapFrameItem = this.mMapFrameItem;
        if (dHMapFrameItem != null) {
            dHMapFrameItem.setStyles(styles);
        }
    }

    public void setCallBackWebUuid(String uuid) {
        DHMapFrameItem dHMapFrameItem = this.mMapFrameItem;
        if (dHMapFrameItem != null && dHMapFrameItem.getMapView() != null) {
            this.mMapFrameItem.getMapView().addMapCallBackWebUuid(uuid);
        }
    }
}
